/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRES SQL YACC rules/actions
 *
 * Portions Copyright (c) 1996-2009, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  $PostgreSQL: pgsql/src/backend/parser/gram.y,v 2.665.2.1 2009/07/06 02:58:48 tgl Exp $
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

extern List *parsetree;			/* final parse result is delivered here */

static bool QueryIsRule = FALSE;

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/*
 * If you need access to certain yacc-generated variables and find that
 * they're static by default, uncomment the next line.  (this is not a
 * problem, yet.)
 */
/*#define __YYSCLASS*/

static Node *makeColumnRef(char *colname, List *indirection, int location);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names);
static List *check_func_name(List *names);
static List *check_indirection(List *indirection);
static List *extractArgTypes(List *parameters);
static SelectStmt *findLeftmostSelect(SelectStmt *node);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);



/* Line 268 of yacc.c  */
#line 221 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     ABORT_P = 258,
     ABSOLUTE_P = 259,
     ACCESS = 260,
     ACTION = 261,
     ADD_P = 262,
     ADMIN = 263,
     AFTER = 264,
     AGGREGATE = 265,
     ALL = 266,
     ALSO = 267,
     ALTER = 268,
     ALWAYS = 269,
     ANALYSE = 270,
     ANALYZE = 271,
     AND = 272,
     ANY = 273,
     ARRAY = 274,
     AS = 275,
     ASC = 276,
     ASSERTION = 277,
     ASSIGNMENT = 278,
     ASYMMETRIC = 279,
     AT = 280,
     AUTHORIZATION = 281,
     BACKWARD = 282,
     BEFORE = 283,
     BEGIN_P = 284,
     BETWEEN = 285,
     BIGINT = 286,
     BINARY = 287,
     BIT = 288,
     BOOLEAN_P = 289,
     BOTH = 290,
     BY = 291,
     CACHE = 292,
     CALLED = 293,
     CASCADE = 294,
     CASCADED = 295,
     CASE = 296,
     CAST = 297,
     CATALOG_P = 298,
     CHAIN = 299,
     CHAR_P = 300,
     CHARACTER = 301,
     CHARACTERISTICS = 302,
     CHECK = 303,
     CHECKPOINT = 304,
     CLASS = 305,
     CLOSE = 306,
     CLUSTER = 307,
     COALESCE = 308,
     COLLATE = 309,
     COLUMN = 310,
     COMMENT = 311,
     COMMIT = 312,
     COMMITTED = 313,
     CONCURRENTLY = 314,
     CONFIGURATION = 315,
     CONNECTION = 316,
     CONSTRAINT = 317,
     CONSTRAINTS = 318,
     CONTENT_P = 319,
     CONTINUE_P = 320,
     CONVERSION_P = 321,
     COPY = 322,
     COST = 323,
     CREATE = 324,
     CREATEDB = 325,
     CREATEROLE = 326,
     CREATEUSER = 327,
     CROSS = 328,
     CSV = 329,
     CURRENT_P = 330,
     CURRENT_CATALOG = 331,
     CURRENT_DATE = 332,
     CURRENT_ROLE = 333,
     CURRENT_SCHEMA = 334,
     CURRENT_TIME = 335,
     CURRENT_TIMESTAMP = 336,
     CURRENT_USER = 337,
     CURSOR = 338,
     CYCLE = 339,
     DATA_P = 340,
     DATABASE = 341,
     DAY_P = 342,
     DEALLOCATE = 343,
     DEC = 344,
     DECIMAL_P = 345,
     DECLARE = 346,
     DEFAULT = 347,
     DEFAULTS = 348,
     DEFERRABLE = 349,
     DEFERRED = 350,
     DEFINER = 351,
     DELETE_P = 352,
     DELIMITER = 353,
     DELIMITERS = 354,
     DESC = 355,
     DICTIONARY = 356,
     DISABLE_P = 357,
     DISCARD = 358,
     DISTINCT = 359,
     DO = 360,
     DOCUMENT_P = 361,
     DOMAIN_P = 362,
     DOUBLE_P = 363,
     DROP = 364,
     EACH = 365,
     ELSE = 366,
     ENABLE_P = 367,
     ENCODING = 368,
     ENCRYPTED = 369,
     END_P = 370,
     ENUM_P = 371,
     ESCAPE = 372,
     EXCEPT = 373,
     EXCLUDING = 374,
     EXCLUSIVE = 375,
     EXECUTE = 376,
     EXISTS = 377,
     EXPLAIN = 378,
     EXTERNAL = 379,
     EXTRACT = 380,
     FALSE_P = 381,
     FAMILY = 382,
     FETCH = 383,
     FIRST_P = 384,
     FLOAT_P = 385,
     FOLLOWING = 386,
     FOR = 387,
     FORCE = 388,
     FOREIGN = 389,
     FORWARD = 390,
     FREEZE = 391,
     FROM = 392,
     FULL = 393,
     FUNCTION = 394,
     GLOBAL = 395,
     GRANT = 396,
     GRANTED = 397,
     GREATEST = 398,
     GROUP_P = 399,
     HANDLER = 400,
     HAVING = 401,
     HEADER_P = 402,
     HOLD = 403,
     HOUR_P = 404,
     IDENTITY_P = 405,
     IF_P = 406,
     ILIKE = 407,
     IMMEDIATE = 408,
     IMMUTABLE = 409,
     IMPLICIT_P = 410,
     IN_P = 411,
     INCLUDING = 412,
     INCREMENT = 413,
     INDEX = 414,
     INDEXES = 415,
     INHERIT = 416,
     INHERITS = 417,
     INITIALLY = 418,
     INNER_P = 419,
     INOUT = 420,
     INPUT_P = 421,
     INSENSITIVE = 422,
     INSERT = 423,
     INSTEAD = 424,
     INT_P = 425,
     INTEGER = 426,
     INTERSECT = 427,
     INTERVAL = 428,
     INTO = 429,
     INVOKER = 430,
     IS = 431,
     ISNULL = 432,
     ISOLATION = 433,
     JOIN = 434,
     KEY = 435,
     LANCOMPILER = 436,
     LANGUAGE = 437,
     LARGE_P = 438,
     LAST_P = 439,
     LC_COLLATE_P = 440,
     LC_CTYPE_P = 441,
     LEADING = 442,
     LEAST = 443,
     LEFT = 444,
     LEVEL = 445,
     LIKE = 446,
     LIMIT = 447,
     LISTEN = 448,
     LOAD = 449,
     LOCAL = 450,
     LOCALTIME = 451,
     LOCALTIMESTAMP = 452,
     LOCATION = 453,
     LOCK_P = 454,
     LOGIN_P = 455,
     MAPPING = 456,
     MATCH = 457,
     MAXVALUE = 458,
     MINUTE_P = 459,
     MINVALUE = 460,
     MODE = 461,
     MONTH_P = 462,
     MOVE = 463,
     NAME_P = 464,
     NAMES = 465,
     NATIONAL = 466,
     NATURAL = 467,
     NCHAR = 468,
     NEW = 469,
     NEXT = 470,
     NO = 471,
     NOCREATEDB = 472,
     NOCREATEROLE = 473,
     NOCREATEUSER = 474,
     NOINHERIT = 475,
     NOLOGIN_P = 476,
     NONE = 477,
     NOSUPERUSER = 478,
     NOT = 479,
     NOTHING = 480,
     NOTIFY = 481,
     NOTNULL = 482,
     NOWAIT = 483,
     NULL_P = 484,
     NULLIF = 485,
     NULLS_P = 486,
     NUMERIC = 487,
     OBJECT_P = 488,
     OF = 489,
     OFF = 490,
     OFFSET = 491,
     OIDS = 492,
     OLD = 493,
     ON = 494,
     ONLY = 495,
     OPERATOR = 496,
     OPTION = 497,
     OPTIONS = 498,
     OR = 499,
     ORDER = 500,
     OUT_P = 501,
     OUTER_P = 502,
     OVER = 503,
     OVERLAPS = 504,
     OVERLAY = 505,
     OWNED = 506,
     OWNER = 507,
     PARSER = 508,
     PARTIAL = 509,
     PARTITION = 510,
     PASSWORD = 511,
     PLACING = 512,
     PLANS = 513,
     POSITION = 514,
     PRECEDING = 515,
     PRECISION = 516,
     PRESERVE = 517,
     PREPARE = 518,
     PREPARED = 519,
     PRIMARY = 520,
     PRIOR = 521,
     PRIVILEGES = 522,
     PROCEDURAL = 523,
     PROCEDURE = 524,
     QUOTE = 525,
     RANGE = 526,
     READ = 527,
     REAL = 528,
     REASSIGN = 529,
     RECHECK = 530,
     RECURSIVE = 531,
     REFERENCES = 532,
     REINDEX = 533,
     RELATIVE_P = 534,
     RELEASE = 535,
     RENAME = 536,
     REPEATABLE = 537,
     REPLACE = 538,
     REPLICA = 539,
     RESET = 540,
     RESTART = 541,
     RESTRICT = 542,
     RETURNING = 543,
     RETURNS = 544,
     REVOKE = 545,
     RIGHT = 546,
     ROLE = 547,
     ROLLBACK = 548,
     ROW = 549,
     ROWS = 550,
     RULE = 551,
     SAVEPOINT = 552,
     SCHEMA = 553,
     SCROLL = 554,
     SEARCH = 555,
     SECOND_P = 556,
     SECURITY = 557,
     SELECT = 558,
     SEQUENCE = 559,
     SERIALIZABLE = 560,
     SERVER = 561,
     SESSION = 562,
     SESSION_USER = 563,
     SET = 564,
     SETOF = 565,
     SHARE = 566,
     SHOW = 567,
     SIMILAR = 568,
     SIMPLE = 569,
     SMALLINT = 570,
     SOME = 571,
     STABLE = 572,
     STANDALONE_P = 573,
     START = 574,
     STATEMENT = 575,
     STATISTICS = 576,
     STDIN = 577,
     STDOUT = 578,
     STORAGE = 579,
     STRICT_P = 580,
     STRIP_P = 581,
     SUBSTRING = 582,
     SUPERUSER_P = 583,
     SYMMETRIC = 584,
     SYSID = 585,
     SYSTEM_P = 586,
     TABLE = 587,
     TABLESPACE = 588,
     TEMP = 589,
     TEMPLATE = 590,
     TEMPORARY = 591,
     TEXT_P = 592,
     THEN = 593,
     TIME = 594,
     TIMESTAMP = 595,
     TO = 596,
     TRAILING = 597,
     TRANSACTION = 598,
     TREAT = 599,
     TRIGGER = 600,
     TRIM = 601,
     TRUE_P = 602,
     TRUNCATE = 603,
     TRUSTED = 604,
     TYPE_P = 605,
     UNBOUNDED = 606,
     UNCOMMITTED = 607,
     UNENCRYPTED = 608,
     UNION = 609,
     UNIQUE = 610,
     UNKNOWN = 611,
     UNLISTEN = 612,
     UNTIL = 613,
     UPDATE = 614,
     USER = 615,
     USING = 616,
     VACUUM = 617,
     VALID = 618,
     VALIDATOR = 619,
     VALUE_P = 620,
     VALUES = 621,
     VARCHAR = 622,
     VARIADIC = 623,
     VARYING = 624,
     VERBOSE = 625,
     VERSION_P = 626,
     VIEW = 627,
     VOLATILE = 628,
     WHEN = 629,
     WHERE = 630,
     WHITESPACE_P = 631,
     WINDOW = 632,
     WITH = 633,
     WITHOUT = 634,
     WORK = 635,
     WRAPPER = 636,
     WRITE = 637,
     XML_P = 638,
     XMLATTRIBUTES = 639,
     XMLCONCAT = 640,
     XMLELEMENT = 641,
     XMLFOREST = 642,
     XMLPARSE = 643,
     XMLPI = 644,
     XMLROOT = 645,
     XMLSERIALIZE = 646,
     YEAR_P = 647,
     YES_P = 648,
     ZONE = 649,
     NULLS_FIRST = 650,
     NULLS_LAST = 651,
     WITH_TIME = 652,
     IDENT = 653,
     FCONST = 654,
     SCONST = 655,
     BCONST = 656,
     XCONST = 657,
     Op = 658,
     ICONST = 659,
     PARAM = 660,
     POSTFIXOP = 661,
     UMINUS = 662,
     TYPECAST = 663
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 147 "gram.y"

	int					ival;
	char				chr;
	char				*str;
	const char			*keyword;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;

	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;

	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 293 of yacc.c  */
#line 703 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 728 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  660
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   56392

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  426
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  477
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1986
/* YYNRULES -- Number of states.  */
#define YYNSTATES  3618

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   663

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   414,     2,     2,
     419,   420,   412,   410,   424,   411,   422,   413,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   425,   423,
     407,   406,   408,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   417,     2,   418,   415,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   409,   416,   421
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   212,   218,   220,   221,
     224,   225,   228,   231,   235,   239,   241,   243,   245,   247,
     249,   251,   253,   255,   257,   259,   261,   263,   267,   271,
     274,   277,   280,   283,   287,   291,   297,   303,   308,   314,
     319,   323,   329,   333,   339,   345,   352,   354,   356,   360,
     366,   373,   378,   380,   381,   384,   385,   387,   389,   391,
     393,   395,   397,   400,   404,   408,   412,   416,   420,   424,
     428,   432,   435,   441,   444,   447,   450,   453,   457,   461,
     465,   467,   471,   473,   477,   479,   481,   483,   486,   489,
     492,   494,   496,   498,   500,   502,   504,   506,   510,   517,
     519,   521,   523,   525,   527,   528,   530,   532,   535,   539,
     544,   548,   551,   554,   556,   559,   563,   568,   572,   575,
     580,   582,   584,   586,   588,   590,   593,   596,   599,   602,
     607,   612,   617,   622,   624,   628,   632,   637,   644,   651,
     658,   665,   670,   678,   681,   686,   690,   694,   698,   702,
     706,   711,   716,   720,   724,   728,   732,   736,   740,   745,
     750,   754,   757,   761,   765,   769,   772,   775,   779,   782,
     784,   786,   787,   790,   791,   795,   798,   799,   801,   805,
     809,   811,   817,   821,   824,   827,   838,   845,   847,   849,
     851,   853,   855,   858,   859,   861,   863,   867,   871,   873,
     875,   879,   883,   887,   892,   894,   895,   898,   899,   903,
     904,   906,   907,   919,   932,   934,   936,   939,   942,   945,
     948,   949,   951,   952,   954,   958,   960,   962,   964,   968,
     971,   972,   976,   978,   980,   983,   985,   989,   994,   999,
    1002,  1008,  1010,  1013,  1016,  1019,  1023,  1026,  1027,  1030,
    1033,  1036,  1039,  1042,  1045,  1049,  1051,  1056,  1063,  1071,
    1083,  1087,  1088,  1090,  1094,  1096,  1099,  1102,  1105,  1106,
    1108,  1110,  1113,  1116,  1117,  1121,  1125,  1128,  1130,  1132,
    1135,  1138,  1143,  1144,  1147,  1150,  1153,  1154,  1158,  1163,
    1168,  1169,  1172,  1173,  1178,  1179,  1187,  1193,  1197,  1198,
    1200,  1204,  1206,  1209,  1213,  1214,  1220,  1225,  1227,  1228,
    1230,  1233,  1236,  1238,  1241,  1245,  1248,  1251,  1254,  1257,
    1261,  1265,  1267,  1271,  1273,  1274,  1276,  1279,  1281,  1287,
    1297,  1299,  1300,  1302,  1305,  1308,  1311,  1313,  1314,  1317,
    1318,  1324,  1332,  1334,  1335,  1342,  1345,  1346,  1350,  1356,
    1364,  1371,  1380,  1388,  1395,  1402,  1407,  1408,  1410,  1414,
    1419,  1421,  1425,  1427,  1430,  1433,  1436,  1439,  1441,  1443,
    1454,  1457,  1458,  1461,  1464,  1466,  1467,  1472,  1479,  1485,
    1490,  1495,  1504,  1506,  1508,  1510,  1518,  1528,  1537,  1552,
    1572,  1574,  1576,  1578,  1582,  1584,  1586,  1588,  1590,  1594,
    1595,  1597,  1598,  1600,  1602,  1604,  1608,  1609,  1611,  1613,
    1615,  1617,  1619,  1621,  1624,  1625,  1627,  1630,  1632,  1635,
    1636,  1639,  1641,  1644,  1647,  1654,  1663,  1672,  1677,  1683,
    1688,  1693,  1698,  1702,  1710,  1719,  1726,  1733,  1740,  1747,
    1751,  1753,  1757,  1761,  1763,  1765,  1767,  1769,  1771,  1773,
    1777,  1781,  1785,  1787,  1791,  1795,  1797,  1801,  1815,  1817,
    1821,  1826,  1832,  1837,  1845,  1848,  1850,  1851,  1854,  1855,
    1857,  1858,  1865,  1874,  1883,  1885,  1889,  1895,  1901,  1909,
    1919,  1927,  1937,  1943,  1950,  1957,  1962,  1964,  1966,  1968,
    1970,  1972,  1974,  1976,  1978,  1982,  1986,  1990,  1994,  1996,
    2000,  2002,  2005,  2008,  2012,  2018,  2021,  2024,  2025,  2032,
    2040,  2048,  2056,  2065,  2074,  2081,  2090,  2100,  2110,  2118,
    2129,  2137,  2146,  2155,  2164,  2173,  2175,  2177,  2179,  2181,
    2183,  2185,  2187,  2189,  2191,  2193,  2195,  2197,  2199,  2201,
    2206,  2209,  2214,  2217,  2218,  2220,  2222,  2224,  2226,  2229,
    2232,  2234,  2236,  2238,  2241,  2244,  2246,  2249,  2252,  2254,
    2256,  2264,  2272,  2283,  2285,  2287,  2290,  2295,  2301,  2303,
    2307,  2310,  2313,  2316,  2319,  2321,  2324,  2327,  2332,  2336,
    2339,  2342,  2345,  2348,  2351,  2353,  2357,  2359,  2362,  2366,
    2367,  2369,  2373,  2376,  2383,  2390,  2400,  2404,  2405,  2409,
    2410,  2424,  2439,  2441,  2442,  2445,  2446,  2448,  2452,  2457,
    2462,  2469,  2471,  2474,  2475,  2477,  2479,  2480,  2482,  2484,
    2485,  2495,  2508,  2516,  2519,  2520,  2524,  2527,  2529,  2533,
    2537,  2540,  2542,  2546,  2550,  2554,  2557,  2560,  2562,  2564,
    2566,  2568,  2571,  2573,  2575,  2577,  2579,  2584,  2590,  2592,
    2596,  2600,  2602,  2605,  2610,  2616,  2618,  2620,  2622,  2624,
    2628,  2632,  2635,  2638,  2641,  2644,  2646,  2649,  2652,  2654,
    2656,  2658,  2662,  2665,  2666,  2669,  2671,  2675,  2681,  2683,
    2686,  2688,  2689,  2695,  2703,  2709,  2717,  2723,  2731,  2735,
    2741,  2747,  2753,  2755,  2759,  2771,  2782,  2793,  2796,  2799,
    2800,  2810,  2813,  2814,  2819,  2824,  2829,  2831,  2833,  2835,
    2836,  2844,  2851,  2858,  2865,  2872,  2880,  2890,  2900,  2907,
    2914,  2921,  2928,  2935,  2944,  2953,  2960,  2967,  2974,  2983,
    2992,  3001,  3010,  3017,  3019,  3020,  3023,  3024,  3032,  3039,
    3046,  3053,  3060,  3067,  3074,  3082,  3089,  3096,  3103,  3110,
    3118,  3126,  3136,  3146,  3153,  3160,  3167,  3176,  3185,  3194,
    3201,  3202,  3217,  3219,  3221,  3225,  3229,  3231,  3233,  3235,
    3237,  3239,  3241,  3243,  3244,  3246,  3248,  3250,  3252,  3254,
    3256,  3257,  3264,  3273,  3276,  3279,  3282,  3285,  3288,  3292,
    3296,  3299,  3302,  3305,  3308,  3312,  3315,  3321,  3326,  3330,
    3334,  3338,  3340,  3342,  3343,  3347,  3350,  3353,  3355,  3359,
    3362,  3364,  3365,  3374,  3385,  3389,  3394,  3399,  3400,  3403,
    3409,  3412,  3413,  3417,  3421,  3425,  3429,  3433,  3437,  3441,
    3445,  3449,  3453,  3457,  3461,  3465,  3470,  3474,  3478,  3480,
    3481,  3487,  3494,  3499,  3502,  3503,  3508,  3512,  3518,  3525,
    3530,  3537,  3544,  3550,  3558,  3560,  3561,  3568,  3580,  3592,
    3604,  3618,  3628,  3640,  3651,  3656,  3659,  3665,  3668,  3669,
    3674,  3680,  3686,  3689,  3694,  3696,  3698,  3700,  3701,  3703,
    3704,  3706,  3707,  3711,  3712,  3717,  3719,  3721,  3723,  3725,
    3727,  3729,  3731,  3733,  3734,  3740,  3744,  3745,  3747,  3749,
    3751,  3753,  3757,  3766,  3770,  3771,  3774,  3778,  3781,  3785,
    3791,  3793,  3798,  3801,  3803,  3807,  3810,  3813,  3814,  3821,
    3824,  3825,  3831,  3835,  3836,  3839,  3842,  3845,  3849,  3851,
    3855,  3857,  3860,  3862,  3863,  3871,  3873,  3877,  3879,  3881,
    3885,  3891,  3894,  3896,  3900,  3908,  3909,  3913,  3916,  3919,
    3922,  3923,  3926,  3929,  3931,  3933,  3937,  3941,  3943,  3946,
    3951,  3956,  3959,  3963,  3969,  3975,  3977,  3979,  3989,  3991,
    3994,  3999,  4004,  4009,  4012,  4016,  4018,  4022,  4027,  4030,
    4031,  4035,  4039,  4044,  4049,  4054,  4059,  4062,  4064,  4066,
    4067,  4069,  4071,  4072,  4074,  4080,  4082,  4083,  4085,  4086,
    4090,  4092,  4096,  4101,  4105,  4110,  4115,  4118,  4121,  4126,
    4130,  4136,  4145,  4147,  4148,  4150,  4152,  4154,  4158,  4159,
    4161,  4163,  4165,  4167,  4169,  4171,  4175,  4176,  4179,  4180,
    4182,  4186,  4188,  4189,  4191,  4194,  4199,  4204,  4207,  4208,
    4211,  4215,  4218,  4219,  4221,  4225,  4227,  4230,  4232,  4235,
    4241,  4248,  4254,  4256,  4259,  4261,  4266,  4270,  4275,  4281,
    4286,  4292,  4297,  4303,  4306,  4311,  4313,  4316,  4319,  4322,
    4324,  4326,  4327,  4332,  4335,  4337,  4340,  4343,  4348,  4350,
    4354,  4356,  4359,  4363,  4365,  4368,  4369,  4372,  4377,  4382,
    4383,  4385,  4389,  4392,  4395,  4399,  4405,  4412,  4415,  4419,
    4423,  4428,  4429,  4431,  4433,  4435,  4437,  4439,  4442,  4448,
    4450,  4452,  4454,  4456,  4459,  4463,  4467,  4468,  4470,  4472,
    4474,  4476,  4478,  4481,  4484,  4487,  4490,  4493,  4495,  4499,
    4500,  4502,  4504,  4506,  4508,  4514,  4517,  4519,  4521,  4523,
    4525,  4531,  4534,  4537,  4540,  4542,  4546,  4550,  4553,  4555,
    4556,  4560,  4561,  4567,  4570,  4576,  4579,  4581,  4584,  4588,
    4589,  4591,  4593,  4595,  4597,  4599,  4601,  4605,  4609,  4613,
    4617,  4621,  4625,  4629,  4630,  4632,  4637,  4639,  4643,  4649,
    4652,  4655,  4659,  4663,  4667,  4671,  4675,  4679,  4683,  4687,
    4691,  4695,  4698,  4701,  4705,  4709,  4712,  4716,  4722,  4727,
    4734,  4738,  4744,  4749,  4756,  4761,  4768,  4774,  4782,  4786,
    4789,  4794,  4797,  4801,  4805,  4810,  4814,  4819,  4823,  4828,
    4834,  4841,  4848,  4856,  4863,  4871,  4878,  4886,  4890,  4895,
    4900,  4907,  4910,  4914,  4919,  4921,  4925,  4928,  4931,  4935,
    4939,  4943,  4947,  4951,  4955,  4959,  4963,  4967,  4971,  4974,
    4977,  4983,  4990,  4997,  5005,  5009,  5014,  5016,  5018,  5021,
    5026,  5028,  5030,  5032,  5035,  5038,  5041,  5044,  5046,  5051,
    5057,  5064,  5073,  5080,  5087,  5093,  5095,  5097,  5102,  5104,
    5109,  5111,  5116,  5118,  5123,  5125,  5127,  5129,  5131,  5133,
    5135,  5142,  5147,  5152,  5157,  5162,  5169,  5175,  5181,  5187,
    5192,  5199,  5204,  5209,  5214,  5219,  5225,  5233,  5241,  5251,
    5256,  5263,  5269,  5277,  5285,  5293,  5296,  5300,  5304,  5308,
    5313,  5314,  5319,  5321,  5325,  5329,  5331,  5333,  5335,  5338,
    5341,  5342,  5345,  5346,  5348,  5352,  5356,  5359,  5362,  5363,
    5370,  5372,  5373,  5377,  5378,  5381,  5384,  5385,  5387,  5392,
    5395,  5398,  5401,  5406,  5410,  5416,  5418,  5420,  5422,  5424,
    5426,  5428,  5430,  5432,  5434,  5436,  5438,  5440,  5442,  5444,
    5446,  5451,  5453,  5458,  5460,  5465,  5467,  5470,  5472,  5475,
    5477,  5481,  5483,  5487,  5491,  5495,  5498,  5500,  5504,  5508,
    5509,  5511,  5513,  5515,  5517,  5519,  5521,  5523,  5525,  5530,
    5534,  5537,  5541,  5542,  5546,  5550,  5553,  5556,  5558,  5559,
    5562,  5565,  5569,  5572,  5574,  5576,  5580,  5586,  5588,  5591,
    5596,  5599,  5600,  5602,  5603,  5605,  5608,  5611,  5614,  5618,
    5624,  5626,  5629,  5630,  5633,  5635,  5636,  5638,  5640,  5642,
    5646,  5650,  5652,  5656,  5660,  5663,  5665,  5667,  5669,  5671,
    5673,  5677,  5679,  5682,  5684,  5688,  5690,  5692,  5694,  5696,
    5698,  5700,  5702,  5705,  5707,  5709,  5711,  5713,  5715,  5718,
    5724,  5727,  5731,  5738,  5740,  5742,  5744,  5746,  5748,  5750,
    5752,  5755,  5758,  5760,  5762,  5764,  5766,  5768,  5770,  5772,
    5774,  5776,  5778,  5780,  5782,  5784,  5786,  5788,  5790,  5792,
    5794,  5796,  5798,  5800,  5802,  5804,  5806,  5808,  5810,  5812,
    5814,  5816,  5818,  5820,  5822,  5824,  5826,  5828,  5830,  5832,
    5834,  5836,  5838,  5840,  5842,  5844,  5846,  5848,  5850,  5852,
    5854,  5856,  5858,  5860,  5862,  5864,  5866,  5868,  5870,  5872,
    5874,  5876,  5878,  5880,  5882,  5884,  5886,  5888,  5890,  5892,
    5894,  5896,  5898,  5900,  5902,  5904,  5906,  5908,  5910,  5912,
    5914,  5916,  5918,  5920,  5922,  5924,  5926,  5928,  5930,  5932,
    5934,  5936,  5938,  5940,  5942,  5944,  5946,  5948,  5950,  5952,
    5954,  5956,  5958,  5960,  5962,  5964,  5966,  5968,  5970,  5972,
    5974,  5976,  5978,  5980,  5982,  5984,  5986,  5988,  5990,  5992,
    5994,  5996,  5998,  6000,  6002,  6004,  6006,  6008,  6010,  6012,
    6014,  6016,  6018,  6020,  6022,  6024,  6026,  6028,  6030,  6032,
    6034,  6036,  6038,  6040,  6042,  6044,  6046,  6048,  6050,  6052,
    6054,  6056,  6058,  6060,  6062,  6064,  6066,  6068,  6070,  6072,
    6074,  6076,  6078,  6080,  6082,  6084,  6086,  6088,  6090,  6092,
    6094,  6096,  6098,  6100,  6102,  6104,  6106,  6108,  6110,  6112,
    6114,  6116,  6118,  6120,  6122,  6124,  6126,  6128,  6130,  6132,
    6134,  6136,  6138,  6140,  6142,  6144,  6146,  6148,  6150,  6152,
    6154,  6156,  6158,  6160,  6162,  6164,  6166,  6168,  6170,  6172,
    6174,  6176,  6178,  6180,  6182,  6184,  6186,  6188,  6190,  6192,
    6194,  6196,  6198,  6200,  6202,  6204,  6206,  6208,  6210,  6212,
    6214,  6216,  6218,  6220,  6222,  6224,  6226,  6228,  6230,  6232,
    6234,  6236,  6238,  6240,  6242,  6244,  6246,  6248,  6250,  6252,
    6254,  6256,  6258,  6260,  6262,  6264,  6266,  6268,  6270,  6272,
    6274,  6276,  6278,  6280,  6282,  6284,  6286,  6288,  6290,  6292,
    6294,  6296,  6298,  6300,  6302,  6304,  6306,  6308,  6310,  6312,
    6314,  6316,  6318,  6320,  6322,  6324,  6326,  6328,  6330,  6332,
    6334,  6336,  6338,  6340,  6342,  6344,  6346,  6348,  6350,  6352,
    6354,  6356,  6358,  6360,  6362,  6364,  6366,  6368,  6370,  6372,
    6374,  6376,  6378,  6380,  6382,  6384,  6386,  6388,  6390,  6392,
    6394,  6396,  6398,  6400,  6402,  6404,  6406,  6408,  6410,  6412,
    6414,  6416,  6418,  6420,  6422,  6424,  6426,  6428,  6430,  6432,
    6434,  6436,  6438,  6440,  6442,  6444,  6446,  6448,  6450,  6452,
    6454,  6456,  6458,  6460,  6462,  6464,  6466,  6468,  6470,  6472,
    6474,  6476,  6478,  6480,  6482,  6484,  6486,  6488,  6490,  6492,
    6494,  6496,  6498,  6500,  6502,  6504,  6506,  6508,  6510,  6512,
    6514,  6516,  6518,  6520,  6522,  6524,  6526,  6528,  6530,  6532,
    6534,  6536,  6538,  6540,  6542,  6544,  6546,  6548,  6550,  6552,
    6554,  6556,  6558,  6560,  6562,  6564,  6566
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     427,     0,    -1,   428,    -1,   428,   423,   429,    -1,   429,
      -1,   699,    -1,   700,    -1,   705,    -1,   541,    -1,   555,
      -1,   655,    -1,   442,    -1,   673,    -1,   674,    -1,   522,
      -1,   467,    -1,   436,    -1,   435,    -1,   708,    -1,   707,
      -1,   559,    -1,   438,    -1,   437,    -1,   713,    -1,   465,
      -1,   477,    -1,   710,    -1,   607,    -1,   462,    -1,   478,
      -1,   515,    -1,   574,    -1,   663,    -1,   709,    -1,   704,
      -1,   539,    -1,   550,    -1,   636,    -1,   441,    -1,   586,
      -1,   592,    -1,   593,    -1,   528,    -1,   445,    -1,   521,
      -1,   487,    -1,   536,    -1,   560,    -1,   430,    -1,   434,
      -1,   556,    -1,   695,    -1,   727,    -1,   746,    -1,   576,
      -1,   733,    -1,   466,    -1,   575,    -1,   665,    -1,   540,
      -1,   554,    -1,   444,    -1,   596,    -1,   597,    -1,   598,
      -1,   534,    -1,   683,    -1,   600,    -1,   538,    -1,   573,
      -1,   439,    -1,   440,    -1,   558,    -1,   703,    -1,   725,
      -1,   719,    -1,   610,    -1,   613,    -1,   624,    -1,   628,
      -1,   728,    -1,   685,    -1,   694,    -1,   735,    -1,   684,
      -1,   722,    -1,   599,    -1,   667,    -1,   659,    -1,   658,
      -1,   660,    -1,   670,    -1,   614,    -1,   625,    -1,   675,
      -1,   749,    -1,   687,    -1,   605,    -1,   686,    -1,   739,
      -1,   712,    -1,   459,    -1,   449,    -1,   461,    -1,   692,
      -1,    -1,    69,   292,   893,   431,   432,    -1,   378,    -1,
      -1,   432,   433,    -1,    -1,   256,   892,    -1,   256,   229,
      -1,   114,   256,   892,    -1,   353,   256,   892,    -1,   328,
      -1,   223,    -1,   161,    -1,   220,    -1,    70,    -1,   217,
      -1,    71,    -1,   218,    -1,    72,    -1,   219,    -1,   200,
      -1,   221,    -1,    61,   192,   894,    -1,   363,   358,   892,
      -1,   360,   882,    -1,   330,   891,    -1,     8,   882,    -1,
     292,   882,    -1,   156,   292,   882,    -1,   156,   144,   882,
      -1,    69,   360,   893,   431,   432,    -1,    13,   292,   893,
     431,   432,    -1,    13,   292,   893,   460,    -1,    13,   360,
     893,   431,   432,    -1,    13,   360,   893,   460,    -1,   109,
     292,   882,    -1,   109,   292,   151,   122,   882,    -1,   109,
     360,   882,    -1,   109,   360,   151,   122,   882,    -1,    69,
     144,   893,   431,   432,    -1,    13,   144,   893,   443,   360,
     882,    -1,     7,    -1,   109,    -1,   109,   144,   882,    -1,
     109,   144,   151,   122,   882,    -1,    69,   298,   446,    26,
     893,   447,    -1,    69,   298,   895,   447,    -1,   895,    -1,
      -1,   447,   448,    -1,    -1,   487,    -1,   628,    -1,   521,
      -1,   560,    -1,   613,    -1,   692,    -1,   309,   450,    -1,
     309,   195,   450,    -1,   309,   307,   450,    -1,   451,   341,
     452,    -1,   451,   406,   452,    -1,   451,   341,    92,    -1,
     451,   406,    92,    -1,   451,   137,    75,    -1,   339,   394,
     456,    -1,   343,   690,    -1,   307,    47,    20,   343,   690,
      -1,    43,   892,    -1,   298,   892,    -1,   210,   457,    -1,
     292,   458,    -1,   307,    26,   458,    -1,   307,    26,    92,
      -1,   383,   242,   831,    -1,   895,    -1,   451,   422,   895,
      -1,   453,    -1,   452,   424,   453,    -1,   455,    -1,   458,
      -1,   527,    -1,   272,   352,    -1,   272,    58,    -1,   282,
     272,    -1,   305,    -1,   347,    -1,   126,    -1,   239,    -1,
     235,    -1,   892,    -1,   398,    -1,   818,   892,   820,    -1,
     818,   419,   891,   420,   892,   820,    -1,   527,    -1,    92,
      -1,   195,    -1,   892,    -1,    92,    -1,    -1,   895,    -1,
     892,    -1,   285,   451,    -1,   285,   339,   394,    -1,   285,
     343,   178,   190,    -1,   285,   307,    26,    -1,   285,    11,
      -1,   309,   450,    -1,   459,    -1,   312,   451,    -1,   312,
     339,   394,    -1,   312,   343,   178,   190,    -1,   312,   307,
      26,    -1,   312,    11,    -1,   309,    63,   463,   464,    -1,
      11,    -1,   880,    -1,    95,    -1,   153,    -1,    49,    -1,
     103,    11,    -1,   103,   334,    -1,   103,   336,    -1,   103,
     258,    -1,    13,   332,   790,   468,    -1,    13,   159,   881,
     468,    -1,    13,   304,   881,   468,    -1,    13,   372,   881,
     468,    -1,   469,    -1,   468,   424,   469,    -1,     7,   671,
     492,    -1,    13,   671,   895,   470,    -1,    13,   671,   895,
     109,   224,   229,    -1,    13,   671,   895,   309,   224,   229,
      -1,    13,   671,   895,   309,   321,   894,    -1,    13,   671,
     895,   309,   324,   895,    -1,   109,   671,   895,   471,    -1,
      13,   671,   895,   672,   350,   798,   472,    -1,     7,   500,
      -1,   109,    62,   883,   471,    -1,   309,   378,   237,    -1,
     309,   379,   237,    -1,    52,   239,   883,    -1,   309,   379,
      52,    -1,   112,   345,   883,    -1,   112,    14,   345,   883,
      -1,   112,   284,   345,   883,    -1,   112,   345,    11,    -1,
     112,   345,   360,    -1,   102,   345,   883,    -1,   102,   345,
      11,    -1,   102,   345,   360,    -1,   112,   296,   883,    -1,
     112,    14,   296,   883,    -1,   112,   284,   296,   883,    -1,
     102,   296,   883,    -1,   161,   881,    -1,   216,   161,   881,
      -1,   252,   341,   893,    -1,   309,   333,   883,    -1,   309,
     473,    -1,   285,   473,    -1,   309,    92,   822,    -1,   109,
      92,    -1,    39,    -1,   287,    -1,    -1,   361,   822,    -1,
      -1,   419,   475,   420,    -1,   378,   473,    -1,    -1,   476,
      -1,   475,   424,   476,    -1,   897,   406,   580,    -1,   897,
      -1,   897,   422,   897,   406,   580,    -1,   897,   422,   897,
      -1,    51,   883,    -1,    51,    11,    -1,    67,   483,   881,
     502,   484,   479,   480,   485,   431,   481,    -1,    67,   750,
     341,   480,   431,   481,    -1,   137,    -1,   341,    -1,   892,
      -1,   322,    -1,   323,    -1,   481,   482,    -1,    -1,    32,
      -1,   237,    -1,    98,   706,   892,    -1,   229,   706,   892,
      -1,    74,    -1,   147,    -1,   270,   706,   892,    -1,   117,
     706,   892,    -1,   133,   270,   503,    -1,   133,   224,   229,
     503,    -1,    32,    -1,    -1,   378,   237,    -1,    -1,   486,
      99,   892,    -1,    -1,   361,    -1,    -1,    69,   488,   332,
     881,   419,   489,   420,   510,   511,   512,   513,    -1,    69,
     488,   332,   881,   234,   881,   419,   489,   420,   511,   512,
     513,    -1,   336,    -1,   334,    -1,   195,   336,    -1,   195,
     334,    -1,   140,   336,    -1,   140,   334,    -1,    -1,   490,
      -1,    -1,   491,    -1,   490,   424,   491,    -1,   492,    -1,
     497,    -1,   500,    -1,   895,   798,   493,    -1,   493,   494,
      -1,    -1,    62,   883,   495,    -1,   495,    -1,   496,    -1,
     224,   229,    -1,   229,    -1,   355,   652,   514,    -1,   265,
     180,   652,   514,    -1,    48,   419,   822,   420,    -1,    92,
     823,    -1,   277,   881,   502,   505,   506,    -1,    94,    -1,
     224,    94,    -1,   163,    95,    -1,   163,   153,    -1,   191,
     881,   498,    -1,   498,   499,    -1,    -1,   157,    93,    -1,
     119,    93,    -1,   157,    63,    -1,   119,    63,    -1,   157,
     160,    -1,   119,   160,    -1,    62,   883,   501,    -1,   501,
      -1,    48,   419,   822,   420,    -1,   355,   419,   503,   420,
     652,   514,    -1,   265,   180,   419,   503,   420,   652,   514,
      -1,   134,   180,   419,   503,   420,   277,   881,   502,   505,
     506,   570,    -1,   419,   503,   420,    -1,    -1,   504,    -1,
     503,   424,   504,    -1,   895,    -1,   202,   138,    -1,   202,
     254,    -1,   202,   314,    -1,    -1,   507,    -1,   508,    -1,
     507,   508,    -1,   508,   507,    -1,    -1,   239,   359,   509,
      -1,   239,    97,   509,    -1,   216,     6,    -1,   287,    -1,
      39,    -1,   309,   229,    -1,   309,    92,    -1,   162,   419,
     880,   420,    -1,    -1,   378,   473,    -1,   378,   237,    -1,
     379,   237,    -1,    -1,   239,    57,   109,    -1,   239,    57,
      97,   295,    -1,   239,    57,   262,   295,    -1,    -1,   333,
     883,    -1,    -1,   361,   159,   333,   883,    -1,    -1,    69,
     488,   332,   516,    20,   749,   520,    -1,   881,   517,   511,
     512,   513,    -1,   419,   518,   420,    -1,    -1,   519,    -1,
     518,   424,   519,    -1,   895,    -1,   378,    85,    -1,   378,
     216,    85,    -1,    -1,    69,   488,   304,   881,   523,    -1,
      13,   304,   881,   524,    -1,   524,    -1,    -1,   525,    -1,
     524,   525,    -1,    37,   527,    -1,    84,    -1,   216,    84,
      -1,   158,   526,   527,    -1,   203,   527,    -1,   205,   527,
      -1,   216,   203,    -1,   216,   205,    -1,   251,    36,   603,
      -1,   319,   431,   527,    -1,   286,    -1,   286,   431,   527,
      -1,    36,    -1,    -1,   399,    -1,   411,   399,    -1,   894,
      -1,    69,   529,   535,   182,   458,    -1,    69,   529,   535,
     182,   458,   145,   530,   532,   533,    -1,   349,    -1,    -1,
     883,    -1,   883,   604,    -1,   364,   530,    -1,   216,   364,
      -1,   531,    -1,    -1,   181,   892,    -1,    -1,   109,   535,
     182,   458,   471,    -1,   109,   535,   182,   151,   122,   458,
     471,    -1,   268,    -1,    -1,    69,   333,   883,   537,   198,
     892,    -1,   252,   883,    -1,    -1,   109,   333,   883,    -1,
     109,   333,   151,   122,   883,    -1,    69,   134,    85,   381,
     883,   532,   542,    -1,   109,   134,    85,   381,   883,   471,
      -1,   109,   134,    85,   381,   151,   122,   883,   471,    -1,
      13,   134,    85,   381,   883,   531,   544,    -1,    13,   134,
      85,   381,   883,   531,    -1,    13,   134,    85,   381,   883,
     544,    -1,   243,   419,   543,   420,    -1,    -1,   547,    -1,
     543,   424,   547,    -1,   243,   419,   545,   420,    -1,   546,
      -1,   545,   424,   546,    -1,   547,    -1,   309,   547,    -1,
       7,   547,    -1,   109,   548,    -1,   548,   549,    -1,   897,
      -1,   892,    -1,    69,   306,   883,   551,   553,   134,    85,
     381,   883,   542,    -1,   350,   892,    -1,    -1,   371,   892,
      -1,   371,   229,    -1,   552,    -1,    -1,   109,   306,   883,
     471,    -1,   109,   306,   151,   122,   883,   471,    -1,    13,
     306,   883,   552,   544,    -1,    13,   306,   883,   552,    -1,
      13,   306,   883,   544,    -1,    69,   360,   201,   132,   557,
     306,   883,   542,    -1,    82,    -1,   360,    -1,   893,    -1,
     109,   360,   201,   132,   557,   306,   883,    -1,   109,   360,
     201,   151,   122,   132,   557,   306,   883,    -1,    13,   360,
     201,   132,   557,   306,   883,   544,    -1,    69,   345,   883,
     561,   562,   239,   881,   564,   121,   269,   889,   419,   567,
     420,    -1,    69,    62,   345,   883,     9,   562,   239,   881,
     569,   570,   132,   110,   294,   121,   269,   889,   419,   567,
     420,    -1,    28,    -1,     9,    -1,   563,    -1,   562,   244,
     563,    -1,   168,    -1,    97,    -1,   359,    -1,   348,    -1,
     132,   565,   566,    -1,    -1,   110,    -1,    -1,   294,    -1,
     320,    -1,   568,    -1,   567,   424,   568,    -1,    -1,   891,
      -1,   399,    -1,   892,    -1,   401,    -1,   402,    -1,   895,
      -1,   137,   881,    -1,    -1,   571,    -1,   571,   572,    -1,
     572,    -1,   572,   571,    -1,    -1,   224,    94,    -1,    94,
      -1,   163,   153,    -1,   163,    95,    -1,   109,   345,   883,
     239,   881,   471,    -1,   109,   345,   151,   122,   883,   239,
     881,   471,    -1,    69,    22,   883,    48,   419,   822,   420,
     570,    -1,   109,    22,   883,   471,    -1,    69,    10,   889,
     581,   577,    -1,    69,    10,   889,   582,    -1,    69,   241,
     662,   577,    -1,    69,   350,   603,   577,    -1,    69,   350,
     603,    -1,    69,   350,   603,    20,   419,   796,   420,    -1,
      69,   350,   603,    20,   116,   419,   585,   420,    -1,    69,
     337,   300,   253,   603,   577,    -1,    69,   337,   300,   101,
     603,   577,    -1,    69,   337,   300,   335,   603,   577,    -1,
      69,   337,   300,    60,   603,   577,    -1,   419,   578,   420,
      -1,   579,    -1,   578,   424,   579,    -1,   897,   406,   580,
      -1,   897,    -1,   646,    -1,   901,    -1,   848,    -1,   527,
      -1,   892,    -1,   419,   851,   420,    -1,   419,   412,   420,
      -1,   419,   583,   420,    -1,   584,    -1,   583,   424,   584,
      -1,   398,   406,   580,    -1,   892,    -1,   585,   424,   892,
      -1,    69,   241,    50,   603,   589,   132,   350,   798,   361,
     885,   590,    20,   587,    -1,   588,    -1,   587,   424,   588,
      -1,   241,   891,   662,   591,    -1,   241,   891,   662,   661,
     591,    -1,   139,   891,   889,   638,    -1,   139,   891,   419,
     851,   420,   889,   638,    -1,   324,   798,    -1,    92,    -1,
      -1,   127,   603,    -1,    -1,   275,    -1,    -1,    69,   241,
     127,   603,   361,   885,    -1,    13,   241,   127,   603,   361,
     885,     7,   587,    -1,    13,   241,   127,   603,   361,   885,
     109,   594,    -1,   595,    -1,   594,   424,   595,    -1,   241,
     891,   419,   851,   420,    -1,   139,   891,   419,   851,   420,
      -1,   109,   241,    50,   603,   361,   885,   471,    -1,   109,
     241,    50,   151,   122,   603,   361,   885,   471,    -1,   109,
     241,   127,   603,   361,   885,   471,    -1,   109,   241,   127,
     151,   122,   603,   361,   885,   471,    -1,   109,   251,    36,
     882,   471,    -1,   274,   251,    36,   882,   341,   883,    -1,
     109,   601,   151,   122,   602,   471,    -1,   109,   601,   602,
     471,    -1,   332,    -1,   304,    -1,   372,    -1,   159,    -1,
     350,    -1,   107,    -1,    66,    -1,   298,    -1,   337,   300,
     253,    -1,   337,   300,   101,    -1,   337,   300,   335,    -1,
     337,   300,    60,    -1,   603,    -1,   602,   424,   603,    -1,
     895,    -1,   895,   604,    -1,   422,   886,    -1,   604,   422,
     886,    -1,   348,   759,   791,   606,   471,    -1,    65,   150,
      -1,   286,   150,    -1,    -1,    56,   239,   608,   603,   176,
     609,    -1,    56,   239,    10,   889,   581,   176,   609,    -1,
      56,   239,   139,   889,   638,   176,   609,    -1,    56,   239,
     241,   662,   661,   176,   609,    -1,    56,   239,    62,   883,
     239,   603,   176,   609,    -1,    56,   239,   296,   883,   239,
     603,   176,   609,    -1,    56,   239,   296,   883,   176,   609,
      -1,    56,   239,   345,   883,   239,   603,   176,   609,    -1,
      56,   239,   241,    50,   603,   361,   885,   176,   609,    -1,
      56,   239,   241,   127,   603,   361,   885,   176,   609,    -1,
      56,   239,   183,   233,   527,   176,   609,    -1,    56,   239,
      42,   419,   798,    20,   798,   420,   176,   609,    -1,    56,
     239,   535,   182,   603,   176,   609,    -1,    56,   239,   337,
     300,   253,   603,   176,   609,    -1,    56,   239,   337,   300,
     101,   603,   176,   609,    -1,    56,   239,   337,   300,   335,
     603,   176,   609,    -1,    56,   239,   337,   300,    60,   603,
     176,   609,    -1,    55,    -1,    86,    -1,   298,    -1,   159,
      -1,   304,    -1,   332,    -1,   107,    -1,   350,    -1,   372,
      -1,    66,    -1,   333,    -1,   292,    -1,   892,    -1,   229,
      -1,   128,   611,   612,   883,    -1,   128,   883,    -1,   208,
     611,   612,   883,    -1,   208,   883,    -1,    -1,   215,    -1,
     266,    -1,   129,    -1,   184,    -1,     4,   894,    -1,   279,
     894,    -1,   894,    -1,    11,    -1,   135,    -1,   135,   894,
      -1,   135,    11,    -1,    27,    -1,    27,   894,    -1,    27,
      11,    -1,   137,    -1,   156,    -1,   141,   615,   239,   618,
     341,   619,   621,    -1,   290,   615,   239,   618,   137,   619,
     471,    -1,   290,   141,   242,   132,   615,   239,   618,   137,
     619,   471,    -1,   616,    -1,    11,    -1,    11,   267,    -1,
      11,   419,   503,   420,    -1,    11,   267,   419,   503,   420,
      -1,   617,    -1,   616,   424,   617,    -1,   303,   502,    -1,
     277,   502,    -1,    69,   502,    -1,   895,   502,    -1,   880,
      -1,   332,   880,    -1,   304,   880,    -1,   134,    85,   381,
     882,    -1,   134,   306,   882,    -1,   139,   622,    -1,    86,
     882,    -1,   182,   882,    -1,   298,   882,    -1,   333,   882,
      -1,   620,    -1,   619,   424,   620,    -1,   893,    -1,   144,
     893,    -1,   378,   141,   242,    -1,    -1,   623,    -1,   622,
     424,   623,    -1,   889,   638,    -1,   141,   616,   341,   882,
     626,   627,    -1,   290,   616,   137,   882,   627,   471,    -1,
     290,     8,   242,   132,   616,   137,   882,   627,   471,    -1,
     378,     8,   242,    -1,    -1,   142,    36,   893,    -1,    -1,
      69,   629,   159,   887,   239,   881,   630,   419,   631,   420,
     474,   513,   794,    -1,    69,   629,   159,    59,   887,   239,
     881,   630,   419,   631,   420,   474,   513,   794,    -1,   355,
      -1,    -1,   361,   885,    -1,    -1,   632,    -1,   631,   424,
     632,    -1,   895,   633,   634,   635,    -1,   825,   633,   634,
     635,    -1,   419,   822,   420,   633,   634,   635,    -1,   603,
      -1,   361,   603,    -1,    -1,    21,    -1,   100,    -1,    -1,
     395,    -1,   396,    -1,    -1,    69,   637,   139,   889,   640,
     289,   645,   648,   652,    -1,    69,   637,   139,   889,   640,
     289,   332,   419,   654,   420,   648,   652,    -1,    69,   637,
     139,   889,   640,   648,   652,    -1,   244,   283,    -1,    -1,
     419,   639,   420,    -1,   419,   420,    -1,   642,    -1,   639,
     424,   642,    -1,   419,   641,   420,    -1,   419,   420,    -1,
     647,    -1,   641,   424,   647,    -1,   643,   644,   646,    -1,
     644,   643,   646,    -1,   644,   646,    -1,   643,   646,    -1,
     646,    -1,   156,    -1,   246,    -1,   165,    -1,   156,   246,
      -1,   368,    -1,   896,    -1,   646,    -1,   798,    -1,   896,
     604,   414,   350,    -1,   310,   896,   604,   414,   350,    -1,
     642,    -1,   642,    92,   822,    -1,   642,   406,   822,    -1,
     650,    -1,   648,   650,    -1,    38,   239,   229,   166,    -1,
     289,   229,   239,   229,   166,    -1,   325,    -1,   154,    -1,
     317,    -1,   373,    -1,   124,   302,    96,    -1,   124,   302,
     175,    -1,   302,    96,    -1,   302,   175,    -1,    68,   527,
      -1,   295,   527,    -1,   460,    -1,    20,   651,    -1,   182,
     458,    -1,   377,    -1,   649,    -1,   892,    -1,   892,   424,
     892,    -1,   378,   577,    -1,    -1,   644,   646,    -1,   653,
      -1,   654,   424,   653,    -1,    13,   139,   623,   656,   657,
      -1,   649,    -1,   656,   649,    -1,   287,    -1,    -1,   109,
     139,   889,   638,   471,    -1,   109,   139,   151,   122,   889,
     638,   471,    -1,   109,    10,   889,   581,   471,    -1,   109,
      10,   151,   122,   889,   581,   471,    -1,   109,   241,   662,
     661,   471,    -1,   109,   241,   151,   122,   662,   661,   471,
      -1,   419,   798,   420,    -1,   419,   798,   424,   798,   420,
      -1,   419,   222,   424,   798,   420,    -1,   419,   798,   424,
     222,   420,    -1,   845,    -1,   895,   422,   662,    -1,    69,
      42,   419,   798,    20,   798,   420,   378,   139,   623,   664,
      -1,    69,    42,   419,   798,    20,   798,   420,   379,   139,
     664,    -1,    69,    42,   419,   798,    20,   798,   420,   378,
     165,   664,    -1,    20,   155,    -1,    20,    23,    -1,    -1,
     109,    42,   666,   419,   798,    20,   798,   420,   471,    -1,
     151,   122,    -1,    -1,   278,   668,   881,   669,    -1,   278,
     331,   883,   669,    -1,   278,    86,   883,   669,    -1,   159,
      -1,   332,    -1,   133,    -1,    -1,    13,    10,   889,   581,
     281,   341,   883,    -1,    13,    66,   603,   281,   341,   883,
      -1,    13,    86,   884,   281,   341,   884,    -1,    13,   139,
     623,   281,   341,   883,    -1,    13,   144,   893,   281,   341,
     893,    -1,    13,   535,   182,   883,   281,   341,   883,    -1,
      13,   241,    50,   603,   361,   885,   281,   341,   883,    -1,
      13,   241,   127,   603,   361,   885,   281,   341,   883,    -1,
      13,   298,   883,   281,   341,   883,    -1,    13,   332,   790,
     281,   341,   883,    -1,    13,   304,   881,   281,   341,   883,
      -1,    13,   372,   881,   281,   341,   883,    -1,    13,   159,
     881,   281,   341,   883,    -1,    13,   332,   790,   281,   671,
     883,   341,   883,    -1,    13,   345,   883,   239,   881,   281,
     341,   883,    -1,    13,   292,   893,   281,   341,   893,    -1,
      13,   360,   893,   281,   341,   893,    -1,    13,   333,   883,
     281,   341,   883,    -1,    13,   337,   300,   253,   603,   281,
     341,   883,    -1,    13,   337,   300,   101,   603,   281,   341,
     883,    -1,    13,   337,   300,   335,   603,   281,   341,   883,
      -1,    13,   337,   300,    60,   603,   281,   341,   883,    -1,
      13,   350,   603,   281,   341,   883,    -1,    55,    -1,    -1,
     309,    85,    -1,    -1,    13,    10,   889,   581,   309,   298,
     883,    -1,    13,   107,   603,   309,   298,   883,    -1,    13,
     139,   623,   309,   298,   883,    -1,    13,   332,   790,   309,
     298,   883,    -1,    13,   304,   881,   309,   298,   883,    -1,
      13,   372,   881,   309,   298,   883,    -1,    13,   350,   603,
     309,   298,   883,    -1,    13,    10,   889,   581,   252,   341,
     893,    -1,    13,    66,   603,   252,   341,   893,    -1,    13,
      86,   884,   252,   341,   893,    -1,    13,   107,   603,   252,
     341,   893,    -1,    13,   139,   623,   252,   341,   893,    -1,
      13,   535,   182,   883,   252,   341,   893,    -1,    13,   241,
     662,   661,   252,   341,   893,    -1,    13,   241,    50,   603,
     361,   885,   252,   341,   893,    -1,    13,   241,   127,   603,
     361,   885,   252,   341,   893,    -1,    13,   298,   883,   252,
     341,   893,    -1,    13,   350,   603,   252,   341,   893,    -1,
      13,   333,   883,   252,   341,   893,    -1,    13,   337,   300,
     101,   603,   252,   341,   893,    -1,    13,   337,   300,    60,
     603,   252,   341,   893,    -1,    13,   134,    85,   381,   883,
     252,   341,   893,    -1,    13,   306,   883,   252,   341,   893,
      -1,    -1,    69,   637,   296,   883,    20,   676,   239,   681,
     341,   881,   794,   105,   682,   677,    -1,   225,    -1,   679,
      -1,   419,   678,   420,    -1,   678,   423,   680,    -1,   680,
      -1,   749,    -1,   728,    -1,   739,    -1,   733,    -1,   684,
      -1,   679,    -1,    -1,   303,    -1,   359,    -1,    97,    -1,
     168,    -1,   169,    -1,    12,    -1,    -1,   109,   296,   883,
     239,   881,   471,    -1,   109,   296,   151,   122,   883,   239,
     881,   471,    -1,   226,   895,    -1,   193,   895,    -1,   357,
     895,    -1,   357,   412,    -1,     3,   688,    -1,    29,   688,
     691,    -1,   319,   343,   691,    -1,    57,   688,    -1,   115,
     688,    -1,   293,   688,    -1,   297,   895,    -1,   280,   297,
     895,    -1,   280,   895,    -1,   293,   688,   341,   297,   895,
      -1,   293,   688,   341,   895,    -1,   263,   343,   892,    -1,
      57,   264,   892,    -1,   293,   264,   892,    -1,   380,    -1,
     343,    -1,    -1,   178,   190,   454,    -1,   272,   240,    -1,
     272,   382,    -1,   689,    -1,   690,   424,   689,    -1,   690,
     689,    -1,   690,    -1,    -1,    69,   488,   372,   881,   502,
      20,   749,   693,    -1,    69,   244,   283,   488,   372,   881,
     502,    20,   749,   693,    -1,   378,    48,   242,    -1,   378,
      40,    48,   242,    -1,   378,   195,    48,   242,    -1,    -1,
     194,   888,    -1,    69,    86,   884,   431,   696,    -1,   696,
     697,    -1,    -1,   333,   698,   883,    -1,   333,   698,    92,
      -1,   198,   698,   892,    -1,   198,   698,    92,    -1,   335,
     698,   883,    -1,   335,   698,    92,    -1,   113,   698,   892,
      -1,   113,   698,   891,    -1,   113,   698,    92,    -1,   185,
     698,   892,    -1,   185,   698,    92,    -1,   186,   698,   892,
      -1,   186,   698,    92,    -1,    61,   192,   698,   894,    -1,
     252,   698,   883,    -1,   252,   698,    92,    -1,   406,    -1,
      -1,    13,    86,   884,   431,   701,    -1,    13,    86,   884,
     309,   333,   883,    -1,    13,    86,   884,   460,    -1,   701,
     702,    -1,    -1,    61,   192,   698,   894,    -1,   109,    86,
     884,    -1,   109,    86,   151,   122,   884,    -1,    69,   107,
     603,   706,   798,   493,    -1,    13,   107,   603,   470,    -1,
      13,   107,   603,   109,   224,   229,    -1,    13,   107,   603,
     309,   224,   229,    -1,    13,   107,   603,     7,   500,    -1,
      13,   107,   603,   109,    62,   883,   471,    -1,    20,    -1,
      -1,    13,   337,   300,   101,   603,   577,    -1,    13,   337,
     300,    60,   603,     7,   201,   132,   882,   378,   602,    -1,
      13,   337,   300,    60,   603,    13,   201,   132,   882,   378,
     602,    -1,    13,   337,   300,    60,   603,    13,   201,   283,
     603,   378,   603,    -1,    13,   337,   300,    60,   603,    13,
     201,   132,   882,   283,   603,   378,   603,    -1,    13,   337,
     300,    60,   603,   109,   201,   132,   882,    -1,    13,   337,
     300,    60,   603,   109,   201,   151,   122,   132,   882,    -1,
      69,   589,    66,   603,   132,   892,   341,   892,   137,   603,
      -1,    52,   715,   881,   711,    -1,    52,   715,    -1,    52,
     715,   887,   239,   881,    -1,   361,   887,    -1,    -1,   362,
     716,   717,   715,    -1,   362,   716,   717,   715,   881,    -1,
     362,   716,   717,   715,   713,    -1,   714,   715,    -1,   714,
     715,   881,   718,    -1,    16,    -1,    15,    -1,   370,    -1,
      -1,   138,    -1,    -1,   136,    -1,    -1,   419,   882,   420,
      -1,    -1,   123,   721,   715,   720,    -1,   749,    -1,   728,
      -1,   739,    -1,   733,    -1,   746,    -1,   515,    -1,   725,
      -1,   714,    -1,    -1,   263,   883,   723,    20,   724,    -1,
     419,   851,   420,    -1,    -1,   749,    -1,   728,    -1,   739,
      -1,   733,    -1,   121,   883,   726,    -1,    69,   488,   332,
     516,    20,   121,   883,   726,    -1,   419,   850,   420,    -1,
      -1,    88,   883,    -1,    88,   263,   883,    -1,    88,    11,
      -1,    88,   263,    11,    -1,   168,   174,   881,   729,   732,
      -1,   749,    -1,   419,   730,   420,   749,    -1,    92,   366,
      -1,   731,    -1,   730,   424,   731,    -1,   895,   872,    -1,
     288,   877,    -1,    -1,    97,   137,   792,   734,   795,   732,
      -1,   361,   783,    -1,    -1,   199,   759,   791,   736,   738,
      -1,   156,   737,   206,    -1,    -1,     5,   311,    -1,   294,
     311,    -1,   294,   120,    -1,   311,   359,   120,    -1,   311,
      -1,   311,   294,   120,    -1,   120,    -1,     5,   120,    -1,
     228,    -1,    -1,   359,   792,   309,   740,   782,   795,   732,
      -1,   741,    -1,   740,   424,   741,    -1,   742,    -1,   743,
      -1,   744,   406,   874,    -1,   419,   745,   420,   406,   876,
      -1,   895,   872,    -1,   744,    -1,   745,   424,   744,    -1,
      91,   883,   747,    83,   748,   132,   749,    -1,    -1,   747,
     216,   299,    -1,   747,   299,    -1,   747,    32,    -1,   747,
     167,    -1,    -1,   378,   148,    -1,   379,   148,    -1,   751,
      -1,   750,    -1,   419,   751,   420,    -1,   419,   750,   420,
      -1,   753,    -1,   752,   763,    -1,   752,   762,   776,   767,
      -1,   752,   762,   766,   777,    -1,   754,   752,    -1,   754,
     752,   763,    -1,   754,   752,   762,   776,   767,    -1,   754,
     752,   762,   766,   777,    -1,   753,    -1,   750,    -1,   303,
     761,   877,   757,   782,   794,   774,   775,   833,    -1,   781,
      -1,   332,   790,    -1,   752,   354,   760,   752,    -1,   752,
     172,   760,   752,    -1,   752,   118,   760,   752,    -1,   378,
     755,    -1,   378,   276,   755,    -1,   756,    -1,   755,   424,
     756,    -1,   883,   718,    20,   750,    -1,   174,   758,    -1,
      -1,   336,   759,   881,    -1,   334,   759,   881,    -1,   195,
     336,   759,   881,    -1,   195,   334,   759,   881,    -1,   140,
     336,   759,   881,    -1,   140,   334,   759,   881,    -1,   332,
     881,    -1,   881,    -1,   332,    -1,    -1,    11,    -1,   104,
      -1,    -1,   104,    -1,   104,   239,   419,   850,   420,    -1,
      11,    -1,    -1,   763,    -1,    -1,   245,    36,   764,    -1,
     765,    -1,   764,   424,   765,    -1,   822,   361,   848,   635,
      -1,   822,   634,   635,    -1,   192,   768,   236,   770,    -1,
     236,   770,   192,   768,    -1,   192,   768,    -1,   236,   770,
      -1,   192,   768,   424,   770,    -1,   236,   771,   772,    -1,
     128,   773,   769,   772,   240,    -1,   236,   771,   772,   128,
     773,   769,   772,   240,    -1,   766,    -1,    -1,   822,    -1,
      11,    -1,   894,    -1,   419,   822,   420,    -1,    -1,   822,
      -1,   824,    -1,   294,    -1,   295,    -1,   129,    -1,   215,
      -1,   144,    36,   850,    -1,    -1,   146,   822,    -1,    -1,
     778,    -1,   132,   272,   240,    -1,   776,    -1,    -1,   779,
      -1,   778,   779,    -1,   132,   359,   780,   738,    -1,   132,
     311,   780,   738,    -1,   234,   880,    -1,    -1,   366,   876,
      -1,   781,   424,   876,    -1,   137,   783,    -1,    -1,   784,
      -1,   783,   424,   784,    -1,   790,    -1,   790,   786,    -1,
     793,    -1,   793,   786,    -1,   793,    20,   419,   796,   420,
      -1,   793,    20,   895,   419,   796,   420,    -1,   793,   895,
     419,   796,   420,    -1,   750,    -1,   750,   786,    -1,   785,
      -1,   419,   785,   420,   786,    -1,   419,   785,   420,    -1,
     784,    73,   179,   784,    -1,   784,   787,   179,   784,   789,
      -1,   784,   179,   784,   789,    -1,   784,   212,   787,   179,
     784,    -1,   784,   212,   179,   784,    -1,    20,   895,   419,
     882,   420,    -1,    20,   895,    -1,   895,   419,   882,   420,
      -1,   895,    -1,   138,   788,    -1,   189,   788,    -1,   291,
     788,    -1,   164,    -1,   247,    -1,    -1,   361,   419,   882,
     420,    -1,   239,   822,    -1,   881,    -1,   881,   412,    -1,
     240,   881,    -1,   240,   419,   881,   420,    -1,   790,    -1,
     791,   424,   790,    -1,   790,    -1,   790,   895,    -1,   790,
      20,   895,    -1,   825,    -1,   375,   822,    -1,    -1,   375,
     822,    -1,   375,    75,   234,   883,    -1,   375,    75,   234,
     405,    -1,    -1,   797,    -1,   796,   424,   797,    -1,   895,
     798,    -1,   800,   799,    -1,   310,   800,   799,    -1,   800,
      19,   417,   891,   418,    -1,   310,   800,    19,   417,   891,
     418,    -1,   800,    19,    -1,   310,   800,    19,    -1,   799,
     417,   418,    -1,   799,   417,   891,   418,    -1,    -1,   802,
      -1,   804,    -1,   806,    -1,   810,    -1,   817,    -1,   818,
     820,    -1,   818,   419,   891,   420,   820,    -1,   804,    -1,
     807,    -1,   811,    -1,   817,    -1,   896,   803,    -1,   896,
     604,   803,    -1,   419,   850,   420,    -1,    -1,   170,    -1,
     171,    -1,   315,    -1,    31,    -1,   273,    -1,   130,   805,
      -1,   108,   261,    -1,    90,   803,    -1,    89,   803,    -1,
     232,   803,    -1,    34,    -1,   419,   891,   420,    -1,    -1,
     808,    -1,   809,    -1,   808,    -1,   809,    -1,    33,   815,
     419,   850,   420,    -1,    33,   815,    -1,   812,    -1,   813,
      -1,   812,    -1,   813,    -1,   814,   419,   891,   420,   816,
      -1,   814,   816,    -1,    46,   815,    -1,    45,   815,    -1,
     367,    -1,   211,    46,   815,    -1,   211,    45,   815,    -1,
     213,   815,    -1,   369,    -1,    -1,    46,   309,   895,    -1,
      -1,   340,   419,   891,   420,   819,    -1,   340,   819,    -1,
     339,   419,   891,   420,   819,    -1,   339,   819,    -1,   173,
      -1,   397,   394,    -1,   379,   339,   394,    -1,    -1,   392,
      -1,   207,    -1,    87,    -1,   149,    -1,   204,    -1,   821,
      -1,   392,   341,   207,    -1,    87,   341,   149,    -1,    87,
     341,   204,    -1,    87,   341,   821,    -1,   149,   341,   204,
      -1,   149,   341,   821,    -1,   204,   341,   821,    -1,    -1,
     301,    -1,   301,   419,   891,   420,    -1,   824,    -1,   822,
     421,   798,    -1,   822,    25,   339,   394,   822,    -1,   410,
     822,    -1,   411,   822,    -1,   822,   410,   822,    -1,   822,
     411,   822,    -1,   822,   412,   822,    -1,   822,   413,   822,
      -1,   822,   414,   822,    -1,   822,   415,   822,    -1,   822,
     407,   822,    -1,   822,   408,   822,    -1,   822,   406,   822,
      -1,   822,   847,   822,    -1,   847,   822,    -1,   822,   847,
      -1,   822,    17,   822,    -1,   822,   244,   822,    -1,   224,
     822,    -1,   822,   191,   822,    -1,   822,   191,   822,   117,
     822,    -1,   822,   224,   191,   822,    -1,   822,   224,   191,
     822,   117,   822,    -1,   822,   152,   822,    -1,   822,   152,
     822,   117,   822,    -1,   822,   224,   152,   822,    -1,   822,
     224,   152,   822,   117,   822,    -1,   822,   313,   341,   822,
      -1,   822,   313,   341,   822,   117,   822,    -1,   822,   224,
     313,   341,   822,    -1,   822,   224,   313,   341,   822,   117,
     822,    -1,   822,   176,   229,    -1,   822,   177,    -1,   822,
     176,   224,   229,    -1,   822,   227,    -1,   843,   249,   843,
      -1,   822,   176,   347,    -1,   822,   176,   224,   347,    -1,
     822,   176,   126,    -1,   822,   176,   224,   126,    -1,   822,
     176,   356,    -1,   822,   176,   224,   356,    -1,   822,   176,
     104,   137,   822,    -1,   822,   176,   224,   104,   137,   822,
      -1,   822,   176,   234,   419,   851,   420,    -1,   822,   176,
     224,   234,   419,   851,   420,    -1,   822,    30,   873,   823,
      17,   823,    -1,   822,   224,    30,   873,   823,    17,   823,
      -1,   822,    30,   329,   823,    17,   823,    -1,   822,   224,
      30,   329,   823,    17,   823,    -1,   822,   156,   863,    -1,
     822,   224,   156,   863,    -1,   822,   849,   844,   750,    -1,
     822,   849,   844,   419,   822,   420,    -1,   355,   750,    -1,
     822,   176,   106,    -1,   822,   176,   224,   106,    -1,   824,
      -1,   823,   421,   798,    -1,   410,   823,    -1,   411,   823,
      -1,   823,   410,   823,    -1,   823,   411,   823,    -1,   823,
     412,   823,    -1,   823,   413,   823,    -1,   823,   414,   823,
      -1,   823,   415,   823,    -1,   823,   407,   823,    -1,   823,
     408,   823,    -1,   823,   406,   823,    -1,   823,   847,   823,
      -1,   847,   823,    -1,   823,   847,    -1,   823,   176,   104,
     137,   823,    -1,   823,   176,   224,   104,   137,   823,    -1,
     823,   176,   234,   419,   851,   420,    -1,   823,   176,   224,
     234,   419,   851,   420,    -1,   823,   176,   106,    -1,   823,
     176,   224,   106,    -1,   869,    -1,   890,    -1,   405,   872,
      -1,   419,   822,   420,   872,    -1,   864,    -1,   825,    -1,
     750,    -1,   750,   871,    -1,   122,   750,    -1,    19,   750,
      -1,    19,   852,    -1,   843,    -1,   889,   419,   420,   836,
      -1,   889,   419,   850,   420,   836,    -1,   889,   419,   368,
     822,   420,   836,    -1,   889,   419,   850,   424,   368,   822,
     420,   836,    -1,   889,   419,    11,   850,   420,   836,    -1,
     889,   419,   104,   850,   420,   836,    -1,   889,   419,   412,
     420,   836,    -1,    77,    -1,    80,    -1,    80,   419,   891,
     420,    -1,    81,    -1,    81,   419,   891,   420,    -1,   196,
      -1,   196,   419,   891,   420,    -1,   197,    -1,   197,   419,
     891,   420,    -1,    78,    -1,    82,    -1,   308,    -1,   360,
      -1,    76,    -1,    79,    -1,    42,   419,   822,    20,   798,
     420,    -1,   125,   419,   854,   420,    -1,   250,   419,   856,
     420,    -1,   259,   419,   858,   420,    -1,   327,   419,   859,
     420,    -1,   344,   419,   822,    20,   798,   420,    -1,   346,
     419,    35,   862,   420,    -1,   346,   419,   187,   862,   420,
      -1,   346,   419,   342,   862,   420,    -1,   346,   419,   862,
     420,    -1,   230,   419,   822,   424,   822,   420,    -1,    53,
     419,   850,   420,    -1,   143,   419,   850,   420,    -1,   188,
     419,   850,   420,    -1,   385,   419,   850,   420,    -1,   386,
     419,   209,   897,   420,    -1,   386,   419,   209,   897,   424,
     828,   420,    -1,   386,   419,   209,   897,   424,   850,   420,
      -1,   386,   419,   209,   897,   424,   828,   424,   850,   420,
      -1,   387,   419,   829,   420,    -1,   388,   419,   831,   822,
     832,   420,    -1,   389,   419,   209,   897,   420,    -1,   389,
     419,   209,   897,   424,   822,   420,    -1,   390,   419,   822,
     424,   826,   827,   420,    -1,   391,   419,   831,   822,    20,
     800,   420,    -1,   371,   822,    -1,   371,   216,   365,    -1,
     424,   318,   393,    -1,   424,   318,   216,    -1,   424,   318,
     216,   365,    -1,    -1,   384,   419,   829,   420,    -1,   830,
      -1,   829,   424,   830,    -1,   822,    20,   897,    -1,   822,
      -1,   106,    -1,    64,    -1,   262,   376,    -1,   326,   376,
      -1,    -1,   377,   834,    -1,    -1,   835,    -1,   834,   424,
     835,    -1,   895,    20,   837,    -1,   248,   837,    -1,   248,
     895,    -1,    -1,   419,   838,   839,   762,   840,   420,    -1,
     895,    -1,    -1,   255,    36,   850,    -1,    -1,   271,   841,
      -1,   295,   841,    -1,    -1,   842,    -1,    30,   842,    17,
     842,    -1,   351,   260,    -1,   351,   131,    -1,    75,   294,
      -1,   294,   419,   850,   420,    -1,   294,   419,   420,    -1,
     419,   850,   424,   822,   420,    -1,    18,    -1,   316,    -1,
      11,    -1,   403,    -1,   846,    -1,   410,    -1,   411,    -1,
     412,    -1,   413,    -1,   414,    -1,   415,    -1,   407,    -1,
     408,    -1,   406,    -1,   403,    -1,   241,   419,   662,   420,
      -1,   845,    -1,   241,   419,   662,   420,    -1,   845,    -1,
     241,   419,   662,   420,    -1,   191,    -1,   224,   191,    -1,
     152,    -1,   224,   152,    -1,   822,    -1,   850,   424,   822,
      -1,   798,    -1,   851,   424,   798,    -1,   417,   850,   418,
      -1,   417,   853,   418,    -1,   417,   418,    -1,   852,    -1,
     853,   424,   852,    -1,   855,   137,   822,    -1,    -1,   398,
      -1,   392,    -1,   207,    -1,    87,    -1,   149,    -1,   204,
      -1,   301,    -1,   892,    -1,   822,   857,   860,   861,    -1,
     822,   857,   860,    -1,   257,   822,    -1,   823,   156,   823,
      -1,    -1,   822,   860,   861,    -1,   822,   861,   860,    -1,
     822,   860,    -1,   822,   861,    -1,   850,    -1,    -1,   137,
     822,    -1,   132,   822,    -1,   822,   137,   850,    -1,   137,
     850,    -1,   850,    -1,   750,    -1,   419,   850,   420,    -1,
      41,   868,   865,   867,   115,    -1,   866,    -1,   865,   866,
      -1,   374,   822,   338,   822,    -1,   111,   822,    -1,    -1,
     822,    -1,    -1,   879,    -1,   879,   871,    -1,   422,   886,
      -1,   422,   412,    -1,   417,   822,   418,    -1,   417,   822,
     425,   822,   418,    -1,   870,    -1,   871,   870,    -1,    -1,
     872,   870,    -1,    24,    -1,    -1,   822,    -1,    92,    -1,
     874,    -1,   875,   424,   874,    -1,   419,   875,   420,    -1,
     878,    -1,   877,   424,   878,    -1,   822,    20,   897,    -1,
     822,   398,    -1,   822,    -1,   412,    -1,   902,    -1,   895,
      -1,   881,    -1,   880,   424,   881,    -1,   879,    -1,   879,
     871,    -1,   883,    -1,   882,   424,   883,    -1,   895,    -1,
     895,    -1,   895,    -1,   897,    -1,   895,    -1,   892,    -1,
     896,    -1,   879,   871,    -1,   891,    -1,   399,    -1,   892,
      -1,   401,    -1,   402,    -1,   889,   892,    -1,   889,   419,
     850,   420,   892,    -1,   801,   892,    -1,   818,   892,   820,
      -1,   818,   419,   891,   420,   892,   820,    -1,   347,    -1,
     126,    -1,   229,    -1,   404,    -1,   400,    -1,   895,    -1,
     891,    -1,   410,   891,    -1,   411,   891,    -1,   398,    -1,
     898,    -1,   899,    -1,   398,    -1,   898,    -1,   900,    -1,
     398,    -1,   898,    -1,   899,    -1,   900,    -1,   901,    -1,
       3,    -1,     4,    -1,     5,    -1,     6,    -1,     7,    -1,
       8,    -1,     9,    -1,    10,    -1,    12,    -1,    13,    -1,
      14,    -1,    22,    -1,    23,    -1,    25,    -1,    27,    -1,
      28,    -1,    29,    -1,    36,    -1,    37,    -1,    38,    -1,
      39,    -1,    40,    -1,    43,    -1,    44,    -1,    47,    -1,
      49,    -1,    50,    -1,    51,    -1,    52,    -1,    56,    -1,
      57,    -1,    58,    -1,    59,    -1,    60,    -1,    61,    -1,
      63,    -1,    64,    -1,    65,    -1,    66,    -1,    67,    -1,
      68,    -1,    70,    -1,    71,    -1,    72,    -1,    74,    -1,
      75,    -1,    83,    -1,    84,    -1,    85,    -1,    86,    -1,
      87,    -1,    88,    -1,    91,    -1,    93,    -1,    95,    -1,
      96,    -1,    97,    -1,    98,    -1,    99,    -1,   101,    -1,
     102,    -1,   103,    -1,   106,    -1,   107,    -1,   108,    -1,
     109,    -1,   110,    -1,   112,    -1,   113,    -1,   114,    -1,
     116,    -1,   117,    -1,   119,    -1,   120,    -1,   121,    -1,
     123,    -1,   124,    -1,   127,    -1,   129,    -1,   131,    -1,
     133,    -1,   135,    -1,   139,    -1,   140,    -1,   142,    -1,
     145,    -1,   147,    -1,   148,    -1,   149,    -1,   150,    -1,
     151,    -1,   153,    -1,   154,    -1,   155,    -1,   157,    -1,
     158,    -1,   159,    -1,   160,    -1,   161,    -1,   162,    -1,
     166,    -1,   167,    -1,   168,    -1,   169,    -1,   175,    -1,
     178,    -1,   180,    -1,   181,    -1,   182,    -1,   183,    -1,
     184,    -1,   185,    -1,   186,    -1,   190,    -1,   193,    -1,
     194,    -1,   195,    -1,   198,    -1,   199,    -1,   200,    -1,
     201,    -1,   202,    -1,   203,    -1,   204,    -1,   205,    -1,
     206,    -1,   207,    -1,   208,    -1,   209,    -1,   210,    -1,
     215,    -1,   216,    -1,   217,    -1,   218,    -1,   219,    -1,
     220,    -1,   221,    -1,   223,    -1,   225,    -1,   226,    -1,
     228,    -1,   231,    -1,   233,    -1,   234,    -1,   237,    -1,
     241,    -1,   242,    -1,   243,    -1,   251,    -1,   252,    -1,
     253,    -1,   254,    -1,   255,    -1,   256,    -1,   258,    -1,
     260,    -1,   263,    -1,   264,    -1,   262,    -1,   266,    -1,
     267,    -1,   268,    -1,   269,    -1,   270,    -1,   271,    -1,
     272,    -1,   274,    -1,   275,    -1,   276,    -1,   278,    -1,
     279,    -1,   280,    -1,   281,    -1,   282,    -1,   283,    -1,
     284,    -1,   285,    -1,   286,    -1,   287,    -1,   289,    -1,
     290,    -1,   292,    -1,   293,    -1,   295,    -1,   296,    -1,
     297,    -1,   298,    -1,   299,    -1,   300,    -1,   301,    -1,
     302,    -1,   304,    -1,   305,    -1,   306,    -1,   307,    -1,
     309,    -1,   311,    -1,   312,    -1,   314,    -1,   317,    -1,
     318,    -1,   319,    -1,   320,    -1,   321,    -1,   322,    -1,
     323,    -1,   324,    -1,   325,    -1,   326,    -1,   328,    -1,
     330,    -1,   331,    -1,   333,    -1,   334,    -1,   335,    -1,
     336,    -1,   337,    -1,   343,    -1,   345,    -1,   348,    -1,
     349,    -1,   350,    -1,   351,    -1,   352,    -1,   353,    -1,
     356,    -1,   357,    -1,   358,    -1,   359,    -1,   362,    -1,
     363,    -1,   364,    -1,   365,    -1,   369,    -1,   371,    -1,
     372,    -1,   373,    -1,   376,    -1,   379,    -1,   380,    -1,
     381,    -1,   382,    -1,   383,    -1,   392,    -1,   393,    -1,
     394,    -1,    31,    -1,    33,    -1,    34,    -1,    45,    -1,
      46,    -1,    53,    -1,    89,    -1,    90,    -1,   122,    -1,
     125,    -1,   130,    -1,   143,    -1,   165,    -1,   170,    -1,
     171,    -1,   173,    -1,   188,    -1,   211,    -1,   213,    -1,
     222,    -1,   230,    -1,   232,    -1,   246,    -1,   250,    -1,
     259,    -1,   261,    -1,   273,    -1,   294,    -1,   310,    -1,
     315,    -1,   327,    -1,   339,    -1,   340,    -1,   344,    -1,
     346,    -1,   366,    -1,   367,    -1,   384,    -1,   385,    -1,
     386,    -1,   387,    -1,   388,    -1,   389,    -1,   390,    -1,
     391,    -1,    26,    -1,    30,    -1,    32,    -1,    73,    -1,
      79,    -1,   136,    -1,   138,    -1,   152,    -1,   164,    -1,
     176,    -1,   177,    -1,   179,    -1,   189,    -1,   191,    -1,
     212,    -1,   227,    -1,   247,    -1,   248,    -1,   249,    -1,
     291,    -1,   313,    -1,   370,    -1,    11,    -1,    15,    -1,
      16,    -1,    17,    -1,    18,    -1,    19,    -1,    20,    -1,
      21,    -1,    24,    -1,    35,    -1,    41,    -1,    42,    -1,
      48,    -1,    54,    -1,    55,    -1,    62,    -1,    69,    -1,
      76,    -1,    77,    -1,    78,    -1,    80,    -1,    81,    -1,
      82,    -1,    92,    -1,    94,    -1,   100,    -1,   104,    -1,
     105,    -1,   111,    -1,   115,    -1,   118,    -1,   126,    -1,
     128,    -1,   132,    -1,   134,    -1,   137,    -1,   141,    -1,
     144,    -1,   146,    -1,   156,    -1,   163,    -1,   172,    -1,
     174,    -1,   187,    -1,   192,    -1,   196,    -1,   197,    -1,
     214,    -1,   224,    -1,   229,    -1,   235,    -1,   236,    -1,
     238,    -1,   239,    -1,   240,    -1,   244,    -1,   245,    -1,
     257,    -1,   265,    -1,   277,    -1,   288,    -1,   303,    -1,
     308,    -1,   316,    -1,   329,    -1,   332,    -1,   338,    -1,
     341,    -1,   342,    -1,   347,    -1,   354,    -1,   355,    -1,
     360,    -1,   361,    -1,   368,    -1,   374,    -1,   375,    -1,
     377,    -1,   378,    -1,   238,    -1,   214,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   581,   581,   585,   591,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   701,   711,   722,   723,   732,
     733,   737,   742,   746,   751,   756,   760,   764,   768,   772,
     776,   780,   784,   788,   793,   797,   801,   805,   809,   814,
     819,   823,   827,   831,   835,   849,   867,   878,   895,   907,
     927,   934,   953,   960,   977,   995,  1006,  1007,  1019,  1026,
    1043,  1055,  1067,  1068,  1072,  1073,  1081,  1082,  1083,  1084,
    1085,  1086,  1100,  1106,  1112,  1121,  1129,  1137,  1144,  1151,
    1159,  1170,  1178,  1186,  1194,  1202,  1213,  1221,  1229,  1236,
    1246,  1247,  1254,  1255,  1258,  1260,  1262,  1266,  1267,  1268,
    1269,  1273,  1274,  1275,  1276,  1288,  1292,  1296,  1311,  1334,
    1335,  1336,  1340,  1341,  1342,  1346,  1347,  1351,  1358,  1365,
    1372,  1379,  1389,  1390,  1395,  1401,  1407,  1413,  1419,  1429,
    1439,  1440,  1444,  1445,  1453,  1468,  1474,  1480,  1486,  1504,
    1512,  1520,  1528,  1539,  1540,  1545,  1553,  1562,  1570,  1578,
    1587,  1596,  1608,  1618,  1626,  1635,  1642,  1649,  1657,  1665,
    1673,  1681,  1689,  1696,  1703,  1711,  1718,  1725,  1733,  1741,
    1749,  1757,  1765,  1773,  1781,  1789,  1797,  1807,  1808,  1812,
    1813,  1814,  1818,  1819,  1823,  1826,  1827,  1831,  1832,  1837,
    1841,  1845,  1850,  1865,  1871,  1894,  1916,  1931,  1932,  1941,
    1942,  1943,  1949,  1950,  1955,  1959,  1963,  1967,  1971,  1975,
    1979,  1983,  1987,  1991,  2000,  2004,  2008,  2012,  2017,  2021,
    2025,  2026,  2037,  2051,  2077,  2078,  2079,  2080,  2081,  2082,
    2083,  2087,  2088,  2092,  2096,  2103,  2104,  2105,  2108,  2120,
    2121,  2125,  2146,  2147,  2166,  2177,  2188,  2200,  2212,  2223,
    2234,  2263,  2269,  2275,  2281,  2299,  2309,  2310,  2314,  2315,
    2316,  2317,  2318,  2319,  2328,  2349,  2353,  2363,  2375,  2387,
    2405,  2406,  2410,  2411,  2414,  2420,  2424,  2432,  2437,  2449,
    2451,  2453,  2455,  2458,  2461,  2464,  2468,  2469,  2470,  2471,
    2472,  2475,  2476,  2481,  2482,  2483,  2484,  2487,  2488,  2489,
    2490,  2493,  2494,  2497,  2498,  2508,  2533,  2545,  2546,  2550,
    2551,  2555,  2571,  2572,  2573,  2586,  2597,  2606,  2607,  2610,
    2611,  2614,  2618,  2622,  2626,  2630,  2634,  2638,  2642,  2646,
    2650,  2654,  2658,  2664,  2665,  2669,  2670,  2675,  2687,  2697,
    2711,  2712,  2720,  2721,  2725,  2726,  2730,  2731,  2735,  2736,
    2740,  2748,  2759,  2760,  2770,  2780,  2781,  2794,  2801,  2817,
    2834,  2842,  2859,  2868,  2876,  2887,  2888,  2892,  2896,  2904,
    2908,  2912,  2919,  2923,  2928,  2933,  2940,  2947,  2952,  2962,
    2976,  2977,  2982,  2983,  2987,  2988,  2998,  3006,  3023,  3032,
    3040,  3056,  3068,  3069,  3070,  3080,  3088,  3105,  3124,  3142,
    3165,  3166,  3170,  3172,  3181,  3182,  3183,  3184,  3188,  3193,
    3203,  3204,  3208,  3209,  3213,  3214,  3215,  3219,  3225,  3226,
    3227,  3228,  3229,  3233,  3234,  3238,  3240,  3249,  3256,  3266,
    3270,  3271,  3275,  3276,  3281,  3291,  3313,  3332,  3355,  3365,
    3376,  3386,  3396,  3407,  3443,  3450,  3459,  3468,  3477,  3488,
    3491,  3492,  3495,  3499,  3506,  3507,  3508,  3509,  3510,  3513,
    3514,  3517,  3520,  3521,  3529,  3535,  3537,  3554,  3569,  3570,
    3574,  3583,  3592,  3601,  3611,  3620,  3621,  3624,  3625,  3628,
    3642,  3647,  3657,  3666,  3678,  3679,  3683,  3691,  3703,  3712,
    3724,  3733,  3754,  3764,  3782,  3791,  3803,  3804,  3805,  3806,
    3807,  3808,  3809,  3810,  3811,  3812,  3813,  3814,  3818,  3819,
    3822,  3823,  3826,  3828,  3841,  3852,  3853,  3854,  3879,  3888,
    3897,  3906,  3915,  3924,  3933,  3943,  3952,  3961,  3970,  3979,
    3988,  3997,  4005,  4013,  4021,  4032,  4033,  4034,  4035,  4036,
    4037,  4038,  4039,  4040,  4041,  4042,  4043,  4047,  4048,  4058,
    4065,  4074,  4081,  4094,  4100,  4107,  4114,  4121,  4128,  4135,
    4142,  4149,  4156,  4163,  4170,  4177,  4184,  4191,  4200,  4201,
    4211,  4226,  4239,  4264,  4266,  4268,  4270,  4277,  4286,  4287,
    4290,  4297,  4304,  4311,  4325,  4332,  4339,  4346,  4353,  4360,
    4367,  4374,  4381,  4388,  4399,  4400,  4403,  4413,  4427,  4428,
    4432,  4433,  4438,  4454,  4467,  4477,  4489,  4490,  4493,  4494,
    4509,  4525,  4544,  4545,  4549,  4550,  4553,  4554,  4562,  4571,
    4580,  4591,  4592,  4593,  4596,  4597,  4598,  4601,  4602,  4603,
    4619,  4631,  4644,  4659,  4660,  4663,  4664,  4668,  4669,  4677,
    4678,  4682,  4683,  4698,  4707,  4716,  4725,  4734,  4746,  4747,
    4748,  4749,  4750,  4756,  4760,  4775,  4776,  4782,  4792,  4796,
    4801,  4811,  4812,  4819,  4823,  4827,  4831,  4835,  4839,  4843,
    4847,  4851,  4855,  4859,  4863,  4867,  4875,  4879,  4883,  4887,
    4893,  4894,  4901,  4902,  4905,  4917,  4921,  4936,  4947,  4948,
    4953,  4954,  4969,  4979,  4992,  5002,  5015,  5025,  5038,  5046,
    5048,  5050,  5055,  5057,  5068,  5079,  5090,  5103,  5104,  5105,
    5109,  5120,  5121,  5135,  5143,  5153,  5166,  5167,  5170,  5171,
    5181,  5190,  5198,  5206,  5215,  5223,  5231,  5240,  5249,  5257,
    5266,  5275,  5284,  5293,  5302,  5311,  5319,  5327,  5335,  5343,
    5351,  5359,  5367,  5377,  5378,  5381,  5382,  5392,  5401,  5409,
    5418,  5426,  5434,  5442,  5458,  5467,  5475,  5483,  5491,  5500,
    5508,  5517,  5526,  5535,  5543,  5551,  5559,  5567,  5575,  5583,
    5601,  5600,  5619,  5620,  5621,  5626,  5632,  5641,  5642,  5643,
    5644,  5645,  5649,  5650,  5653,  5654,  5655,  5656,  5660,  5661,
    5662,  5667,  5677,  5698,  5706,  5715,  5721,  5740,  5747,  5754,
    5761,  5768,  5775,  5782,  5790,  5798,  5806,  5814,  5822,  5829,
    5836,  5845,  5846,  5847,  5851,  5854,  5857,  5864,  5866,  5868,
    5873,  5875,  5887,  5898,  5912,  5918,  5924,  5930,  5940,  5956,
    5966,  5967,  5971,  5975,  5979,  5983,  5987,  5991,  5995,  5999,
    6003,  6007,  6011,  6015,  6019,  6023,  6027,  6031,  6041,  6042,
    6053,  6060,  6071,  6082,  6083,  6087,  6101,  6108,  6125,  6137,
    6146,  6154,  6162,  6171,  6182,  6183,  6194,  6204,  6214,  6224,
    6234,  6244,  6252,  6273,  6296,  6304,  6313,  6324,  6325,  6337,
    6350,  6363,  6376,  6389,  6405,  6406,  6410,  6411,  6414,  6415,
    6418,  6419,  6423,  6424,  6435,  6446,  6447,  6448,  6449,  6450,
    6451,  6452,  6456,  6457,  6467,  6477,  6478,  6482,  6483,  6484,
    6485,  6495,  6503,  6520,  6521,  6531,  6537,  6543,  6549,  6565,
    6574,  6580,  6586,  6595,  6597,  6602,  6613,  6614,  6625,  6638,
    6639,  6650,  6661,  6662,  6665,  6666,  6667,  6668,  6669,  6670,
    6671,  6672,  6675,  6676,  6687,  6704,  6705,  6709,  6710,  6714,
    6722,  6750,  6761,  6762,  6772,  6783,  6784,  6785,  6786,  6787,
    6790,  6791,  6792,  6840,  6841,  6845,  6846,  6860,  6861,  6867,
    6874,  6881,  6888,  6895,  6902,  6912,  6913,  6940,  6955,  6956,
    6975,  6979,  6983,  6998,  7005,  7015,  7016,  7019,  7031,  7041,
    7049,  7054,  7059,  7064,  7069,  7074,  7079,  7084,  7091,  7092,
    7095,  7096,  7097,  7104,  7105,  7106,  7107,  7111,  7112,  7116,
    7120,  7121,  7124,  7133,  7146,  7148,  7150,  7152,  7154,  7164,
    7166,  7168,  7173,  7175,  7179,  7180,  7193,  7194,  7195,  7199,
    7207,  7212,  7213,  7218,  7219,  7223,  7224,  7228,  7229,  7233,
    7234,  7238,  7239,  7243,  7244,  7248,  7256,  7267,  7268,  7273,
    7279,  7297,  7298,  7302,  7303,  7313,  7317,  7322,  7329,  7337,
    7344,  7354,  7364,  7392,  7399,  7403,  7429,  7433,  7445,  7458,
    7472,  7483,  7498,  7504,  7509,  7515,  7522,  7523,  7524,  7525,
    7529,  7530,  7542,  7543,  7548,  7555,  7562,  7569,  7580,  7581,
    7594,  7598,  7605,  7615,  7620,  7621,  7626,  7627,  7635,  7643,
    7648,  7652,  7658,  7679,  7684,  7691,  7696,  7702,  7707,  7716,
    7718,  7721,  7725,  7726,  7727,  7728,  7729,  7730,  7735,  7765,
    7766,  7767,  7768,  7779,  7785,  7793,  7794,  7800,  7805,  7810,
    7815,  7820,  7825,  7830,  7835,  7841,  7847,  7853,  7860,  7882,
    7891,  7895,  7903,  7907,  7915,  7927,  7948,  7952,  7958,  7962,
    7975,  7994,  8017,  8019,  8021,  8023,  8025,  8027,  8032,  8033,
    8037,  8038,  8045,  8054,  8062,  8071,  8082,  8090,  8091,  8092,
    8096,  8098,  8100,  8102,  8104,  8106,  8108,  8113,  8118,  8124,
    8132,  8137,  8144,  8151,  8155,  8159,  8189,  8190,  8192,  8213,
    8215,  8217,  8219,  8221,  8223,  8225,  8227,  8229,  8231,  8233,
    8236,  8238,  8240,  8243,  8245,  8247,  8250,  8252,  8264,  8266,
    8278,  8280,  8292,  8294,  8307,  8319,  8331,  8343,  8365,  8372,
    8379,  8386,  8393,  8415,  8422,  8429,  8436,  8443,  8450,  8457,
    8461,  8469,  8473,  8482,  8489,  8496,  8509,  8522,  8541,  8562,
    8572,  8579,  8595,  8600,  8618,  8620,  8622,  8624,  8626,  8628,
    8630,  8632,  8634,  8636,  8638,  8640,  8642,  8644,  8646,  8648,
    8650,  8654,  8659,  8663,  8667,  8672,  8689,  8690,  8691,  8706,
    8718,  8720,  8722,  8732,  8755,  8765,  8775,  8783,  8801,  8813,
    8825,  8837,  8849,  8865,  8877,  8899,  8920,  8930,  8943,  8959,
    8972,  8982,  8995,  9005,  9018,  9030,  9042,  9054,  9066,  9078,
    9090,  9092,  9104,  9121,  9134,  9149,  9170,  9185,  9197,  9209,
    9221,  9225,  9232,  9240,  9248,  9252,  9256,  9260,  9264,  9268,
    9272,  9281,  9285,  9289,  9294,  9308,  9310,  9314,  9316,  9318,
    9321,  9324,  9327,  9328,  9331,  9339,  9349,  9350,  9353,  9354,
    9355,  9362,  9363,  9367,  9368,  9373,  9381,  9383,  9395,  9398,
    9422,  9423,  9426,  9427,  9436,  9440,  9445,  9448,  9463,  9492,
    9496,  9500,  9517,  9518,  9519,  9522,  9523,  9524,  9527,  9528,
    9531,  9532,  9533,  9534,  9535,  9536,  9537,  9538,  9539,  9542,
    9544,  9549,  9551,  9556,  9558,  9560,  9562,  9564,  9566,  9578,
    9582,  9588,  9589,  9592,  9596,  9600,  9606,  9607,  9612,  9616,
    9623,  9624,  9625,  9626,  9627,  9628,  9629,  9630,  9639,  9643,
    9650,  9657,  9658,  9674,  9678,  9683,  9687,  9702,  9707,  9711,
    9714,  9717,  9718,  9719,  9722,  9729,  9739,  9753,  9754,  9758,
    9769,  9770,  9773,  9774,  9782,  9786,  9793,  9797,  9801,  9808,
    9818,  9819,  9823,  9824,  9827,  9828,  9839,  9840,  9849,  9850,
    9858,  9869,  9870,  9873,  9889,  9897,  9905,  9927,  9928,  9932,
    9933,  9944,  9952,  9980,  9982,  9987,  9990,  9993,  9995,  9997,
    9999, 10009, 10011, 10019, 10023, 10027, 10031, 10035, 10044, 10051,
   10059, 10063, 10069, 10086, 10090, 10094, 10100, 10101, 10102, 10104,
   10105, 10106, 10122, 10123, 10124, 10129, 10130, 10131, 10137, 10138,
   10139, 10140, 10141, 10161, 10162, 10163, 10164, 10165, 10166, 10167,
   10168, 10169, 10170, 10171, 10172, 10173, 10174, 10175, 10176, 10177,
   10178, 10179, 10180, 10181, 10182, 10183, 10184, 10185, 10186, 10187,
   10188, 10189, 10190, 10191, 10192, 10193, 10194, 10195, 10196, 10197,
   10198, 10199, 10200, 10201, 10202, 10203, 10204, 10205, 10206, 10207,
   10208, 10209, 10210, 10211, 10212, 10213, 10214, 10215, 10216, 10217,
   10218, 10219, 10220, 10221, 10222, 10223, 10224, 10225, 10226, 10227,
   10228, 10229, 10230, 10231, 10232, 10233, 10234, 10235, 10236, 10237,
   10238, 10239, 10240, 10241, 10242, 10243, 10244, 10245, 10246, 10247,
   10248, 10249, 10250, 10251, 10252, 10253, 10254, 10255, 10256, 10257,
   10258, 10259, 10260, 10261, 10262, 10263, 10264, 10265, 10266, 10267,
   10268, 10269, 10270, 10271, 10272, 10273, 10274, 10275, 10276, 10277,
   10278, 10279, 10280, 10281, 10282, 10283, 10284, 10285, 10286, 10287,
   10288, 10289, 10290, 10291, 10292, 10293, 10294, 10295, 10296, 10297,
   10298, 10299, 10300, 10301, 10302, 10303, 10304, 10305, 10306, 10307,
   10308, 10309, 10310, 10311, 10312, 10313, 10314, 10315, 10316, 10317,
   10318, 10319, 10320, 10321, 10322, 10323, 10324, 10325, 10326, 10327,
   10328, 10329, 10330, 10331, 10332, 10333, 10334, 10335, 10336, 10337,
   10338, 10339, 10340, 10341, 10342, 10343, 10344, 10345, 10346, 10347,
   10348, 10349, 10350, 10351, 10352, 10353, 10354, 10355, 10356, 10357,
   10358, 10359, 10360, 10361, 10362, 10363, 10364, 10365, 10366, 10367,
   10368, 10369, 10370, 10371, 10372, 10373, 10374, 10375, 10376, 10377,
   10378, 10379, 10380, 10381, 10382, 10383, 10384, 10385, 10386, 10387,
   10388, 10389, 10390, 10391, 10392, 10393, 10394, 10395, 10396, 10397,
   10398, 10399, 10400, 10401, 10402, 10403, 10404, 10405, 10406, 10420,
   10421, 10422, 10423, 10424, 10425, 10426, 10427, 10428, 10429, 10430,
   10431, 10432, 10433, 10434, 10435, 10436, 10437, 10438, 10439, 10440,
   10441, 10442, 10443, 10444, 10445, 10446, 10447, 10448, 10449, 10450,
   10451, 10452, 10453, 10454, 10455, 10456, 10457, 10458, 10459, 10460,
   10461, 10462, 10463, 10464, 10478, 10479, 10480, 10481, 10482, 10483,
   10484, 10485, 10486, 10487, 10488, 10489, 10490, 10491, 10492, 10493,
   10494, 10495, 10496, 10497, 10498, 10499, 10509, 10510, 10511, 10512,
   10513, 10514, 10515, 10516, 10517, 10518, 10519, 10520, 10521, 10522,
   10523, 10524, 10525, 10526, 10527, 10528, 10529, 10530, 10531, 10532,
   10533, 10534, 10535, 10536, 10537, 10538, 10539, 10540, 10541, 10542,
   10543, 10544, 10545, 10546, 10547, 10548, 10549, 10550, 10551, 10552,
   10553, 10554, 10555, 10556, 10557, 10558, 10559, 10560, 10561, 10562,
   10563, 10564, 10565, 10566, 10567, 10568, 10569, 10570, 10571, 10572,
   10573, 10574, 10575, 10576, 10577, 10578, 10579, 10580, 10581, 10582,
   10583, 10584, 10585, 10586, 10587, 10592, 10602
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "ABORT_P", "ABSOLUTE_P", "ACCESS",
  "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER",
  "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "AT", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLUMN", "COMMENT", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CREATEDB", "CREATEROLE", "CREATEUSER", "CROSS", "CSV",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EXCEPT", "EXCLUDING", "EXCLUSIVE",
  "EXECUTE", "EXISTS", "EXPLAIN", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LANCOMPILER", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOGIN_P", "MAPPING", "MATCH",
  "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NO",
  "NOCREATEDB", "NOCREATEROLE", "NOCREATEUSER", "NOINHERIT", "NOLOGIN_P",
  "NONE", "NOSUPERUSER", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT",
  "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF",
  "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS",
  "OR", "ORDER", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OWNED", "OWNER", "PARSER", "PARTIAL", "PARTITION", "PASSWORD",
  "PLACING", "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE",
  "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL",
  "PROCEDURE", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REFERENCES", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SUPERUSER_P", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNTIL",
  "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATOR", "VALUE_P",
  "VALUES", "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P",
  "VIEW", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT",
  "XMLSERIALIZE", "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST",
  "WITH_TIME", "IDENT", "FCONST", "SCONST", "BCONST", "XCONST", "Op",
  "ICONST", "PARAM", "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'",
  "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'", "TYPECAST",
  "'.'", "';'", "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "OptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean", "zone_value", "opt_encoding", "ColId_or_Sconst",
  "VariableResetStmt", "SetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_opt_list", "copy_opt_item", "opt_binary",
  "opt_oids", "copy_delimiter", "opt_using", "CreateStmt", "OptTemp",
  "OptTableElementList", "TableElementList", "TableElement", "columnDef",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptWith", "OnCommitOption", "OptTableSpace",
  "OptConsTableSpace", "CreateAsStmt", "create_as_target", "OptCreateAs",
  "CreateAsList", "CreateAsElement", "opt_with_data", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "CreatePLangStmt", "opt_trusted", "handler_name",
  "validator_clause", "opt_validator", "opt_lancompiler", "DropPLangStmt",
  "opt_procedural", "CreateTableSpaceStmt", "OptTableSpaceOwner",
  "DropTableSpaceStmt", "CreateFdwStmt", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOpt", "TriggerForType", "TriggerFuncArgs",
  "TriggerFuncArg", "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintDeferrabilitySpec", "ConstraintTimeSpec", "DropTrigStmt",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "aggr_args", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "enum_val_list", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "FetchStmt", "fetch_direction", "from_in", "GrantStmt", "RevokeStmt",
  "privileges", "privilege_list", "privilege", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "IndexStmt", "index_opt_unique", "access_method_clause", "index_params",
  "index_elem", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "CreateCastStmt", "cast_context",
  "DropCastStmt", "opt_if_exists", "ReindexStmt", "reindex_type",
  "opt_force", "RenameStmt", "opt_column", "opt_set_data",
  "AlterObjectSchemaStmt", "AlterOwnerStmt", "RuleStmt", "$@1",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "DropRuleStmt",
  "NotifyStmt", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "opt_analyze",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "into_clause", "OptTempTableName", "opt_table", "opt_all",
  "opt_distinct", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "select_limit_value",
  "opt_select_fetch_first_value", "select_offset_value",
  "select_offset_value2", "row_or_rows", "first_or_next", "group_clause",
  "having_clause", "for_locking_clause", "opt_for_locking_clause",
  "for_locking_items", "for_locking_item", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "join_type", "join_outer", "join_qual", "relation_expr",
  "relation_expr_list", "relation_expr_opt_alias", "func_table",
  "where_clause", "where_or_current_clause", "TableFuncElementList",
  "TableFuncElement", "Typename", "opt_array_bounds", "SimpleTypename",
  "ConstTypename", "GenericType", "opt_type_modifiers", "Numeric",
  "opt_float", "Bit", "ConstBit", "BitWithLength", "BitWithoutLength",
  "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "opt_charset",
  "ConstDatetime", "ConstInterval", "opt_timezone", "opt_interval",
  "interval_second", "a_expr", "b_expr", "c_expr", "func_expr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_whitespace_option", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "type_list",
  "array_expr", "array_expr_list", "extract_list", "extract_arg",
  "overlay_list", "overlay_placing", "position_list", "substr_list",
  "substr_from", "substr_for", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "indirection", "opt_indirection",
  "opt_asymmetric", "ctext_expr", "ctext_expr_list", "ctext_row",
  "target_list", "target_el", "relation_name", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "ColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "SpecialRuleRelation", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,    61,    60,    62,   661,
      43,    45,    42,    47,    37,    94,   662,    91,    93,    40,
      41,   663,    46,    59,    44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   426,   427,   428,   428,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   429,   429,   429,   429,
     429,   429,   429,   429,   429,   429,   430,   431,   431,   432,
     432,   433,   433,   433,   433,   433,   433,   433,   433,   433,
     433,   433,   433,   433,   433,   433,   433,   433,   433,   433,
     433,   433,   433,   433,   433,   434,   435,   436,   437,   438,
     439,   439,   440,   440,   441,   442,   443,   443,   444,   444,
     445,   445,   446,   446,   447,   447,   448,   448,   448,   448,
     448,   448,   449,   449,   449,   450,   450,   450,   450,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   450,   450,
     451,   451,   452,   452,   453,   453,   453,   454,   454,   454,
     454,   455,   455,   455,   455,   456,   456,   456,   456,   456,
     456,   456,   457,   457,   457,   458,   458,   459,   459,   459,
     459,   459,   460,   460,   461,   461,   461,   461,   461,   462,
     463,   463,   464,   464,   465,   466,   466,   466,   466,   467,
     467,   467,   467,   468,   468,   469,   469,   469,   469,   469,
     469,   469,   469,   469,   469,   469,   469,   469,   469,   469,
     469,   469,   469,   469,   469,   469,   469,   469,   469,   469,
     469,   469,   469,   469,   469,   469,   469,   470,   470,   471,
     471,   471,   472,   472,   473,   474,   474,   475,   475,   476,
     476,   476,   476,   477,   477,   478,   478,   479,   479,   480,
     480,   480,   481,   481,   482,   482,   482,   482,   482,   482,
     482,   482,   482,   482,   483,   483,   484,   484,   485,   485,
     486,   486,   487,   487,   488,   488,   488,   488,   488,   488,
     488,   489,   489,   490,   490,   491,   491,   491,   492,   493,
     493,   494,   494,   494,   495,   495,   495,   495,   495,   495,
     495,   496,   496,   496,   496,   497,   498,   498,   499,   499,
     499,   499,   499,   499,   500,   500,   501,   501,   501,   501,
     502,   502,   503,   503,   504,   505,   505,   505,   505,   506,
     506,   506,   506,   506,   507,   508,   509,   509,   509,   509,
     509,   510,   510,   511,   511,   511,   511,   512,   512,   512,
     512,   513,   513,   514,   514,   515,   516,   517,   517,   518,
     518,   519,   520,   520,   520,   521,   522,   523,   523,   524,
     524,   525,   525,   525,   525,   525,   525,   525,   525,   525,
     525,   525,   525,   526,   526,   527,   527,   527,   528,   528,
     529,   529,   530,   530,   531,   531,   532,   532,   533,   533,
     534,   534,   535,   535,   536,   537,   537,   538,   538,   539,
     540,   540,   541,   541,   541,   542,   542,   543,   543,   544,
     545,   545,   546,   546,   546,   546,   547,   548,   549,   550,
     551,   551,   552,   552,   553,   553,   554,   554,   555,   555,
     555,   556,   557,   557,   557,   558,   558,   559,   560,   560,
     561,   561,   562,   562,   563,   563,   563,   563,   564,   564,
     565,   565,   566,   566,   567,   567,   567,   568,   568,   568,
     568,   568,   568,   569,   569,   570,   570,   570,   570,   570,
     571,   571,   572,   572,   573,   573,   574,   575,   576,   576,
     576,   576,   576,   576,   576,   576,   576,   576,   576,   577,
     578,   578,   579,   579,   580,   580,   580,   580,   580,   581,
     581,   582,   583,   583,   584,   585,   585,   586,   587,   587,
     588,   588,   588,   588,   588,   589,   589,   590,   590,   591,
     591,   592,   593,   593,   594,   594,   595,   595,   596,   596,
     597,   597,   598,   599,   600,   600,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   601,   601,   601,   602,   602,
     603,   603,   604,   604,   605,   606,   606,   606,   607,   607,
     607,   607,   607,   607,   607,   607,   607,   607,   607,   607,
     607,   607,   607,   607,   607,   608,   608,   608,   608,   608,
     608,   608,   608,   608,   608,   608,   608,   609,   609,   610,
     610,   610,   610,   611,   611,   611,   611,   611,   611,   611,
     611,   611,   611,   611,   611,   611,   611,   611,   612,   612,
     613,   614,   614,   615,   615,   615,   615,   615,   616,   616,
     617,   617,   617,   617,   618,   618,   618,   618,   618,   618,
     618,   618,   618,   618,   619,   619,   620,   620,   621,   621,
     622,   622,   623,   624,   625,   625,   626,   626,   627,   627,
     628,   628,   629,   629,   630,   630,   631,   631,   632,   632,
     632,   633,   633,   633,   634,   634,   634,   635,   635,   635,
     636,   636,   636,   637,   637,   638,   638,   639,   639,   640,
     640,   641,   641,   642,   642,   642,   642,   642,   643,   643,
     643,   643,   643,   644,   645,   646,   646,   646,   647,   647,
     647,   648,   648,   649,   649,   649,   649,   649,   649,   649,
     649,   649,   649,   649,   649,   649,   650,   650,   650,   650,
     651,   651,   652,   652,   653,   654,   654,   655,   656,   656,
     657,   657,   658,   658,   659,   659,   660,   660,   661,   661,
     661,   661,   662,   662,   663,   663,   663,   664,   664,   664,
     665,   666,   666,   667,   667,   667,   668,   668,   669,   669,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   670,   670,   670,   670,
     670,   670,   670,   671,   671,   672,   672,   673,   673,   673,
     673,   673,   673,   673,   674,   674,   674,   674,   674,   674,
     674,   674,   674,   674,   674,   674,   674,   674,   674,   674,
     676,   675,   677,   677,   677,   678,   678,   679,   679,   679,
     679,   679,   680,   680,   681,   681,   681,   681,   682,   682,
     682,   683,   683,   684,   685,   686,   686,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   688,   688,   688,   689,   689,   689,   690,   690,   690,
     691,   691,   692,   692,   693,   693,   693,   693,   694,   695,
     696,   696,   697,   697,   697,   697,   697,   697,   697,   697,
     697,   697,   697,   697,   697,   697,   697,   697,   698,   698,
     699,   699,   700,   701,   701,   702,   703,   703,   704,   705,
     705,   705,   705,   705,   706,   706,   707,   708,   708,   708,
     708,   708,   708,   709,   710,   710,   710,   711,   711,   712,
     712,   712,   713,   713,   714,   714,   715,   715,   716,   716,
     717,   717,   718,   718,   719,   720,   720,   720,   720,   720,
     720,   720,   721,   721,   722,   723,   723,   724,   724,   724,
     724,   725,   725,   726,   726,   727,   727,   727,   727,   728,
     729,   729,   729,   730,   730,   731,   732,   732,   733,   734,
     734,   735,   736,   736,   737,   737,   737,   737,   737,   737,
     737,   737,   738,   738,   739,   740,   740,   741,   741,   742,
     743,   744,   745,   745,   746,   747,   747,   747,   747,   747,
     748,   748,   748,   749,   749,   750,   750,   751,   751,   751,
     751,   751,   751,   751,   751,   752,   752,   753,   753,   753,
     753,   753,   753,   754,   754,   755,   755,   756,   757,   757,
     758,   758,   758,   758,   758,   758,   758,   758,   759,   759,
     760,   760,   760,   761,   761,   761,   761,   762,   762,   763,
     764,   764,   765,   765,   766,   766,   766,   766,   766,   766,
     766,   766,   767,   767,   768,   768,   769,   769,   769,   770,
     771,   772,   772,   773,   773,   774,   774,   775,   775,   776,
     776,   777,   777,   778,   778,   779,   779,   780,   780,   781,
     781,   782,   782,   783,   783,   784,   784,   784,   784,   784,
     784,   784,   784,   784,   784,   784,   785,   785,   785,   785,
     785,   785,   786,   786,   786,   786,   787,   787,   787,   787,
     788,   788,   789,   789,   790,   790,   790,   790,   791,   791,
     792,   792,   792,   793,   794,   794,   795,   795,   795,   795,
     796,   796,   797,   798,   798,   798,   798,   798,   798,   799,
     799,   799,   800,   800,   800,   800,   800,   800,   800,   801,
     801,   801,   801,   802,   802,   803,   803,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   805,   805,
     806,   806,   807,   807,   808,   809,   810,   810,   811,   811,
     812,   813,   814,   814,   814,   814,   814,   814,   815,   815,
     816,   816,   817,   817,   817,   817,   818,   819,   819,   819,
     820,   820,   820,   820,   820,   820,   820,   820,   820,   820,
     820,   820,   820,   820,   821,   821,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   824,   824,   824,   824,
     824,   824,   824,   824,   824,   824,   824,   824,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   826,   826,   827,   827,   827,
     827,   828,   829,   829,   830,   830,   831,   831,   832,   832,
     832,   833,   833,   834,   834,   835,   836,   836,   836,   837,
     838,   838,   839,   839,   840,   840,   840,   841,   841,   842,
     842,   842,   843,   843,   843,   844,   844,   844,   845,   845,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   847,
     847,   848,   848,   849,   849,   849,   849,   849,   849,   850,
     850,   851,   851,   852,   852,   852,   853,   853,   854,   854,
     855,   855,   855,   855,   855,   855,   855,   855,   856,   856,
     857,   858,   858,   859,   859,   859,   859,   859,   859,   860,
     861,   862,   862,   862,   863,   863,   864,   865,   865,   866,
     867,   867,   868,   868,   869,   869,   870,   870,   870,   870,
     871,   871,   872,   872,   873,   873,   874,   874,   875,   875,
     876,   877,   877,   878,   878,   878,   878,   879,   879,   880,
     880,   881,   881,   882,   882,   883,   884,   885,   886,   887,
     888,   889,   889,   890,   890,   890,   890,   890,   890,   890,
     890,   890,   890,   890,   890,   890,   891,   892,   893,   894,
     894,   894,   895,   895,   895,   896,   896,   896,   897,   897,
     897,   897,   897,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   900,   900,   900,   900,   900,   900,
     900,   900,   900,   900,   900,   900,   900,   900,   900,   900,
     900,   900,   900,   900,   900,   900,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   902,   902
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     0,     2,
       0,     2,     2,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     2,
       2,     2,     2,     3,     3,     5,     5,     4,     5,     4,
       3,     5,     3,     5,     5,     6,     1,     1,     3,     5,
       6,     4,     1,     0,     2,     0,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     5,     2,     2,     2,     2,     3,     3,     3,
       1,     3,     1,     3,     1,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     6,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     3,     4,
       3,     2,     2,     1,     2,     3,     4,     3,     2,     4,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     4,
       4,     4,     4,     1,     3,     3,     4,     6,     6,     6,
       6,     4,     7,     2,     4,     3,     3,     3,     3,     3,
       4,     4,     3,     3,     3,     3,     3,     3,     4,     4,
       3,     2,     3,     3,     3,     2,     2,     3,     2,     1,
       1,     0,     2,     0,     3,     2,     0,     1,     3,     3,
       1,     5,     3,     2,     2,    10,     6,     1,     1,     1,
       1,     1,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     4,     1,     0,     2,     0,     3,     0,
       1,     0,    11,    12,     1,     1,     2,     2,     2,     2,
       0,     1,     0,     1,     3,     1,     1,     1,     3,     2,
       0,     3,     1,     1,     2,     1,     3,     4,     4,     2,
       5,     1,     2,     2,     2,     3,     2,     0,     2,     2,
       2,     2,     2,     2,     3,     1,     4,     6,     7,    11,
       3,     0,     1,     3,     1,     2,     2,     2,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     2,
       2,     4,     0,     2,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     7,     5,     3,     0,     1,
       3,     1,     2,     3,     0,     5,     4,     1,     0,     1,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     1,     3,     1,     0,     1,     2,     1,     5,     9,
       1,     0,     1,     2,     2,     2,     1,     0,     2,     0,
       5,     7,     1,     0,     6,     2,     0,     3,     5,     7,
       6,     8,     7,     6,     6,     4,     0,     1,     3,     4,
       1,     3,     1,     2,     2,     2,     2,     1,     1,    10,
       2,     0,     2,     2,     1,     0,     4,     6,     5,     4,
       4,     8,     1,     1,     1,     7,     9,     8,    14,    19,
       1,     1,     1,     3,     1,     1,     1,     1,     3,     0,
       1,     0,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     1,     1,     2,     0,     1,     2,     1,     2,     0,
       2,     1,     2,     2,     6,     8,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     1,     3,     3,     1,     3,    13,     1,     3,
       4,     5,     4,     7,     2,     1,     0,     2,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     8,     8,     8,     8,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       2,     4,     2,     0,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     2,     2,     1,     2,     2,     1,     1,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     2,     1,     3,     1,     2,     3,     0,
       1,     3,     2,     6,     6,     9,     3,     0,     3,     0,
      13,    14,     1,     0,     2,     0,     1,     3,     4,     4,
       6,     1,     2,     0,     1,     1,     0,     1,     1,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     3,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     5,     7,     5,     7,     5,     7,     3,     5,
       5,     5,     1,     3,    11,    10,    10,     2,     2,     0,
       9,     2,     0,     4,     4,     4,     1,     1,     1,     0,
       7,     6,     6,     6,     6,     7,     9,     9,     6,     6,
       6,     6,     6,     8,     8,     6,     6,     6,     8,     8,
       8,     8,     6,     1,     0,     2,     0,     7,     6,     6,
       6,     6,     6,     6,     7,     6,     6,     6,     6,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
       0,    14,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     6,     8,     2,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     3,     2,
       1,     0,     8,    10,     3,     4,     4,     0,     2,     5,
       2,     0,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     4,     3,     3,     1,     0,
       5,     6,     4,     2,     0,     4,     3,     5,     6,     4,
       6,     6,     5,     7,     1,     0,     6,    11,    11,    11,
      13,     9,    11,    10,     4,     2,     5,     2,     0,     4,
       5,     5,     2,     4,     1,     1,     1,     0,     1,     0,
       1,     0,     3,     0,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     5,     3,     0,     1,     1,     1,
       1,     3,     8,     3,     0,     2,     3,     2,     3,     5,
       1,     4,     2,     1,     3,     2,     2,     0,     6,     2,
       0,     5,     3,     0,     2,     2,     2,     3,     1,     3,
       1,     2,     1,     0,     7,     1,     3,     1,     1,     3,
       5,     2,     1,     3,     7,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     1,     2,
       4,     4,     4,     2,     3,     1,     3,     4,     2,     0,
       3,     3,     4,     4,     4,     4,     2,     1,     1,     0,
       1,     1,     0,     1,     5,     1,     0,     1,     0,     3,
       1,     3,     4,     3,     4,     4,     2,     2,     4,     3,
       5,     8,     1,     0,     1,     1,     1,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     0,     2,     0,     1,
       3,     1,     0,     1,     2,     4,     4,     2,     0,     2,
       3,     2,     0,     1,     3,     1,     2,     1,     2,     5,
       6,     5,     1,     2,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     1,     2,     0,     2,     4,     4,     0,
       1,     3,     2,     2,     3,     5,     6,     2,     3,     3,
       4,     0,     1,     1,     1,     1,     1,     2,     5,     1,
       1,     1,     1,     2,     3,     3,     0,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     1,     3,     0,
       1,     1,     1,     1,     5,     2,     1,     1,     1,     1,
       5,     2,     2,     2,     1,     3,     3,     2,     1,     0,
       3,     0,     5,     2,     5,     2,     1,     2,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     4,     5,
       6,     8,     6,     6,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     2,     2,     0,     1,     4,     2,
       2,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     1,     4,     1,     4,     1,     2,     1,     2,     1,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     2,     0,     2,     1,     0,     1,     1,     1,     3,
       3,     1,     3,     3,     2,     1,     1,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     5,
       2,     3,     6,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
     105,   903,   443,   975,   974,   903,   224,     0,   977,     0,
     903,   305,   320,     0,     0,     0,     0,   443,   903,     0,
     993,   643,     0,     0,     0,     0,  1089,   643,     0,     0,
       0,     0,     0,     0,     0,   903,     0,  1096,     0,     0,
       0,     0,  1089,     0,     0,   979,     0,     0,     0,     0,
       2,     4,    48,    49,    17,    16,    22,    21,    70,    71,
      38,    11,    61,    43,   102,   101,   103,    28,    24,    56,
      15,    25,    29,    45,    30,    44,    14,    42,    65,    46,
      68,    35,    59,     8,    36,    60,     9,    50,    72,    20,
      47,    69,    31,    57,    54,    39,    40,    41,    62,    63,
      64,    86,    67,    97,    27,    76,    77,    92,    78,    93,
      79,    37,    10,    89,    88,    90,    32,    58,    87,    91,
      12,    13,    94,    66,    84,    81,    98,    96,   104,    82,
      51,     5,     6,    73,    34,     7,    19,    18,    33,    26,
     100,    23,   977,    75,    85,    74,    52,    80,    55,    83,
      99,    53,    95,  1066,  1053,  1098,  1065,     0,  1068,   902,
     901,   887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   911,  1593,  1594,  1595,  1596,  1597,
    1598,  1599,  1600,   284,  1601,  1602,  1603,  1604,  1605,  1606,
    1607,  1608,  1609,  1839,  1840,  1841,  1610,  1611,  1612,  1613,
    1614,  1615,  1616,  1842,  1843,  1617,  1618,  1619,  1620,  1621,
    1844,  1622,  1623,  1624,  1625,  1626,  1627,  1628,  1629,  1630,
    1631,  1632,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,  1642,  1643,  1644,  1845,  1846,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,  1657,  1658,
    1659,  1660,  1661,  1662,  1663,  1664,  1665,  1666,  1667,  1847,
    1668,  1669,  1848,  1670,  1671,  1849,  1672,  1673,  1674,  1675,
    1676,  1677,  1850,  1678,  1679,  1680,  1681,  1682,  1683,  1684,
    1685,  1686,  1687,  1688,  1689,  1690,  1691,  1692,  1851,  1693,
    1694,  1695,  1696,  1852,  1853,  1854,  1697,  1698,  1699,  1700,
    1701,  1702,  1703,  1704,  1705,  1855,  1706,  1707,  1708,  1709,
    1710,  1711,  1712,  1713,  1714,  1715,  1716,  1717,  1718,  1719,
    1720,  1721,  1722,  1856,  1857,  1723,  1724,  1725,  1726,  1727,
    1728,  1729,  1858,  1730,  1731,  1732,  1733,  1859,  1734,  1860,
    1735,  1736,  1737,  1738,  1739,  1740,  1861,  1862,  1741,  1742,
    1743,  1744,  1745,  1746,  1747,  1863,  1748,  1864,  1751,  1749,
    1750,  1752,  1753,  1754,  1755,  1756,  1757,  1758,  1865,  1759,
    1760,  1761,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,  1771,  1772,  1773,  1774,  1775,  1866,  1776,  1777,  1778,
    1779,  1780,  1781,  1782,  1783,  1784,  1785,  1786,  1787,  1788,
    1867,  1789,  1790,  1791,  1868,  1792,  1793,  1794,  1795,  1796,
    1797,  1798,  1799,  1800,  1801,  1869,  1802,  1803,  1804,  1805,
    1806,  1807,  1808,  1809,  1870,  1871,  1810,  1872,  1811,  1873,
    1812,  1813,  1814,  1815,  1816,  1817,  1818,  1819,  1820,  1821,
    1822,  1823,  1824,  1825,  1874,  1875,  1826,  1827,  1828,  1829,
    1830,  1831,  1832,  1833,  1834,  1835,  1876,  1877,  1878,  1879,
    1880,  1881,  1882,  1883,  1836,  1837,  1838,  1582,   283,  1555,
    1583,  1584,   976,   965,   443,     0,   890,   304,     0,     0,
       0,     0,     0,     0,     0,   565,     0,     0,     0,     0,
       0,     0,     0,     0,   153,     0,     0,   315,   314,     0,
       0,   430,     0,   702,     0,     0,   443,     0,     0,     0,
    1007,  1749,  1005,  1045,     0,   225,   228,   226,   227,     0,
       0,   802,   592,     0,   591,     0,     0,     0,   589,     0,
       0,     0,     0,   593,   587,     0,   586,     0,     0,     0,
     590,     0,   588,     0,     0,   891,  1004,   992,   977,  1594,
     651,   655,   646,   652,   647,   644,   645,  1763,  1576,     0,
       0,     0,   640,  1579,   650,   664,   361,   361,   361,     0,
     663,   668,   361,     0,   884,  1577,   918,  1560,  1088,     0,
       0,   642,   883,  1810,   996,     0,     0,   806,     0,   807,
       0,  1778,   895,   211,  1787,  1870,  1810,   207,   180,  1598,
       0,     0,   663,     0,   892,   893,  1095,  1093,     0,  1615,
    1628,  1709,   204,  1774,  1779,  1787,  1870,  1810,  1835,   162,
       0,   218,  1787,  1870,  1810,   214,   911,  1986,  1985,     0,
    1069,  1551,  1174,  1548,  1547,     0,   886,   885,  1180,     0,
     978,   981,     0,  1139,  1761,  1073,  1075,   983,  1066,     0,
       1,   105,   972,  1092,  1092,     0,  1092,     0,  1058,  1066,
    1061,  1065,     0,  1884,  1885,  1886,  1887,  1888,  1889,  1890,
    1891,  1892,  1893,  1894,  1895,  1896,  1897,  1898,  1899,  1900,
    1901,  1902,  1903,  1904,  1905,  1582,     0,     0,  1561,  1583,
    1587,     0,   600,   108,  1556,     0,     0,     0,     0,     0,
    1578,     0,  1619,  1670,  1458,  1468,  1466,  1467,  1460,  1461,
    1462,  1463,  1464,  1465,     0,   792,  1459,     0,   108,     0,
       0,     0,     0,     0,     0,     0,     0,  1713,   108,     0,
       0,     0,     0,   907,   910,   888,   968,     0,  1548,     0,
       0,   625,     0,   634,   626,   631,     0,   628,     0,     0,
     636,     0,   627,   629,   630,   635,     0,     0,   632,   633,
       0,     0,   899,   361,     0,     0,     0,     0,     0,   108,
     955,     0,   319,   318,   108,   317,   316,  1619,  1670,     0,
     723,   108,     0,   155,   471,   446,     0,     0,   532,  1713,
     108,     0,     0,     0,     0,     0,     0,     0,     0,  1008,
    1006,     0,  1020,  1683,     0,   271,     0,     0,  1683,   946,
       0,  1683,     0,  1683,   148,  1553,  1619,  1670,  1683,     0,
       0,  1683,   140,  1683,     0,  1683,   271,  1683,   447,     0,
    1683,     0,  1683,  1713,   142,     0,  1683,   271,   598,     0,
    1001,     0,   648,   657,   656,   654,   653,   649,  1580,  1581,
     658,   659,     0,   665,     0,     0,   672,   671,   670,     0,
       0,     0,   673,     0,  1178,  1023,     0,   898,     0,     0,
       0,   809,   809,   809,   894,   210,   208,     0,     0,     0,
       0,     0,     0,   900,     0,     0,     0,  1839,  1840,  1841,
    1523,     0,  1842,  1843,  1844,  1388,  1375,  1384,  1389,  1376,
    1378,  1385,  1845,  1846,  1657,  1847,  1848,  1574,  1849,  1850,
    1852,  1853,  1854,  1855,  1380,  1382,  1856,  1857,     0,  1575,
    1859,  1860,  1738,  1862,  1863,  1865,  1866,  1386,  1868,  1869,
    1870,  1871,  1872,  1873,  1573,     0,  1387,  1875,  1877,  1878,
    1879,  1880,  1881,  1882,  1883,  1564,  1566,  1567,  1469,  1532,
       0,     0,  1546,     0,  1362,     0,  1209,  1210,  1232,  1233,
    1211,  1238,  1239,  1251,  1212,     0,  1545,  1276,  1361,  1367,
       0,  1360,  1356,  1079,  1541,  1524,     0,  1357,  1563,  1565,
     173,   220,     0,   221,  1549,  1787,   163,   203,   175,   202,
     176,   206,   205,   174,     0,  1617,   164,     0,   171,     0,
       0,     0,     0,   217,   215,     0,   889,     0,  1176,     0,
       0,  1530,  1552,  1175,   607,     0,  1181,     0,   980,   977,
    1537,  1536,  1538,     0,  1074,     0,     0,     0,  1056,  1055,
       3,   983,  1090,  1091,     0,     0,     0,     0,     0,     0,
       0,     0,  1132,  1113,  1129,  1133,     0,  1062,  1140,  1562,
       0,     0,     0,     0,     0,   601,     0,     0,     0,   107,
     944,   213,   942,     0,     0,     0,     0,   949,     0,     0,
       0,     0,   756,     0,     0,     0,     0,     0,     0,   757,
     755,   758,   765,   778,   781,     0,   692,   146,   147,     0,
       0,   834,   834,     0,     0,   834,     0,     0,     0,     0,
       0,     0,     0,   230,   233,     0,     0,     0,     0,     0,
       0,     0,   110,   137,     0,     0,     0,   412,   424,     0,
       0,     0,     0,     0,   421,     0,   108,   231,   406,   409,
       0,     0,     0,   480,   479,   834,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     110,   139,     0,     0,   232,     0,     0,   905,   906,     0,
     909,     0,   964,     0,     0,     0,     0,     0,     0,  1619,
    1670,     0,     0,     0,     0,     0,     0,   307,   290,   291,
     108,   289,     0,     0,   529,     0,  1220,  1249,  1227,  1249,
    1249,  1216,  1216,  1229,  1217,  1218,  1256,     0,  1249,  1216,
    1221,     0,  1219,  1259,  1259,  1244,  1585,     0,  1201,  1202,
    1203,  1204,  1230,  1231,  1205,  1236,  1237,  1206,  1273,  1216,
    1586,     0,   921,   954,     0,     0,   110,   566,     0,     0,
     530,     0,   110,     0,   151,     0,   475,     0,     0,     0,
       0,     0,     0,   491,   490,     0,     0,   531,     0,   110,
     408,     0,   398,   361,     0,     0,  1625,     0,  1559,     0,
       0,  1048,  1050,  1049,     0,  1047,     0,  1189,     0,   271,
     269,   270,   527,   801,     0,     0,     0,     0,   271,     0,
       0,  1683,     0,  1683,     0,     0,   271,   271,     0,     0,
       0,     0,   476,     0,   597,   595,   594,   596,     0,     0,
       0,     0,     0,  1683,   271,     0,     0,   585,  1479,     0,
     320,   990,   984,   991,   986,   988,   987,   989,   985,   639,
       0,     0,   362,   364,     0,  1642,     0,  1675,  1701,  1779,
    1784,     0,  1805,     0,   674,   697,   669,     0,     0,  1017,
    1010,     0,     0,  1033,   641,  1481,     0,     0,     0,   808,
     805,   804,   803,   209,   181,     0,     0,     0,   699,  1778,
     897,     0,     0,  1365,  1366,  1248,  1235,  1522,     0,     0,
    1243,  1242,     0,     0,     0,     0,  1225,  1224,  1223,  1364,
    1489,     0,  1222,     0,     0,     0,     0,  1249,  1249,  1247,
    1295,     0,  1226,     0,     0,  1502,     0,  1508,     0,     0,
       0,  1255,     0,  1253,     0,     0,  1331,     0,     0,     0,
       0,     0,     0,     0,  1358,  1279,  1280,  1874,  1362,  1479,
       0,  1363,  1570,     0,     0,  1241,     0,  1273,     0,     0,
       0,  1535,  1477,     0,     0,  1309,  1475,     0,  1311,     0,
       0,     0,  1544,  1469,  1468,  1466,  1467,  1460,  1461,  1462,
    1463,  1464,  1465,     0,  1473,  1292,     0,     0,  1291,     0,
       0,  1142,  1525,     0,  1568,   222,   223,   219,     0,     0,
     178,   177,     0,   200,   201,   196,   425,     0,   170,   199,
       0,   195,   427,  1427,  1426,   179,   169,   167,   192,   194,
     193,   191,   165,   182,   184,   185,   186,   168,   166,   216,
       0,     0,  1906,  1907,  1908,  1909,  1910,  1911,  1912,  1913,
    1914,  1915,  1916,  1917,  1918,  1919,  1920,  1921,  1922,  1923,
    1924,  1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,  1933,
    1934,  1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,
    1944,  1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,
    1954,  1955,  1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,
    1964,  1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,  1973,
    1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,
    1984,  1588,  1527,  1526,  1558,  1589,  1590,  1591,  1592,  1531,
       0,     0,   271,  1182,     0,  1142,  1035,  1037,  1038,     0,
    1532,   969,  1540,     0,  1076,     0,     0,   973,  1072,  1071,
    1099,  1100,   716,  1070,  1123,  1124,  1118,     0,  1138,  1138,
    1115,  1106,  1114,  1107,     0,  1119,  1276,  1131,  1060,  1112,
    1059,     0,  1134,  1132,  1113,     0,     0,     0,     0,     0,
       0,     0,   602,     0,     0,     0,  1805,   212,   940,     0,
       0,     0,     0,     0,   952,   355,     0,   268,     0,     0,
       0,     0,     0,     0,     0,   763,     0,     0,     0,     0,
     764,   761,   762,  1779,   780,   779,   777,   738,   740,   739,
       0,   742,   726,     0,   727,     0,     0,   737,   745,   743,
       0,     0,   833,   243,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   261,     0,     0,     0,     0,
     266,     0,     0,     0,   265,     0,     0,     0,     0,     0,
       0,   793,     0,   136,     0,     0,   411,   423,     0,   415,
     416,   413,   417,   418,     0,     0,     0,     0,     0,     0,
     410,     0,     0,   473,   472,   478,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   482,
     483,     0,   484,     0,   138,     0,     0,     0,     0,     0,
       0,   190,   904,   908,   967,   966,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   293,  1585,     0,   552,   528,
       0,  1201,     0,  1197,  1193,  1262,  1263,  1264,  1261,  1274,
    1260,     0,  1207,  1265,  1216,  1213,     0,   919,   330,   437,
     144,     0,     0,     0,   540,   543,     0,   106,   155,   320,
       0,   154,   156,   158,   159,   160,   157,   161,   470,   474,
       0,   445,     0,     0,     0,     0,     0,   495,   494,   497,
     496,     0,   492,     0,     0,     0,   135,   405,   407,     0,
       0,   322,   386,     0,   428,     0,     0,     0,     0,     0,
     860,     0,     0,     0,  1046,     0,  1152,  1019,  1143,  1154,
    1145,  1147,  1183,  1551,     0,     0,  1017,     0,   784,     0,
     947,  1683,   271,     0,   782,   149,  1554,     0,     0,     0,
       0,     0,   786,   582,   141,     0,   271,   271,   448,     0,
     271,   143,     0,     0,     0,   440,   271,   599,  1003,     0,
       0,     0,   666,     0,   360,   680,     0,     0,   679,   690,
     681,   682,   676,   675,   683,     0,     0,   699,  1012,     0,
    1013,  1532,     0,  1009,     0,  1030,     0,  1028,     0,  1179,
    1032,  1021,   995,     0,   994,   998,  1000,   999,   997,     0,
       0,     0,   663,     0,     0,   271,   896,     0,  1485,     0,
    1486,     0,     0,     0,  1521,  1517,     0,     0,     0,     0,
       0,  1493,  1494,  1495,  1492,  1496,  1491,  1490,     0,     0,
    1497,     0,     0,     0,     0,     0,  1246,  1245,     0,     0,
       0,     0,     0,     0,     0,  1334,  1367,     0,     0,  1453,
       0,  1479,  1507,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,  1479,  1513,     0,     0,     0,  1425,     0,
    1422,     0,     0,     0,     0,  1533,  1532,     0,     0,     0,
       0,  1571,  1293,  1543,     0,  1534,     0,     0,  1300,     0,
    1514,  1327,     0,  1332,  1315,     0,  1308,     0,  1313,  1317,
    1296,  1535,  1478,     0,  1476,     0,     0,  1294,     0,  1289,
    1287,  1288,  1281,  1282,  1283,  1284,  1285,  1286,  1277,  1290,
    1457,  1455,  1456,     0,     0,     0,  1312,  1676,  1709,     0,
    1089,  1089,  1078,  1087,  1542,     0,  1185,     0,     0,     0,
       0,  1438,     0,  1550,     0,   426,     0,  1273,     0,  1177,
    1528,     0,   605,   606,   604,  1042,     0,     0,  1189,     0,
    1041,   971,   970,  1539,   982,  1077,     0,   714,   715,     0,
     719,     0,     0,  1116,  1130,     0,  1033,  1033,     0,     0,
       0,  1121,  1122,  1109,  1064,  1063,   550,   549,     0,     0,
       0,   845,   811,   603,   846,   812,   941,     0,   943,     0,
       0,     0,     0,     0,   271,   950,   847,   267,   951,   838,
       0,     0,     0,   453,   454,     0,   759,   760,   848,   813,
       0,   839,   741,  1216,   725,     0,     0,   736,     0,   735,
    1216,  1216,   814,   145,   235,     0,   836,   247,   260,   255,
     256,   254,   271,   271,     0,     0,     0,     0,   257,   252,
     253,   249,   262,   263,   822,     0,   277,   280,   264,   245,
     248,   246,   234,     0,  1557,     0,     0,   788,     0,     0,
     825,     0,     0,   119,   121,   123,     0,     0,   117,   125,
     120,   122,   124,   118,   126,   116,     0,     0,   115,     0,
       0,     0,     0,   109,   853,   818,   414,   419,   820,   422,
     841,   420,  1597,  1658,  1788,     0,   460,   462,     0,   467,
     859,   819,     0,   840,   855,   827,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,     0,   854,   832,   843,
       0,   826,   821,   842,     0,     0,   188,   187,   189,     0,
       0,     0,     0,     0,     0,     0,     0,   638,   614,   637,
       0,     0,     0,     0,     0,     0,     0,   608,   306,   287,
     288,     0,   286,     0,   551,     0,     0,  1198,  1194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1214,     0,
       0,   939,   939,   939,   939,   939,   939,   939,   920,   948,
     436,   456,     0,   571,   539,     0,     0,   361,   150,     0,
       0,     0,   444,   538,   536,   535,   537,     0,     0,     0,
       0,  1190,     0,     0,     0,   404,     0,     0,     0,   321,
     323,   325,   326,   327,     0,   399,   401,     0,     0,   390,
       0,     0,     0,     0,   705,   730,     0,   748,   731,     0,
       0,     0,   768,   773,   769,   751,     0,  1051,  1052,     0,
    1066,     0,  1154,     0,  1153,  1165,     0,     0,  1171,  1169,
       0,  1171,     0,  1171,     0,  1146,     0,  1148,  1165,  1552,
       0,  1638,  1186,  1018,   271,     0,     0,   450,   271,     0,
     271,     0,   271,   271,     0,   881,   477,     0,   524,     0,
       0,   271,   584,  1480,     0,   667,   363,     0,   678,     0,
       0,   689,   684,   686,     0,   693,     0,     0,  1015,  1016,
    1031,  1024,  1026,  1025,     0,     0,  1022,  1482,   583,     0,
       0,   271,     0,   694,  1094,  1483,  1484,     0,     0,     0,
       0,  1518,     0,     0,  1401,  1377,  1379,  1215,  1391,     0,
    1228,  1402,  1403,  1381,  1383,     0,  1470,     0,     0,  1392,
    1336,  1337,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1348,  1393,  1452,     0,
       0,  1505,  1506,  1394,  1258,  1259,  1259,     0,     0,  1512,
       0,     0,     0,  1399,  1404,     0,     0,  1409,     0,  1430,
       0,     0,     0,  1359,  1480,  1250,  1251,     0,     0,     0,
       0,     0,     0,     0,     0,  1333,  1316,  1310,     0,  1314,
    1318,     0,     0,     0,     0,  1302,  1328,  1298,     0,     0,
    1304,     0,  1329,  1089,  1089,  1089,  1089,  1086,     0,     0,
    1141,     0,  1126,     0,     0,     0,  1438,     0,  1368,  1438,
       0,   172,     0,   197,   183,     0,     0,     0,  1036,  1017,
    1039,  1101,     0,  1471,   719,   717,   718,  1103,     0,     0,
    1137,  1136,  1135,  1104,  1108,  1105,     0,   844,   810,   837,
     939,     0,   354,     0,     0,     0,   953,   435,     0,   434,
     432,   452,   753,     0,  1216,   728,   733,   734,     0,   330,
       0,     0,   236,     0,   244,   241,   258,   250,   259,   251,
     274,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   850,   131,     0,     0,     0,     0,   112,
     111,   132,   130,     0,   129,     0,   464,   465,   463,   459,
       0,   466,   468,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   849,   815,   609,     0,     0,
     610,   618,     0,     0,   611,     0,     0,     0,     0,     0,
       0,   620,   309,   294,   298,   955,   955,     0,   299,   955,
     295,   955,   292,  1738,  1460,  1461,   547,   554,   544,   546,
     548,   545,     0,   553,   519,     0,     0,     0,  1199,     0,
    1267,  1268,  1269,  1270,  1271,  1272,     0,  1266,  1273,     0,
     939,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,     0,     0,   335,     0,     0,   773,   329,
     332,   333,     0,   449,     0,   541,   542,     0,   320,     0,
       0,   499,   493,     0,   555,   533,     0,  1192,   456,  1004,
       0,   395,   322,   347,   382,     0,   397,     0,   384,   383,
     385,     0,   392,   917,   437,     0,   705,     0,     0,   729,
       0,     0,     0,   766,   770,   767,     0,     0,   744,     0,
     752,   722,     0,  1044,  1156,  1163,     0,  1144,     0,  1170,
    1166,     0,  1167,     0,     0,  1168,     0,     0,  1163,     0,
       0,     0,   785,     0,   271,   783,     0,   578,     0,   580,
     787,   271,   271,   485,     0,   441,   398,   677,   691,   687,
       0,     0,   660,   696,  1011,  1014,  1029,  1027,   699,     0,
     661,   698,  1487,  1234,     0,  1520,  1516,     0,  1488,     0,
    1500,  1499,  1501,     0,  1354,     0,     0,  1346,  1344,  1345,
    1338,  1339,  1340,  1341,  1342,  1343,  1335,  1347,  1510,  1509,
    1503,  1504,  1254,  1252,     0,  1396,  1397,  1398,  1511,  1405,
       0,  1424,  1423,     0,     0,     0,  1411,     0,     0,  1420,
       0,  1454,  1240,  1273,  1278,     0,     0,  1301,  1515,  1319,
       0,     0,     0,  1297,     0,     0,     0,     0,  1306,  1470,
       0,     0,     0,     0,     0,     0,  1081,  1080,  1184,     0,
    1128,  1438,  1438,  1438,  1374,  1441,  1436,  1437,  1369,  1569,
       0,     0,  1529,     0,  1043,  1034,     0,  1102,  1117,  1110,
    1118,     0,   356,     0,     0,   773,   858,   433,   754,     0,
     746,   328,     0,   835,     0,     0,     0,     0,   278,   279,
     282,     0,     0,     0,     0,     0,   572,   558,     0,     0,
     573,   574,     0,     0,   790,   791,   789,   127,   113,   134,
     133,   114,   128,   461,   823,     0,     0,     0,     0,     0,
     857,   831,   856,   829,   828,   830,   824,   487,     0,   612,
       0,     0,   613,   624,   622,   621,   623,   615,   310,   108,
       0,     0,     0,     0,     0,     0,     0,   521,     0,     0,
     526,   515,   517,     0,     0,     0,  1195,  1200,  1275,  1208,
     514,     0,   930,   929,   928,   932,   931,   934,   933,   925,
     924,   937,   936,   923,   922,   927,   926,     0,     0,   339,
     343,   344,   342,   334,   773,   361,   394,     0,     0,     0,
       0,     0,   501,     0,   534,     0,  1191,   481,  1002,   402,
       0,     0,   345,     0,   386,   324,   400,   401,     0,     0,
     396,     0,   912,   439,     0,     0,   704,     0,   732,   749,
     750,     0,     0,   773,   772,   876,   877,   874,   875,     0,
    1155,     0,     0,  1157,     0,     0,  1159,  1161,     0,     0,
       0,     0,     0,  1555,  1438,  1188,  1187,   271,   451,   271,
     271,   882,   525,     0,     0,     0,   685,   271,     0,  1519,
    1390,  1400,  1498,     0,     0,  1355,     0,     0,  1395,  1876,
       0,     0,  1428,  1429,  1410,     0,  1724,  1415,     0,     0,
       0,  1572,  1325,  1323,  1320,     0,  1321,     0,     0,  1303,
    1299,     0,  1305,  1330,  1085,  1084,  1083,  1082,     0,     0,
    1432,  1372,  1373,  1370,  1443,  1440,     0,  1273,  1040,     0,
       0,   945,     0,   773,   394,   747,   237,   238,   239,   240,
     273,     0,   851,   816,     0,     0,   564,     0,     0,     0,
       0,   852,   817,     0,     0,     0,   961,     0,     0,   616,
     617,   293,     0,   296,   301,     0,   302,   297,   300,   523,
     522,   520,   516,   518,  1196,     0,   799,   799,     0,   519,
     935,     0,     0,   331,   394,   368,     0,   336,     0,   457,
       0,   917,   322,   456,   500,     0,     0,   556,   403,   386,
       0,     0,   346,     0,   390,     0,   387,     0,   391,     0,
       0,     0,     0,   429,     0,     0,     0,     0,   706,   713,
     713,   771,     0,   775,     0,   743,   720,     0,     0,  1164,
    1173,     0,  1160,  1158,  1149,     0,  1151,   800,   579,   581,
     486,   688,   695,   271,  1350,     0,     0,     0,     0,  1406,
       0,  1407,  1412,  1416,     0,  1413,  1414,  1322,  1326,  1324,
    1307,  1125,  1127,     0,  1067,     0,  1098,  1438,   198,  1472,
       0,     0,   394,   357,     0,   242,   281,     0,     0,   570,
     559,     0,     0,   575,     0,     0,     0,     0,     0,   619,
     285,   308,   303,   799,     0,   796,   795,   513,     0,   338,
     337,     0,   373,     0,   455,     0,   568,   913,   469,   502,
     503,   498,     0,   390,   351,   349,   353,   350,   348,   352,
       0,   392,   388,   389,     0,   914,     0,   438,   963,     0,
       0,   276,     0,     0,   711,   716,   716,   774,     0,     0,
    1185,  1162,     0,  1150,   662,  1351,     0,  1352,     0,     0,
    1418,  1417,  1431,  1433,     0,     0,  1446,  1097,  1371,  1111,
     361,   358,   272,     0,   562,   569,   560,   570,     0,     0,
     957,     0,   958,   959,   962,   794,   798,   797,     0,   365,
     366,   367,     0,   340,   369,   370,     0,   458,     0,     0,
       0,   392,   381,   312,   915,   916,   276,   713,     0,   392,
     707,   712,   719,   719,   773,   776,     0,  1172,  1353,  1421,
    1408,  1419,     0,     0,  1442,     0,     0,     0,   368,     0,
     561,   577,   576,     0,     0,     0,     0,     0,   371,     0,
     372,   393,   567,     0,   506,   313,   392,   716,   275,  1185,
     709,   708,   721,   880,  1434,  1435,     0,     0,     0,  1444,
    1447,  1445,  1439,   373,     0,   960,     0,   378,     0,   377,
       0,   375,   374,   557,   508,   510,   511,     0,   504,   507,
     509,   512,  1185,   719,   700,   879,   878,     0,     0,  1451,
    1450,  1449,   519,   563,     0,   376,   380,   379,   488,     0,
     701,   710,   862,   873,   861,   863,   871,   868,   870,   869,
     867,     0,   359,     0,   505,     0,   872,   866,  1066,  1053,
    1448,     0,   864,   873,   506,   865,     0,   489
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1070,  1733,  2263,    53,    54,
      55,    56,    57,    58,    59,    60,    61,  1100,    62,    63,
     792,  1244,  1841,    64,  1657,   630,  1502,  1503,  1782,  1504,
    1488,   998,  1505,  1071,  1092,    66,    67,   992,  1477,    68,
      69,    70,  1113,  1114,  1077,  1282,  3375,  1724,  3499,  2225,
    2226,    71,    72,  2331,  1190,  2332,  2742,   488,  1804,  3059,
    3060,    73,  1241,  2388,  2389,  2390,  2391,  2359,  2789,  2790,
    2791,  2392,  3122,  3302,  2393,  1665,   866,  1331,  1332,  3402,
    3483,  3484,  3485,  3561,  3124,  2399,  2822,  3130,  3287,    74,
    1261,  1872,  2394,  2395,  2811,    75,    76,  1867,  1138,  1139,
    1738,  2746,    77,   516,  2649,  2360,  2361,  3313,    78,   183,
      79,  1248,    80,    81,    82,    83,  2793,  3288,  1143,  2275,
    2276,  2277,  2278,  2701,    84,  1246,  1144,  1850,    85,    86,
      87,  1771,    88,    89,    90,  1255,  1861,  1862,  3113,  3295,
    3411,  3567,  3568,  3279,  3070,  3071,  3072,    91,    92,    93,
      94,  1240,  1833,  1834,  2747,  1061,  1194,  1807,  1808,  2803,
      95,  3016,  3017,   517,  3489,  3466,    96,    97,  3020,  3021,
      98,    99,   100,   101,   102,   554,   847,   848,  2201,   103,
    1602,   104,   771,  2318,   105,   571,   862,   106,   107,   579,
    1972,   581,  1343,  2471,  2472,  2882,  1938,   707,   108,   109,
    1947,  1975,   110,   518,  2828,  3317,  3318,  3435,  2140,  2627,
     111,   519,  1096,  1693,  1879,  2406,  2407,  1695,  1696,  2837,
    1697,  2408,  2413,  2414,  2415,  2833,  2841,  3323,  3324,   112,
    1094,  1686,   113,   114,   115,  1118,   724,   116,  3395,   117,
     817,   118,   600,  1360,   119,  1704,  2663,   120,   121,   122,
    2416,  3594,  3605,  3606,  3607,  3149,  3577,   123,  3596,   125,
     126,   127,   161,   743,   744,   745,   128,  3132,   129,   130,
    1827,  2358,  2772,   131,   132,  1658,  2168,   133,   134,   135,
    1234,   136,   137,   138,   139,  1172,   140,   141,   142,   483,
     651,  1029,  1037,   143,  1322,   558,   144,   879,  1964,   145,
     850,   146,  3597,  1349,  1949,  1950,  1953,  3598,  1277,   149,
    1353,  1958,  1961,  3599,  1605,  1606,  1607,  1608,  1609,  2126,
     151,   811,  1883,  3600,   964,   154,   155,   156,   157,   655,
     656,  1471,  2102,   589,  1044,   618,   667,   668,  1620,  1621,
    1639,  1640,  1631,  2142,  1633,  1634,  2153,  1626,  2970,  3220,
    1637,  1638,  1054,  1055,  2146,   158,  2106,  1887,  1888,  1889,
    2424,  2434,  2850,  3156,  1890,   875,   649,  1891,  2602,  1896,
    2380,  2381,  1698,  1814,  1218,   965,  1219,  1825,   966,  1392,
    1221,   967,   968,   969,  1224,   970,   971,   972,   973,  1376,
    1435,   974,   975,  1411,  1822,  1823,  1318,  2014,   977,   978,
    2939,  3199,  3190,  2039,  2040,  1495,  2935,  3364,  3452,  3453,
    2978,  2976,  3224,  3366,  3517,  3549,  3550,   979,  2093,  1464,
     726,   980,  2749,  1466,  2034,  1646,  1374,  1981,  1998,  1999,
    2011,  2518,  2018,  2023,  2541,  2542,  2035,  2061,   981,  1984,
    1985,  2502,  1378,   982,  1021,  1431,  1424,  2057,  1032,  1033,
     653,   983,   984,   985,  1344,   642,  3152,   825,   703,  2233,
    1593,   747,   586,   986,   987,   988,   989,  1772,  1492,   643,
     698,  2279,   480,   481,   700,  1598,   644
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3205
static const int yypact[] =
{
    5065,   -32,  5389, -3205, -3205,   -32, -3205, 37778,   -20,   559,
     394,   110,  9716, 38174, 43322,   247,   147,  4173,   -32, 43322,
    1631, 28242, 33422,   671, 43322,   498,   691, 28242, 43322, 43718,
     819,   591, 44114, 38570, 33026,   640, 43322,   720, 44510, 38966,
     710, 34610,   691, 25827, 34610,   989,   730, 44906,   810,  1139,
     762, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205,   -20, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205,   150, -3205,   577,   199,   695,   839, -3205,
   -3205, -3205, 31442, 43322, 43322, 43322,  1092, 31442, 43322, 36194,
   23366, -3205, 43322, 43322, 36194, 43322, 34610, 43322,   908, 43322,
   43322, 45302, 36194,  1073,   510, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, 36194,  3898,   498, -3205, -3205, 36194,   931,
   31442, 43322,   877,   990, 43322, -3205, 43322,  1304,   423, 43322,
     732, 23779,  1115, 43322, 43322, 43322, 43322, -3205, -3205,  1150,
   43322, -3205, 43322, -3205, 45698,   753,  1235,  1421,  1370,   126,
   -3205, 39362, -3205, -3205, 34610, -3205, -3205, -3205, -3205, 31838,
   43322,  1389, -3205, 46094, -3205,  1464, 32234, 46490, -3205, 24192,
    1527, 46886, 47282, -3205, -3205, 47678, -3205, 48074,  1270, 48470,
   -3205, 48866, -3205,  1394, 49262, -3205,  1171, -3205,   -20,  1014,
   -3205,   197,   145,   256,   149,   151,   153,  1014, -3205,  1195,
    1195,   208, -3205, -3205, -3205,   -13,  1192,  1192,  1192,  1382,
     -54, -3205,  1192, 36194, -3205, -3205, -3205, -3205, -3205, 34610,
     208, -3205, -3205,   498,  1239,  1569, 43322, -3205, 43322, -3205,
   36194, 43322, -3205, -3205,  1612,  1279,  1485,  1278, -3205,  1473,
    1476,  1443,   159,   498,  1380, -3205, -3205,  1500, 14348,   498,
   35006, 49658,    80, 29854,   498, 39758,  1352,   510,  1526, -3205,
     272, -3205,  1745,  1379,  1598,  1278,   510, -3205, -3205, 21342,
   -3205,   887,  1386, -3205, -3205, 34610, -3205, -3205, 50054,  1482,
   -3205,  1675, 14765, -3205, 43322,  1408, -3205,  1398,  1422,  1439,
   -3205,  5065, 36194,   734,   734,  1829,   734,  1119,  1175, -3205,
    1796, -3205,   730, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205,   852,   887,  1458, -3205,   870,
   -3205,   491,  1457,  1168, -3205,   173,  1524,  2333,  1488,   323,
   -3205,  1363, 43322, 43322, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205,  1491, -3205, -3205,  1493,    -1,   523,
    9456,   728,  2498,   849,   133,  1674,    62,  1791,  1148,  2673,
   43322,  1740,   417, -3205,   191, -3205,  1592,  1731,  1748, 31442,
    1570, -3205, 43322, -3205, -3205, -3205, 31442, -3205,  1759, 24605,
   -3205, 43322, -3205, -3205, -3205, -3205,  1711, 43322, -3205, -3205,
    1851, 43322, -3205,  1192,   667,  1616,  1988, 54410, 43322,  1659,
    2019,  1662, -3205, -3205,  1659, -3205, -3205, 43322, 43322,  1625,
     596,  1659,  2021,  2029,  1702,  1805,   170,  1312,   107,  1926,
    1659, 36194, 36194, 36194,  1879, 43322, 50450, 31442, 43322, -3205,
   -3205,   156,  1701,  1942,  1458,   163,  1943,  1647,  1946, -3205,
    1689,  1949,  1488,  1954,  1653, -3205, 50846, 51242,  1963,  1491,
   43322,  1965,  1653,  1966,  1853,  1968,   163,  1972, -3205,   176,
    1975,  1860,  1980,  1233,  1653, 30252,  1984,   116, -3205, 16433,
   -3205,  1300, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, 43322,  1690, 43322, 43322, -3205, -3205, -3205, 33818,
   43322, 35402, -3205,   332, -3205,    33, 43322, -3205, 54410,  2090,
   43322,  1978,  1978,  1978, -3205, -3205, -3205,  1922, 43322,  1982,
    1985, 33818, 43322, -3205, 51638,  1697,   954,  1718,   -62,  1719,
   16433,  1703,    97,    97,  1704, -3205, -3205, -3205,   966,  1706,
    1708, -3205,   974,   974,  1859,  1712,  1713, -3205,   980,  1714,
    1730,  1737,  1012,  1732,  1736,  1749,  1661,    97, 16433, -3205,
    1753,   974,  1754,  1755,  1757,  1738,  1758, -3205,  1752,  1760,
    1026,  1081,  1762,  1764, -3205,  1712, -3205,   106,  1766,  1767,
    1768,  1769,  1770,  1771,  1773, -3205, -3205, -3205, -3205, -3205,
   16433, 16433, -3205, 13514,   887,   498, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205,   108, -3205,  1019,  5361, -3205, -3205,  1900,
   16433, -3205, -3205,    30, -3205,   887,  1080, -3205, -3205, -3205,
   -3205, -3205,   202,  1735, -3205,   294, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, 29456,  2147, -3205,  1048,   191,   248,
    2094, 27015, 27424, -3205, -3205,  2004, -3205, 36194, -3205, 16433,
   25431, -3205,   887, -3205,    76, 43322, -3205, 21740, -3205,   -20,
   -3205,  9309, -3205,   -73,  1408, 43322, 43322,  2158, -3205, -3205,
   -3205,  1398, -3205, -3205,   695,   695, 16433,   695,   144,    22,
   15182, 16433,  2063,   658,  2064, -3205,  1119,  1175, -3205,   887,
   26223,  1063,  1856,  1857, 30650,  1777,  1863,  1864, 52034, -3205,
   -3205, -3205, -3205,   193,   646,  1870,   141, -3205, 43322,  1961,
    1223,  1899, -3205,  1872,  1873,  1986,  1223,   673, 52430, -3205,
   -3205, -3205, -3205, -3205,  3347, 12305, -3205, -3205, -3205,  1875,
    1865,   183,  2164,  1987,   680,  1062,   169, 36194,  2062,  1883,
    1887,  1812,   -44,  1820, -3205,  1885,  1888, 53618,  1996, 25018,
    1909, 49658, -3205, -3205,  1911,  1913,  1223, -3205,  2219,  1223,
    1223,   607,  2221,  1917,  1215,   811,  1659,  1820,   590, -3205,
    1840,  1919,   403, -3205,  2018,   130,   975,  1820,  1925,  1927,
   43322, 43322, 43322, 43322, 36194,  1930,  1931,  1976, 36590,  1932,
   -3205, -3205,  1935,  1169,  1820,   879,  1045, -3205, -3205,   510,
   -3205, 43322, -3205, 36194,  1458, 54410,  2039,  1488,  1223, 43322,
   43322,  1491,   595,   371,  2040, 43322,  2104,  1903, -3205, -3205,
    1659, -3205, 26619,  1625, -3205,  1876, -3205,  1915, -3205,  1915,
    1915,  1880,  1880,  1881, -3205, -3205, -3205,  1661,  1915,  1880,
   -3205, 55598, -3205,   963,  1013, -3205, -3205,  2271,  2273, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,    99,   804,
   -3205,  2285, -3205, -3205, 54410, 43322, -3205,  2209,  1945, 30650,
   -3205,  1936, -3205, 43322,   880,   498,  1933, 43322,  2105, 43322,
   43322, 43322, 43322, -3205, -3205,   277,    79, -3205, 36590, -3205,
     590,  2287,     1,  1192, 29854,  2178, 43322,  2072, -3205,  1893,
    2293, -3205,  1350, -3205,  2016, -3205, 19750,  1941, 31442,   163,
   -3205, -3205, -3205, -3205, 54410, 43322, 52826, 31442,   163, 43322,
   43322,  2195,  1957,  2197,  1959, 25018,   163,   121, 43322, 43322,
   36194, 43322, -3205, 43322, -3205, -3205, -3205, -3205, 43322, 36194,
   43322, 36590,  2199,  2200,   163, 43322, 43322, -3205,  9309,  1184,
     489, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   43322,  1193, -3205, -3205,  1219, 43322,   124, 31442, 43322, 43322,
   36194, 36194, 43322,  1983,  1735,   -56, -3205,  1960, 20944,  2041,
   -3205,   201, 34610,  2102, -3205, -3205,  1225,   555,   -48, -3205,
   -3205, -3205, -3205, -3205, -3205, 35402, 33422,  2196,    17, 43322,
   -3205, 16433, 13931, -3205, -3205, -3205,  1916,  9309,  1958, 16433,
   -3205, -3205, 16433,  1195,  1195, 16433, -3205, -3205, -3205, -3205,
     624,  1195, -3205, 16433, 16433,  1195,  1195,  1915,  1915, -3205,
    2912, 16433, -3205, 25018, 16433, 18101, 11491, 16433,  1995,  1944,
    1195, -3205,  1195, -3205, 16433, 13097, -3205, 16433,  2128, 16433,
     248,  2130, 16433,   248,   887,  1920,  1920,   730,  1868,  5919,
    1921,   887, -3205,  2031,  1195, -3205,  1195,   111, 16433, 30650,
    2005,   271, 16433,  1924,  1447, -3205, 16433,   148, -3205,  1928,
   16433,  2008, -3205,   240, 16433, 16433, 16433, 16433, 16433, 16433,
   16433, 16433, 16433, 54410, -3205, 18518,   263,   450,   708, 35798,
   14348,  2213,  1137, 11073, -3205, -3205, -3205, -3205, 36194,  2147,
   -3205, -3205,  2003, -3205, -3205, -3205, -3205,   932, -3205, -3205,
    1088, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205,  1934, -3205, -3205, -3205, -3205, -3205,  1934, -3205,
    1937,  2226, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
    2201,  2204,   163, -3205, 43322,   182, -3205, -3205, -3205,  1950,
   -3205, 34214, -3205, 14765, -3205,  1250,  1712, -3205,  2183, -3205,
    1948, -3205,  4483,  2183, -3205, -3205,  1170,  2119,  2126,  2126,
   -3205,   -22,  9309,  2174,  1484,  9309,  1490, -3205, -3205, -3205,
   -3205,   670, -3205,  2063,   658,  1947,  1255,  2027,  2028,  2076,
   43322, 43322, -3205, 30650, 43322, 43322, 43322, -3205,  2314,  1962,
   43322,  2205,  2208,  1973, -3205, -3205, 43322, -3205,  2150, 43322,
   16433,  2151, 43322,   647,  2155, -3205,   768, 43322, 43322,  2137,
   -3205, -3205, -3205, 29854, -3205, -3205, -3205,  2141, -3205, -3205,
   55598, -3205, -3205,  1269, -3205, 54806, 40154, -3205, -3205,   370,
   43322, 43322, -3205, -3205, 43322, 43322, 43322, 43322, 36986, 43322,
   43322,   705,   742, 43322, 37382, -3205, 36194, 43322, 43322, 30650,
   -3205, 43322,  2154,   200, -3205,  2946, 43322, 43322,  1969,  1271,
    2053, -3205, 43322,  5029, 43322, 43322, -3205, -3205,  1223, -3205,
   -3205, -3205, -3205, -3205, 43322, 43322,  1223, 43322,  1223,   188,
   -3205, 31046, 43322, -3205, -3205, -3205, 43322, 43322, 43322, 43322,
   43322,   692,     7,  2115,  2117,  2118, 43322, 43322, 43322, -3205,
   -3205,  2100, -3205, 43322,  5029, 43322, 43322,  2066,  2068,   104,
    2140, -3205, -3205, -3205, -3205, -3205,  2238,  2395, 43322,  2240,
    2242,  2059,  2060,  2246,   411, 43322, 43322, 43322, 43322, 43322,
   43322,  2248,   411,  2188,    78, -3205,  2036,  1272, -3205, -3205,
   16433,  2408, 54410,  2017,  2034,  2092,  2107,  2111, -3205,  2024,
    2113,  1195, -3205, -3205,  1234, -3205,   277,   952, -3205,   398,
    5029,  2303, 43322,  1277, -3205,  2049, 36194,  5029, -3205,  1186,
   33422, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
    2311, -3205,   498,  1625,  1625,  1625,  1625, -3205, -3205, -3205,
   -3205,  1232, -3205,  2043, 43322,  2153,  5029, -3205,   590,   716,
   36194, 32630,  1418,  2426,  2315,   498,  2224, 36194, 12701,  2207,
   -3205,  2316,  2321,  2340, -3205, 19352, 40550,  2050,   137, -3205,
   40550, 40946, -3205,   887,  2054, 16850,  2041,  1458, -3205,  2455,
   -3205,  2355,   163,  1488, -3205,  1653, -3205, 43322, 43322, 43322,
   43322,  1491, -3205, -3205,  1653,  2239,   163,   163, -3205,  2243,
     163,  1653,  2173,  2349, 29854, -3205,   116, -3205, -3205, 16433,
    2157,  1285, -3205, 43322, -3205,  1653,  2109, 43322,  2061, -3205,
    1653,  1653,  1735,  1735,  1653, 41342,  2475,  2344, -3205,  1303,
   -3205, -3205, 14348, -3205,   102, -3205,   331,    19,  2291, -3205,
   -3205, -3205, -3205, 54410, -3205, -3205, -3205, -3205, -3205, 43322,
     187,  2252,  2069, 41342,  2462,   163, -3205,  1318, -3205,   723,
   -3205,   754, 16433, 16433,   242, -3205,  6022,  1320,  2079,  2080,
    1340, -3205, -3205, -3205, -3205, -3205, -3205, -3205,  2081,  2366,
   -3205,  2084,  1343,  1366,  2086,  2093, -3205, -3205,  4204,  2097,
    6335,  2099, 18101, 18101,  1826, -3205, -3205, 18101,  2101, -3205,
    1402,  5417,  2096,  2122,  2116, -3205,  2125,  2127,  6286, 15599,
   16433, 15599, 15599,  6750,  2096,  2131,  1411, 30650,  6772,  1417,
   -3205, 16433, 30650,  4405, 16433, -3205, -3205, 16433, 43322,  2133,
    2134, -3205,  2912, -3205,  2120, -3205, 18101, 18101,  3991, 13514,
   -3205, -3205,  2385, -3205, -3205,   835, -3205,  2129, -3205, -3205,
    4540,   274, 16433,  1924, 16433,  2194, 25018,  8566, 16433,  2632,
    3560,  3560,   109,   109,   165,   165,   165,   115, -3205,   708,
   -3205, -3205, -3205,  2136,  1758, 16433, -3205,  1194,  1248, 36194,
    3164,  3489, -3205, -3205, -3205, 19750,  2163, 16433, 16433, 16433,
    2138,  2298,  1429, -3205,   510, -3205,  1195,   111, 27833, -3205,
   -3205, 16433, -3205, -3205, -3205, -3205,  1430, 21740,  1941, 14765,
     887, -3205, -3205, -3205, -3205, -3205, 16433, -3205, -3205,  2735,
    1424, 16433,  1484, -3205, -3205, 36194,  2102,  2102, 16433, 16433,
   15182, -3205, -3205,  2429, -3205, -3205, -3205, -3205, 43322, 43322,
   43322, -3205, -3205, -3205, -3205, -3205, -3205,  2368, -3205, 16433,
     254,  2143,  2144, 43322,   163, -3205, -3205,  9309, -3205, -3205,
    2202,  2223, 43322,  2018, -3205,  2405, -3205, -3205, -3205, -3205,
    2343, -3205, -3205,   804, -3205, 40154, 54806, -3205, 54806, -3205,
     804,   891, -3205,  1653, -3205, 54410,    98, -3205, -3205, -3205,
   -3205, -3205,   163,   163, 43322, 43322, 43322, 43322, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205,  1437, -3205,   341, -3205, -3205,
   -3205, -3205, -3205,   881, -3205,   630, 54410, -3205, 54014, 43322,
   -3205, 43322,  2381, -3205, -3205, -3205,  2318,   537, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205,   421, 43322, -3205,  1195,
    2319, 43322,  2218, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, 30650, 30650, 30650,  1438, -3205, -3205,   498, -3205,
   -3205, -3205,  2236, -3205, -3205, -3205,  2377,  2378,  2380,  2241,
    2245,  2251,  2253, -3205,  2254,  2255,  2256, -3205, -3205, -3205,
   43322, -3205, -3205, -3205, 43322, 43322, -3205, -3205, -3205,   411,
   54410,  2407,   411,   411, 43322, 43322,   411, -3205, -3205, -3205,
    2413,  2417,  2422,  2423,  2425,  2427,   411, -3205, -3205, -3205,
   -3205,   667,  1778, 22953, -3205,  2214,  7207,  2189,  2034,  2185,
    1195,   549,   538,    72,  2310,  1195,  2406,  2203, -3205,  1311,
    2424,  2211,  2211,  2211,  2211,  2211,  2211,  2211, -3205,  1548,
   -3205,  2372,  2269, -3205, -3205, 30650, 22953,  1192,   880,  2337,
     914,  2536, -3205, -3205, -3205, -3205, -3205, 36194,   277,   498,
    1440, -3205, 54410, 43322, 43322,  2247,  2212, 36194,  2206,  2222,
   -3205, -3205, -3205, -3205,  1446, -3205, 54410,   222,  2387,  2388,
     810, 43322,  2289, 36194,  2282, -3205,  1454,    82, -3205,   498,
   29854, 53222, -3205,  2088, -3205, -3205,  2409, -3205, -3205,   810,
   11909,   137,  2225, 43322, -3205,  2233, 19750,  2474,  2414, -3205,
   19750,  2414,   678,  2414,  2477, -3205, 22138, -3205,  2235,  1201,
   11073,  2430,  9309, -3205,   163, 54410, 43322, -3205,   163,  2299,
     163,  2302,   163,   163, 36194, -3205, -3205, 36194, -3205, 43322,
   36590,   163, -3205,  9309, 36194, -3205, -3205, 43322,  1653, 31442,
   43322,   613, -3205, -3205,  2428, -3205,   810, 43322,   887,  2250,
   -3205, -3205, -3205, -3205,  2546,  2549, -3205, -3205, -3205, 43322,
   33818,   131, 43322, -3205, -3205, -3205, -3205,  2260,  1466,  7104,
   16433, -3205,  2556, 54410, -3205, -3205, -3205, -3205, -3205, 16433,
   -3205, -3205, -3205, -3205, -3205, 16433, -3205, 16433,  2535, -3205,
    2258,  2258, 18101,   802,  1754, 18101, 18101, 18101, 18101, 18101,
   18101, 18101, 18101, 18101, 54410, 18935,   801, -3205, -3205, 16433,
   16433,  2550,  2535, -3205, -3205,   784,   784, 54410,  2261,  2096,
    2265,  2267, 16433, -3205, -3205,  1467, 30650, -3205, 16433,  5879,
    1469,  2317,  7345,   887,  7405, -3205,  2643,   498, 16433,   854,
    1098, 16433,  1474, 16433,  2557, -3205, -3205, -3205,  2274, -3205,
   -3205, 54410, 16433, 18101, 18101,  5982, -3205,  7863, 16433,  2275,
    8069, 13514, -3205,   691,   691,   691,   691, -3205, 36194, 36194,
    2050, 16433,  2555,  1480,  1498,  7894,  2298, 22536, -3205,    14,
   16016,   191,  2280, -3205, -3205,  7910,  2295, 43322, -3205,  2041,
   -3205, -3205,  2288, -3205,  1424, -3205, -3205, -3205,  8174,  2468,
    1735, -3205, -3205, -3205, -3205, -3205,   144, -3205, -3205, -3205,
    2211,  8233, -3205, 43322, 43322,  1509, -3205, -3205, 43322, -3205,
    1457, -3205, -3205,  2544,  1075, -3205, -3205, -3205,  2361, -3205,
     171,   693, -3205,  2363, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, 30650, 22953, 30650,  2374,  2375,   103,   146,  2376,  2379,
    2304,  2307,  2308, -3205,  1653,  1014,   498, 43322, 43322, -3205,
   -3205,  1653, -3205,   498,  1653,   498, -3205, -3205, -3205, -3205,
   31046, -3205, -3205, 43322,  2586,   118,  1364, 43322, 43322, 43322,
   43322, 43322, 43322, 43322,  2018, -3205, -3205, -3205,  2309,   411,
   -3205, -3205,  2543,  2547, -3205,   411,   411,   411,   411,   411,
     411, -3205,   257, -3205, -3205,  2019,  2019,   822, -3205,  2019,
   -3205,  2019, -3205,  2288,  1195,   932, -3205, -3205, -3205, -3205,
   -3205, -3205,  2036, -3205,   771,  1195,  1451,  2312, -3205,  2320,
   -3205, -3205, -3205, -3205, -3205, -3205,  2313, -3205,   111, 36194,
    2211, -3205,   113,    69,    84,    92, 41738, 42134, 42530,  2322,
   43322, 18101, -3205,   230,   175, -3205,  2542, 36194,  2354, -3205,
   -3205, -3205,  2323, -3205, 54410, -3205, -3205,  2714,   489, 36194,
    2358,  2608, -3205,  1511, -3205, -3205, 43322, -3205,  2372,  1171,
     650, -3205, 32630, -3205,  2581, 32630, -3205, 43322, -3205, -3205,
   -3205,  2687,  2412,  2370,   398,   498,  2282, 43322,  2327, -3205,
   40154, 16433, 16433, -3205,  2325, -3205,  2334,  3833, -3205,  1625,
   -3205, -3205,   578, -3205, 40550,  2345, 43322,   137, 19750, -3205,
   -3205,  1306, -3205, 19750,  2573, -3205, 19750, 43322,  2347, 43322,
    1512, 28651, -3205,  2342,   163, -3205, 43322, -3205, 43322, -3205,
   -3205,   163,   163, -3205,  2457, -3205,  2348,  1653, -3205, -3205,
    2627, 41342, -3205, -3205, -3205, -3205, -3205, -3205,    17,  2633,
   -3205, -3205, -3205, -3205, 16433,  9309, -3205,  2351,  9309,  8604,
    9309,  2550,  3096,  2635, -3205,   856,  2350,  3096,  2707,  2707,
    1273,  1273,  1041,  1041,  1041,  2258, -3205,   801,  9309,  9309,
   -3205, -3205, -3205, -3205,  2353, -3205, -3205, -3205,  2096, -3205,
   17267, -3205, -3205,  2398,  2401,  2360, -3205, 16433, 17684,  2357,
   55598, -3205, -3205,   111,  1920, 18101, 18101,  2026, -3205,   867,
   16433, 54410,  1517,  2026,  1154,  1733, 16433, 16433,  9108,   268,
   16433,  8646, 36194, 36194, 36194, 36194, -3205, -3205,  9309,  2742,
    2640,  2298,  2298,  2298, -3205, 55202, -3205, -3205, -3205, -3205,
   16433,   498, -3205,   730, -3205, -3205, 25018, -3205, -3205, -3205,
    1170,  1014, -3205,  1520,  1522,  2354, -3205,  1777, -3205,  2437,
   -3205,  1548,  2560, -3205,  2561,  1014, 43322, 54410, -3205, -3205,
    2386, 43322, 43322,  1195,  1195, 54410,  2369, -3205,  1195,  1195,
    2373, -3205, 43322, 43322, -3205, -3205, -3205, -3205, -3205,  1653,
    1653, -3205, -3205, -3205, -3205, 43322, 43322, 43322, 43322,  2672,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,  2620, -3205,
     411,   411, -3205, -3205, -3205, -3205, -3205, -3205, -3205,  1659,
    2700,   498,   498,  2571, 43322,   498,   498, -3205,   831,  2709,
   -3205,  2647,   553,  2393,   935,  2667, -3205, -3205, -3205, -3205,
    2677,  1014, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, 16433,   134,  3096,
   -3205, -3205, -3205, -3205,  2354,  1192,  2454, 30650,  2458,   810,
      75, 43322,  2706,  2697, -3205,   498, -3205, -3205, -3205, -3205,
    2736,  2400,   836,  2403,  1418, -3205, -3205, -3205,   571, 43322,
   -3205,   622, -3205,  2646,  2692,  2411, -3205, 20148, -3205,  9309,
    9309,   498, 55994,  2088, -3205, -3205, -3205, -3205, -3205,  2490,
   -3205, 43322,  1523, -3205, 16433,  2432, -3205, -3205, 19750,  1306,
    1525, 43322,  1528, 54410,  2298, -3205, -3205,   163, -3205,   163,
     163, -3205, -3205, 43322, 43322,  2591, -3205,   163, 41342,  9309,
   -3205, -3205, -3205, 18101,  2704, -3205,  2433, 54410, -3205,  2439,
    1530,  1540, -3205, -3205, -3205,  8677,  2478,  9309,  2524,  2442,
    2444, -3205,  1750,  1750,   867,  1542, -3205, 18101, 18101,  2026,
    2026, 16433,  2026, -3205, -3205, -3205, -3205, -3205, 16433, 16433,
    2467, -3205, -3205, -3205,  2590, -3205,  8996,   111, -3205,  2446,
    1484, -3205,  2569,  2354,  2454, -3205, -3205, -3205, -3205, -3205,
    2486, 22953, -3205, -3205, 20546, 25018, -3205,   103,  2448,  2449,
     146, -3205, -3205,   684,   522,  2471,  1653,  2737,   411, -3205,
   -3205, -3205,   498, -3205, -3205, 43322,  2447, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, 31442,  2850,  2850, 36194,   771,
   -3205,  9038,  2645, -3205,  2454,  2670,  2717, -3205,  1543, -3205,
   43322,  2370, 32630,  2372, -3205,   900,  2609, -3205, -3205,  1418,
    1035,  1124, -3205, 36194,  2388,  2582, -3205,  2584, -3205,  2832,
    2639,  2834,   498, -3205, 43322, 20148, 16433,  1545, -3205, 42926,
   10672, -3205, 54806, -3205,  1553, -3205, -3205, 36194,  1555, -3205,
    9309, 43322, -3205, -3205, -3205,  1556, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205,   131,  1322, 18101, 54410,  1574, 16433, -3205,
   16433, -3205, -3205, -3205,    41, -3205, -3205, -3205,  1750,  1750,
    2026,  2096,  9309, 43322, -3205,  2848,  2641,  2298, -3205, -3205,
    2648, 36194,  2454, -3205, 16433, -3205, -3205, 54410,  1488,   425,
   -3205, 54410, 54410, -3205, 43322, 43322, 43322, 43322, 43322, -3205,
    1778, -3205,  2447,  2850,   243, -3205, -3205, -3205,  2753, -3205,
   -3205,   513,  2654,  2562, -3205, 30650,  2770, -3205, -3205, -3205,
   -3205, -3205, 31442,  2388, -3205, -3205, -3205, -3205, -3205, -3205,
    1575,  2412, -3205, -3205,  2656, -3205,  2657, -3205, -3205,  1577,
    9263,  2522, 20148, 43322, -3205,   865,   865, -3205,  3833, 55994,
    2163, -3205,  1584, -3205, -3205,  1322,  1585, -3205,  1586,  1594,
    2537, -3205,  2480, -3205,  2881, 16433,   377, -3205, -3205, -3205,
    1192, -3205,  9309,  1596, -3205, -3205, -3205,  2631,  1602,  1605,
    2484,  2532,  2484, -3205,  1653, -3205, -3205, -3205,  2802, -3205,
   -3205, -3205,   269, -3205,  2676,  2678, 43322, -3205, 43322,  2898,
    2500,  2412, -3205, -3205, -3205, -3205,  2522, 42926,  1812,  2412,
   -3205, -3205,  1424,  1424,  2088, -3205,  2815, -3205, -3205, -3205,
   -3205, -3205, 43322,  2502,  2096,   157,   157,  2503,  2670, 31442,
   -3205, -3205, -3205, 43322,  2628,   685,   685,  2827, -3205,  2567,
   -3205, -3205, -3205,   103, 29054, -3205,  2412,   865, -3205,  2163,
   -3205, -3205, -3205,   241, -3205, -3205,   128,  2634,   599, -3205,
   -3205, -3205, -3205,  2654,  1488, -3205,  2806, -3205,  2924, -3205,
     660, -3205, -3205,  2369, -3205, -3205, -3205,  1607, -3205, -3205,
   -3205, -3205,  2163,  1424, -3205, -3205, -3205,   588,  2914, -3205,
   -3205, -3205,   771, -3205,  2663, -3205, -3205, -3205, -3205, 29054,
   -3205, -3205, -3205,   529, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205,   128, -3205, 31442, -3205,  1245, -3205, -3205,  1260,  1439,
   -3205,  2514, -3205,   529, 29054, -3205,  1610, -3205
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3205, -3205, -3205,  2277, -3205,  -694,  -208, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -3205,  1096, -3205, -3205,    95,  1453,  1923,   818, -3205, -3205,
   -3205, -3205,  -608,   122,   521, -3205, -3205, -3205, -3205, -3205,
   -3205, -3205,   853,  1214,   735,  1918, -3205, -1103,  -556, -3205,
     275, -3205, -3205, -3205,   612,  -314, -3205, -3205, -3205, -3205,
   -3205, -1188,    12,   139, -3205,   142,  1256,   290, -3205,  -146,
   -3205, -3205, -3205, -3205,  -109,   791,  -549,  -855,  1030,  -553,
    -587,  -517,  -514,  -557, -3205, -2469, -3034, -2246, -2275,  2121,
   -3205, -3205, -3205,   158, -3205, -1184, -3205, -3205,  1717, -1019,
   -3205,  -886, -3205, -3205,   573,  1305,   155, -3205, -3205,   114,
   -3205, -3205, -3205, -3205, -3205, -3205, -2676, -3205, -1127, -3205,
     280, -2180,   711, -3205, -3205, -3205,  1739, -3205, -3205, -3205,
   -3205, -1204, -3205, -3205, -1176, -3205,  1155,   605, -3205, -3205,
   -3205,  -628,  -599, -3205, -3078,   -81,   -79, -3205, -3205, -3205,
   -3205,  -776, -3205,   629, -2256,  -701, -3205, -3205,   661, -3205,
   -3205,  -538,  -250,  1763, -3205,  -468, -3205, -3205, -3205,  -249,
   -3205, -3205, -3205, -3205, -3205, -3205, -1295,   284,  -666, -3205,
   -3205, -3205, -3205, -1623, -3205,  2977,  2415, -1171, -3205,     9,
      23,  2139,  -849, -1920,   127, -3205, -3205, -1324, -3205, -3205,
   -3205, -1839, -1166, -3205,   181,  -306,  -421, -2689, -3104, -2515,
   -3205, -3205,  -817, -3205, -3205, -3205, -1012,  1317, -1669, -3205,
   -1632,   185, -2713,  -551, -2325, -3205, -2658,  -423, -3205, -3205,
   -3205, -3205, -3205, -3205, -3205,  -820,  -498, -3205, -3013, -3205,
   -3205, -3205, -3205,   957, -3205,   217, -3205, -3205, -3205, -3205,
   -3205, -3205, -3205,  -559,  -593, -3205, -3205, -3205,   123, -3205,
   -3205, -3205,  1456,  -709,  -589,  2389, -1165,  -270, -3205, -3205,
   -3205, -3205, -2188, -3205, -3205, -3205, -3205, -3205, -3205, -3205,
   -1197, -3205, -3205, -3205, -3205, -3205, -3205,  1413,  3002,   -24,
   -3205, -3205,  1989, -3205, -3205, -3205, -3205, -3205, -3205,  2175,
     218, -3205,    46, -3205, -3205,   554, -1779,    51, -3205, -3205,
   -3205, -3205,  -275,    52, -3205,   905, -3205, -3205, -1505, -3205,
    2182, -3205, -3205,     4,     0,   -47,   -45,   -41, -3205,  2382,
    2002, -3205, -3205,   -26,   964, -3205,  -668,  -664, -3205,   913,
    -523,  1397,   901,    60,  -228, -3205, -2044,   416, -3205, -3205,
    -521,  1414, -3205,  2009,  1427, -3205,  1460,   961, -1838,  1177,
   -1790,   635,  -686,   -90,    70,  2435,  2548, -3205, -3157,   945,
   -2684,   276,  1827,  1263, -1181, -3205, -3205,  -873,  3303, -3205,
   -3205, -3205,  4906,  5748, -3205, -3205,  5836,  6316, -3205,  -764,
     509,  6799,  2466,  -909, -1400,  -903,  5854, -1291,  1393, -1262,
   -3205, -3205, -3205,  -271,   532,   293, -3205, -3205, -3205,  -431,
   -2015,  -426, -3205, -3205, -3205,  -425, -3204, -1374, -3205,  -149,
   -3205,  7304,   955, -3205,  -653,  -851, -1323, -3205, -3205, -3205,
   -3205, -3205, -3205, -3205, -1510, -2394,  -515,  1020, -3205, -3205,
    1111, -3205, -3205, -3205,  -957,  -591, -1475,  1027, -1484, -3205,
    -660,  1145,  1629,  2367,  -613,  1495,  -360,  3250,  -405, -1661,
    -944,  -670, -3205,  -144, -3205,   472,  1038,   369,    -2,    48,
    1492,  -961,  4526,  -949,  -872, -2229, -3205
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -1889
static const yytype_int16 yytable[] =
{
     153,   659,  1056,   789,   152,  1288,  1057,   993,  1720,  1296,
    1334,   489,  1058,  1939,  1892,  1000,   645,  1755,   697,   574,
    1926,   725,  1257,   708,   515,   574,  2196,  1356,   867,   868,
    1811,  2016,  1413,   872,  1122,  1170,  1065,  2051,  1008,  1386,
    1387,   829,  1367,   611,  1160,   580,   147,  2421,   658,  1980,
    1022,   148,   150,  2491,  1865,   479,  1842,   612,  1402,  1594,
    1843,   479,   479,  2197,  2199,  1599,  2235,   479,  1844,   479,
     582,  1596,   584,  1845,  1193,   479,   592,   479,  1846,  1847,
     602,   608,   582,  1694,   615,  1232,   608,   608,  2840,   779,
    1236,   647,  2696,  2096,  2698,   479,  2608,  1242,  2629,  2125,
    2435,  2437,  1599,  1594,  2751,  1059,  1259,  1922,  2475,  2987,
    2796,   640,   670,  1279,   648,  1596,   671,  2443,   662,  1750,
    1652,  1489,    65,   124,  3143,  1506,  1506,  1256,   819,  2133,
    3106,   553,  3117,   629,  1440,  2130,  1267,  2751,  1380,  1381,
    1440,  1600,   487, -1249,  1052, -1671,  1053,  2920,  1597, -1703,
   -1054, -1723, -1244, -1752,  1433,  1280,  1093,   669,   525,  1974,
    1280,  3085,  2306,  1399,  2773,  2774,  2775,  2776,  2777,  2778,
    1280,  2363,   997,  3160,  2831,  3162,  3087,   824,  2071,  2327,
    1073,   832,  2779,  1711,  3089,  1702,  1815,  3546,  1271,  1351,
    1440,   844,  1597,  1150,  1675,  1863,  1319, -1607,  1815, -1057,
    1680,  3398,  1280,  3547,  1469,  3082,  1954,  2660,   853,  1936,
    2427,   702,   704,   702,  2148,  2329,   710, -1722,   727, -1054,
     710,   479,  2480,   479,  1187,   479,  2781,   479,   702,   710,
    1249,  1659,  3547,  1670,  1151,  1870,  1304,  1314,  1702,  1272,
    1736,  1659,  3013,  1739,  1740,  1660,   732,  2450,  1816,  2452,
    3036, -1458,  2230,  3575,   863,  1660, -1674,  3450, -1458,  2291,
    1816,  1181,  2607,  1667,  3396,   807,  3476,   855, -1057,  3102,
    3421,  1250,  1741,  1624,  2090,  2428,  2763,  1305,  1835, -1474,
    1120,  2091,  1074,  3506,    33,  3018, -1474,   870,  2292,  1721,
    1596, -1054,  1790,  1969,  1627,  2055,   892,  1475,  2055,  1170,
    2072,  2429,  1659,  1817,  2073,  1413,  1818,  1375,  1121,  1870,
    1430,   159,  1493,  2484,  1155,  1817,  2430,  1661,  1818,  2105,
    1004,  1955,  1946,  1273,  2489,  3100,  2431,  1661,  1386,  1387,
    1097,  3502,  3503,  1628,  1722,  1723,  1402,  3234, -1249,  2074,
   -1057,  1479,  3578,  1156,  3014,   860,   775,  1612,   160,  2432,
     482,  1613,   725,  2500,  1494,  1476,  -311, -1249,  3282,  1625,
    1789,  1793,  1601,  2785,   861,  1671,  3525,  1597,  1290,   741,
     871,  1157,  1274,  1819,  1857,  1719,  1290,  1069,  2485,  3491,
    3475,  1629,  3574,  3101,   524,   814,  1152,  3019,  1661, -1216,
     725,  1742,   822,  1743,  1472,  3002,  1481,  3610,  3477,  2786,
    1819,  3037,  2149,  1281,  3103,   526,   864,  2661,  1281,  1010,
    3576,  2787,  1819,  2481,   585,  3590,  3009,  1809,  1281,  2330,
    1871, -1722,   808,  1251,  1347,  1075,  1239,  3015,  2433,  1306,
    1937,  1796,  1098,  3573,  3451,  1380,  1381,  2231, -1054,  1672,
    1746,  1290,  1748,  2751,  1399,  1858,  3284,   701,  1662,   705,
    1281,  2482,  2991,  1712,  1470,  1275,  2307,  1352,  1662,  2818,
    1783,  2075, -1216,   742,   736,  1713,  1375,  2045,  1153,   585,
    1297,  1756,  1797,  1786,  1599,  1931,  2478,  3335,  2053,  3548,
     585,   527,  1076,   528,   585,  3326, -1722, -1057,  2832,  2788,
    1596,  1820,   585,   573,  3292,  1956,  1805, -1249,  1864,   573,
    1352,  1784, -1722,  1820,  3602,  1252, -1244,  3182,  3548,  1811,
    1345,  1307,  1957,   585,  1714,  1599, -1249,   568,  1821,  1662,
    1358,  1459,  1460,  1461,  1462, -1244,  1239,  1434, -1054,    48,
    1463,   748,  1368,  1643,   851,  1644,  1463,   709,  1663,   479,
    1316,   728,   704,  1685,   702,  1290,  2184,   710,  1663,   727,
     738,   710,   793,   479,   479,  2881, -1458,   852,   479,   854,
     702,   856,   710,  1824,  2656,   857,  2657,  1597, -1671,   479,
   -1054,  2563, -1703, -1054, -1723,  3372, -1752, -1057,   479,  2092,
    1462,   704,  3081,   871, -1474,   479,  1463,   727,  2847,   479,
     479,  2974,  2851,   479,   648,   479,  1876,   479,   770,   479,
    2056,   568,   702,  2583,  1099,  1174,  2127,   569,   570,  1663,
     725,   871,  1177,  1011,  2180,  1169,  1983,  3408,  3058, -1057,
   -1607,  1731, -1057,  1892,  1798,  1859,    15,  1126,  3526,   498,
     804,  3436,  1753,  2006,  2007,    37,  1860,  2676,  2016,  2016,
    2317,  1719,  2483,  2016,   479,  2620,   479,  3067,  3515,   884,
    2689,  3479,    15,  2722,  2723,  3304,  1874,  1167,   485,   874,
     568,   153,  3309,  1269,    41,   152,   569,   570,  3305,   608,
    3310,  1002,  3516,   608,  1127,  3145,  1615,   596,  1012, -1674,
    3306,  2687,  2016,  2016,   500,    15,  2717,  2760,   741,  2720,
    2721,  1741,  1594,  2724,   888,   663,  1026,    23,    46,  2286,
    3465,  2748,   479,  2731,  1596,  2287,  1799,   147,  1666,  2163,
      47,  1991,   148,   150,  1873,   874,   996,  2613,  1977,  1979,
    1006,  2520,  2521,    23,  3557,  3504,  2536,  1942,  1943,  1987,
    3580,   616,  1990,  1440,  2748,  3119,   498,   159,  1667,  2677,
    2002,  2003,  2761,  1062,  2094,  1042,  3146,  2672,  1128,   664,
     597,  1348,  3586,  2020,  2022,    28,    23,   782,  2227,   783,
     702,   702,  2182,  2673,  2036,  2569,  2570,  3480,  1716,  1681,
    1596,  1794,  1063,  1992,   160,  1124, -1216,  3069,  3003,  2838,
     780,  1597,   742,    65,   124,  1670,  1048, -1216,   479,  1385,
   -1216,   500,  1064,  1129, -1216,  1130,   798,  1911,   484,  1168,
     479,  2288,  1596,   585,  1125,  3385,  1749,   727,  3537,   479,
    1742,   585,  1743,  3592,    28,   479,  2428,  3311,  2840,   702,
    2112,   585,   665,   507,   617,   508,   479,  3481,  1993,  2688,
    3413,  1994,    37,  3307,  1795,   702,   702,  2384,  1043,  1819,
    2985,  1132,  2429,  1892,  1117,   583,  3542,  1597,  1682,  1750,
    1050,   153,  2266,   702,  1268,  1328,   479,  2853,    37,  3581,
    2269,    41,  2271,  2180,  2186,  3067,  3120,  2431,   784,  2095,
    1668,  2945,   791,   153,   702,   702,  1134,  1350,   479,  1597,
    1900,  3147,  2678,   800,  1444,  1445,  2137,    41,    44,  3587,
    1140,    37,  1440,  1002,  1051,    46,  1373,  1324,   585,  2181,
    3386,  3558,  1325,  1326,   613,  2009,  2903,    47,  2904,  1136,
     479,  2679,  1333,  1333,    44,  1389,   659,  3004,   479,   582,
      41,    46,   598,   599,   479,  1995,  3269,  3289,   479,  1905,
     507,   666,   508,    47,  3068,  1448,  1364,  3148,  1914,  2574,
     479,  2575,  1370,  2187,  2289,  1416,  1290,    44,    48,  1839,
    1921,  2348,  1774,   568,    46,  3300,  3221,  3222,  3223,  3373,
    3184,  2576,  3185,  1428,  1664,  2138,    47,  2758,  -320,  2433,
     725,  1140,  3559,  2290,    48,  1935,  1707,  2523,  1940,  1941,
    1141,  1628,  1944,   159,  3270,  3376,  2293,  3540,  3541,  1188,
    1189,  2880,  1703,  3301,  3560,  3069,  1115,  1116,    37,  1618,
    1619,  2214,  1623,   671,   671,  1611,   671,  3593,  2901,  3400,
    3153,  2182,  2751,  2350,  3005,  3157,  1996,  3006,  3159,    37,
     160,  1840,  1997,   588,   585,  1708,  2905,    41,  1830,  1629,
    2523,   573,  2921,   573,  1837,   573,  2906,  2881,  2216,   573,
    2748,   858,   859, -1889,   669,   669,  3063,   669,    41,  3177,
    2215,  1866,  1002,   636,  3150,  1186,  2651,   801,  3591,  1002,
    1002,    46,  3384,   587,  2577,  2351,   785,   585,   786,  2578,
     595,  1237,  1238,  1603,  3275,  1610,  2555,  2373,  2374,  2375,
    2376,  2560,    46,   479,   479,   802,  2448,  2217,  1596,  1265,
    3186,  2453,  3064,  1596,    47,  2524,  3049,  3461,  3414,  1142,
    3276,  1148,  3052,  3053,  3054,  3055,  3056,  3057,  1290,  1747,
    1292,  1294,  2984,    37,    48,  2946,   608,  1702,  1457,  1458,
    1459,  1460,  1461,  1462,  1709,   803,   479,   650,  3415,  1463,
    1149,  1777,  1894,  2674,  1897,    48,   608,  2352,  2353,   660,
    1483,  2495,    41,  1903,  1721,  2878,   725,  1929,  2016,   652,
    2354,  2016,  2016,  2016,  2016,  2016,  2016,  2016,  2016,  2016,
    1778,  2016,  2675,  1408,  1892,  1597,  3136,   727,  1892,   608,
    1597,  3207,  2496,  2045,  2892,  3493,    46,   706,  2497,  2840,
    1842,  1409,  2579,  2655,  1843,   661,  3370,  3417,    47,  1722,
    1723,  2580,  1844,   708,  3409,  3416,  2444,  1845,   702,   702,
     702,   702,  1846,  1847,  2355,  3169,   710,  3170,   734,  2016,
    2016,  2528,  2529,  2530,  2531,  2532,  2533,  3418,   801,  1268,
    3410,  1206,  2534,  1385,  1072,  3487,  1064,   702,   702,    48,
    1719,  2902,  1506,   702,  2907,  2908,  2909,  2910,  2911,  2912,
    2913,  2914,  2915,  1484,  2917,  3535,  2799,  1048,   493,  1123,
    2165,  1049, -1585,  3539,   725,   740,  2874,   958,  3343,  1161,
    2525,  2526,  2527,   672,  2528,  2529,  2530,  2531,  2532,  2533,
   -1586, -1585,   774,  1758,  2523,  2534,  1886,  1457,  1458,  1459,
    1460,  1461,  1462,   479,  3419,  2356,   803,  2357,  1463, -1586,
    3572,   710,  2954,  2955,  2819,   479,   777,   702,   702,   702,
     702,   659,  2439, -1097,  1019,  2658,   710, -1097,  1721,  1020,
    1385,  1050,  1002,  1653,  1268,  1647,  2461,  1779,  2645,  1705,
    3332,  1253,  1710,  1596,  1596,  1596,   498,  1780,  2348,  2498,
    2523,  2115,  1930,   704,   479,   778,   568,   479,   479,  2524,
    1254,  2203,  1408,   727,  1648,  -703,   479,   479,   658,   479,
    1781,   479,  3458,  1722,  1723,  1051,   479,   153,   479,   710,
    1409,  1968,  1757,   702,   702,  1311, -1888, -1097,  3079,  1320,
    1101,  1372,  1649,    48, -1216,  1971,  1102,  2549,  1333,  2427,
   -1229,   500,  1410,   479,  1312, -1888,   479,   479,  1970,   781,
     479,    14,  1408,  1385,  1719,  2524,  1951,    15,   790,  1391,
    1597,  1597,  1597,  1965,  1835,  1408,  2572,  2016,  1966,  1967,
    1409, -1097, -1256,   582,   582,  1103,  1596,  1976,   568,   585,
    1066,    19,  1959,  1409,   569,   570, -1259,  3259,  3260,  1159,
    2369, -1256,  1412,    33,  1761,  1762,  1763,  1764,  1436,  2762,
    2764,  2765,  1430,  2060,  2428,  1410,  1485,  1486,   585,  1067,
     796,   727,   568,    33,  2603,  2604,  2533,  1121,   569,  1487,
    1408,   184,  2534,  1791,  1792,  1104,   486,  1776,    23,  1801,
    2429,  2377,  1105,  3322,   555,  1106,  2378,  1068,  1409,   573,
     585, -1259,  1599,   573,   573,  2430,   607,   805,   585,  2999,
    3099,   614,   635,  1597,  1385,  2431,  3038,  1653, -1889,  1473,
    1412,   958,  1721,   171,  2525,  2526,  2527,  2116,  2528,  2529,
    2530,  2531,  2532,  2533,  2548,  3039,  2550,  2551,  2432,  2534,
     507,  2045,   508,   772,  1107,  2611,  1069,  2654,  2593,   806,
    2594,   510,  2630,  1853,  1854,  1855,  1856, -1562,  3061,  3062,
     816,   513,  3065,  3201,  3066,  3154,  1069,  1722,  1723,   820,
    2769,  2062,   573,  2063,  1019,  2378, -1562,   958,   573,  1020,
    2525,  2526,  2527,   830,  2528,  2529,  2530,  2531,  2532,  2533,
     839,  2016,  2016,  2064,   568,  2534,   845,  2468,  2589,  1108,
     569,   570,  2595,  1137,  2596,  1147,  1892,  3047,  1719,  2141,
     849,  1892,  1164,  1069,  1892,  2931,  2779,  2433,   573,   568,
    1927,   573,   573,    37,  1928,   880,  2045,  1596,  1929,  2748,
    2780,   865,  1838,  1932,  -108,  1109,  2135,  1933,  1019,  -108,
   -1562,   869,  1486,  1020,  2143,  -108,  -108,   568,  1045,  3406,
    1047,   877,    41,   569,  1487,  3389,  2922,  2923,   885,  1934,
    2781,  2889,  2782,  1933,  1110,  1962,     3,     4,  1111,  1963,
     573,   893,  1610,  1385,  3202,  3203,  1653,   990,   878,    44,
     999,  1001,  1003,   887,   711,  3612,    46,  3155,  3613,   730,
    2134,  2065,  1112,   886,  1290,  2157,  2066,   739,    47,  1963,
    1038,  2067,   891, -1054,  1597,  2530,  2531,  2532,  2533,  2194,
    3437,  2237,  2334,  2195,  2534,  2238,  2335,  2364,   710,   479,
     888,  2365,   710,   704,   479,  2465,  1397,  1398,   479,  1933,
    2227,  2783,  3010,  2041,   479,   889,  2044,   710,   890,    48,
     479,   894,  1596,  2476,  1596,   710,   479,  2477,  1881,  1882,
    2952,   479,  2528,  2529,  2530,  2531,  2532,  2533,  2494,   895,
    2504,  1894,  1929,  2534,  1929,  2852,  1007,  2855,   710,   479,
    3208,  1596,  2205,  2206,   479,   479,   479,   479,  2213,  3200,
    2507,   479,   479,  2511,  1929,   710,   479,  1929,  1009,   479,
    3322,  1013,  2784,  1014,  2234,  2234,  1015,  2785,  2151,  2152,
     710,  2348,   710,   479, -1120, -1120,  2512,  2860,  2993,  2994,
    1929,  1027,   702,   479,  2068,   479,  2397,  2398,  1023,  1597,
     710,  1597,  2835,  2069,   479,   479,   479,   710,   479,  2016,
    2733,  1028,  1191,  2786,   710,   479,   479,  1036,  2797,  2625,
    2626,   710,  2538,   479,   479,  2787,  1929,  3368,  1597,  3074,
    3075,  2554,  1035,  2016,  2016,  1929,   702,  2557,   659,  1361,
    1362,  2558,  1038,   702,   702,   702,   702,   702,   702,  2609,
    2616,  2370,  2734,  2610,  2617,  1988,  1989,  2670,  2699,  1039,
    2805,  2671,  2700,  2001,  2806,  1046,  2816,  2004,  2005,   153,
    2817,  2631,  2632,  2385,  2829,  3319,  2735,  1060,  2830,  1064,
    2234,  2684,  2026,  1001,  2027,  2420,  2893,  2929,   582,  2936,
    1929,  2930,  3344,  2937,  2948,  2736,  1892,  2691,  1929,  2928,
    2971,  2694,  1170,  2788,  1929,  1078,  2049,  1095,  2050,  2523,
    1117,  2737,  2382,  1154,   663,  1119,  3358,  3359,  2972,  2396,
    2633,  2634,  1929,  1158, -1098,  2738,  2523,   725, -1098,  2995,
    1166,  3114,  3164,  1933,  2425,  3115,  2610,  3206,  2425,  2438,
    3232,  1963,  3233,  3329,  1933,  3334,  1933,  1290,  3336,  2806,
    3349,  3393,  2806,  1171,  3350,   702,  2234,   702,  2234,   859,
    3351,  1894,  3357,  3404,  1929,  3431,  1963,  3405,   664,  3432,
    1173,  2016,  1002,  3438,  2524,  3441,  3443,  3439,   746,  1290,
    2806,  1333,  2522,   773,  2997,   479, -1066, -1559, -1098,  1175,
    2623,  2524,  1178,   710,  3447,  3492, -1066,  3496,  1963,  1478,
   -1066,  3432,  2523,  1432,  3507,  3508,  3509,  2739,  1290,  1963,
    2558,  1183,   659,  1437,  3510,  2740,  3519,   479,  1929,  2161,
    1963,   710,  3521,  2164,  1474,  3522,  1963,  3588,  2267,  1963,
    3617,  3589, -1098,  1185,  3589,  1192,  1195,  1069,  2176,  1233,
   -1066,   665,  1001,  1235,  1239,  1491,  2188,  1243,  2741,  1001,
    1001,  1440,  1245,  3319,  3445,  -152,  1441,  1247,  1258,  1428,
   -1066,  1264,  1276,  3144,  1278,  1283,  1284,  2524,  1285,  2202,
    1286,  1287,  2311,  2060,  2598,  2599,  1289,  1290,   873,  2320,
    2321,  2322,  2323,  2324,  2325,  1295,  2223,  1298,  1299,  3470,
    1301,  3472,  1300,  2592,  1303,   883,  2565,  1308,   573,  1309,
    3205,  2240,  1310,  2264, -1066,  1886,  1315,  2877,  2409,  1330,
    1357,  1359,  1363, -1066,  1365,   994,  1371,  1366, -1220, -1227,
    1388,  2280,  1379,  1382,   727,  1383,  1079,  1384,  2284,  2888,
   -1217,    48,  1390,  1393,  1018,  2297,   958, -1218, -1221,  2525,
    2526,  2527,  2301,  2528,  2529,  2530,  2531,  2532,  2533,  1467,
     666,  1394, -1219,   958,  2534,  1395,  1080,  1041,  1596,  1478,
    2528,  2529,  2530,  2531,  2532,  2533,  1002,  1482,  1396,  1496,
    3319,  2534,  1401,  1403,  1404,  1610,  1405,  1406,  1616,  1407,
    1754,  1414,  1443,  1415,  2623,  1417,  1418,  1419,  1420,  1421,
    1422,  2449,  1423,  2451,  1509,  1049,  1641,  1650,  1651,  1653,
    1674,  1676,  1444,  1445,  1654,  1655,   710,   479,   479,  3266,
     573,  1669,  1081,  1677,  1678,  1679,  1700,  2623,   573,  1702,
     573,  1333, -1066,  1716,  1717,  1701,  1706,  2409,  1718,   958,
     479,  1719,  2525,  2526,  2527,  1597,  2528,  2529,  2530,  2531,
    2532,  2533,  1082,  1438,  1725,  1079,  1726,  2534,  1730,  1727,
    1732,  1440,  1734,  1448,  1735,  1737,  1441,  1744,  1745,  1751,
    1752,  1140,   479,   479,   479,   479,  1759,  1449,  1760,  1229,
    2410,  1766,  1767,  1773,  1768,  1080,  1775,  3191,  1788,  1800,
    1802,  1803,  1894,  1848,  1375,  1019,  1894,   710,  1038,   479,
    1020,  1812,  1813,  2347,  1826,  1810,  1260,  1262,  1263,  1385,
    1391,   495,  1001,  1852,  1142,   479,  1832,  1869,  1836,   479,
    1875,  1877,  1878,  1880,  2473,  1884,  1895,  1907,  1908,  1909,
    1910,  1923,  1924,  3228,  1945,   708,  1948,  3029,  3030,  1952,
    1960,  1081,  1983,  1973,  2024,  1982,  3347,  2037,  2025,  2042,
    2048,  1463,  2473,  2059,  2054,  2047,  2114,  2076,   479,  2078,
    2105,  2122,   710,   479,  2123,   664,  2129,  2119,  2118,  2144,
    2145,  1082,  2234,  2234,   994,  3261,  2150,  2156,  2158,  2159,
    1229,  1079,  2136,    33,  2160,  2167,  2190,  1085,  1442,  2175,
    2178,  2169,  1443,  1086,  2185,  2171,   994,  2192,  2172,  2410,
    1087,  2229,  2173,  2236,  2239,  3538,  2294,  1121,  2295,  2296,
     153,  1080,  1444,  1445,  2823,  1089,  2300,  2304,   641,  2305,
    3392,   641,  2308,  1090,  2309,  2310,  2312,  1446,  2313,   153,
    2314,  2315,  2316,  2843,  2326,  2328,  1886,  2337,  2000,  1453,
    1886,   479,   479,  2342,  2340,  2362,  1457,  1458,  1459,  1460,
    1461,  1462,  2333,  2345,  1636,  2371,  2400,  1463,  2343,   479,
    1447,  2341,  2344,  1448,  2346,  2366,  1596,  1081,  1002,  2383,
    2401,  1091,  2379,  2403,  2417,  2412,  2839,  1449,  2425,  2418,
    1450,  2845,  2419,  2440,  2426,  2445,   153,  2446,  2454,  2459,
    2884,  2460,  2457,  2474,  2858,  2469,  1974,  1082,  3229,  2464,
    2467,  2490,    33,   871,   479,  3446,  2411,  2486,  2492,  2505,
    2506,  2508,  1086,  2509,  2510,  1101,  2513,   479,   710,  1087,
    2544,  1102,  1510,  2514,  2568,   479,  1121,  2516,   710,  2519,
    1929,  2537,  2573,  2623,  1089,  1951,  3463,  2637,  2117,   696,
    3468,  3469,  1090,  1597,   696,  2588,   641,   479,  2601,  1451,
     710,   641,  2543,   641,   659,  2545,  2607,  2546,  2581,   641,
    1103,  2553,  1229,  2566,  2567,  2591,  3285,  2636,  2606,  3467,
    2640,  3464,  2643,  2644,  2648,  3361,  2647,  2962,  2963,  2964,
    2965,  2652,  2653,  2685,  2686,  2693,  2695,  2703,  2704,  2705,
    1091,  2706,  2707,  2719,  2412,  1083,  2708,  1699,  2612,  2725,
     573,  1428,  2709,  2726,  2710,  2711,  2712,  2713,  2727,  2728,
    1104,  2729,  1715,  2730,  1217,  2756,  2755,  1105,  2683,  1229,
    1106,  1819,  2752,  2767,  1084,  2792,  2770,  2771,    33,  2794,
    2798,  2800,  1085,  2768,  2820,  2810,  2814,  2821,  1086,  1453,
    2825,  2812,  1454,  1455,  1456,  1087,  1457,  1458,  1459,  1460,
    1461,  1462,  1088,  2827,  2120,  2844,  2815,  1463,  2842,  1765,
    1089,  2121,  2846,  2848,  2859,  2977,  2856,  1440,  1090,  1107,
    2866,  2849,  1441,  2868,  2861,  1610,  2886,  1229,  1785,  2887,
    2883,  2896,  2540,  2715,  1470,  3253,  3254,  1372,  3256,  2534,
    1101,  2925,  2539,  3027,  1229,  2926,  1102,  2927,  2938,  1433,
    3420,  1333,  1333,  2951,  2950,  2959,   710,  3449,  3456,  2969,
    2981,  2983,  3457,  1229,  1894,  1355,  1091,  2986,  2989,  1894,
    2998,  3000,  1894,  3007,  1108,  3011,  3012,  3022,  3035,  3050,
    3023,  1003,  3104,  3051,  3024,  1103,  1229,  3025,  3026,  3048,
    3076,  2692,  2839,  3078,  3109,   479,   479,  3583,  3077,  3111,
    3112,  3097,  3107,  3123,  3128,  3129,  3137,  3379,  3131,  3141,
    1109,   479,  3158,  3142,  1302,   710,   479,   710,   479,   479,
     479,   479,  3167,  3173,  3151,  1317,  3161,  3174,  3175,  3187,
    3178,  3180,  3183,  3188,  3192,  1104,  1229,  3193,  3218,  1145,
    3194,  3198,  1105,  1111,  1442,  1106,  3219,  3235,  1443,  3236,
    3237,  3328,  3241,  3247,  3257,  1916,  3258,  3250,  2015,  3262,
    3265,  3328,  3514,  3271,  1920,   573,  3277,  1146,  1444,  1445,
    3068,  3274,  2757,  2759,  3278,  3286,  3294,  2766,  3296,  3290,
    3299,  3298,  3303,  1446,   479,   479,   479,  3312,   479,  3314,
    3315,  3327,  2319,  3341,  1107,   994,   994,   725,   573,  2879,
    2319,  3345,  3354,  3353,  3363,  3365,  3371,  3374,  1886,  3387,
     641,  3331,  3346,  1886,  2382,   641,  1886,   696,  3348,  1448,
    2205,  2891,  3355,  2205,  3356,  3127,  3369,  3381,  3382,  3388,
    3394,  1933,  3401,  1449,  3103,  2234,  3403,  3422,  3412,  3423,
    3424,  3425,  3426,  2523,  3455,  3478,   665,  1355,  3459,  1108,
    2372,   641,  2425,  3482,   479,  3486,   696,  3488,  3494,  3495,
    3498,  3513,  3511,   696,  3512,  2382,  3465,  3163,  1316,   479,
    3523,  3518,  3524,  2402,  2234,  3527,  2234,  3529,  3533,  3534,
    3543,  2975,  3556,  3552,  3525,  1109,  3526,  3584,  3579,   710,
    3585,  3601,  3603,  3614,  2368,  1508,  2614,  1440,  1040,  2232,
    3536,  2662,  1441,  2732,  1729,  1451,  3008,  3390,  2524,  3001,
     641,  3121,  3283,  1101,  1162,  1229,   641,  3125,  1111,  1102,
    2204,  2642,  1001,  2466,  2103,  3553,  3582,   641,  3530,  3562,
    3528,  3442,  1321,  2113,  2824,  3126,  2622,  1868,  2183,  3133,
    3033,  2349,  1163,  2802,  2697,  1849,  3616,   641,  2143,  3231,
    3604,  3273,  3272,  1894,  2795,  3563,  2753,  3380,  1103,  3520,
    1831,  3383,  1787,  3238,   590,   876,   641,  3135,  3176,  3429,
    1346,  3500,   641,  2198,  1894,  3138,  3505,  2996,  3595,  1355,
    3615,  3407,   557,  3225,  2131,  1016,  1323,  3118,  3474,   641,
    1617,  2885,  2618,  1327,   727,  1453,  1034,  1614,  1454,  1455,
    1456,  2155,  1457,  1458,  1459,  1460,  1461,  1462,  1104,  2621,
    3230,  2635,  2990,  1463,  3239,  1105,  2147,  2154,  1106,   710,
     479,  1828,  2422,  1642,  1442,  2128,  2600,  2854,  1443,  3333,
     710,   479,   812,  2619,  2338,  2942,  3040,  3448,  3042,  3280,
    1024,  3544,  3116,   479,   479,   702,   479,  3545,  1444,  1445,
    2932,  3551,  2623,  2586,  2624,  2501,   725,  2479,  2584,  2104,
    3378,     0,     0,  1446,     0,     0,  2132,  1107,     0,   153,
     958,  1899,  1333,  3291, -1889, -1889,   696,  2528,  2529,  2530,
    2531,  2532,  2533,   696,     0,     0,     0,     0,  2534,     0,
       0,   708,     0,     0,     0,     0,  1447,     0,   714,  1448,
       0,   715,   716,   717,   573,   718,   719,   720,   721,   722,
     723,     0,     0,  1449,     0,     0,  1001,   573,  1886,   479,
       0,     0,  1108,     0, -1806,     0,     0,     0,   641,   641,
     641,  1894,     0,     0,   696,     0,     0,   479,     0,     0,
       0,     0,  2193,     0,     0,  3320,     0,  1699,  2200,     0,
       0,     0,     0,     0,     0,     0,     0,  1898,  1109,   479,
       0,     0,     0,     0,     0,     0,  1904,     0,     0,  3163,
       0,  2222,     0,     0,  1912,  1913,   858,   859,     0,     0,
       0,   479,  3127,     0,     0,  1451,   710,  3073,     0,     0,
       0,  1111,  1925, -1806,     0,     0,   641,     0,     0,     0,
       0,     0,     0,  1228,  3083,     0,     0,     0,     0,     0,
    2473,     0,     0,     0,     0,  1112,     0,   478,   641,     0,
       0,     0,     0,   522,   523,     0,     0,     0,  3490,   556,
       0,   572,  2523,     0,     0,     0,     0,   591,     0,   594,
       0,     0, -1806,     0,     0,     0,     0,     0,  1894,     0,
    2088,     0, -1806,   727,  2690,     0, -1806,   657,     0,     0,
       0, -1806,     0,     0,  1229, -1806,     0,     0, -1806,     0,
   -1806,     0,     0,  1333,     0,  1453,  2702,     0,  1454,  1455,
    1456,  3255,  1457,  1458,  1459,  1460,  1461,  1462,     0,     0,
       0,  2367,     0,  1463,     0,     0, -1806,  2524,  2234,     0,
    2205,     0,     0,     0,  1228,     0,     0,  2319,     0,     0,
    2319,  2319,     0,     0,  2319,     0, -1806,     0,     0,     0,
       0,     0,   702,  3320,  2319,  2386,     0,   702,   702,  1191,
    1699,  2750,  2404,     0,     0,  3554,     0,     0,     0,   479,
    3242,     0,     0,     0,   641,  1079,     0,     0,     0,     0,
       0,  3251,     0,     0,     0,     0,     0,     0,     0,     0,
   -1806,     0,     0,     0,  2750,  2015,  2015,     0,     0, -1806,
    2015,  3454,     0,     0,     0,  1080,     0,  2804,     0,     0,
       0,     0,     0,   729,     0,   731,     0,   733,     0,   735,
       0,     0,   702,   702,   702,   702,   479,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2834,  1001,  2015,
    2015,     0, -1806,     0,     0,  1229,     0,     0,     0,  3611,
       0,     0,   573,   573,     0,     0,     0,     0,     0,     0,
       0,  1081,     0,  1490,   641,     0,     0,   573,     0,     0,
    3320,   702,     0,     0,     0,  3244,  3245,     0,     0, -1808,
    3248,  3249,     0,     0,     0,     0,   588,     0,     0,   958,
       0,  1082,  2525,  2526,  2527,     0,  2528,  2529,  2530,  2531,
    2532,  2533,     0,     0,     0,     0,     0,  2534, -1806,     0,
    2124,   641,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,   479,     0,   702,     0,     0, -1806,
     641, -1806, -1806,     0,     0,   702,  3609,  2473,     0,     0,
       0,     0,     0,   573,     0,     0,     0,     0, -1808,     0,
    3454,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   702,     0,     0,     0,     0,     0,   153,     0,     0,
       0, -1806,  3571,  1228, -1806,  1440, -1806, -1806,     0,     0,
    1441,     0,     0,  3608,  2597,     0,     0,     0,  3428,     0,
       0,     0,     0,  3434,  3434,  2943,     0, -1808,     0,     0,
       0,     0,     0,   153,     0,     0,     0, -1808,     0,     0,
       0, -1808,     0,     0,     0,     0, -1808,     0,     0,     0,
   -1808,     0,    33, -1808,  1684, -1808,  1085,  3571,     0,  2339,
     994,  1228,  1086,  1893,     0,   696,     0,  2979,     0,  1087,
       0,     0,     0,     0,   696,     0,  1121,     0,  1228,     0,
       0, -1808,  3571,     0,  1089,     0,     0,   641,     0,  3471,
       0,  3473,  1090,     0,     0,     0,   641,  1228,     0,     0,
       0, -1808,     0,     0,     0,     0,     0,  1699,  2200,     0,
    2200,     0,     0,     0,     0,     0,     0,  1229,     0,     0,
    1228,     0,     0,     0,   696,     0,     0,   641,   641,     0,
    2750,     0,  1442,   573,     0,     0,  1443,  3501,     0,   641,
    1091,     0,     0,     0,  3028, -1808,     0,     0,  1229,     0,
    1229,  3031,     0,  3032, -1808,     0,  1444,  1445,     0,     0,
       0,   776,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,  1446,     0,     0,     0,   794,   795,  2319,     0,     0,
     797,     0,     0,  2319,  2319,  2319,  2319,  2319,  2319,     0,
       0,   810,  3532,     0,     0,     0,     0, -1808,     0,     0,
     815,  3434,     0,     0,     0,     0,     0,  1448,     0,     0,
    2487,     0,   834,     0,     0,   836,     0,   838,     0,   841,
       0,  1449,  1229,     0,     0,     0,     0,  3555,     0,     0,
    3084,  3086,  3088,  3090,     0,     0,     0,     0,     0,     0,
    2447,   588,     0,     0,     0,  2200,     0,     0,     0,     0,
       0,     0,     0,     0,  2455,  2456,   641,     0,  2458,     0,
       0,     0,     0, -1808,  2462,   641,   881,     0,   882,     0,
       0,     0,     0,  2409,     0,     0,     0,     0,  2200,     0,
       0,     0,     0,  3134, -1808,     0, -1808, -1808,     0,     0,
       0,  1079,  2801,  1451,  1229,     0,     0,     0,     0,     0,
       0,     0,  2813,     0,     0,     0,     0,     0,  1229,     0,
       0,     0,     0,  2493,     0,     0,     0,     0,  2826,     0,
       0,  1080,     0,  2200,   657,     0, -1808,     0,   749, -1808,
       0, -1808, -1808,     0,     0,  2015,     0,     0,  2015,  2015,
    2015,  2015,  2015,  2015,  2015,  2015,  2015,     0,  2015,  1228,
       0,     0,     0,     0,     0,     0,     0,  1229,     0,     0,
     750,     0,     0,     0,     0,     0,     0,     0,     0,  2871,
       0,     0,  2872,   751,     0,     0,     0,  1081,     0,  2876,
     752,     0,     0,  1453,   753,     0,     0, -1889, -1889,     0,
    1457,  1458,  1459,  1460,  1461,  1462,  2015,  2015,   641,     0,
       0,  1463,     0,     0,   754,   994,     0,  1082,     0,     0,
    1165,     0,     0,     0,     0,  1229,     0,     0,     0,     0,
       0,     0,  1176,     0,     0,   755,  3569,     0,     0,     0,
       0,  1182,     0,     0,     0,  2410,  1440,  1184,     0,  3227,
       0,  1441,     0,     0,     0,     0,  1229,     0,  1231,     0,
       0,     0,  2659,     0,     0,     0,     0,   756,     0,  1229,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   757,  1270,     0,
       0,  3569,     0,  2680,     0,  2682,     0,     0,     0,     0,
       0,     0,     0,  1229,     0,     0,     0,     0,     0,     0,
    1220,   758,     0,   641,     0,     0,  3569,     0,  2319,  2319,
       0,     0,  2646,  2966,  2967,     0,     0,     0,     0,  3263,
    3264,     0,     0,  3267,  3268,     0,     0,     0,  2571,     0,
       0,     0,  1329,     0,     0,     0,     0,     0,    33,     0,
       0,     0,  1085,     0,     0,     0,  1354,     0,  1086,     0,
    2664,  2665,     0,     0,     0,  1087,     0,  2718,     0,   759,
       0,     0,  1121, -1889,     0,     0,     0,  1443,     0,     0,
    1089,     0,     0,  3297,     0,     0,  1228,     0,  1090,     0,
       0,  1228,  1228,     0,  2200,     0,   171,  1444,  1445,     0,
       0,     0,     0,     0,  2015,     0,     0,     0,     0,  3321,
       0,  1220, -1889,   529,     0,     0,     0,     0,     0,     0,
     760,     0,     0,     0,   761,   530,   762,     0,     0,     0,
       0,     0,   763,   641,     0,     0,  1091,     0,     0,  2807,
    2412,     0,     0,     0,     0,   531,     0,     0,  1448,     0,
       0,  1438,     0,  2659,     0,     0,     0,     0,     0,  1440,
     764,   765,  1449,     0,  1441,   766,     0,   641,     0,   532,
       0,     0,     0,   767,   641,     0,     0,     0,   768,     0,
       0,     0,  1893,     0,     0,     0,     0,     0,     0,   533,
       0,     0,     0,     0,  3080,     0,     0,     0,     0,     0,
     769,     0,  2863,     0,     0,     0,     0,     0,  1228,  2750,
     534,     0,  3105,     0,     0,   657,  1229,     0,     0,     0,
       0,     0,     0,     0,  3110,     0,  2319,     0,     0,     0,
    3391,     0,     0,     0, -1889,     0,     0,   535,     0,     0,
       0,     0,   536,     0,     0,     0,     0,   537,     0,     0,
       0,     0,  1699,     0,     0,     0,     0,     0,  1673,     0,
    2897,     0,   538,     0,     0,     0,     0,     0,  2015,  2015,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
    3427,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
    1443,  2916,  2862,  1220,     0,     0,  2865,     0,  2867,     0,
    2869,  2870,     0,     0,  2924,     0,     0,     0,     0,  2875,
    1444,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1453,  1446,     0,     0,  1220,     0,
       0,  1457,  1458,  1459,  1460,  1461,  1462,     0,  1355,  2890,
       0,     0,  1463,     0,   539,     0,     0,     0,     0,     0,
    1220,     0,  1438,     0,   540,     0,     0,     0,  1447,  1228,
    1440,  1448,  1229,     0,     0,  1441,     0,     0,     0,     0,
       0,   171,     0,  1229,     0,  1449,     0,     0,  1450,     0,
       0,     0,     0,     0,     0,     0,     0,  3214,  3215,  3216,
    3217,     0,     0,     0,     0,   541,   641,     0,     0,   542,
       0,   543,  1893,     0,     0,     0,     0,   544,  1220,   545,
       0,     0,     0,     0,     0,  1829,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1220,     0,  1851,     0,  1229,
    1438,     0,     0,     0,  2137,   546,   547,  1229,  1440,     0,
     548,     0,   641,  1441,  1220,     0,     0,  1451,   549,     0,
       0,     0,     0,   550,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   551,     0,     0,  1902,  1220,     0,     0,
    1906,     0,     0,     0,     0,   552,     0,     0,     0,  1915,
       0,  1917,     0,  1918,     0,     0,     0,  1442,  1919,     0,
       0,  1443,     0,     0,     0,  1440,     0,     0,     0,     0,
    1441,     0,  3570,     0,     0,     0,  2015,     0,     0,     0,
       0,  1444,  1445,  2138,     0,     0,     0,  1220,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
    2015,  2015,     0,     0,     0,     0,     0,  1453,     0,     0,
    1454,  1455,  1456,     0,  1457,  1458,  1459,  1460,  1461,  1462,
       0,  3108,     0,     0,     0,  1463,     0,  3570,  2515,  1447,
       0,     0,  1448,     0,  3325,  1442,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,  1449,     0,     0,  1450,
       0,     0,  3570,     0,     0,  1229,     0,  2582,     0,  1444,
    1445,  1228,  1228,     0,  1228,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,  1446,     0,     0,     0,     0,  1229,
       0,     0,     0,     0,     0,     0,     0,     0,   699,     0,
       0,     0, -1889,   699,     0,     0,  1443,     0,     0,     0,
       0,     0,  1228,     0,  1228,     0,     0,  1447,     0,     0,
    1448,     0,     0,     0,     0,     0,  1444,  1445,  1451,     0,
       0,     0,     0,     0,  1449,     0,     0,  1450,     0,     0,
       0, -1889,     0,  2200,     0,     0,     0,     0,  2015,     0,
       0,     0,     0,     0,   641,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   641,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1220,  1448,     0,     0,
     641,     0,     0,  3397,     0,     0,  1228,     0,  1355,     0,
       0,  1449,  3168,     0,     0,     0,     0,     0,     0,  3171,
    3172,     0,     0,  1893,     0,     0,  1451,  1893,   994,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,  1454,  1455,  1456,  2200,  1457,  1458,  1459,  1460,  1461,
    1462,   641,  3440,     0,   641,     0,  1463,     0,     0,  2561,
       0,   641,  1228,     0,  3240,     0,   696,     0,  1229,     0,
       0,     0,  3246,     0,  2139,     0,     0,     0,  1228,     0,
       0,     0,     0, -1889,     0,     0,     0,   641,     0,     0,
       0,     0,  1228,     0,     0,     0,  3460,     0,     0,  1229,
       0,     0,     0,  1229,  1229,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,  1453,     0,     0,  1454,
    1455,  1456,     0,  1457,  1458,  1459,  1460,  1461,  1462,     0,
       0,  2162,     0,     0,  1463,     0,  2166,     0,     0,     0,
    2170,  1228,     0,     0,     0,     0,  2174,     0,     0,     0,
       0,     0,  2179,     0,     0,     0,     0,     0,  2189,     0,
       0,  3325,     0,  2191,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,     0,     0,     0,     0,
    1457,  1458,  1459,  1460,  1461,  1462,  2207,  2208,  2211,  2212,
       0,  1463,     0,  2218,  2221,   641,   641,     0,  2224,  1228,
       0,  2228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2265,     0,     0,     0,     0,
    2807,     0,     0,  1220,     0,  2268,     0,  2270,  1220,  1220,
    1228,     0,     0,     0,     0,     0,  2281,  2282,  2283,     0,
    2285,     0,     0,  1228,  1355,     0,   699,  2298,  2299,     0,
       0,     0,     0,     0,     0,  2302,  2303,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2241,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     1,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     2,     0,
       3,     4,     0,     0,     0,  3337,     0,  3338,  3339,     0,
    2242,     0,     0,     0,     5,  3342,     0,     0,     0,  2243,
    2244,  2245,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     6,  1220,     7,     8,     0,     0,
       0,     9,    10,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    11,     0,    12,     0,   641,     0,  1228,     0,
       0,     0,     0,  2246,   699,     0,     0,     0,     0,     0,
       0,     0,     0,    13,   641,     0,    14,     0,     0,     0,
       0,     0,    15,     0,     0,     0,   641,     0,    16,     0,
       0,     0,     0,  1355,    17,     0,     0,     0,   699,     0,
      18,  1220,     0,     0,     0,  2247,    19,     0,    20,     0,
    2248,     0,     0,    21,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,     0,    22,     0,  1355,  1355,
       0,     0,     0,     0,     0,  1893,     0,     0,     0,  2488,
    1893,     0,     0,  1893,     0,     0,     0,     0,     0,  2249,
       0,     0,     0,    23,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2250,  2251,  2252,  2253,
    2254,     0,  2255,     0,     0,     0,     0,     0,    24,    25,
    1228,  3444,     0,     0,    26,     0,  1220,     0,     0,     0,
       0,     0,     0,    27,     0,   699,     0,     0,     0,     0,
       0,     0,   699,     0,     0,  2256,     0,     0,     0,     0,
       0,    28,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,  1230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2257,     0,     0,     0,     0,     0,     0,    29,   641,
     641,   641,   641,   699,     0,     0,     0,     0,     0,    30,
       0,     0,     0,    31,     0,    32,     0,     0,     0,     0,
      33,     0,     0,     0,     0,    34,     0,  2258,    35,  2259,
       0,     0,    36,     0,     0,     0,     0,     0,    37,     0,
       0,     0,     0,     0,    38,   699,     0,    39,  1438,     0,
       0,  1439,  2260,     0,    40,     0,  1440,     0,     0,  2261,
       0,  1441,  2262,     0,     0,     0,     0,    41,     0,   162,
       0,     0,     0,     0,  1230,     0,  1228,     0,     0,  2638,
    2639,     0,     0,    42,     0,     0,     0,  1228,     0,     0,
       0,     0,    43,     0,    44,     0,   699,    45,     0,     0,
       0,    46,  2650,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,  1440,    47,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,   699,   163,     0,     0,     0,     0,
       0,     0,     0,     0,  2666,  2667,  2668,  2669,     0,     0,
       0,     0,     0,  1228,     0,   164,     0,     0,     0,     0,
       0,  1228,     0,     0,    48,     0,   699,   699,     0,   699,
       0,     0,     0,     0,     0,     0,   165,     0,  1220,  1220,
       0,  1220,     0,     0,   696,     0,   699,     0,  1220,     0,
       0,     0,     0,  1442,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,   166,     0,  1893,     0,     0,   167,     0,
       0,     0,     0,   168,     0,     0,     0,  1444,  1445,  1220,
       0,  1220,     0,     0,     0,   699,  1595,     0,   169,  2539,
    2714,     0,  1446,     0,  2540,  2716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,   699,  1443,     0,     0,   699,   699,     0,     0,
       0,     0,     0,     0,     0,  1447,  1230,     0,  1448,     0,
    1595,     0,     0,  1444,  1445,     0,     0,     0,     0,     0,
       0,     0,  1449,     0,     0,  1450,     0,     0,  1446,     0,
       0,   696,     0,  1220,     0,     0,     0,     0,     0,     0,
       0,  1230,     0,     0,     0,     0,     0,     0,     0,  1228,
     170,     0,     0,  2808,  2809,     0,  1220,     0,     0,     0,
       0,  1447,   696,  1230,  1448,   641,     0,     0,     0,     0,
       0,  2650,     0,  1228,     0,     0,     0,   171,  1449,     0,
       0,  1450,     0,     0,     0,     0,     0,     0,     0,  1220,
     641,     0,     0,     0,  1451,     0,     0,     0,     0,     0,
       0,   172,   696,  1222,     0,  1220,     0,   173,     0,     0,
       0,     0,     0,   174,   641,   175,  2864,     0,     0,  1220,
       0,  1230,     0,     0,     0,     0,     0,  1228,     0,  2873,
       0,     0,     0,     0,  1220,     0,     0,     0,  1230,     0,
       0,   176,   177,     0,     0,     0,   178,     0,     0,     0,
    1451,     0,     0,     0,   179,     0,     0,  1230,   641,   180,
       0,     0,     0,     0,     0,     0,     0,     0,  1220,   181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1452,
    1230,   182,     0,     0,  1453,  1595,     0,  1454,  1455,  1456,
       0,  1457,  1458,  1459,  1460,  1461,  1462,     0,     0,   696,
       0,     0,  1463,     0,  1222,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   696,
       0,     0,   699,     0,   699,     0,  1220,     0,     0,     0,
    1230,     0,  1228,   699,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,  1454,  1455,  1456,     0,  1457,  1458,  1459,
    1460,  1461,  1462,     0,     0,     0,     0,  1220,  1463,     0,
       0,     0,     0,  1228,     0,     0,     0,  1228,  1228,     0,
    1220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1220,     0,   696,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,   699,   699,     0,
       0,     0,     0,     0,  1440,   699,     0,     0,   699,  1441,
       0,   699,     0,     0,     0,     0,     0,     0,     0,   699,
     699,     0,     0,     0,     0,     0,     0,   699,     0,     0,
     699,   699,   699,   699,     0,     0,  1438,     0,     0,     0,
     699,   699,     0,   699,  1440,   699,     0,     0,   699,  1441,
       0,     0,     0,  3034,     0,     0,     0,     0,  3041,     0,
    3043,  3044,  3045,  3046,   699,  1595,  1222,     0,   699,     0,
     696,     0,   699,     0,     0,  1220,   699,     0,     0,     0,
     699,   699,   699,   699,   699,   699,   699,   699,   699,  1230,
       0,   699,     0,     0,     0,     0,   699,     0,     0,   699,
       0,  1222,     0,     0,     0,     0,     0,  1440,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1222,     0,     0,  3092,  3094,  3096,     0,
    3098,  1442,     0,     0,     0,  1443,     0,     0,     0,  1438,
       0,     0,  2503,     0,     0,     0,     0,  1440,     0,     0,
       0,     0,  1441,     0,     0,  1444,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,  1442,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,  1222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,  1445,  1220,  1222,  2956,
       0,     0,     0,  1447,     0,     0,  1448,     0,     0,     0,
    1446,  3166,     0,     0,     0,     0,     0,  1222,     0,     0,
    1449,     0,     0,  1450,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1220, -1889,     0,     0,     0,  1443,   699,
    1222,  2933,     0,  1447,     0,     0,  1448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,  1445,
    1449,     0,     0,  1450,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -1889,  1442,     0,     0,     0,  1443,  1595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1222,     0,  1451,     0,     0,     0,   699,     0,  1444,  1445,
       0,     0,     0,     0,     0,  2934,     0,     0,     0,  1448,
       0,     0,     0,  1446,     0,     0,  1230,     0,     0,     0,
       0,  1230,  1230,  1449,     0,     0,     0,     0,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1220,     0,  1595,  1447,     0,     0,  1448,
       0,     0,     0,     0,  1220,     0,     0,     0,     0,     0,
       0,     0,  3243,  1449,     0,     0,  1450,     0,     0,     0,
       0,     0,     0,  3252,     0,     0,     0,  1595,     0,     0,
       0,     0,  1453,     0,     0,  1454,  1455,  1456,     0,  1457,
    1458,  1459,  1460,  1461,  1462, -1889,     0,     0,     0,     0,
    1463,     0,     0,  1438,     0,     0,  2547,     0,     0,     0,
    1220,  1440,     0,     0,     0,     0,  1441,     0,  1220,     0,
       0,     0,  1453,     0,     0,  1454,  1455,  1456,     0,  1457,
    1458,  1459,  1460,  1461,  1462,  1451,   699,     0,  1230,  2046,
    1463,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
    1440,  3293,     0,     0,     0,  1441,     0,     0,     0,  1222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3308,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,  1457,  1458,  1459,  1460,  1461,  1462,     0,     0,
       0,     0,     0,  1463,  1230,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,  3340,     0,  1453,     0,     0,  1454,  1455,
    1456,     0,  1457,  1458,  1459,  1460,  1461,  1462,  1442,     0,
       0,     0,  1443,  1463,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0,  1444,  1445,     0,     0,  1220,     0,     0,     0,
       0,     0,   976,     0,     0,     0,     0,  1446,   699,     0,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,  1230,
    1220,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1031,     0,   699,   699,
    1447,  1444,  1445,  1448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,  1446,  1449,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,   699,   699,
       0,     0,     0,   699,  1220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,   699,   699,   699,  1447,
       0,     0,  1448,  1595,     0,     0,     0,   699,  1595,     0,
     699,     0,     0,   699,     0,     0,  1449,     0,     0,  1450,
       0,     0,   699,   699,     0,   699,     0,     0,     0,     0,
       0,     0,  2517,     0,     0,     0,  1222,     0,   699,  1451,
     699,  1222,  1222,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,  1225,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,  1220,  1223,     0,     0,     0,
       0,   699,     0,   699,   699,   699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,  1451,  1220,
       0,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,   699,   699,   699,     0,     0,     0,
    1220,     0,     0,     0,  1220,  1220,     0,     0,     0,  1453,
       0,     0,  1454,  1455,  1456,   699,  1457,  1458,  1459,  1460,
    1461,  1462,     0,     0,     0,     0,     0,  1463,     0,     0,
       0,     0,     0,     0,  1225,     0,     0,     0,  1222,     0,
       0,  1230,  1230,     0,  1230,     0,     0,     0,     0,     0,
       0,  1230,     0,     0,     0,     0,  3531,     0,  1453,     0,
       0,  1454,  1455,  1456,     0,  1457,  1458,  1459,  1460,  1461,
    1462,     0,     0,     0,  1377,     0,  1463,     0,     0,     0,
       0,     0,  1230,     0,  1230,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,     0,     0,
    1441,     0,  1400,     0,  1222,     0,     0,     0,     0,  1438,
       0,     0,  2556,     0,     0,     0,     0,  1440,  1595,  1595,
    1595,     0,  1441,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,  1425,  1426,     0,  1429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1468,     0,  1230,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1230,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,  1222,
       0,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2552,     0,     0,
       0,  1595,  1230,     0,     0,     0,  1225,     0,     0,     0,
    1622,     0,  1442,     0,  1632,  1635,  1443,     0,  1230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1230,  1223,  1442,     0,  1444,  1445,  1443,     0,
       0,  1225,     0,     0,     0,     0,     0,  1230,     0,     0,
    1223,  1446,     0,     0,     0,     0,     0,     0,  1444,  1445,
       0,     0,   699,  1225,     0,     0,   699,     0,     0,  1223,
       0,     0,     0,  1446,     0,     0,   699,     0,     0,     0,
       0,  1230,     0,     0,  1447,     0,     0,  1448,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,  1449,     0,     0,  1450,   699,  1447,     0,     0,  1448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1225,     0,  1449,     0,     0,  1450,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,  1225,  1230,
       0,     0,  1223,     0,     0,   699,     0,     0,     0,     0,
       0,   699,     0,   699,     0,     0,     0,  1225,   699,     0,
       0,   699,   699,   699,   699,   699,   699,   699,   699,   699,
    1230,   699,     0,  1451,     0,   699,   699,     0,     0,     0,
    1225,     0,     0,  1230,     0,     0,     0,     0,   699,     0,
       0,     0,  1595,     0,   699,  1451,     0,     0,     0,     0,
       0,     0,     0,  1226,   699,     0,     0,   699,     0,   699,
       0,  1222,  1222,     0,  1222,     0,     0,  1230,   699,   699,
     699,  1222,     0,     0,   699,     0,     0,   699,     0,     0,
    1225,  1438,     0,     0,     0,     0,     0,   699,     0,  1440,
       0,     0,     0,     0,  1441,     0,   699,     0,     0,     0,
       0,     0,  1222,     0,  1222,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,  1454,  1455,  1456,     0,
    1457,  1458,  1459,  1460,  1461,  1462,     0,     0,     0,     0,
       0,  1463,     0,     0,     0,  1453,     0,     0,  1454,  1455,
    1456,     0,  1457,  1458,  1459,  1460,  1461,  1462,     0,     0,
       0,     0,     0,  1463,  1226,     0,     0,  1595,  1230,  1595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,  1222,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,  1595,     0,     0,     0,
       0,     0,  1440,  1986,     0,     0,     0,  1441,     0,  1222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2008,  1442,     0,  2010,     0,
    1443,  2021,     0,     0,     0,     0,     0,     0,  2028,  2033,
       0,     0,  1222,  2038,     0,     0,  2043,     0,     0,     0,
    1444,  1445,     0,     0,     0,     0,     0,     0,  1222,     0,
       0,     0,  2052,     0,     0,  1446,  2058,     0,     0,  1225,
    2070,     0,  1222,     0,  2077,     0,     0,   699,  2079,  2080,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  1222,     0,  2089,
    1230,     0,     0,     0,   976,     0,     0,     0,  1447,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1449,     0,     0,  1450,     0,
       0,  1222,     0,     0,     0,     0,  1230,   699,   699,  1442,
       0,     0,  1438,  1443,     0,  2940,     0,     0,     0,     0,
    1440,     0,     0,     0,   699,  1441,  1226,     0,     0,   699,
       0,     0,   699,  1444,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1222,
       0,  1226,     0,     0,     0,     0,     0,  1451,     0,     0,
     699,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
    1440,  1447,     0,  1226,  1448,  1441,     0,     0,  1223,     0,
    1222,     0,  2894,  1223,  1223,     0,     0,     0,  1449,     0,
       0,  1450,     0,  1222,     0,     0,   699,     0,     0,     0,
       0,     0,     0,   699,   699,     0,  1230,  1031,     0,     0,
       0,   699,   699,     0,     0,     0,   699,  1230,     0,     0,
       0,     0,   699,   699,     0,     0,   699,  1222,     0,     0,
       0,  1226,     0,     0,     0,     0,     0,  1442,     0,     0,
       0,  1443,     0,     0,     0,     0,   699,  1453,  1226,     0,
    1454,  1455,  1456,     0,  1457,  1458,  1459,  1460,  1461,  1462,
    1451,  1444,  1445,     0,  2177,  1463,  1225,  1226,     0,     0,
       0,  1225,  1225,  1230,     0,     0,  1446,     0,     0,     0,
       0,  1230,     0,     0,     0,     0,     0,     0,     0,     0,
    1226,     0,     0,     0,     0,     0,     0,  1442,     0,     0,
    1223,  1443,     0,     0,     0,     0,     0,     0,     0,  1447,
       0,     0,  1448,     0,     0,     0,  1227,     0,  1222,     0,
       0,  1444,  1445,     0,     0,     0,  1449,     0,     0,  1450,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
    1226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,  1454,  1455,  1456,     0,  1457,  1458,  1459,
    1460,  1461,  1462,   699,     0,     0,  1223,  2754,  1463,  1447,
       0,     0,  1448,  1595,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1449,     0,  1225,  1450,
       0,     0,     0,     0,     0,     0,     0,     0,  1451,     0,
       0,     0,     0,   699,  2336,     0,     0,     0,  1230,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
     699,     0,     0,     0,   699,     0,     0,     0,     0,  1230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1222,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,  1223,     0,  1230,  1225,     0,     0,     0,  1451,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,   699,     0,  1222,   699,     0,     0,
       0,     0,     0,     0,   699,   699,     0,     0,  1453,  2442,
       0,  1454,  1455,  1456,     0,  1457,  1458,  1459,  1460,  1461,
    1462,     0,     0,     0,     0,     0,  1463,  1230,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,  1226,
       0,     0,     0,  2463,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1225,
       0,   699,     0,     0,     0,     0,   976,     0,  1453,     0,
       0,  1454,  1455,  1456,     0,  1457,  1458,  1459,  1460,  1461,
    1462,     0,     0,     0,     0,  2941,  1463,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2499,     0,     0,
       0,   699,   699,     0,     0,     0,  1222,     0,  1230,     0,
       0,     0,     0,     0,     0,     0,     0,  1222,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,  1230,     0,   699,     0,   699,     0,     0,     0,
       0,     0,     0,  2033,     0,  2033,  2033,     0,  1440,     0,
       0,     0,     0,  1441,  1227,  2559,     0,     0,  2562,     0,
     699,  2564,     0,  1230,     0,     0,     0,  1230,  1230,     0,
       0,  1438,     0,  1222,     0,     0,  1227,     0,     0,  1440,
       0,  1222,     0,     0,  1441,     0,  2585,  1438,  2587,     0,
       0,  1595,  2590,     0,     0,  1440,     0,     0,   699,     0,
    1441,     0,     0,  1223,  1223,     0,  1223,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,   699,     0,
       0,     0,     0,  2605,     0,  1230,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,  2615,     0,     0,     0,     0,
    2957,   699,     0,  1031,  1223,     0,  1223,     0,     0,     0,
    1622,  1227,     0,     0,     0,  2628,     0,     0,     0,     0,
       0,     0,  1635,  1635,  1632,     0,  1226,     0,     0,     0,
    1227,  1226,  1226,     0,     0, -1889,     0,     0,     0,  1443,
       0,     0,     0,  2641,     0,     0,     0,     0,     0,     0,
       0,  1225,  1225,  1227,  1225,     0,     0,     0,     0,  1444,
    1445,  1225,     0,     0,     0,   699,  1442,     0,     0,     0,
    1443,     0,     0,     0, -1889,     0,     0,     0,  1223,     0,
       0,     0,  1442,     0,     0,     0,  1443,     0,     0,  1222,
    1444,  1445,  1225,     0,  1225,     0,     0,     0,     0,     0,
       0,  1223,     0,  1227,     0,  1446,  1444,  1445,     0,     0,
    1448,     0,     0,  1222,  1440,     0,     0,     0,     0,  1441,
       0,  1446,     0,     0,  1449,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,  1447,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,  1226,   699,
    1223,     0,     0,     0,  1447,  1449,     0,  1448,  1450,     0,
       0,     0,     0,     0,  1223,     0,  1225,  1222,     0,     0,
       0,  1449,     0,     0,  1450,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1225,
       0,     0,     0,     0,     0,     0, -1889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2960,     0,     0,     0,
       0,  1438,     0,  1223,  1226,     0,     0,     0,     0,  1440,
       0,     0,  1225,     0,  1441,     0,     0,  1451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1225,     0,
       0, -1889,     0,  1451,     0,  1443,     0,     0,  1222,     0,
       0,     0,  1225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,  1445,  1225,     0,     0,
    1438,  1223,  1222,     0,     0,     0,     0,     0,  1440,     0,
   -1889,     0,  1227,  1441,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,  1457,  1458,  1459,  1460,  1461,  1462,  1226,
    1465,  1225,  1223,  1222,  1463,     0,     0,  1222,  1222,     0,
       0,     0,     0,     0,     0,  1223,  1448,  1453,     0,     0,
    1454,  1455,  1456,     0,  1457,  1458,  1459,  1460,  1461,  1462,
    1449,     0,     0,  1453,  2973,  1463,  1454,  1455,  1456,     0,
    1457,  1458,  1459,  1460,  1461,  1462,  1442,     0,  2982,  1223,
    1443,  1463,     0,     0,     0,  1465,     0,     0,     0,  1225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,  1445,     0,     0,  2895,     0,     0,     0,     0,     0,
       0,     0,     0,  2898,     0,  1446,     0,     0,     0,  2899,
    1225,  2900,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -1889,  1225,     0,  1442,     0,     0,     0,  1443,
       0,     0,     0,  2918,  2919,     0,     0,     0,  1447,     0,
       0,  1448,     0,     0,     0,     0,     0,     0,     0,  1444,
    1445,     0,  2038,     0,     0,  1449,     0,  1225,  1450,     0,
    1223,     0,  2944,     0,  1446,  2947,     0,  2949,     0,     0,
       0,     0,     0,     0,     0,     0,  2953,     0,     0,     0,
       0,     0,  2958,     0,     0,  2961,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2968,     0,  1447,     0,     0,
    1448,     0,     0,     0,  2463,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,  1449,     0,     0,  1450,     0,  1457,
    1458,  1459,  1460,  1461,  1462,     0,     0,  1451,     0,  1227,
    1463,     0,     0,     0,  1227,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1225,     0,
       0,  1226,  1226,     0,  1226,     0,     0,     0,     0,     0,
       0,  1226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,  1226,     0,  1226,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,  1223,     0,
    1454,  1455,  1456,  1438,  1457,  1458,  1459,  1460,  1461,  1462,
       0,  1440,     0,     0,  2988,  1463,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,  1465,     0,     0,     0,  1226,     0,     0,  1440,
    1225,     0,     0,     0,  1441,     0,  1453,     0,     0,  1454,
    1455,  1456,     0,  1457,  1458,  1459,  1460,  1461,  1462,  1226,
       0,     0,     0,  2992,  1463,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,  1225,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,  1441,  1227,     0,     0,
       0,  1465,  1226,     0,     0,  3139,  3140,     0,  1223,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,  1226,  1223,
       0,     0,  1440,     0,  1465,     0,     0,  1441,     0,  2017,
       0,     0,  1226,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,  1443,     0,     0,     0,     0,  1226,     0,  1465,
    1465,     0,     0,  1465,     0,     0,     0,     0,     0,     0,
       0,     0,  1444,  1445,     0,     0,     0,     0,  3179,     0,
       0,     0,     0,     0,     0,  1223,  1442,  1446,     0,     0,
    1443,  1226,  1227,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,  1465,     0,     0,     0,  1225,     0,     0,     0,
    1444,  1445,     0,     0,     0,     0,     0,  1225,     0,     0,
    1447,  3195,  3197,  1448,     0,  1446,     0,     0,  1442,     0,
       0,     0,  1443,     0,  3204,     0,     0,  1449,     0,     0,
    3209,  3210,     0,     0,  3212,  1465,     0,     0,     0,  1226,
       0,     0,  1444,  1445,     0,     0,     0,     0,  1447,  1442,
       0,  1448,     0,  1443,  3226,     0,     0,  1446,     0,     0,
       0,     0,     0,  1225,     0,  1449,     0,     0,  1450,     0,
    1226,  1225,     0,  1444,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,  1226,     0,     0,     0,     0,  1446,     0,
    1447,     0,     0,  1448,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,  1226,     0,     0,
       0,  1447,     0,     0,  1448,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,  1451,  1449,     0,
       0,  1450,     0,     0,     0,     0,  1465,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,  1465,     0,     0,  1465,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3281,     0,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,  1454,  1455,  1456,     0,  1457,  1458,  1459,  1460,
    1461,  1462,     0,     0,     0,     0,     0,  1463,  1226,  1223,
    1451,     0,     0,     0,  1227,  1227,     0,  1227,     0,  1225,
       0,     0,     0,     0,  1227,     0,     0,  1453,  3330,     0,
    1454,  1455,  1456,  1438,  1457,  1458,  1459,  1460,  1461,  1462,
       0,  1440,     0,  1225,  3181,  1463,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,  1454,  1455,  1456,  1438,  1457,  1458,  1459,  1460,
    1461,  1462,     0,  1440,     0,  3360,  3213,  1463,  1441,     0,
    1223,     0,     0,  3362,     0,     0,     0,  1225,     0,     0,
    1453,     0,     0,  1454,  1455,  1456,     0,  1457,  1458,  1459,
    1460,  1461,  1462,     0,  1223,     0,     0,  3352,  1463,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
    1226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,  1223,
    1223,     0,  1227,  1440,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,  1226,     0,  1442,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,  1225,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
    3430,     0,  1444,  1445,     0,     0,     0,     0,     0,     0,
       0,  1227,  1225,     0,     0,     0,     0,  1446,     0,     0,
    1442,     0,     0,     0,  1443,  1227,     0,     0,     0,     0,
       0,     0,  2038,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,  1225,  1444,  1445,     0,  1225,  1225,     0,
    1447,     0,     0,  1448,     0,  3211,     0,     0,  3462,  1446,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,     0,
    1450,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1226,     0,     0,     0,
   -1889,     0,  1447,     0,  1443,  1448,     0,  1226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1449,
    1438,     0,  1450,     0,  1444,  1445,     0,     0,  1440,     0,
    1465,     0,     0,  1441,     0,     0,     0,     0,     0, -1889,
       0,     0,  1227,     0,     0,     0,     0,     0,     0,  1451,
       0,     0,  1465,     0,  1465,     0,  2017,  2017,  2535,     0,
       0,  2017,     0,  1226,     0,  1465,  1438,     0,     0,     0,
       0,  1226,  1465,  1227,  1440,  1448,     0,  1465,     0,  1441,
       0,     0,  1465,     0,     0,     0,  1227,  1465,     0,  1449,
       0,  1451,     0,     0,     0,     0,  1465,     0,     0,     0,
    2017,  2017,  1465,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1465,     0,     0,     0,     0,     0,
    1227,  1465,     0,  1465,  1465,  1465,  1465,  1465,  1465,  1465,
    1465,  1465,     0,  1465,     0,     0,     0,     0,     0,  1453,
       0,     0,  1454,  1455,  1456,     0,  1457,  1458,  1459,  1460,
    1461,  1462,     0,     0,     0,  1442,  3367,  1463,     0,  1443,
       0, -1889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
    1445,  1453,     0,     0,  1454,  1455,  1456,     0,  1457,  1458,
    1459,  1460,  1461,  1462,  1446,     0,     0,     0,  3399,  1463,
       0,  1442,     0,  1101,     0,  1443,     0,     0,     0,  1102,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,  1226,
       0,  1465,     0,     0,     0,  1444,  1445,  1447,     0,     0,
    1448,     0,     0,  1126,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,  1226,  1449,     0,     0,  1450,  1103,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,  1457,  1458,
    1459,  1460,  1461,  1462,     0,     0,     0,     0,     0,  1463,
       0,     0,     0,  1447,     0,     0,  1448,     0,     0,     0,
    1127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1449,     0,     0,  1450,     0,     0,     0,  1226,  1104,     0,
       0,     0,     0,     0,     0,  1105,     0,     0,  1106,     0,
       0,     0,     0,     0,     0,     0,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1128,     0,     0,  1107,     0,     0,
       0,     0,  1451,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,  1226,     0,
    1465,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1129,
       0,  1130,  1226,     0,     0,     0,  1453,     0,     0,  1454,
    1455,  1456,  1131,  1457,  1458,  1459,  1460,  1461,  1462,     0,
       0,     0,     0,  3497,  1463,     0,     0,     0,     0,     0,
       0,     0,     0,  1226,     0,     0,     0,  1226,  1226,     0,
       0,     0,     0,     0,     0,     0,     0,  1132,  1109,     0,
       0,     0,  1453,     0,     0,  1454,  1455,  1456,     0,  1457,
    1458,  1459,  1460,  1461,  1462,     0,   490,     0,     0,     0,
    1463,     0,     0,     0,     0,     0,     0,  1133,   491,  1227,
       0,  1111,  1134,     0,     0,     0,  1465,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,   492,     0,
       0,     0,     0,     0,     0,  1135,     0,  1465,     0,     0,
       0,     0,     0,     0,     0,  1136,     0,     0,   493,     0,
       0,     0,  -566,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   494,  1465,     0,     0,  1227,     0,   495,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,   496,  2535,  2535,  2017,     0,     0,  2017,
    2017,  2017,  2017,  2017,  2017,  2017,  2017,  2017,     0,  2017,
    2535,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     497,     0,     0,     0,     0,  -724,   498,     0,     0,     0,
     499,     0,     0,  1465,     0,     0,  1465,     0,  1465,     0,
       0,     0,     0,  2535,  2535,  -703,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2017,  2017,  1465,
       0,  1465,     0,     0,  1465,     0,     0,     0,  -431,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1465,
       0,   500,     0,     0,     0,     0,     0,     0,     0,  1465,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1465,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1465,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   501,     0,     0,
     502,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -431,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   503,     0,
       0,     0,  -724,     0,   504,     0,     0,     0,     0,     0,
       0,     0,   505,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,   506,
     507,     0,   508,   509,     0,     0,     0,     0,     0,     0,
       0,   510,     0,     0,     0,   511,   512,     0,     0,     0,
       0,   513,     0,     0,     0,     0,   514,     0,     0,     0,
       0,     0,     0,     0,     0,  2017,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
    1227,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1465,
       0,     0,  1465,  1465,  1465,     0,  2535,     0,     0,     0,
       0,  2535,  2535,  2535,  2535,  2535,  2535,  2535,  2535,  2535,
       0,  2535,  1465,  1465,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1465,  2017,
    2017,  1465,     0,  1465,     0,     0,     0,  1465,  2535,  2535,
       0,     0,  1465,     0,     0,  1465,     0,     0,     0,     0,
       0,     0,  1465,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2535,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1465,  1465,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1465,     0,     0,     0,  2017,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1465,
       0,  1465,     0,     0,     0,     0,  2535,  2535,  1465,     0,
       0,  2017,  2017,  1465,  1465,     0,  1465,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1465,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1465,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1465,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2535,  2017,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2535,  2535,  1465,     0,  1465,     0,     0,     0,
       0,     0,     0,     0,     0,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,  1465,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,  2535,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,  1465,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,  3433,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,     0,     0,     0,     0,     0,   185,   186,   187,   188,
     189,   190,   191,   192,  2107,   194,   195,   196,     0, -1548,
       0,     0,   896,     0, -1548,   197,   198,     0,   199,   673,
     200,   201,   202,   674,   897,   675,   898,   899,     0,   206,
     207,   208,   209,   210,   900,   901,   211,   212,   902,   903,
     215,     0,   216,   217,   218,   219,   904,     0,     0,   221,
     222,   223,   224,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   676,   236,   237,   905,
     906,   907,   908,   909,   910,   911,   238,   239,   240,   241,
     242,   243,   912,   913,   246,     0,   247,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,  2108,     0,   256,
     257,   914,   259,   260,     0,   261,   262,   263,     0,   264,
     265,     0,   266,   267,   268,   915,   270,   271,   916,   917,
     273,     0,   274,   918,   276,     0,   277,     0,   278,   678,
       0,   679,   279,   280,     0,   281,   919,     0,   283,     0,
     284,   285,   286,   287,   288,   680,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   681,   298,   299,
     300,   301,   302,   920,   921,     0,   922,     0,   306,   682,
     683,   307,   684,   308,   309,   310,   311,   312,   313,   314,
       0,   923,   685,   316,   686,     0,   317,   318,   319,   924,
     925,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   926,   687,   927,   637,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   928,   344,   345,
     688,   346,   929,   930,   348,   931,   350,   351,     0,     0,
     352,   638,     0,     0,   932,   354,   355,     0,     0,   356,
     689,   690,   691,   933,   358,   359,   360,   361,   362,   363,
       0,   364,   934,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,   935,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,     0,   392,   393,   692,   394,   395,   936,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   937,   409,   410,   411,   412,   693,   413,   938,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     939,   426,     0,   427,   428,     0,   429,   430,   431,   432,
     433,     0,   940,   941,     0,     0,   436,   942,   438,   943,
     944,   440,   441,   442,   443,   444,   445,     0,   945,   446,
     447,   448,   449,   946,     0,   450,   451,   452,   453,   454,
     947,  2109,   456,   694,   457,   458,   459,     0,     0,   460,
       0,     0,   461,   462,   463,   464,   465,   466,   948,   949,
     950,   951,   952,   953,   954,   474,   475,   476,     0,     0,
       0,   695,   955,   585,   956,   957,   958,   568,   959,     0,
       0,     0,     0,   960,   961,  2110,     0,     0,     0,     0,
       0,     0,   963,  2111,   185,   186,   187,   188,   189,   190,
     191,   192,     0,   194,   195,   196,     0,     0,     0,     0,
     896,     0,     0,   197,   198,     0,   199,   673,   200,   201,
     202,   674,   897,   675,   898,   899,     0,   206,   207,   208,
     209,   210,   900,   901,   211,   212,   902,   903,   215,     0,
     216,   217,   218,   219,   904,     0,     0,   221,   222,   223,
     224,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   676,   236,   237,   905,   906,   907,
     908,   909,   910,   911,   238,   239,   240,   241,   242,   243,
     912,   913,   246,     0,   247,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,     0,     0,   256,   257,   914,
     259,   260,     0,   261,   262,   263,     0,   264,   265,     0,
     266,   267,   268,   915,   270,   271,   916,   917,   273,     0,
     274,   918,   276,     0,   277,     0,   278,   678,     0,   679,
     279,   280,     0,   281,   919,     0,   283,     0,   284,   285,
     286,   287,   288,   680,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   681,   298,   299,   300,   301,
     302,   920,   921,     0,   922,     0,   306,   682,   683,   307,
     684,   308,   309,   310,   311,   312,   313,   314,     0,   923,
     685,   316,   686,     0,   317,   318,   319,   924,   925,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   926,   687,   927,   637,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   928,   344,   345,   688,   346,
     929,   930,   348,   931,   350,   351,     0,     0,   352,   638,
       0,     0,   932,   354,   355,     0,     0,   356,   689,   690,
     691,   933,   358,   359,   360,   361,   362,   363,     0,   364,
     934,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,   935,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,     0,
     392,   393,   692,   394,   395,   936,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   937,
     409,   410,   411,   412,   693,   413,   938,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   939,   426,
       0,   427,   428,     0,   429,   430,   431,   432,   433,     0,
     940,   941,     0,     0,   436,   942,   438,   943,   944,   440,
     441,   442,   443,   444,   445,     0,   945,   446,   447,   448,
     449,   946,     0,   450,   451,   452,   453,   454,   947,     0,
     456,   694,   457,   458,   459,     0,     0,   460,     0,     0,
     461,   462,   463,   464,   465,   466,   948,   949,   950,   951,
     952,   953,   954,   474,   475,   476,     0,     0,     0,   695,
     955,   585,   956,   957,   958,   568,   959,     0,     0,     0,
       0,   960,   961,     0,     0,     0,     0,     0,     0,     0,
     963,  2019,   185,   186,   187,   188,   189,   190,   191,   192,
       0,   194,   195,   196,     0,     0,     0,     0,     0,  2423,
       0,   197,   198,     0,   199,     0,   200,   201,   202,     0,
     203,     0,   204,   205,     0,   206,   207,   208,   209,   210,
       0,     0,   211,   212,   213,   214,   215,     0,   216,   217,
     218,   219,   220,     0,     0,   221,   222,   223,   224,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,   235, -1152,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,   247,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,     0,     0,   256,   257,   258,   259,   260,
       0,   261,   262,   263,     0,   264,   265,     0,   266,   267,
     268,   269,   270,   271,   272,     0,   273,     0,   274,   275,
     276,     0,   277,     0,   278,     0,     0, -1152,   279,   280,
       0,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0, -1152,   298,   299,   300,   301,   302,   303,
     304,     0,   305,     0,   306,     0,     0,   307, -1152,   308,
     309,   310,   311,   312,   313,   314,     0,   315, -1152,   316,
       0,     0,   317,   318,   319,     0,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333, -1152,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,     0,   347,
     348,   349,   350,   351,     0,     0,   352,     0,     0,     0,
     353,   354,   355,     0,     0,   356,     0,     0,     0,   357,
     358,   359,   360,   361,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,   393,
   -1152,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,     0,   409,   410,
     411,   412,     0,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,     0,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,     0,   446,   447,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,     0,   456,     0,
     457,   458,   459,     0,     0,   460,     0,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,   185,   186,
     187,   188,   189,   190,   191,   192,     0,   194,   195,   196,
       0,     0,     0,     0,     0,     0,     0,   197,   198,  1038,
     199,   673,   200,   201,   202,   674,  1196,   675,  1197,  1198,
       0,   206,   207,   208,   209,   210,     0,     0,   211,   212,
    1199,  1200,   215,     0,   216,   217,   218,   219,     0,     0,
       0,   221,   222,   223,   224,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   676,   236,
     237,     0,     0,     0,   677,     0,     0,     0,   238,   239,
     240,   241,   242,   243,  1201,  1202,   246,     0,   247,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,     0,
       0,   256,   257,   914,   259,   260,     0,   261,   262,   263,
       0,   264,   265,     0,   266,   267,   268,     0,   270,   271,
       0,     0,   273,     0,   274,  1203,   276,     0,   277,     0,
     278,   678,     0,   679,   279,   280,     0,   281,     0,     0,
     283,     0,   284,   285,   286,   287,   288,   680,   289,   290,
     291,  1687,   292,   293,   294,   295,   296,   297,     0,   681,
    1688,   299,   300,   301,   302,  1204,  1205,     0,  1206,     0,
     306,   682,   683,   307,   684,   308,   309,   310,   311,   312,
     313,   314,     0,     0,   685,   316,   686,     0,   317,   318,
     319,     0,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,  1207,   687,  1208,     0,
     335,   336,   337,   338,   339,   340,   341,     0,   343,     0,
     344,   345,   688,   346,     0,     0,   348,  1209,   350,   351,
       0,     0,   352,     0,     0,     0,   353,   354,   355,     0,
       0,  1689,   689,   690,   691,     0,   358,   359,   360,   361,
     362,   363,     0,   364,     0,   366,     0,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,  1210,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,     0,   392,   393,   692,   394,   395,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,     0,   409,  1690,   411,   412,   693,   413,
    1212,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   426,     0,   427,   428,     0,   429,   430,
     431,   432,   433,     0,  1213,  1214,     0,     0,   436,     0,
     438,     0,     0,   440,   441,   442,   443,   444,   445,     0,
       0,   446,   447,   448,   449,     0,     0,   450,   451,   452,
     453,     0,  1215,  1691,   456,   694,   457,   458,   459,     0,
       0,   460,     0,     0,   461,   462,   463,   464,   465,     0,
       0,     0,     0,     0,     0,     0,     0,   474,   475,   476,
       0,     0,     0,  1216,   185,   186,   187,   188,   189,   190,
     191,   192,     0,   194,   195,   196,     0,     0,     0,     0,
       0,     0,     0,   197,   198,  1692,   199,   673,   200,   201,
     202,   674,  1196,   675,  1197,  1198,     0,   206,   207,   208,
     209,   210,     0,     0,   211,   212,  1199,  1200,   215,     0,
     216,   217,   218,   219,     0,     0,     0,   221,   222,   223,
     224,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   676,   236,   237,     0,     0,     0,
     677,     0,     0,     0,   238,   239,   240,   241,   242,   243,
    1201,  1202,   246,     0,   247,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,     0,     0,   256,   257,   914,
     259,   260,     0,   261,   262,   263,     0,   264,   265,     0,
     266,   267,   268,     0,   270,   271,     0,     0,   273,     0,
     274,  1203,   276,     0,   277,     0,   278,   678,     0,   679,
     279,   280,     0,   281,     0,     0,   283,     0,   284,   285,
     286,   287,   288,   680,   289,   290,   291,  1687,   292,   293,
     294,   295,   296,   297,     0,   681,  1688,   299,   300,   301,
     302,  1204,  1205,     0,  1206,     0,   306,   682,   683,   307,
     684,   308,   309,   310,   311,   312,   313,   314,     0,     0,
     685,   316,   686,     0,   317,   318,   319,     0,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,  1207,   687,  1208,     0,   335,   336,   337,   338,
     339,   340,   341,     0,   343,     0,   344,   345,   688,   346,
       0,     0,   348,  1209,   350,   351,     0,     0,   352,     0,
       0,     0,   353,   354,   355,     0,     0,  1689,   689,   690,
     691,     0,   358,   359,   360,   361,   362,   363,     0,   364,
       0,   366,     0,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,  1210,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,     0,
     392,   393,   692,   394,   395,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,     0,
     409,  1690,   411,   412,   693,   413,  1212,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   426,
       0,   427,   428,     0,   429,   430,   431,   432,   433,     0,
    1213,  1214,     0,     0,   436,     0,   438,     0,     0,   440,
     441,   442,   443,   444,   445,     0,     0,   446,   447,   448,
     449,     0,     0,   450,   451,   452,   453,     0,  1215,  1691,
     456,   694,   457,   458,   459,     0,     0,   460,     0,     0,
     461,   462,   463,   464,   465,     0,     0,     0,     0,     0,
       0,     0,     0,   474,   475,   476,     0,     0,     0,  1216,
     185,   186,   187,   188,   189,   190,   191,   192,     0,   194,
     195,   196,     0,     0,     0,     0,   896,     0,     0,   197,
     198,  2405,   199,   673,   200,   201,   202,   674,   897,   675,
     898,   899,  2029,   206,   207,   208,   209,   210,   900,   901,
     211,   212,   902,   903,   215,     0,   216,   217,   218,   219,
     904,     0,     0,   221,   222,   223,   224,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     676,   236,   237,   905,   906,   907,   908,   909,   910,   911,
     238,   239,   240,   241,   242,   243,   912,   913,   246,     0,
     247,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,     0,     0,   256,   257,   914,   259,   260,     0,   261,
     262,   263,     0,   264,   265,     0,   266,   267,   268,   915,
     270,   271,   916,   917,   273,     0,   274,   918,   276,     0,
     277,     0,   278,   678,  2030,   679,   279,   280,     0,   281,
     919,     0,   283,     0,   284,   285,   286,   287,   288,   680,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   681,   298,   299,   300,   301,   302,   920,   921,     0,
     922,     0,   306,   682,   683,   307,   684,   308,   309,   310,
     311,   312,   313,   314,  2031,   923,   685,   316,   686,     0,
     317,   318,   319,   924,   925,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   926,   687,
     927,   637,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   928,   344,   345,   688,   346,   929,   930,   348,   931,
     350,   351,     0,     0,   352,   638,     0,     0,   932,   354,
     355,     0,     0,   356,   689,   690,   691,   933,   358,   359,
     360,   361,   362,   363,     0,   364,   934,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
     935,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,     0,   392,   393,   692,   394,
     395,   936,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   937,   409,   410,   411,   412,
     693,   413,   938,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   939,   426,     0,   427,   428,     0,
     429,   430,   431,   432,   433,     0,   940,   941,     0,  2032,
     436,   942,   438,   943,   944,   440,   441,   442,   443,   444,
     445,     0,   945,   446,   447,   448,   449,   946,     0,   450,
     451,   452,   453,   454,   947,     0,   456,   694,   457,   458,
     459,     0,     0,   460,     0,     0,   461,   462,   463,   464,
     465,   466,   948,   949,   950,   951,   952,   953,   954,   474,
     475,   476,     0,     0,     0,   695,   955,   585,   956,   957,
     958,   568,   959,     0,     0,     0,     0,   960,   961,     0,
       0,     0,     0,     0,     0,     0,   963,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,   896,     0,     0,   197,   198,     0,   199,
     673,   200,   201,   202,   674,   897,   675,   898,   899,     0,
     206,   207,   208,   209,   210,   900,   901,   211,   212,   902,
     903,   215,     0,   216,   217,   218,   219,   904,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   676,   236,   237,
     905,   906,   907,   908,   909,   910,   911,   238,   239,   240,
     241,   242,   243,   912,   913,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   914,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   915,   270,   271,   916,
     917,   273,     0,   274,   918,   276,     0,   277,     0,   278,
     678,     0,   679,   279,   280,     0,   281,   919,     0,   283,
       0,   284,   285,   286,   287,   288,   680,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   681,   298,
     299,   300,   301,   302,   920,   921,     0,   922,     0,   306,
     682,   683,   307,   684,   308,   309,   310,   311,   312,   313,
     314,     0,   923,   685,   316,   686,     0,   317,   318,   319,
     924,   925,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   926,   687,   927,   637,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   928,   344,
     345,   688,   346,   929,   930,   348,   931,   350,   351,     0,
       0,   352,   638,     0,     0,   932,   354,   355,     0,     0,
     356,   689,   690,   691,   933,   358,   359,   360,   361,   362,
     363,     0,   364,   934,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   935,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   692,   394,   395,   936,   397,
     398,   399,   400,   401,   402,   403,   404,    37,   405,   406,
     407,   408,   937,   409,   410,   411,   412,   693,   413,   938,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   939,   426,     0,   427,   428,    41,   429,   430,   431,
     432,   433,     0,   940,   941,     0,     0,   436,   942,   438,
     943,   944,   440,   441,   442,   443,   444,   445,     0,   945,
     446,   447,   448,   449,   946,     0,   450,   451,   452,   453,
    1427,   947,     0,   456,   694,   457,   458,   459,     0,     0,
     460,     0,    47,   461,   462,   463,   464,   465,   466,   948,
     949,   950,   951,   952,   953,   954,   474,   475,   476,     0,
       0,     0,   695,   955,   585,   956,   957,   958,   568,   959,
       0,     0,     0,     0,   960,   961,     0,     0,     0,     0,
       0,     0,     0,   963,   185,   186,   187,   188,   189,   190,
     191,   192,     0,   194,   195,   196,     0,     0,     0,     0,
     896,     0,     0,   197,   198,     0,   199,   673,   200,   201,
     202,   674,   897,   675,   898,   899,     0,   206,   207,   208,
     209,   210,   900,   901,   211,   212,   902,   903,   215,     0,
     216,   217,   218,   219,   904,     0,     0,   221,   222,   223,
     224,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   676,   236,   237,   905,   906,   907,
     908,   909,   910,   911,   238,   239,   240,   241,   242,   243,
     912,   913,   246,     0,   247,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,     0,     0,   256,   257,   914,
     259,   260,     0,   261,   262,   263,     0,   264,   265,     0,
     266,   267,   268,   915,   270,   271,   916,   917,   273,     0,
     274,   918,   276,     0,   277,     0,   278,   678,     0,   679,
     279,   280,     0,   281,   919,     0,   283,     0,   284,   285,
     286,   287,   288,   680,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   681,   298,   299,   300,   301,
     302,   920,   921,     0,   922,     0,   306,   682,   683,   307,
     684,   308,   309,   310,   311,   312,   313,   314,     0,   923,
     685,   316,   686,     0,   317,   318,   319,   924,   925,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   926,   687,   927,   637,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   928,   344,   345,   688,   346,
     929,   930,   348,   931,   350,   351,     0,     0,   352,   638,
       0,     0,   932,   354,   355,     0,     0,   356,   689,   690,
     691,   933,   358,   359,   360,   361,   362,   363,     0,   364,
     934,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,   935,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,     0,
     392,   393,   692,   394,   395,   936,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   937,
     409,   410,   411,   412,   693,   413,   938,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   939,   426,
       0,   427,   428,     0,   429,   430,   431,   432,   433,     0,
     940,   941,     0,     0,   436,   942,   438,   943,   944,   440,
     441,   442,   443,   444,   445,     0,   945,   446,   447,   448,
     449,   946,     0,   450,   451,   452,   453,   454,   947,     0,
     456,   694,   457,   458,   459,     0,     0,   460,     0,     0,
     461,   462,   463,   464,   465,   466,   948,   949,   950,   951,
     952,   953,   954,   474,   475,   476,     0,     0,     0,   695,
     955,   585,   956,   957,   958,   568,   959,     0,     0,     0,
       0,   960,   961,     0,     0,     0,     0,     0,  1372,  1978,
     963,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,   896,     0,     0,
     197,   198,     0,   199,   673,   200,   201,   202,   674,   897,
     675,   898,   899,     0,   206,   207,   208,   209,   210,   900,
     901,   211,   212,   902,   903,   215,     0,   216,   217,   218,
     219,   904,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   676,   236,   237,   905,   906,   907,   908,   909,   910,
     911,   238,   239,   240,   241,   242,   243,   912,   913,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   914,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     915,   270,   271,   916,   917,   273,     0,   274,   918,   276,
       0,   277,     0,   278,   678,     0,   679,   279,   280,     0,
     281,   919,     0,   283,     0,   284,   285,   286,   287,   288,
     680,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   681,   298,   299,   300,   301,   302,   920,   921,
       0,   922,     0,   306,   682,   683,   307,   684,   308,   309,
     310,   311,   312,   313,   314,     0,   923,   685,   316,   686,
       0,   317,   318,   319,   924,   925,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   926,
     687,   927,   637,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   928,   344,   345,   688,   346,   929,   930,   348,
     931,   350,   351,     0,     0,   352,   638,     0,     0,   932,
     354,   355,     0,     0,   356,   689,   690,   691,   933,   358,
     359,   360,   361,   362,   363,     0,   364,   934,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   935,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   692,
     394,   395,   936,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   937,   409,   410,   411,
     412,   693,   413,   938,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   939,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   940,   941,     0,
       0,   436,   942,   438,   943,   944,   440,   441,   442,   443,
     444,   445,     0,   945,   446,   447,   448,   449,   946,     0,
     450,   451,   452,   453,   454,   947,     0,   456,   694,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   948,   949,   950,   951,   952,   953,   954,
     474,   475,   476,     0,     0,     0,   695,   955,   585,   956,
     957,   958,   568,   959,     0,     0,     0,     0,   960,   961,
     962,     0,     0,     0,     0,     0,     0,   963,   185,   186,
     187,   188,   189,   190,   191,   192,     0,   194,   195,   196,
       0,     0,     0,     0,   896,     0,     0,   197,   198,     0,
     199,   673,   200,   201,   202,   674,   897,   675,   898,   899,
       0,   206,   207,   208,   209,   210,   900,   901,   211,   212,
     902,   903,   215,     0,   216,   217,   218,   219,   904,     0,
       0,   221,   222,   223,   224,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   676,   236,
     237,   905,   906,   907,   908,   909,   910,   911,   238,   239,
     240,   241,   242,   243,   912,   913,   246,  1030,   247,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,     0,
       0,   256,   257,   914,   259,   260,     0,   261,   262,   263,
       0,   264,   265,     0,   266,   267,   268,   915,   270,   271,
     916,   917,   273,     0,   274,   918,   276,     0,   277,     0,
     278,   678,     0,   679,   279,   280,     0,   281,   919,     0,
     283,     0,   284,   285,   286,   287,   288,   680,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   681,
     298,   299,   300,   301,   302,   920,   921,     0,   922,     0,
     306,   682,   683,   307,   684,   308,   309,   310,   311,   312,
     313,   314,     0,   923,   685,   316,   686,     0,   317,   318,
     319,   924,   925,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   926,   687,   927,   637,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   928,
     344,   345,   688,   346,   929,   930,   348,   931,   350,   351,
       0,     0,   352,   638,     0,     0,   932,   354,   355,     0,
       0,   356,   689,   690,   691,   933,   358,   359,   360,   361,
     362,   363,     0,   364,   934,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,   935,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,     0,   392,   393,   692,   394,   395,   936,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   937,   409,   410,   411,   412,   693,   413,
     938,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   939,   426,     0,   427,   428,     0,   429,   430,
     431,   432,   433,     0,   940,   941,     0,     0,   436,   942,
     438,   943,   944,   440,   441,   442,   443,   444,   445,     0,
     945,   446,   447,   448,   449,   946,     0,   450,   451,   452,
     453,   454,   947,     0,   456,   694,   457,   458,   459,     0,
       0,   460,     0,     0,   461,   462,   463,   464,   465,   466,
     948,   949,   950,   951,   952,   953,   954,   474,   475,   476,
       0,     0,     0,   695,   955,   585,   956,   957,   958,   568,
     959,     0,     0,     0,     0,   960,   961,     0,     0,     0,
       0,     0,     0,     0,   963,   185,   186,   187,   188,   189,
     190,   191,   192,  1630,   194,   195,   196,     0,     0,     0,
       0,   896,     0,     0,   197,   198,     0,   199,   673,   200,
     201,   202,   674,   897,   675,   898,   899,     0,   206,   207,
     208,   209,   210,   900,   901,   211,   212,   902,   903,   215,
       0,   216,   217,   218,   219,   904,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   676,   236,   237,   905,   906,
     907,   908,   909,   910,   911,   238,   239,   240,   241,   242,
     243,   912,   913,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     914,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   915,   270,   271,   916,   917,   273,
       0,   274,   918,   276,     0,   277,     0,   278,   678,     0,
     679,   279,   280,     0,   281,   919,     0,   283,     0,   284,
     285,   286,   287,   288,   680,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   681,   298,   299,   300,
     301,   302,   920,   921,     0,   922,     0,   306,   682,   683,
     307,   684,   308,   309,   310,   311,   312,   313,   314,     0,
     923,   685,   316,   686,     0,   317,   318,   319,   924,   925,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   926,   687,   927,   637,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   928,   344,   345,   688,
     346,   929,   930,   348,   931,   350,   351,     0,     0,   352,
     638,     0,     0,   932,   354,   355,     0,     0,   356,   689,
     690,   691,   933,   358,   359,   360,   361,   362,   363,     0,
     364,   934,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   935,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   692,   394,   395,   936,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     937,   409,   410,   411,   412,   693,   413,   938,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   939,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   940,   941,     0,     0,   436,   942,   438,   943,   944,
     440,   441,   442,   443,   444,   445,     0,   945,   446,   447,
     448,   449,   946,     0,   450,   451,   452,   453,   454,   947,
       0,   456,   694,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   948,   949,   950,
     951,   952,   953,   954,   474,   475,   476,     0,     0,     0,
     695,   955,   585,   956,   957,   958,   568,   959,     0,     0,
       0,     0,   960,   961,     0,     0,     0,     0,     0,     0,
       0,   963,   185,   186,   187,   188,   189,   190,   191,   192,
       0,   194,   195,   196,     0,     0,     0,     0,   896,     0,
       0,   197,   198,     0,   199,   673,   200,   201,   202,   674,
     897,   675,   898,   899,     0,   206,   207,   208,   209,   210,
     900,   901,   211,   212,   902,   903,   215,     0,   216,   217,
     218,   219,   904,     0,     0,   221,   222,   223,   224,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   676,   236,   237,   905,   906,   907,   908,   909,
     910,   911,   238,   239,   240,   241,   242,   243,   912,   913,
     246,     0,   247,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,     0,     0,   256,   257,   914,   259,   260,
       0,   261,   262,   263,     0,   264,   265,     0,   266,   267,
     268,   915,   270,   271,   916,   917,   273,     0,   274,   918,
     276,     0,   277,     0,   278,   678,  2030,   679,   279,   280,
       0,   281,   919,     0,   283,     0,   284,   285,   286,   287,
     288,   680,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   681,   298,   299,   300,   301,   302,   920,
     921,     0,   922,     0,   306,   682,   683,   307,   684,   308,
     309,   310,   311,   312,   313,   314,     0,   923,   685,   316,
     686,     0,   317,   318,   319,   924,   925,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     926,   687,   927,   637,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   928,   344,   345,   688,   346,   929,   930,
     348,   931,   350,   351,     0,     0,   352,   638,     0,     0,
     932,   354,   355,     0,     0,   356,   689,   690,   691,   933,
     358,   359,   360,   361,   362,   363,     0,   364,   934,   366,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,   935,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,   393,
     692,   394,   395,   936,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   937,   409,   410,
     411,   412,   693,   413,   938,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   939,   426,     0,   427,
     428,     0,   429,   430,   431,   432,   433,     0,   940,   941,
       0,     0,   436,   942,   438,   943,   944,   440,   441,   442,
     443,   444,   445,     0,   945,   446,   447,   448,   449,   946,
       0,   450,   451,   452,   453,   454,   947,     0,   456,   694,
     457,   458,   459,     0,     0,   460,     0,     0,   461,   462,
     463,   464,   465,   466,   948,   949,   950,   951,   952,   953,
     954,   474,   475,   476,     0,     0,     0,   695,   955,   585,
     956,   957,   958,   568,   959,     0,     0,     0,     0,   960,
     961,     0,     0,     0,     0,     0,     0,     0,   963,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,   896,     0,     0,   197,   198,
       0,   199,   673,   200,   201,   202,   674,   897,   675,   898,
     899,     0,   206,   207,   208,   209,   210,   900,   901,   211,
     212,   902,   903,   215,     0,   216,   217,   218,   219,   904,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   676,
     236,   237,   905,   906,   907,   908,   909,   910,   911,   238,
     239,   240,   241,   242,   243,   912,   913,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   914,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   915,   270,
     271,   916,   917,   273,     0,   274,   918,   276,     0,   277,
       0,   278,   678,     0,   679,   279,   280,     0,   281,   919,
       0,   283,     0,   284,   285,   286,   287,   288,   680,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     681,   298,   299,   300,   301,   302,   920,   921,     0,   922,
       0,   306,   682,   683,   307,   684,   308,   309,   310,   311,
     312,   313,   314,     0,   923,   685,   316,   686,     0,   317,
     318,   319,   924,   925,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   926,   687,   927,
     637,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     928,   344,   345,   688,   346,   929,   930,   348,   931,   350,
     351,     0,     0,   352,   638,     0,     0,   932,   354,   355,
       0,     0,   356,   689,   690,   691,   933,   358,   359,   360,
     361,   362,   363,     0,   364,   934,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   935,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   692,   394,   395,
     936,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   937,   409,   410,   411,   412,   693,
     413,   938,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   939,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   940,   941,     0,     0,   436,
     942,   438,   943,   944,   440,   441,   442,   443,   444,   445,
       0,   945,   446,   447,   448,   449,   946,     0,   450,   451,
     452,   453,   454,   947,  2980,   456,   694,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   948,   949,   950,   951,   952,   953,   954,   474,   475,
     476,     0,     0,     0,   695,   955,   585,   956,   957,   958,
     568,   959,     0,     0,     0,     0,   960,   961,     0,     0,
       0,     0,     0,     0,     0,   963,   185,   186,   187,   188,
     189,   190,   191,   192,     0,   194,   195,   196,     0,     0,
       0,     0,   896,     0,     0,   197,   198,     0,   199,   673,
     200,   201,   202,   674,   897,   675,   898,   899,     0,   206,
     207,   208,   209,   210,   900,   901,   211,   212,   902,   903,
     215,     0,   216,   217,   218,   219,   904,     0,     0,   221,
     222,   223,   224,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   676,   236,   237,   905,
     906,   907,   908,   909,   910,   911,   238,   239,   240,   241,
     242,   243,   912,   913,   246,     0,   247,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,     0,     0,   256,
     257,   914,   259,   260,     0,   261,   262,   263,     0,   264,
     265,     0,   266,   267,   268,   915,   270,   271,   916,   917,
     273,     0,   274,   918,   276,     0,   277,     0,   278,   678,
       0,   679,   279,   280,     0,   281,   919,     0,   283,     0,
     284,   285,   286,   287,   288,   680,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   681,   298,   299,
     300,   301,   302,   920,   921,     0,   922,     0,   306,   682,
     683,   307,   684,   308,   309,   310,   311,   312,   313,   314,
       0,   923,   685,   316,   686,     0,   317,   318,   319,   924,
     925,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   926,   687,   927,   637,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   928,   344,   345,
     688,   346,   929,   930,   348,   931,   350,   351,     0,     0,
     352,   638,     0,     0,   932,   354,   355,     0,     0,   356,
     689,   690,   691,   933,   358,   359,   360,   361,   362,   363,
       0,   364,   934,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,   935,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,     0,   392,   393,   692,   394,   395,   936,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   937,   409,   410,   411,   412,   693,   413,   938,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     939,   426,     0,   427,   428,     0,   429,   430,   431,   432,
     433,     0,   940,   941,     0,     0,   436,   942,   438,   943,
     944,   440,   441,   442,   443,   444,   445,     0,   945,   446,
     447,   448,   449,   946,     0,   450,   451,   452,   453,   454,
     947,     0,   456,   694,   457,   458,   459,     0,     0,   460,
       0,     0,   461,   462,   463,   464,   465,   466,   948,   949,
     950,   951,   952,   953,   954,   474,   475,   476,     0,     0,
       0,   695,   955,   585,   956,   957,   958,   568,   959,     0,
       0,     0,     0,   960,   961,     0,     0,     0,     0,     0,
       0,     0,   963,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,   896,
       0,     0,   197,   198,     0,   199,   673,   200,   201,   202,
     674,   897,   675,   898,   899,     0,   206,   207,   208,   209,
     210,   900,   901,   211,   212,   902,   903,   215,     0,   216,
     217,   218,   219,   904,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   676,   236,  2441,   905,   906,   907,   908,
     909,   910,   911,   238,   239,   240,   241,   242,   243,   912,
     913,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   914,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   915,   270,   271,   916,   917,   273,     0,   274,
     918,   276,     0,   277,     0,   278,   678,     0,   679,   279,
     280,     0,   281,   919,     0,   283,     0,   284,   285,   286,
     287,   288,   680,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   681,   298,   299,   300,   301,   302,
     920,   921,     0,   922,     0,   306,   682,   683,   307,   684,
     308,   309,   310,   311,   312,   313,   314,     0,   923,   685,
     316,   686,     0,   317,   318,   319,   924,   925,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   926,   687,   927,   637,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   928,   344,   345,   688,   346,   929,
     930,   348,   931,   350,   351,     0,     0,   352,   638,     0,
       0,   932,   354,   355,     0,     0,   356,   689,   690,   691,
     933,   358,   359,   360,   361,   362,   363,     0,   364,   934,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   935,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   692,   394,   395,   936,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   937,   409,
     410,   411,   412,   693,   413,   938,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   939,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   940,
     941,     0,     0,   436,   942,   438,   943,   944,   440,   441,
     442,   443,   444,   445,     0,   945,   446,   447,   448,   449,
     946,     0,   450,   451,   452,   453,   454,   947,     0,   456,
     694,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   948,   949,   950,   951,   952,
     953,   954,   474,   475,   476,     0,     0,     0,   695,   955,
     585,   956,   957,   958,   568,   959,     0,     0,     0,     0,
     960,   961,     0,     0,     0,     0,     0,     0,     0,   963,
     185,   186,   187,   188,   189,   190,   191,   192,     0,   194,
     195,   196,     0,     0,     0,     0,   896,     0,     0,   197,
     198,     0,   199,   673,   200,   201,   202,   674,   897,   675,
     898,   899,     0,   206,   207,   208,   209,   210,   900,   901,
     211,   212,   902,   903,   215,     0,   216,   217,   218,   219,
     904,     0,     0,   221,   222,   223,   224,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     676,   236,   237,   905,   906,   907,   908,   909,   910,   911,
     238,   239,   240,   241,   242,   243,   912,   913,   246,     0,
     247,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,     0,     0,   256,   257,   914,   259,   260,     0,   261,
     262,   263,     0,   264,   265,     0,   266,   267,   268,   915,
     270,   271,   916,   917,   273,     0,   274,   918,   276,     0,
     277,     0,   278,   678,     0,   679,   279,   280,     0,   281,
     919,     0,   283,     0,   284,   285,   286,   287,   288,   680,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   681,   298,   299,   300,   301,   302,   920,   921,     0,
     922,     0,   306,   682,   683,   307,   684,   308,   309,   310,
     311,   312,   313,   314,     0,   923,   685,   316,   686,     0,
     317,   318,   319,   924,   925,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   926,   687,
     927,   637,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   928,   344,   345,   688,   346,   929,   930,   348,   931,
     350,   351,     0,     0,   352,   638,     0,     0,   932,   354,
     355,     0,     0,   356,   689,   690,   691,   933,   358,   359,
     360,   361,   362,   363,     0,   364,   934,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
     935,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,     0,   392,   393,   692,   394,
     395,   936,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   937,   409,   410,   411,   412,
     693,   413,   938,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   939,   426,     0,   427,   428,     0,
     429,   430,   431,   432,   433,     0,   940,   941,     0,     0,
     436,   942,   438,   943,   944,   440,   441,   442,   443,   444,
     445,     0,   945,   446,   447,   448,   449,   946,     0,   450,
     451,   452,   453,   454,   947,     0,   456,   694,   457,   458,
     459,     0,     0,   460,     0,     0,   461,   462,   463,   464,
     465,  3189,   948,   949,   950,   951,   952,   953,   954,   474,
     475,   476,     0,     0,     0,   695,   955,   585,   956,   957,
     958,   568,   959,     0,     0,     0,     0,   960,   961,     0,
       0,     0,     0,     0,     0,     0,   963,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,   896,     0,     0,   197,   198,     0,   199,
     673,   200,   201,   202,   674,   897,   675,   898,   899,     0,
     206,   207,   208,   209,   210,   900,   901,   211,   212,   902,
     903,   215,     0,   216,   217,   218,   219,   904,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   676,   236,   237,
     905,   906,   907,   908,   909,   910,   911,   238,   239,   240,
     241,   242,   243,   912,   913,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   914,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   915,   270,   271,   916,
     917,   273,     0,   274,   918,   276,     0,   277,     0,   278,
     678,     0,   679,   279,   280,     0,   281,   919,     0,   283,
       0,   284,   285,   286,   287,   288,   680,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   681,   298,
     299,   300,   301,   302,   920,   921,     0,   922,     0,   306,
     682,   683,   307,   684,   308,   309,   310,   311,   312,   313,
     314,     0,   923,   685,   316,   686,     0,   317,   318,   319,
     924,   925,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   926,   687,   927,   637,   335,
    3196,   337,   338,   339,   340,   341,   342,   343,   928,   344,
     345,   688,   346,   929,   930,   348,   931,   350,   351,     0,
       0,   352,   638,     0,     0,   932,   354,   355,     0,     0,
     356,   689,   690,   691,   933,   358,   359,   360,   361,   362,
     363,     0,   364,   934,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   935,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   692,   394,   395,   936,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   937,   409,   410,   411,   412,   693,   413,   938,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   939,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   940,   941,     0,     0,   436,   942,   438,
     943,   944,   440,   441,   442,   443,   444,   445,     0,   945,
     446,   447,   448,   449,   946,     0,   450,   451,   452,   453,
     454,   947,     0,   456,   694,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   948,
     949,   950,   951,   952,   953,   954,   474,   475,   476,     0,
       0,     0,   695,   955,   585,   956,   957,   958,   568,   959,
       0,     0,     0,     0,   960,   961,     0,     0,     0,     0,
       0,     0,     0,   963,   185,   186,   187,   188,   189,   190,
     191,   192,     0,   194,   195,   196,     0,     0,     0,     0,
     896,     0,     0,   197,   198,     0,   199,   673,   200,   201,
     202,   674,   897,   675,   898,   899,     0,   206,   207,   208,
     209,   210,   900,   901,   211,   212,   902,   903,   215,     0,
     216,   217,   218,   219,   904,     0,     0,   221,   222,   223,
     224,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   676,   236,   237,   905,   906,   907,
     908,   909,   910,   911,   238,   239,   240,   241,   242,   243,
     912,   913,   246,     0,   247,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,     0,     0,   256,   257,   914,
     259,   260,     0,   261,   262,   263,     0,   264,   265,     0,
     266,   267,   268,   915,   270,   271,   916,   917,   273,     0,
     274,   918,   276,     0,   277,     0,   278,   678,     0,   679,
     279,   280,     0,   281,   919,     0,   283,     0,   284,   285,
     286,   287,   288,   680,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   681,   298,   299,   300,   301,
     302,   920,   921,     0,   922,     0,   306,   682,   683,   307,
     684,   308,   309,   310,   311,   312,   313,   314,     0,   923,
     685,   316,   686,     0,   317,   318,   319,   924,   925,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   926,   687,   927,   637,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,   345,   688,   346,
     929,   930,   348,   931,   350,   351,     0,     0,   352,   638,
       0,     0,   932,   354,   355,     0,     0,   356,   689,   690,
     691,   933,   358,   359,   360,   361,   362,   363,     0,   364,
     934,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,   935,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,     0,
     392,   393,   692,   394,   395,   936,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   937,
     409,   410,   411,   412,   693,   413,   938,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   939,   426,
       0,   427,   428,     0,   429,   430,   431,   432,   433,     0,
     940,   941,     0,     0,   436,   942,   438,   943,   944,   440,
     441,   442,   443,   444,   445,     0,     0,   446,   447,   448,
     449,   946,     0,   450,   451,   452,   453,   454,   947,     0,
     456,   694,   457,   458,   459,     0,     0,   460,     0,     0,
     461,   462,   463,   464,   465,   466,   948,   949,   950,   951,
     952,   953,   954,   474,   475,   476,     0,     0,     0,   695,
     955,   585,   956,   957,   958,   568,   959,     0,     0,     0,
       0,  2012,  2013,     0,     0,     0,     0,     0,     0,     0,
     963,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,   896,     0,     0,
     197,   198,     0,   199,   673,   200,   201,   202,     0,   897,
     675,   898,   899,     0,   206,   207,   208,   209,   210,   900,
     901,   211,   212,   902,   903,   215,     0,   216,   217,   218,
     219,   904,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   676,   236,   237,   905,   906,   907,   908,   909,   910,
     911,   238,   239,   240,   241,   242,   243,   912,   913,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   914,   259,   260,     0,
     261,   262,   263,     0,   264,     0,     0,   266,   267,   268,
     915,   270,   271,   916,   917,   273,     0,   274,   918,   276,
       0,   277,     0,   278,   678,     0,   679,   279,   280,     0,
     281,   919,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   681,   298,   299,   300,   301,   302,   920,   921,
       0,   922,     0,   306,   682,   683,   307,   684,   308,   309,
     310,   311,   312,   313,   314,     0,   923,   685,   316,     0,
       0,   317,   318,   319,   924,   925,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   926,
     687,   927,   637,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,   688,   346,   929,   930,   348,
     931,   350,   351,     0,     0,   352,   638,     0,     0,   932,
     354,   355,     0,     0,   356,   689,   690,   691,   933,   358,
     359,   360,   361,   362,   363,     0,   364,   934,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   935,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   692,
     394,   395,   936,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   937,   409,   410,   411,
     412,     0,   413,   938,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   939,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   940,   941,     0,
       0,   436,   942,   438,   943,   944,   440,   441,   442,   443,
     444,   445,     0,   945,   446,   447,   448,   449,   946,     0,
     450,   451,   452,   453,   454,   947,     0,   456,   694,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   948,   949,   950,   951,   952,   953,   954,
     474,   475,   476,     0,     0,     0,   695,   955,   585,   956,
     957,   958,   568,   959,     0,     0,     0,     0,   960,   961,
       0,     0,     0,     0,     0,     0,     0,   963,   185,   186,
     187,   188,   189,   190,   191,   192,     0,   194,   195,   196,
       0,     0,     0,     0,   896,     0,     0,   197,   198,     0,
     199,   673,   200,   201,   202,     0,   897,   675,   898,   899,
       0,   206,   207,   208,   209,   210,   900,   901,   211,   212,
     902,   903,   215,     0,   216,   217,   218,   219,   904,     0,
       0,   221,   222,   223,   224,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   676,   236,
     237,   905,   906,   907,   908,   909,   910,   911,   238,   239,
     240,   241,   242,   243,   912,   913,   246,     0,   247,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,     0,
       0,   256,   257,   914,   259,   260,     0,   261,   262,   263,
       0,   264,     0,     0,   266,   267,   268,   915,   270,   271,
     916,   917,   273,     0,   274,   918,   276,     0,   277,     0,
     278,   678,     0,   679,   279,   280,     0,   281,   919,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   681,
     298,   299,   300,   301,   302,   920,   921,     0,   922,     0,
     306,   682,   683,   307,   684,   308,   309,   310,   311,   312,
     313,   314,     0,   923,   685,   316,     0,     0,   317,   318,
     319,   924,   925,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   926,   687,   927,   637,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,   345,   688,   346,   929,   930,   348,   931,   350,   351,
       0,     0,   352,   638,     0,     0,   932,   354,   355,     0,
       0,   356,   689,   690,   691,   933,   358,   359,   360,   361,
     362,   363,     0,   364,   934,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,   935,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,     0,   392,   393,   692,   394,   395,   936,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   937,   409,   410,   411,   412,     0,   413,
     938,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   939,   426,     0,   427,   428,     0,   429,   430,
     431,   432,   433,     0,   940,   941,     0,     0,   436,   942,
     438,   943,   944,   440,   441,   442,   443,   444,   445,     0,
       0,   446,   447,   448,   449,   946,     0,   450,   451,   452,
     453,   454,   947,     0,   456,   694,   457,   458,   459,     0,
       0,   460,     0,     0,   461,   462,   463,   464,   465,   466,
     948,   949,   950,   951,   952,   953,   954,   474,   475,   476,
       0,     0,     0,   695,   955,   585,   956,   957,   958,   568,
     959,     0,     0,     0,     0,  2012,  2013,     0,     0,     0,
       0,     0,     0,     0,   963,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   673,   200,
     201,   202,   674,   203,   675,   204,   205,     0,   206,   207,
     208,   209,   210,     0,   901,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   904,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   676,   236,   237,   905,   906,
     907,   908,   909,   910,   911,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   916,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,   678,     0,
     679,   279,   280,     0,   281,   919,     0,   283,     0,   284,
     285,   286,   287,   288,   680,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   681,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,   682,   683,
     307,   684,   308,   309,   310,   311,   312,   313,   314,     0,
     923,   685,   316,   686,     0,   317,   318,   319,   924,   925,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   687,   334,   637,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,   688,
     346,     0,   930,   348,   349,   350,   351,     0,     0,   352,
     638,     0,   639,   353,   354,   355,     0,     0,   356,   689,
     690,   691,   933,   358,   359,   360,   361,   362,   363,     0,
     364,   934,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   692,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    37,   405,   406,   407,   408,
     937,   409,   410,   411,   412,   693,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   939,
     426,     0,   427,   428,    41,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   942,   438,   943,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,   946,     0,   450,   451,   452,   453,  1427,   455,
       0,   456,   694,   457,   458,   459,     0,     0,   460,     0,
      47,   461,   462,   463,   464,   465,   466,   948,   949,   950,
     951,   952,   953,   954,   474,   475,   476,     0,     0,     0,
     695,     0,     0,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,  1885,   197,   198,     0,   199,   673,   200,   201,   202,
     674,   203,   675,   204,   205,     0,   206,   207,   208,   209,
     210,     0,   901,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   904,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   676,   236,   237,   905,   906,   907,   908,
     909,   910,   911,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   916,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,   678,     0,   679,   279,
     280,     0,   281,   919,     0,   283,     0,   284,   285,   286,
     287,   288,   680,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   681,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,   682,   683,   307,   684,
     308,   309,   310,   311,   312,   313,   314,     0,   923,   685,
     316,   686,     0,   317,   318,   319,   924,   925,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   687,   334,   637,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,   688,   346,     0,
     930,   348,   349,   350,   351,     0,     0,   352,   638,     0,
     639,   353,   354,   355,     0,     0,   356,   689,   690,   691,
     933,   358,   359,   360,   361,   362,   363,     0,   364,   934,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   692,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   937,   409,
     410,   411,   412,   693,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   939,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   942,   438,   943,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
     946,     0,   450,   451,   452,   453,   454,   455,     0,   456,
     694,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   948,   949,   950,   951,   952,
     953,   954,   474,   475,   476,     0,     0,     0,   695,     0,
       0,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,  1885,
     197,   198,     0,   199,   673,   200,   201,   202,   674,   203,
     675,   204,   205,     0,   206,   207,   208,   209,   210,     0,
     901,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   904,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   676,   236,   237,   905,   906,   907,   908,   909,   910,
     911,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   916,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,   678,     0,   679,   279,   280,     0,
     281,   919,     0,   283,     0,   284,   285,   286,   287,   288,
     680,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   681,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,   682,   683,   307,   684,   308,   309,
     310,   311,   312,   313,   314,     0,   923,   685,   316,   686,
       0,   317,   318,   319,   924,   925,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     687,   334,   637,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,   688,   346,     0,   930,   348,
     349,   350,   351,     0,     0,   352,   638,     0,     0,   353,
     354,   355,     0,     0,   356,   689,   690,   691,   933,   358,
     359,   360,   361,   362,   363,     0,   364,   934,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   692,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   937,   409,   410,   411,
     412,   693,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   939,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   942,   438,   943,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,   946,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   694,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   948,   949,   950,   951,   952,   953,   954,
     474,   475,   476,     0,     0,     0,   695,     0,     0,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,  3316,   197,   198,
       0,   199,   673,   200,   201,   202,   674,   203,   675,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   676,
     236,   237,     0,     0,     0,   677,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,   678,     0,   679,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,   680,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     681,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,   682,   683,   307,   684,   308,   309,   310,   311,
     312,   313,   314,     0,   315,   685,   316,   686,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   687,   334,
     637,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,   688,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,   638,     0,     0,   353,   354,   355,
       0,     0,   356,   689,   690,   691,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   692,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,   693,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,   694,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   695,     0,     0,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,  3377,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    37,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,    41,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
    1427,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,    47,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,     0,     0,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,    48,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,   637,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
     638,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,     0,     0,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,  1017,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,     0,
       0,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,  1604,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,     0,     0,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,  2857,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2975,   185,   186,   187,   188,
     189,   190,   191,   192,  1512,   194,   195,   196,  1513,  1514,
    1515,  1516,  1517,  1518,  1519,   197,   198,  1520,   199,   673,
     200,   201,   202,   674,  1196,   675,  1197,  1198,  1521,   206,
     207,   208,   209,   210,  1522,  1523,   211,   212,  1199,  1200,
     215,  1524,   216,   217,   218,   219,     0,  1525,  1526,   221,
     222,   223,   224,   225,   226,  1527,   227,   228,   229,   230,
     231,   232,  1528,   233,   234,   235,   676,   236,   237,  1529,
    1530,  1531,   677,  1532,  1533,  1534,   238,   239,   240,   241,
     242,   243,  1201,  1202,   246,  1535,   247,  1536,   248,   249,
     250,   251,   252,  1537,   253,   254,   255,  1538,  1539,   256,
     257,   914,   259,   260,  1540,   261,   262,   263,  1541,   264,
     265,  1542,   266,   267,   268,     0,   270,   271,     0,  1543,
     273,  1544,   274,  1203,   276,  1545,   277,  1546,   278,   678,
    1547,   679,   279,   280,  1548,   281,     0,  1549,   283,  1550,
     284,   285,   286,   287,   288,   680,   289,   290,   291,  1551,
     292,   293,   294,   295,   296,   297,  1552,   681,     0,   299,
     300,   301,   302,  1204,  1205,  1553,  1206,  1554,   306,   682,
     683,   307,   684,   308,   309,   310,   311,   312,   313,   314,
    1555,     0,   685,   316,   686,  1556,   317,   318,   319,  1557,
    1558,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,  1207,   687,  1208,  1559,   335,   336,
     337,   338,   339,   340,   341,     0,   343,  1560,   344,   345,
     688,   346,  1561,     0,   348,  1209,   350,   351,  1562,  1563,
     352,  1564,  1565,  1566,  2743,   354,   355,  1567,  1568,     0,
     689,   690,   691,     0,   358,   359,   360,   361,   362,   363,
    1569,   364,     0,   366,     0,   368,   369,   370,  1570,   371,
     372,   373,   374,   375,   376,   377,  1210,   379,   380,   381,
    1571,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,  1572,   392,   393,   692,   394,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,  1573,   405,   406,   407,
     408,  1574,   409,  1690,   411,   412,   693,   413,  1212,  1575,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   426,  1576,   427,   428,  1577,   429,   430,   431,   432,
     433,  1578,  1213,  1214,  1579,  1580,   436,     0,   438,     0,
    1581,   440,   441,   442,   443,   444,   445,  1582,  1583,   446,
     447,   448,   449,  1584,  1585,   450,   451,   452,   453,     0,
    1215,  1586,   456,   694,   457,   458,   459,  1587,  1588,   460,
    1589,  1590,   461,   462,   463,   464,   465,     0,     0,     0,
       0,     0,     0,     0,     0,   474,   475,   476,     0,     0,
       0,  1216,  1486,   585,     0,     0,   714,   568,     0,   715,
     716,   717,     0,  2744,  2745,   720,   721,   722,   723,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   712,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   713,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,     0,     0,     0,     0,   714,
       0,     0,   715,   716,   717,     0,   718,   719,   720,   721,
     722,   723,   185,   186,   187,   188,   189,   190,   191,   192,
       0,   194,   195,   196,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,     0,   200,   201,   202,     0,
     203,     0,   204,   205,     0,   206,   207,   208,   209,   210,
       0,     0,   211,   212,   213,   214,   215,     0,   216,   787,
     218,   219,   220,     0,     0,   221,   222,   223,   224,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,   235,     0,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,   240,   241,   242,   243,   244,   245,
     246,     0,   247,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,     0,     0,   256,   257,   258,   259,   260,
       0,   261,   262,   263,     0,   264,   265,     0,   266,   267,
     268,   269,   270,   271,   272,     0,   788,     0,   274,   275,
     276,     0,   277,     0,   278,     0,     0,     0,   279,   280,
       0,   281,   282,     0,   283,     0,   284,   285,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   298,   299,   300,   301,   302,   303,
     304,     0,   305,     0,   306,     0,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,   318,   319,     0,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,   336,   337,   338,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,     0,   347,
     348,   349,   350,   351,     0,     0,   352,     0,     0,     0,
     353,   354,   355,     0,     0,   356,     0,     0,     0,   357,
     358,   359,   360,   361,   362,   363,     0,   364,   365,   366,
     367,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,     0,   409,   410,
     411,   412,     0,   413,   414,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,     0,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,   439,     0,   440,   441,   442,
     443,   444,   445,     0,     0,   446,   447,   448,   449,     0,
       0,   450,   451,   452,   453,   454,   455,     0,   456,     0,
     457,   458,   459,     0,     0,   460,     0,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,   477,     0,     0,
       0,     0,   714,     0,     0,   715,   716,   717,     0,   718,
     719,   720,   721,   722,   723,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   826,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   827,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   828,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,     0,     0,     0,     0,   714,     0,     0,   715,   716,
     717,     0,   718,   719,   720,   721,   722,   723,   185,   186,
     187,   188,   189,   190,   191,   192,     0,   194,   195,   196,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,     0,   200,   201,   202,     0,   203,     0,   204,   205,
       0,   206,   207,   208,   209,   210,     0,     0,   211,   212,
     213,   214,   215,     0,   216,  1179,   218,   219,   220,     0,
       0,   221,   222,   223,   224,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,   235,     0,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
     240,   241,   242,   243,   244,   245,   246,     0,   247,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,     0,
       0,   256,   257,   258,   259,   260,     0,   261,   262,   263,
       0,   264,   265,     0,   266,   267,   268,   269,   270,   271,
     272,     0,  1180,     0,   274,   275,   276,     0,   277,     0,
     278,     0,     0,     0,   279,   280,     0,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     298,   299,   300,   301,   302,   303,   304,     0,   305,     0,
     306,     0,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,   318,
     319,     0,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   347,   348,   349,   350,   351,
       0,     0,   352,     0,     0,     0,   353,   354,   355,     0,
       0,   356,     0,     0,     0,   357,   358,   359,   360,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,     0,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,     0,   409,   410,   411,   412,     0,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,     0,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,   439,     0,   440,   441,   442,   443,   444,   445,     0,
       0,   446,   447,   448,   449,     0,     0,   450,   451,   452,
     453,   454,   455,     0,   456,     0,   457,   458,   459,     0,
       0,   460,     0,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
       0,     0,     0,   477,     0,     0,     0,     0,   714,     0,
       0,   715,   716,   717,     0,   718,   719,   720,   721,   722,
     723,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,     0,     0,     0,
       0,   714,     0,     0,   715,   716,   717,     0,   718,   719,
     720,   721,   722,   723,   185,   186,   187,   188,   189,   190,
     191,   192,  1512,   194,   195,   196,  1513,  1514,  1515,  1516,
    1517,  1518,  1519,   197,   198,  1520,   199,   673,   200,   201,
     202,   674,   203,   675,   204,   205,  1521,   206,   207,   208,
     209,   210,  1522,  1523,   211,   212,   213,   214,   215,  1524,
     216,   217,   218,   219,   220,  1525,  1526,   221,   222,   223,
     224,   225,   226,  1527,   227,   228,   229,   230,   231,   232,
    1528,   233,   234,   235,   676,   236,   237,  1529,  1530,  1531,
     677,  1532,  1533,  1534,   238,   239,   240,   241,   242,   243,
     244,   245,   246,  1535,   247,  1536,   248,   249,   250,   251,
     252,  1537,   253,   254,   255,  1538,  1539,   256,   257,   258,
     259,   260,  1540,   261,   262,   263,  1541,   264,   265,  1542,
     266,   267,   268,   269,   270,   271,   272,  1543,   273,  1544,
     274,   275,   276,  1545,   277,  1546,   278,   678,  1547,   679,
     279,   280,  1548,   281,   282,  1549,   283,  1550,   284,   285,
     286,   287,   288,   680,   289,   290,   291,  1551,   292,   293,
     294,   295,   296,   297,  1552,   681,   298,   299,   300,   301,
     302,   303,   304,  1553,   305,  1554,   306,   682,   683,   307,
     684,   308,   309,   310,   311,   312,   313,   314,  1555,   315,
     685,   316,   686,  1556,   317,   318,   319,  1557,  1558,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   687,   334,  1559,   335,   336,   337,   338,
     339,   340,   341,   342,   343,  1560,   344,   345,   688,   346,
    1561,   347,   348,   349,   350,   351,  1562,  1563,   352,  1564,
    1565,  1566,   353,   354,   355,  1567,  1568,   356,   689,   690,
     691,   357,   358,   359,   360,   361,   362,   363,  1569,   364,
     365,   366,   367,   368,   369,   370,  1570,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,  1571,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,  1572,
     392,   393,   692,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,  1573,   405,   406,   407,   408,  1574,
     409,   410,   411,   412,   693,   413,   414,  1575,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
    1576,   427,   428,  1577,   429,   430,   431,   432,   433,  1578,
     434,   435,  1579,  1580,   436,   437,   438,   439,  1581,   440,
     441,   442,   443,   444,   445,  1582,  1583,   446,   447,   448,
     449,  1584,  1585,   450,   451,   452,   453,   454,   455,  1586,
     456,   694,   457,   458,   459,  1587,  1588,   460,  1589,  1590,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,     0,     0,     0,  1591,
     185,   186,   187,   188,   189,   190,   191,   192,     0,   194,
     195,   196,     0,  1592,     0,     0,     0,     0,     0,   197,
     198,     0,   199,     0,   200,   201,   202,     0,   203,     0,
     204,   205,     0,   206,   207,   208,   209,   210,     0,     0,
     211,   212,   213,   214,   215,     0,   216,   217,   218,   219,
     220,     0,     0,   221,   222,   223,   224,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,   235,
       0,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,   246,     0,
     247,     0,   248,   249,   250,   251,   252,     0,   253,   254,
     255,     0,     0,   256,   257,   258,   259,   260,     0,   261,
     262,   263,     0,   264,   265,     0,   266,   267,   268,   269,
     270,   271,   272,     0,   273,     0,   274,   275,   276,     0,
     277,     0,   278,     0,     0,     0,   279,   280,     0,   281,
     282,     0,   283,     0,   284,   285,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   298,   299,   300,   301,   302,   303,   304,     0,
     305,     0,   306,     0,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,   318,   319,     0,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   347,   348,   349,
     350,   351,     0,     0,   352,     0,     0,     0,   353,   354,
     355,     0,     0,   356,     0,     0,     0,   357,   358,   359,
     360,   361,   362,   363,     0,   364,   365,   366,   367,   368,
     369,   370,     0,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,     0,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,     0,   409,   410,   411,   412,
       0,   413,   414,     0,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,     0,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,   439,     0,   440,   441,   442,   443,   444,
     445,     0,     0,   446,   447,   448,   449,     0,     0,   450,
     451,   452,   453,   454,   455,     0,   456,     0,   457,   458,
     459,     0,     0,   460,     0,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,     0,     0,     0,   477,   185,   186,   187,   188,
     189,   190,   191,   192,     0,   194,   195,   196,     0,   646,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   673,
     200,   201,   202,   674,  1196,   675,  1197,  1198,     0,   206,
     207,   208,   209,   210,     0,     0,   211,   212,  1199,  1200,
     215,     0,   216,   217,   218,   219,     0,     0,     0,   221,
     222,   223,   224,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   676,   236,   237,     0,
       0,     0,   677,     0,     0,     0,   238,   239,   240,   241,
     242,   243,  1201,  1202,   246,     0,   247,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,     0,     0,   256,
     257,   914,   259,   260,     0,   261,   262,   263,     0,   264,
     265,     0,   266,   267,   268,     0,   270,   271,     0,     0,
     273,     0,   274,  1203,   276,     0,   277,     0,   278,   678,
       0,   679,   279,   280,     0,   281,     0,     0,   283,     0,
     284,   285,   286,   287,   288,   680,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   681,     0,   299,
     300,   301,   302,  1204,  1205,     0,  1206,     0,   306,   682,
     683,   307,   684,   308,   309,   310,   311,   312,   313,   314,
       0,     0,   685,   316,   686,     0,   317,   318,   319,     0,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,  1207,   687,  1208,     0,   335,   336,
     337,   338,   339,   340,   341,     0,   343,     0,   344,   345,
     688,   346,     0,     0,   348,  1209,   350,   351,     0,     0,
     352,     0,     0,     0,   353,   354,   355,     0,     0,     0,
     689,   690,   691,     0,   358,   359,   360,   361,   362,   363,
       0,   364,     0,   366,     0,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,  1210,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,     0,   392,   393,   692,   394,   395,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,     0,   409,  1211,   411,   412,   693,   413,  1212,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   426,     0,   427,   428,     0,   429,   430,   431,   432,
     433,     0,  1213,  1214,     0,     0,   436,     0,   438,     0,
       0,   440,   441,   442,   443,   444,   445,     0,     0,   446,
     447,   448,   449,     0,     0,   450,   451,   452,   453,     0,
    1215,     0,   456,   694,   457,   458,   459,     0,     0,   460,
       0,     0,   461,   462,   463,   464,   465,     0,     0,     0,
       0,     0,     0,     0,     0,   474,   475,   476,     0,     0,
       0,  1216,   185,   186,   187,   188,   189,   190,   191,   192,
       0,   194,   195,   196,     0,  1645,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   673,   200,   201,   202,   674,
    1196,   675,  1197,  1198,     0,   206,   207,   208,   209,   210,
       0,     0,   211,   212,  1199,  1200,   215,     0,   216,   217,
     218,   219,     0,     0,     0,   221,   222,   223,   224,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   676,   236,   237,     0,     0,     0,   677,     0,
       0,     0,   238,   239,   240,   241,   242,   243,  1201,  1202,
     246,     0,   247,     0,   248,   249,   250,   251,   252,     0,
     253,   254,   255,     0,     0,   256,   257,   914,   259,   260,
       0,   261,   262,   263,     0,   264,   265,     0,   266,   267,
     268,     0,   270,   271,     0,     0,   273,     0,   274,  1203,
     276,     0,   277,     0,   278,   678,     0,   679,   279,   280,
       0,   281,     0,     0,   283,     0,   284,   285,   286,   287,
     288,   680,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   681,     0,   299,   300,   301,   302,  1204,
    1205,     0,  1206,     0,   306,   682,   683,   307,   684,   308,
     309,   310,   311,   312,   313,   314,     0,     0,   685,   316,
     686,     0,   317,   318,   319,     0,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
    1207,   687,  1208,     0,   335,   336,   337,   338,   339,   340,
     341,     0,   343,     0,   344,   345,   688,   346,     0,     0,
     348,  1209,   350,   351,     0,     0,   352,     0,     0,     0,
     353,   354,   355,     0,     0,     0,   689,   690,   691,     0,
     358,   359,   360,   361,   362,   363,     0,   364,     0,   366,
       0,   368,   369,   370,     0,   371,   372,   373,   374,   375,
     376,   377,  1210,   379,   380,   381,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,     0,   392,   393,
     692,   394,   395,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,     0,   409,  1211,
     411,   412,   693,   413,  1212,     0,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   426,     0,   427,
     428,     0,   429,   430,   431,   432,   433,     0,  1213,  1214,
       0,     0,   436,     0,   438,     0,     0,   440,   441,   442,
     443,   444,   445,     0,     0,   446,   447,   448,   449,     0,
       0,   450,   451,   452,   453,     0,  1215,     0,   456,   694,
     457,   458,   459,     0,     0,   460,     0,     0,   461,   462,
     463,   464,   465,     0,     0,     0,     0,     0,     0,     0,
       0,   474,   475,   476,     0,     0,     0,  1806,   185,   186,
     187,   188,   189,   190,   191,   192,     0,   194,   195,   196,
       0,  1645,     0,     0,     0,     0,     0,   197,   198,     0,
     199,     0,   200,   201,   202,     0,   203,     0,   204,   205,
       0,   206,   207,   208,   209,   210,     0,     0,   211,   212,
     213,   214,   215,     0,   216,   217,   218,   219,   220,     0,
       0,   221,   222,   223,   224,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,   235,     0,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
     240,   241,   242,   243,   244,   245,   246,  1497,   247,     0,
     248,   249,   250,   251,   252,     0,   253,   254,   255,     0,
       0,   256,   257,   258,   259,   260,     0,   261,   262,   263,
       0,   264,   265,     0,   266,   267,   268,   269,   270,   271,
     272,  1498,   273,     0,   274,   275,   276,     0,   277,     0,
     278,     0,     0,     0,   279,   280,     0,   281,   282,     0,
     283,     0,   284,   285,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     298,   299,   300,   301,   302,   303,   304,     0,   305,     0,
     306,     0,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,   318,
     319,     0,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,   336,   337,   338,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   347,   348,   349,   350,   351,
    1499,     0,   352,     0,  1500,     0,   353,   354,   355,     0,
       0,   356,     0,     0,     0,   357,   358,   359,   360,   361,
     362,   363,     0,   364,   365,   366,   367,   368,   369,   370,
       0,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,     0,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,     0,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,     0,   409,   410,   411,   412,     0,   413,
     414,     0,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,     0,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,   439,  1501,   440,   441,   442,   443,   444,   445,     0,
       0,   446,   447,   448,   449,     0,     0,   450,   451,   452,
     453,   454,   455,     0,   456,     0,   457,   458,   459,     0,
       0,   460,     0,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
       0,     0,     0,   477,  1486,   585,     0,     0,     0,   568,
       0,     0,     0,     0,     0,   569,  1487,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,  1507,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
    1498,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,  1499,
       0,   352,     0,  1500,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,  1501,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,  1486,   585,     0,     0,     0,   568,     0,
       0,     0,     0,     0,   569,  1487,   185,   186,   187,   188,
     189,   190,   191,   192,     0,   194,   195,   196,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,     0,
     200,   201,   202,     0,   203,     0,   204,   205,     0,   206,
     207,   208,   209,   210,     0,     0,   211,   212,   213,   214,
     215,     0,   216,   217,   218,   219,   220,     0,     0,   221,
     222,   223,   224,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,   235,     0,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,   246,     0,   247,     0,   248,   249,
     250,   251,   252,     0,   253,   254,   255,     0,     0,   256,
     257,   258,   259,   260,     0,   261,   262,   263,     0,   264,
     265,     0,   266,   267,   268,   269,   270,   271,   272,  1498,
     273,     0,   274,   275,   276,     0,   277,     0,   278,     0,
       0,     0,   279,   280,     0,   281,   282,     0,   283,     0,
     284,   285,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   298,   299,
     300,   301,   302,   303,   304,     0,   305,     0,   306,     0,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,   318,   319,     0,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,   336,
     337,   338,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   347,   348,   349,   350,   351,  1499,     0,
     352,     0,  1500,     0,   353,   354,   355,     0,     0,   356,
       0,     0,     0,   357,   358,   359,   360,   361,   362,   363,
       0,   364,   365,   366,   367,   368,   369,   370,     0,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,     0,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,     0,   409,   410,   411,   412,     0,   413,   414,     0,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,     0,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,   439,
    1501,   440,   441,   442,   443,   444,   445,     0,     0,   446,
     447,   448,   449,     0,     0,   450,   451,   452,   453,   454,
     455,     0,   456,     0,   457,   458,   459,     0,     0,   460,
       0,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,     0,     0,
       0,   477,  1486,   585,     0,     0,     0,   568,     0,     0,
       0,     0,     0,   569,  1487,   185,   559,   187,   188,   189,
     190,   191,   192,   560,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   561,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   562,   275,   276,     0,   277,     0,   563,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   564,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   565,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   566,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   567,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,     0,     0,     0,     0,     0,   568,     0,     0,     0,
       0,     0,   569,   570,   185,   186,   187,   188,   189,   190,
     191,   192,     0,   194,   195,   196,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,     0,   200,   201,
     202,     0,   203,     0,   204,   205,     0,   206,   207,   208,
     209,   210,     0,     0,   211,   212,   213,   214,   215,     0,
     216,   217,   218,   219,   220,     0,     0,   221,   222,   223,
     224,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,   235,     0,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,   240,   241,   242,   243,
     244,   245,   246,     0,   247,     0,   248,   249,   250,   251,
     252,     0,   253,   254,   255,     0,     0,   256,   257,   258,
     259,   260,     0,   261,   262,   263,     0,   264,   265,     0,
     266,   267,   268,   269,   270,   271,   272,     0,   273,     0,
     274,   275,   276,     0,   277,     0,   278,     0,     0,     0,
     279,   280,     0,   281,   282,     0,   283,     0,   284,   285,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   298,   299,   300,   301,
     302,   303,   304,     0,   305,     0,   306,     0,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,   318,   319,     0,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,   336,   337,   338,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
       0,   347,   348,   349,   350,   351,     0,     0,   352,     0,
       0,     0,   353,   354,   355,     0,     0,   356,     0,     0,
       0,   357,   358,   359,   360,   361,   362,   363,     0,   364,
     365,   366,   367,   368,   369,   370,     0,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,     0,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,     0,
     409,   410,   411,   412,     0,   413,   414,     0,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,     0,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,   439,     0,   440,
     441,   442,   443,   444,   445,     0,     0,   446,   447,   448,
     449,     0,     0,   450,   451,   452,   453,   454,   455,     0,
     456,     0,   457,   458,   459,     0,     0,   460,     0,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,     0,     0,     0,   477,
       0,     0,     0,     0,     0,     0,  3165,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,  3564,   585,  3565,  3566,     0,   568,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,  1480,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,     0,   585,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,     0,   585,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,  1313,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,     0,   585,   185,   186,   187,   188,   189,   190,   191,
     192,  1512,   194,   195,   196,  1513,  1514,  1515,  1516,  1517,
    1518,  1519,   197,   198,  1520,   199,   673,   200,   201,   202,
     674,   203,   675,   204,   205,  1521,   206,   207,   208,   209,
     210,  1522,  1523,   211,   212,   213,   214,   215,  1524,   216,
     217,   218,   219,   220,  1525,  1526,   221,   222,   223,   224,
     225,   226,  1527,   227,   228,   229,   230,   231,   232,  1528,
     233,   234,   235,   676,   236,   237,  1529,  1530,  1531,   677,
    1532,  1533,  1534,   238,   239,   240,   241,   242,   243,   244,
     245,   246,  1535,   247,  1536,   248,   249,   250,   251,   252,
    1537,   253,   254,   255,  1538,  1539,   256,   257,   258,   259,
     260,  1540,   261,   262,   263,  1541,   264,   265,  1542,   266,
     267,   268,   269,   270,   271,   272,  1543,   273,  1544,   274,
     275,   276,  1545,   277,  1546,   278,   678,  1547,   679,   279,
     280,  1548,   281,   282,  1549,   283,  1550,   284,   285,   286,
     287,   288,   680,   289,   290,   291,  1551,   292,   293,   294,
     295,   296,   297,  1552,   681,   298,   299,   300,   301,   302,
     303,   304,  1553,   305,  1554,   306,   682,   683,   307,   684,
     308,   309,   310,   311,   312,   313,   314,  1555,   315,   685,
     316,   686,  1556,   317,   318,   319,  1557,  1558,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   687,   334,  1559,   335,   336,   337,   338,   339,
     340,   341,   342,   343,  1560,   344,   345,   688,   346,  1561,
     347,   348,   349,   350,   351,  1562,  1563,   352,  1564,  1565,
    1566,   353,   354,   355,  1567,  1568,   356,   689,   690,   691,
     357,   358,   359,   360,   361,   362,   363,  1569,   364,   365,
     366,   367,   368,   369,   370,  1570,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,  1571,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,  1572,   392,
     393,   692,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,  1573,   405,   406,   407,   408,  1574,   409,
     410,   411,   412,   693,   413,   414,  1575,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,  1576,
     427,   428,  1577,   429,   430,   431,   432,   433,  1578,   434,
     435,  1579,  1580,   436,   437,   438,   439,  1581,   440,   441,
     442,   443,   444,   445,  1582,  1583,   446,   447,   448,   449,
    1584,  1585,   450,   451,   452,   453,   454,   455,  1586,   456,
     694,   457,   458,   459,  1587,  1588,   460,  1589,  1590,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,  1591,   185,
     186,   187,   188,  2272,   190,   191,   192,  1512,   194,   195,
     196,  1513,  1514,  1515,  1516,  1517,  1518,  1519,   197,   198,
    1520,   199,   673,   200,   201,   202,   674,   203,   675,   204,
     205,  1521,   206,   207,   208,   209,   210,  1522,  1523,   211,
     212,   213,   214,   215,  1524,   216,   217,   218,   219,   220,
    1525,  1526,   221,   222,   223,   224,   225,   226,  1527,   227,
     228,   229,   230,   231,   232,  1528,   233,   234,   235,   676,
     236,   237,  1529,  1530,  1531,   677,  1532,  1533,  1534,   238,
     239,   240,   241,   242,   243,   244,   245,   246,  1535,   247,
    1536,   248,   249,   250,   251,   252,  1537,   253,   254,   255,
    1538,  1539,   256,   257,   258,  2273,   260,  1540,   261,   262,
     263,  1541,   264,   265,  1542,   266,   267,   268,   269,   270,
     271,   272,  1543,   273,  1544,   274,   275,   276,  1545,   277,
    1546,   278,   678,  1547,   679,   279,   280,  1548,   281,   282,
    1549,   283,  1550,   284,   285,   286,   287,   288,   680,   289,
     290,   291,  1551,   292,   293,   294,   295,   296,   297,  1552,
     681,   298,   299,   300,   301,   302,   303,   304,  1553,   305,
    1554,   306,   682,   683,   307,   684,   308,   309,   310,   311,
     312,   313,   314,  1555,   315,   685,   316,   686,  1556,   317,
     318,   319,  1557,  1558,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   687,   334,
    1559,   335,   336,   337,   338,   339,   340,   341,   342,   343,
    1560,   344,   345,   688,   346,  1561,   347,   348,   349,   350,
     351,  1562,  1563,   352,  1564,  1565,  1566,   353,   354,   355,
    1567,  1568,   356,   689,   690,   691,   357,   358,   359,   360,
     361,   362,   363,  1569,   364,   365,   366,   367,   368,   369,
     370,  1570,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,  1571,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,  1572,   392,   393,   692,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,  1573,
     405,   406,   407,   408,  1574,  2274,   410,   411,   412,   693,
     413,   414,  1575,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,  1576,   427,   428,  1577,   429,
     430,   431,   432,   433,  1578,   434,   435,  1579,  1580,   436,
     437,   438,   439,  1581,   440,   441,   442,   443,   444,   445,
    1582,  1583,   446,   447,   448,   449,  1584,  1585,   450,   451,
     452,   453,   454,   455,  1586,   456,   694,   457,   458,   459,
    1587,  1588,   460,  1589,  1590,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,  1591,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   673,   200,
     201,   202,   674,   203,   675,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   676,   236,   237,     0,     0,
       0,   677,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,   678,     0,
     679,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,   680,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   681,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,   682,   683,
     307,   684,   308,   309,   310,   311,   312,   313,   314,     0,
     315,   685,   316,   686,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   687,   334,   637,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,   688,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
     638,     0,     0,   353,   354,   355,     0,     0,   356,   689,
     690,   691,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   692,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,   693,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,   694,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     695,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   673,   200,   201,   202,   674,   203,
     675,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   676,   236,   237,     0,     0,     0,   677,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,   678,     0,   679,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   813,
     680,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   681,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,   682,   683,   307,   684,   308,   309,
     310,   311,   312,   313,   314,     0,   315,   685,   316,   686,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     687,   334,   637,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,   688,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,   638,     0,     0,   353,
     354,   355,     0,     0,   356,   689,   690,   691,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   692,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,   693,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,   694,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   695,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     673,   200,   201,   202,   674,   203,   675,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   676,   236,   237,
       0,     0,     0,   677,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
     678,     0,   679,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   821,   680,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   681,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
     682,   683,   307,   684,   308,   309,   310,   311,   312,   313,
     314,     0,   315,   685,   316,   686,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   687,   334,   637,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,   688,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,   638,     0,     0,   353,   354,   355,     0,     0,
     356,   689,   690,   691,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   692,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,   693,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,   694,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   695,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,  1659,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,  1660,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,  1661,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,  2387,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,  1662,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,  1663,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   609,   191,   192,   575,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,   576,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,   610,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   577,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   578,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,   575,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,   576,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   577,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   578,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,  1335,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,  1336,   278,     0,     0,     0,  1337,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
    1338,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,   637,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,   638,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,  1339,   401,   402,   403,
     404,     0,  1340,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
    1341,  1342,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     3,
       4,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,   637,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,   638,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,   637,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,   638,     0,
     639,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,   991,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
     637,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,   638,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,   576,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   577,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   578,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,  2097,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,  2098,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,   637,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,   638,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
    2099,   429,  2100,   431,  2101,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,   637,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,   638,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,  1769,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
    1770,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,  2209,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,  2210,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,  2219,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,  2220,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,   520,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   521,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   185,   186,   187,   188,   189,   190,   191,
     192,   603,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   604,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   605,
     435,     0,     0,   606,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,   631,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   632,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   633,   435,     0,     0,   634,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,   809,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,  1004,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   619,   212,   213,   214,  1005,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   622,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     623,   395,   396,   397,   398,   399,   624,   401,   402,   403,
     404,     0,   405,   406,   407,   995,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   626,   435,     0,
       0,   627,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   628,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     673,   200,   201,   202,   674,  1196,   675,  1197,  1198,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,  1199,
    1200,   215,     0,   216,   217,   218,   219,     0,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   676,   236,   237,
       0,     0,     0,   677,     0,     0,     0,   238,   239,   240,
     241,   242,   243,  1201,  1202,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   914,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,     0,   270,   271,     0,
       0,   273,     0,   274,  1203,   276,     0,   277,     0,   278,
     678,     0,   679,   279,   280,     0,   281,     0,     0,   283,
       0,   284,   285,   286,   287,   288,   680,   289,   290,   291,
    1687,   292,   293,   294,   295,   296,   297,     0,   681,  1688,
     299,   300,   301,   302,  1204,  1205,     0,  1206,     0,   306,
     682,   683,   307,   684,   308,   309,   310,   311,   312,   313,
     314,     0,     0,   685,   316,   686,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,  1207,   687,  1208,     0,   335,
     336,   337,   338,   339,   340,   341,     0,   343,     0,   344,
     345,   688,   346,     0,     0,   348,  1209,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
    1689,   689,   690,   691,     0,   358,   359,   360,   361,   362,
     363,     0,   364,     0,   366,     0,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,  1210,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   692,   394,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,  1690,   411,   412,   693,   413,  1212,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,  1213,  1214,     0,     0,   436,     0,   438,
       0,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
       0,  1215,  1691,   456,   694,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,     0,     0,
       0,     0,     0,     0,     0,     0,   474,   475,   476,     0,
       0,     0,  1216,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
    2423,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,  2436,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,  2470,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
    3091,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,  3093,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,  3095,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,  3433,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   593,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   601,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   619,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   620,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   621,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     622,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   623,   395,   396,   397,   398,   399,   624,   401,
     402,   403,   404,     0,   405,   406,   407,   625,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   626,
     435,     0,     0,   627,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   628,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   654,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   737,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   799,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   818,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   823,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   831,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   833,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   835,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   837,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   840,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,   842,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   843,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   846,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   619,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   622,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     623,   395,   396,   397,   398,   399,   624,   401,   402,   403,
     404,     0,   405,   406,   407,   995,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   626,   435,     0,
       0,   627,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   628,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,  1025,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,     0,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,  1266,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,  1291,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,  1293,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,   362,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,     0,   200,   201,   202,     0,   203,
       0,   204,   205,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,   213,   214,   215,     0,   216,   217,   218,
     219,   220,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,     0,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   258,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
     269,   270,   271,   272,     0,   273,     0,   274,   275,   276,
       0,   277,     0,   278,     0,     0,     0,   279,   280,     0,
     281,   282,     0,   283,     0,   284,   285,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   298,   299,   300,   301,   302,   303,   304,
       0,   305,     0,   306,     0,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,   336,   337,   338,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   347,   348,
     349,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,   356,     0,     0,     0,   357,   358,
     359,   360,   361,   362,   363,     0,   364,   365,   366,   367,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,     0,
     394,   395,   396,   397,   398,  1369,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,   410,   411,
     412,     0,   413,   414,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,   439,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,   454,   455,     0,   456,     0,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,   477,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
       0,   200,   201,   202,     0,   203,     0,   204,   205,     0,
     206,   207,   208,   209,   210,     0,     0,   619,   212,   213,
     214,   215,     0,   216,   217,   218,   219,   220,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,     0,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,   269,   270,   271,   272,
       0,   273,     0,   274,   275,   276,     0,   277,     0,   278,
       0,     0,     0,   279,   280,     0,   281,   282,     0,   283,
       0,   284,   285,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   298,
     299,   300,   301,   302,   303,   304,     0,   305,     0,   306,
       0,     0,   307,     0,   308,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,     0,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   622,   333,     0,   334,     0,   335,
     336,   337,   338,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   347,   348,   349,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,     0,   364,   365,   366,   367,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,     0,   623,   395,   396,   397,
     398,   399,   624,   401,   402,   403,   404,     0,   405,   406,
     407,   995,     0,   409,   410,   411,   412,     0,   413,   414,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,     0,  1656,   430,   431,
     432,   433,     0,   626,   435,     0,     0,   627,   437,   438,
     439,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
     454,   455,     0,   456,     0,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   628,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,     0,
       0,     0,   477,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,     0,   200,   201,   202,
       0,   203,     0,   204,   205,     0,   206,   207,   208,   209,
     210,     0,     0,   619,   212,   213,   214,   215,     0,   216,
     217,   218,   219,   220,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,     0,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   258,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,   269,   270,   271,   272,     0,   273,     0,   274,
     275,   276,     0,   277,     0,   278,     0,     0,     0,   279,
     280,     0,   281,   282,     0,   283,     0,   284,   285,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   298,   299,   300,   301,   302,
     303,   304,     0,   305,     0,   306,     0,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     622,   333,     0,   334,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     347,   348,   349,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,   356,     0,     0,     0,
     357,   358,   359,   360,   361,   362,   363,     0,   364,   365,
     366,   367,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,     0,   623,   395,   396,   397,   398,   399,  1683,   401,
     402,   403,   404,     0,   405,   406,   407,   995,     0,   409,
     410,   411,   412,     0,   413,   414,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,   626,
     435,     0,     0,   627,   437,   438,   439,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,   454,   455,     0,   456,
       0,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   628,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,     0,     0,     0,   477,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,     0,   200,   201,   202,     0,   203,     0,   204,
     205,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,   213,   214,   215,     0,   216,   217,   218,   219,   220,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,     0,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   258,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,   269,   270,
     271,   272,     0,   273,     0,   274,   275,   276,     0,   277,
       0,   278,     0,     0,     0,   279,   280,     0,   281,   282,
       0,   283,     0,   284,   285,   286,   287,  1901,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   298,   299,   300,   301,   302,   303,   304,     0,   305,
       0,   306,     0,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   347,   348,   349,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,   356,     0,     0,     0,   357,   358,   359,   360,
     361,   362,   363,     0,   364,   365,   366,   367,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,   410,   411,   412,     0,
     413,   414,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,   439,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,   454,   455,     0,   456,     0,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,   477,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   673,   200,
     201,   202,   674,  1196,   675,  1197,  1198,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,  1199,  1200,   215,
       0,   216,   217,   218,   219,     0,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   676,   236,   237,     0,     0,
       0,   677,     0,     0,     0,   238,   239,   240,   241,   242,
     243,  1201,  1202,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     914,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,     0,   270,   271,     0,     0,   273,
       0,   274,  1203,   276,     0,   277,     0,   278,   678,     0,
     679,   279,   280,     0,   281,     0,     0,   283,     0,   284,
     285,   286,   287,   288,   680,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   681,     0,   299,   300,
     301,   302,  1204,  1205,     0,  1206,     0,   306,   682,   683,
     307,   684,   308,   309,   310,   311,   312,   313,   314,     0,
       0,   685,   316,   686,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,  1207,   687,  1208,     0,   335,   336,   337,
     338,   339,   340,   341,     0,   343,     0,   344,   345,   688,
     346,  1679,     0,   348,  1209,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,     0,   689,
     690,   691,     0,   358,   359,   360,   361,   362,   363,     0,
     364,     0,   366,     0,   368,   369,   370,     0,   371,   372,
     373,   374,   375,   376,   377,  1210,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,   692,   394,   395,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,  1690,   411,   412,   693,   413,  1212,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     426,     0,   427,   428,  2836,   429,   430,   431,   432,   433,
       0,  1213,  1214,     0,     0,   436,     0,   438,     0,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,     0,  1215,
       0,   456,   694,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,     0,     0,     0,     0,
       0,     0,     0,     0,   474,   475,   476,     0,     0,     0,
    1216,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   673,   200,   201,   202,   674,  1196,
     675,  1197,  1198,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,  1199,  1200,   215,     0,   216,   217,   218,
     219,     0,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   676,   236,   237,     0,     0,     0,   677,     0,     0,
       0,   238,   239,   240,   241,   242,   243,  1201,  1202,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   914,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
       0,   270,   271,     0,     0,   273,     0,   274,  1203,   276,
       0,   277,     0,   278,   678,     0,   679,   279,   280,     0,
     281,     0,     0,   283,     0,   284,   285,   286,   287,   288,
     680,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   681,     0,   299,   300,   301,   302,  1204,  1205,
       0,  1206,     0,   306,   682,   683,   307,   684,   308,   309,
     310,   311,   312,   313,   314,     0,     0,   685,   316,   686,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,  1207,
     687,  1208,     0,   335,   336,   337,   338,   339,   340,   341,
    1728,   343,     0,   344,   345,   688,   346,     0,     0,   348,
    1209,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,     0,   689,   690,   691,     0,   358,
     359,   360,   361,   362,   363,     0,   364,     0,   366,     0,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,  1210,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   692,
     394,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,  1211,   411,
     412,   693,   413,  1212,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,  1213,  1214,     0,
       0,   436,     0,   438,     0,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,     0,  1215,     0,   456,   694,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,     0,     0,     0,     0,     0,     0,     0,     0,
     474,   475,   476,     0,     0,     0,  1216,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     673,   200,   201,   202,   674,  1196,   675,  1197,  1198,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,  1199,
    1200,   215,     0,   216,   217,   218,   219,     0,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   676,   236,   237,
       0,     0,     0,   677,     0,     0,     0,   238,   239,   240,
     241,   242,   243,  1201,  1202,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   914,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,     0,   270,   271,     0,
       0,   273,     0,   274,  1203,   276,     0,   277,     0,   278,
     678,     0,   679,   279,   280,     0,   281,     0,     0,   283,
       0,   284,   285,   286,   287,   288,   680,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   681,     0,
     299,   300,   301,   302,  1204,  1205,     0,  1206,     0,   306,
     682,   683,   307,   684,   308,   309,   310,   311,   312,   313,
     314,     0,     0,   685,   316,   686,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,  1207,   687,  1208,     0,   335,
     336,   337,   338,   339,   340,   341,  2681,   343,     0,   344,
     345,   688,   346,     0,     0,   348,  1209,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
       0,   689,   690,   691,     0,   358,   359,   360,   361,   362,
     363,     0,   364,     0,   366,     0,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,  1210,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   692,   394,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,  1211,   411,   412,   693,   413,  1212,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,  1213,  1214,     0,     0,   436,     0,   438,
       0,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
       0,  1215,     0,   456,   694,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,     0,     0,
       0,     0,     0,     0,     0,     0,   474,   475,   476,     0,
       0,     0,  1216,   185,   186,   187,   188,   189,   190,   191,
     192,     0,   194,   195,   196,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   673,   200,   201,   202,
     674,  1196,   675,  1197,  1198,     0,   206,   207,   208,   209,
     210,     0,     0,   211,   212,  1199,  1200,   215,     0,   216,
     217,   218,   219,     0,     0,     0,   221,   222,   223,   224,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   676,   236,   237,     0,     0,     0,   677,
       0,     0,     0,   238,   239,   240,   241,   242,   243,  1201,
    1202,   246,     0,   247,     0,   248,   249,   250,   251,   252,
       0,   253,   254,   255,     0,     0,   256,   257,   914,   259,
     260,     0,   261,   262,   263,     0,   264,   265,     0,   266,
     267,   268,     0,   270,   271,     0,     0,   273,     0,   274,
    1203,   276,     0,   277,     0,   278,   678,     0,   679,   279,
     280,     0,   281,     0,     0,   283,     0,   284,   285,   286,
     287,   288,   680,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   681,     0,   299,   300,   301,   302,
    1204,  1205,     0,  1206,     0,   306,   682,   683,   307,   684,
     308,   309,   310,   311,   312,   313,   314,     0,     0,   685,
     316,   686,     0,   317,   318,   319,     0,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,  1207,   687,  1208,     0,   335,   336,   337,   338,   339,
     340,   341,     0,   343,     0,   344,   345,   688,   346,     0,
       0,   348,  1209,   350,   351,     0,     0,   352,     0,     0,
       0,   353,   354,   355,     0,     0,     0,   689,   690,   691,
       0,   358,   359,   360,   361,   362,   363,     0,   364,     0,
     366,     0,   368,   369,   370,     0,   371,   372,   373,   374,
     375,   376,   377,  1210,   379,   380,   381,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,     0,   392,
     393,   692,   394,   395,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,     0,   409,
    1211,   411,   412,   693,   413,  1212,     0,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   426,     0,
     427,   428,     0,   429,   430,   431,   432,   433,     0,  1213,
    1214,     0,     0,   436,     0,   438,     0,     0,   440,   441,
     442,   443,   444,   445,     0,     0,   446,   447,   448,   449,
       0,     0,   450,   451,   452,   453,     0,  1215,     0,   456,
     694,   457,   458,   459,     0,     0,   460,     0,     0,   461,
     462,   463,   464,   465,     0,     0,     0,     0,     0,     0,
       0,     0,   474,   475,   476,     0,     0,     0,  1216,   185,
     186,   187,   188,   189,   190,   191,   192,     0,   194,   195,
     196,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   673,   200,   201,   202,   674,  1196,   675,  1197,
    1198,     0,   206,   207,   208,   209,   210,     0,     0,   211,
     212,  1199,  1200,   215,     0,   216,   217,   218,   219,     0,
       0,     0,   221,   222,   223,   224,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   676,
     236,   237,     0,     0,     0,   677,     0,     0,     0,   238,
     239,   240,   241,   242,   243,  1201,  1202,   246,     0,   247,
       0,   248,   249,   250,   251,   252,     0,   253,   254,   255,
       0,     0,   256,   257,   914,   259,   260,     0,   261,   262,
     263,     0,   264,   265,     0,   266,   267,   268,     0,   270,
     271,     0,     0,   273,     0,   274,  1203,   276,     0,   277,
       0,   278,   678,     0,   679,   279,   280,     0,   281,     0,
       0,   283,     0,   284,   285,   286,   287,   288,   680,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     681,     0,   299,   300,   301,   302,  1204,  1205,     0,  1206,
       0,   306,   682,   683,   307,   684,   308,   309,   310,   311,
     312,   313,   314,     0,     0,   685,   316,   686,     0,   317,
     318,   319,     0,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,  1207,   687,  1208,
       0,   335,   336,   337,   338,   339,   340,   341,     0,   343,
       0,   344,   345,   688,   346,     0,     0,   348,  1209,   350,
     351,     0,     0,   352,     0,     0,     0,   353,   354,   355,
       0,     0,     0,   689,   690,   691,     0,   358,   359,   360,
     361,   362,   363,     0,   364,     0,   366,     0,   368,   369,
     370,     0,   371,   372,   373,   374,   375,   376,   377,  1210,
     379,   380,   381,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,     0,   392,   393,   692,   394,   395,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,     0,   409,  1690,   411,   412,   693,
     413,  1212,     0,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   426,     0,   427,   428,     0,   429,
     430,   431,   432,   433,     0,  1213,  1214,     0,     0,   436,
       0,   438,     0,     0,   440,   441,   442,   443,   444,   445,
       0,     0,   446,   447,   448,   449,     0,     0,   450,   451,
     452,   453,     0,  1215,     0,   456,   694,   457,   458,   459,
       0,     0,   460,     0,     0,   461,   462,   463,   464,   465,
       0,     0,     0,     0,     0,     0,     0,     0,   474,   475,
     476,     0,     0,     0,  1216,   185,   186,   187,   188,   189,
     190,   191,   192,     0,   194,   195,   196,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,     0,   200,
     201,   202,     0,   203,     0,   204,   205,     0,   206,   207,
     208,   209,   210,     0,     0,   211,   212,   213,   214,   215,
       0,   216,   217,   218,   219,   220,     0,     0,   221,   222,
     223,   224,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,   235,     0,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   247,     0,   248,   249,   250,
     251,   252,     0,   253,   254,   255,     0,     0,   256,   257,
     258,   259,   260,     0,   261,   262,   263,     0,   264,   265,
       0,   266,   267,   268,   269,   270,   271,   272,     0,   273,
       0,   274,   275,   276,     0,   277,     0,   278,     0,     0,
       0,   279,   280,     0,   281,   282,     0,   283,     0,   284,
     285,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   298,   299,   300,
     301,   302,   303,   304,     0,   305,     0,   306,     0,     0,
     307,     0,   308,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,     0,     0,   317,   318,   319,     0,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,   336,   337,
     338,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   347,   348,   349,   350,   351,     0,     0,   352,
       0,     0,     0,   353,   354,   355,     0,     0,   356,     0,
       0,     0,   357,   358,   359,   360,   361,     0,   363,     0,
     364,   365,   366,   367,   368,   369,   370,     0,   371,   372,
     373,   374,   375,     0,   377,   378,   379,   380,   381,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
       0,   392,   393,     0,   394,   395,   396,     0,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
       0,   409,   410,   411,   412,     0,   413,   414,     0,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,     0,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,   439,     0,
     440,   441,   442,   443,   444,   445,     0,     0,   446,   447,
     448,   449,     0,     0,   450,   451,   452,   453,   454,   455,
       0,   456,     0,   457,   458,   459,     0,     0,   460,     0,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
     477,   185,   186,   187,   188,   189,   190,   191,   192,     0,
     194,   195,   196,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   673,   200,   201,   202,   674,  1196,
     675,  1197,  1198,     0,   206,   207,   208,   209,   210,     0,
       0,   211,   212,  1199,  1200,   215,     0,   216,   217,   218,
     219,     0,     0,     0,   221,   222,   223,   224,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   676,   236,   237,     0,     0,     0,   677,     0,     0,
       0,   238,   239,   240,   241,   242,   243,  1201,  1202,   246,
       0,   247,     0,   248,   249,   250,   251,   252,     0,   253,
     254,   255,     0,     0,   256,   257,   914,   259,   260,     0,
     261,   262,   263,     0,   264,   265,     0,   266,   267,   268,
       0,   270,   271,     0,     0,   273,     0,   274,  1203,   276,
       0,   277,     0,   278,   678,     0,   679,   279,   280,     0,
     281,     0,     0,   283,     0,   284,   285,   286,   287,   288,
     680,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   681,     0,   299,   300,   301,   302,  1204,  1205,
       0,  1206,     0,   306,   682,   683,   307,   684,   308,   309,
     310,   311,   312,   313,   314,     0,     0,   685,   316,   686,
       0,   317,   318,   319,     0,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,  1207,
     687,  1208,     0,   335,   336,   337,   338,   339,   340,   341,
       0,   343,     0,   344,   345,   688,   346,     0,     0,   348,
    1209,   350,   351,     0,     0,   352,     0,     0,     0,   353,
     354,   355,     0,     0,     0,   689,   690,   691,     0,   358,
     359,   360,   361,   362,   363,     0,   364,     0,   366,     0,
     368,   369,   370,     0,   371,   372,   373,   374,   375,   376,
     377,  1210,   379,   380,   381,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,     0,   392,   393,   692,
     394,   395,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,     0,   409,     0,   411,
     412,   693,   413,  1212,     0,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   426,     0,   427,   428,
       0,   429,   430,   431,   432,   433,     0,  1213,  1214,     0,
       0,   436,     0,   438,     0,     0,   440,   441,   442,   443,
     444,   445,     0,     0,   446,   447,   448,   449,     0,     0,
     450,   451,   452,   453,     0,  1215,     0,   456,   694,   457,
     458,   459,     0,     0,   460,     0,     0,   461,   462,   463,
     464,   465,     0,     0,     0,     0,     0,     0,     0,     0,
     474,   475,   476,     0,     0,     0,  1216,   185,   186,   187,
     188,   189,   190,   191,   192,     0,   194,   195,   196,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     673,   200,   201,   202,   674,     0,   675,     0,     0,     0,
     206,   207,   208,   209,   210,     0,     0,   211,   212,     0,
       0,   215,     0,   216,   217,   218,   219,     0,     0,     0,
     221,   222,   223,   224,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   676,   236,   237,
       0,     0,     0,   677,     0,     0,     0,   238,   239,   240,
     241,   242,   243,     0,     0,   246,     0,   247,     0,   248,
     249,   250,   251,   252,     0,   253,   254,   255,     0,     0,
     256,   257,   258,   259,   260,     0,   261,   262,   263,     0,
     264,   265,     0,   266,   267,   268,     0,   270,   271,     0,
       0,   273,     0,   274,     0,   276,     0,   277,     0,   278,
     678,     0,   679,   279,   280,     0,   281,     0,     0,   283,
       0,   284,   285,   286,   287,   288,   680,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   681,     0,
     299,   300,   301,   302,     0,     0,     0,     0,     0,   306,
     682,   683,   307,   684,   308,   309,   310,   311,   312,   313,
     314,     0,     0,   685,   316,   686,     0,   317,   318,   319,
       0,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,     0,   687,     0,     0,   335,
     336,   337,   338,   339,   340,   341,     0,   343,     0,   344,
     345,   688,   346,     0,     0,   348,     0,   350,   351,     0,
       0,   352,     0,     0,     0,   353,   354,   355,     0,     0,
       0,   689,   690,   691,     0,   358,   359,   360,   361,   362,
     363,     0,   364,     0,   366,     0,   368,   369,   370,     0,
     371,   372,   373,   374,   375,   376,   377,     0,   379,   380,
     381,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,     0,   392,   393,   692,   394,   395,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,     0,   409,     0,   411,   412,   693,   413,     0,
       0,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   426,     0,   427,   428,     0,   429,   430,   431,
     432,   433,     0,     0,     0,     0,     0,   436,     0,   438,
       0,     0,   440,   441,   442,   443,   444,   445,     0,     0,
     446,   447,   448,   449,     0,     0,   450,   451,   452,   453,
       0,     0,     0,   456,   694,   457,   458,   459,     0,     0,
     460,     0,     0,   461,   462,   463,   464,   465,     0,     0,
       0,     0,     0,     0,     0,     0,   474,   475,   476,     0,
       0,     0,  1216
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-3205))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-1889))

static const yytype_int16 yycheck[] =
{
       0,    48,   670,   501,     0,   822,   670,   620,  1111,   829,
     865,    11,   672,  1337,  1276,   623,    42,  1144,   162,    21,
    1315,   170,   798,   167,    12,    27,  1695,   878,   577,   578,
    1211,  1405,   941,   582,   728,   744,   702,  1437,   627,   912,
     913,   539,   891,    34,   738,    22,     0,  1885,    48,  1372,
     641,     0,     0,  1973,  1258,     7,  1244,    34,   931,  1020,
    1244,    13,    14,  1695,  1696,  1022,  1727,    19,  1244,    21,
      22,  1020,    24,  1244,   775,    27,    28,    29,  1244,  1244,
      32,    33,    34,  1095,    36,   779,    38,    39,  2413,   494,
     784,    43,  2272,  1467,  2274,    47,  2111,   791,  2142,  1604,
    1890,  1891,  1059,  1064,  2333,   696,   800,  1311,  1947,  2624,
    2366,    41,   157,   814,    44,  1064,   157,  1896,   142,  1138,
    1064,  1007,     0,     0,  2837,  1011,  1012,    20,   533,  1613,
    2788,    17,  2808,    38,    25,  1610,   806,  2366,   902,   903,
      25,    65,    32,    46,   667,     0,   667,  2541,  1020,     0,
       0,     0,    46,     0,    46,    39,   707,   157,    11,   142,
      39,    92,    58,   927,  2352,  2353,  2354,  2355,  2356,  2357,
      39,  1832,    92,  2857,    92,  2859,    92,   537,    30,  1802,
       7,   541,    48,    14,    92,    55,    87,    30,    32,   156,
      25,   551,  1064,    60,  1080,   116,   849,     0,    87,     0,
    1086,  3279,    39,    75,   174,    92,     5,   109,    11,    85,
      73,   163,   164,   165,   236,   137,   168,   137,   170,    69,
     172,   173,   120,   175,   773,   177,    92,   179,   180,   181,
      60,    48,    75,    92,   101,   234,    60,   845,    55,    83,
    1126,    48,   139,  1129,  1130,    62,   176,  1908,   149,  1910,
     132,    11,    52,    12,   267,    62,     0,   216,    18,   252,
     149,   759,   248,    92,  3277,   139,    23,    11,    69,    94,
    3304,   101,    84,   129,    11,   138,   204,   101,  1239,    11,
     281,    18,   109,  3440,   285,   139,    18,   341,   281,   333,
    1239,   141,  1178,   341,   272,    24,   137,    95,    24,  1008,
     152,   164,    48,   204,   156,  1214,   207,   369,   309,   234,
     963,   343,    64,   294,   252,   204,   179,   134,   207,   137,
      26,   120,   378,   167,   137,    95,   189,   134,  1201,  1202,
       7,  3435,  3436,   311,   378,   379,  1209,  2995,   400,   191,
     141,    47,  3546,   281,   241,   137,   490,   420,   380,   212,
     370,   424,   501,   111,   106,   153,    99,   419,   224,   215,
    1177,  1181,   286,   229,   156,   224,    97,  1239,   424,   178,
     424,   309,   216,   301,    97,   419,   424,   378,   359,  3413,
    3393,   359,  3539,   153,   137,   529,   253,   241,   134,    19,
     539,   203,   536,   205,   985,   224,  1004,  3601,   155,   265,
     301,   283,   424,   287,   229,   258,   419,   309,   287,   137,
     169,   277,   301,   311,   400,  3572,  2672,  1193,   287,   341,
     419,   341,   296,   253,    92,   252,   419,   324,   291,   253,
     306,    60,   109,  3537,   393,  1199,  1200,   237,   288,   298,
    1134,   424,  1136,  2672,  1208,   168,  3104,   163,   265,   165,
     287,   120,  2640,   284,   424,   299,   352,   424,   265,   237,
    1169,   313,    92,   272,   180,   296,   369,  1424,   335,   400,
     830,   341,   101,  1174,  1431,  1330,  1951,  3161,  1439,   351,
     400,   334,   309,   336,   400,  3143,   406,   288,   406,   355,
    1439,   392,   400,    21,   419,   294,  1190,   400,   419,    27,
     424,  1171,   422,   392,  3582,   335,   400,  2901,   351,  1690,
     870,   335,   311,   400,   345,  1472,   419,   404,   419,   265,
     880,   412,   413,   414,   415,   419,   419,   419,   378,   419,
     421,   483,   892,  1056,   558,  1056,   421,   168,   355,   491,
     424,   172,   494,  1094,   496,   424,  1673,   499,   355,   501,
     181,   503,   504,   505,   506,   424,   316,   559,   510,   561,
     512,   563,   514,  1229,  2196,   567,  2198,  1439,   423,   521,
     420,  2046,   423,   423,   423,  3233,   423,   378,   530,   316,
     415,   533,  2770,   424,   316,   537,   421,   539,  2426,   541,
     542,  2606,  2430,   545,   524,   547,  1266,   549,   484,   551,
     329,   404,   554,   329,   281,   749,   424,   410,   411,   355,
     759,   424,   756,   341,   216,   424,   374,  3293,   361,   420,
     423,  1119,   423,  1885,   253,   348,    97,    37,   359,   140,
     516,  3320,   229,  1397,  1398,   303,   359,     7,  2012,  2013,
     229,   419,   311,  2017,   596,  2129,   598,    94,   271,   601,
     229,   138,    97,  2314,  2315,  3124,  1264,   240,   264,   589,
     404,   661,    40,   807,   332,   661,   410,   411,    97,   621,
      48,   623,   295,   625,    84,    97,  1036,    86,   406,   423,
     109,   144,  2056,  2057,   195,    97,  2309,   149,   178,  2312,
    2313,    84,  1653,  2316,   422,   118,   648,   168,   366,     7,
     275,  2333,   654,  2326,  1653,    13,   335,   661,    62,  1653,
     378,    87,   661,   661,  1263,   645,   621,  2117,  1371,  1372,
     625,  2012,  2013,   168,    39,  3438,  2017,  1340,  1341,  1382,
     131,    11,  1385,    25,  2366,    85,   140,   343,    92,   109,
    1393,  1394,   204,   252,   294,    11,   168,   406,   158,   172,
     159,   419,    92,  1406,  1407,   226,   168,   334,  1719,   336,
     712,   713,   364,   422,  1417,  2056,  2057,   254,   161,    96,
    1719,   176,   281,   149,   380,   252,   406,   224,    85,  2411,
     496,  1653,   272,   661,   661,    92,   128,   417,   740,   419,
     420,   195,   422,   203,   424,   205,   512,  1295,   239,   382,
     752,   109,  1751,   400,   281,   283,   216,   759,  3497,   761,
     203,   400,   205,   225,   226,   767,   138,   195,  3143,   771,
    1473,   400,   245,   334,   104,   336,   778,   314,   204,   292,
    3299,   207,   303,   262,   239,   787,   788,   121,   104,   301,
    2619,   251,   164,  2105,   419,   174,  3504,  1719,   175,  1868,
     192,   851,  1738,   805,   806,   851,   808,   179,   303,   260,
    1746,   332,  1748,   216,    96,    94,   216,   189,   499,   419,
     224,    17,   503,   873,   826,   827,   286,   873,   830,  1751,
    1285,   303,   252,   514,   176,   177,    21,   332,   359,   229,
     243,   303,    25,   845,   236,   366,   896,   851,   400,   252,
     378,   216,   851,   851,   264,  1403,   104,   378,   106,   319,
     862,   281,   864,   865,   359,   915,   963,   224,   870,   871,
     332,   366,   331,   332,   876,   301,    95,  3107,   880,  1289,
     334,   354,   336,   378,   163,   227,   888,   359,  1298,   104,
     892,   106,   894,   175,   252,   945,   424,   359,   419,    69,
    1310,  1824,  1160,   404,   366,   119,  2971,  2972,  2973,  3234,
     104,   126,   106,   963,  1073,   100,   378,   418,   372,   291,
    1119,   243,   287,   281,   419,  1335,   296,   176,  1338,  1339,
     252,   311,  1342,   343,   153,  3241,  1762,  3502,  3503,   322,
     323,   378,  1101,   157,   309,   224,   712,   713,   303,  1044,
    1045,   296,  1047,  1044,  1045,  1029,  1047,   419,  2518,  3284,
    2848,   364,  3241,    61,   321,  2853,   392,   324,  2856,   303,
     380,   141,   398,   332,   400,   345,   224,   332,  1236,   359,
     176,   559,  2542,   561,  1242,   563,   234,   424,   296,   567,
    2672,   569,   570,   176,  1044,  1045,   224,  1047,   332,  2888,
     345,  1259,  1004,   343,  2844,   771,  2183,   304,  3573,  1011,
    1012,   366,   378,    25,   229,   113,   334,   400,   336,   234,
     251,   787,   788,  1025,   139,  1027,  2037,  1853,  1854,  1855,
    1856,  2042,   366,  1035,  1036,   332,  1903,   345,  2037,   805,
     234,  1911,   270,  2042,   378,   241,  2719,  3372,    63,   371,
     165,   252,  2725,  2726,  2727,  2728,  2729,  2730,   424,   298,
     826,   827,  2617,   303,   419,    17,  1068,    55,   410,   411,
     412,   413,   414,   415,    62,   372,  1078,   138,    93,   421,
     281,   252,  1276,   252,  1278,   419,  1088,   185,   186,     0,
      92,   418,   332,  1287,   333,  2469,  1295,   424,  2522,   419,
     198,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
     281,  2535,   281,   379,  2426,  2037,  2827,  1119,  2430,  1121,
    2042,    17,   418,  2130,  2497,  3421,   366,    85,   424,  3504,
    2368,   397,   347,  2195,  2368,   423,  3230,    63,   378,   378,
     379,   356,  2368,  1337,   294,   160,  1897,  2368,  1150,  1151,
    1152,  1153,  2368,  2368,   252,  2866,  1158,  2868,   300,  2583,
    2584,   410,   411,   412,   413,   414,   415,    93,   304,  1171,
     320,   173,   421,   419,   703,  3405,   422,  1179,  1180,   419,
     419,  2522,  2118,  1185,  2525,  2526,  2527,  2528,  2529,  2530,
    2531,  2532,  2533,   195,  2535,  3491,   332,   128,    62,   728,
    1655,   132,   400,  3499,  1403,   182,  2460,   403,  3178,   738,
     406,   407,   408,   424,   410,   411,   412,   413,   414,   415,
     400,   419,   341,   298,   176,   421,  1276,   410,   411,   412,
     413,   414,   415,  1235,   160,   333,   372,   335,   421,   419,
    3536,  1243,  2583,  2584,  2397,  1247,   419,  1249,  1250,  1251,
    1252,  1348,  1893,   128,   417,   414,  1258,   132,   333,   422,
     419,   192,  1264,   422,  1266,   252,  1924,   272,  2173,  1102,
    3158,     9,  1105,  2272,  2273,  2274,   140,   282,  2201,  1982,
     176,   399,  1320,  1285,  1286,   345,   404,  1289,  1290,   241,
      28,  1701,   379,  1295,   281,   159,  1298,  1299,  1348,  1301,
     305,  1303,  3367,   378,   379,   236,  1308,  1357,  1310,  1311,
     397,  1357,  1145,  1315,  1316,   132,   400,   192,  2768,    69,
       7,   417,   309,   419,   400,  1366,    13,  2030,  1330,    73,
     400,   195,   419,  1335,   151,   419,  1338,  1339,  1365,    85,
    1342,    91,   379,   419,   419,   241,  1348,    97,   283,   419,
    2272,  2273,  2274,  1357,  2365,   379,  2059,  2781,  1357,  1357,
     397,   236,   400,  1365,  1366,    52,  2365,  1369,   404,   400,
     252,   121,  1352,   397,   410,   411,   400,  3050,  3051,   281,
     244,   419,   419,   285,  1150,  1151,  1152,  1153,   419,  2342,
    2343,  2344,  2095,  1443,   138,   419,   398,   399,   400,   281,
     300,  1403,   404,   285,  2107,  2108,   415,   309,   410,   411,
     379,     5,   421,  1179,  1180,   102,    10,   298,   168,  1185,
     164,   239,   109,  3142,    18,   112,   244,   309,   397,  1007,
     400,   400,  2439,  1011,  1012,   179,    33,    66,   400,   414,
    2781,    35,    39,  2365,   419,   189,   132,   422,   176,   419,
     419,   403,   333,   268,   406,   407,   408,   419,   410,   411,
     412,   413,   414,   415,  2029,   151,  2031,  2032,   212,   421,
     334,  2478,   336,   485,   161,  2114,   378,  2193,   334,   159,
     336,   345,  2145,  1249,  1250,  1251,  1252,   400,  2735,  2736,
     151,   355,  2739,  2943,  2741,   239,   378,   378,   379,    85,
     239,   104,  1080,   106,   417,   244,   419,   403,  1086,   422,
     406,   407,   408,    36,   410,   411,   412,   413,   414,   415,
     300,  2945,  2946,   126,   404,   421,   182,  1937,  2076,   216,
     410,   411,   334,   730,   336,   732,  2848,  2714,   419,   419,
     419,  2853,   739,   378,  2856,  2556,    48,   291,  1126,   404,
    1316,  1129,  1130,   303,   420,    36,  2563,  2556,   424,  3241,
      62,   419,  1243,   420,   399,   252,  1616,   424,   417,   404,
     419,   239,   399,   422,  1626,   410,   411,   404,   664,  3290,
     666,   593,   332,   410,   411,  3258,  2545,  2546,    26,   420,
      92,  2490,    94,   424,   281,   420,    15,    16,   285,   424,
    1178,   613,  1604,   419,  2945,  2946,   422,   619,   419,   359,
     622,   623,   624,   178,   169,   420,   366,   361,   423,   174,
     420,   224,   309,   394,   424,   420,   229,   182,   378,   424,
     420,   234,   239,   423,  2556,   412,   413,   414,   415,   420,
    3322,   420,   420,   424,   421,   424,   424,   420,  1650,  1651,
     422,   424,  1654,  1655,  1656,   420,    45,    46,  1660,   424,
    2671,   163,  2673,  1420,  1666,   242,  1423,  1669,   242,   419,
    1672,   341,  2671,   420,  2673,  1677,  1678,   424,   378,   379,
    2581,  1683,   410,   411,   412,   413,   414,   415,   420,   239,
     420,  1885,   424,   421,   424,  2431,   394,  2433,  1700,  1701,
      17,  2700,  1704,  1705,  1706,  1707,  1708,  1709,  1710,  2940,
     420,  1713,  1714,   420,   424,  1717,  1718,   424,   242,  1721,
    3439,    26,   224,   394,  1726,  1727,   178,   229,   294,   295,
    1732,  2654,  1734,  1735,   294,   295,   420,  2440,  2643,  2644,
     424,   309,  1744,  1745,   347,  1747,   378,   379,   412,  2671,
    1752,  2673,  2410,   356,  1756,  1757,  1758,  1759,  1760,  3183,
      32,   136,   774,   265,  1766,  1767,  1768,   419,  2367,   395,
     396,  1773,   420,  1775,  1776,   277,   424,  3227,  2700,   378,
     379,   420,   424,  3207,  3208,   424,  1788,   420,  1885,   882,
     883,   424,   420,  1795,  1796,  1797,  1798,  1799,  1800,   420,
     420,  1839,    74,   424,   424,  1383,  1384,   420,   420,   420,
     420,   424,   424,  1391,   424,    36,   420,  1395,  1396,  1869,
     424,  2146,  2147,  1869,   420,  3137,    98,   419,   424,   422,
    1832,  2241,  1410,   845,  1412,  1885,   420,   420,  1840,   420,
     424,   424,  3183,   424,   420,   117,  3158,  2257,   424,  2552,
     420,  2261,  2611,   355,   424,   381,  1434,   419,  1436,   176,
     419,   133,  1864,   239,   118,   422,  3207,  3208,   420,  1871,
    2148,  2149,   424,   132,   128,   147,   176,  2076,   132,   420,
     190,   420,   420,   424,  1886,   424,   424,   420,  1890,  1891,
     420,   424,   420,   420,   424,   420,   424,   424,   420,   424,
     420,  3275,   424,   361,   424,  1907,  1908,  1909,  1910,  1487,
     420,  2105,   420,   420,   424,   420,   424,   424,   172,   424,
     239,  3345,  1924,   420,   241,   420,   420,   424,   483,   424,
     424,  1933,   156,   488,  2650,  1937,   118,   239,   192,   419,
    2139,   241,   233,  1945,   420,   420,   128,   420,   424,   424,
     132,   424,   176,   965,   420,   420,   420,   229,   424,   424,
     424,   300,  2059,   975,   420,   237,   420,  1969,   424,  1650,
     424,  1973,   420,  1654,   986,   420,   424,   420,  1744,   424,
     420,   424,   236,   182,   424,   419,    48,   378,  1669,    20,
     172,   245,  1004,   381,   419,  1007,  1677,    26,   270,  1011,
    1012,    25,   350,  3315,  3345,    26,    30,   252,   132,  2059,
     192,   182,   361,  2839,   122,   122,   419,   241,   122,  1700,
     381,   122,  1788,  2073,  2100,  2101,   122,   424,   583,  1795,
    1796,  1797,  1798,  1799,  1800,   122,  1717,   122,   122,  3384,
     122,  3386,   239,  2093,   122,   600,  2048,   122,  1626,   239,
    2951,  1732,   122,  1734,   236,  2105,   122,  2467,    20,   419,
      20,   133,   190,   245,   132,   620,   419,   132,   400,   400,
     261,  1752,   419,   419,  2076,   419,    38,   419,  1759,  2489,
     400,   419,   419,   419,   639,  1766,   403,   400,   400,   406,
     407,   408,  1773,   410,   411,   412,   413,   414,   415,   249,
     354,   419,   400,   403,   421,   419,    68,   662,  3107,   424,
     410,   411,   412,   413,   414,   415,  2118,    20,   419,    75,
    3432,   421,   419,   419,   419,  2127,   419,   419,    20,   419,
    1142,   419,   156,   419,  2333,   419,   419,   419,   419,   419,
     419,  1907,   419,  1909,   190,   132,   132,   341,   341,   422,
     239,   302,   176,   177,   341,   341,  2158,  2159,  2160,  3064,
    1738,   341,   124,   341,   341,   229,   341,  2366,  1746,    55,
    1748,  2173,   354,   161,   341,   360,   239,    20,   341,   403,
    2182,   419,   406,   407,   408,  3107,   410,   411,   412,   413,
     414,   415,   154,    17,   424,    38,   361,   421,   252,   361,
     341,    25,   341,   227,   341,    36,    30,    36,   341,   419,
     341,   243,  2214,  2215,  2216,  2217,   341,   241,   341,   777,
     182,   341,   341,   341,   298,    68,   341,  2930,   239,   239,
     176,   378,  2426,  1245,   369,   417,  2430,  2239,   420,  2241,
     422,    20,    19,  1821,     9,   419,   801,   802,   803,   419,
     419,    92,  1264,   198,   371,  2257,   361,    20,   372,  2261,
     132,   239,   419,    20,  1945,   299,   375,   122,   361,   122,
     361,   122,   122,  2983,   341,  2469,   366,  2687,  2688,   288,
     228,   124,   374,   137,   339,   419,  3187,   209,   394,   209,
     309,   421,  1973,   419,   339,   424,   343,   419,  2300,   341,
     137,   150,  2304,  2305,   150,   172,   406,   420,   424,   240,
     234,   154,  2314,  2315,   869,  3059,   192,   420,   341,   341,
     878,    38,   424,   285,   298,    61,   239,   289,   152,   229,
     229,   419,   156,   295,   229,   180,   891,   246,   180,   182,
     302,   237,   419,   424,   341,  3498,   281,   309,   281,   281,
    2400,    68,   176,   177,  2400,   317,   306,   341,    41,   341,
    3265,    44,   272,   325,   176,    20,   176,   191,   176,  2419,
     361,   361,   176,  2419,   176,   237,  2426,    19,  1390,   403,
    2430,  2383,  2384,   341,   417,   132,   410,   411,   412,   413,
     414,   415,   406,   419,  1051,   134,    20,   421,   341,  2401,
     224,   417,   341,   227,   341,   406,  3405,   124,  2410,   306,
     145,   373,   419,   239,   148,   377,   378,   241,  2420,   148,
     244,  2423,   132,   419,   424,    20,  2476,   122,   239,   306,
    2476,   132,   239,     8,  2436,   424,   142,   154,  2986,   332,
     381,   239,   285,   424,  2446,  3346,   289,   206,    36,   420,
     420,   420,   295,   137,   420,     7,   420,  2459,  2460,   302,
     394,    13,  1017,   420,   394,  2467,   309,   420,  2470,   420,
     424,   420,   137,  2672,   317,  2477,  3377,  2158,  1490,   162,
    3381,  3382,   325,  3405,   167,   341,   169,  2489,   375,   313,
    2492,   174,   420,   176,  2591,   420,   248,   420,   419,   182,
      52,   420,  1060,   420,   420,   419,  3105,   128,   420,  3379,
     192,  3378,   419,   419,   341,  3218,   364,  2593,  2594,  2595,
    2596,   166,   229,   192,   256,   256,   358,   341,   201,   201,
     373,   201,   341,   176,   377,   252,   341,  1095,  2116,   176,
    2118,  2591,   341,   176,   341,   341,   341,   341,   176,   176,
     102,   176,  1107,   176,   777,   420,   417,   109,  2239,  1117,
     112,   301,   398,   207,   281,   243,   192,   406,   285,   350,
     283,    85,   289,   420,   237,   378,   420,   239,   295,   403,
     341,   419,   406,   407,   408,   302,   410,   411,   412,   413,
     414,   415,   309,   361,   418,   420,   424,   421,   239,  1154,
     317,   425,   419,   179,   419,  2607,   179,    25,   325,   161,
     361,   247,    30,   361,   234,  2617,   120,  1175,  1173,   120,
     242,   115,   137,  2304,   424,  3035,  3036,   417,  3038,   421,
       7,   420,   132,  2685,  1192,   420,    13,   420,   371,    46,
    3303,  2643,  2644,   419,   137,   420,  2648,  3350,  3366,   144,
     420,   406,  3366,  1211,  2848,   878,   373,   419,   240,  2853,
     166,   350,  2856,   350,   216,   341,   341,   341,   132,   176,
     341,  1683,   180,   176,   420,    52,  1234,   420,   420,   420,
     418,  2259,   378,   420,    20,  2687,  2688,  3554,   418,   381,
     132,   419,   419,   162,    57,   333,   419,  3245,   378,   424,
     252,  2703,   179,   419,   836,  2707,  2708,  2709,  2710,  2711,
    2712,  2713,   420,   306,   419,   847,   419,   419,   141,   419,
     137,   420,   137,   420,   376,   102,  1284,   376,    36,   281,
     420,   424,   109,   285,   152,   112,   146,   350,   156,   229,
     229,  3151,   406,   424,   122,  1300,   176,   424,  1405,    99,
     229,  3161,  3455,    94,  1309,  2333,   139,   309,   176,   177,
     163,   418,  2340,  2341,   137,   361,   110,  2345,   121,   361,
     420,    85,   419,   191,  2776,  2777,  2778,   181,  2780,   137,
     419,   341,  1794,   242,   161,  1340,  1341,  2986,  2366,  2470,
    1802,   137,   318,   365,   377,   255,   277,   361,  2848,   378,
     483,   419,   419,  2853,  2806,   488,  2856,   490,   419,   227,
    2812,  2492,   420,  2815,   420,  2817,   420,   419,   419,   132,
      20,   424,   202,   241,   229,  2827,   159,   295,   269,   295,
      48,   242,    48,   176,    36,   132,   245,  1060,   240,   216,
    1852,   524,  2844,   239,  2846,   333,   529,   127,   242,   242,
     378,    20,   365,   536,   424,  2857,   275,  2859,   424,  2861,
     378,  3460,   110,  1875,  2866,   239,  2868,   239,    20,   419,
     105,   419,   294,   420,    97,   252,   359,   121,   294,  2881,
       6,    17,   269,   419,  1838,  1012,  2118,    25,   661,  1725,
    3496,  2206,    30,  2331,  1117,   313,  2671,  3261,   241,  2659,
     583,  2812,  3098,     7,   281,  1463,   589,  2815,   285,    13,
    1704,  2170,  1924,  1933,  1469,  3518,  3553,   600,  3485,  3526,
    3484,  3331,   851,  1478,  2401,  2817,   241,  1260,  1673,  2824,
    2700,  1826,   309,  2378,  2273,  1246,  3614,   620,  2990,  2991,
    3589,  3072,  3071,  3137,  2365,  3533,  2335,  3247,    52,  3467,
    1237,  3250,  1175,  3005,    27,   590,   639,  2826,  2881,  3315,
     871,  3432,   645,  1696,  3158,  2830,  3439,  2648,  3577,  1192,
    3613,  3291,    20,  2975,  1611,   636,   851,  2809,  3388,   662,
    1041,  2477,  2127,   851,  2986,   403,   654,  1035,   406,   407,
     408,  1644,   410,   411,   412,   413,   414,   415,   102,  2136,
    2990,  2150,  2636,   421,  3006,   109,  1629,  1643,   112,  3011,
    3012,  1234,  1885,  1054,   152,  1605,  2105,  2432,   156,  3159,
    3022,  3023,   524,  2128,  1811,  2566,  2707,  3348,  2709,  3081,
     645,  3512,  2806,  3035,  3036,  3037,  3038,  3513,   176,   177,
    2558,  3516,  3241,  2073,  2139,  1984,  3245,  1952,  2071,  1470,
    3244,    -1,    -1,   191,    -1,    -1,  1611,   161,    -1,  3109,
     403,  1284,  3064,  3109,   407,   408,   749,   410,   411,   412,
     413,   414,   415,   756,    -1,    -1,    -1,    -1,   421,    -1,
      -1,  3275,    -1,    -1,    -1,    -1,   224,    -1,   403,   227,
      -1,   406,   407,   408,  2672,   410,   411,   412,   413,   414,
     415,    -1,    -1,   241,    -1,    -1,  2118,  2685,  3158,  3111,
      -1,    -1,   216,    -1,     0,    -1,    -1,    -1,   801,   802,
     803,  3315,    -1,    -1,   807,    -1,    -1,  3129,    -1,    -1,
      -1,    -1,  1690,    -1,    -1,  3137,    -1,  1695,  1696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1279,   252,  3151,
      -1,    -1,    -1,    -1,    -1,    -1,  1288,    -1,    -1,  3161,
      -1,  1716,    -1,    -1,  1296,  1297,  2744,  2745,    -1,    -1,
      -1,  3173,  3174,    -1,    -1,   313,  3178,  2755,    -1,    -1,
      -1,   285,  1314,    69,    -1,    -1,   869,    -1,    -1,    -1,
      -1,    -1,    -1,   777,  2772,    -1,    -1,    -1,    -1,    -1,
    2881,    -1,    -1,    -1,    -1,   309,    -1,     7,   891,    -1,
      -1,    -1,    -1,    13,    14,    -1,    -1,    -1,  3412,    19,
      -1,    21,   176,    -1,    -1,    -1,    -1,    27,    -1,    29,
      -1,    -1,   118,    -1,    -1,    -1,    -1,    -1,  3432,    -1,
    1463,    -1,   128,  3245,  2256,    -1,   132,    47,    -1,    -1,
      -1,   137,    -1,    -1,  1812,   141,    -1,    -1,   144,    -1,
     146,    -1,    -1,  3265,    -1,   403,  2278,    -1,   406,   407,
     408,  3037,   410,   411,   412,   413,   414,   415,    -1,    -1,
      -1,  1836,    -1,   421,    -1,    -1,   172,   241,  3290,    -1,
    3292,    -1,    -1,    -1,   878,    -1,    -1,  2309,    -1,    -1,
    2312,  2313,    -1,    -1,  2316,    -1,   192,    -1,    -1,    -1,
      -1,    -1,  3314,  3315,  2326,  1870,    -1,  3319,  3320,  2331,
    1878,  2333,  1877,    -1,    -1,  3519,    -1,    -1,    -1,  3331,
    3011,    -1,    -1,    -1,  1017,    38,    -1,    -1,    -1,    -1,
      -1,  3022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     236,    -1,    -1,    -1,  2366,  2012,  2013,    -1,    -1,   245,
    2017,  3363,    -1,    -1,    -1,    68,    -1,  2379,    -1,    -1,
      -1,    -1,    -1,   173,    -1,   175,    -1,   177,    -1,   179,
      -1,    -1,  3384,  3385,  3386,  3387,  3388,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2409,  2410,  2056,
    2057,    -1,   288,    -1,    -1,  1963,    -1,    -1,    -1,  3603,
      -1,    -1,  2990,  2991,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   124,    -1,  1007,  1107,    -1,    -1,  3005,    -1,    -1,
    3432,  3433,    -1,    -1,    -1,  3013,  3014,    -1,    -1,     0,
    3018,  3019,    -1,    -1,    -1,    -1,   332,    -1,    -1,   403,
      -1,   154,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,    -1,    -1,    -1,    -1,    -1,   421,   354,    -1,
    1602,  1154,    -1,    -1,    -1,    -1,  1060,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3486,    -1,  3488,    -1,    -1,   375,
    1173,   377,   378,    -1,    -1,  3497,  3593,  3178,    -1,    -1,
      -1,    -1,    -1,  3081,    -1,    -1,    -1,    -1,    69,    -1,
    3512,  1095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3523,    -1,    -1,    -1,    -1,    -1,  3577,    -1,    -1,
      -1,   417,  3534,  1117,   420,    25,   422,   423,    -1,    -1,
      30,    -1,    -1,  3593,  2099,    -1,    -1,    -1,  3314,    -1,
      -1,    -1,    -1,  3319,  3320,  2567,    -1,   118,    -1,    -1,
      -1,    -1,    -1,  3613,    -1,    -1,    -1,   128,    -1,    -1,
      -1,   132,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,
     141,    -1,   285,   144,   287,   146,   289,  3589,    -1,  1812,
    2145,  1175,   295,  1276,    -1,  1278,    -1,  2609,    -1,   302,
      -1,    -1,    -1,    -1,  1287,    -1,   309,    -1,  1192,    -1,
      -1,   172,  3614,    -1,   317,    -1,    -1,  1300,    -1,  3385,
      -1,  3387,   325,    -1,    -1,    -1,  1309,  1211,    -1,    -1,
      -1,   192,    -1,    -1,    -1,    -1,    -1,  2195,  2196,    -1,
    2198,    -1,    -1,    -1,    -1,    -1,    -1,  2205,    -1,    -1,
    1234,    -1,    -1,    -1,  1337,    -1,    -1,  1340,  1341,    -1,
    2672,    -1,   152,  3241,    -1,    -1,   156,  3433,    -1,  1352,
     373,    -1,    -1,    -1,  2686,   236,    -1,    -1,  2236,    -1,
    2238,  2693,    -1,  2695,   245,    -1,   176,   177,    -1,    -1,
      -1,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1284,   191,    -1,    -1,    -1,   505,   506,  2719,    -1,    -1,
     510,    -1,    -1,  2725,  2726,  2727,  2728,  2729,  2730,    -1,
      -1,   521,  3488,    -1,    -1,    -1,    -1,   288,    -1,    -1,
     530,  3497,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,
    1963,    -1,   542,    -1,    -1,   545,    -1,   547,    -1,   549,
      -1,   241,  2310,    -1,    -1,    -1,    -1,  3523,    -1,    -1,
    2772,  2773,  2774,  2775,    -1,    -1,    -1,    -1,    -1,    -1,
    1902,   332,    -1,    -1,    -1,  2333,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1916,  1917,  1469,    -1,  1920,    -1,
      -1,    -1,    -1,   354,  1926,  1478,   596,    -1,   598,    -1,
      -1,    -1,    -1,    20,    -1,    -1,    -1,    -1,  2366,    -1,
      -1,    -1,    -1,  2825,   375,    -1,   377,   378,    -1,    -1,
      -1,    38,  2377,   313,  2382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2387,    -1,    -1,    -1,    -1,    -1,  2396,    -1,
      -1,    -1,    -1,  1975,    -1,    -1,    -1,    -1,  2403,    -1,
      -1,    68,    -1,  2411,   654,    -1,   417,    -1,    10,   420,
      -1,   422,   423,    -1,    -1,  2522,    -1,    -1,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,    -1,  2535,  1463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2445,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2454,
      -1,    -1,  2457,    55,    -1,    -1,    -1,   124,    -1,  2464,
      62,    -1,    -1,   403,    66,    -1,    -1,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,  2583,  2584,  1611,    -1,
      -1,   421,    -1,    -1,    86,  2490,    -1,   154,    -1,    -1,
     740,    -1,    -1,    -1,    -1,  2503,    -1,    -1,    -1,    -1,
      -1,    -1,   752,    -1,    -1,   107,  3534,    -1,    -1,    -1,
      -1,   761,    -1,    -1,    -1,   182,    25,   767,    -1,  2981,
      -1,    30,    -1,    -1,    -1,    -1,  2534,    -1,   778,    -1,
      -1,    -1,  2205,    -1,    -1,    -1,    -1,   139,    -1,  2547,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,   808,    -1,
      -1,  3589,    -1,  2236,    -1,  2238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2581,    -1,    -1,    -1,    -1,    -1,    -1,
     777,   183,    -1,  1716,    -1,    -1,  3614,    -1,  3050,  3051,
      -1,    -1,  2174,  2598,  2599,    -1,    -1,    -1,    -1,  3061,
    3062,    -1,    -1,  3065,  3066,    -1,    -1,    -1,   117,    -1,
      -1,    -1,   862,    -1,    -1,    -1,    -1,    -1,   285,    -1,
      -1,    -1,   289,    -1,    -1,    -1,   876,    -1,   295,    -1,
    2212,  2213,    -1,    -1,    -1,   302,    -1,  2310,    -1,   241,
      -1,    -1,   309,   152,    -1,    -1,    -1,   156,    -1,    -1,
     317,    -1,    -1,  3115,    -1,    -1,  1690,    -1,   325,    -1,
      -1,  1695,  1696,    -1,  2672,    -1,   268,   176,   177,    -1,
      -1,    -1,    -1,    -1,  2781,    -1,    -1,    -1,    -1,  3141,
      -1,   878,   191,    10,    -1,    -1,    -1,    -1,    -1,    -1,
     292,    -1,    -1,    -1,   296,    22,   298,    -1,    -1,    -1,
      -1,    -1,   304,  1836,    -1,    -1,   373,    -1,    -1,  2382,
     377,    -1,    -1,    -1,    -1,    42,    -1,    -1,   227,    -1,
      -1,    17,    -1,  2396,    -1,    -1,    -1,    -1,    -1,    25,
     332,   333,   241,    -1,    30,   337,    -1,  1870,    -1,    66,
      -1,    -1,    -1,   345,  1877,    -1,    -1,    -1,   350,    -1,
      -1,    -1,  1885,    -1,    -1,    -1,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,  2769,    -1,    -1,    -1,    -1,    -1,
     372,    -1,  2445,    -1,    -1,    -1,    -1,    -1,  1812,  3241,
     107,    -1,  2787,    -1,    -1,  1035,  2794,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2799,    -1,  3258,    -1,    -1,    -1,
    3262,    -1,    -1,    -1,   313,    -1,    -1,   134,    -1,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,   144,    -1,    -1,
      -1,    -1,  2830,    -1,    -1,    -1,    -1,    -1,  1078,    -1,
    2503,    -1,   159,    -1,    -1,    -1,    -1,    -1,  2945,  2946,
      -1,    -1,    -1,    -1,  1878,    -1,    -1,    -1,    -1,    -1,
    3312,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,
     156,  2534,  2444,  1060,    -1,    -1,  2448,    -1,  2450,    -1,
    2452,  2453,    -1,    -1,  2547,    -1,    -1,    -1,    -1,  2461,
     176,   177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   403,   191,    -1,    -1,  1095,    -1,
      -1,   410,   411,   412,   413,   414,   415,    -1,  2581,  2491,
      -1,    -1,   421,    -1,   241,    -1,    -1,    -1,    -1,    -1,
    1117,    -1,    17,    -1,   251,    -1,    -1,    -1,   224,  1963,
      25,   227,  2940,    -1,    -1,    30,    -1,    -1,    -1,    -1,
      -1,   268,    -1,  2951,    -1,   241,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2962,  2963,  2964,
    2965,    -1,    -1,    -1,    -1,   292,  2099,    -1,    -1,   296,
      -1,   298,  2105,    -1,    -1,    -1,    -1,   304,  1175,   306,
      -1,    -1,    -1,    -1,    -1,  1235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1192,    -1,  1247,    -1,  3007,
      17,    -1,    -1,    -1,    21,   332,   333,  3015,    25,    -1,
     337,    -1,  2145,    30,  1211,    -1,    -1,   313,   345,    -1,
      -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   360,    -1,    -1,  1286,  1234,    -1,    -1,
    1290,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,  1299,
      -1,  1301,    -1,  1303,    -1,    -1,    -1,   152,  1308,    -1,
      -1,   156,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      30,    -1,  3534,    -1,    -1,    -1,  3183,    -1,    -1,    -1,
      -1,   176,   177,   100,    -1,    -1,    -1,  1284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,
    3207,  3208,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
      -1,  2794,    -1,    -1,    -1,   421,    -1,  3589,   424,   224,
      -1,    -1,   227,    -1,  3142,   152,    -1,    -1,    -1,   156,
      -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,   244,
      -1,    -1,  3614,    -1,    -1,  3163,    -1,   117,    -1,   176,
     177,  2195,  2196,    -1,  2198,    -1,    -1,    -1,    -1,    -1,
      -1,  2205,    -1,    -1,   191,    -1,    -1,    -1,    -1,  3187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,
      -1,    -1,   152,   167,    -1,    -1,   156,    -1,    -1,    -1,
      -1,    -1,  2236,    -1,  2238,    -1,    -1,   224,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,   176,   177,   313,    -1,
      -1,    -1,    -1,    -1,   241,    -1,    -1,   244,    -1,    -1,
      -1,   191,    -1,  3241,    -1,    -1,    -1,    -1,  3345,    -1,
      -1,    -1,    -1,    -1,  2377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1463,   227,    -1,    -1,
    2403,    -1,    -1,  3278,    -1,    -1,  2310,    -1,  2951,    -1,
      -1,   241,  2864,    -1,    -1,    -1,    -1,    -1,    -1,  2871,
    2872,    -1,    -1,  2426,    -1,    -1,   313,  2430,  3303,  2333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,
      -1,   406,   407,   408,  3322,   410,   411,   412,   413,   414,
     415,  2454,  3327,    -1,  2457,    -1,   421,    -1,    -1,   424,
      -1,  2464,  2366,    -1,  3007,    -1,  2469,    -1,  3346,    -1,
      -1,    -1,  3015,    -1,   361,    -1,    -1,    -1,  2382,    -1,
      -1,    -1,    -1,   313,    -1,    -1,    -1,  2490,    -1,    -1,
      -1,    -1,  2396,    -1,    -1,    -1,  3371,    -1,    -1,  3377,
      -1,    -1,    -1,  3381,  3382,    -1,    -1,  2411,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,    -1,
      -1,  1651,    -1,    -1,   421,    -1,  1656,    -1,    -1,    -1,
    1660,  2445,    -1,    -1,    -1,    -1,  1666,    -1,    -1,    -1,
      -1,    -1,  1672,    -1,    -1,    -1,    -1,    -1,  1678,    -1,
      -1,  3439,    -1,  1683,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,
     410,   411,   412,   413,   414,   415,  1706,  1707,  1708,  1709,
      -1,   421,    -1,  1713,  1714,  2598,  2599,    -1,  1718,  2503,
      -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1735,    -1,    -1,    -1,    -1,
    3163,    -1,    -1,  1690,    -1,  1745,    -1,  1747,  1695,  1696,
    2534,    -1,    -1,    -1,    -1,    -1,  1756,  1757,  1758,    -1,
    1760,    -1,    -1,  2547,  3187,    -1,   490,  1767,  1768,    -1,
      -1,    -1,    -1,    -1,    -1,  1775,  1776,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2581,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,    -1,    -1,    -1,    -1,
      -1,    -1,   536,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    13,    -1,
      15,    16,    -1,    -1,    -1,  3167,    -1,  3169,  3170,    -1,
      61,    -1,    -1,    -1,    29,  3177,    -1,    -1,    -1,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    49,  1812,    51,    52,    -1,    -1,
      -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    67,    -1,    69,    -1,  2769,    -1,  2672,    -1,
      -1,    -1,    -1,   114,   618,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    88,  2787,    -1,    91,    -1,    -1,    -1,
      -1,    -1,    97,    -1,    -1,    -1,  2799,    -1,   103,    -1,
      -1,    -1,    -1,  3346,   109,    -1,    -1,    -1,   652,    -1,
     115,  1878,    -1,    -1,    -1,   156,   121,    -1,   123,    -1,
     161,    -1,    -1,   128,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3377,    -1,   141,    -1,  3381,  3382,
      -1,    -1,    -1,    -1,    -1,  2848,    -1,    -1,    -1,  1969,
    2853,    -1,    -1,  2856,    -1,    -1,    -1,    -1,    -1,   200,
      -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,    -1,    -1,    -1,    -1,    -1,   193,   194,
    2794,  3343,    -1,    -1,   199,    -1,  1963,    -1,    -1,    -1,
      -1,    -1,    -1,   208,    -1,   749,    -1,    -1,    -1,    -1,
      -1,    -1,   756,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,   226,    -1,    -1,    -1,    -1,  2830,    -1,    -1,    -1,
      -1,    -1,    -1,   777,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,   263,  2962,
    2963,  2964,  2965,   807,    -1,    -1,    -1,    -1,    -1,   274,
      -1,    -1,    -1,   278,    -1,   280,    -1,    -1,    -1,    -1,
     285,    -1,    -1,    -1,    -1,   290,    -1,   328,   293,   330,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,   303,    -1,
      -1,    -1,    -1,    -1,   309,   849,    -1,   312,    17,    -1,
      -1,    20,   353,    -1,   319,    -1,    25,    -1,    -1,   360,
      -1,    30,   363,    -1,    -1,    -1,    -1,   332,    -1,    10,
      -1,    -1,    -1,    -1,   878,    -1,  2940,    -1,    -1,  2159,
    2160,    -1,    -1,   348,    -1,    -1,    -1,  2951,    -1,    -1,
      -1,    -1,   357,    -1,   359,    -1,   900,   362,    -1,    -1,
      -1,   366,  2182,    -1,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,   378,    -1,    -1,    -1,    30,    -1,    -1,
      -1,    -1,    -1,    -1,   928,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2214,  2215,  2216,  2217,    -1,    -1,
      -1,    -1,    -1,  3007,    -1,    86,    -1,    -1,    -1,    -1,
      -1,  3015,    -1,    -1,   419,    -1,   960,   961,    -1,   963,
      -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,  2195,  2196,
      -1,  2198,    -1,    -1,  3137,    -1,   980,    -1,  2205,    -1,
      -1,    -1,    -1,   152,    -1,    -1,    -1,   156,    -1,    -1,
      -1,    -1,    -1,   134,    -1,  3158,    -1,    -1,   139,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,   176,   177,  2236,
      -1,  2238,    -1,    -1,    -1,  1019,  1020,    -1,   159,   132,
    2300,    -1,   191,    -1,   137,  2305,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,
      -1,    -1,  1046,   156,    -1,    -1,  1050,  1051,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   224,  1060,    -1,   227,    -1,
    1064,    -1,    -1,   176,   177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   241,    -1,    -1,   244,    -1,    -1,   191,    -1,
      -1,  3244,    -1,  2310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3163,
     241,    -1,    -1,  2383,  2384,    -1,  2333,    -1,    -1,    -1,
      -1,   224,  3275,  1117,   227,  3278,    -1,    -1,    -1,    -1,
      -1,  2401,    -1,  3187,    -1,    -1,    -1,   268,   241,    -1,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2366,
    3303,    -1,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,   292,  3315,   777,    -1,  2382,    -1,   298,    -1,    -1,
      -1,    -1,    -1,   304,  3327,   306,  2446,    -1,    -1,  2396,
      -1,  1175,    -1,    -1,    -1,    -1,    -1,  3241,    -1,  2459,
      -1,    -1,    -1,    -1,  2411,    -1,    -1,    -1,  1192,    -1,
      -1,   332,   333,    -1,    -1,    -1,   337,    -1,    -1,    -1,
     313,    -1,    -1,    -1,   345,    -1,    -1,  1211,  3371,   350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2445,   360,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   398,
    1234,   372,    -1,    -1,   403,  1239,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,    -1,    -1,  3412,
      -1,    -1,   421,    -1,   878,    -1,    -1,    -1,  3322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3432,
      -1,    -1,  1276,    -1,  1278,    -1,  2503,    -1,    -1,    -1,
    1284,    -1,  3346,  1287,    -1,    -1,    -1,    -1,    -1,    -1,
     403,    -1,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,    -1,    -1,    -1,    -1,  2534,   421,    -1,
      -1,    -1,    -1,  3377,    -1,    -1,    -1,  3381,  3382,    -1,
    2547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2581,    -1,  3519,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    17,  1371,  1372,    -1,
      -1,    -1,    -1,    -1,    25,  1379,    -1,    -1,  1382,    30,
      -1,  1385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1393,
    1394,    -1,    -1,    -1,    -1,    -1,    -1,  1401,    -1,    -1,
    1404,  1405,  1406,  1407,    -1,    -1,    17,    -1,    -1,    -1,
    1414,  1415,    -1,  1417,    25,  1419,    -1,    -1,  1422,    30,
      -1,    -1,    -1,  2703,    -1,    -1,    -1,    -1,  2708,    -1,
    2710,  2711,  2712,  2713,  1438,  1439,  1060,    -1,  1442,    -1,
    3603,    -1,  1446,    -1,    -1,  2672,  1450,    -1,    -1,    -1,
    1454,  1455,  1456,  1457,  1458,  1459,  1460,  1461,  1462,  1463,
      -1,  1465,    -1,    -1,    -1,    -1,  1470,    -1,    -1,  1473,
      -1,  1095,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1117,    -1,    -1,  2776,  2777,  2778,    -1,
    2780,   152,    -1,    -1,    -1,   156,    -1,    -1,    -1,    17,
      -1,    -1,    20,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,   176,   177,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     191,   152,    -1,    -1,    -1,   156,    -1,    -1,    -1,    -1,
      -1,  1175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,  2794,  1192,   117,
      -1,    -1,    -1,   224,    -1,    -1,   227,    -1,    -1,    -1,
     191,  2861,    -1,    -1,    -1,    -1,    -1,  1211,    -1,    -1,
     241,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2830,   152,    -1,    -1,    -1,   156,  1613,
    1234,   262,    -1,   224,    -1,    -1,   227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     241,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   191,   152,    -1,    -1,    -1,   156,  1653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1284,    -1,   313,    -1,    -1,    -1,  1670,    -1,   176,   177,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,   227,
      -1,    -1,    -1,   191,    -1,    -1,  1690,    -1,    -1,    -1,
      -1,  1695,  1696,   241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2940,    -1,  1719,   224,    -1,    -1,   227,
      -1,    -1,    -1,    -1,  2951,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3012,   241,    -1,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,  3023,    -1,    -1,    -1,  1751,    -1,    -1,
      -1,    -1,   403,    -1,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   313,    -1,    -1,    -1,    -1,
     421,    -1,    -1,    17,    -1,    -1,    20,    -1,    -1,    -1,
    3007,    25,    -1,    -1,    -1,    -1,    30,    -1,  3015,    -1,
      -1,    -1,   403,    -1,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   313,  1810,    -1,  1812,   420,
     421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      25,  3111,    -1,    -1,    -1,    30,    -1,    -1,    -1,  1463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3129,
      -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,
      -1,    -1,   410,   411,   412,   413,   414,   415,    -1,    -1,
      -1,    -1,    -1,   421,  1878,    -1,    -1,    -1,    -1,    -1,
      -1,  1885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1895,    -1,  3173,    -1,   403,    -1,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   152,    -1,
      -1,    -1,   156,   421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,    -1,    -1,  3163,    -1,    -1,    -1,
      -1,    -1,   618,    -1,    -1,    -1,    -1,   191,  1952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,  1963,
    3187,   156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   652,    -1,  1982,  1983,
     224,   176,   177,   227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   777,   191,   241,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2012,  2013,
      -1,    -1,    -1,  2017,  3241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2029,  2030,  2031,  2032,   224,
      -1,    -1,   227,  2037,    -1,    -1,    -1,  2041,  2042,    -1,
    2044,    -1,    -1,  2047,    -1,    -1,   241,    -1,    -1,   244,
      -1,    -1,  2056,  2057,    -1,  2059,    -1,    -1,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,  1690,    -1,  2072,   313,
    2074,  1695,  1696,    -1,  2078,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   777,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2095,    -1,    -1,    -1,  3322,   878,    -1,    -1,    -1,
      -1,  2105,    -1,  2107,  2108,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2121,   313,  3346,
      -1,    -1,    -1,    -1,    -1,  2129,    -1,    -1,    -1,    -1,
      -1,    -1,  2136,    -1,    -1,    -1,    -1,  2141,    -1,    -1,
      -1,    -1,    -1,    -1,  2148,  2149,  2150,    -1,    -1,    -1,
    3377,    -1,    -1,    -1,  3381,  3382,    -1,    -1,    -1,   403,
      -1,    -1,   406,   407,   408,  2169,   410,   411,   412,   413,
     414,   415,    -1,    -1,    -1,    -1,    -1,   421,    -1,    -1,
      -1,    -1,    -1,    -1,   878,    -1,    -1,    -1,  1812,    -1,
      -1,  2195,  2196,    -1,  2198,    -1,    -1,    -1,    -1,    -1,
      -1,  2205,    -1,    -1,    -1,    -1,  3486,    -1,   403,    -1,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,    -1,    -1,    -1,   900,    -1,   421,    -1,    -1,    -1,
      -1,    -1,  2236,    -1,  2238,    -1,    -1,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      30,    -1,   928,    -1,  1878,    -1,    -1,    -1,    -1,    17,
      -1,    -1,    20,    -1,    -1,    -1,    -1,    25,  2272,  2273,
    2274,    -1,    30,    -1,    -1,    -1,    -1,    -1,  1060,    -1,
      -1,    -1,    -1,    -1,   960,   961,    -1,   963,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   980,    -1,  2310,    -1,    -1,    -1,
      -1,    -1,    -1,  1095,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2333,
      -1,    -1,    -1,    -1,    -1,  1117,    -1,    -1,    -1,  1963,
      -1,    -1,    -1,  1019,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,
      -1,  2365,  2366,    -1,    -1,    -1,  1060,    -1,    -1,    -1,
    1046,    -1,   152,    -1,  1050,  1051,   156,    -1,  2382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2396,  1175,   152,    -1,   176,   177,   156,    -1,
      -1,  1095,    -1,    -1,    -1,    -1,    -1,  2411,    -1,    -1,
    1192,   191,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
      -1,    -1,  2426,  1117,    -1,    -1,  2430,    -1,    -1,  1211,
      -1,    -1,    -1,   191,    -1,    -1,  2440,    -1,    -1,    -1,
      -1,  2445,    -1,    -1,   224,    -1,    -1,   227,    -1,    -1,
      -1,    -1,  1234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   241,    -1,    -1,   244,  2469,   224,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1175,    -1,   241,    -1,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2500,    -1,  1192,  2503,
      -1,    -1,  1284,    -1,    -1,  2509,    -1,    -1,    -1,    -1,
      -1,  2515,    -1,  2517,    -1,    -1,    -1,  1211,  2522,    -1,
      -1,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,    -1,   313,    -1,  2539,  2540,    -1,    -1,    -1,
    1234,    -1,    -1,  2547,    -1,    -1,    -1,    -1,  2552,    -1,
      -1,    -1,  2556,    -1,  2558,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   777,  2568,    -1,    -1,  2571,    -1,  2573,
      -1,  2195,  2196,    -1,  2198,    -1,    -1,  2581,  2582,  2583,
    2584,  2205,    -1,    -1,  2588,    -1,    -1,  2591,    -1,    -1,
    1284,    17,    -1,    -1,    -1,    -1,    -1,  2601,    -1,    25,
      -1,    -1,    -1,    -1,    30,    -1,  2610,    -1,    -1,    -1,
      -1,    -1,  2236,    -1,  2238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   403,    -1,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,    -1,    -1,    -1,    -1,
      -1,   421,    -1,    -1,    -1,   403,    -1,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,    -1,    -1,
      -1,    -1,    -1,   421,   878,    -1,    -1,  2671,  2672,  2673,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1463,    -1,    -1,    -1,    -1,  2310,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    -1,  2700,    -1,    -1,    -1,
      -1,    -1,    25,  1379,    -1,    -1,    -1,    30,    -1,  2333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1401,   152,    -1,  1404,    -1,
     156,  1407,    -1,    -1,    -1,    -1,    -1,    -1,  1414,  1415,
      -1,    -1,  2366,  1419,    -1,    -1,  1422,    -1,    -1,    -1,
     176,   177,    -1,    -1,    -1,    -1,    -1,    -1,  2382,    -1,
      -1,    -1,  1438,    -1,    -1,   191,  1442,    -1,    -1,  1463,
    1446,    -1,  2396,    -1,  1450,    -1,    -1,  2781,  1454,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,  1462,  2411,    -1,  1465,
    2794,    -1,    -1,    -1,  1470,    -1,    -1,    -1,   224,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,   244,    -1,
      -1,  2445,    -1,    -1,    -1,    -1,  2830,  2831,  2832,   152,
      -1,    -1,    17,   156,    -1,    20,    -1,    -1,    -1,    -1,
      25,    -1,    -1,    -1,  2848,    30,  1060,    -1,    -1,  2853,
      -1,    -1,  2856,   176,   177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2503,
      -1,  1095,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,
    2894,    -1,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      25,   224,    -1,  1117,   227,    30,    -1,    -1,  1690,    -1,
    2534,    -1,   338,  1695,  1696,    -1,    -1,    -1,   241,    -1,
      -1,   244,    -1,  2547,    -1,    -1,  2930,    -1,    -1,    -1,
      -1,    -1,    -1,  2937,  2938,    -1,  2940,  1613,    -1,    -1,
      -1,  2945,  2946,    -1,    -1,    -1,  2950,  2951,    -1,    -1,
      -1,    -1,  2956,  2957,    -1,    -1,  2960,  2581,    -1,    -1,
      -1,  1175,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,
      -1,   156,    -1,    -1,    -1,    -1,  2980,   403,  1192,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     313,   176,   177,    -1,  1670,   421,  1690,  1211,    -1,    -1,
      -1,  1695,  1696,  3007,    -1,    -1,   191,    -1,    -1,    -1,
      -1,  3015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1234,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,
    1812,   156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
      -1,    -1,   227,    -1,    -1,    -1,   777,    -1,  2672,    -1,
      -1,   176,   177,    -1,    -1,    -1,   241,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,   191,    -1,    -1,    -1,
    1284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     403,    -1,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,  3097,    -1,    -1,  1878,   420,   421,   224,
      -1,    -1,   227,  3107,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,  1812,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,    -1,    -1,  3137,  1810,    -1,    -1,    -1,  3142,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   878,    -1,    -1,
    3154,    -1,    -1,    -1,  3158,    -1,    -1,    -1,    -1,  3163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3183,
      -1,  1963,    -1,  3187,  1878,    -1,    -1,    -1,   313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3207,  3208,    -1,  2830,  3211,    -1,    -1,
      -1,    -1,    -1,    -1,  3218,  3219,    -1,    -1,   403,  1895,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,    -1,    -1,    -1,    -1,    -1,   421,  3241,    -1,    -1,
    3244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1463,
      -1,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1963,
      -1,  3275,    -1,    -1,    -1,    -1,  1952,    -1,   403,    -1,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,    -1,    -1,    -1,    -1,   420,   421,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1983,    -1,    -1,
      -1,  3315,  3316,    -1,    -1,    -1,  2940,    -1,  3322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2951,    -1,  1060,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3345,  3346,    -1,  3348,    -1,  3350,    -1,    -1,    -1,
      -1,    -1,    -1,  2029,    -1,  2031,  2032,    -1,    25,    -1,
      -1,    -1,    -1,    30,  1095,  2041,    -1,    -1,  2044,    -1,
    3374,  2047,    -1,  3377,    -1,    -1,    -1,  3381,  3382,    -1,
      -1,    17,    -1,  3007,    -1,    -1,  1117,    -1,    -1,    25,
      -1,  3015,    -1,    -1,    30,    -1,  2072,    17,  2074,    -1,
      -1,  3405,  2078,    -1,    -1,    25,    -1,    -1,  3412,    -1,
      30,    -1,    -1,  2195,  2196,    -1,  2198,    -1,    -1,    -1,
      -1,    -1,    -1,  2205,    -1,    -1,    -1,    -1,  3432,    -1,
      -1,    -1,    -1,  2109,    -1,  3439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1175,  2121,    -1,    -1,    -1,    -1,
     117,  3455,    -1,  2129,  2236,    -1,  2238,    -1,    -1,    -1,
    2136,  1192,    -1,    -1,    -1,  2141,    -1,    -1,    -1,    -1,
      -1,    -1,  2148,  2149,  2150,    -1,  1690,    -1,    -1,    -1,
    1211,  1695,  1696,    -1,    -1,   152,    -1,    -1,    -1,   156,
      -1,    -1,    -1,  2169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2195,  2196,  1234,  2198,    -1,    -1,    -1,    -1,   176,
     177,  2205,    -1,    -1,    -1,  3519,   152,    -1,    -1,    -1,
     156,    -1,    -1,    -1,   191,    -1,    -1,    -1,  2310,    -1,
      -1,    -1,   152,    -1,    -1,    -1,   156,    -1,    -1,  3163,
     176,   177,  2236,    -1,  2238,    -1,    -1,    -1,    -1,    -1,
      -1,  2333,    -1,  1284,    -1,   191,   176,   177,    -1,    -1,
     227,    -1,    -1,  3187,    25,    -1,    -1,    -1,    -1,    30,
      -1,   191,    -1,    -1,   241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2366,    -1,    -1,    -1,   224,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,    -1,  1812,  3603,
    2382,    -1,    -1,    -1,   224,   241,    -1,   227,   244,    -1,
      -1,    -1,    -1,    -1,  2396,    -1,  2310,  3241,    -1,    -1,
      -1,   241,    -1,    -1,   244,    -1,    -1,    -1,    -1,  2411,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2333,
      -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,    -1,
      -1,    17,    -1,  2445,  1878,    -1,    -1,    -1,    -1,    25,
      -1,    -1,  2366,    -1,    30,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2382,    -1,
      -1,   152,    -1,   313,    -1,   156,    -1,    -1,  3322,    -1,
      -1,    -1,  2396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,  2411,    -1,    -1,
      17,  2503,  3346,    -1,    -1,    -1,    -1,    -1,    25,    -1,
     191,    -1,  1463,    30,    -1,    -1,   403,    -1,    -1,    -1,
      -1,    -1,    -1,   410,   411,   412,   413,   414,   415,  1963,
     976,  2445,  2534,  3377,   421,    -1,    -1,  3381,  3382,    -1,
      -1,    -1,    -1,    -1,    -1,  2547,   227,   403,    -1,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     241,    -1,    -1,   403,   420,   421,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   152,    -1,   418,  2581,
     156,   421,    -1,    -1,    -1,  1031,    -1,    -1,    -1,  2503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,    -1,    -1,  2500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2509,    -1,   191,    -1,    -1,    -1,  2515,
    2534,  2517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   313,  2547,    -1,   152,    -1,    -1,    -1,   156,
      -1,    -1,    -1,  2539,  2540,    -1,    -1,    -1,   224,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,    -1,  2558,    -1,    -1,   241,    -1,  2581,   244,    -1,
    2672,    -1,  2568,    -1,   191,  2571,    -1,  2573,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2582,    -1,    -1,    -1,
      -1,    -1,  2588,    -1,    -1,  2591,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2601,    -1,   224,    -1,    -1,
     227,    -1,    -1,    -1,  2610,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   403,    -1,   241,    -1,    -1,   244,    -1,   410,
     411,   412,   413,   414,   415,    -1,    -1,   313,    -1,  1690,
     421,    -1,    -1,    -1,  1695,  1696,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2672,    -1,
      -1,  2195,  2196,    -1,  2198,    -1,    -1,    -1,    -1,    -1,
      -1,  2205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2794,    -1,    -1,    -1,   313,    -1,    -1,    -1,
      -1,    -1,  2236,    -1,  2238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,  2830,    -1,
     406,   407,   408,    17,   410,   411,   412,   413,   414,   415,
      -1,    25,    -1,    -1,   420,   421,    30,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    17,  1318,    -1,    -1,    -1,  2310,    -1,    -1,    25,
    2794,    -1,    -1,    -1,    30,    -1,   403,    -1,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,  2333,
      -1,    -1,    -1,   420,   421,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    -1,    -1,  2830,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    30,  1878,    -1,    -1,
      -1,  1377,  2366,    -1,    -1,  2831,  2832,    -1,  2940,    -1,
      -1,    -1,    -1,    -1,    17,    -1,    -1,    -1,  2382,  2951,
      -1,    -1,    25,    -1,  1400,    -1,    -1,    30,    -1,  1405,
      -1,    -1,  2396,    -1,    -1,    -1,    -1,    -1,   152,    -1,
      -1,    -1,   156,    -1,    -1,    -1,    -1,  2411,    -1,  1425,
    1426,    -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,    -1,    -1,    -1,    -1,  2894,    -1,
      -1,    -1,    -1,    -1,    -1,  3007,   152,   191,    -1,    -1,
     156,  2445,  1963,  3015,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1468,    -1,    -1,    -1,  2940,    -1,    -1,    -1,
     176,   177,    -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,
     224,  2937,  2938,   227,    -1,   191,    -1,    -1,   152,    -1,
      -1,    -1,   156,    -1,  2950,    -1,    -1,   241,    -1,    -1,
    2956,  2957,    -1,    -1,  2960,  1511,    -1,    -1,    -1,  2503,
      -1,    -1,   176,   177,    -1,    -1,    -1,    -1,   224,   152,
      -1,   227,    -1,   156,  2980,    -1,    -1,   191,    -1,    -1,
      -1,    -1,    -1,  3007,    -1,   241,    -1,    -1,   244,    -1,
    2534,  3015,    -1,   176,   177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2547,    -1,    -1,    -1,    -1,   191,    -1,
     224,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,  2581,    -1,    -1,
      -1,   224,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,
      -1,  3163,    -1,    -1,    -1,    -1,    -1,   313,   241,    -1,
      -1,   244,    -1,    -1,    -1,    -1,  1622,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3187,  1632,    -1,    -1,  1635,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,
      -1,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,    -1,    -1,    -1,    -1,    -1,   421,  2672,  3241,
     313,    -1,    -1,    -1,  2195,  2196,    -1,  2198,    -1,  3163,
      -1,    -1,    -1,    -1,  2205,    -1,    -1,   403,  3154,    -1,
     406,   407,   408,    17,   410,   411,   412,   413,   414,   415,
      -1,    25,    -1,  3187,   420,   421,    30,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2236,    -1,  2238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   403,
      -1,    -1,   406,   407,   408,    17,   410,   411,   412,   413,
     414,   415,    -1,    25,    -1,  3211,   420,   421,    30,    -1,
    3322,    -1,    -1,  3219,    -1,    -1,    -1,  3241,    -1,    -1,
     403,    -1,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,    -1,  3346,    -1,    -1,   420,   421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2310,
    2794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3377,    -1,    -1,    -1,  3381,
    3382,    -1,  2333,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2830,    -1,   152,    -1,
      -1,    -1,   156,    -1,    -1,    -1,    -1,    -1,  3322,    -1,
      -1,    -1,    -1,    -1,    -1,  2366,    -1,    -1,    -1,    -1,
    3316,    -1,   176,   177,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2382,  3346,    -1,    -1,    -1,    -1,   191,    -1,    -1,
     152,    -1,    -1,    -1,   156,  2396,    -1,    -1,    -1,    -1,
      -1,    -1,  3348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2411,    -1,    -1,  3377,   176,   177,    -1,  3381,  3382,    -1,
     224,    -1,    -1,   227,    -1,   117,    -1,    -1,  3374,   191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,
     244,    -1,    -1,    -1,  2445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2940,    -1,    -1,    -1,
     152,    -1,   224,    -1,   156,   227,    -1,  2951,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,
      17,    -1,   244,    -1,   176,   177,    -1,    -1,    25,    -1,
    1986,    -1,    -1,    30,    -1,    -1,    -1,    -1,    -1,   191,
      -1,    -1,  2503,    -1,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,  2008,    -1,  2010,    -1,  2012,  2013,  2014,    -1,
      -1,  2017,    -1,  3007,    -1,  2021,    17,    -1,    -1,    -1,
      -1,  3015,  2028,  2534,    25,   227,    -1,  2033,    -1,    30,
      -1,    -1,  2038,    -1,    -1,    -1,  2547,  2043,    -1,   241,
      -1,   313,    -1,    -1,    -1,    -1,  2052,    -1,    -1,    -1,
    2056,  2057,  2058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2070,    -1,    -1,    -1,    -1,    -1,
    2581,  2077,    -1,  2079,  2080,  2081,  2082,  2083,  2084,  2085,
    2086,  2087,    -1,  2089,    -1,    -1,    -1,    -1,    -1,   403,
      -1,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,    -1,    -1,    -1,   152,   420,   421,    -1,   156,
      -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   403,    -1,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   191,    -1,    -1,    -1,   420,   421,
      -1,   152,    -1,     7,    -1,   156,    -1,    -1,    -1,    13,
      -1,  2672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3163,
      -1,  2177,    -1,    -1,    -1,   176,   177,   224,    -1,    -1,
     227,    -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,
     191,    -1,    -1,  3187,   241,    -1,    -1,   244,    52,    -1,
      -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,   410,   411,
     412,   413,   414,   415,    -1,    -1,    -1,    -1,    -1,   421,
      -1,    -1,    -1,   224,    -1,    -1,   227,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     241,    -1,    -1,   244,    -1,    -1,    -1,  3241,   102,    -1,
      -1,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2794,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   158,    -1,    -1,   161,    -1,    -1,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,  2830,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3322,    -1,
    2336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,
      -1,   205,  3346,    -1,    -1,    -1,   403,    -1,    -1,   406,
     407,   408,   216,   410,   411,   412,   413,   414,   415,    -1,
      -1,    -1,    -1,   420,   421,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3377,    -1,    -1,    -1,  3381,  3382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,   252,    -1,
      -1,    -1,   403,    -1,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,    -1,    10,    -1,    -1,    -1,
     421,    -1,    -1,    -1,    -1,    -1,    -1,   281,    22,  2940,
      -1,   285,   286,    -1,    -1,    -1,  2442,    -1,    -1,    -1,
    2951,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,  2463,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,    62,    -1,
      -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    86,  2499,    -1,    -1,  3007,    -1,    92,    -1,
      -1,    -1,    -1,    -1,  3015,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   107,  2520,  2521,  2522,    -1,    -1,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,    -1,  2535,
    2536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,   139,   140,    -1,    -1,    -1,
     144,    -1,    -1,  2559,    -1,    -1,  2562,    -1,  2564,    -1,
      -1,    -1,    -1,  2569,  2570,   159,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2583,  2584,  2585,
      -1,  2587,    -1,    -1,  2590,    -1,    -1,    -1,   182,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2605,
      -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2615,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2641,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,
     244,    -1,  3163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,    -1,  3187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,
      -1,    -1,   296,    -1,   298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,
     334,    -1,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   345,    -1,    -1,    -1,   349,   350,    -1,    -1,    -1,
      -1,   355,    -1,    -1,    -1,    -1,   360,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2781,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3377,    -1,    -1,    -1,
    3381,  3382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2895,
      -1,    -1,  2898,  2899,  2900,    -1,  2902,    -1,    -1,    -1,
      -1,  2907,  2908,  2909,  2910,  2911,  2912,  2913,  2914,  2915,
      -1,  2917,  2918,  2919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2944,  2945,
    2946,  2947,    -1,  2949,    -1,    -1,    -1,  2953,  2954,  2955,
      -1,    -1,  2958,    -1,    -1,  2961,    -1,    -1,    -1,    -1,
      -1,    -1,  2968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3099,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3139,  3140,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3179,    -1,    -1,    -1,  3183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3195,
      -1,  3197,    -1,    -1,    -1,    -1,  3202,  3203,  3204,    -1,
      -1,  3207,  3208,  3209,  3210,    -1,  3212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3344,  3345,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3358,  3359,  3360,    -1,  3362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,  3430,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,  3445,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,  3462,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    -1,   417,
      -1,    -1,    19,    -1,   422,    22,    23,    -1,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    61,    -1,    63,    64,    65,    66,
      67,    68,    -1,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    -1,    95,    96,
      97,    98,    99,    -1,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,    -1,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,    -1,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,    -1,
     237,   238,    -1,    -1,   241,   242,   243,    -1,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,    -1,   376,
      -1,    -1,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
      -1,    -1,    -1,   410,   411,   412,    -1,    -1,    -1,    -1,
      -1,    -1,   419,   420,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,
      19,    -1,    -1,    22,    23,    -1,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    61,    -1,    63,    64,    65,    66,    67,    68,
      -1,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    -1,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,    -1,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,    -1,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,    -1,   237,   238,
      -1,    -1,   241,   242,   243,    -1,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,    -1,   376,    -1,    -1,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,    -1,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,    -1,    -1,
      -1,   410,   411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     419,   420,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,    20,
      -1,    22,    23,    -1,    25,    -1,    27,    28,    29,    -1,
      31,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      61,    -1,    63,    64,    65,    66,    67,    68,    -1,    70,
      71,    72,    73,    74,    75,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    -1,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,    -1,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,   124,   125,    -1,   127,    -1,   129,   130,
     131,    -1,   133,    -1,   135,    -1,    -1,   138,   139,   140,
      -1,   142,   143,    -1,   145,    -1,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,    -1,   175,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
      -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,    -1,   228,    -1,   230,
     231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,
     241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,   334,   335,   336,   337,    -1,   339,   340,
      -1,    -1,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,    -1,   356,   357,   358,   359,    -1,
      -1,   362,   363,   364,   365,   366,   367,    -1,   369,    -1,
     371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,    -1,    -1,    -1,   398,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    12,    13,    14,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,   420,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    -1,    -1,
      -1,    56,    57,    58,    59,    60,    61,    -1,    63,    64,
      65,    66,    67,    68,    -1,    70,    71,    72,    73,    74,
      75,    -1,    -1,    -1,    79,    -1,    -1,    -1,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    -1,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,    -1,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,    -1,   123,   124,
      -1,    -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,
     135,   136,    -1,   138,   139,   140,    -1,   142,    -1,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,    -1,   189,   190,   191,    -1,   193,   194,
     195,    -1,    -1,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,    -1,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
      -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,
      -1,   246,   247,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,    -1,   258,    -1,   260,    -1,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,    -1,   330,   331,    -1,   333,   334,
     335,   336,   337,    -1,   339,   340,    -1,    -1,   343,    -1,
     345,    -1,    -1,   348,   349,   350,   351,   352,   353,    -1,
      -1,   356,   357,   358,   359,    -1,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
      -1,   376,    -1,    -1,   379,   380,   381,   382,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,   393,   394,
      -1,    -1,    -1,   398,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    23,   420,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    -1,    -1,    -1,    56,    57,    58,
      59,    60,    61,    -1,    63,    64,    65,    66,    67,    68,
      -1,    70,    71,    72,    73,    74,    75,    -1,    -1,    -1,
      79,    -1,    -1,    -1,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    -1,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,    -1,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,    -1,   123,   124,    -1,    -1,   127,    -1,
     129,   130,   131,    -1,   133,    -1,   135,   136,    -1,   138,
     139,   140,    -1,   142,    -1,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,    -1,
     189,   190,   191,    -1,   193,   194,   195,    -1,    -1,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,    -1,    -1,   237,    -1,
      -1,    -1,   241,   242,   243,    -1,    -1,   246,   247,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,    -1,   258,
      -1,   260,    -1,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
      -1,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,    -1,    -1,   343,    -1,   345,    -1,    -1,   348,
     349,   350,   351,   352,   353,    -1,    -1,   356,   357,   358,
     359,    -1,    -1,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,    -1,   376,    -1,    -1,
     379,   380,   381,   382,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,   393,   394,    -1,    -1,    -1,   398,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    12,
      13,    14,    -1,    -1,    -1,    -1,    19,    -1,    -1,    22,
      23,   420,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    61,    -1,
      63,    64,    65,    66,    67,    68,    -1,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    -1,    95,    96,    97,    98,    99,    -1,   101,   102,
     103,    -1,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,    -1,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,    -1,   145,    -1,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,    -1,   237,   238,    -1,    -1,   241,   242,
     243,    -1,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,    -1,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,    -1,    -1,    -1,   410,   411,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   419,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    19,    -1,    -1,    22,    23,    -1,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,    -1,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,    -1,    -1,    -1,   410,   411,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   419,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,
      19,    -1,    -1,    22,    23,    -1,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    61,    -1,    63,    64,    65,    66,    67,    68,
      -1,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    -1,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,    -1,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,    -1,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,    -1,   237,   238,
      -1,    -1,   241,   242,   243,    -1,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,    -1,   376,    -1,    -1,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,    -1,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,    -1,    -1,
      -1,   410,   411,    -1,    -1,    -1,    -1,    -1,   417,   418,
     419,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    19,    -1,    -1,
      22,    23,    -1,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,    -1,   237,   238,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,    -1,    -1,    -1,   410,   411,
     412,    -1,    -1,    -1,    -1,    -1,    -1,   419,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    12,    13,    14,
      -1,    -1,    -1,    -1,    19,    -1,    -1,    22,    23,    -1,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    61,    -1,    63,    64,
      65,    66,    67,    68,    -1,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    -1,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,    -1,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,    -1,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,    -1,    -1,   241,   242,   243,    -1,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,   334,
     335,   336,   337,    -1,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
      -1,   376,    -1,    -1,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
      -1,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,    -1,    -1,    -1,   410,   411,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   419,     3,     4,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    -1,    -1,    -1,
      -1,    19,    -1,    -1,    22,    23,    -1,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,    -1,    -1,   241,   242,   243,    -1,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,    -1,
      -1,    -1,   410,   411,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   419,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    12,    13,    14,    -1,    -1,    -1,    -1,    19,    -1,
      -1,    22,    23,    -1,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      61,    -1,    63,    64,    65,    66,    67,    68,    -1,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    -1,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,    -1,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,    -1,   133,    -1,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,    -1,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,    -1,   237,   238,    -1,    -1,
     241,   242,   243,    -1,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,   334,   335,   336,   337,    -1,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,    -1,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,    -1,    -1,    -1,    -1,   410,
     411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    19,    -1,    -1,    22,    23,
      -1,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,    -1,   237,   238,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,    -1,    -1,    -1,    -1,   410,   411,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   419,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    12,    13,    14,    -1,    -1,
      -1,    -1,    19,    -1,    -1,    22,    23,    -1,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    61,    -1,    63,    64,    65,    66,
      67,    68,    -1,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    -1,    95,    96,
      97,    98,    99,    -1,   101,   102,   103,    -1,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,    -1,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,    -1,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,    -1,
     237,   238,    -1,    -1,   241,   242,   243,    -1,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,    -1,   376,
      -1,    -1,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,    -1,
      -1,    -1,    -1,   410,   411,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   419,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    19,
      -1,    -1,    22,    23,    -1,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,    -1,    -1,    -1,    -1,
     410,   411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    12,
      13,    14,    -1,    -1,    -1,    -1,    19,    -1,    -1,    22,
      23,    -1,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    61,    -1,
      63,    64,    65,    66,    67,    68,    -1,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    -1,    95,    96,    97,    98,    99,    -1,   101,   102,
     103,    -1,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,    -1,
     133,    -1,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,    -1,   145,    -1,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,    -1,   237,   238,    -1,    -1,   241,   242,
     243,    -1,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,    -1,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,    -1,    -1,    -1,   410,   411,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   419,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    19,    -1,    -1,    22,    23,    -1,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,    -1,    -1,    -1,   410,   411,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   419,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,
      19,    -1,    -1,    22,    23,    -1,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    61,    -1,    63,    64,    65,    66,    67,    68,
      -1,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    -1,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,    -1,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,    -1,   133,    -1,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,    -1,   237,   238,
      -1,    -1,   241,   242,   243,    -1,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,    -1,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,    -1,   376,    -1,    -1,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,    -1,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,    -1,    -1,    -1,
      -1,   410,   411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     419,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    19,    -1,    -1,
      22,    23,    -1,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,    -1,    -1,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,    -1,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,    -1,   237,   238,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,    -1,    -1,    -1,   410,   411,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    12,    13,    14,
      -1,    -1,    -1,    -1,    19,    -1,    -1,    22,    23,    -1,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    61,    -1,    63,    64,
      65,    66,    67,    68,    -1,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    -1,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,    -1,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,   116,    -1,    -1,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,    -1,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,    -1,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,    -1,    -1,   241,   242,   243,    -1,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,   334,
     335,   336,   337,    -1,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,    -1,
      -1,   376,    -1,    -1,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
      -1,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,    -1,    -1,    -1,   410,   411,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   419,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,    -1,   240,   241,   242,   243,    -1,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,    -1,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,    -1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,   419,    22,    23,    -1,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,    -1,
     240,   241,   242,   243,    -1,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,   419,
      22,    23,    -1,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,   238,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,    -1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,   419,    22,    23,
      -1,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    73,
      74,    75,    -1,    -1,    -1,    79,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,   238,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,    -1,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,   419,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,   419,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,    -1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,   419,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,   419,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,    -1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,   419,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   419,     3,     4,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    -1,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,    -1,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
     247,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,   260,    -1,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,   393,   394,    -1,    -1,
      -1,   398,   399,   400,    -1,    -1,   403,   404,    -1,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,    -1,    -1,    -1,    -1,   403,
      -1,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    22,    23,    -1,    25,    -1,    27,    28,    29,    -1,
      31,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      61,    -1,    63,    64,    65,    66,    67,    68,    -1,    70,
      71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    -1,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,    -1,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,   124,   125,    -1,   127,    -1,   129,   130,
     131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,
      -1,   142,   143,    -1,   145,    -1,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,    -1,   157,   158,   159,   160,
     161,   162,    -1,    -1,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,    -1,   213,    -1,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,    -1,   228,    -1,   230,
     231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,
     241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,   334,   335,   336,   337,    -1,   339,   340,
      -1,    -1,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,    -1,   356,   357,   358,   359,    -1,
      -1,   362,   363,   364,   365,   366,   367,    -1,   369,    -1,
     371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,    -1,    -1,    -1,   398,    -1,    -1,
      -1,    -1,   403,    -1,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,    -1,    -1,    -1,    -1,   403,    -1,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    12,    13,    14,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,
      25,    -1,    27,    28,    29,    -1,    31,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    61,    -1,    63,    64,
      65,    66,    67,    68,    -1,    70,    71,    72,    -1,    74,
      75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    -1,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,    -1,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,
     135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,    -1,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,    -1,
     175,    -1,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,
     195,    -1,    -1,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,    -1,   213,    -1,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,    -1,   228,    -1,   230,   231,   232,   233,   234,
      -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,
      -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,   334,
     335,   336,   337,    -1,   339,   340,    -1,    -1,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
      -1,   356,   357,   358,   359,    -1,    -1,   362,   363,   364,
     365,   366,   367,    -1,   369,    -1,   371,   372,   373,    -1,
      -1,   376,    -1,    -1,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
      -1,    -1,    -1,   398,    -1,    -1,    -1,    -1,   403,    -1,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,    -1,    -1,    -1,
      -1,   403,    -1,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,     3,     4,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,    -1,    -1,    -1,   398,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    12,
      13,    14,    -1,   412,    -1,    -1,    -1,    -1,    -1,    22,
      23,    -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    61,    -1,
      63,    64,    65,    66,    67,    68,    -1,    70,    71,    72,
      -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    -1,    95,    96,    97,    98,    99,    -1,   101,   102,
     103,    -1,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,   124,   125,    -1,   127,    -1,   129,   130,   131,    -1,
     133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,
     143,    -1,   145,    -1,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,    -1,   157,   158,   159,   160,   161,   162,
      -1,    -1,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,   194,   195,    -1,    -1,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,    -1,
     213,    -1,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,    -1,   228,    -1,   230,   231,   232,
     233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,
     243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,    -1,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,    -1,    -1,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,
     363,   364,   365,   366,   367,    -1,   369,    -1,   371,   372,
     373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,    -1,    -1,    -1,   398,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    12,    13,    14,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    -1,    -1,    -1,    56,
      57,    58,    59,    60,    61,    -1,    63,    64,    65,    66,
      67,    68,    -1,    70,    71,    72,    73,    74,    75,    -1,
      -1,    -1,    79,    -1,    -1,    -1,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    -1,    95,    96,
      97,    98,    99,    -1,   101,   102,   103,    -1,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,    -1,   123,   124,    -1,    -1,
     127,    -1,   129,   130,   131,    -1,   133,    -1,   135,   136,
      -1,   138,   139,   140,    -1,   142,    -1,    -1,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,   171,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,    -1,   189,   190,   191,    -1,   193,   194,   195,    -1,
      -1,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,    -1,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,    -1,    -1,
     237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,    -1,
     247,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
      -1,   258,    -1,   260,    -1,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,    -1,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,    -1,    -1,   343,    -1,   345,    -1,
      -1,   348,   349,   350,   351,   352,   353,    -1,    -1,   356,
     357,   358,   359,    -1,    -1,   362,   363,   364,   365,    -1,
     367,    -1,   369,   370,   371,   372,   373,    -1,    -1,   376,
      -1,    -1,   379,   380,   381,   382,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,   393,   394,    -1,    -1,
      -1,   398,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    12,    13,    14,    -1,   412,    -1,    -1,    -1,    -1,
      -1,    22,    23,    -1,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    -1,    -1,    -1,    56,    57,    58,    59,    60,
      61,    -1,    63,    64,    65,    66,    67,    68,    -1,    70,
      71,    72,    73,    74,    75,    -1,    -1,    -1,    79,    -1,
      -1,    -1,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    -1,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,    -1,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,    -1,   123,   124,    -1,    -1,   127,    -1,   129,   130,
     131,    -1,   133,    -1,   135,   136,    -1,   138,   139,   140,
      -1,   142,    -1,    -1,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
     171,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,    -1,   189,   190,
     191,    -1,   193,   194,   195,    -1,    -1,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,    -1,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,
     241,   242,   243,    -1,    -1,    -1,   247,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,    -1,   258,    -1,   260,
      -1,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,    -1,   330,
     331,    -1,   333,   334,   335,   336,   337,    -1,   339,   340,
      -1,    -1,   343,    -1,   345,    -1,    -1,   348,   349,   350,
     351,   352,   353,    -1,    -1,   356,   357,   358,   359,    -1,
      -1,   362,   363,   364,   365,    -1,   367,    -1,   369,   370,
     371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,
     381,   382,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,   393,   394,    -1,    -1,    -1,   398,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    12,    13,    14,
      -1,   412,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,
      25,    -1,    27,    28,    29,    -1,    31,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    61,    -1,    63,    64,
      65,    66,    67,    68,    -1,    70,    71,    72,    -1,    74,
      75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    -1,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,    -1,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,    -1,   133,    -1,
     135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,    -1,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,    -1,
     175,    -1,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,
     195,    -1,    -1,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,    -1,   213,    -1,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,    -1,   228,    -1,   230,   231,   232,   233,   234,
     235,    -1,   237,    -1,   239,    -1,   241,   242,   243,    -1,
      -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,   334,
     335,   336,   337,    -1,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
      -1,   356,   357,   358,   359,    -1,    -1,   362,   363,   364,
     365,   366,   367,    -1,   369,    -1,   371,   372,   373,    -1,
      -1,   376,    -1,    -1,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
      -1,    -1,    -1,   398,   399,   400,    -1,    -1,    -1,   404,
      -1,    -1,    -1,    -1,    -1,   410,   411,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,   235,
      -1,   237,    -1,   239,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,   399,   400,    -1,    -1,    -1,   404,    -1,
      -1,    -1,    -1,    -1,   410,   411,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    12,    13,    14,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,
      27,    28,    29,    -1,    31,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    61,    -1,    63,    64,    65,    66,
      67,    68,    -1,    70,    71,    72,    -1,    74,    75,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    -1,    95,    96,
      97,    98,    99,    -1,   101,   102,   103,    -1,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,
      -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,    -1,
     157,   158,   159,   160,   161,   162,    -1,    -1,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,    -1,   175,    -1,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,
      -1,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,    -1,   213,    -1,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,   226,
      -1,   228,    -1,   230,   231,   232,   233,   234,   235,    -1,
     237,    -1,   239,    -1,   241,   242,   243,    -1,    -1,   246,
      -1,    -1,    -1,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,    -1,   356,
     357,   358,   359,    -1,    -1,   362,   363,   364,   365,   366,
     367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,
      -1,    -1,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,    -1,
      -1,   398,   399,   400,    -1,    -1,    -1,   404,    -1,    -1,
      -1,    -1,    -1,   410,   411,     3,     4,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,
      -1,    -1,   410,   411,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,
      29,    -1,    31,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    61,    -1,    63,    64,    65,    66,    67,    68,
      -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    -1,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,    -1,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,    -1,
     129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,
     139,   140,    -1,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,    -1,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,    -1,   213,    -1,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,    -1,   228,
      -1,   230,   231,   232,   233,   234,    -1,    -1,   237,    -1,
      -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,
      -1,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,    -1,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,    -1,    -1,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,    -1,   356,   357,   358,
     359,    -1,    -1,   362,   363,   364,   365,   366,   367,    -1,
     369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,    -1,    -1,    -1,   398,
      -1,    -1,    -1,    -1,    -1,    -1,   405,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,   399,   400,   401,   402,    -1,   404,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,    -1,   400,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,    -1,   400,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,    -1,   400,     3,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    73,    74,    75,    -1,    -1,
      -1,    79,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,    -1,    -1,   241,   242,   243,    -1,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    73,    74,    75,    -1,    -1,    -1,    79,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,   238,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    73,    74,    75,
      -1,    -1,    -1,    79,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,   134,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,   134,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,   238,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    15,
      16,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,    -1,
     240,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,   238,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,   238,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    26,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    -1,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    73,    74,    75,
      -1,    -1,    -1,    79,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,    -1,   123,   124,    -1,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
     136,    -1,   138,   139,   140,    -1,   142,    -1,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,    -1,   189,   190,   191,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,   247,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,    -1,   258,    -1,   260,    -1,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,    -1,   345,
      -1,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      20,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    20,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,   144,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    20,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    27,    28,    29,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    -1,    74,    75,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,    -1,    -1,    -1,   139,   140,    -1,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,    -1,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
      -1,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,    -1,   228,    -1,   230,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,   246,    -1,    -1,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,   369,    -1,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    27,    28,    29,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    -1,    74,    75,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
      -1,    -1,    -1,   139,   140,    -1,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
      -1,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,    -1,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,    -1,   228,    -1,   230,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
     246,    -1,    -1,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
     366,   367,    -1,   369,    -1,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    27,    28,    29,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    -1,    74,    75,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,    -1,    -1,    -1,   139,
     140,    -1,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,    -1,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,    -1,   228,    -1,
     230,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,   246,    -1,    -1,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,   366,   367,    -1,   369,
      -1,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    27,    28,    29,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    -1,
      74,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,    -1,    -1,    -1,   139,   140,    -1,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,    -1,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,    -1,   228,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,   246,    -1,    -1,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,   369,    -1,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    -1,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    73,    74,    75,    -1,    -1,
      -1,    79,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,    -1,   123,   124,    -1,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,   136,    -1,
     138,   139,   140,    -1,   142,    -1,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
      -1,   189,   190,   191,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,    -1,   247,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,    -1,
     258,    -1,   260,    -1,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,    -1,   345,    -1,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    -1,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    73,    74,    75,    -1,    -1,    -1,    79,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
      -1,   123,   124,    -1,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,   136,    -1,   138,   139,   140,    -1,
     142,    -1,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,    -1,   189,   190,   191,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,    -1,   247,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,    -1,   258,    -1,   260,    -1,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,    -1,   345,    -1,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    -1,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    73,    74,    75,
      -1,    -1,    -1,    79,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,    -1,   123,   124,    -1,
      -1,   127,    -1,   129,   130,   131,    -1,   133,    -1,   135,
     136,    -1,   138,   139,   140,    -1,   142,    -1,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,   171,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,    -1,   189,   190,   191,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
      -1,   247,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,    -1,   258,    -1,   260,    -1,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,    -1,    -1,   343,    -1,   345,
      -1,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,   393,   394,    -1,
      -1,    -1,   398,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    -1,    -1,    -1,    56,    57,    58,    59,
      60,    61,    -1,    63,    64,    65,    66,    67,    68,    -1,
      70,    71,    72,    73,    74,    75,    -1,    -1,    -1,    79,
      -1,    -1,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    -1,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,    -1,   123,   124,    -1,    -1,   127,    -1,   129,
     130,   131,    -1,   133,    -1,   135,   136,    -1,   138,   139,
     140,    -1,   142,    -1,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,   171,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,    -1,   189,
     190,   191,    -1,   193,   194,   195,    -1,    -1,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,    -1,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,    -1,    -1,   237,    -1,    -1,
      -1,   241,   242,   243,    -1,    -1,    -1,   247,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,    -1,   258,    -1,
     260,    -1,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,    -1,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,    -1,    -1,   343,    -1,   345,    -1,    -1,   348,   349,
     350,   351,   352,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,    -1,    -1,   376,    -1,    -1,   379,
     380,   381,   382,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   392,   393,   394,    -1,    -1,    -1,   398,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    12,    13,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    -1,
      -1,    -1,    56,    57,    58,    59,    60,    61,    -1,    63,
      64,    65,    66,    67,    68,    -1,    70,    71,    72,    73,
      74,    75,    -1,    -1,    -1,    79,    -1,    -1,    -1,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      -1,    95,    96,    97,    98,    99,    -1,   101,   102,   103,
      -1,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,    -1,   123,
     124,    -1,    -1,   127,    -1,   129,   130,   131,    -1,   133,
      -1,   135,   136,    -1,   138,   139,   140,    -1,   142,    -1,
      -1,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,   171,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,    -1,   189,   190,   191,    -1,   193,
     194,   195,    -1,    -1,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
      -1,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,    -1,    -1,   237,    -1,    -1,    -1,   241,   242,   243,
      -1,    -1,    -1,   247,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,    -1,   258,    -1,   260,    -1,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,    -1,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,    -1,   343,
      -1,   345,    -1,    -1,   348,   349,   350,   351,   352,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
      -1,    -1,   376,    -1,    -1,   379,   380,   381,   382,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,   393,
     394,    -1,    -1,    -1,   398,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    12,    13,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    27,
      28,    29,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    -1,    63,    64,    65,    66,    67,
      68,    -1,    70,    71,    72,    -1,    74,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    -1,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
      -1,   129,   130,   131,    -1,   133,    -1,   135,    -1,    -1,
      -1,   139,   140,    -1,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,    -1,   175,    -1,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,    -1,   213,    -1,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,    -1,
     228,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,    -1,    -1,   241,   242,   243,    -1,    -1,   246,    -1,
      -1,    -1,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,    -1,    -1,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,   369,    -1,   371,   372,   373,    -1,    -1,   376,    -1,
      -1,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,    -1,    -1,
     398,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      12,    13,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    -1,    -1,    -1,    56,    57,    58,    59,    60,    61,
      -1,    63,    64,    65,    66,    67,    68,    -1,    70,    71,
      72,    73,    74,    75,    -1,    -1,    -1,    79,    -1,    -1,
      -1,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    -1,    95,    96,    97,    98,    99,    -1,   101,
     102,   103,    -1,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
      -1,   123,   124,    -1,    -1,   127,    -1,   129,   130,   131,
      -1,   133,    -1,   135,   136,    -1,   138,   139,   140,    -1,
     142,    -1,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,   171,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,    -1,   189,   190,   191,
      -1,   193,   194,   195,    -1,    -1,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,    -1,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,    -1,    -1,   237,    -1,    -1,    -1,   241,
     242,   243,    -1,    -1,    -1,   247,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,    -1,   258,    -1,   260,    -1,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,    -1,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,    -1,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
      -1,   343,    -1,   345,    -1,    -1,   348,   349,   350,   351,
     352,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,    -1,    -1,   376,    -1,    -1,   379,   380,   381,
     382,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     392,   393,   394,    -1,    -1,    -1,   398,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    12,    13,    14,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      26,    27,    28,    29,    30,    -1,    32,    -1,    -1,    -1,
      36,    37,    38,    39,    40,    -1,    -1,    43,    44,    -1,
      -1,    47,    -1,    49,    50,    51,    52,    -1,    -1,    -1,
      56,    57,    58,    59,    60,    61,    -1,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    73,    74,    75,
      -1,    -1,    -1,    79,    -1,    -1,    -1,    83,    84,    85,
      86,    87,    88,    -1,    -1,    91,    -1,    93,    -1,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,    -1,   123,   124,    -1,
      -1,   127,    -1,   129,    -1,   131,    -1,   133,    -1,   135,
     136,    -1,   138,   139,   140,    -1,   142,    -1,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,    -1,   189,   190,   191,    -1,   193,   194,   195,
      -1,    -1,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,   212,    -1,    -1,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,    -1,   231,    -1,   233,   234,    -1,
      -1,   237,    -1,    -1,    -1,   241,   242,   243,    -1,    -1,
      -1,   247,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,    -1,   258,    -1,   260,    -1,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,    -1,   311,   312,   313,   314,    -1,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,    -1,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,    -1,    -1,    -1,    -1,   343,    -1,   345,
      -1,    -1,   348,   349,   350,   351,   352,   353,    -1,    -1,
     356,   357,   358,   359,    -1,    -1,   362,   363,   364,   365,
      -1,    -1,    -1,   369,   370,   371,   372,   373,    -1,    -1,
     376,    -1,    -1,   379,   380,   381,   382,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,   393,   394,    -1,
      -1,    -1,   398
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     3,    13,    15,    16,    29,    49,    51,    52,    56,
      57,    67,    69,    88,    91,    97,   103,   109,   115,   121,
     123,   128,   141,   168,   193,   194,   199,   208,   226,   263,
     274,   278,   280,   285,   290,   293,   297,   303,   309,   312,
     319,   332,   348,   357,   359,   362,   366,   378,   419,   427,
     428,   429,   430,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   444,   445,   449,   459,   461,   462,   465,   466,
     467,   477,   478,   487,   515,   521,   522,   528,   534,   536,
     538,   539,   540,   541,   550,   554,   555,   556,   558,   559,
     560,   573,   574,   575,   576,   586,   592,   593,   596,   597,
     598,   599,   600,   605,   607,   610,   613,   614,   624,   625,
     628,   636,   655,   658,   659,   660,   663,   665,   667,   670,
     673,   674,   675,   683,   684,   685,   686,   687,   692,   694,
     695,   699,   700,   703,   704,   705,   707,   708,   709,   710,
     712,   713,   714,   719,   722,   725,   727,   728,   733,   735,
     739,   746,   749,   750,   751,   752,   753,   754,   781,   343,
     380,   688,    10,    66,    86,   107,   134,   139,   144,   159,
     241,   268,   292,   298,   304,   306,   332,   333,   337,   345,
     350,   360,   372,   535,   688,     3,     4,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    22,    23,    25,
      27,    28,    29,    31,    33,    34,    36,    37,    38,    39,
      40,    43,    44,    45,    46,    47,    49,    50,    51,    52,
      53,    56,    57,    58,    59,    60,    61,    63,    64,    65,
      66,    67,    68,    70,    71,    72,    74,    75,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    93,    95,    96,
      97,    98,    99,   101,   102,   103,   106,   107,   108,   109,
     110,   112,   113,   114,   116,   117,   119,   120,   121,   122,
     123,   124,   125,   127,   129,   130,   131,   133,   135,   139,
     140,   142,   143,   145,   147,   148,   149,   150,   151,   153,
     154,   155,   157,   158,   159,   160,   161,   162,   165,   166,
     167,   168,   169,   170,   171,   173,   175,   178,   180,   181,
     182,   183,   184,   185,   186,   188,   190,   193,   194,   195,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   213,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   225,   226,   228,   230,   231,   232,
     233,   234,   237,   241,   242,   243,   246,   250,   251,   252,
     253,   254,   255,   256,   258,   259,   260,   261,   262,   263,
     264,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   289,   290,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   304,   305,   306,   307,   309,
     310,   311,   312,   314,   315,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   330,   331,   333,
     334,   335,   336,   337,   339,   340,   343,   344,   345,   346,
     348,   349,   350,   351,   352,   353,   356,   357,   358,   359,
     362,   363,   364,   365,   366,   367,   369,   371,   372,   373,
     376,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   398,   883,   895,
     898,   899,   370,   715,   239,   264,   688,    32,   483,   750,
      10,    22,    42,    62,    86,    92,   107,   134,   140,   144,
     195,   241,   244,   292,   298,   306,   333,   334,   336,   337,
     345,   349,   350,   355,   360,   488,   529,   589,   629,   637,
      11,   263,   883,   883,   137,    11,   258,   334,   336,    10,
      22,    42,    66,    86,   107,   134,   139,   144,   159,   241,
     251,   292,   296,   298,   304,   306,   332,   333,   337,   345,
     350,   360,   372,   535,   601,   688,   883,   714,   721,     4,
      11,    27,   129,   135,   184,   215,   266,   279,   404,   410,
     411,   611,   883,   891,   894,    11,    69,   277,   303,   615,
     616,   617,   895,   174,   895,   400,   888,   892,   332,   759,
     611,   883,   895,   343,   883,   251,    86,   159,   331,   332,
     668,   297,   895,    11,   307,   339,   343,   451,   895,     8,
     141,   615,   616,   264,   688,   895,    11,   104,   761,    43,
      63,   195,   210,   292,   298,   307,   339,   343,   383,   450,
     451,    11,   307,   339,   343,   451,   343,   214,   238,   240,
     790,   879,   881,   895,   902,   759,   412,   895,   790,   792,
     138,   716,   419,   876,   276,   755,   756,   883,   750,   751,
       0,   423,   715,   118,   172,   245,   354,   762,   763,   750,
     752,   753,   424,    26,    30,    32,    73,    79,   136,   138,
     152,   164,   176,   177,   179,   189,   191,   212,   227,   247,
     248,   249,   291,   313,   370,   398,   879,   889,   896,   898,
     900,   603,   895,   884,   895,   603,    85,   623,   889,   893,
     895,   881,    50,   127,   403,   406,   407,   408,   410,   411,
     412,   413,   414,   415,   662,   845,   846,   895,   893,   883,
     881,   883,   790,   883,   300,   883,   603,   201,   893,   881,
     182,   178,   272,   689,   690,   691,   881,   887,   895,    10,
      42,    55,    62,    66,    86,   107,   139,   159,   183,   241,
     292,   296,   298,   304,   332,   333,   337,   345,   350,   372,
     535,   608,   892,   881,   341,   889,   883,   419,   345,   884,
     603,    85,   334,   336,   893,   334,   336,    50,   127,   662,
     283,   893,   446,   895,   883,   883,   300,   883,   603,   201,
     893,   304,   332,   372,   535,    66,   159,   139,   296,    11,
     883,   747,   792,   151,   889,   883,   151,   666,   151,   884,
      85,   151,   889,   151,   882,   883,    50,   127,   151,   662,
      36,   151,   882,   151,   883,   151,   883,   151,   883,   300,
     151,   883,   151,   201,   882,   182,   151,   602,   603,   419,
     726,   715,   894,    11,   894,    11,   894,   894,   891,   891,
     137,   156,   612,   267,   419,   419,   502,   502,   502,   239,
     341,   424,   502,   881,   790,   791,   612,   892,   419,   723,
      36,   883,   883,   881,   895,    26,   394,   178,   422,   242,
     242,   239,   137,   892,   341,   239,    19,    31,    33,    34,
      41,    42,    45,    46,    53,    76,    77,    78,    79,    80,
      81,    82,    89,    90,   108,   122,   125,   126,   130,   143,
     170,   171,   173,   188,   196,   197,   211,   213,   224,   229,
     230,   232,   241,   250,   259,   273,   294,   308,   315,   327,
     339,   340,   344,   346,   347,   355,   360,   367,   385,   386,
     387,   388,   389,   390,   391,   399,   401,   402,   403,   405,
     410,   411,   412,   419,   750,   801,   804,   807,   808,   809,
     811,   812,   813,   814,   817,   818,   822,   824,   825,   843,
     847,   864,   869,   877,   878,   879,   889,   890,   891,   892,
     892,    11,   463,   880,   881,   307,   450,    92,   457,   892,
     458,   892,   895,   892,    26,    47,   450,   394,   690,   242,
     137,   341,   406,    26,   394,   178,   691,   419,   881,   417,
     422,   870,   871,   412,   791,    20,   895,   309,   136,   717,
      92,   822,   874,   875,   755,   424,   419,   718,   420,   420,
     429,   881,    11,   104,   760,   760,    36,   760,   128,   132,
     192,   236,   766,   776,   778,   779,   762,   763,   876,   871,
     419,   581,   252,   281,   422,   604,   252,   281,   309,   378,
     431,   459,   460,     7,   109,   252,   309,   470,   381,    38,
      68,   124,   154,   252,   281,   289,   295,   302,   309,   317,
     325,   373,   460,   649,   656,   419,   638,     7,   109,   281,
     443,     7,    13,    52,   102,   109,   112,   161,   216,   252,
     281,   285,   309,   468,   469,   603,   603,   419,   661,   422,
     281,   309,   431,   460,   252,   281,    37,    84,   158,   203,
     205,   216,   251,   281,   286,   309,   319,   468,   524,   525,
     243,   252,   371,   544,   552,   281,   309,   468,   252,   281,
      60,   101,   253,   335,   239,   252,   281,   309,   132,   281,
     431,   460,   281,   309,   468,   883,   190,   240,   382,   424,
     689,   361,   711,   239,   889,   419,   883,   889,   233,    50,
     127,   662,   883,   300,   883,   182,   603,   502,   322,   323,
     480,   892,   419,   581,   582,    48,    31,    33,    34,    45,
      46,    89,    90,   130,   170,   171,   173,   211,   213,   232,
     273,   310,   315,   339,   340,   367,   398,   798,   800,   802,
     804,   806,   808,   809,   810,   812,   813,   817,   818,   896,
     898,   883,   431,    20,   706,   381,   431,   603,   603,   419,
     577,   488,   431,    26,   447,   350,   551,   252,   537,    60,
     101,   253,   335,     9,    28,   561,    20,   577,   132,   431,
     881,   516,   881,   881,   182,   603,    59,   887,   895,   889,
     883,    32,    83,   167,   216,   299,   361,   734,   122,   581,
      39,   287,   471,   122,   419,   122,   381,   122,   638,   122,
     424,   151,   603,   151,   603,   122,   661,   882,   122,   122,
     239,   122,   471,   122,    60,   101,   253,   335,   122,   239,
     122,   132,   151,   151,   458,   122,   424,   471,   822,   850,
      69,   515,   720,   725,   728,   733,   739,   746,   749,   883,
     419,   503,   504,   895,   503,    86,   134,   139,   182,   298,
     304,   332,   333,   618,   880,   882,   617,    92,   419,   729,
     749,   156,   424,   736,   883,   798,   851,    20,   882,   133,
     669,   669,   669,   190,   895,   132,   132,   618,   882,   297,
     895,   419,   417,   750,   852,   369,   815,   822,   868,   419,
     815,   815,   419,   419,   419,   419,   803,   803,   261,   750,
     419,   419,   805,   419,   419,   419,   419,    45,    46,   815,
     822,   419,   803,   419,   419,   419,   419,   419,   379,   397,
     419,   819,   419,   819,   419,   419,   750,   419,   419,   419,
     419,   419,   419,   419,   872,   822,   822,   366,   750,   822,
     850,   871,   892,    46,   419,   816,   419,   892,    17,    20,
      25,    30,   152,   156,   176,   177,   191,   224,   227,   241,
     244,   313,   398,   403,   406,   407,   408,   410,   411,   412,
     413,   414,   415,   421,   845,   847,   849,   249,   822,   174,
     424,   757,   871,   419,   892,    95,   153,   464,   424,    47,
      92,   458,    20,    92,   195,   398,   399,   411,   456,   527,
     818,   892,   894,    64,   106,   831,    75,    92,   126,   235,
     239,   347,   452,   453,   455,   458,   527,    92,   452,   190,
     881,   822,    11,    15,    16,    17,    18,    19,    20,    21,
      24,    35,    41,    42,    48,    54,    55,    62,    69,    76,
      77,    78,    80,    81,    82,    92,    94,   100,   104,   105,
     111,   115,   118,   126,   128,   132,   134,   137,   141,   144,
     146,   156,   163,   172,   174,   187,   192,   196,   197,   214,
     224,   229,   235,   236,   238,   239,   240,   244,   245,   257,
     265,   277,   288,   303,   308,   316,   329,   332,   338,   341,
     342,   347,   354,   355,   360,   361,   368,   374,   375,   377,
     378,   398,   412,   886,   897,   898,   899,   900,   901,   870,
      65,   286,   606,   895,   419,   740,   741,   742,   743,   744,
     895,   715,   420,   424,   756,   882,    20,   718,   752,   752,
     764,   765,   822,   752,   129,   215,   773,   272,   311,   359,
      11,   768,   822,   770,   771,   822,   824,   776,   777,   766,
     767,   132,   779,   766,   776,   412,   851,   252,   281,   309,
     341,   341,   886,   422,   341,   341,   333,   450,   701,    48,
      62,   134,   265,   355,   500,   501,    62,    92,   224,   341,
      92,   224,   298,   883,   239,   527,   302,   341,   341,   229,
     527,    96,   175,   298,   287,   649,   657,   156,   165,   246,
     310,   368,   420,   639,   642,   643,   644,   646,   798,   896,
     341,   360,    55,   500,   671,   671,   239,   296,   345,    62,
     671,    14,   284,   296,   345,   881,   161,   341,   341,   419,
     473,   333,   378,   379,   473,   424,   361,   361,   222,   798,
     252,   662,   341,   432,   341,   341,   527,    36,   526,   527,
     527,    84,   203,   205,    36,   341,   431,   298,   431,   216,
     525,   419,   341,   229,   892,   544,   341,   671,   298,   341,
     341,   603,   603,   603,   603,   881,   341,   341,   298,    82,
     360,   557,   893,   341,   432,   341,   298,   252,   281,   272,
     282,   305,   454,   689,   887,   881,   581,   798,   239,   638,
     527,   603,   603,   661,   176,   239,    60,   101,   253,   335,
     239,   603,   176,   378,   484,   431,   398,   583,   584,   577,
     419,   800,    20,    19,   799,    87,   149,   204,   207,   301,
     392,   419,   820,   821,   604,   803,     9,   696,   798,   883,
     432,   589,   361,   578,   579,   897,   372,   432,   893,    69,
     141,   448,   487,   521,   560,   613,   628,   692,   892,   552,
     553,   883,   198,   603,   603,   603,   603,    97,   168,   348,
     359,   562,   563,   116,   419,   557,   432,   523,   524,    20,
     234,   419,   517,   502,   458,   132,   887,   239,   419,   640,
      20,   378,   379,   748,   299,   419,   750,   783,   784,   785,
     790,   793,   825,   879,   889,   375,   795,   889,   471,   798,
     884,   151,   883,   889,   471,   882,   883,   122,   361,   122,
     361,   662,   471,   471,   882,   883,   881,   883,   883,   883,
     881,   882,   557,   122,   122,   471,   602,   603,   420,   424,
     488,   503,   420,   424,   420,   882,    85,   306,   622,   623,
     882,   882,   880,   880,   882,   341,   378,   626,   366,   730,
     731,   895,   288,   732,     5,   120,   294,   311,   737,   790,
     228,   738,   420,   424,   724,   728,   733,   739,   749,   341,
     616,   615,   616,   137,   142,   627,   895,   850,   418,   850,
     852,   853,   419,   374,   865,   866,   822,   850,   891,   891,
     850,    87,   149,   204,   207,   301,   392,   398,   854,   855,
     892,   891,   850,   850,   891,   891,   815,   815,   822,   662,
     822,   856,   410,   411,   823,   824,   843,   847,   858,   420,
     850,   822,   850,   859,   339,   394,   891,   891,   822,    35,
     137,   187,   342,   822,   850,   862,   850,   209,   822,   829,
     830,   831,   209,   822,   831,   870,   420,   424,   309,   891,
     891,   820,   822,   897,   339,    24,   329,   873,   822,   419,
     750,   863,   104,   106,   126,   224,   229,   234,   347,   356,
     822,    30,   152,   156,   191,   313,   419,   822,   341,   822,
     822,   822,   822,   822,   822,   822,   822,   822,   798,   822,
      11,    18,   316,   844,   294,   419,   843,   140,   195,   332,
     334,   336,   758,   881,   878,   137,   782,    11,   104,   368,
     412,   420,   850,   881,   343,   399,   419,   892,   424,   420,
     418,   425,   150,   150,   471,   744,   745,   424,   782,   406,
     872,   713,   881,   874,   420,   750,   424,    21,   100,   361,
     634,   419,   769,   894,   240,   234,   780,   780,   236,   424,
     192,   294,   295,   772,   777,   767,   420,   420,   341,   341,
     298,   893,   883,   886,   893,   884,   883,    61,   702,   419,
     883,   180,   180,   419,   883,   229,   893,   822,   229,   883,
     216,   252,   364,   531,   544,   229,    96,   175,   893,   883,
     239,   883,   246,   896,   420,   424,   644,   646,   643,   646,
     896,   604,   893,   882,   492,   895,   895,   883,   883,    11,
     360,   883,   883,   895,   296,   345,   296,   345,   883,    11,
     360,   883,   881,   893,   883,   475,   476,   897,   883,   237,
      52,   237,   469,   885,   895,   885,   424,   420,   424,   341,
     893,     8,    61,    70,    71,    72,   114,   156,   161,   200,
     217,   218,   219,   220,   221,   223,   256,   292,   328,   330,
     353,   360,   363,   433,   893,   883,   527,   603,   883,   527,
     883,   527,     7,   109,   309,   545,   546,   547,   548,   897,
     893,   883,   883,   883,   893,   883,     7,    13,   109,   252,
     281,   252,   281,   577,   281,   281,   281,   893,   883,   883,
     306,   893,   883,   883,   341,   341,    58,   352,   272,   176,
      20,   603,   176,   176,   361,   361,   176,   229,   609,   892,
     603,   603,   603,   603,   603,   603,   176,   609,   237,   137,
     341,   479,   481,   406,   420,   424,   822,    19,   799,   798,
     417,   417,   341,   341,   341,   419,   341,   891,   803,   562,
      61,   113,   185,   186,   198,   252,   333,   335,   697,   493,
     531,   532,   132,   885,   420,   424,   406,   881,   447,   244,
     488,   134,   892,   577,   577,   577,   577,   239,   244,   419,
     796,   797,   895,   306,   121,   749,   881,   191,   489,   490,
     491,   492,   497,   500,   518,   519,   895,   378,   379,   511,
      20,   145,   892,   239,   881,   420,   641,   642,   647,    20,
     182,   289,   377,   648,   649,   650,   676,   148,   148,   132,
     750,   784,   785,    20,   786,   895,   424,    73,   138,   164,
     179,   189,   212,   291,   787,   786,    20,   786,   895,   871,
     419,    75,   822,   732,   581,    20,   122,   471,   638,   603,
     885,   603,   885,   661,   239,   471,   471,   239,   471,   306,
     132,   458,   471,   822,   332,   420,   504,   381,   882,   424,
     144,   619,   620,   893,     8,   627,   420,   424,   872,   877,
     120,   311,   120,   311,   294,   359,   206,   798,   883,   137,
     239,   619,    36,   471,   420,   418,   418,   424,   850,   822,
     111,   866,   867,    20,   420,   420,   420,   420,   420,   137,
     420,   420,   420,   420,   420,   424,   420,   257,   857,   420,
     823,   823,   156,   176,   241,   406,   407,   408,   410,   411,
     412,   413,   414,   415,   421,   847,   823,   420,   420,   132,
     137,   860,   861,   420,   394,   420,   420,    20,   862,   850,
     862,   862,   137,   420,   420,   897,    20,   420,   424,   822,
     897,   424,   822,   872,   822,   895,   420,   420,   394,   823,
     823,   117,   850,   137,   104,   106,   126,   229,   234,   347,
     356,   419,   117,   329,   873,   822,   863,   822,   341,   662,
     822,   419,   750,   334,   336,   334,   336,   881,   759,   759,
     783,   375,   794,   850,   850,   822,   420,   248,   836,   420,
     424,   690,   891,   820,   453,   822,   420,   424,   741,   795,
     874,   765,   241,   845,   848,   395,   396,   635,   822,   772,
     880,   738,   738,   770,   770,   768,   128,   893,   883,   883,
     192,   822,   501,   419,   419,   503,   471,   364,   341,   530,
     883,   544,   166,   229,   604,   642,   646,   646,   414,   798,
     109,   309,   470,   672,   471,   471,   883,   883,   883,   883,
     420,   424,   406,   422,   252,   281,     7,   109,   252,   281,
     798,   222,   798,   893,   882,   192,   256,   144,   292,   229,
     892,   882,   891,   256,   882,   358,   547,   548,   547,   420,
     424,   549,   892,   341,   201,   201,   201,   341,   341,   341,
     341,   341,   341,   341,   883,   893,   883,   609,   798,   176,
     609,   609,   885,   885,   609,   176,   176,   176,   176,   176,
     176,   609,   480,    32,    74,    98,   117,   133,   147,   229,
     237,   270,   482,   241,   410,   411,   527,   580,   646,   848,
     892,   901,   398,   584,   420,   417,   420,   891,   418,   891,
     149,   204,   821,   204,   821,   821,   891,   207,   420,   239,
     192,   406,   698,   698,   698,   698,   698,   698,   698,    48,
      62,    92,    94,   163,   224,   229,   265,   277,   355,   494,
     495,   496,   243,   542,   350,   579,   580,   502,   283,   332,
      85,   881,   563,   585,   892,   420,   424,   798,   883,   883,
     378,   520,   419,   881,   420,   424,   420,   424,   237,   473,
     237,   239,   512,   749,   530,   341,   881,   361,   630,   420,
     424,    92,   406,   651,   892,   458,   332,   645,   646,   378,
     650,   652,   239,   749,   420,   895,   419,   784,   179,   247,
     788,   784,   788,   179,   787,   788,   179,   419,   895,   419,
     850,   234,   471,   798,   883,   471,   361,   471,   361,   471,
     471,   881,   881,   883,   557,   471,   881,   882,   623,   893,
     378,   424,   621,   242,   749,   731,   120,   120,   882,   618,
     471,   893,   852,   420,   338,   822,   115,   798,   822,   822,
     822,   860,   823,   104,   106,   224,   234,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   798,   823,   822,   822,
     861,   860,   819,   819,   798,   420,   420,   420,   850,   420,
     424,   897,   830,   262,   326,   832,   420,   424,   371,   826,
      20,   420,   816,   892,   822,    17,    17,   822,   420,   822,
     137,   419,   851,   822,   823,   823,   117,   117,   822,   420,
     117,   822,   759,   759,   759,   759,   881,   881,   822,   144,
     774,   420,   420,   420,   836,   419,   837,   895,   836,   892,
     368,   420,   418,   406,   744,   732,   419,   635,   420,   240,
     773,   698,   420,   503,   503,   420,   893,   604,   166,   414,
     350,   493,   224,    85,   224,   321,   324,   350,   476,   580,
     897,   341,   341,   139,   241,   324,   587,   588,   139,   241,
     594,   595,   341,   341,   420,   420,   420,   894,   892,   882,
     882,   892,   892,   546,   883,   132,   132,   283,   132,   151,
     893,   883,   893,   883,   883,   883,   883,   544,   420,   609,
     176,   176,   609,   609,   609,   609,   609,   609,   361,   485,
     486,   706,   706,   224,   270,   706,   706,    94,   163,   224,
     570,   571,   572,   891,   378,   379,   418,   418,   420,   820,
     881,   698,    92,   891,   892,    92,   892,    92,   892,    92,
     892,    92,   883,    92,   883,    92,   883,   419,   883,   823,
      95,   153,    94,   229,   180,   881,   652,   419,   798,    20,
     881,   381,   132,   564,   420,   424,   797,   542,   726,    85,
     216,   489,   498,   162,   510,   491,   519,   895,    57,   333,
     513,   378,   693,   532,   892,   630,   885,   419,   647,   822,
     822,   424,   419,   648,   577,    97,   168,   303,   359,   681,
     786,   419,   882,   784,   239,   361,   789,   784,   179,   784,
     796,   419,   796,   895,   420,   405,   883,   420,   471,   885,
     885,   471,   471,   306,   419,   141,   620,   627,   137,   822,
     420,   420,   861,   137,   104,   106,   234,   419,   420,   384,
     828,   850,   376,   376,   420,   822,   216,   822,   424,   827,
     800,   820,   823,   823,   822,   851,   420,    17,    17,   822,
     822,   117,   822,   420,   881,   881,   881,   881,    36,   146,
     775,   836,   836,   836,   838,   895,   822,   892,   876,   662,
     769,   894,   420,   420,   652,   350,   229,   229,   894,   895,
     798,   406,   893,   883,   891,   891,   798,   424,   891,   891,
     424,   893,   883,   882,   882,   603,   882,   122,   176,   609,
     609,   431,    99,   892,   892,   229,   503,   892,   892,    95,
     153,    94,   572,   571,   418,   139,   165,   139,   137,   569,
     894,   822,   224,   495,   652,   502,   361,   514,   543,   547,
     361,   749,   419,   883,   110,   565,   121,   892,    85,   420,
     119,   157,   499,   419,   511,    97,   109,   262,   883,    40,
      48,   195,   181,   533,   137,   419,   419,   631,   632,   825,
     895,   892,   644,   653,   654,   896,   652,   341,   882,   420,
     822,   419,   784,   789,   420,   796,   420,   471,   471,   471,
     883,   242,   471,   619,   823,   137,   419,   851,   419,   420,
     424,   420,   420,   365,   318,   420,   420,   420,   823,   823,
     822,   850,   822,   377,   833,   255,   839,   420,   820,   420,
     772,   277,   652,   514,   361,   472,   580,   419,   889,   662,
     588,   419,   419,   595,   378,   283,   378,   378,   132,   609,
     481,   892,   503,   623,    20,   664,   664,   881,   570,   420,
     514,   202,   505,   159,   420,   424,   885,   693,   542,   294,
     320,   566,   269,   511,    63,    93,   160,    63,    93,   160,
     880,   512,   295,   295,    48,   242,    48,   892,   603,   631,
     822,   420,   424,   361,   603,   633,   633,   646,   420,   424,
     881,   420,   882,   420,   471,   823,   851,   420,   829,   850,
     216,   393,   834,   835,   895,    36,   762,   763,   836,   240,
     881,   514,   822,   851,   638,   275,   591,   661,   851,   851,
     602,   603,   602,   603,   882,   664,    23,   155,   132,   138,
     254,   314,   239,   506,   507,   508,   333,   547,   127,   590,
     889,   512,   420,   513,   242,   242,   420,   420,   378,   474,
     632,   603,   634,   634,   648,   653,   794,   420,   420,   420,
     420,   365,   424,    20,   850,   271,   295,   840,   502,   420,
     591,   420,   420,   378,   110,    97,   359,   239,   508,   239,
     507,   883,   603,    20,   419,   513,   474,   633,   473,   513,
     635,   635,   652,   105,   835,   837,    30,    75,   351,   841,
     842,   841,   420,   505,   889,   603,   294,    39,   216,   287,
     309,   509,   509,   587,   399,   401,   402,   567,   568,   891,
     892,   895,   513,   634,   794,    12,   169,   682,   842,   294,
     131,   260,   506,   638,   121,     6,    92,   229,   420,   424,
     794,   635,   225,   419,   677,   679,   684,   728,   733,   739,
     749,    17,   570,   269,   568,   678,   679,   680,   750,   751,
     842,   889,   420,   423,   419,   680,   567,   420
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1806 of yacc.c  */
#line 581 "gram.y"
    { parsetree = (yyvsp[(1) - (1)].list); }
    break;

  case 3:

/* Line 1806 of yacc.c  */
#line 586 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 592 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					  else
						(yyval.list) = NIL;
					}
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 701 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 712 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 722 "gram.y"
    {}
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 723 "gram.y"
    {}
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 732 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 733 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 738 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 743 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 747 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 752 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 757 "gram.y"
    {
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
				}
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 761 "gram.y"
    {
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
				}
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 765 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 769 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
				}
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 773 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
				}
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 777 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
				}
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 781 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
				}
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 785 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
				}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 789 "gram.y"
    {
					/* For backwards compatibility, synonym for SUPERUSER */
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
				}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 794 "gram.y"
    {
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
				}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 798 "gram.y"
    {
					(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
				}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 802 "gram.y"
    {
					(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
				}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 806 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 810 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 815 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 820 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 824 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 828 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 832 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 836 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 850 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 868 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 879 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 896 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 908 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 928 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 935 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 954 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 961 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 978 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 996 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1006 "gram.y"
    { (yyval.ival) = +1; }
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1007 "gram.y"
    { (yyval.ival) = -1; }
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1020 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1027 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1044 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1056 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1067 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1068 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1072 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1073 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 1101 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 1107 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 1113 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 1122 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 1130 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1138 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1145 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1152 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 1160 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 1171 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 1179 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 1187 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 scanner_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 1195 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 1203 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1214 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 1222 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 1230 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 1237 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 1246 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 1248 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 1254 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 1255 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 1259 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 1261 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 1263 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 1266 "gram.y"
    { (yyval.str) = "read uncommitted"; }
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 1267 "gram.y"
    { (yyval.str) = "read committed"; }
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 1268 "gram.y"
    { (yyval.str) = "repeatable read"; }
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 1269 "gram.y"
    { (yyval.str) = "serializable"; }
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 1273 "gram.y"
    { (yyval.str) = "true"; }
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 1274 "gram.y"
    { (yyval.str) = "false"; }
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 1275 "gram.y"
    { (yyval.str) = "on"; }
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 1276 "gram.y"
    { (yyval.str) = "off"; }
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 1289 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 1293 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 1297 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 scanner_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 1312 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 scanner_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 scanner_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 1334 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 1335 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 1336 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 1340 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 1341 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 1342 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 1346 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 1347 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 1352 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 1359 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 1366 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 1373 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 1380 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 1389 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 1390 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 1396 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 1402 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 1408 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 1414 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 1420 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 1430 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred    = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 1439 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 1440 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 1444 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 1445 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 1454 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 1469 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 1475 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 1481 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 1487 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 1505 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 1513 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					(yyval.node) = (Node *)n;
				}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 1521 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 1529 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					(yyval.node) = (Node *)n;
				}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 1539 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 1540 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 1546 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 1554 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 1563 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 1571 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 1579 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 1588 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 1597 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 1609 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (7)].str);
					n->def = (Node *) (yyvsp[(6) - (7)].typnam);
					n->transform = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 1619 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 1627 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 1636 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 1643 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 1650 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 1658 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 1666 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 1674 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 1682 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 1690 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 1697 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 1704 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 1712 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 1719 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 1726 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 1734 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 1742 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 1750 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 1758 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 1766 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 1774 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 1782 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 1790 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 1798 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 1807 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); }
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 1808 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 1812 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; }
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 1813 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; }
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 1814 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 1818 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 1819 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 1823 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 1826 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 1827 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 1831 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 1832 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 1838 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 1842 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 1846 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 1851 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 1866 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 1872 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 1896 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 1918 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 1931 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 1932 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 1941 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 1942 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 1943 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 1949 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 1950 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 1956 "gram.y"
    {
					(yyval.defelt) = makeDefElem("binary", (Node *)makeInteger(TRUE));
				}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 1960 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 1964 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 1968 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 1972 "gram.y"
    {
					(yyval.defelt) = makeDefElem("csv", (Node *)makeInteger(TRUE));
				}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 1976 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 1980 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 1984 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 1988 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 1992 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_notnull", (Node *)(yyvsp[(4) - (4)].list));
				}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2001 "gram.y"
    {
					(yyval.defelt) = makeDefElem("binary", (Node *)makeInteger(TRUE));
				}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2004 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2009 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2012 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2018 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2021 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2025 "gram.y"
    {}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2026 "gram.y"
    {}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2039 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->istemp = (yyvsp[(2) - (11)].boolean);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2053 "gram.y"
    {
					/* SQL99 CREATE TABLE OF <UDT> (cols) seems to be satisfied
					 * by our inheritance capabilities. Let's try it...
					 */
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (12)].range)->istemp = (yyvsp[(2) - (12)].boolean);
					n->relation = (yyvsp[(4) - (12)].range);
					n->tableElts = (yyvsp[(8) - (12)].list);
					n->inhRelations = list_make1((yyvsp[(6) - (12)].range));
					n->constraints = NIL;
					n->options = (yyvsp[(10) - (12)].list);
					n->oncommit = (yyvsp[(11) - (12)].oncommit);
					n->tablespacename = (yyvsp[(12) - (12)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2077 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2078 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2079 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2080 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2081 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2082 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2083 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2087 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2088 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2093 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2097 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2103 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2104 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2105 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2109 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typename = (yyvsp[(2) - (3)].typnam);
					n->constraints = (yyvsp[(3) - (3)].list);
					n->is_local = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2120 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2121 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2126 "gram.y"
    {
					switch (nodeTag((yyvsp[(3) - (3)].node)))
					{
						case T_Constraint:
							{
								Constraint *n = (Constraint *)(yyvsp[(3) - (3)].node);
								n->name = (yyvsp[(2) - (3)].str);
							}
							break;
						case T_FkConstraint:
							{
								FkConstraint *n = (FkConstraint *)(yyvsp[(3) - (3)].node);
								n->constr_name = (yyvsp[(2) - (3)].str);
							}
							break;
						default:
							break;
					}
					(yyval.node) = (yyvsp[(3) - (3)].node);
				}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2146 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2147 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2167 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->name = NULL;
					n->raw_expr = NULL;
					n->cooked_expr = NULL;
					n->keys = NULL;
					n->indexspace = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2178 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->name = NULL;
					n->raw_expr = NULL;
					n->cooked_expr = NULL;
					n->keys = NULL;
					n->indexspace = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2189 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->name = NULL;
					n->raw_expr = NULL;
					n->cooked_expr = NULL;
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2201 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->name = NULL;
					n->raw_expr = NULL;
					n->cooked_expr = NULL;
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2213 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->name = NULL;
					n->raw_expr = (yyvsp[(3) - (4)].node);
					n->cooked_expr = NULL;
					n->keys = NULL;
					n->indexspace = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2224 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->name = NULL;
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					n->keys = NULL;
					n->indexspace = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2235 "gram.y"
    {
					FkConstraint *n = makeNode(FkConstraint);
					n->constr_name		= NULL;
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->deferrable		= FALSE;
					n->initdeferred		= FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2264 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2270 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2276 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					(yyval.node) = (Node *)n;
				}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2282 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2300 "gram.y"
    {
					InhRelation *n = makeNode(InhRelation);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2309 "gram.y"
    { (yyval.list) = lappend_int((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].ival)); }
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2310 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2314 "gram.y"
    { (yyval.ival) = 	CREATE_TABLE_LIKE_INCLUDING_DEFAULTS; }
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2315 "gram.y"
    { (yyval.ival) = 	CREATE_TABLE_LIKE_EXCLUDING_DEFAULTS; }
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2316 "gram.y"
    { (yyval.ival) = 	CREATE_TABLE_LIKE_INCLUDING_CONSTRAINTS; }
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2317 "gram.y"
    { (yyval.ival) = 	CREATE_TABLE_LIKE_EXCLUDING_CONSTRAINTS; }
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2318 "gram.y"
    { (yyval.ival) = 	CREATE_TABLE_LIKE_INCLUDING_INDEXES; }
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2319 "gram.y"
    { (yyval.ival) = 	CREATE_TABLE_LIKE_EXCLUDING_INDEXES; }
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2329 "gram.y"
    {
					switch (nodeTag((yyvsp[(3) - (3)].node)))
					{
						case T_Constraint:
							{
								Constraint *n = (Constraint *)(yyvsp[(3) - (3)].node);
								n->name = (yyvsp[(2) - (3)].str);
							}
							break;
						case T_FkConstraint:
							{
								FkConstraint *n = (FkConstraint *)(yyvsp[(3) - (3)].node);
								n->constr_name = (yyvsp[(2) - (3)].str);
							}
							break;
						default:
							break;
					}
					(yyval.node) = (yyvsp[(3) - (3)].node);
				}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2349 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2354 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->name = NULL;
					n->raw_expr = (yyvsp[(3) - (4)].node);
					n->cooked_expr = NULL;
					n->indexspace = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2364 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->name = NULL;
					n->raw_expr = NULL;
					n->cooked_expr = NULL;
					n->keys = (yyvsp[(3) - (6)].list);
					n->options = (yyvsp[(5) - (6)].list);
					n->indexspace = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2376 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->name = NULL;
					n->raw_expr = NULL;
					n->cooked_expr = NULL;
					n->keys = (yyvsp[(4) - (7)].list);
					n->options = (yyvsp[(6) - (7)].list);
					n->indexspace = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2389 "gram.y"
    {
					FkConstraint *n = makeNode(FkConstraint);
					n->constr_name		= NULL;
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					n->deferrable		= ((yyvsp[(11) - (11)].ival) & 1) != 0;
					n->initdeferred		= ((yyvsp[(11) - (11)].ival) & 2) != 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2405 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2406 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2410 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2411 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2415 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				}
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2421 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2425 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 scanner_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2433 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2437 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2450 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2452 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); }
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2454 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); }
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 2456 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); }
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 2458 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 2461 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 2464 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 2468 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 2469 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 2470 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 2471 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 2472 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 2475 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 2476 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 2481 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 2482 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); }
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 2483 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); }
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 2484 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 2487 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; }
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 2488 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 2489 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 2490 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 2493 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 2494 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 2497 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 2498 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 2509 "gram.y"
    {
					/*
					 * When the SelectStmt is a set-operation tree, we must
					 * stuff the INTO information into the leftmost component
					 * Select, because that's where analyze.c will expect
					 * to find it.	Similarly, the output column names must
					 * be attached to that Select's target list.
					 */
					SelectStmt *n = findLeftmostSelect((SelectStmt *) (yyvsp[(6) - (7)].node));
					if (n->intoClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE AS cannot specify INTO"),
								 scanner_errposition(exprLocation((Node *) n->intoClause))));
					(yyvsp[(4) - (7)].into)->rel->istemp = (yyvsp[(2) - (7)].boolean);
					n->intoClause = (yyvsp[(4) - (7)].into);
					/* Implement WITH NO DATA by forcing top-level LIMIT 0 */
					if (!(yyvsp[(7) - (7)].boolean))
						((SelectStmt *) (yyvsp[(6) - (7)].node))->limitCount = makeIntConst(0, -1);
					(yyval.node) = (yyvsp[(6) - (7)].node);
				}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 2534 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
				}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 2545 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 2546 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 2550 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 2551 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 2556 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (1)].str);
					n->typename = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 2571 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 2572 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 2573 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 2587 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->istemp = (yyvsp[(2) - (5)].boolean);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 2598 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 2606 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 2607 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 2610 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 2611 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 2615 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 2619 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 2623 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 2627 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 2631 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 2635 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 2639 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 2643 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 2647 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 2651 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 2655 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 2659 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 2664 "gram.y"
    {}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 2665 "gram.y"
    {}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 2669 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); }
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 2671 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 2675 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); }
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 2688 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->plname = (yyvsp[(5) - (5)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 2699 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->plname = (yyvsp[(5) - (9)].str);
				n->plhandler = (yyvsp[(7) - (9)].list);
				n->plvalidator = (yyvsp[(8) - (9)].list);
				n->pltrusted = (yyvsp[(2) - (9)].boolean);
				/* LANCOMPILER is now ignored entirely */
				(yyval.node) = (Node *)n;
			}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 2711 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 2712 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 2720 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 2721 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 2725 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 2726 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 2730 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 2731 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 2735 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 2736 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 2741 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(4) - (5)].str);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 2749 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 2759 "gram.y"
    {}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 2760 "gram.y"
    {}
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 2771 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 2780 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 2781 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 2795 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 2802 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 2818 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->validator = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 2835 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 2843 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(7) - (8)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 2860 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->validator = (yyvsp[(6) - (7)].list);
					n->change_validator = true;
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 2869 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->validator = (yyvsp[(6) - (6)].list);
					n->change_validator = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 2877 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 2887 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 2888 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 2893 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 2897 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 2904 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 2909 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 2913 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 2920 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 2924 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 2929 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 2934 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 2941 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 2947 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 2952 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 2964 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 2976 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 2977 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 2982 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 2983 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 2987 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 2988 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 2999 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3007 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(5) - (6)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3024 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3033 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3041 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3057 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3068 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3069 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3070 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); }
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3081 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3089 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3106 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3127 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->funcname = (yyvsp[(11) - (14)].list);
					n->args = (yyvsp[(13) - (14)].list);
					n->before = (yyvsp[(4) - (14)].boolean);
					n->row = (yyvsp[(8) - (14)].boolean);
					n->events = (yyvsp[(5) - (14)].ival);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3147 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (19)].str);
					n->relation = (yyvsp[(8) - (19)].range);
					n->funcname = (yyvsp[(16) - (19)].list);
					n->args = (yyvsp[(18) - (19)].list);
					n->before = FALSE;
					n->row = TRUE;
					n->events = (yyvsp[(6) - (19)].ival);
					n->isconstraint  = TRUE;
					n->deferrable = ((yyvsp[(10) - (19)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(10) - (19)].ival) & 2) != 0;
					n->constrrel = (yyvsp[(9) - (19)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3165 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3166 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3171 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3173 "gram.y"
    {
					if ((yyvsp[(1) - (3)].ival) & (yyvsp[(3) - (3)].ival))
						yyerror("duplicate trigger events specified");
					(yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival);
				}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3181 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSERT; }
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3182 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_DELETE; }
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3183 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_UPDATE; }
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3184 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_TRUNCATE; }
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3189 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3193 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3203 "gram.y"
    {}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3204 "gram.y"
    {}
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3208 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3209 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3213 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3214 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3215 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3220 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3225 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3226 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3227 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3228 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3229 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3233 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); }
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3234 "gram.y"
    { (yyval.range) = NULL; }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3239 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3241 "gram.y"
    {
					if ((yyvsp[(1) - (2)].ival) == 0 && (yyvsp[(2) - (2)].ival) != 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 scanner_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);
				}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3250 "gram.y"
    {
					if ((yyvsp[(1) - (1)].ival) != 0)
						(yyval.ival) = 3;
					else
						(yyval.ival) = 0;
				}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3257 "gram.y"
    {
					if ((yyvsp[(2) - (2)].ival) == 0 && (yyvsp[(1) - (2)].ival) != 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 scanner_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);
				}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3266 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3270 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3271 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3275 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3276 "gram.y"
    { (yyval.ival) = 2; }
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3282 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3292 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3315 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					n->deferrable = ((yyvsp[(8) - (8)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(8) - (8)].ival) & 2) != 0;

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3333 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = NULL;
					n->property = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3356 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3366 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3377 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3387 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3397 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3408 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);
					RangeVar *r = makeNode(RangeVar);

					/* can't use qualified_name, sigh */
					switch (list_length((yyvsp[(3) - (7)].list)))
					{
						case 1:
							r->catalogname = NULL;
							r->schemaname = NULL;
							r->relname = strVal(linitial((yyvsp[(3) - (7)].list)));
							break;
						case 2:
							r->catalogname = NULL;
							r->schemaname = strVal(linitial((yyvsp[(3) - (7)].list)));
							r->relname = strVal(lsecond((yyvsp[(3) - (7)].list)));
							break;
						case 3:
							r->catalogname = strVal(linitial((yyvsp[(3) - (7)].list)));
							r->schemaname = strVal(lsecond((yyvsp[(3) - (7)].list)));
							r->relname = strVal(lthird((yyvsp[(3) - (7)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString((yyvsp[(3) - (7)].list))),
											scanner_errposition((yylsp[(3) - (7)]))));
							break;
					}
					r->location = (yylsp[(3) - (7)]);
					n->typevar = r;
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3444 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typename = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3451 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3460 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3469 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3478 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3488 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3491 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3492 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3496 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3500 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3506 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3507 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3508 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3509 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3510 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3513 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3514 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3517 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 3520 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 3521 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 3530 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 3536 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 3538 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 3556 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 3569 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 3570 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 3575 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 3584 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->number = (yyvsp[(2) - (5)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 3593 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 3602 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 3612 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				}
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 3620 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 3621 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 3624 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 3625 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 3629 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 scanner_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 3642 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 3648 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 3658 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 3667 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 3678 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 3679 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 3684 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 3692 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 3704 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 3713 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 3725 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 3734 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 3755 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 3765 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 3783 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 3792 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 3803 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 3804 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 3805 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 3806 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 3807 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 3808 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 3809 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 3810 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 3811 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 3812 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 3813 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 3814 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 3818 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 3819 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 3822 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 3823 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 3827 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); }
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 3829 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 3842 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 3852 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 3853 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 3854 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 3880 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 3889 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 3898 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 3907 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 3916 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 3925 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 3934 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 3944 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 3953 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 3962 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 3971 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 3980 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 3989 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 3998 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4006 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4014 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4022 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4032 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4033 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4034 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4035 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4036 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4037 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4038 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4039 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4040 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4041 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4042 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4043 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4047 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4048 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4059 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (4)].node);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4066 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					n->portalname = (yyvsp[(2) - (2)].str);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4075 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (4)].node);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4082 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					n->portalname = (yyvsp[(2) - (2)].str);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4094 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4101 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4108 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4115 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4122 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4129 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (2)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4136 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (2)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4143 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (1)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4150 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4157 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4164 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (2)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4171 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4178 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4185 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (2)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4192 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4200 "gram.y"
    {}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4201 "gram.y"
    {}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4213 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4228 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4241 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4265 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4267 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4269 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4271 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4278 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4286 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); }
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4287 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); }
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4291 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4298 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4305 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4312 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4326 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4333 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4340 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4347 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4354 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4361 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4368 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4375 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4382 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4389 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4399 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4400 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4404 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4414 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4427 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4428 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4432 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); }
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4434 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); }
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4439 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4455 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4468 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4478 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4489 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4490 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4493 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4494 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4512 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (13)].boolean);
					n->concurrent = false;
					n->idxname = (yyvsp[(4) - (13)].str);
					n->relation = (yyvsp[(6) - (13)].range);
					n->accessMethod = (yyvsp[(7) - (13)].str);
					n->indexParams = (yyvsp[(9) - (13)].list);
					n->options = (yyvsp[(11) - (13)].list);
					n->tableSpace = (yyvsp[(12) - (13)].str);
					n->whereClause = (yyvsp[(13) - (13)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4528 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = true;
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4544 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4545 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4549 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4550 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4553 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); }
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4554 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); }
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4563 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (4)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->opclass = (yyvsp[(2) - (4)].list);
					(yyval.ielem)->ordering = (yyvsp[(3) - (4)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(4) - (4)].ival);
				}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4572 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (4)].node);
					(yyval.ielem)->opclass = (yyvsp[(2) - (4)].list);
					(yyval.ielem)->ordering = (yyvsp[(3) - (4)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(4) - (4)].ival);
				}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4581 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (6)].node);
					(yyval.ielem)->opclass = (yyvsp[(4) - (6)].list);
					(yyval.ielem)->ordering = (yyvsp[(5) - (6)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(6) - (6)].ival);
				}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4591 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4592 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4593 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4596 "gram.y"
    { (yyval.ival) = SORTBY_ASC; }
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4597 "gram.y"
    { (yyval.ival) = SORTBY_DESC; }
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4598 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; }
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4601 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4602 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; }
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4603 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4621 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4633 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4646 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4659 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 4660 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 4663 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 4664 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 4668 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 4669 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 4677 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 4678 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 4682 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 4684 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 4699 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 4708 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 4717 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 4726 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 4735 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 4746 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 4747 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 4748 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 4749 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 4750 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 4761 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 4775 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 4777 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 4783 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 4793 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
			    }
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 4797 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 4802 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 4811 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 4812 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 4820 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 4824 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 4828 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 4832 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 4836 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 4840 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 4844 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 4848 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 4852 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 4856 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 4860 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 4864 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 4868 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 4876 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 4880 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 4884 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 4888 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 4893 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 4895 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 4901 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 4902 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 4906 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 4918 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 4922 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 4937 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 4947 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 4948 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 4970 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = extractArgTypes((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 4980 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = extractArgTypes((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 4993 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5003 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5016 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5026 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5039 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							scanner_errposition((yylsp[(3) - (3)]))));
				}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5047 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); }
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5049 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); }
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5051 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); }
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5056 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5058 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); }
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5070 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5081 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5092 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5103 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; }
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5104 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; }
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5105 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; }
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5110 "gram.y"
    {
					DropCastStmt *n = makeNode(DropCastStmt);
					n->sourcetype = (yyvsp[(5) - (9)].typnam);
					n->targettype = (yyvsp[(7) - (9)].typnam);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5120 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5121 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5136 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5144 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5154 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5166 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5167 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5170 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5171 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5182 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5191 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5199 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5207 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5216 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5224 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5232 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5241 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5250 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5258 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5267 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5276 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5285 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5294 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5303 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5312 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5320 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5328 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5336 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5344 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5352 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5360 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5368 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5377 "gram.y"
    { (yyval.ival) = COLUMN; }
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5378 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5381 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5382 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5393 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5402 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5410 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5419 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5427 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5435 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5443 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5459 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5468 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5476 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5484 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5492 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5501 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5509 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5518 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5527 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5536 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5544 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5552 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5560 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5568 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5576 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5584 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5601 "gram.y"
    { QueryIsRule=TRUE; }
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5604 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (14)].boolean);
					n->relation = (yyvsp[(10) - (14)].range);
					n->rulename = (yyvsp[(4) - (14)].str);
					n->whereClause = (yyvsp[(11) - (14)].node);
					n->event = (yyvsp[(8) - (14)].ival);
					n->instead = (yyvsp[(13) - (14)].boolean);
					n->actions = (yyvsp[(14) - (14)].list);
					(yyval.node) = (Node *)n;
					QueryIsRule=FALSE;
				}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5619 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5620 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5621 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5627 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5633 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5649 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5650 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5653 "gram.y"
    { (yyval.ival) = CMD_SELECT; }
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5654 "gram.y"
    { (yyval.ival) = CMD_UPDATE; }
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5655 "gram.y"
    { (yyval.ival) = CMD_DELETE; }
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5656 "gram.y"
    { (yyval.ival) = CMD_INSERT; }
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5660 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5661 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5662 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5668 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5678 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5699 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5707 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5716 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5722 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5741 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5748 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5755 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5762 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5769 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5776 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5783 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5791 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5799 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5807 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5815 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5823 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5830 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5837 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5845 "gram.y"
    {}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5846 "gram.y"
    {}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 5847 "gram.y"
    {}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 5852 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); }
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 5855 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); }
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 5858 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 5865 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 5867 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 5869 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 5875 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 5889 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (8)].range);
					n->view->istemp = (yyvsp[(2) - (8)].boolean);
					n->aliases = (yyvsp[(5) - (8)].list);
					n->query = (yyvsp[(7) - (8)].node);
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 5900 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (10)].range);
					n->view->istemp = (yyvsp[(4) - (10)].boolean);
					n->aliases = (yyvsp[(7) - (10)].list);
					n->query = (yyvsp[(9) - (10)].node);
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 5913 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 5919 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 5925 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 5930 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 5941 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 5957 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 5966 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 5967 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 5972 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 5976 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 5980 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 5984 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 5988 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 5992 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 5996 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6000 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6004 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6008 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6012 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6016 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6020 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6024 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6028 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6032 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6041 "gram.y"
    {}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6042 "gram.y"
    {}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6054 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6061 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 }
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6072 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6082 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6083 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6088 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6102 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6109 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6126 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typename = (yyvsp[(5) - (6)].typnam);
					n->constraints = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6138 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typename = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6147 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typename = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6155 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typename = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6163 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typename = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6172 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typename = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6182 "gram.y"
    {}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6183 "gram.y"
    {}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6195 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6205 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6215 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6225 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6235 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6245 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6253 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6275 "gram.y"
    {
			  CreateConversionStmt *n = makeNode(CreateConversionStmt);
			  n->conversion_name = (yyvsp[(4) - (10)].list);
			  n->for_encoding_name = (yyvsp[(6) - (10)].str);
			  n->to_encoding_name = (yyvsp[(8) - (10)].str);
			  n->func_name = (yyvsp[(10) - (10)].list);
			  n->def = (yyvsp[(2) - (10)].boolean);
			  (yyval.node) = (Node *)n;
			}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6297 "gram.y"
    {
			       ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(3) - (4)].range);
				   n->indexname = (yyvsp[(4) - (4)].str);
				   n->verbose = (yyvsp[(2) - (4)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6305 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = NULL;
				   n->indexname = NULL;
				   n->verbose = (yyvsp[(2) - (2)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6314 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(5) - (5)].range);
				   n->indexname = (yyvsp[(3) - (5)].str);
				   n->verbose = (yyvsp[(2) - (5)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6324 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6325 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6338 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->vacuum = true;
					n->analyze = false;
					n->full = (yyvsp[(2) - (4)].boolean);
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->verbose = (yyvsp[(4) - (4)].boolean);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6351 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->vacuum = true;
					n->analyze = false;
					n->full = (yyvsp[(2) - (5)].boolean);
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->verbose = (yyvsp[(4) - (5)].boolean);
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6364 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->vacuum = true;
					n->full = (yyvsp[(2) - (5)].boolean);
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->verbose |= (yyvsp[(4) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6377 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->vacuum = false;
					n->analyze = true;
					n->full = false;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->verbose = (yyvsp[(2) - (2)].boolean);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6390 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->vacuum = false;
					n->analyze = true;
					n->full = false;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->verbose = (yyvsp[(2) - (4)].boolean);
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6405 "gram.y"
    {}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6406 "gram.y"
    {}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6410 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6411 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6414 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6415 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6418 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6419 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6423 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6424 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6436 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->analyze = (yyvsp[(2) - (4)].boolean);
					n->verbose = (yyvsp[(3) - (4)].boolean);
					n->query = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6456 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6457 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6468 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6477 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6478 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6496 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					n->into = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6505 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (8)].str);
					n->params = (yyvsp[(8) - (8)].list);
					(yyvsp[(4) - (8)].into)->rel->istemp = (yyvsp[(2) - (8)].boolean);
					n->into = (yyvsp[(4) - (8)].into);
					if ((yyvsp[(4) - (8)].into)->colNames)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("column name list not allowed in CREATE TABLE / AS EXECUTE")));
					/* ... because it's not implemented, but it could be */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6520 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6521 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6532 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6538 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6544 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6550 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6566 "gram.y"
    {
					(yyvsp[(4) - (5)].istmt)->relation = (yyvsp[(3) - (5)].range);
					(yyvsp[(4) - (5)].istmt)->returningList = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) (yyvsp[(4) - (5)].istmt);
				}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6575 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6581 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6587 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6596 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6598 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6603 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list));
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6613 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6614 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6627 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(3) - (6)].range);
					n->usingClause = (yyvsp[(4) - (6)].list);
					n->whereClause = (yyvsp[(5) - (6)].node);
					n->returningList = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6638 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6639 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6651 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6661 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); }
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6662 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6665 "gram.y"
    { (yyval.ival) = AccessShareLock; }
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6666 "gram.y"
    { (yyval.ival) = RowShareLock; }
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6667 "gram.y"
    { (yyval.ival) = RowExclusiveLock; }
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6668 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; }
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6669 "gram.y"
    { (yyval.ival) = ShareLock; }
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6670 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; }
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6671 "gram.y"
    { (yyval.ival) = ExclusiveLock; }
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6672 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6675 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6676 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6692 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(2) - (7)].range);
					n->targetList = (yyvsp[(4) - (7)].list);
					n->fromClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6704 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6705 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); }
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6709 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6710 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6715 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6723 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 scanner_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6751 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list));
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6761 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6762 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); }
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6773 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6783 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6784 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; }
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6785 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; }
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6786 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; }
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6787 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; }
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6790 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6791 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; }
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6792 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6845 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6846 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6860 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6862 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6868 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6875 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6882 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with));
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6889 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with));
					(yyval.node) = (yyvsp[(2) - (3)].node);
				}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6896 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with));
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6903 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with));
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6912 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6913 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6943 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6955 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6957 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6976 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6980 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6984 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6999 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 7006 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 7015 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 7016 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 7020 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (4)].str);
				n->aliascolnames = (yyvsp[(2) - (4)].list);
				n->ctequery = (yyvsp[(4) - (4)].node);
				n->location = (yylsp[(1) - (4)]);
				(yyval.node) = (Node *) n;
			}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 7032 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
				}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 7041 "gram.y"
    { (yyval.into) = NULL; }
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 7050 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 7055 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 7060 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 7065 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 7070 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7075 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7080 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->istemp = false;
				}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7085 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->istemp = false;
				}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7091 "gram.y"
    {}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7092 "gram.y"
    {}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7095 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7096 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 7097 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 7104 "gram.y"
    { (yyval.list) = list_make1(NIL); }
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7105 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7106 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7107 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7111 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7112 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7116 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7120 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); }
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7121 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); }
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7125 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7134 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7147 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(4) - (4)].node), (yyvsp[(2) - (4)].node)); }
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7149 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (4)].node), (yyvsp[(4) - (4)].node)); }
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7151 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(2) - (2)].node)); }
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7153 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), NULL); }
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7155 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 scanner_errposition((yylsp[(1) - (4)]))));
				}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7165 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (3)].node), NULL); }
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7167 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(3) - (5)].node)); }
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7169 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (8)].node), (yyvsp[(6) - (8)].node)); }
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7173 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7175 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); }
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7179 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7181 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7193 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); }
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7194 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7195 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); }
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7199 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7207 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7212 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7213 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7218 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7219 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7223 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7224 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7228 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7229 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7233 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7234 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7238 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7239 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7243 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7244 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7249 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7257 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7267 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7268 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7274 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7280 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7297 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7298 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7302 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7303 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7314 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7318 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7323 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7330 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7338 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7345 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7355 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7365 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 scanner_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 scanner_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7393 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7400 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7404 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7430 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7434 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->using = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7446 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->using = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7459 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->using = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7473 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->using = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7484 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->using = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7499 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7505 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7510 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7516 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7522 "gram.y"
    { (yyval.jtype) = JOIN_FULL; }
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7523 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; }
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7524 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; }
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7525 "gram.y"
    { (yyval.jtype) = JOIN_INNER; }
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7529 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7530 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7542 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); }
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7543 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7549 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7556 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7563 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7570 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7580 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7581 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7595 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7599 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7606 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7615 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7620 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7621 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7626 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7628 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7636 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = NULL;
					n->cursor_param = (yyvsp[(4) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7643 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7649 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7653 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7659 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (2)].str);
					n->typename = (yyvsp[(2) - (2)].typnam);
					n->constraints = NIL;
					n->is_local = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7680 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7685 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7692 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7697 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7703 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7708 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7717 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); }
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7719 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); }
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7721 "gram.y"
    {  (yyval.list) = NIL; }
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7725 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7726 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7727 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7728 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7729 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7731 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7736 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 scanner_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7765 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7766 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7767 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7768 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7780 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7786 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7793 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7794 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7801 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7806 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7811 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7816 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7821 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7826 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7831 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7836 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7842 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7848 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7854 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7861 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 scanner_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 scanner_errposition((yylsp[(2) - (3)]))));
				}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7882 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7892 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7896 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7904 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7908 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7916 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7928 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7949 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7953 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7959 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7963 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7976 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7995 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 8018 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 8020 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 8022 "gram.y"
    { (yyval.str) = "varchar"; }
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 8024 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 8026 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 8028 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 8032 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 8033 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 8037 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 8038 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 8046 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 8055 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 8063 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 8072 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 8083 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 8090 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 8091 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 8092 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 8097 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); }
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 8099 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); }
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 8101 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); }
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 8103 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); }
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 8105 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); }
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 8107 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 8109 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 8114 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 8119 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 8125 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 8133 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 8138 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 8145 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 8151 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 8156 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 8160 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 8189 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 8191 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 8193 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 8214 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 8216 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 8218 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 8220 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 8222 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 8224 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8226 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8228 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8230 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8232 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8234 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8237 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8239 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8241 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8244 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8246 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8248 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8251 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8253 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(4) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8265 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8267 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(5) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8279 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8281 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(4) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8293 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8295 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(5) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8308 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				}
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8320 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(5) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8332 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(5) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8344 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(6) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8366 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8373 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8380 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8387 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8394 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlaps");
					if (list_length((yyvsp[(1) - (3)].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 scanner_errposition((yylsp[(1) - (3)]))));
					if (list_length((yyvsp[(3) - (3)].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 scanner_errposition((yylsp[(3) - (3)]))));
					n->args = list_concat((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8416 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8423 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8430 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8437 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8444 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8451 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8458 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8462 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8470 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8474 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8483 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8490 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8497 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8510 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8523 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8542 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8563 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8573 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8580 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 scanner_errposition((yylsp[(1) - (2)]))));
				}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8596 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8601 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8619 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8621 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8623 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8625 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8627 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8629 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8631 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8633 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8635 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8637 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8639 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8641 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8643 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8645 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8647 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8649 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8651 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8655 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				}
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8660 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8664 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8668 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8673 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8689 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8690 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8692 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list));
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8707 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list));
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8719 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8721 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8723 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8733 "gram.y"
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *)a;
				}
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8756 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8766 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8776 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8784 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8802 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8814 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8826 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8838 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8850 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8866 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8878 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8900 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				}
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8921 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8931 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8944 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8960 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8973 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8983 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8996 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 9006 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 9019 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 9031 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 9043 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 9055 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 9067 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 9079 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 9091 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); }
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 9093 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 9105 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * substring(A, 1, C-1) || B || substring(A, C+1, C+D)
					 * overlay(A PLACING B FROM C) is converted to
					 * substring(A, 1, C-1) || B || substring(A, C+1, C+char_length(B))
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 9122 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 9135 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 9150 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 9171 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 9186 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 9198 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 9210 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 9222 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 9226 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 9233 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 9241 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 9249 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 9253 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 9257 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 9261 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 9265 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 9269 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 9273 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 9282 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 9286 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 9290 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 9295 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typename = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 9309 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 9311 "gram.y"
    { (yyval.node) = makeNullAConst(-1); }
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 9315 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 9317 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 9319 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 9321 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 9324 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 9327 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 9328 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 9332 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 9340 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 9349 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 9350 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; }
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 9353 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 9354 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 9355 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 9362 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 9363 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 9367 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); }
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 9369 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); }
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 9374 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 9382 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); }
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 9384 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 9395 "gram.y"
    { (yyval.windef) = NULL; }
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 9400 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					n->frameOptions = (yyvsp[(5) - (6)].ival);
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 9422 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 9423 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 9426 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 9427 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 9437 "gram.y"
    {
					(yyval.ival) = FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE | (yyvsp[(2) - (2)].ival);
				}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 9441 "gram.y"
    {
					(yyval.ival) = FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS | (yyvsp[(2) - (2)].ival);
				}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 9445 "gram.y"
    { (yyval.ival) = FRAMEOPTION_DEFAULTS; }
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 9449 "gram.y"
    {
					/* reject invalid cases */
					if ((yyvsp[(1) - (1)].ival) & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 scanner_errposition((yylsp[(1) - (1)]))));
					if ((yyvsp[(1) - (1)].ival) & FRAMEOPTION_START_CURRENT_ROW)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("frame start at CURRENT ROW is not implemented"),
								 scanner_errposition((yylsp[(1) - (1)]))));
					(yyval.ival) = (yyvsp[(1) - (1)].ival) | FRAMEOPTION_END_CURRENT_ROW;
				}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 9464 "gram.y"
    {
					/* reject invalid cases */
					if ((yyvsp[(2) - (4)].ival) & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 scanner_errposition((yylsp[(2) - (4)]))));
					if ((yyvsp[(2) - (4)].ival) & FRAMEOPTION_START_CURRENT_ROW)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("frame start at CURRENT ROW is not implemented"),
								 scanner_errposition((yylsp[(2) - (4)]))));
					if ((yyvsp[(4) - (4)].ival) & FRAMEOPTION_START_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 scanner_errposition((yylsp[(4) - (4)]))));
					/* shift converts START_ options to END_ options */
					(yyval.ival) = FRAMEOPTION_BETWEEN | (yyvsp[(2) - (4)].ival) | ((yyvsp[(4) - (4)].ival) << 1);
				}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 9493 "gram.y"
    {
					(yyval.ival) = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
				}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 9497 "gram.y"
    {
					(yyval.ival) = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
				}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 9501 "gram.y"
    {
					(yyval.ival) = FRAMEOPTION_START_CURRENT_ROW;
				}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 9517 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 9518 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 9519 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 9522 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 9523 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 9524 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; }
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 9527 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 9528 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 9531 "gram.y"
    { (yyval.str) = "+"; }
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 9532 "gram.y"
    { (yyval.str) = "-"; }
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 9533 "gram.y"
    { (yyval.str) = "*"; }
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 9534 "gram.y"
    { (yyval.str) = "/"; }
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9535 "gram.y"
    { (yyval.str) = "%"; }
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9536 "gram.y"
    { (yyval.str) = "^"; }
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9537 "gram.y"
    { (yyval.str) = "<"; }
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9538 "gram.y"
    { (yyval.str) = ">"; }
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9539 "gram.y"
    { (yyval.str) = "="; }
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9543 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9545 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9550 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9552 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9557 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9559 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9561 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); }
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9563 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); }
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9565 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); }
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9567 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); }
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9579 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9583 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9588 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9589 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9593 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9597 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9601 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9606 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9607 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9613 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9616 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9623 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9624 "gram.y"
    { (yyval.str) = "year"; }
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9625 "gram.y"
    { (yyval.str) = "month"; }
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9626 "gram.y"
    { (yyval.str) = "day"; }
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9627 "gram.y"
    { (yyval.str) = "hour"; }
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9628 "gram.y"
    { (yyval.str) = "minute"; }
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9629 "gram.y"
    { (yyval.str) = "second"; }
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9630 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9640 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9644 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9651 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9657 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); }
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9658 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9675 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9679 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9684 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9688 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9703 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9707 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9711 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9714 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9717 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); }
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9718 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9719 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9723 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9729 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); }
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9740 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9753 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9754 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9759 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9769 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9770 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9773 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9774 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9783 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9787 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]));
				}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9794 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9798 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9802 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9809 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9818 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9819 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9823 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9824 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9839 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); }
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9841 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9849 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9850 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9858 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9869 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9870 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9874 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9890 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9898 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9906 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9927 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9928 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9932 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9933 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9945 "gram.y"
    {
					(yyval.range) = makeNode(RangeVar);
					(yyval.range)->catalogname = NULL;
					(yyval.range)->schemaname = NULL;
					(yyval.range)->relname = (yyvsp[(1) - (1)].str);
					(yyval.range)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9953 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list));
					(yyval.range) = makeNode(RangeVar);
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 scanner_errposition((yylsp[(1) - (2)]))));
							break;
					}
					(yyval.range)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9981 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9983 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9987 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9990 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9993 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9995 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9997 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9999 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 10010 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 10012 "gram.y"
    { (yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list))); }
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 10020 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 10024 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 10028 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 10032 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 10036 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 10045 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 10052 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 10060 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 10064 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 10070 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 scanner_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 10087 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 10091 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 10095 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 10100 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 10101 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 10102 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 10104 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 10105 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); }
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 10106 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); }
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 10122 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 10123 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 10124 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 10129 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 10130 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 10131 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 10137 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 10138 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 10139 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 10140 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 10141 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 10593 "gram.y"
    {
					if (QueryIsRule)
						(yyval.str) = "*OLD*";
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("OLD used in query that is not in a rule"),
								 scanner_errposition((yylsp[(1) - (1)]))));
				}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 10603 "gram.y"
    {
					if (QueryIsRule)
						(yyval.str) = "*NEW*";
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("NEW used in query that is not in a rule"),
								 scanner_errposition((yylsp[(1) - (1)]))));
				}
    break;



/* Line 1806 of yacc.c  */
#line 30970 "gram.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 10614 "gram.y"


static Node *
makeColumnRef(char *colname, List *indirection, int location)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields));
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typename = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* findLeftmostSelect()
 * Find the leftmost component SelectStmt in a set-operation parsetree.
 */
static SelectStmt *
findLeftmostSelect(SelectStmt *node)
{
	while (node && node->op != SETOP_NONE)
		node = node->larg;
	Assert(node && IsA(node, SelectStmt) && node->larg == NULL);
	return node;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 scanner_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 scanner_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 scanner_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 scanner_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr    *x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(void)
{
	QueryIsRule = FALSE;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Must undefine base_yylex before including scan.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "scan.c"

