/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2012, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);


#line 220 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    ABORT_P = 269,
    ABSOLUTE_P = 270,
    ACCESS = 271,
    ACTION = 272,
    ADD_P = 273,
    ADMIN = 274,
    AFTER = 275,
    AGGREGATE = 276,
    ALL = 277,
    ALSO = 278,
    ALTER = 279,
    ALWAYS = 280,
    ANALYSE = 281,
    ANALYZE = 282,
    AND = 283,
    ANY = 284,
    ARRAY = 285,
    AS = 286,
    ASC = 287,
    ASSERTION = 288,
    ASSIGNMENT = 289,
    ASYMMETRIC = 290,
    AT = 291,
    ATTRIBUTE = 292,
    AUTHORIZATION = 293,
    BACKWARD = 294,
    BEFORE = 295,
    BEGIN_P = 296,
    BETWEEN = 297,
    BIGINT = 298,
    BINARY = 299,
    BIT = 300,
    BOOLEAN_P = 301,
    BOTH = 302,
    BY = 303,
    CACHE = 304,
    CALLED = 305,
    CASCADE = 306,
    CASCADED = 307,
    CASE = 308,
    CAST = 309,
    CATALOG_P = 310,
    CHAIN = 311,
    CHAR_P = 312,
    CHARACTER = 313,
    CHARACTERISTICS = 314,
    CHECK = 315,
    CHECKPOINT = 316,
    CLASS = 317,
    CLOSE = 318,
    CLUSTER = 319,
    COALESCE = 320,
    COLLATE = 321,
    COLLATION = 322,
    COLUMN = 323,
    COMMENT = 324,
    COMMENTS = 325,
    COMMIT = 326,
    COMMITTED = 327,
    CONCURRENTLY = 328,
    CONFIGURATION = 329,
    CONNECTION = 330,
    CONSTRAINT = 331,
    CONSTRAINTS = 332,
    CONTENT_P = 333,
    CONTINUE_P = 334,
    CONVERSION_P = 335,
    COPY = 336,
    COST = 337,
    CREATE = 338,
    CROSS = 339,
    CSV = 340,
    CURRENT_P = 341,
    CURRENT_CATALOG = 342,
    CURRENT_DATE = 343,
    CURRENT_ROLE = 344,
    CURRENT_SCHEMA = 345,
    CURRENT_TIME = 346,
    CURRENT_TIMESTAMP = 347,
    CURRENT_USER = 348,
    CURSOR = 349,
    CYCLE = 350,
    DATA_P = 351,
    DATABASE = 352,
    DAY_P = 353,
    DEALLOCATE = 354,
    DEC = 355,
    DECIMAL_P = 356,
    DECLARE = 357,
    DEFAULT = 358,
    DEFAULTS = 359,
    DEFERRABLE = 360,
    DEFERRED = 361,
    DEFINER = 362,
    DELETE_P = 363,
    DELIMITER = 364,
    DELIMITERS = 365,
    DESC = 366,
    DICTIONARY = 367,
    DISABLE_P = 368,
    DISCARD = 369,
    DISTINCT = 370,
    DO = 371,
    DOCUMENT_P = 372,
    DOMAIN_P = 373,
    DOUBLE_P = 374,
    DROP = 375,
    EACH = 376,
    ELSE = 377,
    ENABLE_P = 378,
    ENCODING = 379,
    ENCRYPTED = 380,
    END_P = 381,
    ENUM_P = 382,
    ESCAPE = 383,
    EXCEPT = 384,
    EXCLUDE = 385,
    EXCLUDING = 386,
    EXCLUSIVE = 387,
    EXECUTE = 388,
    EXISTS = 389,
    EXPLAIN = 390,
    EXTENSION = 391,
    EXTERNAL = 392,
    EXTRACT = 393,
    FALSE_P = 394,
    FAMILY = 395,
    FETCH = 396,
    FIRST_P = 397,
    FLOAT_P = 398,
    FOLLOWING = 399,
    FOR = 400,
    FORCE = 401,
    FOREIGN = 402,
    FORWARD = 403,
    FREEZE = 404,
    FROM = 405,
    FULL = 406,
    FUNCTION = 407,
    FUNCTIONS = 408,
    GLOBAL = 409,
    GRANT = 410,
    GRANTED = 411,
    GREATEST = 412,
    GROUP_P = 413,
    HANDLER = 414,
    HAVING = 415,
    HEADER_P = 416,
    HOLD = 417,
    HOUR_P = 418,
    IDENTITY_P = 419,
    IF_P = 420,
    ILIKE = 421,
    IMMEDIATE = 422,
    IMMUTABLE = 423,
    IMPLICIT_P = 424,
    IN_P = 425,
    INCLUDING = 426,
    INCREMENT = 427,
    INDEX = 428,
    INDEXES = 429,
    INHERIT = 430,
    INHERITS = 431,
    INITIALLY = 432,
    INLINE_P = 433,
    INNER_P = 434,
    INOUT = 435,
    INPUT_P = 436,
    INSENSITIVE = 437,
    INSERT = 438,
    INSTEAD = 439,
    INT_P = 440,
    INTEGER = 441,
    INTERSECT = 442,
    INTERVAL = 443,
    INTO = 444,
    INVOKER = 445,
    IS = 446,
    ISNULL = 447,
    ISOLATION = 448,
    JOIN = 449,
    KEY = 450,
    LABEL = 451,
    LANGUAGE = 452,
    LARGE_P = 453,
    LAST_P = 454,
    LC_COLLATE_P = 455,
    LC_CTYPE_P = 456,
    LEADING = 457,
    LEAKPROOF = 458,
    LEAST = 459,
    LEFT = 460,
    LEVEL = 461,
    LIKE = 462,
    LIMIT = 463,
    LISTEN = 464,
    LOAD = 465,
    LOCAL = 466,
    LOCALTIME = 467,
    LOCALTIMESTAMP = 468,
    LOCATION = 469,
    LOCK_P = 470,
    MAPPING = 471,
    MATCH = 472,
    MAXVALUE = 473,
    MINUTE_P = 474,
    MINVALUE = 475,
    MODE = 476,
    MONTH_P = 477,
    MOVE = 478,
    NAME_P = 479,
    NAMES = 480,
    NATIONAL = 481,
    NATURAL = 482,
    NCHAR = 483,
    NEXT = 484,
    NO = 485,
    NONE = 486,
    NOT = 487,
    NOTHING = 488,
    NOTIFY = 489,
    NOTNULL = 490,
    NOWAIT = 491,
    NULL_P = 492,
    NULLIF = 493,
    NULLS_P = 494,
    NUMERIC = 495,
    OBJECT_P = 496,
    OF = 497,
    OFF = 498,
    OFFSET = 499,
    OIDS = 500,
    ON = 501,
    ONLY = 502,
    OPERATOR = 503,
    OPTION = 504,
    OPTIONS = 505,
    OR = 506,
    ORDER = 507,
    OUT_P = 508,
    OUTER_P = 509,
    OVER = 510,
    OVERLAPS = 511,
    OVERLAY = 512,
    OWNED = 513,
    OWNER = 514,
    PARSER = 515,
    PARTIAL = 516,
    PARTITION = 517,
    PASSING = 518,
    PASSWORD = 519,
    PLACING = 520,
    PLANS = 521,
    POSITION = 522,
    PRECEDING = 523,
    PRECISION = 524,
    PRESERVE = 525,
    PREPARE = 526,
    PREPARED = 527,
    PRIMARY = 528,
    PRIOR = 529,
    PRIVILEGES = 530,
    PROCEDURAL = 531,
    PROCEDURE = 532,
    QUOTE = 533,
    RANGE = 534,
    READ = 535,
    REAL = 536,
    REASSIGN = 537,
    RECHECK = 538,
    RECURSIVE = 539,
    REF = 540,
    REFERENCES = 541,
    REINDEX = 542,
    RELATIVE_P = 543,
    RELEASE = 544,
    RENAME = 545,
    REPEATABLE = 546,
    REPLACE = 547,
    REPLICA = 548,
    RESET = 549,
    RESTART = 550,
    RESTRICT = 551,
    RETURNING = 552,
    RETURNS = 553,
    REVOKE = 554,
    RIGHT = 555,
    ROLE = 556,
    ROLLBACK = 557,
    ROW = 558,
    ROWS = 559,
    RULE = 560,
    SAVEPOINT = 561,
    SCHEMA = 562,
    SCROLL = 563,
    SEARCH = 564,
    SECOND_P = 565,
    SECURITY = 566,
    SELECT = 567,
    SEQUENCE = 568,
    SEQUENCES = 569,
    SERIALIZABLE = 570,
    SERVER = 571,
    SESSION = 572,
    SESSION_USER = 573,
    SET = 574,
    SETOF = 575,
    SHARE = 576,
    SHOW = 577,
    SIMILAR = 578,
    SIMPLE = 579,
    SMALLINT = 580,
    SNAPSHOT = 581,
    SOME = 582,
    STABLE = 583,
    STANDALONE_P = 584,
    START = 585,
    STATEMENT = 586,
    STATISTICS = 587,
    STDIN = 588,
    STDOUT = 589,
    STORAGE = 590,
    STRICT_P = 591,
    STRIP_P = 592,
    SUBSTRING = 593,
    SYMMETRIC = 594,
    SYSID = 595,
    SYSTEM_P = 596,
    TABLE = 597,
    TABLES = 598,
    TABLESPACE = 599,
    TEMP = 600,
    TEMPLATE = 601,
    TEMPORARY = 602,
    TEXT_P = 603,
    THEN = 604,
    TIME = 605,
    TIMESTAMP = 606,
    TO = 607,
    TRAILING = 608,
    TRANSACTION = 609,
    TREAT = 610,
    TRIGGER = 611,
    TRIM = 612,
    TRUE_P = 613,
    TRUNCATE = 614,
    TRUSTED = 615,
    TYPE_P = 616,
    TYPES_P = 617,
    UNBOUNDED = 618,
    UNCOMMITTED = 619,
    UNENCRYPTED = 620,
    UNION = 621,
    UNIQUE = 622,
    UNKNOWN = 623,
    UNLISTEN = 624,
    UNLOGGED = 625,
    UNTIL = 626,
    UPDATE = 627,
    USER = 628,
    USING = 629,
    VACUUM = 630,
    VALID = 631,
    VALIDATE = 632,
    VALIDATOR = 633,
    VALUE_P = 634,
    VALUES = 635,
    VARCHAR = 636,
    VARIADIC = 637,
    VARYING = 638,
    VERBOSE = 639,
    VERSION_P = 640,
    VIEW = 641,
    VOLATILE = 642,
    WHEN = 643,
    WHERE = 644,
    WHITESPACE_P = 645,
    WINDOW = 646,
    WITH = 647,
    WITHOUT = 648,
    WORK = 649,
    WRAPPER = 650,
    WRITE = 651,
    XML_P = 652,
    XMLATTRIBUTES = 653,
    XMLCONCAT = 654,
    XMLELEMENT = 655,
    XMLEXISTS = 656,
    XMLFOREST = 657,
    XMLPARSE = 658,
    XMLPI = 659,
    XMLROOT = 660,
    XMLSERIALIZE = 661,
    YEAR_P = 662,
    YES_P = 663,
    ZONE = 664,
    NULLS_FIRST = 665,
    NULLS_LAST = 666,
    WITH_TIME = 667,
    POSTFIXOP = 668,
    UMINUS = 669
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 158 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 712 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 740 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  696
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   74640

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  432
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  546
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2260
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4298

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   669

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   421,     2,     2,
     426,   427,   419,   417,   430,   418,   428,   420,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   431,   429,
     414,   413,   415,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   424,     2,   425,   422,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   416,   423
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   653,   653,   660,   667,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   689,   690,   691,
     692,   693,   694,   695,   696,   697,   698,   699,   700,   701,
     702,   703,   704,   705,   706,   707,   708,   709,   710,   711,
     712,   713,   714,   715,   716,   717,   718,   719,   720,   721,
     722,   723,   724,   725,   726,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   746,   747,   748,   749,   750,   751,
     752,   753,   754,   755,   756,   757,   758,   759,   760,   761,
     762,   763,   764,   765,   766,   767,   768,   769,   770,   771,
     772,   773,   774,   775,   776,   777,   778,   779,   780,   781,
     782,   783,   784,   785,   786,   788,   798,   809,   810,   819,
     820,   824,   825,   829,   834,   838,   843,   848,   852,   856,
     861,   865,   919,   921,   925,   929,   933,   937,   951,   969,
     980,   981,   985,  1003,  1015,  1036,  1043,  1062,  1069,  1086,
    1104,  1115,  1116,  1128,  1135,  1152,  1164,  1176,  1177,  1181,
    1182,  1190,  1191,  1192,  1193,  1194,  1195,  1209,  1215,  1221,
    1230,  1238,  1246,  1250,  1258,  1266,  1273,  1280,  1288,  1299,
    1307,  1315,  1326,  1334,  1342,  1349,  1358,  1368,  1369,  1376,
    1377,  1380,  1382,  1386,  1387,  1388,  1389,  1393,  1394,  1395,
    1401,  1413,  1417,  1421,  1436,  1459,  1460,  1461,  1465,  1466,
    1467,  1471,  1472,  1476,  1483,  1490,  1497,  1504,  1514,  1515,
    1520,  1521,  1526,  1532,  1538,  1544,  1550,  1560,  1570,  1571,
    1575,  1576,  1584,  1599,  1605,  1611,  1617,  1635,  1644,  1653,
    1662,  1671,  1680,  1689,  1698,  1710,  1711,  1716,  1724,  1732,
    1741,  1749,  1757,  1766,  1775,  1784,  1793,  1803,  1816,  1830,
    1839,  1847,  1855,  1865,  1875,  1882,  1889,  1897,  1905,  1913,
    1921,  1929,  1936,  1943,  1951,  1958,  1965,  1973,  1981,  1989,
    1997,  2005,  2013,  2023,  2030,  2038,  2046,  2054,  2061,  2071,
    2072,  2076,  2077,  2078,  2082,  2090,  2094,  2095,  2099,  2102,
    2103,  2107,  2108,  2113,  2117,  2121,  2126,  2141,  2154,  2155,
    2160,  2169,  2179,  2189,  2214,  2220,  2247,  2269,  2283,  2284,
    2293,  2294,  2295,  2298,  2299,  2304,  2305,  2309,  2313,  2317,
    2321,  2325,  2329,  2333,  2337,  2341,  2345,  2349,  2353,  2362,
    2366,  2370,  2374,  2378,  2382,  2386,  2387,  2392,  2396,  2403,
    2410,  2411,  2412,  2413,  2414,  2418,  2422,  2430,  2441,  2456,
    2472,  2488,  2517,  2518,  2519,  2520,  2521,  2528,  2535,  2536,
    2540,  2541,  2545,  2546,  2550,  2554,  2561,  2565,  2572,  2573,
    2574,  2578,  2579,  2582,  2602,  2622,  2623,  2627,  2635,  2636,
    2637,  2668,  2675,  2682,  2693,  2704,  2714,  2723,  2756,  2763,
    2770,  2777,  2788,  2798,  2799,  2800,  2804,  2805,  2806,  2807,
    2808,  2809,  2818,  2826,  2830,  2843,  2858,  2872,  2887,  2901,
    2919,  2940,  2941,  2945,  2946,  2950,  2951,  2954,  2960,  2964,
    2972,  2977,  2983,  2984,  2988,  2993,  3000,  3001,  3011,  3013,
    3015,  3017,  3020,  3023,  3026,  3030,  3031,  3032,  3033,  3034,
    3037,  3038,  3043,  3044,  3045,  3046,  3049,  3050,  3051,  3052,
    3055,  3056,  3059,  3060,  3063,  3078,  3092,  3105,  3106,  3107,
    3120,  3132,  3140,  3151,  3152,  3155,  3156,  3159,  3163,  3167,
    3171,  3175,  3179,  3183,  3187,  3191,  3195,  3199,  3203,  3209,
    3210,  3214,  3215,  3220,  3223,  3224,  3236,  3248,  3263,  3264,
    3272,  3273,  3277,  3278,  3282,  3283,  3287,  3288,  3292,  3303,
    3316,  3317,  3327,  3337,  3338,  3351,  3358,  3375,  3383,  3394,
    3397,  3401,  3405,  3409,  3421,  3431,  3434,  3438,  3451,  3461,
    3471,  3480,  3489,  3498,  3508,  3517,  3527,  3537,  3547,  3556,
    3565,  3574,  3583,  3592,  3601,  3610,  3619,  3628,  3637,  3646,
    3664,  3675,  3676,  3677,  3678,  3682,  3683,  3687,  3688,  3698,
    3709,  3729,  3737,  3749,  3750,  3754,  3758,  3766,  3770,  3774,
    3781,  3785,  3790,  3795,  3802,  3809,  3814,  3824,  3838,  3839,
    3844,  3845,  3849,  3850,  3860,  3871,  3891,  3900,  3908,  3925,
    3940,  3958,  3959,  3963,  3967,  3974,  3985,  3994,  4012,  4024,
    4025,  4026,  4036,  4044,  4061,  4080,  4100,  4125,  4126,  4127,
    4131,  4133,  4155,  4157,  4159,  4161,  4163,  4168,  4173,  4183,
    4184,  4188,  4189,  4193,  4194,  4198,  4199,  4200,  4204,  4210,
    4211,  4212,  4216,  4217,  4222,  4223,  4250,  4251,  4252,  4253,
    4254,  4255,  4260,  4271,  4294,  4314,  4337,  4347,  4358,  4368,
    4378,  4389,  4398,  4405,  4412,  4421,  4430,  4439,  4448,  4457,
    4468,  4471,  4472,  4475,  4479,  4486,  4487,  4488,  4489,  4490,
    4493,  4494,  4497,  4500,  4501,  4509,  4516,  4517,  4520,  4522,
    4533,  4542,  4551,  4575,  4590,  4591,  4595,  4605,  4616,  4625,
    4635,  4644,  4645,  4648,  4649,  4652,  4653,  4654,  4657,  4671,
    4676,  4686,  4695,  4707,  4708,  4712,  4720,  4732,  4743,  4757,
    4768,  4791,  4801,  4819,  4830,  4841,  4852,  4866,  4867,  4868,
    4869,  4870,  4871,  4872,  4873,  4874,  4875,  4876,  4877,  4878,
    4879,  4880,  4884,  4885,  4888,  4889,  4892,  4894,  4907,  4918,
    4919,  4920,  4946,  4955,  4964,  4973,  4982,  4991,  5000,  5010,
    5019,  5028,  5037,  5046,  5055,  5064,  5072,  5080,  5088,  5099,
    5100,  5101,  5102,  5103,  5104,  5105,  5106,  5107,  5108,  5109,
    5110,  5111,  5112,  5113,  5114,  5115,  5119,  5120,  5134,  5145,
    5156,  5167,  5178,  5191,  5192,  5196,  5197,  5198,  5199,  5200,
    5201,  5202,  5203,  5204,  5205,  5206,  5209,  5210,  5220,  5226,
    5234,  5242,  5250,  5258,  5266,  5274,  5282,  5290,  5298,  5306,
    5314,  5322,  5330,  5338,  5346,  5354,  5364,  5365,  5368,  5369,
    5379,  5395,  5409,  5435,  5437,  5439,  5441,  5448,  5457,  5458,
    5461,  5468,  5475,  5482,  5496,  5504,  5512,  5520,  5528,  5536,
    5544,  5552,  5560,  5568,  5576,  5584,  5592,  5600,  5608,  5616,
    5628,  5629,  5632,  5642,  5656,  5657,  5661,  5662,  5667,  5683,
    5696,  5706,  5718,  5719,  5722,  5723,  5733,  5743,  5744,  5748,
    5752,  5756,  5767,  5780,  5794,  5811,  5812,  5813,  5814,  5826,
    5853,  5854,  5858,  5859,  5863,  5864,  5868,  5869,  5872,  5873,
    5881,  5892,  5903,  5916,  5917,  5920,  5921,  5922,  5925,  5926,
    5927,  5930,  5931,  5932,  5948,  5960,  5973,  5988,  5989,  5992,
    5993,  5997,  5998,  6006,  6007,  6011,  6012,  6027,  6036,  6045,
    6054,  6063,  6075,  6076,  6077,  6078,  6079,  6085,  6089,  6104,
    6105,  6111,  6121,  6125,  6130,  6140,  6141,  6148,  6152,  6156,
    6160,  6164,  6168,  6172,  6176,  6180,  6184,  6188,  6192,  6196,
    6200,  6204,  6212,  6216,  6220,  6224,  6230,  6231,  6238,  6239,
    6242,  6254,  6258,  6273,  6284,  6285,  6290,  6291,  6306,  6317,
    6331,  6342,  6356,  6367,  6381,  6389,  6391,  6393,  6398,  6400,
    6413,  6422,  6423,  6427,  6431,  6443,  6454,  6465,  6478,  6479,
    6480,  6484,  6497,  6498,  6512,  6520,  6530,  6543,  6544,  6547,
    6548,  6558,  6568,  6577,  6586,  6595,  6604,  6614,  6623,  6633,
    6642,  6651,  6661,  6671,  6680,  6689,  6699,  6709,  6719,  6729,
    6739,  6749,  6759,  6769,  6779,  6789,  6800,  6811,  6821,  6832,
    6843,  6853,  6862,  6871,  6880,  6889,  6898,  6907,  6916,  6925,
    6934,  6943,  6957,  6958,  6961,  6962,  6972,  6982,  6991,  7000,
    7009,  7018,  7028,  7038,  7048,  7058,  7067,  7076,  7085,  7094,
    7103,  7112,  7121,  7130,  7139,  7148,  7157,  7166,  7183,  7192,
    7200,  7208,  7216,  7224,  7233,  7241,  7249,  7258,  7267,  7276,
    7284,  7292,  7300,  7308,  7316,  7324,  7341,  7358,  7359,  7360,
    7365,  7371,  7380,  7381,  7382,  7383,  7384,  7388,  7389,  7392,
    7393,  7394,  7395,  7399,  7400,  7401,  7406,  7417,  7439,  7449,
    7450,  7453,  7462,  7468,  7487,  7494,  7501,  7508,  7515,  7522,
    7529,  7537,  7545,  7553,  7561,  7569,  7576,  7583,  7592,  7593,
    7594,  7598,  7601,  7604,  7607,  7610,  7617,  7619,  7621,  7626,
    7628,  7640,  7652,  7667,  7673,  7679,  7685,  7695,  7711,  7721,
    7722,  7726,  7730,  7734,  7738,  7742,  7746,  7750,  7754,  7758,
    7762,  7766,  7770,  7774,  7778,  7782,  7786,  7796,  7797,  7808,
    7815,  7826,  7837,  7838,  7842,  7856,  7863,  7880,  7893,  7902,
    7910,  7918,  7927,  7938,  7949,  7959,  7960,  7971,  7981,  7991,
    8001,  8011,  8021,  8029,  8050,  8073,  8081,  8090,  8101,  8102,
    8114,  8128,  8142,  8154,  8166,  8183,  8184,  8188,  8189,  8190,
    8191,  8195,  8207,  8222,  8223,  8227,  8228,  8231,  8232,  8235,
    8236,  8240,  8241,  8254,  8261,  8271,  8278,  8288,  8289,  8290,
    8291,  8292,  8293,  8294,  8298,  8302,  8309,  8316,  8317,  8321,
    8322,  8323,  8333,  8343,  8344,  8348,  8349,  8350,  8351,  8361,
    8368,  8385,  8386,  8396,  8402,  8408,  8414,  8430,  8440,  8446,
    8452,  8461,  8463,  8468,  8479,  8480,  8491,  8505,  8506,  8517,
    8528,  8529,  8532,  8533,  8534,  8535,  8536,  8537,  8538,  8539,
    8542,  8543,  8554,  8572,  8573,  8577,  8578,  8582,  8590,  8618,
    8629,  8630,  8640,  8651,  8654,  8655,  8656,  8657,  8658,  8661,
    8662,  8663,  8711,  8712,  8716,  8717,  8731,  8732,  8739,  8747,
    8755,  8763,  8771,  8779,  8790,  8791,  8818,  8833,  8834,  8853,
    8857,  8861,  8876,  8883,  8893,  8894,  8897,  8909,  8910,  8914,
    8925,  8933,  8938,  8943,  8948,  8953,  8961,  8969,  8974,  8979,
    8986,  8987,  8990,  8991,  8992,  8999,  9000,  9001,  9002,  9006,
    9007,  9011,  9015,  9016,  9019,  9028,  9041,  9042,  9043,  9044,
    9048,  9049,  9053,  9055,  9065,  9070,  9073,  9078,  9079,  9087,
    9097,  9098,  9099,  9107,  9111,  9112,  9115,  9116,  9121,  9122,
    9126,  9127,  9131,  9132,  9136,  9137,  9141,  9142,  9146,  9154,
    9165,  9166,  9171,  9177,  9195,  9196,  9200,  9201,  9211,  9215,
    9220,  9227,  9235,  9242,  9252,  9262,  9290,  9297,  9301,  9327,
    9331,  9343,  9356,  9370,  9381,  9396,  9402,  9407,  9413,  9420,
    9421,  9422,  9423,  9427,  9428,  9440,  9441,  9446,  9453,  9460,
    9467,  9478,  9479,  9492,  9496,  9503,  9513,  9518,  9519,  9524,
    9525,  9533,  9538,  9539,  9543,  9547,  9553,  9582,  9587,  9594,
    9599,  9605,  9610,  9619,  9621,  9624,  9628,  9629,  9630,  9631,
    9632,  9633,  9638,  9668,  9669,  9670,  9671,  9682,  9688,  9696,
    9697,  9703,  9708,  9713,  9718,  9723,  9728,  9733,  9738,  9744,
    9750,  9756,  9763,  9785,  9794,  9798,  9806,  9810,  9818,  9830,
    9851,  9855,  9861,  9865,  9878,  9897,  9920,  9922,  9924,  9926,
    9928,  9930,  9935,  9936,  9940,  9941,  9948,  9957,  9965,  9974,
    9985,  9993,  9994,  9995,  9999, 10001, 10003, 10005, 10007, 10009,
   10011, 10016, 10021, 10027, 10035, 10040, 10047, 10054, 10058, 10062,
   10092, 10093, 10095, 10103, 10125, 10127, 10129, 10131, 10133, 10135,
   10137, 10139, 10141, 10143, 10145, 10148, 10150, 10152, 10155, 10157,
   10159, 10162, 10164, 10177, 10179, 10192, 10194, 10207, 10209, 10223,
   10236, 10249, 10262, 10285, 10292, 10299, 10306, 10313, 10336, 10343,
   10350, 10357, 10364, 10371, 10378, 10382, 10390, 10394, 10404, 10411,
   10418, 10431, 10444, 10463, 10484, 10494, 10501, 10517, 10522, 10540,
   10542, 10544, 10546, 10548, 10550, 10552, 10554, 10556, 10558, 10560,
   10562, 10564, 10566, 10568, 10570, 10572, 10576, 10581, 10585, 10589,
   10594, 10611, 10612, 10613, 10628, 10640, 10642, 10644, 10654, 10677,
   10687, 10697, 10705, 10724, 10737, 10750, 10763, 10776, 10789, 10806,
   10819, 10842, 10855, 10881, 10891, 10904, 10921, 10934, 10944, 10957,
   10967, 10980, 10993, 11006, 11019, 11032, 11045, 11058, 11060, 11073,
   11091, 11105, 11121, 11143, 11159, 11172, 11185, 11198, 11202, 11209,
   11217, 11225, 11229, 11233, 11237, 11241, 11245, 11260, 11264, 11273,
   11277, 11281, 11286, 11300, 11302, 11306, 11308, 11310, 11313, 11316,
   11319, 11320, 11323, 11331, 11341, 11342, 11345, 11346, 11347, 11352,
   11356, 11360, 11364, 11375, 11376, 11380, 11381, 11386, 11394, 11396,
   11410, 11413, 11440, 11441, 11444, 11445, 11456, 11474, 11481, 11490,
   11507, 11552, 11560, 11568, 11576, 11584, 11605, 11606, 11607, 11610,
   11611, 11612, 11615, 11616, 11619, 11620, 11621, 11622, 11623, 11624,
   11625, 11626, 11627, 11630, 11632, 11637, 11639, 11644, 11646, 11648,
   11650, 11652, 11654, 11666, 11670, 11677, 11681, 11687, 11691, 11702,
   11703, 11706, 11710, 11714, 11720, 11721, 11726, 11730, 11737, 11738,
   11739, 11740, 11741, 11742, 11743, 11744, 11754, 11758, 11765, 11772,
   11773, 11789, 11793, 11798, 11802, 11817, 11822, 11826, 11829, 11832,
   11833, 11834, 11837, 11844, 11854, 11868, 11869, 11873, 11884, 11885,
   11888, 11889, 11892, 11896, 11903, 11907, 11911, 11918, 11928, 11929,
   11933, 11934, 11937, 11938, 11949, 11950, 11959, 11960, 11968, 11979,
   11980, 11983, 11999, 12007, 12015, 12037, 12038, 12049, 12053, 12080,
   12082, 12087, 12090, 12093, 12095, 12097, 12099, 12109, 12111, 12122,
   12126, 12130, 12134, 12138, 12147, 12154, 12179, 12183, 12189, 12206,
   12210, 12214, 12220, 12221, 12222, 12224, 12226, 12230, 12231, 12232,
   12248, 12249, 12250, 12255, 12256, 12257, 12262, 12263, 12264, 12265,
   12271, 12272, 12273, 12274, 12275, 12295, 12296, 12297, 12298, 12299,
   12300, 12301, 12302, 12303, 12304, 12305, 12306, 12307, 12308, 12309,
   12310, 12311, 12312, 12313, 12314, 12315, 12316, 12317, 12318, 12319,
   12320, 12321, 12322, 12323, 12324, 12325, 12326, 12327, 12328, 12329,
   12330, 12331, 12332, 12333, 12334, 12335, 12336, 12337, 12338, 12339,
   12340, 12341, 12342, 12343, 12344, 12345, 12346, 12347, 12348, 12349,
   12350, 12351, 12352, 12353, 12354, 12355, 12356, 12357, 12358, 12359,
   12360, 12361, 12362, 12363, 12364, 12365, 12366, 12367, 12368, 12369,
   12370, 12371, 12372, 12373, 12374, 12375, 12376, 12377, 12378, 12379,
   12380, 12381, 12382, 12383, 12384, 12385, 12386, 12387, 12388, 12389,
   12390, 12391, 12392, 12393, 12394, 12395, 12396, 12397, 12398, 12399,
   12400, 12401, 12402, 12403, 12404, 12405, 12406, 12407, 12408, 12409,
   12410, 12411, 12412, 12413, 12414, 12415, 12416, 12417, 12418, 12419,
   12420, 12421, 12422, 12423, 12424, 12425, 12426, 12427, 12428, 12429,
   12430, 12431, 12432, 12433, 12434, 12435, 12436, 12437, 12438, 12439,
   12440, 12441, 12442, 12443, 12444, 12445, 12446, 12447, 12448, 12449,
   12450, 12451, 12452, 12453, 12454, 12455, 12456, 12457, 12458, 12459,
   12460, 12461, 12462, 12463, 12464, 12465, 12466, 12467, 12468, 12469,
   12470, 12471, 12472, 12473, 12474, 12475, 12476, 12477, 12478, 12479,
   12480, 12481, 12482, 12483, 12484, 12485, 12486, 12487, 12488, 12489,
   12490, 12491, 12492, 12493, 12494, 12495, 12496, 12497, 12498, 12499,
   12500, 12501, 12502, 12503, 12504, 12505, 12506, 12507, 12508, 12509,
   12510, 12511, 12512, 12513, 12514, 12515, 12516, 12517, 12518, 12519,
   12520, 12521, 12522, 12523, 12524, 12525, 12526, 12527, 12528, 12529,
   12530, 12531, 12532, 12533, 12534, 12535, 12536, 12537, 12538, 12539,
   12540, 12541, 12542, 12543, 12544, 12558, 12559, 12560, 12561, 12562,
   12563, 12564, 12565, 12566, 12567, 12568, 12569, 12570, 12571, 12572,
   12573, 12574, 12575, 12576, 12577, 12578, 12579, 12580, 12581, 12582,
   12583, 12584, 12585, 12586, 12587, 12588, 12589, 12590, 12591, 12592,
   12593, 12594, 12595, 12596, 12597, 12598, 12599, 12600, 12601, 12602,
   12603, 12604, 12618, 12619, 12620, 12621, 12622, 12623, 12624, 12625,
   12626, 12627, 12628, 12629, 12630, 12631, 12632, 12633, 12634, 12635,
   12636, 12637, 12638, 12639, 12640, 12650, 12651, 12652, 12653, 12654,
   12655, 12656, 12657, 12658, 12659, 12660, 12661, 12662, 12663, 12664,
   12665, 12666, 12667, 12668, 12669, 12670, 12671, 12672, 12673, 12674,
   12675, 12676, 12677, 12678, 12679, 12680, 12681, 12682, 12683, 12684,
   12685, 12686, 12687, 12688, 12689, 12690, 12691, 12692, 12693, 12694,
   12695, 12696, 12697, 12698, 12699, 12700, 12701, 12702, 12703, 12704,
   12705, 12706, 12707, 12708, 12709, 12710, 12711, 12712, 12713, 12714,
   12715, 12716, 12717, 12718, 12719, 12720, 12721, 12722, 12723, 12724,
   12725
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT",
  "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VOLATILE",
  "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "role_list", "SignedIconst", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,    61,    60,    62,   668,    43,    45,    42,
      47,    37,    94,   669,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -3887

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-3887)))

#define YYTABLE_NINF -2168

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2168)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    5523,    -1,  6802, -3887, -3887,    -1, -3887, 51109,   -22,   610,
    1046,   140, 10584, 51516, 58435,   427,   261,  5668,    -1, 58435,
    1980, 38492, 48667, 58435,   863,   796, 38492, 58435, 58842,   911,
     847, 59249, 51923, 47446,  1077, 58435,  1075,   308, 59656, 52330,
     923, 52737,   796, 35663,    80,   867, 60063,  1337,  1321,   975,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887,   -22, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887,   170, -3887,   921,   255,  1333,   317,   984, -3887,
   -3887, -3887, 42969, 58435, 58435, 58435,  1188, 58435, 58435,   168,
   42969, 43376, 60470,  1244, 32327, -3887, 43376, 58435, 60877, 58435,
   53144, 58435,  1184, 58435, 58435, 43783, 61284,  1312,  1137, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, 58435, 11656,   863, -3887, -3887, 58435,
    1195, 42969, 58435,  1134, 58435,  1304, 58435, -3887, 58435, 61691,
     656,  1545, 43376,  1795, 32747,  1272, 43376, 58435, 58435, 58435,
   -3887, -3887,  1294, 58435, 58435, -3887, -3887, 44190,  1309,  1654,
    1508,   108, -3887, 53551, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, 41748,   261, -3887, -3887, 44597, 58435,  1563, -3887, -3887,
   62098, -3887, -3887,   666, 45004, 45411,  1678, 33167,  1724, 45818,
   62505, -3887, -3887, 62912, -3887, 63319,  1481, 63726, -3887, 46225,
   -3887,  1622, 64133, -3887,  1407,   987,  1063, 29016, -3887,   -22,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,   301,  1156,
     201,   167,   248, -3887, -3887,   176,   197,   202,   301,  1833,
    1833, -3887, 58435, -3887, -3887,  1156,   592,  1445,  1445,  1445,
    1661,   -30, -3887,  1445, -3887, -3887, -3887, -3887, 52737, -3887,
    1470,   863,  1510,  1913, 58435, -3887, 58435, -3887, 58435, 58435,
   -3887, -3887,  1933,  1629,  1789,  1646, -3887,  1832,  1842,  1831,
      62,   863,  1735, -3887,  1955, -3887,  1890, 20195,   863, 53958,
   64540,   204, 41748,   863, 54365,  1762,   715,  1917, -3887, -3887,
      67, -3887,  2144,  1780,  2008,  1646,  1137, 30255, -3887,  1814,
     -50, 52737, -3887, -3887, -3887,   206,  2056, 20619, -3887, 58435,
    1821, -3887,  1824,  1830,  1839,  1333, -3887,  5523, 58435,  1247,
    1247,  2223,  1247,  1522,  1547, -3887,  1537, -3887,  2126,  2108,
   52737,   867,   213, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887,  1880,   -50, -3887,   215,
   -3887,  1338,  1879,  1497,  1167, -3887, -3887,   717,  1995,   198,
       8,  1925, 54772,  3617,  1905, -3887,   822, -3887, -3887, -3887,
   -3887,  2181,  3886,   295, -3887, 58435, 58435, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887,  1906, -3887, -3887,  1912,
    1239,    89,  2212, 11103,  1140,  2218,  4215,  1544,   709,  2117,
     745,  2231,    41,  2243,  4960, 58435, -3887,  2172,  2274,   547,
   -3887,   100, -3887,  2007,  2136,   769, 42969,  1958, -3887, -3887,
   58435, -3887, -3887, -3887, -3887,   679, 42969, -3887,  2150, 33587,
   -3887, 58435, -3887, -3887, -3887, -3887, -3887,  2083, 58435, -3887,
   -3887,  2196, 58435, -3887,  1445,   193,  1972,  2341, 73043,   265,
   58435,  2011,  2374,  2177,  2011,  2015, 64947, -3887, -3887,  2011,
   -3887, -3887, 58435, 58435,  1996,   991,  2011,  2383,  2385,  2063,
    2166,   777,   794,   142,  2282,  2011, 58435, 65354, 58435, 58435,
    2355, 42969, 58435, -3887,  2153, -3887, -3887,   272, -3887, -3887,
   -3887, -3887,  2296,  1880,   445,  2297,  2006,  2299, -3887,  2039,
   -3887,  2302,  1905,  2303, -3887,  2009, 65761, 66168, 66575,  2304,
    1906, 43376,  2310,  2009,  2315,  2205,  2319,   445,  2321, -3887,
     810,  2322,  2211,  2324,  1505,  2009, 42155,  2326,   141, -3887,
   22315, -3887,  2119, -3887,   867, -3887,  1353, -3887, 38085, -3887,
    1063,  1156, -3887, 58435,  1156, 58435,  1156, 58435,  1156, 58435,
    1156, 58435, 58435, 58435,  1156, -3887, -3887, -3887, 58435,  2036,
   58435, 58435, -3887, -3887, -3887, 49074, 43376, 49481, -3887, -3887,
     251,   863, -3887, -3887, 73043,  2432, 43376,  2318,  2318,  2318,
   -3887, -3887, -3887,  2259, 58435,  2323,  2327, 49074, 43376, -3887,
   66982, 41748,  2220,  2043, -3887, -3887, -3887, -3887, -3887,  1245,
    2468,   262,  2469, 22315,  2049,   178,   178,  2050,  2336, -3887,
   -3887, -3887,   222,  2057,  2058, -3887,   229,   229,  2216,  2061,
    2064, -3887,   238,  2065,  2484,  2487,   241,  2067,  2070,  2071,
    1803,   178, 22315, -3887,  2072,   229,  2077,  2079,  2081,  2504,
    2084, -3887,  2506,  2087,   166,   280,  2088,  2100, -3887,  2061,
   -3887,   233,  2101,  2104,  2105,  2106,  2112,  2120,  2125,  2132,
   22315, 22315, -3887, 19347,   -50,   863, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887,   127, -3887,   245,  4747, -3887, -3887,  2273,
   22315, -3887, -3887,    56, -3887,   253, -3887, -3887, -3887,   -50,
   -3887, -3887,  1036,  2130, -3887,  1609, -3887, -3887, -3887, -3887,
   -3887, -3887, 40527,  2541, -3887,   372,   863,   100,  1374,  2488,
   37271, 37678, -3887, -3887,  2367, -3887, 58435, -3887, -3887, 22315,
   35256, -3887,   -50,   117, -3887, -3887, -3887,  1416, -3887, -3887,
   -3887,   -22, -3887, 11017, -3887,  1423,  1821, 58435, 58435,  2544,
   -3887, -3887, -3887,  1824, -3887, -3887,  1333,  1333, 22315,  1333,
    1057,  1047, 21043, 22315,  2431,  2333,  1334,  1229,  2433, -3887,
    1522,  1547, 52737, 58435, 67389,  2260, -3887, 36477,  1502,   -50,
    2228,  2230,  2276, 39306,  2156,  2233,  2234,  2280,  2236,  2239,
   67796, -3887, -3887, -3887, -3887,  1241,   212,  1146,  2240,   225,
     661,  2517, -3887,  2289, -3887, -3887, -3887,  3682, 58435,  2463,
    5021,  2352,   295,  2288, -3887, -3887,  2398,  2250,  2252,  2368,
     295,   205, 68203, -3887, -3887, -3887, -3887, -3887, -3887,  1414,
   17717, -3887,  2254,  2235, 58435, 46632,  2539,  2363,   548,  1243,
     437, 58435,  2435,  2369, 58435,  2186,  2261,  2262,  2189,   961,
    2540,  2187, -3887, -3887, -3887,  1493,  2359, -3887,  2245,  2246,
   71844,    70, 34007,  2526,  2275, -3887,  1249,  2277,  2278, 58435,
     295, -3887,  2577,   295,   295,  1406,  2578,  2281,   315,  1525,
    2011,  2187,  1332, -3887,  2285,  2286,   780, -3887,  2384, 52737,
     161,  1630,  2187,  2287,  2290,  2189,  2189, 58435, 58435, 58435,
   58435, 58435,   149,  2603,  2604,  2291,   156,  2337,  2217, -3887,
   40934,  2300, 64540, -3887, -3887, 58435,  2301,  1634,  2187,   799,
     753, -3887, -3887, -3887,  1137, -3887, 58435, -3887, 58435,  1880,
   73043,  2403,  2256, -3887,  1905,   295, 58435, 58435,  1906,   174,
     949,  2409, 58435,  2465,  2265, -3887, -3887,  2011, -3887, 36874,
    1996, -3887,  2232, -3887, -3887,  2279, -3887,  2279,  2279,  2237,
    2237,  2238, -3887, -3887, -3887,  1803,  2279,  2237, -3887, 73835,
   -3887,  1310,  1381, -3887,  2629,  2631, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887,   675,  1806, -3887, 58435, 39306,
   -3887,  2646, -3887, -3887, 73043,  2533, -3887, 58435,  2436,  2244,
   -3887,  2566,  2306, -3887,  2298, -3887, 43376,   290,   863,  2305,
   58435,  2457, 58435, 58435, 58435, 58435, -3887, -3887,  2434,   750,
     112, -3887, 40934, -3887,  1332,  2441,  2643,    31,  1445,  2530,
   -3887, 58435,  2257,  2651,  2492, -3887,  1489, -3887,  2386, -3887,
   42969,   445, -3887, -3887, -3887, -3887, 73043, 58435, 68610, 42969,
     445, 43376, 43376,  2557,   141,  2558,  2325,  2559,  2329, 34007,
     445,   144, 43376, 58435, 58435, 58435, -3887, 58435, -3887, -3887,
   -3887, -3887, 58435, 58435, 43376, 40934,  2564,  2567,   445, 58435,
   58435, -3887, 11017,  1495, 58435,  1063, 41341, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, 58435, -3887, 58435, -3887, 58435,
   -3887, 58435, -3887, 58435, -3887, -3887, -3887, 58435, -3887, 58435,
    1517, -3887, -3887,  1518,   133, 58435, 58435,   173, 42969, 58435,
    2464, 58435, 58435, 58435, 58435, 58435,  2356,  2130,  1076, -3887,
     450, 52737,  2471, -3887, -3887,  1536,  1337,   872, -3887, -3887,
   -3887, -3887, -3887, -3887, 49481, 48667,  2554,    88, 58435, -3887,
   -3887,  3489, 22315,   -50, 19771, -3887, -3887, -3887,  2283, 11017,
    2328, 22315, -3887, -3887, 22315,  2294,  1833,  1833, 22315, -3887,
   -3887, -3887, -3887,   808,  1833, -3887, 22315, 22315,  1833,  1833,
    2279,  2279, -3887,  4141, 22315, -3887, 34007, 22315, 24859, 16887,
   22315,  2361,  2308,  1833, -3887,  1833, -3887, 22315, 18923, -3887,
   22315,  2489, 25701, 22315,  1374,  2490, 22315,  1374,  2701,  2701,
    1412,  4677,  2292,   -50, -3887,  2396,  1833, -3887,  1833,   761,
   -3887,   192, 73043, 22315, 39306,  2375,   164, 58435, 22315,  2307,
    1804, -3887, 22315,   974, -3887,  2311, 22315,  2372, 22315, 22315,
   22315, 22315, 22315, 22315, 22315, 22315, 22315, -3887, 26527,   227,
      12,  1027, 55179, 20195,  2576, 16462, -3887,   246, -3887, -3887,
   -3887, 58435,  2541, -3887, -3887,  2373, -3887, -3887, -3887, -3887,
   -3887,   257, -3887, -3887, -3887, -3887, -3887, -3887, -3887,  2312,
   -3887, -3887, -3887, -3887,  2312, -3887,  2309,  2103, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887,  2565,  2574,   445, 58435,   206, 49888, -3887,
   20619, -3887,  1540, -3887,  2314, -3887,  2556, -3887,  2316, -3887,
    8248,  2556, -3887, -3887,   291,  2481,  2499,  2499, -3887,  2320,
   11017, -3887,  1612, 11017,  1684, -3887, -3887, -3887, -3887, -3887,
   -3887,  1139, -3887,  2431,  1229,  2371,    85, 58435, -3887, 30668,
    2330,  1549,  2399,  2404,  2451, 43376, 58435, 58435, -3887, 39306,
   43376, 58435, 58435, 43376, 58435, 58435, -3887,  2685,  1043, 48667,
    2454, 47853, -3887, -3887,  2340, 58435,  2388,  2568,  2575,   -40,
   -3887, -3887, 69017, -3887,  2532, 43376, 58435, 58435, 22315,  2534,
   58435, 58435, 58435,  2420, 42969,  2347, 58435, 58435, 58435,   684,
   42969, 34427, 58435, 58435, 58435, 58435,  2466, 58435, 58435,  2579,
    1004, 52737,   179,  1727,  2187,  2537, -3887,   708, -3887, 43376,
   58435,  2531, -3887, -3887, -3887, 55586,  2740,  2456, -3887, -3887,
   69424, -3887, -3887,  2536, -3887, -3887, 73835, -3887, -3887,  1587,
   -3887, 73439, 69831, -3887, -3887,   621, 43376, 43376,  5494, 58435,
    1079, -3887, -3887, 73043, -3887, 58435, 58435, 58435, 50295, 70227,
   70634,  1217,  1360, 58435, 50702, -3887, 58435, -3887, -3887, 39713,
   43376, 58435, 39306, -3887, 58435,  2538,   695, -3887, 58435,  5274,
   -3887,  2438, 58435, 58435,  2354,  1601,  2439,  2478, -3887, 58435,
   43376,   900, -3887, 43376, 58435, 12050, -3887, -3887,   295, -3887,
   -3887, -3887, -3887, -3887, 58435, 58435,   295, 58435,   295,  1175,
   -3887, 43376, 58435, -3887, -3887, -3887,  6079, 58435, 58435, 58435,
   58435, 43376, 58435, -3887, -3887,   902,    24,  1208,  1390,  2496,
   58435,   863, 58435, 71041, 43376, 58435, 58435, 58435,  1298, -3887,
   -3887,  2476, -3887, 43376,   900,  6507, 58435, 58435,  2442,  2443,
     150,  2513, -3887, -3887, -3887, -3887, -3887, -3887,  2606,  2767,
   58435, -3887,  2609,  2610,  2429,  2430,  2616,   805, 58435, 58435,
   58435, 58435, 58435, 58435,  2619,   805,  2569,   111,  2389,  2405,
    1602, -3887, -3887, 22315,  2781, 73043,  2392,  2393,  2467,  2470,
    2474, -3887,  2395,  2475,  1833, -3887, -3887,  1863, -3887, -3887,
    1617, -3887,  2410,   750,  1608, -3887, 58435,   655,   802,  2694,
   18113,  2514,  1573,  2684, 58435, 58435,  1573, -3887,  1751, 48667,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,  2686,
   -3887,   863,  1996,  1996,  1996,  1996, -3887, -3887, -3887, -3887,
    2592,  1324, -3887,  2411,  1996, 58435,  2519,  1573, -3887,  1332,
    2705,   465, 58435, 47039,  1673,  2449,   863,  2596, -3887, 18527,
    5445,  2597, 41748,  2682,  2683,  2703, -3887,  1880, -3887,  2820,
   -3887,  2718,   445,  1905, -3887,  2009, -3887, 58435, -3887, 58435,
   58435, 58435, 58435,  1906, -3887, -3887,  2009,  2608,   445,   445,
   -3887,  2611,   445,  2009,  2543,  2710, 41748, -3887,   141, -3887,
   -3887, 22315,  1445, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887,  1643, -3887, 58435, -3887,  2691,  2692,  2693,  2426,  2437,
    2473, 58435,  2440, -3887,  2426,   295,  2426,  2130,  2130,  2426,
    2437, 42562,  2845,  2713,   157, -3887,   693,   528,  2645, -3887,
   -3887, -3887, -3887, 73043, -3887, -3887, -3887, -3887, -3887, 58435,
     102,  2625,  2444, 42562,  2825,   445, -3887, 42969, -3887, -3887,
   -3887,  2535, 42969,  2634, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887,  2679, 58435,  1648, -3887, -3887,  1450, -3887,  1454, 22315,
   22315,   146, -3887,  9351,  1658, 22315,  2453,  2458,  1659, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887,  2459,  2728, -3887,  2460,
    1665,  1697,  2461,  2462, -3887, -3887,  3006,  2472,  9430,  2477,
   24859, 24859,  1193, -3887, -3887, 24859,  2485, -3887,  1698,  8112,
    2486,  2491,  2494, -3887,  2493,  2497,  9751, 21467, 22315, 21467,
   21467, 10445,  2486,  2500,  1699, 39306,  2618, 10497,  1708, -3887,
   22315, 39306,  4260, 22315, -3887, 22315, 58435,  2501,  2507, -3887,
   -3887,  4141, -3887,  2502, -3887, 24859, 24859, -3887,  3238, 19347,
   -3887, -3887,  2733, -3887, -3887,  1319, -3887,  2479, -3887, -3887,
    4374,   219, 22315,  2307, 22315,  2545, 34007,  4963, 22315,  2933,
    3041,  3041,   328,   328,   254,   254,   254,  1448,  1027, -3887,
   -3887, -3887,  2495,  2084, 22315, -3887,  1838,  2012, 58435,  2594,
    3387,  3938, -3887, -3887, -3887, 27777,  2509, 22315, 22315, 22315,
    2510,  2635,  2880, 11017,   650, -3887,  2882, -3887,  1137,  1833,
     761, 38085, -3887, -3887, 22315, -3887, -3887, -3887,  1824, -3887,
   -3887, -3887, -3887, -3887, 58435,  1337, 22315, -3887, -3887,   456,
    1594, 22315,  1612, -3887, -3887, 58435,  2471,  2471, 22315, -3887,
   -3887, -3887, -3887, -3887, 27777,  2511,  2516, 29842,  2620, -3887,
   -3887, 58435,   264, -3887, -3887, -3887,  2525, -3887, -3887, -3887,
   43376, 58435, 58435, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887,  2707, -3887, 43376, 43376,  2673, 58435,  2674,
    2697, 22315,   676, 58435,  2520,  2522,  1204,  2776, 58435, -3887,
    2806,   445, -3887, -3887,  2598, -3887, 11017, -3887, -3887, -3887,
   -3887, 41748, -3887,  1880, 73043, -3887, -3887, -3887,  2560, 58435,
   -3887, 58435, 58435,  1906, -3887, -3887, -3887, -3887,   995, -3887,
   -3887, 58435, 58435,   579,  2599,  2600, 58435, -3887,  1121,  2384,
    7158, 58435, 58435, 58435,  2772, -3887, -3887, -3887, -3887,  2717,
   -3887, -3887,  1806, -3887, 69831, 73439, -3887, 73439, -3887,  1806,
    1358, -3887,  2009,  2605,  2187, -3887,  2708,  1064, -3887, -3887,
   -3887, -3887, -3887,  2827,   445,  2828,   445, 58435, 58435, 58435,
   58435, -3887, -3887, -3887, -3887, -3887, 39306, 39306, 39306,  1714,
   -3887, -3887,   863, -3887, -3887, -3887,  1722, -3887,  1417, -3887,
   -3887, -3887, -3887, -3887, -3887, 43376,  1516, -3887,  1066, 73043,
   -3887, 72240, 43376, 58435, -3887, -3887, -3887,  2751,  2702, -3887,
     823,  2712, 43376,  2607, -3887, -3887, -3887,  2613,  1755,  2187,
    1332, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,   211,
    1810,  2187,  2622, -3887,  2627, -3887, -3887, -3887,  2755,  2761,
    2764,  2630,  2632,  2681,  2637,  2639,  2688, -3887,  2644,  2690,
    2648,  2695,  2649,   445, 73043,  1706,  2687,  2864,   445, -3887,
    2652, -3887, -3887,  2966, -3887, 58435, -3887,  2655,  1867,  2187,
   -3887, -3887, 43376, 58435, -3887, -3887, -3887,   805, 73043,  2817,
     805,   805, 58435, 58435,   805, -3887, -3887, -3887,  2818,  2819,
    2821,  2822,  2833,  2834,   805, -3887, -3887, -3887, -3887,   193,
   39306, -3887,  2358, 31907, -3887,  3013,  5266,  2602,  2393,  2601,
    1833,   231,  1098,   562,  2719,  1833,  2805,  2612, -3887, -3887,
   39306, 31907,  1647,  2829,  2617,  2617,  2617,  2617,  2617,  2617,
    2617, -3887,  2222,  2011, 41748, 58435, 41748, -3887,   802,  2708,
   58435, -3887, -3887,  1728, -3887, 58435, 43376,   966, 43376,  1833,
   -3887, -3887,  2675, -3887,  1445,   290,  2743,  1378,  2942, -3887,
   -3887, -3887, -3887, -3887, 58435, 58435,   750,   863, -3887,  2614,
    2621, -3887, 58435, 58435, 58435,  2654,  2624, 58435,  2626,  2636,
   -3887, -3887, -3887, -3887, 73043,    57,  2795,  2797,  2189,  3016,
    2706, 58435, -3887,  1730,    86, -3887,   863, 41748, 71448, -3887,
    2628, -3887, -3887,   200,  2885, -3887, -3887,  1337,   445, 73043,
   58435, -3887,   445,   141,  2696,   445,  2699,   445,   445, 58435,
   -3887, -3887, 58435, -3887, 58435, 40934,   445, -3887, 11017, -3887,
   -3887,  2753,  2754,  2758, 58435,  2426, 42969, -3887,  2641, 43376,
    1147, -3887, -3887,  2813, -3887, -3887, -3887, -3887, -3887,  2935,
    2937, -3887, -3887, -3887, 43376, 49074,   155, 43376, -3887,  1880,
   -3887,  1905,   295, 58435,  2883, -3887, -3887, -3887,  2656,  1738,
   10814, 22315, -3887,  2949, 73043, -3887,  5755, -3887, -3887, -3887,
   -3887, 22315, -3887, -3887, -3887, -3887, -3887, 22315, -3887, 22315,
    2926, -3887,  3067,  3067, 73043, 24859,  1452,  2077, 24859, 24859,
   24859, 24859, 24859, 24859, 24859, 24859, 24859, 26951,   710, -3887,
   -3887, 22315, 22315,  2934,  2926, -3887, -3887,  1436,  1436, 73043,
    2657,  2486,  2662,  2664, 22315, -3887, -3887,  1740, 26114,  2665,
   39306, -3887, 22315,  8832,  1746,  2709, 10841,   -50,  6082, -3887,
    3035,   863, 22315,   496,  1777, 22315,  1750, 22315,  2945, -3887,
   -3887, -3887,  2670, -3887, -3887, 73043, 22315, 24859, 24859,  4823,
   -3887,  4840, 22315,  2671,  6014, 19347, -3887,   796,   796,   796,
     796, -3887, 58435, 58435, 58435, 27364, 55993,  2667,  1568, -3887,
   55993, 56400, -3887,  2678,   -50, 22315,  2943,    61,    61,  2700,
    2635, 31081, -3887, 22315,   476, 21891,  2704,   100,  2714, -3887,
   -3887,  7952, -3887, -3887,  2715, -3887,  2680, -3887,  1594, -3887,
   -3887, -3887,  6314,  2853,  2130, -3887, -3887, -3887,  2667, 22739,
    2620, -3887,  1757, -3887, -3887, 20195, -3887, -3887,  1779, 30668,
    2511, 20619,   -50, -3887, -3887, -3887,  2617,  2009,  2009,   110,
    2426,  2960,   110,  6598, -3887, -3887, 28190, 58435, 58435, -3887,
   58435,  1786,  1262, 58435, -3887, 58435, -3887, -3887,  3077, 58435,
   -3887,  2735,  2736, -3887, 58435, 58435, 58435, 58435, -3887, -3887,
    1879, -3887, -3887, 43376, 58435, -3887, -3887, -3887,   374,  1886,
    2187, -3887,  2759, -3887, -3887,  2931,  1444, -3887, -3887, -3887,
    2752, 58435,  2720, -3887,   220,  2189,   664, -3887, -3887,  2756,
   58435, -3887, 58435, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, 39713, -3887, -3887, -3887, 39306, 31907, 39306, -3887,
    2769,  2771,  2823,   963,   181,  2774,  2777,  2826,  2722,  2723,
    2724, -3887, -3887,   301,   863, -3887, -3887,   863,  2009,   863,
   58435, 58435, 58435, 58435, 58435, 58435, 58435,  2987,   659,  1679,
   43376, 58435, 58435, 43376, 58435, 58435, 58435, 58435, 58435, 58435,
   58435, -3887,  3081,   863,   863,  3056,  2793, 58435, -3887, 58435,
    2384, 58435, 58435, -3887, -3887, -3887,  2729,   805, -3887, -3887,
    2964,  2967, -3887,   805,   805,   805,   805,   805,   805, -3887,
     131,  1788, -3887, 28603, -3887, -3887,  2374,   863,  2374,   614,
   -3887,  2374, -3887,  2374, -3887,  2680,  1833,  1493, -3887, -3887,
   -3887, -3887, -3887, -3887,  2405, -3887, -3887,  1833,  1712,  2732,
   -3887,  2734, -3887, -3887, -3887, -3887, -3887, -3887,  2737, -3887,
     761, -3887, -3887, 58435,  2617, -3887,   331,   336,   345,   976,
   56807, 57214, 57621,  2741, 58435, 58435, 24859, -3887,  1041,   859,
   -3887,  2965, 58435,  2770, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887,  2244, -3887, 58435,  2708,  2009, 43376, 43376,  2009,
   -3887, 73043,  2449,   987, 65354,  2766,  2739,  3018, -3887,  2744,
    2745, -3887, -3887, 58435,  2708,   513,  1407,   858, -3887, 48260,
    1673, -3887,  2990, 47039, -3887, -3887, -3887,  3099,  2830, -3887,
    1337,   863,  2388, -3887, 69831, 22315, 22315, -3887,  2747, -3887,
    2757,  5949, -3887,  1996, -3887, -3887, -3887, -3887, -3887, -3887,
    2832, 58435, -3887, -3887,  2746,   445, -3887, -3887, 58435, -3887,
   58435, -3887, -3887,   445,   445, -3887,  2863, -3887, 58435, 58435,
   58435,  2426, -3887,   295, -3887,  3025, 42562, -3887, -3887, -3887,
   -3887,    88,  3032, -3887, -3887,  2994,  3002,  3003,  3004,   836,
   -3887, -3887, 22315, 11017, -3887,  2773, -3887, 11017,  7053, 11017,
    2934, -3887,  1578,  3046, -3887,  1097,  2775,  1578,   757,   757,
     379,   379,   263,   263,   263,  3067,   710, 11017, 11017, -3887,
   -3887, -3887, -3887,  2778, -3887, -3887, -3887,  2486, -3887, 23163,
    2914,  3155, -3887, -3887, -3887,  2814,  2816,  2782, -3887, 22315,
   23587,  2780, 73835, -3887, -3887,   761,   839, 24859, 24859,  1820,
   -3887,   819, 22315, 73043,  1793,  1820,  2122,  2135, 22315, 22315,
    6511,   249, 22315,  7189, 58435, 58435, 58435, 58435, -3887, -3887,
   -3887, 17303,  1568,  2787, 58435, -3887,  2789, 27777,  3014,  2962,
   -3887, 27777,  2962,  1344,  2962,  3024, -3887, 31494, -3887,  2796,
   16462,  1482, 11017,  3171,  3063, 22315,  2798, -3887,  2801,  2635,
   -3887, 72636, -3887, -3887, 11017, -3887, -3887, 22315, -3887,  2635,
     863, -3887, -3887, 34007, -3887, -3887, -3887,  2982, 11017, -3887,
    1337, 58435,   -50,  2799,  2831, 58435, -3887,  2620, -3887,   301,
   -3887, -3887, -3887, -3887,  2878, 48667,  3090, -3887, 22315,  1801,
   -3887,  2858,  3185,   121,  1816,  1817,  1262, -3887,  2770, -3887,
    1117,  3080,   114, -3887,   445, -3887, 73043, -3887, 58435, 58435,
   -3887, -3887, -3887, -3887,  2156, -3887, -3887, 58435, 58435, 58435,
   58435, -3887,  2897, -3887, -3887, 39306,  2222,  3028, -3887, -3887,
    3029,   301, 58435, -3887, 73043,   445,   445, -3887, -3887, -3887,
    2849, 43376, 58435, 58435,  1833,  1833, 73043,  2837, -3887,  1833,
    1833,  2839, -3887, 43376, 58435, 58435, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887,  2918, -3887, -3887, -3887,
   58435, 58435, 58435, 58435,  3137, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, 58435, -3887, -3887, -3887,
   73043,   445,   445, -3887, -3887, -3887,  3084, -3887,   805,   805,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887,  2011,  3168, -3887,
   39306, -3887, 40120, -3887, -3887, -3887,   863, -3887,   863,  3042,
   36070,   863,   863,  1262,  2856,   683,  3130, -3887, -3887, -3887,
   -3887,  3133,   301, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, 22315, -3887,
     792,  1578, -3887, -3887, -3887, -3887,  2770,  1445,  2910,   655,
    2969, -3887, -3887,  2009,  2009,  2912,  3256,   515, 58435,  3167,
    2905, -3887,   863, -3887, -3887, 58435, 47039,  2654, -3887,  3198,
    1818, -3887, -3887, -3887,  2903,  2797,  1462,  2870,  1673, -3887,
     189, 58435, -3887,  2906,  3147,  2873, -3887, 11017, 11017,   863,
   74231,  2628, -3887, 58435,  3122,   445, -3887,   445,   445, -3887,
   -3887, 58435,  2426,  2426,  2426, -3887,  3052, -3887,   445, 42562,
     836,   836,   836,   836, -3887, -3887, -3887, 11017, -3887, -3887,
   -3887, 24859,  3152, -3887,  2877, 73043, -3887,  2879,  1828,  1834,
   25701,  3021, -3887, -3887, -3887,  7207,  2928, 11017,  2979,  2886,
    2887, -3887,   811,   811,   819,  1835, -3887, 24859, 24859,  1820,
    1820, 22315,  1820, -3887, -3887, -3887, -3887, -3887, 55993,  2889,
   58435,  1568, 27777, -3887, -3887,  1929, -3887, 27777,  3123, -3887,
   27777, 58435,  2890, 58435,   915, 22315, 22315,  2927,  2635,  2635,
   -3887,  3057, -3887,  2893, -3887,   761,  2894, 58435, -3887, -3887,
     867, -3887, -3887, -3887, 42562,  3076, 42562,  1262,  7350,  2770,
   28190, 34847, 58435, 58028, 58028,  3037,  2770,  2910, -3887, -3887,
   -3887, -3887, -3887, -3887,  2898, -3887, -3887, -3887,  2972, -3887,
   -3887, -3887,  1840, -3887, -3887, -3887, -3887, -3887,  3081, -3887,
   -3887, 31907, -3887, -3887, -3887, 29429, 34007, -3887,   963,  2900,
    2901,   181, -3887, -3887, -3887, 58435,  1242,   893,  2938,  2426,
    3186, -3887,  3081, -3887, -3887,   805, -3887, -3887,  2389,   863,
   -3887, -3887,  1845, -3887, -3887, -3887, 58435, -3887,  2739, -3887,
   -3887, -3887, 42969,  3301,  3301, 58435, -3887, -3887,  7479,  3097,
   -3887,  2910,  3118,  3163, -3887, 58435, 58435,  1337, 47039,  2708,
   -3887,    53,  2911,  3205, -3887,  2624,  2913, -3887, -3887, -3887,
   48260,  3089,  2830,   762,   762, 58435,  2797,  3038, -3887,  3039,
   -3887,   232, -3887, 58435, 28190, -3887, 73439, -3887,  1850, -3887,
   -3887,  2509, 58435,   870, -3887, -3887, -3887, -3887, -3887, -3887,
     155, -3887, -3887, -3887, -3887,   732, 24859, 73043,  1854, 22315,
   -3887, 22315, -3887,  3293, -3887, -3887, -3887,    47, -3887, -3887,
   -3887,   811,   811,  1820, -3887, 58435,  1856, -3887, 22315,  2919,
   -3887, -3887, 27777,  1929,  1860, 58435,  1869, 73043,  2635,  2486,
   11017, 58435, -3887, -3887, -3887,  3296,  3104,  2635, -3887, -3887,
   -3887, -3887,  1147,   110,   155,  3185,  2910, -3887,  2932, -3887,
   -3887, 58435, -3887,   848,   848, 58435,  2910, -3887, -3887, 58435,
   -3887, 39306,  2983, -3887, 73043,  1905,    68, -3887, 73043, 73043,
   -3887, -3887, 58435, 58435, 58435, 58435, 58435,   445, -3887, -3887,
   -3887, -3887, 40120,  2739,  3301,   277, -3887, -3887, -3887,  1305,
    3129, -3887,  1040,  3114,  3017,  2708,  3222,  2906, -3887, -3887,
   -3887, -3887, 22315,  3086,  1673,  2990, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887,  1874,  2830, -3887,
   -3887,  3305,  3119,  3307, -3887,  1875, -3887, -3887,  5949, 74231,
    3254, -3887,  2993, 58435, -3887, -3887, -3887,   732,  1881, -3887,
    1889,  1894,  3087,  2995, -3887,  1909, -3887, 11017, 58435, -3887,
   -3887, -3887,  1914, -3887,  2950, -3887,  3342, 22315,  1276, -3887,
   -3887,  3225, -3887, 58028,  2996, 34007, -3887,  1594,  1594,  1445,
   -3887,  1262, -3887, -3887, 22315, -3887,  1918, -3887,   577,  3100,
    3244,  1920,  1926,  2437,  2998,  2437, -3887,  2426, -3887, -3887,
   -3887, -3887, -3887,  3270,  3218, -3887, -3887, -3887, -3887,   324,
   -3887,  3149,  3150, 58435, -3887, 58435,  3366, -3887,  7630, 42969,
    2797,  1673,  2222, -3887, -3887,  3153, -3887,  3154,  2449, 28190,
    2628, -3887,   795, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887,  1931, -3887, 58435,  2973,  2486, 24011, 24011,  2978, 42562,
     848,  2980, -3887,  2985, -3887, -3887,  3118,  1262, 11017, 42969,
    3361, -3887, -3887, -3887,  3100, -3887, -3887, 58435,  3107, -3887,
     776,   776,  3306, -3887,  3044, -3887, -3887, -3887,   963, -3887,
    2991,  2830,  2797, -3887, -3887,  2830, -3887, -3887, -3887, -3887,
    1385, -3887, -3887, -3887, 25283,  3115,   162,  9035, -3887, -3887,
   -3887, -3887,   155,  1594, 22315,  1262, -3887,  3114,  1905, 58435,
   -3887, -3887,  2905, -3887,  3405, -3887,   897, -3887, -3887,  2837,
   38899, -3887,  2830,  2509, -3887,  1331, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887,  3404, -3887, -3887, -3887, -3887, -3887, -3887,
   -3887,  7750, -3887, -3887, -3887,  3300, -3887, -3887, -3887, -3887,
    1938, -3887, -3887, -3887, -3887, -3887, -3887,  1548, -3887, -3887,
    1792,  1839, 24435, -3887,  1262,  3157, -3887, 38899, -3887,  1331,
   -3887, 42969, -3887, -3887,  3009, 38899,  1944, -3887
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1328,  1130,   511,  1214,  1213,  1130,   232,     0,  1216,     0,
    1130,   340,   908,     0,     0,     0,     0,   511,  1130,     0,
    1328,     0,     0,     0,     0,  1341,     0,     0,     0,     0,
       0,     0,     0,     0,  1130,     0,     0,  1348,     0,     0,
       0,     0,  1341,     0,  1218,     0,     0,     0,     0,     2,
       4,    56,    57,    23,    22,    28,    27,    79,    80,    46,
      16,    70,    51,   112,   111,   113,    34,    30,    64,    20,
      21,    31,    35,    53,    36,    52,    19,    50,    74,    54,
      77,    41,    10,    11,    42,    68,    12,    43,    69,    13,
      44,    14,    58,    81,    26,    55,    78,    37,    66,    62,
       9,    47,    48,    49,    71,    72,    73,    95,    76,   107,
      33,   104,    85,    86,   101,    87,   102,     7,    88,    45,
      15,    98,    97,    99,    65,    38,    67,    96,   100,    17,
      18,   103,    75,    93,    90,   108,   106,   114,    91,    59,
       5,     6,    82,    40,     8,    25,    24,    39,    32,   110,
      29,  1216,    84,    94,    83,    60,    89,    63,    92,   109,
      61,   105,  1315,  1302,  1350,  1314,  1327,     0,  1317,  1129,
    1128,  1114,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   510,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1140,  1850,
    1865,  1866,  1867,  1868,  1869,  1870,  1871,  1872,   315,  1873,
    1874,  1875,  1876,  1877,  1878,  1879,  1880,  1881,  1882,  2115,
    2116,  2117,  2118,  1883,  1884,  1885,  1886,  1887,  1888,  1889,
    2119,  2120,  1890,  1891,  1892,  1893,  1894,  2121,  1895,  1896,
    1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,  1905,  1906,
    1907,  1908,  1909,  1910,  1911,  1912,  1913,  1914,  2122,  2123,
    1915,  1916,  1917,  1918,  1919,  1920,  1921,  1922,  1923,  1924,
    1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,  1933,  1934,
    1935,  1936,  1937,  1938,  2124,  1939,  1940,  1941,  2125,  1942,
    1943,  2126,  1944,  1945,  1946,  1947,  1948,  1949,  1950,  2127,
    1951,  1952,  1953,  1954,  1955,  1956,  1957,  1958,  1959,  1960,
    1961,  1962,  1963,  1964,  1965,  1966,  2128,  1967,  1968,  1969,
    1970,  2129,  2130,  2131,  1971,  1972,  1973,  1974,  1975,  1976,
    1977,  1978,  1979,  1980,  2132,  1981,  1982,  1983,  1984,  1985,
    1986,  1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,  1995,
    1996,  2133,  2134,  1997,  1998,  2135,  1999,  2000,  2001,  2136,
    2002,  2137,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2138,
    2139,  2010,  2011,  2012,  2013,  2014,  2015,  2016,  2017,  2140,
    2018,  2141,  2021,  2019,  2020,  2022,  2023,  2024,  2025,  2026,
    2027,  2028,  2142,  2029,  2030,  2031,  2032,  2033,  2034,  2035,
    2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,  2045,
    2046,  2143,  2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,
    2055,  2056,  2057,  2058,  2059,  2060,  2144,  2061,  2062,  2063,
    2145,  2064,  2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,
    2073,  2074,  2146,  2075,  2076,  2077,  2078,  2079,  2080,  2081,
    2082,  2147,  2148,  2083,  2149,  2084,  2150,  2085,  2086,  2087,
    2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,
    2098,  2099,  2100,  2101,  2151,  2152,  2102,  2103,  2104,  2105,
    2106,  2107,  2108,  2109,  2110,  2111,  2153,  2154,  2155,  2156,
    2157,  2158,  2159,  2160,  2161,  2112,  2113,  2114,   314,  1293,
    1821,  1851,  1852,  1215,  1196,   511,     0,  1117,   339,     0,
       0,     0,     0,     0,     0,     0,     0,   691,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
     363,   362,     0,     0,     0,   880,   368,     0,     0,     0,
       0,   499,  1255,  2019,  1253,  1294,   233,   236,   234,   235,
    1843,     0,   980,   981,   983,     0,     0,   993,   724,   725,
       0,   723,   727,     0,     0,     0,   720,     0,     0,     0,
       0,   726,   718,     0,   717,     0,     0,     0,   722,     0,
     719,     0,     0,  1118,  1252,   369,  1328,     0,  1232,  1216,
    1223,  1233,  1228,  1230,  1229,  1231,  1227,  1842,  1866,   819,
     819,   819,   819,   816,   817,   819,   819,   819,  2034,     0,
       0,   798,     0,   800,  1847,   819,   824,   424,   424,   424,
       0,   823,   828,   424,  1111,  1147,  1826,  1340,     0,   799,
    1110,  2083,  1244,     0,     0,   997,     0,   998,     0,  2049,
    1122,   217,  2059,  2147,  2083,   213,   187,  1870,     0,     0,
     823,     0,  1119,  1120,   784,  1347,  1345,     0,  1888,  1901,
    1984,   210,  2045,  2050,  2059,  2147,  2083,  2111,   167,   172,
       0,   226,  2059,  2147,  2083,   222,  1140,     0,  1318,  1427,
    1817,     0,  1113,  1112,  1217,     0,  1220,     0,  1392,  2031,
    1322,  1324,  1222,  1315,     0,     0,     1,  1328,  1211,  1344,
    1344,     0,  1344,     0,  1307,  1315,  1310,  1314,     0,     0,
       0,     0,  1850,  2162,  2163,  2164,  2165,  2166,  2167,  2168,
    2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,
    2179,  2180,  2181,  2182,  2183,  2184,     0,     0,  1827,  1851,
    1855,     0,   734,     0,   118,  1822,   868,     0,     0,     0,
    1821,     0,     0,     0,     0,  1856,     0,  1844,  1857,  1858,
    1859,  1956,     0,     0,  1722,  1892,  1942,  1732,  1730,  1731,
    1724,  1725,  1726,  1727,  1728,  1729,     0,   978,  1723,     0,
     118,     0,  1956,     0,     0,  1956,     0,     0,     0,     0,
       0,  1987,   118,  1956,     0,     0,  1134,     0,     0,     0,
    1136,  1139,  1115,  1199,     0,  1817,     0,     0,   768,   759,
       0,   769,   760,   765,   771,     0,     0,   762,     0,     0,
     772,     0,   761,   763,   774,   764,   770,     0,     0,   766,
     767,     0,     0,  1126,   424,     0,     0,     0,     0,     0,
       0,   118,  1186,  1956,   118,     0,     0,   367,   366,   118,
     365,   364,  1892,  1942,     0,   907,   118,     0,   160,   579,
     514,     0,     0,   650,  1987,   118,     0,     0,     0,     0,
     883,     0,     0,   498,   511,  1256,  1254,     0,   984,   212,
     211,   982,  1956,     0,   293,     0,     0,  1956,  1175,     0,
     721,  1956,     0,  1956,  1845,   153,     0,  1892,  1942,  1956,
       0,     0,  1956,   145,  1956,     0,  1956,   293,  1956,   515,
       0,  1956,     0,  1956,  1987,   147,     0,  1956,   293,   732,
       0,  1249,     0,  1225,  2151,  1238,     0,  1234,  1241,  1237,
    1328,   819,   818,     0,   819,     0,   819,     0,   819,     0,
     819,     0,     0,     0,   819,  1848,  1849,   801,     0,   825,
       0,     0,   832,   831,   830,     0,     0,     0,   833,  1431,
    1271,     0,  1108,  1125,     0,     0,     0,  1000,  1000,  1000,
    1121,   216,   214,     0,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,  1830,  1832,  1833,  1733,  1800,     0,
    2116,  2117,  2118,  1791,     0,  2119,  2120,  2121,  2164,  1645,
    1632,  1641,  1646,  1633,  1635,  1642,  2122,  2123,  1927,  2124,
    2125,  1840,  2126,  2127,  2129,  2130,  2131,  2132,  1637,  1639,
    2133,  2134,     0,  1841,  2136,  2137,  2007,  2139,  2140,  2142,
    2143,  1643,  2145,  2146,  2147,  2148,  2149,  2150,  1839,     0,
    1644,  2152,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,
       0,     0,  1814,     0,  1617,     0,  1463,  1464,  1486,  1487,
    1465,  1492,  1493,  1505,  1466,     0,  1813,  1530,  1616,  1622,
       0,  1615,  1611,  1330,  1809,     0,  1612,  1829,  1831,  1792,
     179,   228,     0,   229,  1815,  2059,   168,   209,   181,   208,
     182,   180,     0,  1890,   169,     0,     0,   170,     0,     0,
       0,     0,   225,   223,     0,  1116,     0,  1429,  1428,     0,
       0,  1798,  1818,   741,  1209,  1210,  1208,     0,  1205,  1207,
    1219,  1216,  1805,  1804,  1806,     0,  1323,     0,     0,     0,
    1305,  1304,     3,  1222,  1342,  1343,     0,     0,     0,     0,
       0,     0,     0,     0,  1385,  1358,  1359,  1361,  1382,  1386,
       0,  1311,     0,     0,  1433,     0,  1393,     0,     0,  1828,
       0,     0,     0,     0,   735,     0,     0,     0,     0,     0,
       0,   117,  1173,   219,  1171,     0,     0,     0,     0,     0,
       0,     0,  1178,     0,   151,   152,   526,   511,     0,  1956,
       0,     0,     0,     0,   940,   947,     0,     0,     0,     0,
       0,     0,     0,   941,   939,   942,   221,   951,   964,   967,
       0,   858,     0,     0,     0,     0,  1043,     0,     0,  1043,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   245,   288,   491,     0,     0,   493,     0,     0,
       0,     0,     0,     0,     0,   122,     0,     0,     0,     0,
       0,   478,   490,     0,     0,     0,     0,     0,   487,     0,
     118,   241,   471,   475,     0,     0,     0,   588,   587,     0,
    1043,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   307,   308,
       0,     0,     0,   122,   144,     0,     0,     0,   243,     0,
       0,  1135,  1132,  1133,     0,  1138,     0,  1195,     0,     0,
       0,     0,     0,   773,     0,     0,  1892,  1942,     0,     0,
       0,     0,     0,     0,   342,   321,   322,   118,   320,     0,
       0,   647,     0,  1853,  1474,  1503,  1481,  1503,  1503,  1470,
    1470,  1483,  1471,  1472,  1510,     0,  1503,  1470,  1475,     0,
    1473,  1513,  1513,  1498,     0,  1455,  1456,  1457,  1458,  1484,
    1485,  1459,  1490,  1491,  1460,  1527,  1470,  1854,     0,     0,
     658,     0,  1150,  1185,     0,     0,   520,     0,  1956,     0,
     120,   692,     0,   648,     0,   120,     0,   156,     0,   583,
       0,     0,     0,     0,     0,     0,   608,   607,     0,     0,
       0,   649,     0,   120,   474,  1956,     0,   424,   424,     0,
     882,   885,     0,     0,     0,  1297,  1299,  1298,     0,  1296,
       0,   293,   291,   292,   645,   992,     0,     0,     0,     0,
     293,     0,     0,  1956,   293,  1956,     0,  1956,     0,     0,
     293,   293,     0,     0,     0,     0,   584,     0,   731,   729,
     728,   730,     0,     0,     0,     0,     0,  1956,   293,     0,
       0,   714,  1743,     0,     0,  1328,     0,   198,   199,   197,
    1239,   200,  1240,  1236,  1224,     0,   809,     0,   813,     0,
     804,     0,   810,     0,   805,   802,   803,     0,   808,     0,
       0,   425,   427,     0,     0,  1912,  1926,     0,  1947,  1975,
    1976,  2050,  2055,     0,  2078,  2087,     0,   834,   863,   829,
       0,     0,  1281,  1109,  1749,     0,  1328,     0,   999,   996,
     995,   994,   215,   188,     0,     0,     0,   865,  2049,  1124,
     783,   511,     0,  1613,     0,  1620,  1621,  1502,  1489,  1790,
       0,     0,  1497,  1496,     0,     0,     0,     0,     0,  1479,
    1478,  1477,  1619,  1757,     0,  1476,     0,     0,     0,     0,
    1503,  1503,  1501,  1550,     0,  1480,     0,     0,  1770,     0,
    1776,     0,     0,     0,  1509,     0,  1507,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,  1534,  1535,
    1617,  1743,     0,  1618,  1836,     0,     0,  1495,     0,  1527,
    1812,  1733,     0,     0,     0,     0,  1803,     0,  1741,     0,
       0,  1564,  1739,     0,  1566,     0,     0,     0,  1732,  1730,
    1731,  1724,  1725,  1726,  1727,  1728,  1729,  1737,  1547,     0,
       0,  1546,     0,     0,  1395,     0,  1834,  1793,   230,   231,
     227,     0,     0,   184,   183,     0,   202,   206,   207,   178,
     205,     0,   201,   186,  1685,  1684,   185,   177,   175,   173,
     189,   191,   192,   176,   174,   224,     0,     0,  1860,  2185,
    2186,  2187,  2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,
    2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,
    2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,
    2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,
    2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,  2235,
    2236,  2237,  2238,  2239,  2240,  2241,  2242,  2243,  2244,  2245,
    2246,  2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,  2255,
    2256,  2257,  2258,  2259,  2260,  1795,  1794,  1824,  1861,  1862,
    1863,  1864,  1799,     0,     0,   293,  1203,     0,  1200,  1808,
       0,  1325,     0,  1819,     0,  1212,  1321,  1320,  1351,  1352,
     900,  1319,  1376,  1377,  1372,     0,  1391,  1391,  1368,  1362,
    1367,  1365,     0,  1369,  1530,  1384,  1309,  1356,  1357,  1360,
    1308,     0,  1387,  1385,  1361,  1268,     0,     0,  1434,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   736,     0,
       0,     0,     0,     0,     0,  2078,   218,  1169,     0,     0,
       0,     0,   867,   866,     0,     0,   887,     0,     0,     0,
    1181,   413,     0,   290,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   524,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     558,     0,  1043,     0,   596,     0,   949,     0,   948,     0,
       0,     0,   950,   945,   946,  2050,  2059,  2083,   220,   966,
       0,   965,   963,   922,   924,   923,     0,   926,   910,     0,
     911,     0,     0,   921,   929,   927,     0,     0,     0,     0,
    1935,   247,   260,     0,  1042,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   280,     0,   283,   282,     0,
       0,     0,     0,   287,     0,     0,     0,   286,     0,     0,
     492,     0,     0,     0,     0,     0,     0,     0,   979,     0,
       0,   139,   142,     0,     0,     0,   477,   489,     0,   481,
     482,   479,   483,   484,     0,     0,     0,     0,     0,     0,
     476,     0,     0,   581,   580,   586,     0,     0,     0,     0,
       0,     0,     0,  1035,  1034,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   599,
     600,     0,   601,     0,   143,     0,     0,     0,     0,     0,
       0,     0,   196,  1131,  1137,  1198,  1825,  1197,     0,     0,
       0,   775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   326,  1853,
       0,   673,   646,     0,  1455,     0,  1451,  1447,  1516,  1517,
    1518,  1515,  1528,  1514,     0,  1461,  1519,  1470,  1467,   659,
       0,   661,   664,     0,  1148,   386,     0,   517,   558,     0,
       0,     0,   149,     0,     0,     0,   116,   160,   369,     0,
     159,   161,   163,   164,   165,   162,   166,   578,   582,     0,
     513,     0,     0,     0,     0,     0,   609,   613,   612,   616,
     614,     0,   610,     0,     0,  1443,     0,   138,   470,   473,
       0,     0,     0,   371,   455,   300,     0,     0,   884,     0,
       0,     0,     0,     0,     0,     0,  1295,     0,   970,     0,
    1176,  1956,   293,     0,   968,   154,  1846,     0,   715,     0,
       0,     0,     0,     0,   972,   711,   146,     0,   293,   293,
     516,     0,   293,   148,     0,     0,     0,   508,   293,   733,
    1251,     0,   424,  1226,  1235,   806,   815,   814,   812,   811,
     807,     0,   826,     0,   423,     0,     0,     0,   840,   841,
       0,     0,   839,   856,   842,     0,   844,   836,   835,   845,
     846,     0,     0,   865,     0,  1278,     0,  1276,     0,  1432,
    1280,  1269,  1243,     0,  1242,  1246,  1248,  1247,  1245,     0,
       0,     0,   823,     0,     0,   293,  1123,     0,   785,   786,
     791,     0,     0,     0,   792,   788,   789,   790,   793,   794,
     795,     0,     0,     0,  1801,  1753,     0,  1754,     0,     0,
       0,  1789,  1785,     0,     0,     0,     0,     0,     0,  1758,
    1761,  1762,  1763,  1760,  1764,  1759,     0,     0,  1765,     0,
       0,     0,     0,     0,  1500,  1499,     0,     0,     0,     0,
       0,     0,     0,  1589,  1622,     0,     0,  1717,     0,  1743,
    1775,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,  1743,  1781,     0,     0,     0,     0,  1683,     0,  1680,
       0,     0,     0,     0,  1800,     0,     0,     0,     0,  1837,
    1531,  1548,  1811,     0,  1802,     0,     0,  1532,  1555,     0,
    1782,  1582,     0,  1587,  1570,     0,  1563,     0,  1568,  1572,
    1551,  1803,  1742,     0,  1740,     0,     0,  1549,     0,  1544,
    1542,  1543,  1536,  1537,  1538,  1539,  1540,  1541,  1545,  1721,
    1719,  1720,     0,     0,     0,  1567,  1949,  1984,     0,  1341,
    1341,  1341,  1329,  1339,  1810,     0,  1438,     0,     0,     0,
       0,  1700,     0,  1747,     0,  1745,  1827,  1816,     0,     0,
    1527,     0,  1430,  1796,     0,   739,   740,   738,  1222,  1206,
    1202,  1201,  1807,  1221,     0,  1328,     0,   898,   899,     0,
     903,     0,     0,  1370,  1383,     0,  1281,  1281,     0,  1374,
    1375,  1366,  1313,  1312,     0,  1441,     0,     0,  1265,  1258,
    1435,     0,  1395,  1283,  1285,  1286,     0,  1800,   671,   670,
       0,     0,     0,  1069,  1002,  1047,   737,  1070,  1003,  1048,
    1071,  1004,  1170,     0,  1172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   634,
    1956,   293,  1179,  1072,     0,  1005,   289,  1180,  1049,  1184,
    1050,     0,   525,     0,     0,   530,   531,   532,     0,     0,
     533,  1892,  1942,     0,   538,   544,   548,   539,     0,   549,
     545,     0,     0,     0,     0,     0,     0,   555,   562,     0,
       0,     0,     0,     0,     0,   943,   944,  1073,  1008,     0,
    1051,   925,  1470,   909,     0,     0,   920,     0,   919,  1470,
    1470,  1009,   150,     0,   240,   248,   564,  1045,   266,   279,
     274,   275,   273,  1956,   293,  1956,   293,     0,     0,     0,
       0,   276,   271,   272,   268,   281,  1869,  1928,  2060,     0,
     568,   570,     0,   575,   284,  1021,     0,   301,   304,   285,
     264,   267,   265,   261,   246,     0,     0,  1823,     0,     0,
     974,     0,     0,     0,   141,  1031,   131,     0,     0,   127,
       0,     0,     0,     0,   121,  1079,  1013,     0,     0,   242,
     472,   480,   485,  1017,   488,  1061,   486,  1085,  1014,  1043,
       0,   238,     0,  1015,     0,  1055,  1081,  1033,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1187,     0,     0,
       0,     0,     0,   293,     0,   680,  1045,  1956,   293,  1080,
       0,  1040,  1067,     0,   309,     0,  1032,     0,     0,   244,
    1019,  1063,     0,     0,   194,   193,   195,     0,     0,     0,
       0,     0,     0,     0,     0,   777,   748,   776,     0,     0,
       0,     0,     0,     0,     0,   742,   341,   318,   319,     0,
       0,   317,   323,     0,   672,     0,     0,  1452,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1468,   660,
       0,     0,     0,     0,  1168,  1168,  1168,  1168,  1168,  1168,
    1168,  1149,  1177,   118,     0,     0,     0,   519,   557,   564,
       0,   592,   595,     0,   593,     0,     0,     0,     0,     0,
     132,   119,     0,   700,   424,   155,     0,     0,     0,   512,
     657,   655,   654,   656,     0,     0,     0,   677,   653,     0,
    1442,  1444,     0,     0,     0,   469,   373,     0,     0,   370,
     374,   378,   379,   380,   427,     0,     0,   459,     0,     0,
       0,     0,   914,     0,   932,   915,     0,     0,     0,   954,
     959,   955,   935,     0,   496,  1300,  1301,     0,   293,     0,
       0,   559,   293,   293,     0,   293,     0,   293,   293,     0,
    1106,   585,     0,   642,     0,     0,   293,   713,  1744,   827,
     426,     0,     0,     0,     0,   838,     0,   494,   843,     0,
     855,   850,   852,     0,   859,  1279,  1272,  1274,  1273,     0,
       0,  1270,  1750,   712,     0,     0,   293,     0,   860,     0,
     787,     0,     0,     0,     0,  1346,  1751,  1752,     0,     0,
       0,     0,  1786,     0,     0,  1658,     0,  1634,  1636,  1469,
    1648,     0,  1482,  1659,  1660,  1638,  1640,     0,  1734,     0,
       0,  1649,  1591,  1592,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1604,  1603,  1650,
    1716,     0,     0,  1773,  1774,  1651,  1512,  1513,  1513,     0,
       0,  1780,     0,     0,     0,  1656,  1661,     0,     0,     0,
       0,  1667,     0,  1688,     0,     0,     0,  1614,  1744,  1504,
    1505,     0,     0,     0,     0,     0,     0,     0,     0,  1588,
    1571,  1565,     0,  1569,  1573,     0,     0,     0,     0,  1557,
    1583,  1553,     0,     0,  1559,     0,  1584,  1341,  1341,  1341,
    1341,  1338,     0,     0,     0,     0,  1405,  1394,  1396,  1407,
    1398,  1400,  1436,     0,  1817,     0,  1379,  1350,  1350,     0,
    1700,     0,  1623,     0,  1700,     0,     0,   171,     0,   203,
     190,     0,  1204,  1820,     0,  1353,     0,  1735,   903,   901,
     902,  1355,     0,     0,  1390,  1389,  1388,  1363,  1267,     0,
    1265,  1260,     0,  1261,  1800,     0,  1257,  1290,     0,     0,
    1441,     0,  1289,  1068,  1001,  1046,  1168,   870,   871,     0,
     869,     0,     0,     0,   412,   886,     0,     0,     0,   634,
       0,     0,   416,     0,  1182,     0,   527,   528,     0,     0,
     546,     0,     0,   535,     0,     0,     0,     0,   534,   551,
     500,   552,   554,     0,     0,   553,   556,   561,  1043,     0,
     597,  1023,     0,  1065,   937,     0,  1470,   912,   917,   918,
       0,     0,     0,   386,     0,     0,     0,   249,   259,     0,
       0,   263,     0,   257,   277,   269,   278,   270,   572,   573,
     571,   567,     0,   574,   576,   298,     0,     0,     0,  1075,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1076,  1052,     0,     0,   124,   123,     0,   130,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   310,   295,     0,     0,     0,     0,     0,   312,     0,
       0,     0,     0,  1074,  1010,   743,     0,     0,   744,   752,
       0,     0,   745,     0,     0,     0,     0,     0,     0,   754,
     344,     0,   347,   354,   327,   331,  1186,     0,  1186,     0,
     332,  1186,   328,  1186,   325,  2007,  1724,  1725,   668,   675,
     665,   667,   669,   666,     0,   674,   634,     0,     0,     0,
    1453,     0,  1521,  1522,  1523,  1524,  1525,  1526,     0,  1520,
    1527,   662,   663,     0,  1168,  1167,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   398,     0,     0,
     392,     0,     0,   959,   385,   388,   389,   520,   523,   521,
     522,   550,     0,   591,     0,   564,   134,     0,     0,   135,
     133,     0,   300,   369,     0,     0,   615,   618,   611,     0,
     676,   678,   651,     0,   564,     0,  1252,     0,   465,     0,
     455,   405,   451,     0,   453,   452,   454,     0,   461,   299,
       0,     0,   887,   913,     0,     0,     0,   952,   956,   953,
       0,     0,   928,     0,   936,   906,  1101,  1102,  1099,  1100,
       0,     0,  1292,   971,     0,   293,   969,   716,     0,   707,
       0,   709,   973,   293,   293,   602,     0,   509,     0,     0,
       0,   837,   857,     0,   853,     0,     0,   820,   862,  1277,
    1275,   865,     0,   821,   864,     0,     0,     0,     0,     0,
    1755,  1488,     0,  1788,  1784,     0,  1631,  1756,     0,  1768,
    1767,  1590,  1769,     0,  1609,     0,     0,  1601,  1599,  1600,
    1593,  1594,  1595,  1596,  1597,  1598,  1602,  1778,  1777,  1771,
    1772,  1508,  1506,     0,  1653,  1654,  1655,  1779,  1662,     0,
    1883,  1689,  1666,  1682,  1681,     0,     0,     0,  1669,     0,
       0,  1678,     0,  1718,  1494,  1527,  1533,     0,     0,  1556,
    1783,  1574,     0,     0,     0,  1552,     0,     0,     0,     0,
    1561,  1734,     0,     0,     0,     0,     0,     0,  1332,  1331,
    1337,  1315,     0,  1407,     0,  1406,  1418,     0,     0,  1424,
    1422,     0,  1424,     0,  1424,     0,  1399,     0,  1401,  1418,
       0,  1818,  1437,     0,  1381,     0,     0,  1349,     0,  1700,
    1630,  1703,  1698,  1699,  1748,  1624,  1835,     0,  1746,  1700,
       0,  1797,  1326,     0,  1354,  1371,  1364,  1908,  1439,  1266,
       0,     0,  1263,  1264,     0,     0,  1284,  1265,  1287,     0,
     876,   877,   875,   878,     0,     0,     0,   634,     0,     0,
     432,     0,   894,   894,     0,     0,   418,   464,   959,   637,
       0,     0,     0,   635,   293,  1006,     0,   547,     0,     0,
     543,   541,   540,   542,   501,  1084,  1007,     0,     0,     0,
       0,   938,     0,   930,  1022,     0,   383,     0,   254,  1044,
       0,     0,     0,   253,     0,   293,   293,   569,   302,   303,
     306,     0,     0,     0,     0,     0,     0,   701,   684,     0,
       0,   702,   703,     0,     0,     0,   976,   977,   975,   128,
     125,   126,   129,  1018,  1062,  1016,     0,  1056,  1027,  1025,
       0,     0,     0,     0,     0,  1083,  1039,  1060,  1082,  1037,
    1058,  1036,  1057,  1038,  1059,  1030,     0,  1446,   682,   681,
       0,   293,   293,   604,  1020,  1064,     0,   746,     0,     0,
     747,   758,   756,   755,   757,   749,   345,   118,     0,   324,
       0,   352,     0,   350,   349,   351,     0,   338,     0,     0,
       0,     0,     0,   644,     0,     0,     0,  1449,  1454,  1529,
    1462,   633,     0,  1159,  1158,  1157,  1161,  1160,  1163,  1162,
    1154,  1153,  1166,  1165,  1152,  1151,  1156,  1155,     0,   390,
       0,   396,   400,   401,   399,   391,   959,   424,   463,   518,
       0,   594,   589,   137,   136,     0,     0,     0,     0,   620,
     624,   652,     0,  1445,   598,     0,   371,   469,   467,     0,
       0,   376,   381,   382,     0,   459,   402,     0,   455,   375,
       0,     0,   466,  1146,     0,     0,   916,   933,   934,     0,
       0,   959,   958,     0,   503,   293,   560,   293,   293,  1107,
     643,     0,   849,   848,   847,   495,     0,   851,   293,     0,
       0,     0,     0,     0,   797,   778,   796,  1787,  1647,  1657,
    1766,     0,     0,  1610,     0,     0,  1652,  2153,     0,     0,
       0,     0,  1686,  1687,  1668,     0,  1998,  1673,     0,     0,
       0,  1838,  1580,  1578,  1575,     0,  1576,     0,     0,  1558,
    1554,     0,  1560,  1585,  1336,  1335,  1334,  1333,  1409,  1416,
       0,  1397,     0,  1423,  1419,     0,  1420,     0,     0,  1421,
       0,     0,  1416,     0,     0,     0,     0,  1694,  1700,  1700,
    1625,  1705,  1702,     0,  1627,  1527,     0,     0,  1259,  1262,
       0,  1291,  1282,  1174,     0,     0,     0,   414,     0,   959,
       0,     0,     0,   897,   897,     0,   959,   463,   639,   638,
     641,   636,   640,  1183,     0,   536,   537,  1024,     0,  1066,
    1028,   931,     0,   565,   250,   251,   252,   255,   295,   262,
     256,     0,  1077,  1011,  1053,     0,     0,   690,     0,     0,
       0,     0,  1078,  1012,  1054,     0,     0,     0,     0,  1192,
       0,   294,   295,   311,  1041,     0,   750,   751,   326,     0,
     348,   357,     0,   355,   329,   334,     0,   336,   335,   330,
     333,  1450,     0,   990,   990,     0,   634,  1164,     0,     0,
     387,   463,   431,     0,   393,     0,     0,     0,   371,   564,
     619,     0,     0,     0,   679,   373,     0,  1250,   468,   372,
       0,     0,   461,     0,     0,     0,   459,     0,   456,     0,
     460,     0,  1141,     0,     0,   957,     0,   961,     0,   927,
     904,  1438,     0,   507,   991,   708,   710,   603,   854,   861,
     293,   779,   780,   781,   782,  1605,     0,     0,     0,     0,
    1663,     0,  1664,  1691,  1690,  1670,  1674,     0,  1671,  1672,
    1577,  1581,  1579,  1562,  1408,     0,     0,  1410,     0,     0,
    1412,  1414,     0,     0,     0,     0,     0,  1821,  1700,  1378,
    1380,     0,  1316,  1628,  1629,     0,  1350,  1700,   204,  1736,
    1440,  1288,   855,     0,   293,   894,   463,   433,  2007,   434,
     893,     0,   895,   900,   900,     0,   463,   634,   529,     0,
     563,     0,   297,   305,     0,     0,   697,   685,     0,     0,
     704,  1026,     0,     0,     0,     0,     0,   293,   753,   316,
     343,   353,     0,   337,   990,     0,   987,   986,   632,     0,
     422,   394,     0,   442,     0,   564,   694,  1146,   577,   621,
     622,   617,     0,     0,   455,   451,   377,   386,   360,   411,
     410,   407,   406,   408,   409,   404,   403,     0,   461,   457,
     458,     0,     0,     0,  1194,     0,   888,   960,     0,     0,
       0,   502,     0,     0,   506,   497,   822,  1606,     0,  1607,
       0,     0,     0,  1676,  1675,     0,  1417,  1426,     0,  1413,
    1411,  1402,     0,  1404,  1693,  1695,     0,     0,  1708,  1626,
     872,     0,   873,   897,   437,     0,   896,   903,   903,   424,
     634,   415,  1029,   566,     0,   258,     0,   688,     0,   699,
     697,     0,     0,  1188,     0,  1189,  1190,  1193,   313,   356,
     985,   989,   988,     0,     0,   395,   428,   429,   430,     0,
     397,   438,   439,     0,   590,     0,     0,  1142,     0,     0,
     459,   455,   384,   450,   358,     0,  1143,     0,   300,     0,
     959,   962,  1105,   505,   504,  1608,  1679,  1665,  1692,  1677,
    1415,     0,  1403,     0,     0,  1704,     0,     0,     0,     0,
     900,     0,   634,     0,   891,   890,   431,   417,   296,     0,
       0,   695,   698,   686,   699,   706,   705,     0,     0,   421,
       0,     0,     0,   440,     0,   441,   462,   693,     0,   623,
       0,   461,   459,  1144,  1145,   461,   889,   905,  1104,  1103,
    1328,  1425,  1696,  1697,  2115,  1908,  2089,     0,  1706,  1709,
    1707,  1701,   293,   903,     0,   419,   435,   442,     0,     0,
     687,  1191,   624,   447,     0,   446,     0,   444,   443,   683,
     627,   361,   461,  1438,  1087,  1328,  1086,  1088,  1096,  1093,
    1095,  1094,  1092,     0,  1713,  1712,  1711,  1715,  1714,   874,
     892,     0,   634,   689,   696,     0,   445,   449,   448,   629,
       0,   625,   628,   630,   631,   359,   879,     0,  1097,  1091,
    1315,  1302,     0,   436,   420,     0,   605,     0,  1089,  1328,
    1710,     0,   626,  1090,     0,   627,     0,   606
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3887, -3887, -3887,  2742, -3887,  -738,  -372,  2145,  -528, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887, -3887,
    2698, -3887, -3887, -3887,  1370, -3887, -3887,   122, -1047,   329,
    2339,  1072, -3887,  -890, -3887, -3887,  -508,   120,  -631, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -3887,  -692,  1515,   929,
     195, -2685, -3887, -1154, -3091, -3887,   371, -3887, -3887,  1461,
   -3887, -3887, -3887,   798,  -395, -3887, -3887, -3887, -3887, -3887,
   -3887, -3887,  -126, -3887, -3887,  -547, -1295,    22,  -190,  -418,
   -3887, -3887,   216,  -422, -1170, -3887, -2927, -3887,  -159, -3887,
   -3887, -3887,  -420, -1137,  1033, -3887,  -592,  -914,  1313,  -699,
   -3887,  -312, -3887,  -746,  -650,  -648,  -706,  -548, -3113, -3497,
   -3491, -2786,  1044,   145, -3887,  -166, -1287, -3887, -3887, -1242,
   -1165, -3887,  -713, -3887, -3887, -3887, -2402, -3887, -3887, -3887,
   -3887,    64, -3887, -3887, -3887, -3887,   275, -3887, -3887, -3887,
   -3887, -3887, -3887, -2229,  1439,  1440, -3887, -3887, -2587, -3887,
    -735, -3887,   429, -2443,   962, -3887, -3887, -3887,  2113, -3887,
   -3887, -3887, -3887,   281, -3887,   282, -3887, -3887, -1316, -3887,
   -3887, -1286, -3887,  1455,   779, -3887, -3887, -3887,  -723,  -784,
    -773, -3887, -2873, -3887, -3887, -3887, -3887, -3887,  -794, -3887,
     833, -2562,  -774, -3887, -3887,   850, -3887, -3887, -3887, -3887,
    -681,  -310,  2138, -3887,  -590,  -663, -3887, -3887, -3887,  -309,
   -3887, -3887, -3887, -3887, -3887, -3887,  -859,    30, -1289, -3887,
   -3887, -3887, -3887, -1667, -3887, -3887, -3887, -1743, -3887,  3497,
    1888,  1099, -1283, -3887,   -17,    63,  2570,  -918, -2145,   218,
    -443, -3887, -1465, -3887, -3887, -3887, -2053, -3887, -3887, -3887,
   -3887, -2874, -1282, -3887, -3887, -3887,   268, -3887, -3403, -3315,
   -3600, -3096, -2851, -3887, -3887,  -879, -3887, -3887, -3887, -1112,
    1633, -1180, -3887, -1827,   267, -3121,  -588, -2678, -3887, -3069,
    -533, -3887, -3887, -3887, -3887, -3887, -3887, -3887,  -877,  -514,
   -3887, -3887,  2981, -3887, -3543, -3887, -3887, -3887, -3887,  1089,
   -3887, -1147,   918, -3887, -3887, -3887, -3887, -3887,  -675,  -751,
   -3887, -3887, -3887,   147, -3887, -3887, -3887, -3887,  1734,  -753,
    -598,  2865, -1280,  -488, -3887, -3887, -3887, -3887, -2508, -3887,
   -3887, -3887, -3887, -3887, -3887, -3887, -1309, -3887, -3887, -3887,
   -3887, -3887, -3887, -3887,  1787,  1785,    37,   -16, -3887, -3887,
   -1019, -3887,  -446, -3887,  2080, -3887, -3887, -3887, -3887,  1163,
     151,   305, -3887,     3, -3887, -3887,   101, -2817,     4, -3887,
   -3887, -3887, -3887,  -281,     5, -3887,   564, -3887, -3887, -2295,
   -3887,   152,    49, -3887, -3887,     1,     0,   -41,   -33,   -20,
       2,  2869,  2445, -3887, -3887, -3887,   -21,  1667, -3887,  -694,
    -156, -3887,  1173,  -539,  1766,  2416,  2418, -3887,  1166, -3887,
   -3887,  1174, -3887, -3887, -3887,  -534,  1772, -3887,  2419,  1791,
   -3887,  1159,  1169, -2797,   640, -2792,   163, -1039,  -376,    35,
    2899,  2446, -3887, -3720,   588, -3887, -3481, -1867,   -14,  1550,
   -1305, -3887, -3887,  -936, 10986, -3887, -3887, -3887, 11216, 11314,
   -3887, -3887, 11999, 12111, -3887,  -821,   685, 12495,  7464,  -983,
   -1558,  -654, 10425,  -296,  -932, -2245, -3887, -3887, -3887,  -341,
     698,  -181, -3887, -3887, -3887, -3887,  -572, -2281,  -570, -3887,
   -3887, -3887,  -568, -3886,  -447, -3887,  -175, -3887, 10699,  1211,
   -3887,  -778, -2226, -2230,  -935, -1426, -3887, -3887, -3887, -3887,
   -3887, -3887, -3887, -1453, -2717,  -542,  1274, -3887, -3887,  1371,
   -3887, -3887, -3887, -1072,  -709, -2141,  1280, -1636, -3887,  -693,
     618,  1973,  -642,    99, -1073,  8588,  -426, -1834, -1006, -1239,
   -3887,  -148, -3887,    25,    -9,  -120,  -496,    -7,  3204,  6756,
    -472, -1075,  6120,  9375,  9692, -2538
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    48,    49,    50,    51,  1172,  2062,  1941,  2710,  2711,
      52,    53,  1246,    54,    55,    56,    57,    58,    59,    60,
    1187,    61,    62,   857,  1387,  2070,    63,  1816,   669,   670,
    1659,  1660,  2003,  1661,  1649,  1088,  1471,  1206,  1174,  1207,
      65,    66,  1082,  1640,    67,    68,    69,  1231,  1232,  1182,
    1424,  3567,  4105,  1927,  2749,  2546,  2547,    70,  1288,  1289,
      71,    72,  2659,  1327,  2661,  2662,  3164,   509,  2027,  3587,
    3588,  3151,  3152,  3594,  3852,  3853,    73,  1384,  2738,  3250,
    2739,  3660,  2740,  3661,  2741,  3662,  2692,  3214,  3215,  3216,
    2742,  3666,  4045,  2743,  1831,  4125,  2104,  1493,  1491,  4023,
    3469,  3470,  4172,  4130,  4131,  4132,  4237,  3668,  2747,  3258,
    3672,  3874,  2449,   588,  1406,  3248,    75,    76,  2098,  1262,
    1263,  1948,  3168,  2798,    77,   874,  3029,  3913,  4064,  4065,
      78,   197,    79,  1391,    80,    81,  2057,  2697,    82,  1843,
    2462,    83,    84,  2487,  2488,  2489,    85,    86,  3053,  3812,
    1233,  2539,  2540,  2541,  2542,  3073,    87,  1389,  1268,  2079,
      88,    89,    90,  2061,  2703,  2704,    91,    92,  1991,    93,
      94,    95,  1399,  2091,  2092,  3650,  3881,  4031,  3883,  4270,
    4271,  3866,  3012,  3483,    96,    97,    98,    99,  1370,  2050,
    2051,  3169,  1158,  1331,  2030,  2031,  3239,  3240,   100,   101,
    3527,  3528,   539,  4136,  4109,  4183,   102,   103,  3531,  3532,
     104,   105,   106,   107,   108,   582,   918,   919,  1164,   109,
    1755,   110,   832,  2646,   111,   982,  2222,  3705,   112,   611,
     932,   933,   113,   114,   620,  2202,   622,  1506,  2800,  2801,
    3307,  2172,   753,   115,   116,  2183,  2205,   117,  1175,  1822,
    1823,  3464,   118,   540,  1411,  2107,  2444,  4055,  3471,  3793,
    3983,  2390,  2971,   119,   541,  1211,  1889,  2110,  2753,  2754,
    1891,  2362,  3271,  1893,  2755,  2760,  2761,  2762,  3267,  3275,
    3907,  3908,   120,  1209,  1882,   121,   122,   123,  1241,   776,
     124,   552,   553,   125,  4016,   126,   886,   127,   638,  1519,
     128,  1905,  3059,   129,   130,   131,  4246,  4277,  4278,  4279,
    3280,  4210,   132,  4248,   962,   134,   135,   136,   171,   800,
     801,   802,   137,  3902,   138,   139,  2054,  2691,  3196,   140,
     141,  1817,  2434,   142,   143,   144,  1374,   145,   146,   147,
     148,  1307,   149,  1117,  1118,   150,   151,   504,   686,  1121,
    1129,   152,   590,   926,   927,   928,  1473,   153,   965,  2194,
     591,   921,   155,   592,  2408,  2982,  2983,  2986,   593,  2405,
     158,  1512,  2188,  2191,   594,  2412,  2413,  2414,  2415,  2416,
    2988,   595,   613,   877,  2115,   596,  1054,   163,   164,   165,
     695,   690,   691,   167,  1634,  2352,   628,  1136,   657,   703,
    3427,  1768,  1769,  1789,  1790,  1145,  1146,  1779,  1781,  2392,
    1782,  2401,  1774,  3424,  3767,  1785,  1786,  1148,  1149,  2396,
     168,  2356,  2937,  2938,  2939,  3405,  3415,  3754,  3950,  2940,
     960,  1155,  2941,  2946,  2980,  2729,  2730,  2731,  1894,  2037,
    1355,  1055,  1356,  2048,  1056,  1555,  1358,  1057,  1058,  1059,
    1361,  1060,  1061,  1062,  1063,  1538,  1597,  1064,  1065,  1574,
    2045,  2046,  1462,  2262,  1067,  1068,  3371,  3729,  3718,  2288,
    2289,  1656,  3367,  2889,  3962,  4084,  4085,  3435,  3432,  3771,
    3966,  4168,  4218,  4219,  1069,  2342,  1627,   778,  1070,  3171,
    1629,  2282,  2364,  2365,  1801,  1536,  2228,  2246,  2247,  2259,
    2850,  2266,  2271,  2873,  2874,  2283,  2311,  1071,  2231,  2232,
    2833,  1540,  1072,  1111,  1112,  1533,  2306,  1124,  1125,   688,
    1073,  1074,  1507,   679,  3946,   499,   744,  2556,  1746,   804,
     625,  1075,  1076,  1077,  1078,   894,   895,  1237,   500,   738,
     757,  2543,   501,   502,   740,  1751
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     162,   161,   166,   156,   157,   159,   694,   554,   704,   777,
     854,   510,  1150,  1430,   615,   626,   649,  1083,  1156,   615,
     162,   681,   166,  1440,   736,   952,   953,   954,  1159,  1515,
    1892,   958,   754,  2173,   538,  1747,  1490,  1434,  1470,  1830,
    1752,  2299,  1245,   878,  2034,  1901,   614,   693,  1305,  1267,
    1236,   614,  1576,   900,  1293,  1762,   498,   589,  2816,  1526,
    1383,   756,  1330,   545,  2506,  2508,   780,  2005,  1097,  1401,
    1549,  1550,  1910,   903,  1923,   792,   678,  2047,  1902,   880,
    2952,   581,  3274,   915,  3035,   621,  2096,  1752,  1747,  1565,
     841,  1261,  2071,  3068,  1272,  3070,   650,  1960,  1890,  2558,
    2072,  2073,  1298,  1372,  2074,  2075,  1376,  2076,  2227,  1421,
    2942,  1380,  3221,  2613,  1765,   929,  2987,  3444,  1385,  3192,
      64,  1973,  1974,  1969,  2382,  3173,  3506,  1403,  3466,  2949,
    2804,  2947,  2948,   706,   888,   698,  3476,  3665,  3402,  2144,
     923,  3646,  1463,  3173,  3638,    74,   707,   133,  3416,  3418,
    3681,   154,   160,  2897,  1090,  1878,  3349,  1808,  3794,  2942,
     668,  1294,  2099,  3449,  1144,  1208,   705, -1943,  3892,  1147,
   -1303, -1513,  2108,  1400,  1542,  1543, -1977,  3197,  3198,  3199,
    3200,  3201,  3202, -1503,   508,  1595,  1980,  3792,  2406,  3265,
     880,  4060,  1422,  1985,  3984,  1422,  1753, -1997,   550,  2304,
    1562, -1880, -2022,   741,   743,   796,  1422,   747,   748,   550,
     597,  1784,   978,  4108, -1722,  1472,  1184,  1099, -1853,  3801,
   -1854, -1722,  2634,   934,   790,   786, -1853, -2167, -1854,  1904,
    2713,   684,     3,     4, -1470, -2167, -1503,  1967, -1498,  2093,
     597,  -346,  1324, -1483,  2204,  1632, -1510,  1904, -1946,  2339,
     550, -1828,  2814, -1303,  2304, -1306,  2340,   597,   550,  3036,
     871,  2657,   550,  3460,   751,  1602,   550, -1503,  2831,  2170,
     938, -1738,  1824,  2102,  2854,  1592,  2992,  4073, -1738,  1904,
    3954,   762,  3956,  2604,  4051, -1513,  2165,   783,  1825,  2805,
    1605, -1498,  4052,   797,  2052,   794,  2775,  3897,  2777,  1234,
     597,  1836,  3254,  3603,   597,  1318,  4255,  1087,  3276,  3898,
     597,  4121,  1873,   701,  2605,  2343,  1415,   603,  1185,  -118,
    1607,  4017,   956,  1833,  -118, -1303,   603,  -734,  4253,  1936,
     655,  1291,   798,  3529,  2447,    32,   550,   604, -1306,  1602,
     597,   550,  1826,  2606,  1305,  1593,   604,   603,  1247,   777,
     550,   603,   603,   169, -1996,  1114,  4029,  1115,  2655,  1827,
    1292,   645,   503,   836,  1605,  2017,  1416,   604,   675,  1576,
    1637,   604,   604,  2068,  1109,  1646,  1234,   550,  1110,  1248,
     799,   597,  1650,  3277,  4030,  2470,  2448,  1662,  1662,  1937,
    2854,  2094,   777,   170,  1607,  1874,  4290,    37,   603,  4048,
     957,  4038,   849,  1549,  1550,  1441,   856,   883,  1458,  3797,
   -1306,  1565,  1754,   872,  2355,  1368,   892,   865,   604,  1100,
    2018,  1510,  2168,   656,  3461,   708,  2174,    41,  2176,  3530,
    4256,  2179,  4190,  1171,  3613,  2012,  1163,  1423,  2344,  3616,
    1423,  2016,  1904,  4053,   880,  2069,  4122,  2166,  3618,   546,
    1369,  1423,  3507,  3462,  1417,  4074,   880,  2103,   551,  3899,
    1508,  2224,  1911,  2658,   764,    45,  2184, -1303,   873,  3036,
    1517,  4120,  3463,  1530,  4082,  1647,  2167,    46,  2806,  1866,
    1101,   550,  1527,  1922,  1474,  1828,  1633,  1872,  3459,  2171,
    3802,  3425,   957,  4170,  1240,   974,  1422,   833,  1864,  3266,
     709,  4056,  1418,  2305,   987,  3586,   685,  2854,  1986,   880,
     752,  2407,  3278,  1968,  2635,  3519,  1542,  1543,  1432, -1722,
    1956,  1752,  1958,  4276,  3377,  1562,  1325,  1326,  1981,  2302,
    1304,  2491,   957,  1965,  2230,  2008,  2032,  1946,  2095,  3173,
    1949,  1950,   879,   554,   839,  1109,   694,  1511,   842,  1110,
    1151,  2004, -1306,  1596,  2341,  3896, -1996,  4144,  2917,  1571,
    1344,  1537, -1303,  3102,   863,  1752,    47,  3871,  1369,   831,
    1186,  1460,  3279,   930,  1432,  2161, -1738,  1837,  1572,  1829,
    1419,  2034,  2185,  1648,  1644,  3306,   162,   693,   166,  2028,
    1116,   931,  1573,   936,  3787,   940, -1943, -1303,  2734, -1303,
    2148,   944,  2013,   803, -1503, -1977,  2510,   922,   834,  3005,
    3751,  1793,  3910,  3710,  3755,  1942,  1794, -1996,   609,   610,
     880,  1881,   963,   614,   925,   614, -1997,   614,   880,   880,
   -1880, -2022, -1996,   614,   945,   946,  2263,  2169,  3642, -1853,
    3782, -1854,   979,  4201,   777,  1537,  2180, -1306, -2167,  1080,
    2286, -1470,  1089,   879,  1091,  1548,  3180,  3654,  1309, -1498,
    4093,   947,   706,   959,  1554,   609,   610, -1510,  1314,  3430,
    1109,  1598, -1828,  1571,  1110,   707,  1626, -1946,  3048,  1635,
    3049,  1511, -1306,  2369, -1306,  2866,  3612,  2856, -1503,   710,
    2942,  1369,  1572,   547,  2989,   705,  4191,   162,   161,   166,
     156,   157,   159,  2580,  2966,  4242,  1575,  1171,   609,   610,
    4241,  2505,   609,  1235,  4243,  2492,   959,  2391,   609,   610,
    3976,  2854,  1119,  1412, -1470,  3438,  3497,  3986,  1938,  2515,
    1912,  2951,  -118,  -118,  1747,  1176,  1824,   969,  3031,  2254,
    2255,  1423,  1913,  2854,  2857,  1154,  4206,  1623,  1624,  1625,
    1626,  4275,   845,  2186,  2223,  3655,  2226,  2102,  1084,  2551,
    3509,  3472,   889,  1282,  1838,   987,  2234,  1838,  2854,  1283,
    2238,  2187,   548,  2038,   549,  1312,  1107,    37,  2250,  2251,
    2468,  3185,  1086,  1277,  4039,   550,  1094,  1190,   614,   609,
    1235,  2268,  2270,  1914,  1302,  1238,  1239,  1133,  2863,  2864,
    2865,  2866,  2284,  2426,  3551,  2694,  1826,    41,  3140,  3141,
     550,  2239,  2959,   550,  1396,  2495,  2105,    64,  4208,   987,
     796,  1278,  2854,  1827,  1354,  2807,  1328,  4233,   550,  4180,
    1602,  2809,  4040,  1878,  1397,  3862,  3170,  1177,  2039,  4041,
    1184,   550,    74,  3452,   133,    45,  3599,  2548,   154,   160,
    1602,  1392,  3203,  1907,  3170,  1605,   505,    46,  2087,  2038,
    2177,  2178,  1323,  3863,  1173,  1284,  4042,   949,   550,   767,
     768,   769,  2042,   770,   771,   772,   773,   774,   775,  3684,
    2387,  1593,  1381,  1382,  1448,  1607,  4181,  4097,  4098,  1393,
    2702,    47,  3600,  1839,  2040,  3206,  3510,  2041,  2496,  1409,
    2810,  2856,   701,  2566,  1908,  1607,  2240,   879,   797,  2858,
    2859,  2860,  1173,  2861,  2862,  2863,  2864,  2865,  2866,   879,
    2598,  4140,  1449, -2168,  2039,  2133,  2599,  1436,  1438,  1892,
     162,  3272,   166,  2088,  1960,  2125,  4043,  4150,  1414,  3656,
    2552,  3878,  1185,  1303,   634,  1379,  2136,   798,  2856,  1828,
    1514,  3552,  1513,   614,  3658,  3947,  3944,  3032,  2143,  2388,
    3951,  2482,  2695,  3953,  3634,  1404,  1407,  1408,  1840,  1279,
    3135,  2241,   879,  3138,  3139,  2567,  1178,  3142,  1398,  4209,
    2040,   550,  1476,  2041,  1478,  2042,  1480,  3149,  1482,  1535,
    1484,  1485,  1486,  4019,   929,   799,  3511,  1488,   846,  3512,
    4267,  2120,  2856,  3274,  1285,  2857,  4234,  1179,   890,  1552,
   -2168,  3987,   694,  2066,  2808, -1825,  2321,  1963,   950,  2153,
     635,  1313,  2600,  2019,  3869,  2568,  2469,  2242,  4202,  3210,
    2243,  2097,  2483,  2000, -1470,  1286,  1180,  1394,  1602,  1579,
    2696,  1096,  2645,  1829,  2001, -1470,  1594,  1548, -1470,  1163,
     699, -1470,  2257,  1590,  1084,  1280,  1599,  4205,  1998,  2857,
    3095,  2020,  3813,  1605,  1287,  3211,  1636,   777,  2002,  3024,
    1450,  2042,  4235,  3704,  4223,  2569,  1084,  2954,  3212,  3620,
    2955,  4207,  2043,   879,  3083,  4021,  1652,  1653,  3659,  1999,
    1922,   879,   879,  1607,  1181,  4236,  3635,  4044,  2795,  4091,
    4062,  2044,  1446,  1766,  1767,  1758,  1771,  3025,   700,  2089,
    4142,  2678,  1212,  1461,  4101,  3524,   707,   707,  2244,   707,
     614,  2264,  2090,  1395,  3227,   614,   614,  2861,  2862,  2863,
    2864,  2865,  2866,  3992,  4268,  2264,   705,   705,   627,   705,
    2322,   521,  1638,  1514,  2323,   521,   585,  3632,  3770,  2861,
    2862,  2863,  2864,  2865,  2866,  4079,  1451,  4007,  3774,  3213,
    3781,  2601,  2942,  2482,  2570,    14,  2942,   701,  2043,   633,
    1992, -2168, -2168,   701,  2861,  2862,  2863,  2864,  2865,  2866,
    2486,  2324,  2607,  2345,  3054,  4003,  3084,  1154,   636,   637,
    4094,  4126,  2602,  1109,  3764,  3438,    19,  1110,   523,  1772,
    4100,   987,   523,  1639,  2854,  1666,  2514,  3773,  3633,  2021,
    2887,  3525,  3712,  3046,  3713,  2245,  2894,   614,  1610,  1611,
    2510,  2603,  1832,  3798,  2199,   614,  1935,  4177,  2861,  2862,
    2863,  2864,  2865,  2866,  2483,  2581,  1621,  1622,  1623,  1624,
    1625,  1626,   796,  2584,  2772,  2586,  4174,  4175,  4063,  1833,
    3170,  1859,  1796,  2579,  1918,  3026,  2778,  1964,  3698,  3993,
     946,  3182,  1614,  2484,   777,  2571,  2067,  3228,  2773,  1134,
    1951,   654,  2117,  2572,  2591,   614,  2573,   676,   614,   614,
    2482,  2123,  1992,  3173,  3799,  4004,  1773,   702,  2720,  2721,
    2722,  2723,  4028,   687,  2485,  2022,  2009,  2325,  3526,  4225,
    2728,  4127,  1432,  2629,  1966,  1924,   603,  1975,  1976,  1977,
    1978,  1904,  2126,  1898,  1225,  1514,  2623,  3183,   506,  1909,
    1915,   696,  1283,  2384,  1892,  3085,   604,  1775,  2263,  2263,
     797,  3302,   530,  2263,   531,  1992,   530,  2473,   531,  3714,
     614,  3027,  3958,  2768,  2435,  2955,  2014,  2015,  1945,   651,
     754,  2483,  2024,  1925,  1926,  3458,  3086,   536,  3055,  2962,
    2055,   536,  1135,  2855,  4128,  3000,  1173,  3479,  1776,   798,
    1140,  -557,  4260,  2263,  2263,    37,  3653,  -369,  1834,  2077,
    1979,  1250,  2486,  3056,  2856,  3087,  1818,  1922,  2431,  4284,
    1225,   777,  3047,  1952,  1995,  1953,  1819,  3330,  2049,  1264,
     169,  2512,  3320,  2290,   697,    41,  2293,  2007,  2042,  1243,
    3479,  1820,  2119,  2574,   711,  1960,  2436,   799,  1284,  1777,
    2071,  3350,  2082,  2083,  2084,  2085,  1168,  1251,  2072,  2073,
    1265,   169,  2074,  2075,  2908,  2076,  2909,  1142,  4134,  3480,
     170,  2857,  3103,    45,  1621,  1622,  1623,  1624,  1625,  1626,
    4123,  2829,  1654,  2443,  3687,    46,  3688,  1169,  2910,  1602,
    1776,    32,  2797,   746,  1191,   162,  2574,   166,  2182,  3296,
    3577,   170,  3274,  1143,  2138,  1140,  3580,  3581,  3582,  3583,
    3584,  3585,  3480,  2142,  1605,   763,  1170,  3963,  3964,    47,
    2149,  1655,  3481,   788,  3482,  3409,  1192,  1930,  2608,  2486,
    2881,  1951,   597,   925,  1252,  -887,  1432,  2942,  2201,   795,
    4061,  1777,  2942,  2564,  1607,  2942,   162,  2198,   166,  2195,
    2196,  2197,  2527,  3410,  2155,  1266,  2156,  2609,  2157,  1244,
    2158,  2906,  2159,  -140,  3011,  3481,  2160,  3482,  3757,  3305,
    1821, -1315,  1142,    32,  2248,  3472,  2189,   835,  4103,  3412,
    1253,  1193,  1254, -1315,  3920,  4166,  2911, -1315,  -140,  1171,
     838,  2912,  1959,  2152,   855,    27,  1592,  3333,  1292,  3334,
    2725,  2236,  2237,  2528,  2678,  2726,  2566,  3306,  2447,  2249,
    4167,  1916,  1194,  2252,  2253,  3153,   987,  2200,  2300,  2854,
    1256,  3255,  2706,  3893,  3259,  2221,  3023,  1160,  2274, -1315,
    2275,  1084,  1084,   861,  2764,  2052,  2858,  2859,  2860,  2310,
    2861,  2862,  2863,  2864,  2865,  2866,  2118,  1195,  4244,    27,
   -1315,  2297,   866,  2298,  1952,  2124,  1953,  1258,  1161,  2128,
    3008,  1171,  3610,  3894,  4002,  2134,  2135,  2307,  2786,  3972,
     880,  3974,  2370,    37,  3414,    37,  1196,  1092,  2567,    37,
    1455,   867,  3408,  2147,  3805,  3806, -1315,  1162,  1662,  3472,
     840,  4154,  1260,  1140, -1315,  2529,   699,  1141,  1642,  1534,
    1456,    47,  2384,    41,   880,    41,   777,  2913, -1350,    41,
    2610,   870, -1350,  2683,  3335,  2423,  4089,  2914, -1349,  3017,
    2427,   866, -1349,  2430,  3336,   868,  2463,    37,  2568,   935,
     937,   939,   754,  1571,   941,   942,   943,  2942,    32,  2611,
    1879,    45,  1199,    45,   948,  2453,  2530,    45,  1200,  3409,
    3234,  3301,  1572,    46,   700,  1201,  3123,    41,   885,    46,
    1142,  2353,  2684,  1880,   869,  2880,  1573,  2882,  2883,   198,
    2367,  3494,  1203,  2707,   507, -1350,  3124,  3410,  2569,  2497,
    1204,   896,   583,  2974,  3037, -1349,  1165,    47, -1098,    47,
   -1098,  1802,  3411,    47,   868,    45,  1143,  2393,   652,  2856,
    2957,  3477,   901,  3412,  1571,  3080,  2511,    46, -1315,  3050,
    1465, -1350,  3058,  1466,  1548,   987,  1809,  1166,  2854,   701,
     910, -1349,  1803,  1572,  1119,  3413,   162,  2409,  3040,   614,
    2544,  1205,  2437,  1273,  2440,  3378,  3081,  1575,  2685,  2686,
    3236,  4245,  2923,  2264,  2264,  3363,  1167,  3731,  2264,   916,
    2565,  1804,  2687,  2575,  3553,  2224,  2857,   515,  1601,  1571,
    3077,  1602,  1957,   920,  1274,  3082,  1109,  2570,  1275,  1130,
    1110,  2587,   597,  1756,  3554,  3078,  1757,  3596,  1572,  3598,
    1759,  2596,  3601,  1760,  3602,  2378,  1605,  2381,  2264,  2264,
    1560,  1561,  1606,  1276,  2619,  3502,  1091,  2688,  3414,  1924,
    1548,   951,  1809,  2626,  2708,  2826,  2465,  2466,  2467,  2827,
    2151,  2113,  2114,  2475,  2828,  2477,  1607,  2479,  2480,  2516,
     847,  3498,   848,  3193,  3351,  3352,  2490,  3312,  2726,   880,
     961,  3508,  3513,   702,  3472,   521,  1109,   955, -1828,   612,
    1110,  3846,  3847,  2709,   612,  2399,  2400,  1925,  1926,  2312,
    2224,  2313,  2150,  2263,  -881,  2151,  2263,  2263,  2263,  2263,
    2263,  2263,  2263,  2263,  2263,  2263,   964,  1970,  2571,  2997,
    2998,  1997,  3316,  2314,  2162,  2164,  2572,  2163,  2163,  2573,
    2377,  1922,  2689,  3016,  2690,  3217,  3361,  3921,  3922,  3923,
    3924,   966,   523,  2192,  2852,  2853,  2193,  2383,  2856,  2868,
    2384,   971,  2615,   614,  1924,  4288,  2419,  4289,  1924,  2193,
    3384,   614,   973,   614,  2582,  2263,  2263, -1373, -1373,   880,
    1609,  2858,  2859,  2860,  3170,  2861,  2862,  2863,  2864,  2865,
    2866,  2548,  2716,  3520,  2969,  2970,     3,     4,  2647,  2903,
    2904,  1610,  1611,  3408,  2503,  2535,  2647,  2504,  3184,  3186,
    3187,  2669,  1925,  1926,  4222,  2857,  1925,  1926,  2560,  2664,
    1475,  2561,  2665,  1477,  2493,  1479,  2315,  1481,   972,  1483,
    2639,  2316,  4026,  1487,  2679,  3315,  2317,  2680,  2648,  2649,
    2650,  2651,  2652,  2653,  2702,  1614,  1922,  1520,  1521,  2819,
    1922,  2802,  3101,   585,  2821,  2745,  2746,  3730,  1615,  2677,
    2789,  1924,  2719,  2163,   974,  2825,  3098,   977,  2151,  4057,
    3409,   975,    14,  2802,  1892,  2835,  2839,   980,  2151,  2151,
    2717,   976,  2843,  3474,  3475,  2151,   530,  2750,   531,  1924,
     981,   162,  2735,   879,  3605,  3606,  3357,   533,  3410,  3317,
    2678,  1601,  3663,    19,  1602,  2975,  2976,  3104,   535,  1925,
    1926,   536,  3232,  3411,  2844,  2870,  2886,  2151,  2151,  2151,
     987,  1603,  2736,  2854,  3412,  2891,   983,   879,  2892,  1605,
     850,  3071,   851,   987,  3072,  1606,  2854,  1925,  1926,  3075,
    3737,   777,  3076,  1922,  1924,  3223,  3413,  3263,  3224,  2774,
    3264,  2776,  2318,  3738,  2714,  3321,  1098,  3358,  2151,  1607,
    3359,  1095,  2319,  3368,  3132,  3948,  3369,  3380,  4008,  2812,
    2151,  1922,  1102,  2927,  3450,  2928,  3218,  3451,  3220,  1103,
    2858,  2859,  2860,  3499,  2861,  2862,  2863,  2864,  2865,  2866,
     614,  1104,  1925,  1926,  1305,  1120,  3454,  2943,  2956,  3455,
    3226,  1924,  3229,  3478,  2967,  3589,  2163,  3968,  3590,  1130,
    3736, -1303,   880,  2193,   880,  3692,  3693,  3694,  3789,  3414,
    1924,  3790,  1548,  1108,  1163,  3421,  1922,  1621,  1622,  1623,
    1624,  1625,  1626,  3795,  3796,  3889,  2163,  2163,  3890,  3269,
    1128,  1127,  2824,  3426,  3428,  3930,  2943,  1130,  3931,  1925,
    1926,  3932,  3940,  3593,  2151,  2193,  1131,  3990,   694,  1608,
    3991,  1138,  4011,  1609,  2263,  4012,  1152,  4058,  1925,  1926,
    4059,  4069,  3203,  4076,  2193,   880,  2384,  4081,  3204,  1548,
    3243,  1809,    37,  1922,  1610,  1611,  4083,  1153,  3205,  3243,
    2993,  4143,  4148,  3949,  1641,  4149,  1157,  1163,  4155,  1590,
    1612,  2193,  1922,  2856,  1183,  1214,  4156,  2771,  3311,  2892,
    1188,  4157,    41,  2310,  2151,  3206,  2856,  3207,  2932,  2933,
    2934,  1210,  1240,  2780,  2781,  1613,  4160,  2783,  1614,  2384,
    1242,  4162,  2926,  2787,  3243,  4179,  1249,  4185,  2193,  1752,
    2193,  1615,  1269,  4186,  1616,  2936,  2193,  2929,  4211,  2930,
      45,  2384,   879,  1281,   586,  4286,   694,  1137,  4287,  1139,
    2857,  4297,    46,  3756,  4287,  3759,  1290,  1295,  1300,  1301,
    2224,  1306,  1308,  2857,  1310,   162,  2198,   166,  2195,  2196,
    2197,  1315,  1320,  1322,  2958,  3573,   614,  4014,  1329,  3208,
    2818,  1332,  3154,  1171,  2936,  1373,   587,   693,  2264,  1375,
    1377,  2264,  2264,  2264,  2264,  2264,  2264,  2264,  2264,  2264,
    2264,  1386,  1369,  -157,  1388,  1390,  1617,  1402,  1410,   185,
    1420,  1425,  1426,  1427,  1428,  3079,  1429,  1431,  1439,  1432,
    3595,  2264,  3091,  3155,  1442,  2263,  2263,  2931,  3735,  1443,
    3018,  1444,   879,  1445,  3209,  1447,  1452,  1453,  1454,  3210,
    1459,  1464,  1489,  1516,  1518,  1522,  1531,  3156,  1524,  1532,
    2264,  2264,  1525, -1474, -1481,  1541,  1544,  3836,  3837,  3682,
    3839,  1545,  3157,  1546,  1547,  1551,  3158,    47,  2967, -1471,
    1553,  1556, -1472,  1557,  1084,  3211,  1558,  1559,  1564,  3020,
    3906,  3021,  3022,  1566,  3159,  1567,  2967,  1568,  3212, -1475,
    1569, -1473,  3133,  1570,  1577,  3153,  1618,  1619,  1620,  3160,
    1621,  1622,  1623,  1624,  1625,  1626,  1578,  1580,  2373,  1630,
    1581,  1582,  1583,  3074,  2374,  2858,  2859,  2860,  1584,  2861,
    2862,  2863,  2864,  2865,  2866,  3088,  1585,  3090,  2858,  2859,
    2860,  1586,  2861,  2862,  2863,  2864,  2865,  2866,  1587,  3332,
    1641,  3096,  3337,  3338,  3339,  3340,  3341,  3342,  3343,  3344,
    3345,  3346,  1645,  1665,  1657,  1764,  1141,  1143,  1791,  1799,
    1805,  3719,  1806,  1807,  1809,  1810,  1811,  1812,  1813,  3213,
    3695,  1814,  1835,  1841, -2079,  3161,  1842,  1861,  1865,  1867,
    3122,  1868,  1869,  3162,  1870,  1871,  1896,  1904,  1897,  1906,
    1916,  1917,  1919,  1920,  1921,  1922,  1928,  1929,  1931,  1932,
    1933,  3386,  3387,  1939,  3136,  1947,  1954,  1940,  2647,  1943,
    1944,  2647,  2647,  1955,  1225,  2647,  3163,  1961,  1962,  1971,
    1982,  1983,  1972,  1984,  1987,  2647,  3014,  1988,   754,  2010,
    1328,  2011,  1993,  1996,  3172,  2023,  2025,  2026,  2033,  2756,
    2035,  2036,  1537,  1548,  1554,  1992,  2053,  2056,  2059,   517,
    2060,  2081,  3172,  2100,  2101,  2106,  2086, -2079,  1191,  3304,
    2064,   880,  2111,  2109,  2065,   879,  3858,   879,   614,  2112,
    1266,  2127,  2129,  2131,  2116,  3179,  3181,  3314,  2145,  2130,
    3188,  2146,  3851,  2132,  2203,  2175,   614,  2190,  2181,  2229,
    1192,  2272,  1602,  2285,  2291,  2296,  2230,  2273,  3241,  3061,
    2235,  3063,  2295, -2079,  2328,  2303,  2355,  2368,  2394,  2375,
    2516,  3643,  3644,  2309,  3230, -2079,  2372,  2326,  2376, -2079,
    2385,  2395,  2371,   700, -2079,  2404,  2386,  3268,   879, -2079,
    2398,  2420, -2079,  3663, -2079,  3284,  2421,  2418,  2422,  2264,
    2433,  2438,  2443,  2445,  1159,  1193,  2441,   162,  3282,  2452,
    2446,  2457,  2461,  2464,  2494,  2478,  2481,  2499,  1092,  2263,
    3928, -2079,  1096,  2550,  2559,  2563,  2612,  2943,  3933,  2501,
    2555,  2562,  2625,  2636,  2632,  2633,  1194,  2637,  2638,  3222,
    2640,  2641, -2079,  2642,  2643,  2263,  2263,  2644,  3121,  3293,
    2654,  2667,  3294,  3128,  2656,  2660,  2670,  2671,  2663,  2672,
    3325,  2675,  2673,  2681,  3237,  2757,  2674,  2676,  2700,  2712,
    2705,  1195,  3245,  2718,  2724,  2732,  3251,  2727, -2079,  2733,
    3331,  2748,  2751,  2763,  2765,  2766, -2079,   614,  2767,  3848,
    3262,  2769,  2770,  3318,  2779,  2785,  2384,  2782,  2943,  2784,
    1196,  2791,  2792,  2793,  2803,  3353,  2811,  1460,  2794,  2204,
    2796,  2815,  4075,  2817,   957,  2822,  2823,  2820,  2841,  3906,
    2837,  2888,  4075,  2907,   694,  2838,  2840,  2842,  2845,  2846,
    2951, -2079,  3375,  2953,   694,  -927,  2981,  2922,  2945,  2848,
    2979,  1514,  2967,  2876,  2851,  2915,  3394,  3395,  3396,  3397,
    3631,  2902,  2869,  3495,  1084,  2996,  2151,  2985,  2875,  2999,
    2877,  2925,    32,  3001,  2878,  1590,  1199,  2885,  2900,  3776,
    2264,  2264,  1200,  4117,  2901,  3401,   627,  2950,  2991,  1201,
    3013,  1601,  4013,  3002,  1602,  3436,  3006,  1880,  3007,  3010,
    3015,  3033,  3034,  3044,  3045,  3019,  1203,  3051,  3052,  3093,
   -2079,  3060,  3062,  3283,  1204,  3100,  3094,  3286,  3287,  1605,
    3289,  3107,  3291,  3292,  3105,  1606,  3097,  3108,  3099,  3106,
    3109,  3297,  3110, -2079,  3111, -2079, -2079,  3959,  3112,  3113,
    3555,  3114,  4068,  3558,  2263,  3115,  3116,  3117,  3127,  1607,
    3118,  3120,  3119,  1980,  3129,  4161,  3125,  3131,  3137,  3143,
    3144,  3313,  3145,  3146,  1601,  1205,  3174,  1602, -2079,  2759,
    3273, -2079, -2079, -2079,  3147,  3148,  3177,  3189,  3178,  2042,
    3195,  3398,  3399,  3400,  1603,  3233,  3231,  3194,  3235,  3190,
    3256,  3242,  1605,  3257,  3281,  3872,  3247,  3260,  1606,  1601,
    3249,  3243,  1602,  3252,  3490,  3491,  3492,  3493,  3261,  4106,
    3298,  3299,  3308,  4111,  4112,  3300,  3253,  3309,  3172,  3310,
    3288,  3303,  1607,  3290,  3319,  3324,  2872,  1605,  2854,  2871,
    1534,  3732,  3733,  1606,  3354,  3540,  3539,  3971,  3541,  3355,
    3542,  3356,  3362,  1595,  3370,  3382,  3383,  3407,  3391,  1608,
    3446,  3423,   614,  1609,  3420,  3465,  3443,  1607,  3486,  3488,
    3489,  3500,  3501,  3503,  3568,  3569,  4107,  3514,   614,  4110,
     880,  3521,  3851,  3522,  1610,  1611,  3533,  3429,  2647,  3534,
    3523,  3439,  3550,  3535,  2647,  2647,  2647,  2647,  2647,  2647,
    1612,  3440,  3442,  4113,   879,  4115,  3505,  3566,  3597,  3536,
    3537,  3538,  3509,  4071,  3570,  3578,  3576,  3607,  3579,  3608,
    3636,  3648,  3273,  3649,  3609,  4274,  3667,  3628,  1614,  2163,
    3670,  3651,  1608,  3685,  3671,  3652,  1609,  3679,   614,  3691,
    3696,  1615,  3699,  3680,  3683,  3700,  2802,  3615,  3617,  3619,
    3621,   945,   946,  3701,  3702,  3703,  3711,  1610,  1611,  3720,
    3708,  3715,  3604,  3721,  3722,  3716,  3723,  1608,  3752,  3724,
    3728,  1609,  4274,  1612,  3748,  3750,  3753,  3645,  3760,  3765,
    4274,  3614,  3763,  3766,  3777,  3768,   623,   624,  3769,  1633,
    3784,   630,  1610,  1611,  3629,   640,   646,   623,  1613,   653,
    3786,  1614,   646,   646,  3780,   680,  1601,   683,  1612,  1602,
    3791,  3792,  3674,  4047,  1615,  3800,  1617,  1616,  3811,  2943,
     162,  3673,  3821,  2943,  2264,  3814,  3815,  3828,   777,  3831,
    3835,  3840,  4088,  2264,  1605,  3845,  1614,  3979,  3849,  3856,
    1606,  3861,  3864,  3865,  3873,  3875,  3876,  3877,  3880,  1615,
    2264,  2264,  3611,  3882,  3888,  3891,  3895,  3903,  3901,  3904,
    3912,  3918,  3926,  3927,  1607,  3929,  3934,  3936,  3937,  4165,
    3706,  3637,  3996,  3938,  3939,  3945,  3955,  3952,  3961,  3965,
    3967,  3969,  3973,  3985,  3989,  3988,  3998,  3999,   614,  1617,
    4005,  4006,  4015,  3647,  3635,  4022,  4024,  4032,  4033,  4037,
    4035,  4072,  4049,  4050,  4087,  4078,  1618,  1619,  1620,  4263,
    1621,  1622,  1623,  1624,  1625,  1626,   701,  4104,  4095,  4124,
    4129,  4133,  4135,  4139,  1617,  4145,  2905,  4147,  4146,  1514,
    4152,  4153,  4158,  4164,  4159,  4169,   737,   742,   742,   745,
    4163,   742,   750,  4182,   737,  4171,   680, -2081,   779,  4108,
    4187,  4188,   680,  4189,   680,  4192,  4194,  4198,   742,  3431,
     680,  3822,  4203,  4204, -2168,  4221,  4224,  2936,  1609,  4229,
    4232,  2936,  4226,  3832,  4190,  3925,  4191,  4240,  4254,  1618,
    1619,  1620,  4266,  1621,  1622,  1623,  1624,  1625,  1626,  1610,
    1611,  3775,  4282,  4285,  4291,  4295,  2847,  2715,  1994,  1132,
    1664,  3941,  3942,  2960,  2554, -2168,  3057,  3518,  3785,  2624,
     162,  3778,  3783,  4009,  1213, -2168, -2168,  3150,  1621,  1622,
    1623,  1624,  1625,  1626,  3850,  4119,  3886,  4034,  4036,  3669,
   -2081,  3870,  3804,  1614,  4046,  3004,  2790,  4227,  3977,  2264,
    3686,  4262,  4195,  4193,   614,  4238,  1615,  4141,  3689,  3690,
    3009,  3887,  3639,  3744,  3745,  3746,  3747,  2698,  2699,  3069,
    3818,  3517,  2078,  3640,  3816,  3238,  3641,  4176,  2682,  4265,
    2207,  4296,  3827,  3191,  4292,  3175, -2081,  4239,  3997,  2063,
    4184,  4230,  4000,   629,  3697,  2507,  4151,  1509, -2081,  4090,
    3675,  3676, -2081,   881,  3126,  4247,   614, -2081,  4293,  4137,
     880,  1105, -2081,  2380,  2379, -2081,  2154, -2081,  2964,  3825,
    3826,  3657,  3779,  3456,  3829,  3830,  3842,  2208,  1126,  2965,
    2403, -2168,  1788,  1787,  2977,  2402,  2973,  1792,  2397,  2647,
    2647,  2990,  1761,  2978, -2081,  3403,  3758,  4080,  3457,  2802,
    1113,  4173,  3838,   879,  2668,  3374,  2209,  3854,  4070,  3855,
    3364,  4212,  3859,  3860,  4213, -2081,  3841,  2920,  1795,  4220,
    2968,  2918,  2832,  3453,  2943,  3867,  2354,  2210,  2956,  2943,
       0,     0,  2943,     0,     0,     0,   777,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4067, -2081,     0,     0,     0,     0,  2211,   614,     0, -2081,
       0,  2212,  2943,  3884,     0,     0,  2967,     0,     0,     0,
       0,   777,     0,     0,     0,  1621,  1622,  1623,  1624,  1625,
    1626,     0,     0,     0,  2802,     0,  2802,  1191,     0,     0,
    3905,     0,     0,     0,     0,     0,     0,  3995,     0,  3803,
       0,     0,     0,     0, -2081,  3885,     0,  2213,     0,     0,
       0,  3706,  3706,  3706,  3706,     0,     0,     0,     0,  1192,
       0,  1514,     0,  1844,     0,     0,     0,     0,   805,     0,
    3819,  3820,     0,   680,   754,   737,     0,     0,   742,     0,
     745,     0,   742,     0,     0,     0,     0,     0,   779,   627,
       0,   858,     0,     0,     0,     0,  1845,     0,   742,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1846,
       0,     0,  2936, -2081,  1193,     0,  2943,  2936,     0,   737,
    2936,     0,  1847,     0,   745,   185,  3843,  3844,   737,     0,
       0,   779,     0,     0,     0,     0, -2081,     0, -2081, -2081,
       0,     0,  3911,     0,     0,  1194,   742,     0,     0,     0,
    2214,     0,     0,     0,     0,     0,  2215,     0,     0,     0,
    1848,     0,  2216,     0,  2943,     0,     0,     0,     0,     0,
       0, -2081,  3172,     0, -2081, -2081, -2081,     0,     0,     0,
    1195,     0,  3980,  3982,  3982,     0,  3970,     0,     0,  1849,
       0,  2217,   680,  2218,  1850,     0,  2647,     0,     0,     0,
    4010,     0,   680,   970,     0,     0,   614,     0,     0,  1196,
    2219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1079,     0,   680,   646,     0,     0,     0,   646,     0,
       0,     0,     0,     0,     0,  2220,  1197,   162,  4027,     0,
    3914,   680,  3915,  3916,     0,   680,     0,     0,     0,     0,
       0,  1079,     0,  3919,     0,     0,     0,     0,     0,     0,
       0,     0,   680,     0,  1215,     0,     0,  1198,     0,     0,
    1216,    32,     0,  1514,   680,  1199,     0,     0,     0,     0,
     777,  1200,     0,     0,     0,     0,     0,     0,  1201,     0,
    1851,     0,     0,  4054,     0,     0,  1202,     0, -2094,     0,
       0,     0,     0,  3122,     0,  1203,     0,     0,     0,     0,
    1217,     0,  2936,  1204,     0,     0,   680,     0,   185,     0,
       0,     0,     0,     0,  4018,     0,     0,     0,     0,   742,
     742,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1514,     0,     0,     0,  1514,  1514,     0,     0,     0,  1852,
       0,  4200,     0,     0,  1084,  1853,     0,     0,  1854,  1218,
       0,  2943,     0,   879,  1205,     0,  1219,     0,     0,  1220,
     737,  4096,     0,     0,     0,     0,     0,     0,     0,     0,
     737, -2094,     0,   779,  1855,     0,     0,     0,     0,     0,
    1856,  4228,     0,  4114,     0,  4116,   742,     0,     0,     0,
       0,     0,     0,  1857,     0,     0,     0,     0,     0,  2802,
     680,     0,     0,     0,     0,     0,   742,   742,     0,     0,
       0,  1221,     0,     0,     0,     0,     0, -2094,  1858,     0,
     680,   680,   680,   742,     0,   737,     0,     0,     0, -2094,
       0,     0,     0, -2094,  4099,     0,     0,     0, -2094,     0,
       0,     0,     0, -2094,     0,     0, -2094,     0, -2094,     0,
     742,   742,   742,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4066,  1222,     0,  1223,     0,
       0,     0,     0,  3982,  1079, -2094,     0,     0,  1224,     0,
       0,     0,     0,     0,     0,     0,  1225,     0,     0,     0,
       0,     0,     0,  4294,     0,  1226, -2094,     0,     0,  1601,
       0,     0,  1602,     0,  1492,  1492,     0,     0,     0,   680,
       0,   623,     0,     0,     0,  4197,     0,     0,     0,  4092,
       0,     0,     0,     0,     0,     0,  1227,  1605,  1523,     0,
    1228,   680, -2094,  1606,  1529,     0,     0,     0,     0,     0,
   -2094,     0,     0,     0,     0,     0,     0,  1079,     0,     0,
       0,     0,  4118,     0,  4281,  1229,     0,  1607,     0,     0,
     162,  4252,   166,  4249,  4250,  4251,     0,  4231,     0,     0,
       0,     0,     0,     0,     0,     0,  1079,     0,     0,     0,
       0,  4273,     0,  1215,     0, -2094,     0,     0,     0,  1216,
       0,     0,     0,     0,     0,  4280,  4252,   166,  4249,  4250,
    4251,     0,     0,     0,  1079,  1079,     0,  1079,     0,  4264,
       0,     0,     0,  1230,     0,  4272,     0,     0,  1601,     0,
       0,  1602,     0,     0,  1079,     0,     0,     0,  4273,  1217,
     627,     0,     0,     0,     0,     0,  4273,     0,  1603,   162,
    4252,   166,  4249,  4250,  4251,     0,  1605,     0,     0,     0,
       0,     0,  1606,     0, -2094,     0,     0,  1608,     0,     0,
     680,  1609,  4272,  1079,     0,     0,     0,     0,     0,     0,
    4272,     0,     0,     0,     0,     0,  1607, -2094,  1218, -2094,
   -2094,     0,  1610,  1611,     0,  1219,     0,     0,  1220,     0,
       0,     0,  1079,     0,     0,     0,  1079,  1079,  1612,     0,
       0,     0,     0,     0,     0,     0,   680,   680,  1798,     0,
       0,     0, -2094,     0,     0, -2094, -2094, -2094,     0,     0,
       0,     0,     0,  1613,   646,     0,  1614,     0,     0,     0,
       0,     0,  1601,     0,     0,  1602,     0,     0,     0,  1615,
    1221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   646,     0,     0,     0,
    1605,     0,     0,     0,     0,     0,  1606,  4259,   680,  1903,
       0,     0,     0,     0,     0,   680,  1608,     0,   742,     0,
    1609,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1607,     0,     0,     0,     0,  1222,   779,  1223,     0,     0,
       0,  1610,  1611,   680,     0,     0,     0,  1224,     0,     0,
       0,     0,     0,     0,  1617,  1225,     0,  1612,     0,     0,
       0,     0,     0,   680,  1226,     0,     0,     0,     0,     0,
       0,   742,   742,   742,   742,   680,     0,     0,     0,     0,
       0,     0,  1613,     0,     0,  1614,   646,     0,     0,   680,
       0,     0,  2916,     0,     0,  1270,     0,     0,  1615,  1228,
    2006,  1616,   680,     0,     0,     0,     0,     0,     0,     0,
     742,   742,     0,     0,     0,     0,   742,     0,     0,     0,
       0,     0,     0,     0,  1271,     0,     0,     0,     0,     0,
   -2168,     0,     0,     0,  1609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1618,  1619,  1620,     0,  1621,  1622,
    1623,  1624,  1625,  1626,     0,  1610,  1611,     0,     0,     0,
       0,     0,   742,     0,     0,     0,     0,     0,     0,     0,
       0, -2168,     0,  1617,     0,     0,     0,     0,     0,     0,
       0,     0,  1230,     0,     0,     0,   742,   742,   742,   742,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1614,
       0,     0,     0,     0,     0,  2006,     0,     0,     0,     0,
       0,     0,  1615,     0,   737,     0,     0,     0,     0,     0,
       0,   745,     0,   737,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   779,     0,     0,     0,     0,   742,     0,
       0,     0,     0,     0,     0,     0,     0,   742,     0,     0,
       0,     0,     0,   742,   742,     0,     0,     0,   680,     0,
       0,     0,     0,  1618,  1619,  1620,     0,  1621,  1622,  1623,
    1624,  1625,  1626,     0,     0,  1601,     0,     0,  1602,     0,
    2895,     0,     0,  1492,     0,     0,     0, -2168,     0,     0,
     742,     0,   737,     0,     0,  1603,   680,   680,     0,   742,
       0,     0,     0,  1605,     0,   680,     0,     0,     0,  1606,
       0,     0,     0,     0,     0,     0,     0,     0,   623,   623,
       0,     0,  2206,     0,     0,     0,  1079,     0,  1079,     0,
       0,     0,     0,  1607,     0,  1079,     0,     0,  1079,     0,
    1600,     0,  1079,     0,     0,  1601,     0,     0,  1602,     0,
    1079,  1079,     0,     0,     0,     0,     0,     0,  1079,     0,
     779,  1079,  1079,  1079,  1079,  1603,     0,     0,  1604,     0,
       0,  1079,  1079,  1605,  1079,     0,  1079,  1079,     0,  1606,
    1079,  1621,  1622,  1623,  1624,  1625,  1626,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1079,     0,     0,
       0,   742,  1079,  1607,     0,     0,  1079,     0,     0,     0,
    1079,     0,  1079,  1079,  1079,  1079,  1079,  1079,  1079,  1079,
    1079,  1601,  1079,     0,  1602,     0,   680,  1079,     0,  1079,
       0,     0,     0,  1608,     0,   680,     0,  1609,  1601,     0,
       0,  1602,     0,     0,     0,     0,     0,     0,     0,  1605,
       0,     0,     0,     0,     0,  1606,     0,     0,  1610,  1611,
       0,     0,     0,     0,     0,     0,  1605,     0,     0,     0,
       0,     0,  1606,     0,  1612,     0,     0,     0,     0,  1607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1607,     0,     0,  1613,
       0,     0,  1614,  1608,     0,     0,     0,  1609,     0,     0,
       0,     0,     0,     0,     0,  1615,     0,     0,  1616,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1610,  1611,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3388,     0,     0,  1612,     0,     0,     0,     0,     0,
     680,     0,   680,     0,  1079,     0,     0,     0,  3389,     0,
       0,  1601,     0,     0,  1602,     0,     0,     0,  1215,  1613,
       0,     0,  1614,     0,  1216,     0,     0,     0,     0, -2168,
       0,  1603,     0,  1609,     0,  1615,     0,     0,  1616,  1605,
    1617,  2410,     0,  2417,     0,  1606, -2168,     0,     0,     0,
    1609,     0,     0,     0,  1610,  1611,     0,     0,   745,     0,
       0,     0,     0,   623,  1217,   623,     0,     0,     0,  1607,
   -2168,  1610,  1611,     0,     0,     0,     0,     0,     0,  1215,
       0,     0,  1079,     0,     0,  1216,     0, -2168,   737,     0,
     742,   742,   742,     0,   737,   779,     0,   742,  1614,   742,
       0,   742,   742,     0,     0,   680,     0,     0,     0,     0,
    1617,  1615,     0,  1218,     0,  1614,     0,     0,     0,     0,
    1219,     0,     0,  1220,   646,  1217,     0,     0,  1615,     0,
    1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,
       0,     0,     0,  1903,  2294,     0,     0,     0,     0,  2517,
       0,     0,     0,     0,  2526,     0,     0,     0,     0,     0,
     680,     0,     0,     0,     0,     0,     0,     0,     0,  1608,
       0,     0,     0,  1609,  1218,  1221,  2557,  2557,     0,     0,
       0,  1219,     0,   745,  1220,     0, -2168,     0,     0,     0,
       0,     0,     0,     0,  1610,  1611,     0,     0,   742,     0,
    1618,  1619,  1620, -2168,  1621,  1622,  1623,  1624,  1625,  1626,
    1612,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2614,     0,  2616,  2618,     0,     0,
    1222,     0,  1223,     0,     0,  1613,  1221,     0,  1614,     0,
       0,     0,  1224,     0,     0,     0,     0,     0,     0,     0,
    1225,  1615,     0,     0,   742,     0,     0,     0,     0,  1226,
       0,     0,   742,   742,   742,   742,   742,   742,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1079,     0,     0,
    1621,  1622,  1623,  1624,  1625,  1626,     0,     0,     0,     0,
    1296,  1222,     0,  1223,  1228,     0,     0,  1621,  1622,  1623,
    1624,  1625,  1626,  1224,  1903,     0,     0,     0,  2557,   680,
       0,  1225,     0,   623,  1601,     0,     0,  1602,     0,  1297,
    1226,     0,     0,     0,     0,     0,  1617,     0,     0,     0,
       0,     0,  1215,     0,  1603,     0,     0,     0,  1216,  2614,
       0,     0,  1605,     0,     0,     0,   742,  2744,  1606,     0,
       0,  1862,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   742,  1607,   742,  2557,   742,  2557,  1230,  1217,     0,
    1863,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1079,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1492,     0,     0,
       0,     0,     0,     0,     0,     0,  1618,  1619,  1620,     0,
    1621,  1622,  1623,  1624,  1625,  1626,     0,  1218,     0,     0,
       0,     0,     0,     0,  1219,     0,     0,  1220,  1230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   737,     0,     0,     0,     0,   737,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   742,     0,     0,     0,
       0,     0,  1608,  1079,  1079,     0,  1609,     0,     0,  1079,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1221,
       0,     0,     0,     0,     0,     0,     0,  1610,  1611,     0,
       0,     0,     0,     0,  1079,  1079,     0,     0,     0,  1079,
       0,     0,     0,  1612,     0,     0,  2756,     0,     0,     0,
       0,  1079,  1079,  1079,  1079,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1079,  1191,     0,  1079,  1613,  1079,
    2899,  1614,     0,     0,  1222,     0,  1223,     0,     0,  1079,
    1079,     0,  1215,  1079,  1615,     0,  1224,  1616,  1216,     0,
       0,     0,     0,  -115,  1225,     0,  1079,  1192,  1079,     0,
     779,     0,  1079,  1226,     0,     0,     0,     1,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     2,  1079,     3,
       4,     0,   680,     0,     0,     0,     0,     0,  1217,  2944,
       0,  1079,  1079,  1079,     5,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1079,     0,
       0,     0,  1193,     0,     6,     0,     7,     8,     0,  1617,
    1079,     0,     9,  1229,    10,  1079,     0,     0,     0,   680,
       0,     0,  1079,     0,    11,     0,    12,  1218,  2944,     0,
       0,  2984,     0,  1194,  1219,  2417,     0,  1220,     0,     0,
       0,     0,    13,     0,     0,    14,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    15,     0,    16,
       0,     0,  2757,    17,     0,  1079,     0,  2557,  1195,    18,
       0,  1230,  1492,     0,     0,     0,    19,     0,    20,     0,
       0,     0,     0,     0,    21,     0,     0,     0,     0,  1221,
       0,     0,     0,   742,     0,   742,   742,  1196,    22,  1618,
    1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,   555,
       0,     0,     0,  3176,     0,     0,     0,     0,     0,     0,
       0,   556,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   557,     0,  1222,     0,  1223,     0,     0,     0,
       0,     0,    23,    24,     0,   558,  1224,     0,    25,    32,
       0,     0,     0,  2758,  1225,     0,    26,     0,   559,  1200,
       0,     0,     0,  1226,     0,     0,  1201,    27,     0,     0,
       0,     0,     0,  1601,  1880,   560,  1602,     0,     0,     0,
       0,     0,     0,  1203,     0,     0,     0,     0,     0,     0,
       0,  1204,     0,  1603,  2513,     0,   561,     0,  1228,     0,
       0,  1605,     0,     0,    28,     0,     0,  1606,     0,     0,
       0,     0,     0,     0,   562,    29,     0,     0,     0,     0,
      30,     0,    31,  1229,     0,   563,     0,    32,     0,     0,
     564,  1607,    33,     0,     0,    34,   565,     0,     0,    35,
       0,     0,  1205,     0,    36,    37,  2759,     0,     0,     0,
       0,   566,    38,     0,     0,    39,  2557,  2557,     0,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    41,     0,     0,     0,     0,
       0,  1230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    43,     0,     0,     0,     0,     0,    44,     0,
       0,     0,     0,    45,   680,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,   567,     0,     0,     0,
       0,  1608,     0,     0,     0,  1609,   568,     0,  1492,   680,
       0,     0,     0,     0,     0,     0,     0,   680,     0,     0,
       0,   680,     0,     0,   185,     0,  1610,  1611,     0,    47,
       0,     0,  -115,     0,     0,   680,     0,     0,     0,     0,
       0,     0,  1612,     0,     0,     0,     0,     0,     0,   569,
       0,     0,     0,   570,     0,   571,     0,     0,     0,     0,
    2756,   572,     0,   742,   573,     0,   742,  1613,     0,     0,
    1614,     0,     0,     0,     0,     0,     0,     0,     0,  1191,
     737,     0,     0,  1615,     0,     0,  1616,     0,     0,     0,
     574,     0,   575,     0,     0,     0,   576,     0,     0,   680,
       0,     0,  1601,     0,   577,  1602,     0,   742,     0,   578,
       0,  1192,     0,     0,     0,  1079,     0,     0,     0,     0,
       0,   579,     0,     0,     0,  1079,     0,     0,     0,     0,
    1605,  1079,     0,  1079,   580,     0,  1606,     0,     0,  1079,
       0,     0,  1079,  1079,  1079,  1079,  1079,  1079,  1079,  1079,
    1079,  1079,     0,     0,     0,  1079,  1079,     0,  1617,     0,
    1607,     0,     0,     0,     0,     0,  1193,     0,  1079,     0,
    1601,     0,  1079,  1602,     0,     0,  1079,  1215,     0,     0,
       0,     0,     0,  1216,     0,     0,  1079,     0,     0,  1079,
    1603,  1079,     0,     0,     0,     0,     0,  1194,  1605,     0,
    1079,  1079,  1079,     0,  1606,     0,  1079,     0,     0,  1079,
       0,     0,     0,     0,     0,     0,   680,   680,   680,  2944,
    3406,     0,  3392,  1217,  3406,  3419,  2757,     0,  1607,  1079,
       0,     0,  1195,     0,     0,  3433,     0,  1079,     0,  1079,
       0,     0,     0,     0,     0,     0,     0,     0,  1618,  1619,
    1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,     0,     0,
   -2168,  1196,  3326,  1079,  1609,     0,     0,     0,     0,  1079,
       0,     0,  1218,  2417,     0,  1079,     0,     0,     0,  1219,
       0,     0,  1220,     0,     0,  1610,  1611,     0,     0,     0,
    3473,  1492,  1492,     0,  2006,     0,     0,     0,     0,     0,
       0, -2168,     0,     0,     0,     0,     0,     0,   742,   742,
     742,   742,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    32,     0,     0,     0,  1199,  1608,  1614,
       0,     0,  1609,  1200,  1221,     0,     0,     0,     0,     0,
    1201,     0,  1615,     0,     0,     0,  3516,     0,  1880,     0,
       0,     0,     0,  1610,  1611,     0,     0,  1203,     0,     0,
       0,     0,     0,     0,     0,  1204,     0,     0,     0,  1612,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
     739,   758,     0,     0,     0,     0,   758,     0,     0,  1222,
       0,  1223,     0,     0,  1613,   758,     0,  1614,     0,     0,
       0,  1224,  1601,     0,     0,  1602,     0,     0,     0,  1225,
    1615,  3571,     0,  1616,     0,     0,  1205, -2168,  1226,     0,
    2759,     0,  1603,     0,     0,     0,     0,     0,     0,     0,
    1605,     0,     0,     0,     0,     0,  1606,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2589,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
    1607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   680,  2590,     0,
       0,     0,     0,     0,     0,  1617,     0,     0,   742,     0,
    1079,     0,     0,     0,     0,     0,   680,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1903,     0,
       0,  1621,  1622,  1623,  1624,  1625,  1626,     0,   680,     0,
       0,     0,     0,     0,     0,     0,     0,  2614,     0,     0,
       0,     0,     0,  3664,     0,     0,  1230,  1903,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1079,
    1079,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1608,     0,     0,     0,  1609,     0,     0,     0,     0,     0,
       0,     0,  2557,     0,  2557,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,  1610,  1611,     0,     0,  3373,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1601,
       0,  1612,  1602,     0,     0,  1215,  1079,     0,     0,     0,
       0,  1216,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1613,  1605,     0,  1614,
       0,     0,     0,  1606,     0,     0,     0,     0,     0,     0,
       0,     0,  1615,  1079,     0,  1616,     0,     0,     0,     0,
       0,  1217,     0,  1079,  1079,     0,     0,  1607,     0,     0,
       0,  1079,  1079,     0,     0,     0,  1079,     0,     0,     0,
       0,     0,  1079,  1079,     0,     0,  1079,     0,   680,   680,
     680,   680,     0,     0,     0,  3406,  1601,     0,  3749,  1602,
       0,  2944,     0,     0,     0,  2944,     0,     0,     0,     0,
    1218,  3762,     0,     0,  1079,     0,  1603,  1219,     0,  1079,
    1220,   739,     0,     0,  1605,  3772,     0,  1617,     0,  3741,
    1606,  1079,   758,     0,     0,     0,   758,   779,     0,     0,
       0,     0,     0,     0,     0,  2984,     0,   758,     0,  2417,
       0,     0,     0,     0,  1607,     0,     0,     0,     0,   623,
       0,   758,  1079,     0,     0,   739,     0, -2168,     0,     0,
       0,  1609,  1221,     0,   739,   758,     0,     0,     0,   758,
       0,     0,  2557,  2557,     0,     0,     0,     0,     0,   758,
       0,     0,  1610,  1611,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,  3817,     0, -2168,     0,
       0,     0,     0,     0,     0,     0,     0,  1618,  1619,  1620,
       0,  1621,  1622,  1623,  1624,  1625,  1626,  1222,     0,  1223,
       0,  3445,     0,     0,     0,     0,  1614,     0,     0,  1224,
       0,     0,     0,     0,     0,     0,   742,  1225,     0,  1615,
       0,     0,     0,     0,  1608,     0,  1226,     0,  1609,     0,
     742,     0,     0,     0,     0,     0,     0,   739,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,  1610,
    1611,     0,     0,     0,     0,     0,     0,  2627,     0,     0,
       0,  1228,     0,     0,  1492,  1612,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   172,     0,     0,  2628,     0,     0,     0,
    1613,     0,  1079,  1614, -2168,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1615,     0,     0,  1616,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   742,
    1903,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,     0,  1230,     0,     0,   680,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
       0,     0,     0,     0,     0,   176,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1079,     0,     0,     0,     0,
     177,  1617,     0,     0,  1079,     0,   739,     0,  1621,  1622,
    1623,  1624,  1625,  1626,     0,     0,   739,     0,   178,     0,
       0,  1079,  1079,     0,     0,  1079,     0,     0,     0,   179,
       0,     0,  3406,     0,   180,     0,  2944,     0,  1367,     0,
     181,  2944,     0,     0,  2944,  2614,     0,  3957,     0,  1079,
    1079,     0,     0,     0,     0,   182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   739,     0,     0,  3473,   779,   742,   742,   742,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,
    1626,   758,     0,     0,     0,  3467,     0,     0,     0,   737,
     779,     0,     0,     0,     0,     0,   758,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,   758,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1492,  1601,     0,     0,  1602,     0,   737,     0,     0,   680,
       0,     0,     0,     0,     0,     0,   758,     0,   185,     0,
    2557,  1603,  1903,     0,  1367,     0,   758,     0,     0,  1605,
       0,     0,     0,     0,  3664,  1606,     0,     0,   758,   680,
       0,   758,     0,   186,     0,     0,     0,   742,  3473,   187,
       0,     0,     0,   739,     0,   188,     0,     0,   189,  1607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1079,     0,     0,  1079,     0,  1079,     0,     0,     0,     0,
       0,     0,   739,     0,   190,     0,   191,     0,     0,     0,
     192,     0,  1079,     0,     0,     0,  2944,     0,   193,  3957,
       0,     0,     0,   194,     0,  4086,     0,     0,     0,     0,
     739,   739,     0,   739,     0,   195,  1215,     0,     0,     0,
       0,     0,  1216,     0,     0,   742,     0,     0,   196,   680,
     739,     0,     0,     0,     0,     0,     0,  1601,     0,     0,
    1602,     0,     0,     0,     0,     0,   742,   742,   742,   742,
       0,     0,   758,     0,     0,  1601,     0,  1603,  1602,  1608,
     758,   758,  1217,  1609,     0,  1605,     0,     0,     0,   739,
    1748,  1606,     0,     0,     0,  1603,  1079,     0,     0,     0,
       0,     0,     0,  1605,  1610,  1611,     0,     0,     0,  1606,
       0,     0,     0,     0,     0,  1607,     0,     0,   739,     0,
    1612,     0,   739,   739,     0,     0,     0,     0,     0,     0,
       0,  1218,     0,  1607,     0,     0,     0,  1367,  1219,     0,
       0,  1220,     0,  1748,     0,  1613,     0,     0,  1614,     0,
       0,  1079,     0,     0,     0,     0,     0,   742,     0,   779,
       0,  1615,     0,     0,  1616,     0,     0,     0,  1079,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1367,     0,     0,  1221,     0,     0,     0,     0,     0,   742,
       0,     0,     0,   737,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3473,     0,  1608,     0,     0,  1601,  1609,
    1367,  1602,     0,     0,     0,     0,     0,  4086,     0,     0,
    1079,  1079,     0,  1608,     0,     0,  1617,  1609,  1603,     0,
    1610,  1611,     0,   737,     0,     0,  1605,     0,  1222,     0,
    1223,   742,  1606,     0,     0,     0,  1612,     0,  1610,  1611,
    1224,     0,     0,     0,     0,     0,     0,     0,  1225,     0,
     758,     0,     0,     0,  1612,     0,  1607,  1226,  1079,     0,
       0,  1613,     0,     0,  1614,     0,     0,     0,  1079,     0,
    1367,     0,     0,   742,     0,     0,     0,  1615,     0,  1613,
    1616,     0,  1614,     0,     0,     0,     0,     0,  3038,  1367,
       0,     0,  1228,     0,     0,  1615,     0,     0,  1616,     0,
       0,     0,     0,     0,     0,     0,  1618,  1619,  1620,  1367,
    1621,  1622,  1623,  1624,  1625,  1626,     0,  3039,     0,     0,
    3709,     0,     0,     0,     0,     0,  1079,  1601,     0,  1748,
    1602,     0,     0,     0,  1367,   737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   758,  1603,     0,     0,
       0,     0,  1617,     0,     0,  1605,  1608,     0,     0,     0,
    1609,  1606,   758,     0,     0,     0,     0,     0,     0,     0,
    1617,     0,     0,     0,     0,  1230,     0,     0,     0,     0,
     739,  1610,  1611,     0,     0,  1607,  1367,     0,     0,   739,
       0,   758,   758,     0,     0,     0,     0,  1612,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   758,   758,     0,     0,     0,     0,
       0,     0,  1613,     0,     0,  1614,   758,     0,     0,     0,
       0,     0,     0,     0,  1366,     0,     0,     0,  1615,     0,
       0,  1616,  1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,
    1625,  1626,     0,     0,     0,     0,  3743,     0,   739,     0,
    1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,
       0,     0,     0,     0,  3935,     0,     0,     0,  1601,     0,
       0,  1602,     0,     0,     0,  1608,     0,     0,     0,  1609,
       0,     0,   739,     0,   739,     0,     0,     0,  1603,     0,
       0,   739,     0,     0,   739,     0,  1605,     0,   739,     0,
    1610,  1611,  1606,  1617,     0,     0,   739,   739,     0,     0,
       0,     0,     0,     0,   739,     0,  1612,   739,   739,   739,
     739,     0,     0,     0,     0,     0,  1607,   739,   739,     0,
     739,     0,   739,   739,     0,     0,   739,     0,     0,     0,
       0,  1613,     0,     0,  1614,     0,     0,     0,     0,     0,
    1366,     0,  1367,   739,  1748,     0,     0,  1615,   739,     0,
    1616,     0,   739,     0,     0,     0,   739,     0,   739,   739,
     739,   739,   739,   739,   739,   739,   739,     0,   739,     0,
       0,     0,     0,   739,     0,   739,     0,     0,  1601,     0,
       0,  1602,     0,  1618,  1619,  1620,     0,  1621,  1622,  1623,
    1624,  1625,  1626,     0,     0,     0,     0,  3975,  1603,     0,
       0,     0,     0,     0,     0,     0,  1605,     0,     0,     0,
       0,     0,  1606,     0,     0,     0,  1608,     0,     0,     0,
    1609,     0,  1617,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1607,     0,     0,     0,
       0,  1610,  1611,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1612,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1613,     0,     0,  1614,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1615,     0,
     739,  1616,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,
    1625,  1626,     0,     0,     0,     0,  4020,     0,     0,     0,
       0,     0,     0,  1366,     0,     0,  1608,     0,     0,     0,
    1609,     0,     0,     0,     0,   758,     0,     0,     0,  1748,
     758,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,  1610,  1611,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1617,     0,   758,     0,  1612,   739,     0,
    1601,     0,     0,  1602,   739,     0,  1895,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1603,     0,  1613,     0,     0,  1614,     0,     0,  1605,   758,
       0,     0,     0,     0,  1606,     0,  1366,     0,  1615,     0,
       0,  1616,     0,     0,     0,     0,  1367,     0,     0,     0,
       0,  1367,  1367,     0,     0,     0,   758,   758,  1607,     0,
       0,     0,     0,  1367,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1748,
     758,     0,  1748,  1618,  1619,  1620,     0,  1621,  1622,  1623,
    1624,  1625,  1626,     0,     0,     0,     0,  4199,     0,     0,
     758,     0,     0,   758,     0,     0,  1366,     0,     0,     0,
       0,     0,     0,  1617,     0,     0,     0,     0,     0,     0,
       0,   758,     0,     0,     0,  1366,     0,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   758,  1366,     0,     0,     0,     0,
       0,     0,     0,   758,     0,     0,     0,     0,  1608,     0,
    1601,     0,  1609,  1602,     0,     0,     0,     0,     0,     0,
    1366,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1603,     0,     0,  1610,  1611,     0,     0,     0,  1605,     0,
       0,     0,     0,   739,  1606,  1367,     0,     0,     0,  1612,
       0,     0,     0,  1618,  1619,  1620,     0,  1621,  1622,  1623,
    1624,  1625,  1626,     0,     0,     0,     0,  4283,  1607,     0,
       0,     0,  1366,     0,  1613,     0,     0,  1614,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1615,     0,     0,  1616,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1367,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1601,  2871,     0,  1602,
       0,     0,  2872,     0,     0,     0,   758,     0,     0,     0,
       0,   739,     0,     0,     0,  1617,  1603,     0,  1608,     0,
    2387,     0,  1609,     0,  1605,     0,     0,     0,     0,     0,
    1606,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   758,  1365,  1610,  1611,     0,     0,     0,     0,     0,
       0,     0,     0,  1367,  1607,     0,     0,     0,     0,  1612,
       0,     0,     0,   758,     0,     0,     0,   739,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1613,     0,     0,  1614,     0,   739,
     739,     0,     0,     0,     0,   739,     0,     0,  1366,  2388,
    1615,     0,     0,  1616,     0,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,     0,     0,  3441,     0,     0,
     739,   739,     0,     0,     0,   739,     0,     0,     0,     0,
       0,  2366,     0,     0,     0,     0,     0,   739,   739,   739,
     739,     0,     0,     0,     0,  1748,     0,     0,     0,     0,
     739,  1748,     0,   739,  1608,   739,     0,     0,  1609,     0,
       0,     0,     0,     0,     0,   739,   739,     0,  1365,   739,
       0,     0,     0,     0,     0,  1617,     0,     0,     0,  1610,
    1611,     0,   739,     0,   739,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,  1612,     0,     0,     0,     0,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   739,     0,   739,   739,   739,
    1613,     0,     0,  1614,     0,     0,     0,     0,     0,     0,
       0,   758,     0,     0,   739,     0,  1615,     0,     0,  1616,
       0,     0,     0,     0,     0,     0,   739,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,   739,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,     0,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   758,   758,     0,     0,  1651,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1617,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   758,     0,     0,  1367,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   544,     0,     0,     0,     0,     0,   584,     0,     0,
       0,     0,     0,     0,     0,     0,   632,     0,     0,     0,
       0,  1365,  2389,     0,  1367,  1367,     0,  1367,     0,     0,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,  2502,     0,     0,     0,     0,  1895,  2509,     0,
       0,     0,     0,     0,     0,     0,  1748,  1748,  1748,  1366,
       0,  1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,
    1626,     0,     0,     0,  1365,   758,     0,     0,     0,  1367,
       0,  1367,   758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1365,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1367,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,  1367,     0,
       0,     0,     0,     0,     0,     0,   749,     0,     0,     0,
       0,     0,     0,     0,  1365,   781,     0,   784,     0,   787,
    1748,   789,     0,  1367,     0,     0,     0,     0,     0,     0,
       0,  1366,     0,  1365,     0,     0,     0,     0,     0,     0,
    1748,  1367,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1365,   758,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   758,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1365,     0,
    1601,     0,     0,  1602,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1603,     0,     0,     0,  1367,  1895,     0,     0,  1605,     0,
       0,     0,     0,     0,  1606,     0,     0,   758,  1367,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1367,
    1365,     0,     0,     0,     0,     0,     0,     0,  1607,     0,
       0,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   739,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   758,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1366,
       0,   739,     0,     0,  1367,     0,     0,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,   739,     0,   739,
       0,     0,     0,     0,  1367,   739,     0,     0,   739,   739,
     739,   739,   739,   739,   739,   739,   739,   739,     0,     0,
       0,   739,   739,     0,     0,     0,     0,     0,  1608,  1367,
       0,     0,  1609,     0,   739,     0,     0,     0,   739,     0,
    1748,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   739,  1610,  1611,   739,     0,   739,     0,     0,
       0,     0,     0,     0,     0,  1367,   739,   739,   739,  1612,
       0,     0,   739,  1601,     0,   739,  1602,     0,     0,     0,
       0,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,  1603,  1613,   739,  1365,  1614,     0,     0,
       0,  1605,     0,   739,     0,   739,     0,  1606,     0,     0,
    1615,     0,     0,  1616,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   739,
     837,  1607,  3365,     0,     0,   739,     0,   844,     0,     0,
       0,   739,     0,  2366,  2366,  2366,   859,   860,     0,     0,
       0,   862,     0,     0,     0,     0,   739,     0,     0,     0,
       0,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   884,     0,     0,     0,     0,     0,
       0,     0,     0,   758,     0,  1617,     0,     0,   905,     0,
       0,   907,     0,   909,     0,   912,     0,     0,     0,  3366,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1748,     0,     0,     0,  1748,  1367,  1748,     0,
       0,  1608,     0,     0,     0,  1609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1366,     0,   967,     0,   968,     0,  1610,  1611,     0,     0,
     758,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,  1612,     0,     0,  1618,  1619,  1620,     0,  1621,
    1622,  1623,  1624,  1625,  1626,     0,     0,     0,     0,     0,
    1895,  2509,     0,  2509,     0,     0,     0,  1613,     0,     0,
    1614,     0,     0,   758,     0,     0,     0,   692,     0,     0,
       0,     0,     0,  1615,     0,     0,  1616,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1366,     0,  1366,     0,     0,
       0,     0,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   758,   758,     0,
    1365,  1367,     0,     0,     0,  1365,  1365,     0,  1617,  1601,
       0,     0,  1602,     0,     0,     0,     0,  1365,     0,     0,
    1366,     0,     0,     0,     0,     0,     0,     0,     0,  1603,
       0,     0,  2834,  1299,  1367,   739,   739,  1605,     0,     0,
       0,     0,     0,  1606,  1366,     0,     0,     0,  1311,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1319,
       0,     0,     0,     0,     0,     0,  1321,  1607,     0,  2509,
       0,     0,     0,     0,     0,     0,   758,     0,  1371,     0,
       0,     0,     0,     0,     0,     0,     0,  2509,  1601,     0,
       0,  1602,   739,     0,     0,     0,     0,     0,  1618,  1619,
    1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,  1603,     0,
    1413,     0,     0,     0,     0,     0,  1605,     0,     0,     0,
       0,     0,  1606,     0,     0,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   739,
     739,     0,  1367,     0,     0,     0,  1607,   739,   739,  1365,
    1366,     0,   739,  1367,     0,     0,     0,     0,   739,   739,
       0,     0,   739,     0,  2509,     0,     0,  1608,     0,     0,
       0,  1609,     0,     0,     0,  1366,     0,   739,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     739,     0,  1610,  1611,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   759,   739,  1612,     0,
       0,   759,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,     0,  1365,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1613,     0,     0,  1614,     0,   739,     0,
    1366,     0,     0,     0,     0,     0,  1608,     0,     0,  1615,
    1609,     0,  1616,     0,     0,     0,  1367,     0,     0,     0,
    1366,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1610,  1611,     0,     0,  1748,     0,     0,     0,     0,
       0,     0,     0,     0,  1367,  1366,     0,  1612,     0,     0,
       0,   758,     0,     0,     0,     0,  1367,     0,     0,     0,
       0,     0,     0,   758,     0,     0,     0,  1365,     0,     0,
       0,     0,  1613,     0,     0,  1614,     0,     0,     0,     0,
       0,  1366,     0,     0,  1617,     0,     0,     0,  1615,     0,
       0,  1616,     0,     0,     0,     0,     0,     0,     0,     0,
    1367,     0,     0,     0,     0,  2849,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1748,  2366,   758,     0,     0,   692,  1763,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   739,     0,
       0,     0,     0,  1617,     0,     0,     0,     0,     0,  1601,
       0,     0,  1602,     0,  1618,  1619,  1620,     0,  1621,  1622,
    1623,  1624,  1625,  1626,     0,     0,  1860,     0,     0,  1603,
       0,     0,  2879,     0,     0,     0,     0,  1605,     0,     0,
       0,     0,     0,  1606,     0,     0,     0,     0,     0,     0,
    1367,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1607,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   739,     0,  2509,     0,  1367,     0,     0,     0,     0,
     739,     0,     0,  1618,  1619,  1620,     0,  1621,  1622,  1623,
    1624,  1625,  1626,     0,     0,     0,     0,   739,   739,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   739,   760,     0,     0,     0,   739,   760,     0,
     739,     0,     0,     0,     0,   739,   739,   760,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,     0,
       0,   759,     0,     0,   758,     0,   758,     0,     0,     0,
     739,     0,   759,     0,     0,     0,     0,  1608,     0,     0,
       0,  1609,     0,     0,     0,     0,   759,     0,  1365,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     759,  1367,  1610,  1611,   759,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,     0,     0,  1612,     0,
       0,     0,   759,     0,     0,  2058,     0,     0,  1365,  1365,
       0,  1365,     0,     0,     0,     0,     0,     0,  2080,     0,
       0,     0,   739,  1613,     0,     0,  1614,  1366,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1615,
       0,     0,  1616,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2122,     0,     0,     0,
    1895,     0,     0,  1365,   739,  1365,  1367,     0,     0,     0,
       0,  2137,     0,  2139,     0,  2140,     0,   759,     0,     0,
    2141,     0,     0,     0,     0,     0,   739,  1367,     0,   739,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   739,     0,
       0,     0,   739,     0,  1617,     0,     0,  1367,  1365,     0,
       0,     0,     0,  1763,     0,     0,     0,  1763,     0,  1763,
       0,     0,  1763,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1365,     0,     0,     0,     0,     0,     0,     0,
       0,  1748,     0,     0,  1367,     0,     0,     0,  1367,  1367,
       0,     0,     0,     0,     0,     0,     0,  1365,  1366,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,  1366,
       0,     0,     0,     0,     0,  1365,     0,     0,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1618,  1619,  1620,     0,  1621,  1622,
    1623,  1624,  1625,  1626,     0,     0,  2366,     0,     0,  1367,
       0,  2366,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2366,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   739,  1365,     0,
       0,     0,     0,     0,   760,     0,     0,     0,   760,     0,
       0,     0,  1365,     0,   739,     0,     0,     0,     0,   760,
       0,     0,     0,  1365,     0,     0,     0,     0,     0,     0,
       0,     0,  1366,   760,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   760,     0,   739,
       0,   760,     0,     0,     0,     0,     0,     0,     0,   739,
    1366,   760,     0,     0,     0,     0,   759,     0,     0,   760,
       0,     0,  1366,     0,     0,     0,   739,   739,     0,   758,
       0,   759,     0,     0,     0,     0,     0,     0,  1365,   739,
       0,     0,     0,   759,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1365,     0,
       0,     0,     0,     0,     0,     0,  1366,     0,     0,     0,
       0,   759,     0,     0,   739,     0,     0,     0,     0,     0,
       0,   759,     0,  1365,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   759,   760,     0,   759,     0,     0,     0,
    1748,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1365,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2424,  2425,     0,     0,     0,  2428,
    2429,     0,   739,  2432,     0,     0,     0,  1748,     0,     0,
       0,   739,     0,  2442,     0,  1748,     0,     0,     0,     0,
    2451,     0,     0,     0,  2454,  2455,     0,     0,  2458,  2459,
    2460,     0,     0,     0,     0,     0,  3909,     0,     0,     0,
    2474,     0,  2476,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1601,     0,     0,  1602,     0,  2498,     0,
       0,     0,     0,  2500,     0,     0,     0,   759,     0,     0,
       0,  1366,     0,  1603,     0,   759,   759,     0,     0,     0,
       0,  1605,     0,     0,     0,  1749,     0,  1606,     0,     0,
       0,     0,     0,     0,  2518,  2519,  2522,  2524,     0,     0,
       0,  2531,  2534,     0,     0,  1601,     0,     0,  1602,  2545,
       0,  1607,  2549,     0,     0,     0,  2553,     0,     0,     0,
       0,     0,     0,     0,     0,  1603,     0,     0,  2890,     0,
       0,     0,  2576,  1605,     0,     0,     0,     0,  1749,  1606,
       0,  1365,     0,  2583,     0,  2585,     0,     0,     0,     0,
    2588,     0,     0,     0,     0,  2592,  2593,  2594,  2595,     0,
    2597,     0,     0,  1607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2620,  2621,  2622,     0,  2509,     0,     0,
       0,     0,     0,     0,  2630,  2631,     0,     0,     0,     0,
       0,     0,     0,   760,     0,  2884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   511,     0,     0,   760,     0,
       0,  1608,     0,     0,     0,  1609,     0,   512,     0,     0,
     760,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1610,  1611,   513,     0,
       0,     0,     0,     0,  2693,     0,     0,     0,   760,     0,
       0,   514,  1612,     0,     0,     0,     0,     0,   760,     0,
     515,     0,  2509,  1608,  -692,   759,     0,  1609,     0,     0,
     760,     0,     0,   760,     0,     0,     0,  1613,     0,     0,
    1614,   516,     0,  1366,     0,     0,     0,   517,  1610,  1611,
       0,     0,     0,  1615,     0,  1365,  1616,     0,     0,     0,
       0,     0,   518,     0,  1612,     0,     0,     0,     0,     0,
       0,     0,     0,  1366,     0,     0,     0,     0,     0,     0,
     519,     0,     0,     0,     0,     0,     0,     0,  1365,  1613,
       0,   520,  1614,     0,     0,     0,     0,     0,   521,     0,
       0,     0,   522,     0,  1749,  1615,     0,     0,  1616,     0,
    1366,     0,     0,     0,  1366,  1366,     0,  -881,     0,  1763,
       0,   759,     0,     0,     0,     0,     0,     0,  1617,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,     0,
       0,     0,     0,     0,   760,     0,     0,  2813,     0,     0,
       0,     0,   760,   760,     0,   523,     0,     0,     0,     0,
       0,     0,  1750,     0,     0,     0,   759,   759,     0,     0,
       0,     0,     0,     0,     0,  3909,     0,   759,     0,     0,
    1617,     0,  1601,     0,     0,  1602,     0,     0,     0,   759,
     759,     0,   524,     0,     0,   525,  1365,     0,     0,     0,
       0,   759,  1603,     0,     0,     0,     0,  1365,     0,  1601,
    1605,     0,  1602,     0,     0,  1750,  1606,     0,  1618,  1619,
    1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,     0,  1603,
       0,     0,  3372,     0,     0,     0,     0,  1605,     0,     0,
    1607,     0,     0,  1606,     0,   526,     0,     0,     0,     0,
       0,   527,     0,     0,     0,     0,     0,  -369,     0,     0,
     528,     0,     0,     0,     0,     0,     0,  1607,     0,     0,
    1618,  1619,  1620,     0,  1621,  1622,  1623,  1624,  1625,  1626,
       0,     0,     0,     0,     0,     0,  -369,     0,   529,   530,
       0,   531,   532,     0,     0,     0,     0,     0,     0,     0,
     533,     0,     0,     0,     0,   534,     0,     0,     0,     0,
    1365,   535,     0,     0,   536,     0,     0,   537,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    -369,     0,  2963,     0,     0,     0,     0,     0,  1365,  1749,
    1608,     0,   760,     0,  1609,     0,     0,     0,     0,     0,
    1365,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1610,  1611,  1608,     0,  2994,
    2995,  1609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1612,     0,     0,     0,  1601,  1763,     0,  1602,     0,
       0,     0,  1610,  1611,  1365,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1603,  1613,     0,  1612,  1614,
       0,     0,     0,  1605,     0,     0,     0,     0,     0,  1606,
       0,  1750,  1615,     0,     0,  1616,     0,     0,     0,  3028,
    3030,     0,     0,  1613,  3030,     0,  1614,     0,   760,  3041,
    3042,  3043,  1066,  1607,     0,     0,     0,     0,     0,  1615,
       0,     0,  1616,     0,   760,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1123,     0,     0,  3064,  3065,  3066,  3067,     0,
       0,  1215,     0,   760,   760,     0,     0,  1216,     0,     0,
       0,     0,     0,     0,   760,     0,     0,  1617,     0,     0,
       0,     0,     0,     0,     0,     0,   760,   760,     0,     0,
       0,  3092,  1250,     0,     0,     0,     0,     0,   760,     0,
       0,     0,     0,  3322,  1617,     0,     0,  1217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1365,
     759,     0,     0,  1608,  1749,   759,     0,  1609,   759,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1610,  1611,
     759,     0,     0,  3130,     0,     0,  1218,     0,     0,     0,
       0,  3134,     0,  1219,  1612,     0,  1220,  1618,  1619,  1620,
       0,  1621,  1622,  1623,  1624,  1625,  1626,     0,     0,     0,
       0,     0,     0,     0,   759,     0,     0,     0,     0,  1613,
       0,     0,  1614,     0,  1618,  1619,  1620,     0,  1621,  1622,
    1623,  1624,  1625,  1626,     0,  1615,     0,     0,  1616,     0,
       0,   759,   759,     0,     0,  1252,     0,     0,  1221,     0,
       0,     0,     0,  3219,     0,  1365,     0,     0,     0,     0,
       0,     0,     0,  3225,  1749,   759,  1750,  1749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,     0,   759,     0,
    3244,  1253,  3246,  1254,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1255,     0,  1223,   759,     0,     0,     0,
    1617,     0,     0,     0,     0,  1224,   759,     0,     0,     0,
       0,     0,     0,  1225,     0,     0,     0,     0,  3285,   759,
       0,  1256,  1226,     0,     0,     0,     0,     0,   759,     0,
    1365,     0,  3295,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1763,     0,     0,     0,     0,     0,     0,     0,
       0,  1365,     0,  1257,     0,     0,     0,  1228,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1539,     0,
       0,  1365,  1259,     0,     0,     0,     0,     0,     0,     0,
    1618,  1619,  1620,  1260,  1621,  1622,  1623,  1624,  1625,  1626,
       0,     0,     0,     0,     0,     0,     0,  1563,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1365,     0,
       0,     0,  1365,  1365,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1588,  1589,     0,  1591,     0,
    1230,     0,     0,     0,     0,     0,     0,   759,     0,     0,
       0,     0,     0,     0,     0,  1631,     0,   760,     0,     0,
       0,  1750,   760,     0,     0,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,     0,     0,     0,     0,   760,     0,     0,
       0,     0,     0,     0,  1667,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,     0,     0,
       0,   760,     0,  1770,     0,     0,     0,  1780,  1783,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   760,   760,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3484,     0,  3485,     0,     0,     0,  3487,     0,     0,
       0,  1750,   760,     0,  1750,     0,     0,     0,     0,     0,
       0,     0,  3496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   760,     0,     0,   760,     0,     0,     0,  3504,
       0,     0,     0,     0,     0,     0,     0,     0,  3515,     0,
       0,     0,     0,   760,     0,     0,     0,     0,     0,     0,
    1749,     0,     0,   760,     0,     0,  1749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   760,   806,     0,     0,
       0,     0,     0,     0,     0,   760,     0,     0,  3543,  3544,
    3545,  3546,  3547,  3548,  3549,     0,     0,     0,     0,  3556,
    3557,     0,  3559,  3560,  3561,  3562,  3563,  3564,  3565,     0,
     807,     0,     0,     0,     0,     0,     0,  3572,     0,  3574,
    3575,     0,     0,   808,   809,     0,     0,     0,     0,     0,
       0,     0,   810,     0,     0,     0,   811,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,     0,     0,
       0,     0,     0,   812,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1628,     0,     0,     0,     0,
       0,     0,     0,     0,   813,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3623,  3625,
    3627,     0,   814,  3630,     0,   759,     0,     0,     0,     0,
       0,     0,     0,   815,   760,     0,     0,     0,   816,     0,
     759,   759,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1628,     0,  1357,     0,     0,     0,     0,   817,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   818,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3030,
       0,     0,     0,   760,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1763,  1763,  1763,     0,
       0,     0,     0,     0,     0,   760,     0,     0,     0,     0,
       0,     0,     0,     0,   819,     0,     0,     0,     0,     0,
       0,  1749,  1749,  1749,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,   185,     0,     0,     0,     0,   759,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,   820,     0,     0,
       0,   821,     0,   822,     0,     0,  2233,     0,     0,   823,
       0,     0,   824,     0,     0,     0,     0,  1750,     0,     0,
       0,     0,     0,  1750,     0,     0,     0,     0,     0,  2256,
       0,     0,  2258,     0,     0,  2269,     0,     0,   825,     0,
     826,     0,  2276,  2281,   827,     0,     0,   759,  2287,     0,
       0,  2292,   828,     0,     0,     0,     0,   829,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2301,     0,
       0,     0,     0,  2308,     0,  1749,     0,  2320,     0,     0,
       0,  2327,   830,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,     0,  2338,  1359,  1749,     0,     0,  1066,     0,
    2363,     0,     0,   760,     0,     0,     0,     0,  1215,   759,
       0,   759,     0,     0,  1216,     0,     0,     0,     0,     0,
       0,   759,     0,   759,     0,  3807,  3808,  3809,  3810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1250,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3823,  3824,   760,     0,  1217,     0,     0,     0,     0,     0,
       0,     0,  3833,  3834,     0,     0,     0,   760,   760,     0,
       0,     0,   759,     0,     0,     0,     0,     0,  1763,  1763,
       0,  1763,     0,  1357,     0,  1251,     0,     0,     0,     0,
       0,     0,  1360,   760,     0,     0,     0,     0,     0,     0,
     759,  1628,     0,  1218,     0,     0,     0,     0,     0,     0,
    1219,     0,     0,  1220,   759,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,  1123,     0,     0,     0,   759,
       0,     0,   759,     0,     0,     0,  1357,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1252,     0,     0,  1221,  1357,     0,  1750,  1750,
    1750,     0,     0,     0,     0,     0,  3879,     0,  1628,     0,
       0,     0,     0,     0,     0,     0,     0,   760,     0,     0,
       0,     0,     0,     0,   760,     0,     0,     0,     0,  3900,
       0,     0,  1628,  2456,   760,  1749,     0,  2265,  1253,     0,
    1254,     0,     0,     0,     0,     0,     0,     0,  1360,  3917,
    1255,     0,  1223,     0,     0,     0,     0,  1628,  1628,     0,
    1628,     0,  1224,     0,     0,     0,  1357,     0,     0,     0,
    1225,     0,     0,     0,     0,     0,     0,     0,  1256,  1226,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,   760,     0,     0,     0,     0,     0,
    1628,     0,     0,     0,     0,  1357,     0,     0,  1763,     0,
    2577,     0,     0,     0,  1228,  1258,     0,     0,     0,     0,
       0,  1763,  1750,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,  1628,     0,     0,  2578,
       0,     0,  1750,  1359,     0,     0,     0,     0,     0,     0,
    1260,     0,     0,     0,     0,     0,   760,     0,   760,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   760,     0,
     760,     0,     0,     0,     0,     0,     0,     0,   759,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4001,     0,     0,  1359,  1230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1749,     0,   760,
       0,  1749,     0,  1749,     0,     0,  1359,     0,  2666,     0,
       0,     0,     0,  4025,     0,     0,     0,     0,     0,  1628,
       0,  1360,     0,     0,     0,     0,     0,   760,     0,  1628,
       0,     0,  1628,     0,     0,   759,     0,     0,   759,     0,
       0,   760,     0,     0,     0,     0,     0,     0,     0,     0,
    3030,     0,     0,     0,     0,     0,   760,     0,     0,   760,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1360,     0,  1359,     0,   759,     0,
       0,     0,     0,  1763,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1763,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2788,  4102,     0,     0,
       0,     0,  1750,     0,     0,     0,     0,     0,  1357,     0,
    1359,     0,     0,     0,  1763,     0,     0,     0,     0,     0,
       0,     0,   759,   759,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,  1360,     0,     0,     0,     0,     0,     0,
       0,  3030,     0,     0,     0,  2830,     0,     0,     0,     0,
    2836,     0,     0,  1360,     0,     0,  1763,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2281,     0,  2281,  2281,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2893,     0,     0,  2896,     0,
    2898,  4196,     0,     0,     0,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,  2919,     0,  2921,
       0,     0,     0,  2924,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1750,     0,     0,     0,  1750,     0,
    1750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2363,  2363,  2363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2961,
       0,     0,   760,     0,     0,   760,     0,     0,     0,     0,
       0,  1770,     0,     0,     0,     0,  2972,     0,  1359,     0,
       0,     0,     0,  1783,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1362,     0,     0,
       0,     0,     0,     0,     0,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3003,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,  1357,  1357,     0,
    1749,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,     0,     0,     0,     0,   759,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,   760,
     760,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1628,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1363,
       0,     0,     0,     0,     0,  1628,     0,  1628,     0,  2265,
    2265,  2867,     0,  1362,  2265,  1749,     0,   759,  1628,     0,
       0,     0,     0,     0,     0,  1628,     0,     0,     0,     0,
    1628,     0,     0,     0,     0,     0,  1628,     0,     0,     0,
       0,  1628,     0,     0,     0,     0,     0,     0,   760,     0,
    1628,     0,     0,     0,  2265,  2265,     0,  1628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1628,
       0,  1357,     0,     0,     0,     0,  1628,     0,  1628,  1628,
    1628,  1628,  1628,  1628,  1628,  1628,  1628,  1628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1628,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   759,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,     0,  1359,  1359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1359,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1628,  1362,     0,     0,   759,
       0,   759,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1750,     0,     0,
    1360,     0,     0,     0,     0,  1360,  1360,     0,     0,  1362,
       0,     0,     0,   760,     0,     0,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1359,     0,     0,     0,     0,  3323,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3327,     0,  1363,     0,
       0,     0,  3328,     0,  3329,     0,     0,     0,     0,     0,
       0,     0,  1750,     0,   760,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3347,  3348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,     0,     0,     0,     0,     0,  2287,     0,     0,
       0,  1363,     0,     0,     0,  1359,     0,  3376,  1362,     0,
    3379,     0,  3381,  1364,     0,     0,     0,     0,     0,     0,
       0,  3385,     0,     0,     0,     0,     0,  3390,  1362,  1360,
    3393,  1363,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1628,  1749,     0,     0,     0,
    3422,     0,     0,  1362,     0,     0,     0,     0,  3434,     0,
    2363,     0,     0,     0,     0,     0,     0,   759,     0,     0,
       0,   760,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3448,     0,     0,     0,     0,  1359,
    1066,     0,     0,     0,     0,     0,  1123,     0,     0,     0,
       0,  1363,     0,  1360,     0,  1362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1363,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
    1363,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   760,     0,   760,     0,
       0,     0,     0,     0,     0,  1363,     0,  1628,     0,     0,
    1357,  1357,     0,  1357,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1628,
       0,     0,     0,     0,     0,  1628,     0,  1363,     0,     0,
       0,     0,     0,     0,   759,  1357,     0,  1357,     0,     0,
       0,  2867,  2867,     0,  2265,     0,     0,  2265,  2265,  2265,
    2265,  2265,  2265,  2265,  2265,  2265,  2265,  2867,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1628,     0,     0,  1628,     0,  1628,     0,     0,
    1357,  1362,  2867,  2867,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1749,  2265,  2265,  1628,     0,
    1628,     0,     0,  1628,  1357,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,  1364,     0,     0,     0,     0,     0,     0,     0,
    1628,     0,  1749,     0,     0,     0,     0,  1357,     0,     0,
    1749,  1628,     0,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,  1750,     0,     0,     0,     0,     0,     0,
    3677,  3678,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1628,     0,   760,  1364,     0,     0,     0,     0,
       0,     0,     0,  1363,     0,     0,     0,     0,     0,     0,
    1359,  1359,     0,  1359,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,  1364,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,  3707,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,  1359,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3725,  3727,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1364,     0,  3734,     0,     0,
       0,     0,     0,  3739,  3740,     0,     0,  3742,  1360,  1360,
    1357,  1360,     0,     0,  1364,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,  1364,  2363,     0,     0,     0,     0,
    2363,     0,     0,     0,  1359,     0,     0,     0,     0,     0,
       0,   760,  2363,     0,     0,  1357,     0,     0,     0,  1364,
       0,     0,     0,  1360,     0,  1360,     0,     0,     0,  1359,
       0,     0,     0,     0,     0,  1362,     0,     0,     0,     0,
    1362,  1362,     0,  3788,     0,     0,     0,  1359,     0,     0,
       0,  1357,  1362,     0,     0,  2265,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1364,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,  1750,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,     0,     0,  1360,     0,  1750,
       0,     0,     0,     0,     0,  1359,     0,  1750,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,  1363,     0,     0,
       0,     0,  1363,  1363,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,     0,     0,     0,
       0,     0,  1628,     0,     0,     0,  1628,  1628,  1628,     0,
       0,  2867,     0,     0,  1362,     0,  2867,  2867,  2867,  2867,
    2867,  2867,  2867,  2867,  2867,  2867,  1628,  1628,     0,     0,
    1359,     0,     0,  3868,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,  1357,     0,     0,     0,     0,     0,     0,
    1359,     0,  1360,     0,     0,  1628,  2265,  2265,  1628,     0,
    1628,     0,     0,  1360,  1628,  2867,  2867,     0,     0,  1628,
       0,     0,  1628,     0,     0,  1359,     0,  1364,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1359,     0,  1628,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1363,  1628,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3943,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3960,  1362,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
    1363,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2867,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2287,     0,     0,     0,  1357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,     0,  4077,     0,     0,  1628,  1628,     0,     0,
       0,  1364,     0,     0,     0,     0,  1364,  1364,     0,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,  1628,     0,     0,     0,
    2265,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1628,     0,  1628,     0,     0,     0,
       0,  2867,  2867,  1628,     0,     0,  2265,  2265,  1628,  1628,
       0,  1628,     0,     0,     0,     0,     0,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4138,     0,     0,
       0,     0,     0,  1362,     0,     0,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,  1628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,  1362,  1362,     0,  1362,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4178,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1357,     0,  1362,     0,
    1362,     0,     0,     0,     0,     0,     0,  1628,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,     0,  1360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1359,     0,
       0,  4217,  4217,     0,     0,     0,     0,     0,     0,  1359,
       0,     0,     0,     0,  1364,     0,     0,     0,     0,     0,
       0,     0,     0,  1362,     0,  1363,  1363,     0,  1363,     0,
       0,     0,     0,     0,  2867,  2265,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1362,     0,  4217,
    2867,  2867,  1628,     0,     0,     0,     0,     0,     0,  4261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1628,
       0,     0,  1362,     0,     0,     0,     0,     0,     0,     0,
    1363,     0,  1363,     0,     0,     0,     0,     0,     0,     0,
    1362,     0,     0,     0,     0,     0,  1360,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,  1360,     0,     0,
       0,  1357,  1359,     0,     0,     0,     0,  4217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,  1362,     0,     0,     0,     0,     0,  1363,
       0,     0,     0,     0,     0,     0,     0,  1362,     0,     0,
       0,     0,     0,     0,     0,     0,  2867,     0,  1362,     0,
       0,     0,     0,     0,  1363,     0,  1628,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,     0,  1363,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,  1362,     0,     0,     0,  1628,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1362,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1363,
       0,     0,     0,     0,     0,     0,     0,  1628,  1362,     0,
    1363,     0,     0,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,  1362,     0,  1628,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
    1628,     0,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,  1357,  1357,     0,     0,     0,     0,
    1363,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
    1364,     0,  1364,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1363,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1364,     0,  1364,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1362,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1364,     0,  1360,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,  1364,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1359,     0,     0,     0,  1359,  1359,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1362,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1362,  1364,     0,     0,     0,     0,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,  1360,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1363,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1362,     0,     0,  1364,  1363,     0,     0,     0,     0,
       0,     0,  1362,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1363,     0,  1362,     0,     0,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1362,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1362,
       0,     0,  1364,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1362,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1364,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1362,     0,     0,     0,     0,     0,  1363,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1364,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1362,     0,     0,     0,
       0,     0,  1363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1362,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1364,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1362,     0,     0,     0,  1362,  1362,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,     0,     0,     0,     0,  1363,     0,     0,
       0,  1364,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1364,     0,     0,  1363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,     0,     0,  1363,
    1363,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1364,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1364,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1364,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1364,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   712,   984,   550,   985,   986,
     987,   597,   988,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,  2357,   209,   210,   211,     0,  1364,
       0,     0,   989,  1364,  1364,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   990,   714,   991,   992,     0,
     223,   224,   225,   226,   227,   993,   994,   228,   229,   995,
     996,   232,     0,   233,   234,   235,   236,   997,     0,   998,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,   999,
    1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,
     256,   257,  1006,  1007,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,  2358,     0,   270,
     271,  1008,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,  1009,   285,   286,   287,
    1010,  1011,   289,     0,   290,  1012,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,  1013,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,  1014,  1015,     0,
    1016,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,  1017,   726,   335,   727,
       0,   336,   337,   338,  1018,  1019,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1020,   728,
    1021,   353,   354,   355,  1022,   356,   357,   729,   358,  1023,
    1024,   360,  1025,   362,   363,   364,     0,   365,     0,     0,
    1026,   367,   368,     0,     0,   369,   730,   731,   732,  1027,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1028,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1029,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,  1030,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1031,   425,   426,   427,   428,   734,   429,  1032,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1033,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,
    1038,   457,   458,   459,   460,   461,   462,   463,     0,  1039,
     464,   465,   466,   467,   468,  1040,     0,   469,   470,   471,
     472,   473,   474,  1041,  2359,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,
     496,   497,     0,     0,     0,     0,     0,     0,     0,  1050,
    1051,  2360,     0,     0,     0,     0,     0,     0,  1053,  2361,
     712,   984,   550,   985,   986,   987,   597,   988,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   989,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     990,   714,   991,   992,     0,   223,   224,   225,   226,   227,
     993,   994,   228,   229,   995,   996,   232,     0,   233,   234,
     235,   236,   997,     0,   998,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   252,   253,   254,   255,   256,   257,  1006,  1007,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1009,   285,   286,   287,  1010,  1011,   289,     0,   290,
    1012,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,  1013,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,  1014,  1015,     0,  1016,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1017,   726,   335,   727,     0,   336,   337,   338,  1018,
    1019,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1020,   728,  1021,   353,   354,   355,  1022,
     356,   357,   729,   358,  1023,  1024,   360,  1025,   362,   363,
     364,     0,   365,     0,     0,  1026,   367,   368,     0,     0,
     369,   730,   731,   732,  1027,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1028,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1029,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
    1030,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1031,   425,   426,   427,   428,
     734,   429,  1032,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1033,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1034,  1035,     0,
       0,   453,  1036,   455,  1037,  1038,   457,   458,   459,   460,
     461,   462,   463,     0,  1039,   464,   465,   466,   467,   468,
    1040,     0,   469,   470,   471,   472,   473,   474,  1041,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1042,  1043,  1044,  1045,
    1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  1050,  1051,   199,     0,     0,     0,
       0,     0,     0,  1053,  2267,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,  3404,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0, -1405,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0, -1405,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315, -1405,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325, -1405,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334, -1405,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
   -1405,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408, -1405,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1333,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1130,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,     0,
    1334,   714,  1335,  1336,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,  1337,  1338,   232,     0,   233,   234,
     235,   236,     0,     0,   715,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,     0,     0,     0,   718,     0,     0,
       0,   252,   253,   254,   255,   256,   257,  1339,  1340,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,     0,   285,   286,   287,     0,     0,   289,     0,   290,
    1341,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,     0,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,  1883,   309,   310,
     311,   312,   313,   314,     0,   315,   722,  1884,   317,   318,
     319,   320,  1342,  1343,     0,  1344,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   726,   335,   727,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1345,   728,  1346,   353,   354,     0,     0,
     356,   357,   729,   358,     0,     0,   360,  1347,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
    1885,   730,   731,   732,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,     0,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1348,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,  1886,   427,   428,
     734,   429,  1350,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1351,  1352,     0,
       0,   453,     0,   455,     0,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,     0,  1353,  1887,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,     0,   199,     0,     0,     0,
       0,     0,     0,     0,   495,   496,   497,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,  1888,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1333,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2701,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,     0,
    1334,   714,  1335,  1336,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,  1337,  1338,   232,     0,   233,   234,
     235,   236,     0,     0,   715,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,     0,     0,     0,   718,     0,     0,
       0,   252,   253,   254,   255,   256,   257,  1339,  1340,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,     0,   285,   286,   287,     0,     0,   289,     0,   290,
    1341,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,     0,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,  1883,   309,   310,
     311,   312,   313,   314,     0,   315,   722,  1884,   317,   318,
     319,   320,  1342,  1343,     0,  1344,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   726,   335,   727,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1345,   728,  1346,   353,   354,     0,     0,
     356,   357,   729,   358,     0,     0,   360,  1347,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
    1885,   730,   731,   732,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,     0,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1348,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,  1886,   427,   428,
     734,   429,  1350,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1351,  1352,     0,
       0,   453,     0,   455,     0,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,     0,  1353,  1887,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,     0,   712,   984,   550,   985,
     986,   987,   597,   988,   495,   496,   497,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   989,  2752,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   990,   714,   991,   992,
    2277,   223,   224,   225,   226,   227,   993,   994,   228,   229,
     995,   996,   232,     0,   233,   234,   235,   236,   997,     0,
     998,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,
     255,   256,   257,  1006,  1007,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1008,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1009,   285,   286,
     287,  1010,  1011,   289,     0,   290,  1012,   292,     0,   293,
       0,   294,   719,  2278,   720,   295,   296,   297,     0,   298,
    1013,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,  1014,  1015,
       0,  1016,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,  2279,   333,  1017,   726,   335,
     727,     0,   336,   337,   338,  1018,  1019,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1020,
     728,  1021,   353,   354,   355,  1022,   356,   357,   729,   358,
    1023,  1024,   360,  1025,   362,   363,   364,     0,   365,     0,
       0,  1026,   367,   368,     0,     0,   369,   730,   731,   732,
    1027,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1028,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1029,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,  1030,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1031,   425,   426,   427,   428,   734,   429,  1032,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1033,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1034,  1035,     0,  2280,   453,  1036,   455,
    1037,  1038,   457,   458,   459,   460,   461,   462,   463,     0,
    1039,   464,   465,   466,   467,   468,  1040,     0,   469,   470,
     471,   472,   473,   474,  1041,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1050,  1051,     0,     0,     0,     0,     0,     0,     0,  1053,
     712,   984,   550,   985,   986,   987,   597,   988,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   989,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     990,   714,   991,   992,     0,   223,   224,   225,   226,   227,
     993,   994,   228,   229,   995,   996,   232,     0,   233,   234,
     235,   236,   997,     0,   998,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   252,   253,   254,   255,   256,   257,  1006,  1007,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1009,   285,   286,   287,  1010,  1011,   289,     0,   290,
    1012,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,  1013,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,  1014,  1015,     0,  1016,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1017,   726,   335,   727,     0,   336,   337,   338,  1018,
    1019,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1020,   728,  1021,   353,   354,   355,  1022,
     356,   357,   729,   358,  1023,  1024,   360,  1025,   362,   363,
     364,     0,   365,     0,     0,  1026,   367,   368,     0,     0,
     369,   730,   731,   732,  1027,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1028,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1029,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
    1030,   412,   413,   414,   415,   416,   417,   418,   419,    37,
     420,   421,   422,   423,   424,  1031,   425,   426,   427,   428,
     734,   429,  1032,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1033,     0,   443,   444,    41,
     445,   446,   447,   448,   449,   450,     0,  1034,  1035,     0,
       0,   453,  1036,   455,  1037,  1038,   457,   458,   459,   460,
     461,   462,   463,     0,  1039,   464,   465,   466,   467,   468,
    1040,     0,   469,   470,   471,   472,   473,   924,  1041,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,    46,
     481,   482,   483,   484,   485,   486,  1042,  1043,  1044,  1045,
    1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  1050,  1051,     0,     0,     0,     0,
       0,     0,     0,  1053,   712,   984,   550,   985,   986,   987,
     597,   988,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   989,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   990,   714,   991,   992,     0,   223,
     224,   225,   226,   227,   993,   994,   228,   229,   995,   996,
     232,     0,   233,   234,   235,   236,   997,     0,   998,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,
     257,  1006,  1007,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1009,   285,   286,   287,  1010,
    1011,   289,     0,   290,  1012,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,  1013,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1014,  1015,     0,  1016,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1017,   726,   335,   727,     0,
     336,   337,   338,  1018,  1019,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1020,   728,  1021,
     353,   354,   355,  1022,   356,   357,   729,   358,  1023,  1024,
     360,  1025,   362,   363,   364,     0,   365,     0,     0,  1026,
     367,   368,     0,     0,   369,   730,   731,   732,  1027,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1028,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1029,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1030,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1031,
     425,   426,   427,   428,   734,   429,  1032,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1033,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,  1038,
     457,   458,   459,   460,   461,   462,   463,     0,  1039,   464,
     465,   466,   467,   468,  1040,     0,   469,   470,   471,   472,
     473,   474,  1041,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1050,  1051,
       0,     0,     0,     0,     0,  1534,  2225,  1053,   712,   984,
     550,   985,   986,   987,   597,   988,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   989,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   990,   714,
     991,   992,     0,   223,   224,   225,   226,   227,   993,   994,
     228,   229,   995,   996,   232,     0,   233,   234,   235,   236,
     997,     0,   998,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,
     253,   254,   255,   256,   257,  1006,  1007,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1009,
     285,   286,   287,  1010,  1011,   289,     0,   290,  1012,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,  1013,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
    1014,  1015,     0,  1016,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1017,
     726,   335,   727,     0,   336,   337,   338,  1018,  1019,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1020,   728,  1021,   353,   354,   355,  1022,   356,   357,
     729,   358,  1023,  1024,   360,  1025,   362,   363,   364,     0,
     365,     0,     0,  1026,   367,   368,     0,     0,   369,   730,
     731,   732,  1027,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1028,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1029,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,  1030,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1031,   425,   426,   427,   428,   734,   429,
    1032,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1033,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1034,  1035,     0,     0,   453,
    1036,   455,  1037,  1038,   457,   458,   459,   460,   461,   462,
     463,     0,  1039,   464,   465,   466,   467,   468,  1040,     0,
     469,   470,   471,   472,   473,   474,  1041,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1050,  1051,  1052,     0,     0,     0,     0,     0,
       0,  1053,   712,   984,   550,   985,   986,   987,   597,   988,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   989,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   990,   714,   991,   992,     0,   223,   224,   225,
     226,   227,   993,   994,   228,   229,   995,   996,   232,     0,
     233,   234,   235,   236,   997,     0,   998,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   252,   253,   254,   255,   256,   257,  1006,
    1007,   260,  1122,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1009,   285,   286,   287,  1010,  1011,   289,
       0,   290,  1012,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,  1013,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,  1014,  1015,     0,  1016,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1017,   726,   335,   727,     0,   336,   337,
     338,  1018,  1019,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1020,   728,  1021,   353,   354,
     355,  1022,   356,   357,   729,   358,  1023,  1024,   360,  1025,
     362,   363,   364,     0,   365,     0,     0,  1026,   367,   368,
       0,     0,   369,   730,   731,   732,  1027,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1028,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1029,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,  1030,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1031,   425,   426,
     427,   428,   734,   429,  1032,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1033,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1034,
    1035,     0,     0,   453,  1036,   455,  1037,  1038,   457,   458,
     459,   460,   461,   462,   463,     0,  1039,   464,   465,   466,
     467,   468,  1040,     0,   469,   470,   471,   472,   473,   474,
    1041,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1042,  1043,
    1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,     0,
       0,     0,     0,     0,     0,     0,  1050,  1051,     0,     0,
       0,     0,     0,     0,     0,  1053,   712,   984,   550,   985,
     986,   987,   597,   988,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,  1778,   209,   210,   211,     0,
       0,     0,     0,   989,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   990,   714,   991,   992,
       0,   223,   224,   225,   226,   227,   993,   994,   228,   229,
     995,   996,   232,     0,   233,   234,   235,   236,   997,     0,
     998,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,
     255,   256,   257,  1006,  1007,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1008,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1009,   285,   286,
     287,  1010,  1011,   289,     0,   290,  1012,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
    1013,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,  1014,  1015,
       0,  1016,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1017,   726,   335,
     727,     0,   336,   337,   338,  1018,  1019,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1020,
     728,  1021,   353,   354,   355,  1022,   356,   357,   729,   358,
    1023,  1024,   360,  1025,   362,   363,   364,     0,   365,     0,
       0,  1026,   367,   368,     0,     0,   369,   730,   731,   732,
    1027,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1028,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1029,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,  1030,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1031,   425,   426,   427,   428,   734,   429,  1032,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1033,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1034,  1035,     0,     0,   453,  1036,   455,
    1037,  1038,   457,   458,   459,   460,   461,   462,   463,     0,
    1039,   464,   465,   466,   467,   468,  1040,     0,   469,   470,
     471,   472,   473,   474,  1041,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1050,  1051,     0,     0,     0,     0,     0,     0,     0,  1053,
     712,   984,   550,   985,   986,   987,   597,   988,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   989,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     990,   714,   991,   992,     0,   223,   224,   225,   226,   227,
     993,   994,   228,   229,   995,   996,   232,     0,   233,   234,
     235,   236,   997,     0,   998,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   252,   253,   254,   255,   256,   257,  1006,  1007,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1009,   285,   286,   287,  1010,  1011,   289,     0,   290,
    1012,   292,     0,   293,     0,   294,   719,  2278,   720,   295,
     296,   297,     0,   298,  1013,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,  1014,  1015,     0,  1016,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1017,   726,   335,   727,     0,   336,   337,   338,  1018,
    1019,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1020,   728,  1021,   353,   354,   355,  1022,
     356,   357,   729,   358,  1023,  1024,   360,  1025,   362,   363,
     364,     0,   365,     0,     0,  1026,   367,   368,     0,     0,
     369,   730,   731,   732,  1027,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1028,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1029,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
    1030,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1031,   425,   426,   427,   428,
     734,   429,  1032,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1033,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1034,  1035,     0,
       0,   453,  1036,   455,  1037,  1038,   457,   458,   459,   460,
     461,   462,   463,     0,  1039,   464,   465,   466,   467,   468,
    1040,     0,   469,   470,   471,   472,   473,   474,  1041,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1042,  1043,  1044,  1045,
    1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  1050,  1051,     0,     0,     0,     0,
       0,     0,     0,  1053,   712,   984,   550,   985,   986,   987,
     597,   988,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   989,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   990,   714,   991,   992,     0,   223,
     224,   225,   226,   227,   993,   994,   228,   229,   995,   996,
     232,     0,   233,   234,   235,   236,   997,     0,   998,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,
     257,  1006,  1007,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1009,   285,   286,   287,  1010,
    1011,   289,     0,   290,  1012,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,  1013,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1014,  1015,     0,  1016,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1017,   726,   335,   727,     0,
     336,   337,   338,  1018,  1019,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1020,   728,  1021,
     353,   354,   355,  1022,   356,   357,   729,   358,  1023,  1024,
     360,  1025,   362,   363,   364,     0,   365,     0,     0,  1026,
     367,   368,     0,     0,   369,   730,   731,   732,  1027,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1028,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1029,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1030,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1031,
     425,   426,   427,   428,   734,   429,  1032,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1033,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,  1038,
     457,   458,   459,   460,   461,   462,   463,     0,  1039,   464,
     465,   466,   467,   468,  1040,     0,   469,   470,   471,   472,
     473,   474,  1041,  3437,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1050,  1051,
       0,     0,     0,     0,     0,     0,     0,  1053,   712,   984,
     550,   985,   986,   987,   597,   988,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   989,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   990,   714,
     991,   992,     0,   223,   224,   225,   226,   227,   993,   994,
     228,   229,   995,   996,   232,     0,   233,   234,   235,   236,
     997,     0,   998,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,
     253,   254,   255,   256,   257,  1006,  1007,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1009,
     285,   286,   287,  1010,  1011,   289,     0,   290,  1012,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,  1013,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
    1014,  1015,     0,  1016,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1017,
     726,   335,   727,     0,   336,   337,   338,  1018,  1019,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1020,   728,  1021,   353,   354,   355,  1022,   356,   357,
     729,   358,  1023,  1024,   360,  1025,   362,   363,   364,     0,
     365,     0,     0,  1026,   367,   368,     0,     0,   369,   730,
     731,   732,  1027,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1028,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1029,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,  1030,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1031,   425,   426,   427,   428,   734,   429,
    1032,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1033,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1034,  1035,     0,     0,   453,
    1036,   455,  1037,  1038,   457,   458,   459,   460,   461,   462,
     463,     0,  1039,   464,   465,   466,   467,   468,  1040,     0,
     469,   470,   471,   472,   473,   474,  1041,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1050,  1051,     0,     0,     0,     0,     0,     0,
       0,  1053,   712,   984,   550,   985,   986,   987,   597,   988,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   989,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   990,   714,   991,   992,     0,   223,   224,   225,
     226,   227,   993,   994,   228,   229,   995,   996,   232,     0,
     233,   234,   235,   236,   997,     0,   998,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,  3447,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   252,   253,   254,   255,   256,   257,  1006,
    1007,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1009,   285,   286,   287,  1010,  1011,   289,
       0,   290,  1012,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,  1013,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,  1014,  1015,     0,  1016,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1017,   726,   335,   727,     0,   336,   337,
     338,  1018,  1019,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1020,   728,  1021,   353,   354,
     355,  1022,   356,   357,   729,   358,  1023,  1024,   360,  1025,
     362,   363,   364,     0,   365,     0,     0,  1026,   367,   368,
       0,     0,   369,   730,   731,   732,  1027,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1028,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1029,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,  1030,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1031,   425,   426,
     427,   428,   734,   429,  1032,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1033,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1034,
    1035,     0,     0,   453,  1036,   455,  1037,  1038,   457,   458,
     459,   460,   461,   462,   463,     0,  1039,   464,   465,   466,
     467,   468,  1040,     0,   469,   470,   471,   472,   473,   474,
    1041,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1042,  1043,
    1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,     0,
       0,     0,     0,     0,     0,     0,  1050,  1051,     0,     0,
       0,     0,     0,     0,     0,  1053,   712,   984,   550,   985,
     986,   987,   597,   988,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   989,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   990,   714,   991,   992,
       0,   223,   224,   225,   226,   227,   993,   994,   228,   229,
     995,   996,   232,     0,   233,   234,   235,   236,   997,     0,
     998,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,
     255,   256,   257,  1006,  1007,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1008,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1009,   285,   286,
     287,  1010,  1011,   289,     0,   290,  1012,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
    1013,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,  1014,  1015,
       0,  1016,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1017,   726,   335,
     727,     0,   336,   337,   338,  1018,  1019,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1020,
     728,  1021,   353,   354,   355,  1022,   356,   357,   729,   358,
    1023,  1024,   360,  1025,   362,   363,   364,     0,   365,     0,
       0,  1026,   367,   368,     0,     0,   369,   730,   731,   732,
    1027,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1028,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1029,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,  1030,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1031,   425,   426,   427,   428,   734,   429,  1032,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1033,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1034,  1035,     0,     0,   453,  1036,   455,
    1037,  1038,   457,   458,   459,   460,   461,   462,   463,     0,
    1039,   464,   465,   466,   467,   468,  1040,     0,   469,   470,
     471,   472,   473,   474,  1041,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,  3717,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1050,  1051,     0,     0,     0,     0,     0,     0,     0,  1053,
     712,   984,   550,   985,   986,   987,   597,   988,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   989,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     990,   714,   991,   992,     0,   223,   224,   225,   226,   227,
     993,   994,   228,   229,   995,   996,   232,     0,   233,   234,
     235,   236,   997,     0,   998,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   252,   253,   254,   255,   256,   257,  1006,  1007,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,  1009,   285,   286,   287,  1010,  1011,   289,     0,   290,
    1012,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,  1013,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,  1014,  1015,     0,  1016,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1017,   726,   335,   727,     0,   336,   337,   338,  1018,
    1019,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1020,   728,  1021,   353,  3726,   355,  1022,
     356,   357,   729,   358,  1023,  1024,   360,  1025,   362,   363,
     364,     0,   365,     0,     0,  1026,   367,   368,     0,     0,
     369,   730,   731,   732,  1027,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1028,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1029,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
    1030,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1031,   425,   426,   427,   428,
     734,   429,  1032,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1033,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1034,  1035,     0,
       0,   453,  1036,   455,  1037,  1038,   457,   458,   459,   460,
     461,   462,   463,     0,  1039,   464,   465,   466,   467,   468,
    1040,     0,   469,   470,   471,   472,   473,   474,  1041,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1042,  1043,  1044,  1045,
    1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  1050,  1051,     0,     0,     0,     0,
       0,     0,     0,  1053,   712,   984,   550,   985,   986,   987,
     597,   988,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   989,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,  4214,   990,   714,   991,   992,     0,   223,
     224,   225,   226,   227,   993,   994,   228,   229,   995,   996,
     232,     0,   233,   234,   235,   236,   997,     0,   998,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,  4215,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,
     257,  1006,  1007,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1009,   285,   286,   287,  1010,
    1011,   289,     0,   290,  1012,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,  1013,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1014,  1015,     0,  1016,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1017,   726,   335,   727,     0,
     336,   337,   338,  1018,  1019,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1020,   728,  1021,
     353,   354,   355,  1022,   356,   357,   729,   358,  1023,  1024,
     360,  1025,   362,   363,   364,     0,   365,     0,     0,  1026,
     367,   368,     0,     0,   369,   730,   731,   732,  1027,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1028,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1029,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1030,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1031,
     425,   426,   427,   428,   734,   429,  1032,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1033,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,  1038,
     457,   458,   459,   460,  4216,   462,   463,     0,  1039,   464,
     465,   466,   467,   468,  1040,     0,   469,   470,   471,   472,
     473,   474,  1041,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1050,  1051,
       0,     0,     0,     0,     0,     0,     0,  1053,   712,   984,
     550,   985,   986,   987,   597,   988,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   989,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   990,   714,
     991,   992,     0,   223,   224,   225,   226,   227,   993,   994,
     228,   229,   995,   996,   232,     0,   233,   234,   235,   236,
     997,     0,   998,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,  4215,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,
     253,   254,   255,   256,   257,  1006,  1007,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,  1009,
     285,   286,   287,  1010,  1011,   289,     0,   290,  1012,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,  1013,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
    1014,  1015,     0,  1016,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,  1017,
     726,   335,   727,     0,   336,   337,   338,  1018,  1019,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1020,   728,  1021,   353,   354,   355,  1022,   356,   357,
     729,   358,  1023,  1024,   360,  1025,   362,   363,   364,     0,
     365,     0,     0,  1026,   367,   368,     0,     0,   369,   730,
     731,   732,  1027,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1028,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1029,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,  1030,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1031,   425,   426,   427,   428,   734,   429,
    1032,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,  1033,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1034,  1035,     0,     0,   453,
    1036,   455,  1037,  1038,   457,   458,   459,   460,  4216,   462,
     463,     0,  1039,   464,   465,   466,   467,   468,  1040,     0,
     469,   470,   471,   472,   473,   474,  1041,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,   495,   496,   497,     0,     0,     0,     0,     0,
       0,     0,  1050,  1051,     0,     0,     0,     0,     0,     0,
       0,  1053,   712,   984,   550,   985,   986,   987,   597,   988,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   989,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   990,   714,   991,   992,     0,   223,   224,   225,
     226,   227,   993,   994,   228,   229,   995,   996,   232,     0,
     233,   234,   235,   236,   997,     0,   998,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   252,   253,   254,   255,   256,   257,  1006,
    1007,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,  1009,   285,   286,   287,  1010,  1011,   289,
       0,   290,  1012,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,  1013,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,  1014,  1015,     0,  1016,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1017,   726,   335,   727,     0,   336,   337,
     338,  1018,  1019,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1020,   728,  1021,   353,   354,
     355,     0,   356,   357,   729,   358,  1023,  1024,   360,  1025,
     362,   363,   364,     0,   365,     0,     0,  1026,   367,   368,
       0,     0,   369,   730,   731,   732,  1027,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1028,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1029,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,  1030,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1031,   425,   426,
     427,   428,   734,   429,  1032,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1033,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1034,
    1035,     0,     0,   453,  1036,   455,  1037,  1038,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,  1040,     0,   469,   470,   471,   472,   473,   474,
    1041,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1042,  1043,
    1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,     0,
       0,     0,     0,     0,     0,     0,  2260,  2261,     0,     0,
       0,     0,     0,     0,     0,  1053,   712,   984,   550,   985,
     986,   987,   597,   988,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   989,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218, -2168,   990,   714,   991,   992,
       0,   223,   224,   225,   226,   227,   993,   994,   228,   229,
     995,   996,   232,     0,   233,   234,   235,   236,   997,     0,
     998,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,  4215,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   252,   253,   254,
     255,   256,   257,  1006,  1007,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1008,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1009,   285,   286,
     287,  1010,  1011,   289,     0,   290,  1012,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
    1013,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,  1014,  1015,
       0,  1016,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1017,   726,   335,
       0,     0,   336,   337,   338,  1018,  1019,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1020,
     728,  1021,   353,   354,   355,     0,   356,   357,   729,   358,
    1023,  1024,   360,  1025,   362,   363,   364,     0,   365,     0,
       0,  1026,   367,   368,     0,     0,   369,   730,   731,   732,
    1027,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1028,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1029,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,  1030,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1031,   425,   426,   427,   428,     0,   429,  1032,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1033,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1034,  1035,     0,     0,   453,  1036,   455,
    1037,  1038,   457,   458,   459,   460,  4216,   462,   463,     0,
    1039,   464,   465,   466,   467,   468,  1040,     0,   469,   470,
     471,   472,   473,   474,  1041,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
     495,   496,   497,     0,     0,     0,     0,     0,     0,     0,
    1050,  1051,     0,     0,   712,   984,   550,   985,   986,  1053,
     597,   988,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   989,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   990,   714,   991,   992,     0,   223,
     224,   225,   226,   227,   993,   994,   228,   229,   995,   996,
     232,     0,   233,   234,   235,   236,   997,     0,   998,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,
     257,  1006,  1007,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1009,   285,   286,   287,  1010,
    1011,   289,     0,   290,  1012,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,  1013,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1014,  1015,     0,  1016,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1017,   726,   335,   727,     0,
     336,   337,   338,  1018,  1019,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1020,   728,  1021,
     353,   354,   355,     0,   356,   357,   729,   358,  1023,  1024,
     360,  1025,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,   730,   731,   732,  1027,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1028,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1029,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1030,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1031,
     425,   426,   427,   428,   734,   429,  1032,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1033,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,  1038,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,  1040,     0,   469,   470,   471,   472,
     473,   474,  1041,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,
     497,     0,     0,     0,     0,     0,     0,   712,   984,   550,
     985,   986,     0,   597,   988,     0,     0,  1053,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   989,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,   219,   990,   714,   991,
     992,     0,  3360,   224,   225,   226,   227,   993,   994,   228,
     229,   995,   996,   232,     0,   233,   234,   235,   236,   997,
       0,   998,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,   253,
     254,   255,   256,   257,  1006,  1007,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,  1008,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,  1009,   285,
     286,   287,  1010,  1011,   289,     0,   290,  1012,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,  1013,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,   316,   317,   318,   319,   320,  1014,
    1015,     0,  1016,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,  1017,   726,
     335,   727,     0,   336,   337,   338,  1018,  1019,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1020,   728,  1021,   353,   354,   355,     0,   356,   357,   729,
     358,  1023,  1024,   360,  1025,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,   730,   731,
     732,  1027,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1028,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1029,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,  1030,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1031,   425,   426,   427,   428,   734,   429,  1032,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1033,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,  1034,  1035,     0,     0,   453,  1036,
     455,  1037,  1038,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,  1040,     0,   469,
     470,   471,   472,   473,   474,  1041,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,
    1049,   495,   496,   497,     0,     0,     0,     0,     0,     0,
     712,   984,   550,   985,   986,   987,   597,   988,     0,     0,
    1053,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   989,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,     0,
     990,   714,   991,   992,     0,   223,   224,   225,   226,   227,
     993,   994,   228,   229,   995,   996,   232,     0,   233,   234,
     235,   236,   997,     0,   998,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   252,   253,   254,   255,   256,   257,  1006,  1007,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,     0,     0,   280,   281,   282,
     283,  1009,   285,   286,   287,  1010,  1011,   289,     0,   290,
    1012,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,  1013,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,  1014,  1015,     0,  1016,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1017,   726,   335,     0,     0,   336,   337,   338,  1018,
    1019,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1020,   728,  1021,   353,   354,   355,     0,
     356,   357,   729,   358,  1023,  1024,   360,  1025,   362,   363,
     364,     0,   365,     0,     0,  1026,   367,   368,     0,     0,
     369,   730,   731,   732,  1027,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1028,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1029,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
    1030,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1031,   425,   426,   427,   428,
       0,   429,  1032,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1033,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1034,  1035,     0,
       0,   453,  1036,   455,  1037,  1038,   457,   458,   459,   460,
     461,   462,   463,     0,  1039,   464,   465,   466,   467,   468,
    1040,     0,   469,   470,   471,   472,   473,   474,  1041,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1042,  1043,  1044,  1045,
    1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,     0,
       0,     0,     0,     0,  1050,  1051,     0,     0,     0,     0,
       0,     0,     0,  1053,   712,   984,   550,   985,   986,   987,
     597,   988,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   989,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,     0,   990,   714,   991,   992,     0,   223,
     224,   225,   226,   227,   993,   994,   228,   229,   995,   996,
     232,     0,   233,   234,   235,   236,   997,     0,   998,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,
     257,  1006,  1007,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,     0,
       0,   280,   281,   282,   283,  1009,   285,   286,   287,  1010,
    1011,   289,     0,   290,  1012,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,  1013,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1014,  1015,     0,  1016,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1017,   726,   335,     0,     0,
     336,   337,   338,  1018,  1019,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1020,   728,  1021,
     353,   354,   355,     0,   356,   357,   729,   358,  1023,  1024,
     360,  1025,   362,   363,   364,     0,   365,     0,     0,  1026,
     367,   368,     0,     0,   369,   730,   731,   732,  1027,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1028,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1029,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1030,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1031,
     425,   426,   427,   428,     0,   429,  1032,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1033,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1034,  1035,     0,     0,   453,  1036,   455,  1037,  1038,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,  1040,     0,   469,   470,   471,   472,
     473,   474,  1041,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,
     497,     0,     0,     0,     0,     0,     0,   712,  2260,  2261,
       0,     0,     0,     0,     0,     0,     0,  1053,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,   219,   220,   714,   221,
     222,     0,   223,   224,   225,   226,   227,     0,   994,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   997,
       0,   998,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,   999,  1000,  1001,  1002,  1003,  1004,  1005,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,  1010,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,  1013,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,  1017,   726,
     335,   727,     0,   336,   337,   338,  1018,  1019,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   728,   352,   353,   354,   355,     0,   356,   357,   729,
     358,     0,  1024,   360,   361,   362,   363,   364,     0,   365,
       0,   677,   366,   367,   368,     0,     0,   369,   730,   731,
     732,  1027,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1028,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    37,   420,   421,   422,
     423,   424,  1031,   425,   426,   427,   428,   734,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1033,     0,   443,   444,    41,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,  1036,
     455,  1037,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,  1040,     0,   469,
     470,   471,   472,   473,   924,   475,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,    46,   481,   482,   483,
     484,   485,   486,  1042,  1043,  1044,  1045,  1046,  1047,  1048,
    1049,   495,   496,   497,     0,     0,     0,     0,     0,     0,
     712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2935,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     220,   714,   221,   222,     0,   223,   224,   225,   226,   227,
       0,   994,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   997,     0,   998,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,  1010,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,  1013,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,  1017,   726,   335,   727,     0,   336,   337,   338,  1018,
    1019,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   728,   352,   353,   354,   355,     0,
     356,   357,   729,   358,     0,  1024,   360,   361,   362,   363,
     364,     0,   365,     0,   677,   366,   367,   368,     0,     0,
     369,   730,   731,   732,  1027,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1028,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1031,   425,   426,   427,   428,
     734,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,  1033,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,  1036,   455,  1037,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
    1040,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,  1042,  1043,  1044,  1045,
    1046,  1047,  1048,  1049,   495,   496,   497,     0,     0,     0,
       0,     0,     0,   712,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2935,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,   219,   220,   714,   221,   222,     0,   223,   224,
     225,   226,   227,     0,   994,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   997,     0,   998,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,   999,  1000,  1001,
    1002,  1003,  1004,  1005,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,  1010,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,  1013,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,  1017,   726,   335,   727,     0,   336,
     337,   338,  1018,  1019,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   728,   352,   353,
     354,   355,     0,   356,   357,   729,   358,     0,  1024,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,   730,   731,   732,  1027,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1028,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1031,   425,
     426,   427,   428,   734,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1033,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,  1036,   455,  1037,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,  1040,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,  1042,
    1043,  1044,  1045,  1046,  1047,  1048,  1049,   495,   496,   497,
       0,     0,     0,     0,     0,     0,   755,  1234,   550,     0,
       0,     0,   597,     0,     0,     0,  3468,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   220,   714,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     715,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
       0,     0,     0,   718,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,  1467,   289,     0,   290,   291,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,   726,   335,
     727,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     728,   352,   353,   354,   355,     0,   356,   357,   729,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,  1468,
       0,   366,   367,   368,     0,     0,   369,   730,   731,   732,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   734,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,  1469,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,     0,     0,     0,     0,     0,   755,
     609,  1235,  3591,     0,     0,     0,     0,     0,     0,  3592,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     3,     4,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   220,
     714,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   728,   352,   353,   354,   355,     0,   356,
     357,   729,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
     730,   731,   732,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    37,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   734,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,    41,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   924,   475,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,    46,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,     0,     0,
       0,     0,   712,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    47,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   220,   714,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   715,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,     0,     0,     0,   718,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,   726,   335,   727,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   728,   352,   353,   354,
     355,     0,   356,   357,   729,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,   730,   731,   732,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   734,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,     0,
       0,     0,     0,     0,     0,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3994,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,    37,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,    41,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   924,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,    46,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,     0,     0,     0,     0,     0,     0,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,     0,     0,
       0,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1106,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,     0,     0,
       0,     0,     0,     0,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2411,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,     0,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3431,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,     0,     0,     0,     0,     0,     0,
    1333,  1234,   550,     0,     0,   764,   597,     0,     0,     0,
    3761,   200,   201,   202,   203,   204,   205,   206,   207,  1669,
     209,   210,   211,  1670,  1671,  1672,  1673,  1674,  1675,  1676,
     212,   213,  1677,   214,   215,   713,   216,   217,   218,     0,
    1334,   714,  1335,  1336,  1678,   223,   224,   225,   226,   227,
    1679,  1680,   228,   229,  1337,  1338,   232,  1681,   233,   234,
     235,   236,     0,  1682,   715,  1683,   238,   239,   240,   241,
     716,   242,   243,  1684,   244,   245,   246,   247,   248,   249,
    1685,   717,   250,   251,  1686,  1687,  1688,   718,  1689,  1690,
    1691,   252,   253,   254,   255,   256,   257,  1339,  1340,   260,
    1692,   261,  1693,   262,   263,   264,   265,   266,  1694,   267,
     268,   269,  1695,  1696,   270,   271,  1008,   273,   274,  1697,
     275,   276,   277,  1698,   278,   279,  1699,   280,   281,   282,
     283,     0,   285,   286,   287,     0,  1700,   289,  1701,   290,
    1341,   292,  1702,   293,  1703,   294,   719,  1704,   720,   295,
     296,   297,  1705,   298,     0,  1706,   300,  1707,   301,   302,
     303,   304,   305,   721,   306,   307,   308,  1708,   309,   310,
     311,   312,   313,   314,  1709,   315,   722,     0,   317,   318,
     319,   320,  1342,  1343,  1710,  1344,  1711,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,  1712,
     333,     0,   726,   335,   727,  1713,   336,   337,   338,  1714,
    1715,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1345,   728,  1346,   353,   354,     0,  1716,
     356,   357,   729,   358,  1717,     0,   360,  1347,   362,   363,
     364,  1718,   365,  1719,  1720,  3165,   367,   368,  1721,  1722,
       0,   730,   731,   732,     0,   371,   372,   373,   374,   375,
     376,   377,  1723,   378,     0,   380,     0,   382,   383,   384,
    1724,   385,   386,   387,   388,   389,   390,   391,  1348,   393,
     394,   395,   396,  1725,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,  1726,   407,   408,   733,   409,   410,
       0,   412,   413,   414,   415,   416,   417,   418,   419,  1727,
     420,   421,   422,   423,   424,  1728,   425,  1886,   427,   428,
     734,   429,  1350,   431,  1729,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,  1730,   443,   444,  1731,
     445,   446,   447,   448,   449,   450,  1732,  1351,  1352,  1733,
    1734,   453,     0,   455,     0,  1735,   457,   458,   459,   460,
     461,   462,   463,  1736,  1737,   464,   465,   466,   467,   468,
    1738,  1739,   469,   470,   471,   472,   473,     0,  1353,  1740,
     476,   735,   477,   478,   479,  1741,  1742,   480,  1743,  1744,
     481,   482,   483,   484,   485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   495,   496,   497,     0,     0,     0,
     767,   768,   769,     0,  3166,  3167,   772,   773,   774,   775,
     199,     0,     0,     0,     0,   764,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   765,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   766,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,     0,
     767,   768,   769,     0,   770,   771,   772,   773,   774,   775,
     199,     0,     0,     0,     0,   764,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   852,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   853,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,     0,
     767,   768,   769,     0,   770,   771,   772,   773,   774,   775,
     199,     0,     0,     0,     0,   764,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   897,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   898,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   899,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,     0,
     767,   768,   769,     0,   770,   771,   772,   773,   774,   775,
     199,     0,     0,     0,     0,   764,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,  1316,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,  1317,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,     0,
     767,   768,   769,     0,   770,   771,   772,   773,   774,   775,
     199,     0,     0,     0,     0,   764,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,     0,
     767,   768,   769,     0,   770,   771,   772,   773,   774,   775,
     199,     0,     0,     0,     0,   764,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,  2471,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,  2472,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,     0,
     767,   768,   769,     0,   770,   771,   772,   773,   774,   775,
     199,     0,     0,     0,     0,   764,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,  3978,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,  1668,
     767,   768,   769,     0,   770,   771,   772,   773,   774,   775,
     200,   201,   202,   203,   204,   205,   206,   207,  1669,   209,
     210,   211,  1670,  1671,  1672,  1673,  1674,  1675,  1676,   212,
     213,  1677,   214,   215,   713,   216,   217,   218,   219,   220,
     714,   221,   222,  1678,   223,   224,   225,   226,   227,  1679,
    1680,   228,   229,   230,   231,   232,  1681,   233,   234,   235,
     236,   237,  1682,   715,  1683,   238,   239,   240,   241,   716,
     242,   243,  1684,   244,   245,   246,   247,   248,   249,  1685,
     717,   250,   251,  1686,  1687,  1688,   718,  1689,  1690,  1691,
     252,   253,   254,   255,   256,   257,   258,   259,   260,  1692,
     261,  1693,   262,   263,   264,   265,   266,  1694,   267,   268,
     269,  1695,  1696,   270,   271,   272,   273,   274,  1697,   275,
     276,   277,  1698,   278,   279,  1699,   280,   281,   282,   283,
     284,   285,   286,   287,   288,  1700,   289,  1701,   290,   291,
     292,  1702,   293,  1703,   294,   719,  1704,   720,   295,   296,
     297,  1705,   298,   299,  1706,   300,  1707,   301,   302,   303,
     304,   305,   721,   306,   307,   308,  1708,   309,   310,   311,
     312,   313,   314,  1709,   315,   722,   316,   317,   318,   319,
     320,   321,   322,  1710,   323,  1711,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,  1712,   333,
     334,   726,   335,   727,  1713,   336,   337,   338,  1714,  1715,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   728,   352,   353,   354,   355,  1716,   356,
     357,   729,   358,  1717,   359,   360,   361,   362,   363,   364,
    1718,   365,  1719,  1720,   366,   367,   368,  1721,  1722,   369,
     730,   731,   732,   370,   371,   372,   373,   374,   375,   376,
     377,  1723,   378,   379,   380,   381,   382,   383,   384,  1724,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,  1725,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,  1726,   407,   408,   733,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,  1727,   420,
     421,   422,   423,   424,  1728,   425,   426,   427,   428,   734,
     429,   430,   431,  1729,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,  1730,   443,   444,  1731,   445,
     446,   447,   448,   449,   450,  1732,   451,   452,  1733,  1734,
     453,   454,   455,   456,  1735,   457,   458,   459,   460,   461,
     462,   463,  1736,  1737,   464,   465,   466,   467,   468,  1738,
    1739,   469,   470,   471,   472,   473,   474,   475,  1740,   476,
     735,   477,   478,   479,  1741,  1742,   480,  1743,  1744,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,  1745,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,   682,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
    1333,     0,     0,     0,     0,     0,     0,     0,     0,  3857,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,     0,
    1334,   714,  1335,  1336,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,  1337,  1338,   232,     0,   233,   234,
     235,   236,     0,     0,   715,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,     0,     0,     0,   718,     0,     0,
       0,   252,   253,   254,   255,   256,   257,  1339,  1340,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,  1008,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,     0,   285,   286,   287,     0,     0,   289,     0,   290,
    1341,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,     0,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,     0,   317,   318,
     319,   320,  1342,  1343,     0,  1344,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   726,   335,   727,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1345,   728,  1346,   353,   354,     0,     0,
     356,   357,   729,   358,     0,     0,   360,  1347,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
       0,   730,   731,   732,     0,   371,   372,   373,   374,   375,
     376,   377,     0,   378,     0,   380,     0,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1348,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
       0,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,  1349,   427,   428,
     734,   429,  1350,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,  1351,  1352,     0,
       0,   453,     0,   455,     0,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,     0,  1353,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,     0,     0,  2029,     0,     0,
       0,     0,     0,     0,   495,   496,   497,     0,   200,   201,
     202,   203,   204,   205,   206,   207,  1800,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,     0,  1334,   714,  1335,
    1336,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,  1337,  1338,   232,     0,   233,   234,   235,   236,     0,
       0,   715,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,     0,     0,     0,   718,     0,     0,     0,   252,   253,
     254,   255,   256,   257,  1339,  1340,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,  1008,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,     0,   285,
     286,   287,     0,     0,   289,     0,   290,  1341,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,     0,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,     0,   317,   318,   319,   320,  1342,
    1343,     0,  1344,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   726,
     335,   727,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1345,   728,  1346,   353,   354,     0,     0,   356,   357,   729,
     358,     0,     0,   360,  1347,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,     0,   730,   731,
     732,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,     0,   380,     0,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1348,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,  1349,   427,   428,   734,   429,  1350,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,  1351,  1352,     0,     0,   453,     0,
     455,     0,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,     0,  1353,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,     0,     0,   755,  1234,   550,     0,     0,     0,
     597,   495,   496,   497,     0,   200,   201,   202,   203,   204,
     205,   206,   207,  1800,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   220,   714,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   715,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,     0,     0,
       0,   718,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,  1658,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
    1467,   289,     0,   290,   291,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,   726,   335,   727,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   728,   352,
     353,   354,   355,     0,   356,   357,   729,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,  1468,     0,   366,
     367,   368,     0,     0,   369,   730,   731,   732,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   734,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,  1469,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   755,  1234,   550,     0,     0,     0,   597,   609,  1235,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   220,   714,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   715,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,     0,     0,     0,   718,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,  1663,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,  1467,   289,     0,
     290,   291,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,   726,   335,   727,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   728,   352,   353,   354,   355,
       0,   356,   357,   729,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,  1468,     0,   366,   367,   368,     0,
       0,   369,   730,   731,   732,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   734,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,  1469,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   755,  1234,
     550,     0,     0,     0,   597,   609,  1235,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,  1467,   289,     0,   290,   291,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   728,   352,   353,   354,   355,     0,   356,   357,
     729,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,  1468,     0,   366,   367,   368,     0,     0,   369,   730,
     731,   732,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   734,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,  1469,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,   597,   609,  1235,     0,     0,   200,   598,   202,   203,
     204,   205,   206,   207,   599,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   600,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   601,   291,   292,     0,   293,     0,
     602,     0,   603,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   604,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   605,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   606,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   607,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     608,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,  1668,  4269,   550,     0,     0,     0,   597,   609,
     610,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,  1669,   209,   210,   211,  1670,  1671,  1672,  1673,  1674,
    1675,  1676,   212,   213,  1677,   214,   215,   713,   216,   217,
     218,   219,   220,   714,   221,   222,  1678,   223,   224,   225,
     226,   227,  1679,  1680,   228,   229,   230,   231,   232,  1681,
     233,   234,   235,   236,   237,  1682,   715,  1683,   238,   239,
     240,   241,   716,   242,   243,  1684,   244,   245,   246,   247,
     248,   249,  1685,   717,   250,   251,  1686,  1687,  1688,   718,
    1689,  1690,  1691,   252,   253,   254,   255,   256,   257,   258,
     259,   260,  1692,   261,  1693,   262,   263,   264,   265,   266,
    1694,   267,   268,   269,  1695,  1696,   270,   271,   272,   273,
     274,  1697,   275,   276,   277,  1698,   278,   279,  1699,   280,
     281,   282,   283,   284,   285,   286,   287,   288,  1700,   289,
    1701,   290,   291,   292,  1702,   293,  1703,   294,   719,  1704,
     720,   295,   296,   297,  1705,   298,   299,  1706,   300,  1707,
     301,   302,   303,   304,   305,   721,   306,   307,   308,  1708,
     309,   310,   311,   312,   313,   314,  1709,   315,   722,   316,
     317,   318,   319,   320,   321,   322,  1710,   323,  1711,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,  1712,   333,   334,   726,   335,   727,  1713,   336,   337,
     338,  1714,  1715,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   728,   352,   353,   354,
     355,  1716,   356,   357,   729,   358,  1717,   359,   360,   361,
     362,   363,   364,  1718,   365,  1719,  1720,   366,   367,   368,
    1721,  1722,   369,   730,   731,   732,   370,   371,   372,   373,
     374,   375,   376,   377,  1723,   378,   379,   380,   381,   382,
     383,   384,  1724,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,  1725,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,  1726,   407,   408,   733,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,  1727,   420,   421,   422,   423,   424,  1728,   425,   426,
     427,   428,   734,   429,   430,   431,  1729,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,  1730,   443,
     444,  1731,   445,   446,   447,   448,   449,   450,  1732,   451,
     452,  1733,  1734,   453,   454,   455,   456,  1735,   457,   458,
     459,   460,   461,   462,   463,  1736,  1737,   464,   465,   466,
     467,   468,  1738,  1739,   469,   470,   471,   472,   473,   474,
     475,  1740,   476,   735,   477,   478,   479,  1741,  1742,   480,
    1743,  1744,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  1668,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,  1669,   209,
     210,   211,  1670,  1671,  1672,  1673,  1674,  1675,  1676,   212,
     213,  1677,   214,   215,   713,   216,   217,   218,   219,   220,
     714,   221,   222,  1678,   223,   224,   225,   226,   227,  1679,
    1680,   228,   229,   230,   231,   232,  1681,   233,   234,   235,
     236,   237,  1682,   715,  1683,   238,   239,   240,   241,   716,
     242,   243,  1684,   244,   245,   246,   247,   248,   249,  1685,
     717,   250,   251,  1686,  1687,  1688,   718,  1689,  1690,  1691,
     252,   253,   254,   255,   256,   257,   258,   259,   260,  1692,
     261,  1693,   262,   263,   264,   265,   266,  1694,   267,   268,
     269,  1695,  1696,   270,   271,   272,   273,   274,  1697,   275,
     276,   277,  1698,   278,   279,  1699,   280,   281,   282,   283,
     284,   285,   286,   287,   288,  1700,   289,  1701,   290,   291,
     292,  1702,   293,  1703,   294,   719,  1704,   720,   295,   296,
     297,  1705,   298,   299,  1706,   300,  1707,   301,   302,   303,
     304,   305,   721,   306,   307,   308,  1708,   309,   310,   311,
     312,   313,   314,  1709,   315,   722,   316,   317,   318,   319,
     320,   321,   322,  1710,   323,  1711,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,  1712,   333,
     334,   726,   335,   727,  1713,   336,   337,   338,  1714,  1715,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   728,   352,   353,   354,   355,  1716,   356,
     357,   729,   358,  1717,   359,   360,   361,   362,   363,   364,
    1718,   365,  1719,  1720,   366,   367,   368,  1721,  1722,   369,
     730,   731,   732,   370,   371,   372,   373,   374,   375,   376,
     377,  1723,   378,   379,   380,   381,   382,   383,   384,  1724,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,  1725,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,  1726,   407,   408,   733,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,  1727,   420,
     421,   422,   423,   424,  1728,   425,   426,   427,   428,   734,
     429,   430,   431,  1729,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,  1730,   443,   444,  1731,   445,
     446,   447,   448,   449,   450,  1732,   451,   452,  1733,  1734,
     453,   454,   455,   456,  1735,   457,   458,   459,   460,   461,
     462,   463,  1736,  1737,   464,   465,   466,   467,   468,  1738,
    1739,   469,   470,   471,   472,   473,   474,   475,  1740,   476,
     735,   477,   478,   479,  1741,  1742,   480,  1743,  1744,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,  1668,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,  2536,   205,   206,   207,  1669,   209,   210,   211,  1670,
    1671,  1672,  1673,  1674,  1675,  1676,   212,   213,  1677,   214,
     215,   713,   216,   217,   218,   219,   220,   714,   221,   222,
    1678,   223,   224,   225,   226,   227,  1679,  1680,   228,   229,
     230,   231,   232,  1681,   233,   234,   235,   236,   237,  1682,
     715,  1683,   238,   239,   240,   241,   716,   242,   243,  1684,
     244,   245,   246,   247,   248,   249,  1685,   717,   250,   251,
    1686,  1687,  1688,   718,  1689,  1690,  1691,   252,   253,   254,
     255,   256,   257,   258,   259,   260,  1692,   261,  1693,   262,
     263,   264,   265,   266,  1694,   267,   268,   269,  1695,  1696,
     270,   271,   272,  2537,   274,  1697,   275,   276,   277,  1698,
     278,   279,  1699,   280,   281,   282,   283,   284,   285,   286,
     287,   288,  1700,   289,  1701,   290,   291,   292,  1702,   293,
    1703,   294,   719,  1704,   720,   295,   296,   297,  1705,   298,
     299,  1706,   300,  1707,   301,   302,   303,   304,   305,   721,
     306,   307,   308,  1708,   309,   310,   311,   312,   313,   314,
    1709,   315,   722,   316,   317,   318,   319,   320,   321,   322,
    1710,   323,  1711,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,  1712,   333,   334,   726,   335,
     727,  1713,   336,   337,   338,  1714,  1715,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     728,   352,   353,   354,   355,  1716,   356,   357,   729,   358,
    1717,   359,   360,   361,   362,   363,   364,  1718,   365,  1719,
    1720,   366,   367,   368,  1721,  1722,   369,   730,   731,   732,
     370,   371,   372,   373,   374,   375,   376,   377,  1723,   378,
     379,   380,   381,   382,   383,   384,  1724,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,  1725,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
    1726,   407,   408,   733,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,  1727,   420,   421,   422,   423,
     424,  1728,  2538,   426,   427,   428,   734,   429,   430,   431,
    1729,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,  1730,   443,   444,  1731,   445,   446,   447,   448,
     449,   450,  1732,   451,   452,  1733,  1734,   453,   454,   455,
     456,  1735,   457,   458,   459,   460,   461,   462,   463,  1736,
    1737,   464,   465,   466,   467,   468,  1738,  1739,   469,   470,
     471,   472,   473,   474,   475,  1740,   476,   735,   477,   478,
     479,  1741,  1742,   480,  1743,  1744,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   755,     0,   550,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,   219,   220,   714,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   715,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,     0,     0,     0,
     718,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,  1467,
     289,     0,   290,   291,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,   726,   335,   727,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   728,   352,   353,
     354,   355,     0,   356,   357,   729,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,  1468,     0,   366,   367,
     368,     0,     0,   369,   730,   731,   732,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   734,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,  1469,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     755,     0,   550,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     220,   714,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   715,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,     0,     0,     0,   718,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
    1643,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,   726,   335,   727,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   728,   352,   353,   354,   355,     0,
     356,   357,   729,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,   730,   731,   732,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     734,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   755,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,   219,   220,   714,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   715,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,     0,     0,     0,   718,     0,     0,  1989,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,   726,
     335,   727,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   728,   352,   353,   354,   355,     0,   356,   357,   729,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,   730,   731,
     732,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   734,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,  1990,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     3,     4,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   220,   714,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   715,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,     0,     0,
       0,   718,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,   726,   335,   727,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   728,   352,
     353,   354,   355,     0,   356,   357,   729,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,   730,   731,   732,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   734,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   755,     0,   550,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   220,   714,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   715,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,     0,     0,     0,   718,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,   726,   335,   727,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   728,   352,   353,   354,   355,
       0,   356,   357,   729,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,   730,   731,   732,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   734,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   755,     0,
     550,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
    1457,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   728,   352,   353,   354,   355,     0,   356,   357,
     729,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,   730,
     731,   732,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   734,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   220,   714,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   715,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,     0,
       0,     0,   718,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,   299,
    2799,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,   726,   335,   727,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   728,
     352,   353,   354,   355,     0,   356,   357,   729,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,   730,   731,   732,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   734,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   712,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   220,   714,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   715,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,     0,     0,     0,   718,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,   726,   335,   727,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   728,   352,   353,   354,
     355,     0,   356,   357,   729,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,   730,   731,   732,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   734,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   755,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   220,
     714,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   728,   352,   353,   354,   355,     0,   356,
     357,   729,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
     730,   731,   732,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   734,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   755,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   220,   714,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     715,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
       0,     0,     0,   718,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,   726,   335,
     727,     0,   336,   337,   338,     0,     0,   339,   340,   791,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     728,   352,   353,   354,   355,     0,   356,   357,   729,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   730,   731,   732,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   734,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   755,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,   219,   220,   714,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,   715,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,     0,     0,     0,
     718,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,   726,   335,   727,     0,   336,
     337,   338,     0,     0,   339,   340,   864,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   728,   352,   353,
     354,   355,     0,   356,   357,   729,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,   730,   731,   732,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   734,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   713,   216,   217,   218,   219,
     220,   714,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   715,     0,   238,   239,   240,   241,
     716,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,   717,   250,   251,     0,     0,     0,   718,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,   719,     0,   720,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   882,   721,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,   722,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,   723,   724,
     325,   725,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,   726,   335,   727,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   728,   352,   353,   354,   355,     0,
     356,   357,   729,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,   730,   731,   732,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   733,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
     734,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   735,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   712,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,   219,   220,   714,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   715,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,     0,     0,     0,   718,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   891,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,   726,
     335,   727,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   728,   352,   353,   354,   355,     0,   356,   357,   729,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,   730,   731,
     732,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   734,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   755,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   220,   714,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   715,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,     0,     0,
       0,   718,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   893,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,   726,   335,   727,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   728,   352,
     353,   354,   355,     0,   356,   357,   729,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,   730,   731,   732,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,   734,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   755,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   220,   714,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,   715,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,     0,     0,     0,   718,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   902,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,   726,   335,   727,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   728,   352,   353,   354,   355,
       0,   356,   357,   729,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,   730,   731,   732,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,   734,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     913,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   914,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   728,   352,   353,   354,   355,     0,   356,   357,
     729,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,   730,
     731,   732,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,   734,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,  1824,   233,   234,   235,   236,   237,     0,     0,
    1899,   238,   239,   240,   241,     0,   242,   243,  1825,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,  1900,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,  1827,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,  1828,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,  1829,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,  1824,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,  1825,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,  1900,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,  1827,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,  2737,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,  1828,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,  1829,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   647,   206,   207,   616,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,   617,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,   648,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   618,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   619,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,   616,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,   617,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,  2439,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   618,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   619,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
    1824,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,  1825,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
    1900,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,  1827,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,  1828,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,  1829,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,   616,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
     617,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   618,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   619,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,  1494,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,  1495,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,  1496,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,  1497,   294,     0,     0,     0,  1498,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,  1499,  1500,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,  1501,   416,   417,   418,   419,     0,  1502,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,  1503,   445,  1504,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,  1505,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,   617,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   618,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   619,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     3,     4,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,  2520,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,  2521,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,  2532,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,  2533,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,   542,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   543,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,   641,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     642,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   643,   452,     0,     0,   644,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,   671,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   672,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     673,   452,     0,     0,   674,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   677,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   785,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   677,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,   875,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
    1081,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,  1092,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     658,   229,   230,   231,  1093,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     661,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   662,   410,   411,   412,
     413,   414,   663,   416,   417,   418,   419,     0,   420,   421,
     422,   423,  1085,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   665,   452,     0,     0,   666,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   667,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,  1189,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   677,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,  2346,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
    2347,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,  2348,   445,   446,  2349,   448,  2350,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,  2351,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,   550,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,  3404,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,  3417,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
    3622,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,  3624,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,  3626,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,  3981,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   631,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   639,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   658,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   659,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   660,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   661,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   662,   410,   411,
     412,   413,   414,   663,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   664,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   665,   452,     0,     0,
     666,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   667,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   689,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   761,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   782,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   793,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   843,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   887,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     904,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   906,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   908,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   911,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   917,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   658,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   661,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   662,   410,   411,   412,   413,   414,   663,   416,   417,
     418,   419,     0,   420,   421,   422,   423,  1085,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     665,   452,     0,     0,   666,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   667,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,  1378,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,  1405,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,  1433,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,  1435,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
    1437,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,  1528,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
    1797,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,     0,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   658,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   661,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   662,   410,   411,
     412,   413,   414,   663,   416,   417,   418,   419,     0,   420,
     421,   422,   423,  1085,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
    1815,   447,   448,   449,   450,     0,   665,   452,     0,     0,
     666,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   667,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   658,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   661,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   662,   410,   411,   412,   413,   414,
    1875,   416,   417,   418,   419,     0,   420,   421,   422,   423,
    1876,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   665,   452,     0,     0,  1877,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     667,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,  2121,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,  2450,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   658,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   661,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   662,   410,   411,   412,   413,
     414,   663,   416,   417,   418,   419,     0,   420,   421,   422,
     423,  1876,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   665,   452,     0,     0,  1877,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   667,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,  1333,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,     0,  1334,   714,  1335,  1336,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,  1337,  1338,
     232,     0,   233,   234,   235,   236,     0,     0,   715,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,     0,     0,
       0,   718,     0,     0,     0,   252,   253,   254,   255,   256,
     257,  1339,  1340,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
    1008,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,     0,   285,   286,   287,     0,
       0,   289,     0,   290,  1341,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,     0,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,  1883,   309,   310,   311,   312,   313,   314,     0,   315,
     722,  1884,   317,   318,   319,   320,  1342,  1343,     0,  1344,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   726,   335,   727,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1345,   728,  1346,
     353,   354,     0,     0,   356,   357,   729,   358,     0,     0,
     360,  1347,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,  1885,   730,   731,   732,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
       0,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1348,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,  1886,   427,   428,   734,   429,  1350,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1351,  1352,     0,     0,   453,     0,   455,     0,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,     0,  1353,  1887,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,     0,
     199,     0,     0,     0,     0,     0,     0,     0,   495,   496,
     497,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,  2523,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,  2525,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,  2617,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,  1333,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
       0,  1334,   714,  1335,  1336,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,  1337,  1338,   232,     0,   233,
     234,   235,   236,     0,     0,   715,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,     0,     0,     0,   718,     0,
       0,     0,   252,   253,   254,   255,   256,   257,  1339,  1340,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,  1008,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,     0,   285,   286,   287,     0,     0,   289,     0,
     290,  1341,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,     0,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,     0,   317,
     318,   319,   320,  1342,  1343,     0,  1344,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   726,   335,   727,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1345,   728,  1346,   353,   354,     0,
       0,   356,   357,   729,   358,  1871,     0,   360,  1347,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,     0,   730,   731,   732,     0,   371,   372,   373,   374,
     375,   376,   377,     0,   378,     0,   380,     0,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1348,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,  1886,   427,
     428,   734,   429,  1350,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,     0,   443,   444,
    3270,   445,   446,   447,   448,   449,   450,     0,  1351,  1352,
       0,     0,   453,     0,   455,     0,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,     0,  1353,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,     0,  1333,     0,     0,
       0,     0,     0,     0,     0,   495,   496,   497,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,     0,  1334,   714,  1335,
    1336,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,  1337,  1338,   232,     0,   233,   234,   235,   236,     0,
       0,   715,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,     0,     0,     0,   718,     0,     0,     0,   252,   253,
     254,   255,   256,   257,  1339,  1340,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,  1008,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,     0,   285,
     286,   287,     0,     0,   289,     0,   290,  1341,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,     0,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,     0,   317,   318,   319,   320,  1342,
    1343,     0,  1344,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   726,
     335,   727,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1345,   728,  1346,   353,   354,  1934,     0,   356,   357,   729,
     358,     0,     0,   360,  1347,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,     0,   730,   731,
     732,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,     0,   380,     0,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1348,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,  1349,   427,   428,   734,   429,  1350,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,  1351,  1352,     0,     0,   453,     0,
     455,     0,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,     0,  1353,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,     0,  1333,     0,     0,     0,     0,     0,     0,
       0,   495,   496,   497,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,     0,  1334,   714,  1335,  1336,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,  1337,  1338,   232,
       0,   233,   234,   235,   236,     0,     0,   715,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,     0,     0,     0,
     718,     0,     0,     0,   252,   253,   254,   255,   256,   257,
    1339,  1340,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,  1008,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,     0,   285,   286,   287,     0,     0,
     289,     0,   290,  1341,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,     0,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
       0,   317,   318,   319,   320,  1342,  1343,     0,  1344,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   726,   335,   727,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1345,   728,  1346,   353,
     354,  3089,     0,   356,   357,   729,   358,     0,     0,   360,
    1347,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,     0,   730,   731,   732,     0,   371,   372,
     373,   374,   375,   376,   377,     0,   378,     0,   380,     0,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1348,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
    1349,   427,   428,   734,   429,  1350,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
    1351,  1352,     0,     0,   453,     0,   455,     0,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
       0,  1353,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,     0,   199,
       0,     0,     0,     0,     0,     0,     0,   495,   496,   497,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,     0,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,     0,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,  1333,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,     0,  1334,   714,  1335,  1336,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
    1337,  1338,   232,     0,   233,   234,   235,   236,     0,     0,
     715,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
       0,     0,     0,   718,     0,     0,     0,   252,   253,   254,
     255,   256,   257,  1339,  1340,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1008,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,     0,   285,   286,
     287,     0,     0,   289,     0,   290,  1341,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
       0,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,     0,   317,   318,   319,   320,  1342,  1343,
       0,  1344,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   726,   335,
     727,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1345,
     728,  1346,   353,   354,     0,     0,   356,   357,   729,   358,
       0,     0,   360,  1347,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,     0,   730,   731,   732,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,     0,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1348,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,  1349,   427,   428,   734,   429,  1350,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1351,  1352,     0,     0,   453,     0,   455,
       0,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,     0,  1353,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1333,     0,     0,     0,     0,     0,     0,     0,
     495,   496,   497,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,     0,  1334,   714,  1335,  1336,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,  1337,  1338,   232,     0,
     233,   234,   235,   236,     0,     0,   715,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,     0,     0,     0,   718,
       0,     0,     0,   252,   253,   254,   255,   256,   257,  1339,
    1340,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1008,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,     0,   285,   286,   287,     0,     0,   289,
       0,   290,  1341,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,     0,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,     0,
     317,   318,   319,   320,  1342,  1343,     0,  1344,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   726,   335,   727,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1345,   728,  1346,   353,   354,
       0,     0,   356,   357,   729,   358,     0,     0,   360,  1347,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,     0,   730,   731,   732,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1348,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,  1886,
     427,   428,   734,   429,  1350,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1351,
    1352,     0,     0,   453,     0,   455,     0,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,     0,
    1353,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,     0,  1333,     0,
       0,     0,     0,     0,     0,     0,   495,   496,   497,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,  1334,   714,
    1335,  1336,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,  1337,  1338,   232,     0,   233,   234,   235,   236,
       0,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,  1339,  1340,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1008,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,     0,
     285,   286,   287,     0,     0,   289,     0,   290,  1341,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,     0,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,     0,   317,   318,   319,   320,
    1342,  1343,     0,  1344,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1345,   728,  1346,   353,   354,     0,     0,   356,   357,
     729,   358,     0,     0,   360,  1347,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,     0,   730,
     731,   732,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1348,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,     0,   427,   428,   734,   429,
    1350,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1351,  1352,     0,     0,   453,
       0,   455,     0,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,     0,  1353,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,     0,  1333,     0,     0,     0,     0,     0,
       0,     0,   495,   496,   497,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   713,
     216,   217,   218,     0,     0,   714,     0,     0,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,     0,     0,
     232,     0,   233,   234,   235,   236,     0,     0,   715,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,     0,     0,
       0,   718,     0,     0,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,     0,   285,   286,   287,     0,
       0,   289,     0,   290,     0,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,     0,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,     0,   317,   318,   319,   320,     0,     0,     0,     0,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   726,   335,   727,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,     0,   728,     0,
     353,   354,     0,     0,   356,   357,   729,   358,     0,     0,
     360,     0,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,     0,   730,   731,   732,     0,   371,
     372,   373,   374,   375,   376,   377,     0,   378,     0,   380,
       0,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,     0,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,     0,   427,   428,   734,   429,     0,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,     0,     0,     0,     0,   453,     0,   455,     0,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,     0,     0,     0,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   495,   496,
     497
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    47,    16,   164,   184,
     524,    11,   706,   892,    21,    24,    33,   659,   711,    26,
      20,    42,    20,   900,   172,   617,   618,   619,   737,   964,
    1210,   623,   180,  1498,    12,  1110,   950,   896,   928,  1176,
    1112,  1599,   780,   551,  1349,  1215,    21,    47,   801,   784,
     763,    26,  1035,   567,   792,  1128,     7,    20,  2203,   977,
     854,   181,   836,    14,  1891,  1892,   186,  1306,   666,   863,
    1006,  1007,  1219,   569,  1228,   195,    41,  1366,  1215,   551,
    2361,    17,  2760,   579,  2486,    22,  1402,  1159,  1163,  1025,
     516,   783,  1387,  2536,   786,  2538,    33,  1262,  1210,  1933,
    1387,  1387,   794,   841,  1387,  1387,   844,  1387,  1534,   883,
    2355,   849,  2699,  1980,  1133,   587,  2411,  2968,   856,  2681,
       0,  1275,  1276,  1270,  1760,  2663,  3053,   865,  3002,  2359,
    2183,  2357,  2358,   166,   560,   151,  3009,  3250,  2935,  1455,
     586,  3232,   920,  2681,  3213,     0,   166,     0,  2940,  2941,
    3271,     0,     0,  2294,   662,  1202,  2873,  1163,  3473,  2404,
      38,   792,  1404,  2980,   703,   753,   166,     0,  3665,   703,
       0,     5,  1411,    31,   995,   996,     0,  2685,  2686,  2687,
    2688,  2689,  2690,     5,    44,    58,    37,    66,   103,   103,
     662,  3911,    51,    37,  3794,    51,    79,     0,     5,    35,
    1021,     0,     0,   173,   174,   105,    51,   177,   178,     5,
       9,  1143,   150,   145,    22,   928,    18,   150,     5,   105,
       5,    29,    72,    22,   194,   190,    13,     5,    13,    68,
    2064,   151,    26,    27,     5,    13,    58,    76,     5,   127,
       9,   110,   834,     5,   156,   189,     5,    68,     0,    22,
       5,     5,   150,    83,    35,     0,    29,     9,     5,  2488,
     152,   150,     5,   153,    96,    11,     5,     5,   122,    96,
      22,    22,    60,   242,    11,  1053,  2417,   230,    29,    68,
    3761,   182,  3763,   259,    52,     5,   153,   188,    76,   132,
      36,    58,    60,   193,  1369,   196,  2130,   108,  2132,     4,
       9,    76,   245,  3176,     9,   819,   144,   103,   108,   120,
       9,    34,   107,   252,   290,   303,    44,   150,   120,     4,
      66,  3864,   352,   103,     9,   155,   150,   319,  4214,   259,
      22,   290,   232,   152,   374,   294,     5,   170,    83,    11,
       9,     5,   130,   319,  1097,  1054,   170,   150,   259,   524,
       5,   150,   150,   354,   150,   149,   303,   151,  2025,   147,
     319,    32,   384,   511,    36,   191,    94,   170,    39,  1352,
    1079,   170,   170,    83,   424,     3,     4,     5,   428,   290,
     280,     9,  1095,   183,   331,  1850,   426,  1100,  1101,   319,
      11,   279,   567,   394,    66,   190,  4282,   312,   150,  3896,
     430,  3892,   522,  1339,  1340,   901,   526,   555,   916,  3478,
     155,  1347,   295,   305,   150,   150,   564,   537,   170,   352,
     246,   170,  1495,   115,   314,   108,  1499,   342,  1501,   248,
     268,  1504,   108,   392,   103,  1314,   428,   296,   426,   103,
     296,  1318,    68,   211,   916,   155,   169,   314,   103,    22,
     426,   296,   232,   343,   182,   408,   928,   426,   197,   270,
     956,  1533,    25,   352,     8,   380,    16,   297,   360,  2698,
     966,  4014,   362,   981,  3955,   103,   343,   392,   321,  1192,
     413,     5,   978,   426,   930,   273,   430,  1200,  2996,   316,
     376,   430,   430,  4093,   426,   428,    51,   506,  1190,   413,
     183,  3904,   230,   339,     8,   374,   426,    11,   352,   981,
     342,   426,   312,   352,   364,  3077,  1337,  1338,   430,   327,
    1258,  1593,  1260,  4243,    28,  1346,   333,   334,   379,  1604,
     430,   352,   430,  1268,   388,  1309,  1330,  1250,   426,  3077,
    1253,  1254,   551,   552,   514,   424,   587,   430,   518,   428,
     706,  1304,   297,   426,   327,  3668,   352,  4048,   339,   393,
     188,   383,   392,   352,   534,  1637,   426,  3636,   426,   505,
     372,   430,   372,   589,   430,  1489,   327,   352,   412,   367,
     308,  1886,   132,   211,  1092,   430,   586,   587,   586,  1327,
     384,   598,   426,   600,  3467,   602,   429,   427,   133,   429,
    1459,   608,  1315,   504,   426,   429,  1895,   585,   509,  2443,
    3407,  1150,  3681,  3330,  3411,  1246,  1150,   413,   417,   418,
    1092,  1209,   631,   598,   587,   600,   429,   602,  1100,  1101,
     429,   429,   428,   608,   609,   610,  1568,  1496,  3225,   426,
    3457,   426,   651,  4140,   819,   383,  1505,   392,   426,   658,
    1582,    30,   661,   662,   663,   426,   425,  3244,   806,   426,
    3975,   612,   695,   628,   426,   417,   418,   426,   816,  2950,
     424,   426,   426,   393,   428,   695,   422,   429,  2505,   426,
    2507,   430,   427,   426,   429,   422,  3194,   191,   426,   372,
    2935,   426,   412,   266,   430,   695,   372,   697,   697,   697,
     697,   697,   697,  1945,   248,  4202,   426,   392,   417,   418,
    4201,  1891,   417,   418,  4205,  1862,   681,   426,   417,   418,
    3789,    11,   685,   871,   103,  2955,   352,  3796,  1242,  1899,
     293,   255,   417,   418,  1809,    18,    60,   638,   159,  1560,
    1561,   296,   305,    11,   248,   710,  4149,   419,   420,   421,
     422,  4242,    96,   303,  1532,   242,  1534,   242,   659,    64,
      96,  3006,    96,    18,   103,     8,  1544,   103,    11,    24,
    1548,   321,   345,    98,   347,    96,   677,   312,  1556,  1557,
      96,   219,   660,    74,    22,     5,   664,   752,   763,   417,
     418,  1569,  1570,   356,   247,   765,   766,   698,   419,   420,
     421,   422,  1580,  1809,   145,   150,   130,   342,  2642,  2643,
       5,     3,  2370,     5,    20,   107,  1408,   697,    23,     8,
     105,   112,    11,   147,   838,   132,   835,    51,     5,   252,
      11,   303,    70,  1880,    40,   152,  2663,   120,   163,    77,
      18,     5,   697,  2984,   697,   380,   232,  1922,   697,   697,
      11,    74,    60,   305,  2681,    36,   246,   392,   108,    98,
    1502,  1503,   832,   180,   744,   120,   104,   275,     5,   413,
     414,   415,   310,   417,   418,   419,   420,   421,   422,  3281,
      32,  1590,   852,   853,    74,    66,   309,  3983,  3984,   112,
    2060,   426,   278,   232,   219,   103,   232,   222,   190,   869,
     372,   191,   252,     3,   356,    66,    98,   916,   193,   413,
     414,   415,   792,   417,   418,   419,   420,   421,   422,   928,
      18,  4034,   112,   191,   163,  1439,    24,   897,   898,  2109,
     930,  2758,   930,   183,  2099,  1431,   174,  4058,   874,   426,
     245,   426,   120,   396,    97,   846,  1442,   232,   191,   273,
     964,   292,   961,   928,    96,  3752,  3748,   378,  1454,   111,
    3757,   159,   307,  3760,   105,   866,   867,   868,   307,   260,
    2637,   163,   981,  2640,  2641,    75,   259,  2644,   184,   184,
     219,     5,   933,   222,   935,   310,   937,  2654,   939,   989,
     941,   942,   943,  3866,  1466,   280,   332,   948,   342,   335,
     103,  1427,   191,  3681,   259,   248,   230,   290,   342,  1009,
     191,  3797,  1053,  1385,   321,   246,    42,   237,   426,  1465,
     173,   342,   120,    74,   232,   125,   342,   219,  4141,   237,
     222,  1403,   230,   280,   413,   290,   319,   260,    11,  1039,
     385,   326,   237,   367,   291,   424,  1055,   426,   427,   428,
     129,   430,  1566,  1053,   955,   346,  1065,  4148,   259,   248,
     237,   112,  3505,    36,   319,   273,  1075,  1242,   315,    74,
     260,   310,   296,   237,  4170,   175,   977,   427,   286,   103,
     430,  4150,   407,  1092,    18,  3871,  1095,  1096,   230,   290,
     426,  1100,  1101,    66,   377,   319,   237,   335,  2171,  3973,
     230,   426,   907,  1136,  1137,  1121,  1139,   112,   187,   359,
    4037,  2047,   290,   918,  3987,   152,  1136,  1137,   310,  1139,
    1095,  1568,   372,   346,   158,  1100,  1101,   417,   418,   419,
     420,   421,   422,  3818,   237,  1582,  1136,  1137,   342,  1139,
     166,   154,   106,  1157,   170,   154,    83,   106,  3429,   417,
     418,   419,   420,   421,   422,  3952,   346,  3842,  3439,   367,
    3455,   259,  3407,   159,   264,   102,  3411,   252,   407,   258,
    1290,   414,   415,   252,   417,   418,   419,   420,   421,   422,
     378,   207,  1976,  1630,   120,   292,   120,  1152,   341,   342,
    3976,   151,   290,   424,  3420,  3425,   133,   428,   211,   142,
    3986,     8,   211,   167,    11,  1106,  1898,  3437,   167,   260,
    2285,   248,   115,  2502,   117,   407,  2291,  1192,   191,   192,
    2509,   319,    76,   106,   352,  1200,  1240,  4100,   417,   418,
     419,   420,   421,   422,   230,  1948,   417,   418,   419,   420,
     421,   422,   105,  1956,  2123,  1958,  4097,  4098,   378,   103,
    3077,  1187,  1153,  1945,  1224,   260,  2133,  1266,  3311,  3821,
    1235,   163,   235,   259,  1439,   365,  1386,   301,  2127,    22,
      95,   196,  1420,   373,  1966,  1250,   376,   354,  1253,  1254,
     159,  1429,  1402,  3821,   167,   392,   229,   366,  2082,  2083,
    2084,  2085,  3879,   426,   290,   346,  1310,   323,   335,  4172,
    2094,   261,   430,  1995,  1269,   344,   150,  1277,  1278,  1279,
    1280,    68,  1432,  1214,   250,  1329,    18,   219,   272,    76,
    1221,     0,    24,   430,  2504,   259,   170,   280,  2260,  2261,
     193,  2796,   345,  2265,   347,  1455,   345,  1851,   347,   242,
    1315,   346,   427,  2117,   301,   430,  1316,  1317,  1249,   272,
    1498,   230,  1322,   392,   393,  2991,   290,   370,   294,  2378,
    1374,   370,   115,   170,   324,  2438,  1246,   105,   321,   232,
     141,   250,  4223,  2305,  2306,   312,  3243,   386,   232,  1388,
    1281,    49,   378,   319,   191,   319,   145,   426,  1814,  4262,
     250,  1566,  2504,   218,  1295,   220,   155,  2850,  1368,   259,
     354,  1897,  2828,  1584,   429,   342,  1587,  1308,   310,   170,
     105,   170,  1426,  1941,   430,  2580,   373,   280,   120,   372,
    2715,  2874,  1392,  1393,  1394,  1395,   259,    95,  2715,  2715,
     290,   354,  2715,  2715,   115,  2715,   117,   208,  4025,   177,
     394,   248,  2589,   380,   417,   418,   419,   420,   421,   422,
     145,  2229,    78,   374,  3288,   392,  3290,   290,   139,    11,
     321,   294,  2175,   275,    50,  1465,  1994,  1465,   392,  2785,
    3137,   394,  4150,   244,  1444,   141,  3143,  3144,  3145,  3146,
    3147,  3148,   177,  1453,    36,   241,   319,  3768,  3769,   426,
    1460,   117,   230,   309,   232,   151,    82,     4,   290,   378,
    2278,    95,     9,  1466,   172,   426,   430,  3752,  1525,   197,
    3912,   372,  3757,  1939,    66,  3760,  1516,  1516,  1516,  1516,
    1516,  1516,   305,   179,  1475,   385,  1477,   319,  1479,   290,
    1481,  2309,  1483,   294,  2448,   230,  1487,   232,   194,   392,
     299,   129,   208,   294,  1553,  3790,  1511,   352,  3991,   205,
     218,   137,   220,   141,  3699,   279,   237,   145,   319,   392,
     426,   242,   230,  1464,   292,   234,  2344,   115,   319,   117,
     246,  1546,  1547,   356,  2510,   251,     3,   430,   374,  1554,
     304,   175,   168,  1558,  1559,  2660,     8,  1524,  1602,    11,
     258,  2745,    19,   131,  2748,  1531,  2473,   259,  1573,   187,
    1575,  1502,  1503,   309,  2112,  2680,   413,   414,   415,  1609,
     417,   418,   419,   420,   421,   422,  1421,   203,   233,   234,
     208,  1596,   313,  1598,   218,  1430,   220,   295,   290,  1434,
     426,   392,  3190,   171,   392,  1440,  1441,  1607,  2146,  3784,
    2112,  3786,  1651,   312,   300,   312,   232,    38,    75,   312,
     145,   342,    84,  1458,  3488,  3489,   244,   319,  2371,  3904,
     356,  4063,   330,   141,   252,   305,   129,   145,    59,   424,
     165,   426,   430,   342,  2146,   342,  1851,   358,   141,   342,
     290,   173,   145,    75,   232,  1805,  3967,   368,   141,  2463,
    1810,   313,   145,  1813,   242,   386,  1844,   312,   125,   600,
     601,   602,  1850,   393,   605,   606,   607,  3952,   294,   319,
     296,   380,   298,   380,   615,  1835,   356,   380,   304,   151,
     342,  2794,   412,   392,   187,   311,    20,   342,   165,   392,
     208,  1632,   124,   319,    80,  2277,   426,  2279,  2280,     5,
    1641,  3030,   328,   170,    10,   208,    40,   179,   175,  1869,
     336,    73,    18,  2395,  2489,   208,   259,   426,   427,   426,
     429,   259,   194,   426,   386,   380,   244,  1774,    34,   191,
    2368,  3010,    48,   205,   393,   259,  1896,   392,   366,   421,
     427,   244,  2517,   430,   426,     8,   428,   290,    11,   252,
     309,   244,   290,   412,  1757,   227,  1796,  1796,  2490,  1774,
    1920,   387,  1819,   259,  1821,    28,   290,   426,   200,   201,
    2724,   426,  2326,  2260,  2261,  2890,   319,  3375,  2265,   197,
    1940,   319,   214,  1943,   145,  2897,   248,    76,     8,   393,
     413,    11,   307,   426,   290,   319,   424,   264,   294,   427,
     428,  1961,     9,   427,   165,   428,   430,  3156,   412,  3158,
     427,  1971,  3161,   430,  3163,  1756,    36,  1758,  2305,  2306,
      57,    58,    42,   319,  1984,   421,  1875,   259,   300,   344,
     426,   426,   428,  1993,   301,   425,  1846,  1847,  1848,   425,
     430,   392,   393,  1853,   430,  1855,    66,  1857,  1858,  1903,
     345,  3038,   347,   246,  2877,  2878,  1861,  2815,   251,  2371,
     430,  3055,  3056,   366,  4149,   154,   424,   246,   426,    21,
     428,  3578,  3579,   340,    26,   303,   304,   392,   393,   115,
    2992,   117,   427,  2855,   173,   430,  2858,  2859,  2860,  2861,
    2862,  2863,  2864,  2865,  2866,  2867,   426,   307,   365,  2435,
    2436,   307,  2821,   139,   427,   427,   373,   430,   430,   376,
    1755,   426,   344,  2461,   346,  2693,  2888,  3700,  3701,  3702,
    3703,    48,   211,   427,  2260,  2261,   430,   427,   191,  2265,
     430,    38,  1981,  1948,   344,   427,   427,   429,   344,   430,
    2915,  1956,   193,  1958,  1954,  2917,  2918,   303,   304,  2461,
     170,   413,   414,   415,  3821,   417,   418,   419,   420,   421,
     422,  3076,   251,  3078,   410,   411,    26,    27,  2017,  2305,
    2306,   191,   192,    84,   427,  1916,  2025,   430,  2672,  2673,
    2674,  2035,   392,   393,  4169,   248,   392,   393,   427,   427,
     931,   430,   430,   934,   307,   936,   232,   938,   409,   940,
    2010,   237,  3876,   944,   427,  2819,   242,   430,  2018,  2019,
    2020,  2021,  2022,  2023,  3224,   235,   426,   968,   969,  2207,
     426,  2181,   307,    83,  2212,   392,   393,  3372,   248,  2044,
     427,   344,  2081,   430,   428,   427,  2572,   246,   430,  3906,
     151,   249,   102,  2203,  3264,   427,   427,   352,   430,   430,
    2068,   249,   427,  3007,  3008,   430,   345,  2106,   347,   344,
     145,  2101,  2101,  2112,   392,   393,  2884,   356,   179,  2822,
    3046,     8,  3249,   133,    11,  2396,  2397,   307,   367,   392,
     393,   370,  2714,   194,   427,   427,   427,   430,   430,   430,
       8,    28,  2102,    11,   205,   427,   246,  2146,   430,    36,
     345,   427,   347,     8,   430,    42,    11,   392,   393,   427,
      28,  2326,   430,   426,   344,   427,   227,   427,   430,  2129,
     430,  2131,   358,    28,  2065,   427,   249,   427,   430,    66,
     430,   409,   368,   427,   307,   246,   430,   427,  3845,  2193,
     430,   426,    38,   345,   427,   347,  2694,   430,  2696,   409,
     413,   414,   415,   307,   417,   418,   419,   420,   421,   422,
    2175,   193,   392,   393,  2957,   149,   427,  2355,  2364,   430,
    2706,   344,  2708,   427,  2389,   427,   430,  3775,   430,   427,
     427,   429,  2694,   430,  2696,  3298,  3299,  3300,   427,   300,
     344,   430,   426,   419,   428,  2944,   426,   417,   418,   419,
     420,   421,   422,   427,   427,   427,   430,   430,   430,  2757,
     426,   430,  2222,  2947,  2948,   427,  2404,   427,   430,   392,
     393,   427,   427,  3153,   430,   430,   427,   427,  2309,   166,
     430,    48,   427,   170,  3206,   430,   150,   427,   392,   393,
     430,   427,    60,   427,   430,  2757,   430,   427,    66,   426,
     430,   428,   312,   426,   191,   192,   427,   189,    76,   430,
    2420,   427,   427,   374,   430,   430,   426,   428,   427,  2309,
     207,   430,   426,   191,   319,   134,   427,  2122,  2814,   430,
     395,   427,   342,  2323,   430,   103,   191,   105,  2349,  2350,
    2351,   426,   426,  2138,  2139,   232,   427,  2142,   235,   430,
     428,   427,  2342,  2148,   430,   427,   134,   427,   430,  3421,
     430,   248,   134,   427,   251,  2355,   430,   345,   427,   347,
     380,   430,  2371,   246,   384,   427,  2407,   700,   430,   702,
     248,   427,   392,  3412,   430,  3414,   145,   134,   206,   105,
    3452,   374,   246,   248,   426,  2385,  2385,  2385,  2385,  2385,
    2385,   241,   309,   197,  2369,  3130,  2371,  3862,   426,   177,
    2205,    60,    44,   392,  2404,    31,   426,  2407,  2855,   232,
     395,  2858,  2859,  2860,  2861,  2862,  2863,  2864,  2865,  2866,
    2867,    38,   426,    38,   361,   259,   323,   145,    73,   276,
     134,   134,   426,   134,   395,  2555,   134,   134,   134,   430,
    3153,  2888,  2562,    85,   134,  3377,  3378,  2348,  3383,   134,
    2464,   246,  2461,   134,   232,   134,   134,   246,   134,   237,
     134,   342,   426,    31,   146,   206,   246,   109,   145,   426,
    2917,  2918,   145,     5,     5,   426,   426,  3550,  3551,  3273,
    3553,   145,   124,   426,   426,   269,   128,   426,  2663,     5,
     426,   426,     5,   426,  2395,   273,   426,   426,   426,  2469,
    3680,  2471,  2472,   426,   146,   426,  2681,   426,   286,     5,
     426,     5,  2632,   426,   426,  3590,   413,   414,   415,   161,
     417,   418,   419,   420,   421,   422,   426,   426,   425,   256,
     426,   426,   426,  2542,   431,   413,   414,   415,   426,   417,
     418,   419,   420,   421,   422,  2559,   426,  2561,   413,   414,
     415,   426,   417,   418,   419,   420,   421,   422,   426,  2855,
     430,  2570,  2858,  2859,  2860,  2861,  2862,  2863,  2864,  2865,
    2866,  2867,    31,   206,    86,    31,   145,   244,   145,   319,
     352,  3359,   352,   307,   428,   352,   352,   307,   352,   367,
    3303,   352,   352,    76,     0,   237,   307,   134,   246,   311,
    2614,   203,   352,   245,   352,   237,   352,    68,   373,   246,
     175,   242,   426,   352,   352,   426,    76,   430,   259,   374,
     374,  2917,  2918,    97,  2638,    48,    48,   352,  2637,   352,
     352,  2640,  2641,   352,   250,  2644,   278,   352,   352,   352,
      37,    37,   352,   352,   307,  2654,  2451,   430,  2796,   246,
    2659,   395,   352,   352,  2663,   246,   191,   392,   426,    31,
      31,    30,   383,   426,   426,  2785,    20,   134,   232,   103,
     426,   214,  2681,   232,    31,   145,   242,    83,    50,  2799,
     374,  3153,    31,   426,   386,  2694,  3600,  2696,  2663,   197,
     385,   134,   134,   134,   308,  2670,  2671,  2817,   134,   374,
    2675,   134,  3592,   374,   150,   241,  2681,   236,   352,   426,
      82,   350,    11,   224,   224,   319,   388,   409,  2727,  2524,
     426,  2526,   430,   129,   352,   350,   150,   354,   247,   164,
    2744,  3227,  3228,   426,  2709,   141,   427,   426,   164,   145,
     426,   242,   430,   187,   150,   374,   430,  2756,  2757,   155,
     430,   352,   158,  3890,   160,  2769,   352,   427,   307,  3206,
      75,   307,   374,   195,  3473,   137,   426,  2767,  2767,   237,
     195,   237,   352,   426,   237,   309,   197,   246,    38,  3711,
    3715,   187,   326,   245,   430,   307,   290,  2935,  3720,   253,
     352,   352,   316,   280,   352,   352,   168,   191,    31,  2700,
     191,   191,   208,   374,   374,  3737,  3738,   191,  2613,  2779,
     191,    30,  2782,  2618,   245,   426,   424,   424,   413,   352,
    2834,   426,   352,   413,  2725,   197,   352,   352,   134,   145,
     316,   203,  2733,   147,   242,   316,  2737,   426,   244,   134,
    2854,   392,   246,   246,   162,   162,   252,  2822,   145,  3587,
    2751,    31,   134,  2823,   246,   145,   430,   246,  3006,   316,
     232,   170,   170,   170,    19,  2879,   221,   430,   395,   156,
     430,   246,  3945,    48,   430,   241,   197,   342,   150,  4059,
     427,   263,  3955,   150,  2925,   427,   427,   427,   427,   427,
     255,   297,  2901,    13,  2935,    13,   380,   352,   389,   427,
     389,  2915,  3077,   409,   427,   426,  2927,  2928,  2929,  2930,
    3206,   409,   427,  3033,  2815,   208,   430,   297,   427,   246,
     427,   426,   294,   249,   427,  2925,   298,   427,   427,  3443,
    3377,  3378,   304,  4006,   427,  2935,   342,   427,   413,   311,
     134,     8,  3856,   246,    11,  2954,   426,   319,   426,   173,
     352,   352,   352,   181,   237,   395,   328,   352,   250,   208,
     366,   134,   134,  2768,   336,   352,   264,  2772,  2773,    36,
    2775,   216,  2777,  2778,   352,    42,   264,   216,   371,   352,
     216,  2786,   352,   389,   352,   391,   392,  3765,   307,   352,
    3110,   352,  3927,  3113,  3926,   307,   352,   307,   134,    66,
     352,   352,   307,    37,   352,  4078,   319,   352,   191,   191,
     191,  2816,   191,   191,     8,   387,     3,    11,   424,   391,
     392,   427,   428,   429,   191,   191,   424,   222,   427,   310,
     413,  2932,  2933,  2934,    28,   292,   361,   208,    96,   427,
     245,   427,    36,   246,   159,  3637,   392,    31,    42,     8,
     426,   430,    11,   427,  3024,  3025,  3026,  3027,   352,  3994,
     307,   307,   249,  3998,  3999,   307,   430,   132,  3077,   132,
     374,   430,    66,   374,   191,   126,   150,    36,    11,   145,
     424,  3377,  3378,    42,   427,  3094,  3093,  3780,  3097,   427,
    3099,   427,   427,    58,   385,   150,   426,   430,   427,   166,
     247,   158,  3077,   170,   426,   145,   426,    66,    31,   374,
     374,   352,   181,   361,  3123,  3124,  3995,   361,  3093,  3996,
    3592,   352,  4012,   352,   191,   192,   352,   427,  3137,   352,
     307,   427,   145,   307,  3143,  3144,  3145,  3146,  3147,  3148,
     207,   427,   427,  4002,  3153,  4004,   426,    66,  3157,   427,
     427,   427,    96,  3931,   361,   191,   427,   425,   191,   425,
     195,   395,   392,   145,   427,  4240,   176,   426,   235,   430,
      71,   427,   166,   427,   344,   430,   170,   430,  3153,   316,
     155,   248,   150,   426,   352,   191,  3306,  3196,  3197,  3198,
    3199,  3166,  3167,   191,   191,   191,   150,   191,   192,   285,
     427,   426,  3177,    48,   390,   427,   390,   166,   194,   427,
     430,   170,  4287,   207,   427,   426,   254,  3231,   194,    48,
    4295,  3196,   426,   160,   242,   427,    22,    23,   427,   430,
     352,    27,   191,   192,  3204,    31,    32,    33,   232,    35,
     150,   235,    38,    39,   413,    41,     8,    43,   207,    11,
     392,    66,  3261,  3895,   248,   175,   323,   251,   361,  3407,
    3260,  3260,   413,  3411,  3711,   237,   237,   430,  3443,   430,
     352,   134,  3966,  3720,    36,   191,   235,  3791,   110,   237,
      42,   425,   152,   150,   374,   316,   374,    31,   121,   248,
    3737,  3738,  3193,   388,    96,   392,   426,   150,   392,   426,
     178,   249,   150,   426,    66,   426,   285,   379,   329,  4087,
    3319,  3212,  3826,   427,   427,   426,   426,   194,   391,   262,
     427,   427,   246,   286,   352,   427,   426,   426,  3303,   323,
     392,   145,    31,  3234,   237,   217,   173,   426,   133,   250,
     427,    48,   304,   304,    48,   426,   413,   414,   415,  4228,
     417,   418,   419,   420,   421,   422,   252,   374,   426,   230,
     246,   344,   140,   277,   323,    60,   128,    60,   249,  3383,
     116,   378,   285,    31,   379,   150,   172,   173,   174,   175,
     430,   177,   178,   283,   180,   389,   182,     0,   184,   145,
     392,   121,   188,   175,   190,   246,   246,    31,   194,   426,
     196,  3521,   249,   249,   166,   427,   426,  3407,   170,    48,
     303,  3411,   427,  3533,   108,  3711,   372,   426,   303,   413,
     414,   415,    17,   417,   418,   419,   420,   421,   422,   191,
     192,  3440,    28,   133,   277,   426,   430,  2067,  1293,   697,
    1101,  3737,  3738,  2371,  1929,   207,  2517,  3076,  3465,  1988,
    3450,  3450,  3459,  3848,   756,   414,   415,  2659,   417,   418,
     419,   420,   421,   422,  3590,  4012,  3656,  3885,  3890,  3253,
      83,  3630,  3486,   235,  3894,  2442,  2163,  4176,  3790,  3926,
    3285,  4227,  4132,  4131,  3459,  4191,   248,  4035,  3293,  3294,
    2446,  3657,  3217,  3394,  3395,  3396,  3397,  2058,  2058,  2537,
    3514,  3072,  1389,  3222,  3511,  2726,  3224,  4099,  2053,  4232,
      21,  4295,  3526,  2680,  4287,  2665,   129,  4198,  3828,  1381,
    4110,  4184,  3831,    26,  3306,  1892,  4059,   957,   141,  3972,
    3262,  3264,   145,   552,  2616,  4210,  3511,   150,  4289,  4027,
    4012,   676,   155,  1758,  1757,   158,  1466,   160,  2385,  3524,
    3525,  3246,  3451,  2989,  3529,  3530,  3570,    68,   689,  2386,
    1794,   323,  1146,  1145,  2398,  1793,  2392,  1148,  1777,  3578,
    3579,  2412,  1127,  2404,   187,  2935,  3413,  3953,  2990,  3699,
     681,  4095,  3552,  3592,  2034,  2900,    97,  3596,  3929,  3598,
    2892,  4163,  3601,  3602,  4164,   208,  3566,  2323,  1152,  4167,
    2389,  2321,  2231,  2985,  3752,  3612,  1633,   118,  3764,  3757,
      -1,    -1,  3760,    -1,    -1,    -1,  3791,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3926,   244,    -1,    -1,    -1,    -1,   147,  3612,    -1,   252,
      -1,   152,  3790,  3652,    -1,    -1,  3821,    -1,    -1,    -1,
      -1,  3826,    -1,    -1,    -1,   417,   418,   419,   420,   421,
     422,    -1,    -1,    -1,  3784,    -1,  3786,    50,    -1,    -1,
    3679,    -1,    -1,    -1,    -1,    -1,    -1,  3825,    -1,  3484,
      -1,    -1,    -1,    -1,   297,  3655,    -1,   198,    -1,    -1,
      -1,  3700,  3701,  3702,  3703,    -1,    -1,    -1,    -1,    82,
      -1,  3715,    -1,    21,    -1,    -1,    -1,    -1,   504,    -1,
    3515,  3516,    -1,   509,  3862,   511,    -1,    -1,   514,    -1,
     516,    -1,   518,    -1,    -1,    -1,    -1,    -1,   524,   342,
      -1,   527,    -1,    -1,    -1,    -1,    54,    -1,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,
      -1,    -1,  3752,   366,   137,    -1,  3904,  3757,    -1,   555,
    3760,    -1,    80,    -1,   560,   276,  3571,  3572,   564,    -1,
      -1,   567,    -1,    -1,    -1,    -1,   389,    -1,   391,   392,
      -1,    -1,  3683,    -1,    -1,   168,   582,    -1,    -1,    -1,
     301,    -1,    -1,    -1,    -1,    -1,   307,    -1,    -1,    -1,
     118,    -1,   313,    -1,  3952,    -1,    -1,    -1,    -1,    -1,
      -1,   424,  3821,    -1,   427,   428,   429,    -1,    -1,    -1,
     203,    -1,  3792,  3793,  3794,    -1,  3777,    -1,    -1,   147,
      -1,   342,   628,   344,   152,    -1,  3845,    -1,    -1,    -1,
    3849,    -1,   638,   639,    -1,    -1,  3821,    -1,    -1,   232,
     361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   657,    -1,   659,   660,    -1,    -1,    -1,   664,    -1,
      -1,    -1,    -1,    -1,    -1,   386,   259,  3877,  3877,    -1,
    3685,   677,  3687,  3688,    -1,   681,    -1,    -1,    -1,    -1,
      -1,   687,    -1,  3698,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   698,    -1,    18,    -1,    -1,   290,    -1,    -1,
      24,   294,    -1,  3927,   710,   298,    -1,    -1,    -1,    -1,
    4095,   304,    -1,    -1,    -1,    -1,    -1,    -1,   311,    -1,
     248,    -1,    -1,  3903,    -1,    -1,   319,    -1,     0,    -1,
      -1,    -1,    -1,  3957,    -1,   328,    -1,    -1,    -1,    -1,
      64,    -1,  3952,   336,    -1,    -1,   752,    -1,   276,    -1,
      -1,    -1,    -1,    -1,  3865,    -1,    -1,    -1,    -1,   765,
     766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3994,    -1,    -1,    -1,  3998,  3999,    -1,    -1,    -1,   307,
      -1,  4139,    -1,    -1,  3895,   313,    -1,    -1,   316,   113,
      -1,  4149,    -1,  4012,   387,    -1,   120,    -1,    -1,   123,
     806,  3981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     816,    83,    -1,   819,   342,    -1,    -1,    -1,    -1,    -1,
     348,  4179,    -1,  4003,    -1,  4005,   832,    -1,    -1,    -1,
      -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,  4169,
     846,    -1,    -1,    -1,    -1,    -1,   852,   853,    -1,    -1,
      -1,   175,    -1,    -1,    -1,    -1,    -1,   129,   386,    -1,
     866,   867,   868,   869,    -1,   871,    -1,    -1,    -1,   141,
      -1,    -1,    -1,   145,  3985,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,   155,    -1,    -1,   158,    -1,   160,    -1,
     896,   897,   898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3920,   230,    -1,   232,    -1,
      -1,    -1,    -1,  4093,   920,   187,    -1,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   250,    -1,    -1,    -1,
      -1,    -1,    -1,  4291,    -1,   259,   208,    -1,    -1,     8,
      -1,    -1,    11,    -1,   950,   951,    -1,    -1,    -1,   955,
      -1,   957,    -1,    -1,    -1,  4135,    -1,    -1,    -1,  3974,
      -1,    -1,    -1,    -1,    -1,    -1,   290,    36,   974,    -1,
     294,   977,   244,    42,   980,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,   993,    -1,    -1,
      -1,    -1,  4007,    -1,  4245,   319,    -1,    66,    -1,    -1,
    4210,  4210,  4210,  4210,  4210,  4210,    -1,  4187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,    -1,    -1,
      -1,  4240,    -1,    18,    -1,   297,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,  4245,  4245,  4245,  4245,  4245,
    4245,    -1,    -1,    -1,  1050,  1051,    -1,  1053,    -1,  4229,
      -1,    -1,    -1,   377,    -1,  4240,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,  1070,    -1,    -1,    -1,  4287,    64,
     342,    -1,    -1,    -1,    -1,    -1,  4295,    -1,    28,  4289,
    4289,  4289,  4289,  4289,  4289,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,   366,    -1,    -1,   166,    -1,    -1,
    1106,   170,  4287,  1109,    -1,    -1,    -1,    -1,    -1,    -1,
    4295,    -1,    -1,    -1,    -1,    -1,    66,   389,   113,   391,
     392,    -1,   191,   192,    -1,   120,    -1,    -1,   123,    -1,
      -1,    -1,  1138,    -1,    -1,    -1,  1142,  1143,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1152,  1153,  1154,    -1,
      -1,    -1,   424,    -1,    -1,   427,   428,   429,    -1,    -1,
      -1,    -1,    -1,   232,  1170,    -1,   235,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,   248,
     175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1202,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,  4222,  1214,  1215,
      -1,    -1,    -1,    -1,    -1,  1221,   166,    -1,  1224,    -1,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,   230,  1242,   232,    -1,    -1,
      -1,   191,   192,  1249,    -1,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,   323,   250,    -1,   207,    -1,    -1,
      -1,    -1,    -1,  1269,   259,    -1,    -1,    -1,    -1,    -1,
      -1,  1277,  1278,  1279,  1280,  1281,    -1,    -1,    -1,    -1,
      -1,    -1,   232,    -1,    -1,   235,  1292,    -1,    -1,  1295,
      -1,    -1,   128,    -1,    -1,   290,    -1,    -1,   248,   294,
    1306,   251,  1308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1316,  1317,    -1,    -1,    -1,    -1,  1322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   319,    -1,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,  1368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   207,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   377,    -1,    -1,    -1,  1392,  1393,  1394,  1395,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,  1411,    -1,    -1,    -1,    -1,
      -1,    -1,   248,    -1,  1420,    -1,    -1,    -1,    -1,    -1,
      -1,  1427,    -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1439,    -1,    -1,    -1,    -1,  1444,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1453,    -1,    -1,
      -1,    -1,    -1,  1459,  1460,    -1,    -1,    -1,  1464,    -1,
      -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,     8,    -1,    -1,    11,    -1,
     430,    -1,    -1,  1489,    -1,    -1,    -1,   323,    -1,    -1,
    1496,    -1,  1498,    -1,    -1,    28,  1502,  1503,    -1,  1505,
      -1,    -1,    -1,    36,    -1,  1511,    -1,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1524,  1525,
      -1,    -1,  1528,    -1,    -1,    -1,  1532,    -1,  1534,    -1,
      -1,    -1,    -1,    66,    -1,  1541,    -1,    -1,  1544,    -1,
       3,    -1,  1548,    -1,    -1,     8,    -1,    -1,    11,    -1,
    1556,  1557,    -1,    -1,    -1,    -1,    -1,    -1,  1564,    -1,
    1566,  1567,  1568,  1569,  1570,    28,    -1,    -1,    31,    -1,
      -1,  1577,  1578,    36,  1580,    -1,  1582,  1583,    -1,    42,
    1586,   417,   418,   419,   420,   421,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1603,    -1,    -1,
      -1,  1607,  1608,    66,    -1,    -1,  1612,    -1,    -1,    -1,
    1616,    -1,  1618,  1619,  1620,  1621,  1622,  1623,  1624,  1625,
    1626,     8,  1628,    -1,    11,    -1,  1632,  1633,    -1,  1635,
      -1,    -1,    -1,   166,    -1,  1641,    -1,   170,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,   191,   192,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,   207,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,   232,
      -1,    -1,   235,   166,    -1,    -1,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,   251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   128,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,
    1756,    -1,  1758,    -1,  1760,    -1,    -1,    -1,   128,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    18,   232,
      -1,    -1,   235,    -1,    24,    -1,    -1,    -1,    -1,   166,
      -1,    28,    -1,   170,    -1,   248,    -1,    -1,   251,    36,
     323,  1797,    -1,  1799,    -1,    42,   166,    -1,    -1,    -1,
     170,    -1,    -1,    -1,   191,   192,    -1,    -1,  1814,    -1,
      -1,    -1,    -1,  1819,    64,  1821,    -1,    -1,    -1,    66,
     207,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      -1,    -1,  1838,    -1,    -1,    24,    -1,   207,  1844,    -1,
    1846,  1847,  1848,    -1,  1850,  1851,    -1,  1853,   235,  1855,
      -1,  1857,  1858,    -1,    -1,  1861,    -1,    -1,    -1,    -1,
     323,   248,    -1,   113,    -1,   235,    -1,    -1,    -1,    -1,
     120,    -1,    -1,   123,  1880,    64,    -1,    -1,   248,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,    -1,    -1,  1899,   427,    -1,    -1,    -1,    -1,  1905,
      -1,    -1,    -1,    -1,  1910,    -1,    -1,    -1,    -1,    -1,
    1916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,
      -1,    -1,    -1,   170,   113,   175,  1932,  1933,    -1,    -1,
      -1,   120,    -1,  1939,   123,    -1,   323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   191,   192,    -1,    -1,  1954,    -1,
     413,   414,   415,   323,   417,   418,   419,   420,   421,   422,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1980,    -1,  1982,  1983,    -1,    -1,
     230,    -1,   232,    -1,    -1,   232,   175,    -1,   235,    -1,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     250,   248,    -1,    -1,  2010,    -1,    -1,    -1,    -1,   259,
      -1,    -1,  2018,  2019,  2020,  2021,  2022,  2023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2033,    -1,    -1,
     417,   418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,
     290,   230,    -1,   232,   294,    -1,    -1,   417,   418,   419,
     420,   421,   422,   242,  2060,    -1,    -1,    -1,  2064,  2065,
      -1,   250,    -1,  2069,     8,    -1,    -1,    11,    -1,   319,
     259,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,
      -1,    -1,    18,    -1,    28,    -1,    -1,    -1,    24,  2095,
      -1,    -1,    36,    -1,    -1,    -1,  2102,  2103,    42,    -1,
      -1,   290,    -1,    -1,    -1,   294,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2127,    66,  2129,  2130,  2131,  2132,   377,    64,    -1,
     319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,    -1,   113,    -1,    -1,
      -1,    -1,    -1,    -1,   120,    -1,    -1,   123,   377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2207,    -1,    -1,    -1,    -1,  2212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2222,    -1,    -1,    -1,
      -1,    -1,   166,  2229,  2230,    -1,   170,    -1,    -1,  2235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,
      -1,    -1,    -1,    -1,  2260,  2261,    -1,    -1,    -1,  2265,
      -1,    -1,    -1,   207,    -1,    -1,    31,    -1,    -1,    -1,
      -1,  2277,  2278,  2279,  2280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2290,    50,    -1,  2293,   232,  2295,
    2296,   235,    -1,    -1,   230,    -1,   232,    -1,    -1,  2305,
    2306,    -1,    18,  2309,   248,    -1,   242,   251,    24,    -1,
      -1,    -1,    -1,     0,   250,    -1,  2322,    82,  2324,    -1,
    2326,    -1,  2328,   259,    -1,    -1,    -1,    14,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,  2344,    26,
      27,    -1,  2348,    -1,    -1,    -1,    -1,    -1,    64,  2355,
      -1,  2357,  2358,  2359,    41,    -1,    -1,    -1,   294,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2374,    -1,
      -1,    -1,   137,    -1,    61,    -1,    63,    64,    -1,   323,
    2386,    -1,    69,   319,    71,  2391,    -1,    -1,    -1,  2395,
      -1,    -1,  2398,    -1,    81,    -1,    83,   113,  2404,    -1,
      -1,  2407,    -1,   168,   120,  2411,    -1,   123,    -1,    -1,
      -1,    -1,    99,    -1,    -1,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,   116,
      -1,    -1,   197,   120,    -1,  2441,    -1,  2443,   203,   126,
      -1,   377,  2448,    -1,    -1,    -1,   133,    -1,   135,    -1,
      -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,   175,
      -1,    -1,    -1,  2469,    -1,  2471,  2472,   232,   155,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    21,
      -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,   230,    -1,   232,    -1,    -1,    -1,
      -1,    -1,   209,   210,    -1,    67,   242,    -1,   215,   294,
      -1,    -1,    -1,   298,   250,    -1,   223,    -1,    80,   304,
      -1,    -1,    -1,   259,    -1,    -1,   311,   234,    -1,    -1,
      -1,    -1,    -1,     8,   319,    97,    11,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    28,   290,    -1,   118,    -1,   294,    -1,
      -1,    36,    -1,    -1,   271,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,   136,   282,    -1,    -1,    -1,    -1,
     287,    -1,   289,   319,    -1,   147,    -1,   294,    -1,    -1,
     152,    66,   299,    -1,    -1,   302,   158,    -1,    -1,   306,
      -1,    -1,   387,    -1,   311,   312,   391,    -1,    -1,    -1,
      -1,   173,   319,    -1,    -1,   322,  2642,  2643,    -1,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,    -1,
      -1,   377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   369,    -1,    -1,    -1,    -1,    -1,   375,    -1,
      -1,    -1,    -1,   380,  2700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,   248,    -1,    -1,    -1,
      -1,   166,    -1,    -1,    -1,   170,   258,    -1,  2724,  2725,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2733,    -1,    -1,
      -1,  2737,    -1,    -1,   276,    -1,   191,   192,    -1,   426,
      -1,    -1,   429,    -1,    -1,  2751,    -1,    -1,    -1,    -1,
      -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,   301,
      -1,    -1,    -1,   305,    -1,   307,    -1,    -1,    -1,    -1,
      31,   313,    -1,  2779,   316,    -1,  2782,   232,    -1,    -1,
     235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    50,
    2796,    -1,    -1,   248,    -1,    -1,   251,    -1,    -1,    -1,
     342,    -1,   344,    -1,    -1,    -1,   348,    -1,    -1,  2815,
      -1,    -1,     8,    -1,   356,    11,    -1,  2823,    -1,   361,
      -1,    82,    -1,    -1,    -1,  2831,    -1,    -1,    -1,    -1,
      -1,   373,    -1,    -1,    -1,  2841,    -1,    -1,    -1,    -1,
      36,  2847,    -1,  2849,   386,    -1,    42,    -1,    -1,  2855,
      -1,    -1,  2858,  2859,  2860,  2861,  2862,  2863,  2864,  2865,
    2866,  2867,    -1,    -1,    -1,  2871,  2872,    -1,   323,    -1,
      66,    -1,    -1,    -1,    -1,    -1,   137,    -1,  2884,    -1,
       8,    -1,  2888,    11,    -1,    -1,  2892,    18,    -1,    -1,
      -1,    -1,    -1,    24,    -1,    -1,  2902,    -1,    -1,  2905,
      28,  2907,    -1,    -1,    -1,    -1,    -1,   168,    36,    -1,
    2916,  2917,  2918,    -1,    42,    -1,  2922,    -1,    -1,  2925,
      -1,    -1,    -1,    -1,    -1,    -1,  2932,  2933,  2934,  2935,
    2936,    -1,   128,    64,  2940,  2941,   197,    -1,    66,  2945,
      -1,    -1,   203,    -1,    -1,  2951,    -1,  2953,    -1,  2955,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,    -1,    -1,
     166,   232,   427,  2979,   170,    -1,    -1,    -1,    -1,  2985,
      -1,    -1,   113,  2989,    -1,  2991,    -1,    -1,    -1,   120,
      -1,    -1,   123,    -1,    -1,   191,   192,    -1,    -1,    -1,
    3006,  3007,  3008,    -1,  3010,    -1,    -1,    -1,    -1,    -1,
      -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,  3024,  3025,
    3026,  3027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,    -1,    -1,    -1,   298,   166,   235,
      -1,    -1,   170,   304,   175,    -1,    -1,    -1,    -1,    -1,
     311,    -1,   248,    -1,    -1,    -1,  3062,    -1,   319,    -1,
      -1,    -1,    -1,   191,   192,    -1,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,    -1,   207,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     180,   181,    -1,    -1,    -1,    -1,   186,    -1,    -1,   230,
      -1,   232,    -1,    -1,   232,   195,    -1,   235,    -1,    -1,
      -1,   242,     8,    -1,    -1,    11,    -1,    -1,    -1,   250,
     248,  3127,    -1,   251,    -1,    -1,   387,   323,   259,    -1,
     391,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,
      -1,    -1,    -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3193,   319,    -1,
      -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,  3204,    -1,
    3206,    -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3224,    -1,
      -1,   417,   418,   419,   420,   421,   422,    -1,  3234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3243,    -1,    -1,
      -1,    -1,    -1,  3249,    -1,    -1,   377,  3253,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3265,
    3266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3288,    -1,  3290,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   191,   192,    -1,    -1,   427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,   207,    11,    -1,    -1,    18,  3322,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   232,    36,    -1,   235,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,  3359,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    64,    -1,  3369,  3370,    -1,    -1,    66,    -1,    -1,
      -1,  3377,  3378,    -1,    -1,    -1,  3382,    -1,    -1,    -1,
      -1,    -1,  3388,  3389,    -1,    -1,  3392,    -1,  3394,  3395,
    3396,  3397,    -1,    -1,    -1,  3401,     8,    -1,  3404,    11,
      -1,  3407,    -1,    -1,    -1,  3411,    -1,    -1,    -1,    -1,
     113,  3417,    -1,    -1,  3420,    -1,    28,   120,    -1,  3425,
     123,   511,    -1,    -1,    36,  3431,    -1,   323,    -1,   128,
      42,  3437,   522,    -1,    -1,    -1,   526,  3443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3451,    -1,   537,    -1,  3455,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,  3465,
      -1,   551,  3468,    -1,    -1,   555,    -1,   166,    -1,    -1,
      -1,   170,   175,    -1,   564,   565,    -1,    -1,    -1,   569,
      -1,    -1,  3488,  3489,    -1,    -1,    -1,    -1,    -1,   579,
      -1,    -1,   191,   192,    -1,    -1,    -1,   587,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3512,    -1,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   230,    -1,   232,
      -1,   427,    -1,    -1,    -1,    -1,   235,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,    -1,  3552,   250,    -1,   248,
      -1,    -1,    -1,    -1,   166,    -1,   259,    -1,   170,    -1,
    3566,    -1,    -1,    -1,    -1,    -1,    -1,   657,    -1,    -1,
      -1,    -1,   662,    -1,    -1,    -1,    -1,    -1,    -1,   191,
     192,    -1,    -1,    -1,    -1,    -1,    -1,   290,    -1,    -1,
      -1,   294,    -1,    -1,  3600,   207,    -1,   687,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    21,    -1,    -1,   319,    -1,    -1,    -1,
     232,    -1,  3628,   235,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3655,
    3656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,   377,    -1,    -1,  3683,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3711,    -1,    -1,    -1,    -1,
     118,   323,    -1,    -1,  3720,    -1,   806,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,   816,    -1,   136,    -1,
      -1,  3737,  3738,    -1,    -1,  3741,    -1,    -1,    -1,   147,
      -1,    -1,  3748,    -1,   152,    -1,  3752,    -1,   838,    -1,
     158,  3757,    -1,    -1,  3760,  3761,    -1,  3763,    -1,  3765,
    3766,    -1,    -1,    -1,    -1,   173,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   871,    -1,    -1,  3790,  3791,  3792,  3793,  3794,    -1,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   901,    -1,    -1,    -1,   427,    -1,    -1,    -1,  3825,
    3826,    -1,    -1,    -1,    -1,    -1,   916,    -1,    -1,    -1,
     920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   928,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3856,     8,    -1,    -1,    11,    -1,  3862,    -1,    -1,  3865,
      -1,    -1,    -1,    -1,    -1,    -1,   956,    -1,   276,    -1,
    3876,    28,  3878,    -1,   964,    -1,   966,    -1,    -1,    36,
      -1,    -1,    -1,    -1,  3890,    42,    -1,    -1,   978,  3895,
      -1,   981,    -1,   301,    -1,    -1,    -1,  3903,  3904,   307,
      -1,    -1,    -1,   993,    -1,   313,    -1,    -1,   316,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3926,    -1,    -1,  3929,    -1,  3931,    -1,    -1,    -1,    -1,
      -1,    -1,  1022,    -1,   342,    -1,   344,    -1,    -1,    -1,
     348,    -1,  3948,    -1,    -1,    -1,  3952,    -1,   356,  3955,
      -1,    -1,    -1,   361,    -1,  3961,    -1,    -1,    -1,    -1,
    1050,  1051,    -1,  1053,    -1,   373,    18,    -1,    -1,    -1,
      -1,    -1,    24,    -1,    -1,  3981,    -1,    -1,   386,  3985,
    1070,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,  4002,  4003,  4004,  4005,
      -1,    -1,  1092,    -1,    -1,     8,    -1,    28,    11,   166,
    1100,  1101,    64,   170,    -1,    36,    -1,    -1,    -1,  1109,
    1110,    42,    -1,    -1,    -1,    28,  4032,    -1,    -1,    -1,
      -1,    -1,    -1,    36,   191,   192,    -1,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,  1138,    -1,
     207,    -1,  1142,  1143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    66,    -1,    -1,    -1,  1157,   120,    -1,
      -1,   123,    -1,  1163,    -1,   232,    -1,    -1,   235,    -1,
      -1,  4087,    -1,    -1,    -1,    -1,    -1,  4093,    -1,  4095,
      -1,   248,    -1,    -1,   251,    -1,    -1,    -1,  4104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1210,    -1,    -1,   175,    -1,    -1,    -1,    -1,    -1,  4135,
      -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4149,    -1,   166,    -1,    -1,     8,   170,
    1240,    11,    -1,    -1,    -1,    -1,    -1,  4163,    -1,    -1,
    4166,  4167,    -1,   166,    -1,    -1,   323,   170,    28,    -1,
     191,   192,    -1,  4179,    -1,    -1,    36,    -1,   230,    -1,
     232,  4187,    42,    -1,    -1,    -1,   207,    -1,   191,   192,
     242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   250,    -1,
    1290,    -1,    -1,    -1,   207,    -1,    66,   259,  4214,    -1,
      -1,   232,    -1,    -1,   235,    -1,    -1,    -1,  4224,    -1,
    1310,    -1,    -1,  4229,    -1,    -1,    -1,   248,    -1,   232,
     251,    -1,   235,    -1,    -1,    -1,    -1,    -1,   290,  1329,
      -1,    -1,   294,    -1,    -1,   248,    -1,    -1,   251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   413,   414,   415,  1349,
     417,   418,   419,   420,   421,   422,    -1,   319,    -1,    -1,
     427,    -1,    -1,    -1,    -1,    -1,  4282,     8,    -1,  1369,
      11,    -1,    -1,    -1,  1374,  4291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1386,    28,    -1,    -1,
      -1,    -1,   323,    -1,    -1,    36,   166,    -1,    -1,    -1,
     170,    42,  1402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,   377,    -1,    -1,    -1,    -1,
    1420,   191,   192,    -1,    -1,    66,  1426,    -1,    -1,  1429,
      -1,  1431,  1432,    -1,    -1,    -1,    -1,   207,    -1,    -1,
      -1,    -1,  1442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1454,  1455,    -1,    -1,    -1,    -1,
      -1,    -1,   232,    -1,    -1,   235,  1466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   838,    -1,    -1,    -1,   248,    -1,
      -1,   251,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,    -1,    -1,    -1,    -1,   427,    -1,  1498,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,    -1,    -1,    -1,   427,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,
      -1,    -1,  1532,    -1,  1534,    -1,    -1,    -1,    28,    -1,
      -1,  1541,    -1,    -1,  1544,    -1,    36,    -1,  1548,    -1,
     191,   192,    42,   323,    -1,    -1,  1556,  1557,    -1,    -1,
      -1,    -1,    -1,    -1,  1564,    -1,   207,  1567,  1568,  1569,
    1570,    -1,    -1,    -1,    -1,    -1,    66,  1577,  1578,    -1,
    1580,    -1,  1582,  1583,    -1,    -1,  1586,    -1,    -1,    -1,
      -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
     964,    -1,  1602,  1603,  1604,    -1,    -1,   248,  1608,    -1,
     251,    -1,  1612,    -1,    -1,    -1,  1616,    -1,  1618,  1619,
    1620,  1621,  1622,  1623,  1624,  1625,  1626,    -1,  1628,    -1,
      -1,    -1,    -1,  1633,    -1,  1635,    -1,    -1,     8,    -1,
      -1,    11,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,    -1,   427,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,   166,    -1,    -1,    -1,
     170,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,
    1760,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,    -1,    -1,    -1,    -1,   427,    -1,    -1,    -1,
      -1,    -1,    -1,  1157,    -1,    -1,   166,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,  1805,    -1,    -1,    -1,  1809,
    1810,    -1,    -1,  1813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,    -1,  1835,    -1,   207,  1838,    -1,
       8,    -1,    -1,    11,  1844,    -1,  1210,    -1,    -1,    -1,
    1850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,   232,    -1,    -1,   235,    -1,    -1,    36,  1869,
      -1,    -1,    -1,    -1,    42,    -1,  1240,    -1,   248,    -1,
      -1,   251,    -1,    -1,    -1,    -1,  1886,    -1,    -1,    -1,
      -1,  1891,  1892,    -1,    -1,    -1,  1896,  1897,    66,    -1,
      -1,    -1,    -1,  1903,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1919,
    1920,    -1,  1922,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,    -1,   427,    -1,    -1,
    1940,    -1,    -1,  1943,    -1,    -1,  1310,    -1,    -1,    -1,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1961,    -1,    -1,    -1,  1329,    -1,    -1,    -1,    -1,
      -1,  1971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1984,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1993,    -1,    -1,    -1,    -1,   166,    -1,
       8,    -1,   170,    11,    -1,    -1,    -1,    -1,    -1,    -1,
    1374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,   191,   192,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,  2033,    42,  2035,    -1,    -1,    -1,   207,
      -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,    -1,   427,    66,    -1,
      -1,    -1,  1426,    -1,   232,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     248,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,
      -1,    -1,  2112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,   145,    -1,    11,
      -1,    -1,   150,    -1,    -1,    -1,  2146,    -1,    -1,    -1,
      -1,  2151,    -1,    -1,    -1,   323,    28,    -1,   166,    -1,
      32,    -1,   170,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2181,   838,   191,   192,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2193,    66,    -1,    -1,    -1,    -1,   207,
      -1,    -1,    -1,  2203,    -1,    -1,    -1,  2207,    -1,    -1,
      -1,    -1,  2212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   232,    -1,    -1,   235,    -1,  2229,
    2230,    -1,    -1,    -1,    -1,  2235,    -1,    -1,  1602,   111,
     248,    -1,    -1,   251,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,   425,    -1,    -1,
    2260,  2261,    -1,    -1,    -1,  2265,    -1,    -1,    -1,    -1,
      -1,  1635,    -1,    -1,    -1,    -1,    -1,  2277,  2278,  2279,
    2280,    -1,    -1,    -1,    -1,  2285,    -1,    -1,    -1,    -1,
    2290,  2291,    -1,  2293,   166,  2295,    -1,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,  2305,  2306,    -1,   964,  2309,
      -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,   191,
     192,    -1,  2322,    -1,  2324,    -1,    -1,    -1,  2328,    -1,
      -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2344,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2355,    -1,  2357,  2358,  2359,
     232,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2371,    -1,    -1,  2374,    -1,   248,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,  2386,    -1,    -1,    -1,
      -1,  2391,    -1,    -1,    -1,    -1,    -1,    -1,  2398,    -1,
      -1,    -1,    -1,    -1,  2404,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,    -1,
    2420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2435,  2436,    -1,    -1,  1095,
      -1,  2441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2461,    -1,    -1,  2464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    13,    -1,    -1,    -1,    -1,    -1,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
      -1,  1157,   374,    -1,  2504,  2505,    -1,  2507,    -1,    -1,
      -1,    -1,    -1,    -1,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1886,    -1,    -1,    -1,    -1,  1891,  1892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2536,  2537,  2538,  1903,
      -1,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,    -1,    -1,    -1,  1210,  2555,    -1,    -1,    -1,  2559,
      -1,  2561,  2562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2572,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2614,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2632,    -1,    -1,    -1,    -1,    -1,  2638,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1310,   187,    -1,   189,    -1,   191,
    2660,   193,    -1,  2663,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2035,    -1,  1329,    -1,    -1,    -1,    -1,    -1,    -1,
    2680,  2681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1349,  2694,    -1,  2696,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2706,    -1,  2708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1374,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,  2744,  2109,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,    -1,    -1,  2757,  2758,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2769,
    1426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,  2785,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2796,    -1,    -1,  2799,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2814,    -1,    -1,  2817,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,
      -1,  2831,    -1,    -1,  2834,    -1,    -1,    -1,    -1,    -1,
      -1,  2841,    -1,    -1,    -1,    -1,    -1,  2847,    -1,  2849,
      -1,    -1,    -1,    -1,  2854,  2855,    -1,    -1,  2858,  2859,
    2860,  2861,  2862,  2863,  2864,  2865,  2866,  2867,    -1,    -1,
      -1,  2871,  2872,    -1,    -1,    -1,    -1,    -1,   166,  2879,
      -1,    -1,   170,    -1,  2884,    -1,    -1,    -1,  2888,    -1,
    2890,    -1,  2892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2902,   191,   192,  2905,    -1,  2907,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2915,  2916,  2917,  2918,   207,
      -1,    -1,  2922,     8,    -1,  2925,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2935,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,   232,  2945,  1602,   235,    -1,    -1,
      -1,    36,    -1,  2953,    -1,  2955,    -1,    42,    -1,    -1,
     248,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2979,
     512,    66,   270,    -1,    -1,  2985,    -1,   519,    -1,    -1,
      -1,  2991,    -1,  2357,  2358,  2359,   528,   529,    -1,    -1,
      -1,   533,    -1,    -1,    -1,    -1,  3006,    -1,    -1,    -1,
      -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3033,    -1,   323,    -1,    -1,   570,    -1,
      -1,   573,    -1,   575,    -1,   577,    -1,    -1,    -1,   337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3072,    -1,    -1,    -1,  3076,  3077,  3078,    -1,
      -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2464,    -1,   634,    -1,   636,    -1,   191,   192,    -1,    -1,
    3110,    -1,    -1,  3113,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   207,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,    -1,
    2504,  2505,    -1,  2507,    -1,    -1,    -1,   232,    -1,    -1,
     235,    -1,    -1,  3153,    -1,    -1,    -1,   689,    -1,    -1,
      -1,    -1,    -1,   248,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2559,    -1,  2561,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3227,  3228,    -1,
    1886,  3231,    -1,    -1,    -1,  1891,  1892,    -1,   323,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,  1903,    -1,    -1,
    2614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    31,   795,  3264,  3265,  3266,    36,    -1,    -1,
      -1,    -1,    -1,    42,  2638,    -1,    -1,    -1,   810,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   821,
      -1,    -1,    -1,    -1,    -1,    -1,   828,    66,    -1,  2663,
      -1,    -1,    -1,    -1,    -1,    -1,  3306,    -1,   840,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2681,     8,    -1,
      -1,    11,  3322,    -1,    -1,    -1,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,    28,    -1,
     872,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,  3359,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3369,
    3370,    -1,  3372,    -1,    -1,    -1,    66,  3377,  3378,  2035,
    2744,    -1,  3382,  3383,    -1,    -1,    -1,    -1,  3388,  3389,
      -1,    -1,  3392,    -1,  2758,    -1,    -1,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,  2769,    -1,  3407,    -1,    -1,
      -1,  3411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3420,    -1,   191,   192,    -1,  3425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,  3437,   207,    -1,
      -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     195,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,   235,    -1,  3468,    -1,
    2834,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,   248,
     170,    -1,   251,    -1,    -1,    -1,  3486,    -1,    -1,    -1,
    2854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,   192,    -1,    -1,  3505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3514,  2879,    -1,   207,    -1,    -1,
      -1,  3521,    -1,    -1,    -1,    -1,  3526,    -1,    -1,    -1,
      -1,    -1,    -1,  3533,    -1,    -1,    -1,  2193,    -1,    -1,
      -1,    -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,  2915,    -1,    -1,   323,    -1,    -1,    -1,   248,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3570,    -1,    -1,    -1,    -1,   265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3590,  2955,  3592,    -1,    -1,  1127,  1128,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3628,    -1,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,  1188,    -1,    -1,    28,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
    3680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,  3699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3711,    -1,  3077,    -1,  3715,    -1,    -1,    -1,    -1,
    3720,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,    -1,  3737,  3738,    -1,
      -1,  3741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3752,   181,    -1,    -1,    -1,  3757,   186,    -1,
    3760,    -1,    -1,    -1,    -1,  3765,  3766,   195,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   522,    -1,    -1,
      -1,   526,    -1,    -1,  3784,    -1,  3786,    -1,    -1,    -1,
    3790,    -1,   537,    -1,    -1,    -1,    -1,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,   551,    -1,  2464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     565,  3821,   191,   192,   569,  3825,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   579,    -1,    -1,    -1,   207,    -1,
      -1,    -1,   587,    -1,    -1,  1377,    -1,    -1,  2504,  2505,
      -1,  2507,    -1,    -1,    -1,    -1,    -1,    -1,  1390,    -1,
      -1,    -1,  3862,   232,    -1,    -1,   235,  3231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1428,    -1,    -1,    -1,
    3264,    -1,    -1,  2559,  3904,  2561,  3906,    -1,    -1,    -1,
      -1,  1443,    -1,  1445,    -1,  1447,    -1,   662,    -1,    -1,
    1452,    -1,    -1,    -1,    -1,    -1,  3926,  3927,    -1,  3929,
      -1,  3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3948,    -1,
      -1,    -1,  3952,    -1,   323,    -1,    -1,  3957,  2614,    -1,
      -1,    -1,    -1,  1495,    -1,    -1,    -1,  1499,    -1,  1501,
      -1,    -1,  1504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3991,    -1,    -1,  3994,    -1,    -1,    -1,  3998,  3999,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2663,  3372,    -1,
      -1,    -1,  4012,    -1,    -1,    -1,    -1,    -1,    -1,  3383,
      -1,    -1,    -1,    -1,    -1,  2681,    -1,    -1,    -1,    -1,
      -1,    -1,  4032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,  3420,    -1,    -1,  4059,
      -1,  3425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4087,  2744,    -1,
      -1,    -1,    -1,    -1,   522,    -1,    -1,    -1,   526,    -1,
      -1,    -1,  2758,    -1,  4104,    -1,    -1,    -1,    -1,   537,
      -1,    -1,    -1,  2769,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3486,   551,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   565,    -1,  4139,
      -1,   569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,
    3514,   579,    -1,    -1,    -1,    -1,   901,    -1,    -1,   587,
      -1,    -1,  3526,    -1,    -1,    -1,  4166,  4167,    -1,  4169,
      -1,   916,    -1,    -1,    -1,    -1,    -1,    -1,  2834,  4179,
      -1,    -1,    -1,   928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2854,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,    -1,    -1,
      -1,   956,    -1,    -1,  4214,    -1,    -1,    -1,    -1,    -1,
      -1,   966,    -1,  2879,  4224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   978,   662,    -1,   981,    -1,    -1,    -1,
    4240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2915,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1806,  1807,    -1,    -1,    -1,  1811,
    1812,    -1,  4282,  1815,    -1,    -1,    -1,  4287,    -1,    -1,
      -1,  4291,    -1,  1825,    -1,  4295,    -1,    -1,    -1,    -1,
    1832,    -1,    -1,    -1,  1836,  1837,    -1,    -1,  1840,  1841,
    1842,    -1,    -1,    -1,    -1,    -1,  3680,    -1,    -1,    -1,
    1852,    -1,  1854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,  1870,    -1,
      -1,    -1,    -1,  1875,    -1,    -1,    -1,  1092,    -1,    -1,
      -1,  3715,    -1,    28,    -1,  1100,  1101,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,  1110,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,  1906,  1907,  1908,  1909,    -1,    -1,
      -1,  1913,  1914,    -1,    -1,     8,    -1,    -1,    11,  1921,
      -1,    66,  1924,    -1,    -1,    -1,  1928,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    31,    -1,
      -1,    -1,  1944,    36,    -1,    -1,    -1,    -1,  1163,    42,
      -1,  3077,    -1,  1955,    -1,  1957,    -1,    -1,    -1,    -1,
    1962,    -1,    -1,    -1,    -1,  1967,  1968,  1969,  1970,    -1,
    1972,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1985,  1986,  1987,    -1,  3821,    -1,    -1,
      -1,    -1,    -1,    -1,  1996,  1997,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   901,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,   916,    -1,
      -1,   166,    -1,    -1,    -1,   170,    -1,    33,    -1,    -1,
     928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    54,    -1,
      -1,    -1,    -1,    -1,  2056,    -1,    -1,    -1,   956,    -1,
      -1,    67,   207,    -1,    -1,    -1,    -1,    -1,   966,    -1,
      76,    -1,  3906,   166,    80,  1290,    -1,   170,    -1,    -1,
     978,    -1,    -1,   981,    -1,    -1,    -1,   232,    -1,    -1,
     235,    97,    -1,  3927,    -1,    -1,    -1,   103,   191,   192,
      -1,    -1,    -1,   248,    -1,  3231,   251,    -1,    -1,    -1,
      -1,    -1,   118,    -1,   207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3957,    -1,    -1,    -1,    -1,    -1,    -1,
     136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3264,   232,
      -1,   147,   235,    -1,    -1,    -1,    -1,    -1,   154,    -1,
      -1,    -1,   158,    -1,  1369,   248,    -1,    -1,   251,    -1,
    3994,    -1,    -1,    -1,  3998,  3999,    -1,   173,    -1,  2171,
      -1,  1386,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1402,    -1,    -1,
      -1,    -1,    -1,    -1,  1092,    -1,    -1,  2199,    -1,    -1,
      -1,    -1,  1100,  1101,    -1,   211,    -1,    -1,    -1,    -1,
      -1,    -1,  1110,    -1,    -1,    -1,  1431,  1432,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4059,    -1,  1442,    -1,    -1,
     323,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  1454,
    1455,    -1,   248,    -1,    -1,   251,  3372,    -1,    -1,    -1,
      -1,  1466,    28,    -1,    -1,    -1,    -1,  3383,    -1,     8,
      36,    -1,    11,    -1,    -1,  1163,    42,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,    -1,    28,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      66,    -1,    -1,    42,    -1,   301,    -1,    -1,    -1,    -1,
      -1,   307,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,
     316,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,    -1,    -1,    -1,    -1,    -1,   342,    -1,   344,   345,
      -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     356,    -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,
    3486,   367,    -1,    -1,   370,    -1,    -1,   373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     386,    -1,  2384,    -1,    -1,    -1,    -1,    -1,  3514,  1604,
     166,    -1,  1290,    -1,   170,    -1,    -1,    -1,    -1,    -1,
    3526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   191,   192,   166,    -1,  2421,
    2422,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   207,    -1,    -1,    -1,     8,  2438,    -1,    11,    -1,
      -1,    -1,   191,   192,  3570,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,   232,    -1,   207,   235,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,  1369,   248,    -1,    -1,   251,    -1,    -1,    -1,  2481,
    2482,    -1,    -1,   232,  2486,    -1,   235,    -1,  1386,  2491,
    2492,  2493,   657,    66,    -1,    -1,    -1,    -1,    -1,   248,
      -1,    -1,   251,    -1,  1402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   687,    -1,    -1,  2527,  2528,  2529,  2530,    -1,
      -1,    18,    -1,  1431,  1432,    -1,    -1,    24,    -1,    -1,
      -1,    -1,    -1,    -1,  1442,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1454,  1455,    -1,    -1,
      -1,  2563,    49,    -1,    -1,    -1,    -1,    -1,  1466,    -1,
      -1,    -1,    -1,   349,   323,    -1,    -1,    64,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3715,
    1805,    -1,    -1,   166,  1809,  1810,    -1,   170,  1813,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,
    1835,    -1,    -1,  2625,    -1,    -1,   113,    -1,    -1,    -1,
      -1,  2633,    -1,   120,   207,    -1,   123,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1869,    -1,    -1,    -1,    -1,   232,
      -1,    -1,   235,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,   248,    -1,    -1,   251,    -1,
      -1,  1896,  1897,    -1,    -1,   172,    -1,    -1,   175,    -1,
      -1,    -1,    -1,  2695,    -1,  3821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2705,  1919,  1920,  1604,  1922,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1940,    -1,    -1,  1943,    -1,
    2732,   218,  2734,   220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   230,    -1,   232,  1961,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,   242,  1971,    -1,    -1,    -1,
      -1,    -1,    -1,   250,    -1,    -1,    -1,    -1,  2770,  1984,
      -1,   258,   259,    -1,    -1,    -1,    -1,    -1,  1993,    -1,
    3906,    -1,  2784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3927,    -1,   290,    -1,    -1,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   993,    -1,
      -1,  3957,   319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     413,   414,   415,   330,   417,   418,   419,   420,   421,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3994,    -1,
      -1,    -1,  3998,  3999,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1050,  1051,    -1,  1053,    -1,
     377,    -1,    -1,    -1,    -1,    -1,    -1,  2112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1070,    -1,  1805,    -1,    -1,
      -1,  1809,  1810,    -1,    -1,  1813,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2146,    -1,    -1,    -1,    -1,    -1,  1835,    -1,    -1,
      -1,    -1,    -1,    -1,  1109,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,    -1,    -1,
      -1,  1869,    -1,  1138,    -1,    -1,    -1,  1142,  1143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1896,  1897,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3013,    -1,  3015,    -1,    -1,    -1,  3019,    -1,    -1,
      -1,  1919,  1920,    -1,  1922,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1940,    -1,    -1,  1943,    -1,    -1,    -1,  3051,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3060,    -1,
      -1,    -1,    -1,  1961,    -1,    -1,    -1,    -1,    -1,    -1,
    2285,    -1,    -1,  1971,    -1,    -1,  2291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1984,    21,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1993,    -1,    -1,  3100,  3101,
    3102,  3103,  3104,  3105,  3106,    -1,    -1,    -1,    -1,  3111,
    3112,    -1,  3114,  3115,  3116,  3117,  3118,  3119,  3120,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,  3129,    -1,  3131,
    3132,    -1,    -1,    67,    68,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    76,    -1,    -1,    -1,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2371,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3200,  3201,
    3202,    -1,   136,  3205,    -1,  2420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,  2112,    -1,    -1,    -1,   152,    -1,
    2435,  2436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1123,    -1,   838,    -1,    -1,    -1,    -1,   173,
      -1,    -1,    -1,    -1,    -1,    -1,  2461,    -1,  2146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3281,
      -1,    -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3298,  3299,  3300,    -1,
      -1,    -1,    -1,    -1,    -1,  2203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,  2536,  2537,  2538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2555,    -1,   276,    -1,    -1,    -1,    -1,  2562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2572,    -1,    -1,
     964,    -1,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,
      -1,   305,    -1,   307,    -1,    -1,  1541,    -1,    -1,   313,
      -1,    -1,   316,    -1,    -1,    -1,    -1,  2285,    -1,    -1,
      -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,    -1,  1564,
      -1,    -1,  1567,    -1,    -1,  1570,    -1,    -1,   342,    -1,
     344,    -1,  1577,  1578,   348,    -1,    -1,  2632,  1583,    -1,
      -1,  1586,   356,    -1,    -1,    -1,    -1,   361,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1603,    -1,
      -1,    -1,    -1,  1608,    -1,  2660,    -1,  1612,    -1,    -1,
      -1,  1616,   386,  1618,  1619,  1620,  1621,  1622,  1623,  1624,
    1625,  1626,    -1,  1628,   838,  2680,    -1,    -1,  1633,    -1,
    1635,    -1,    -1,  2371,    -1,    -1,    -1,    -1,    18,  2694,
      -1,  2696,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,
      -1,  2706,    -1,  2708,    -1,  3497,  3498,  3499,  3500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3522,  3523,  2420,    -1,    64,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3534,  3535,    -1,    -1,    -1,  2435,  2436,    -1,
      -1,    -1,  2757,    -1,    -1,    -1,    -1,    -1,  3550,  3551,
      -1,  3553,    -1,  1157,    -1,    95,    -1,    -1,    -1,    -1,
      -1,    -1,   838,  2461,    -1,    -1,    -1,    -1,    -1,    -1,
    2785,  1462,    -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,
     120,    -1,    -1,   123,  2799,    -1,    -1,    -1,    -1,    -1,
     964,    -1,    -1,    -1,    -1,  1760,    -1,    -1,    -1,  2814,
      -1,    -1,  2817,    -1,    -1,    -1,  1210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,   175,  1240,    -1,  2536,  2537,
    2538,    -1,    -1,    -1,    -1,    -1,  3648,    -1,  1539,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2555,    -1,    -1,
      -1,    -1,    -1,    -1,  2562,    -1,    -1,    -1,    -1,  3671,
      -1,    -1,  1563,  1838,  2572,  2890,    -1,  1568,   218,    -1,
     220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   964,  3691,
     230,    -1,   232,    -1,    -1,    -1,    -1,  1588,  1589,    -1,
    1591,    -1,   242,    -1,    -1,    -1,  1310,    -1,    -1,    -1,
     250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,
      -1,    -1,    -1,    -1,    -1,  1329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2632,    -1,    -1,    -1,    -1,    -1,
    1631,    -1,    -1,    -1,    -1,  1349,    -1,    -1,  3750,    -1,
     290,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,
      -1,  3763,  2660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1374,    -1,    -1,    -1,    -1,    -1,  1667,    -1,    -1,   319,
      -1,    -1,  2680,  1157,    -1,    -1,    -1,    -1,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,  2694,    -1,  2696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2706,    -1,
    2708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3033,    -1,
      -1,    -1,  1426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3835,    -1,    -1,  1210,   377,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3072,    -1,  2757,
      -1,  3076,    -1,  3078,    -1,    -1,  1240,    -1,  2033,    -1,
      -1,    -1,    -1,  3875,    -1,    -1,    -1,    -1,    -1,  1770,
      -1,  1157,    -1,    -1,    -1,    -1,    -1,  2785,    -1,  1780,
      -1,    -1,  1783,    -1,    -1,  3110,    -1,    -1,  3113,    -1,
      -1,  2799,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3912,    -1,    -1,    -1,    -1,    -1,  2814,    -1,    -1,  2817,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1210,    -1,  1310,    -1,  3153,    -1,
      -1,    -1,    -1,  3945,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3955,    -1,  1329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2151,  3989,    -1,    -1,
      -1,    -1,  2890,    -1,    -1,    -1,    -1,    -1,  1602,    -1,
    1374,    -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3227,  3228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1426,  1329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4063,    -1,    -1,    -1,  2230,    -1,    -1,    -1,    -1,
    2235,    -1,    -1,  1349,    -1,    -1,  4078,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3306,    -1,    -1,    -1,    -1,    -1,    -1,  1374,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2277,    -1,  2279,  2280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2290,    -1,    -1,  2293,    -1,
    2295,  4133,    -1,    -1,    -1,  3033,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1426,    -1,    -1,    -1,    -1,    -1,    -1,  2322,    -1,  2324,
      -1,    -1,    -1,  2328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3072,    -1,    -1,    -1,  3076,    -1,
    3078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2357,  2358,  2359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2374,
      -1,    -1,  3110,    -1,    -1,  3113,    -1,    -1,    -1,    -1,
      -1,  2386,    -1,    -1,    -1,    -1,  2391,    -1,  1602,    -1,
      -1,    -1,    -1,  2398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   838,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2441,    -1,    -1,    -1,
      -1,    -1,  1886,    -1,    -1,    -1,    -1,  1891,  1892,    -1,
    3505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1903,
      -1,    -1,    -1,    -1,    -1,    -1,  3521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1602,    -1,    -1,  3227,
    3228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   838,
      -1,    -1,    -1,    -1,    -1,  2256,    -1,  2258,    -1,  2260,
    2261,  2262,    -1,   964,  2265,  3590,    -1,  3592,  2269,    -1,
      -1,    -1,    -1,    -1,    -1,  2276,    -1,    -1,    -1,    -1,
    2281,    -1,    -1,    -1,    -1,    -1,  2287,    -1,    -1,    -1,
      -1,  2292,    -1,    -1,    -1,    -1,    -1,    -1,  3306,    -1,
    2301,    -1,    -1,    -1,  2305,  2306,    -1,  2308,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2320,
      -1,  2035,    -1,    -1,    -1,    -1,  2327,    -1,  2329,  2330,
    2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3699,   964,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,  1886,    -1,    -1,    -1,    -1,  1891,  1892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1903,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2456,  1157,    -1,    -1,  3784,
      -1,  3786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3505,    -1,    -1,
    1886,    -1,    -1,    -1,    -1,  1891,  1892,    -1,    -1,  1210,
      -1,    -1,    -1,  3521,    -1,    -1,    -1,  1903,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3533,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2035,    -1,    -1,    -1,    -1,  2831,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,  1157,    -1,
      -1,    -1,  2847,    -1,  2849,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3590,    -1,  3592,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2871,  2872,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1310,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2892,    -1,    -1,
      -1,  1210,    -1,    -1,    -1,  2109,    -1,  2902,  1329,    -1,
    2905,    -1,  2907,   838,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2916,    -1,    -1,    -1,    -1,    -1,  2922,  1349,  2035,
    2925,  1240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2666,  3991,    -1,    -1,    -1,
    2945,    -1,    -1,  1374,    -1,    -1,    -1,    -1,  2953,    -1,
    2955,    -1,    -1,    -1,    -1,    -1,    -1,  4012,    -1,    -1,
      -1,  3699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2979,    -1,    -1,    -1,    -1,  2193,
    2985,    -1,    -1,    -1,    -1,    -1,  2991,    -1,    -1,    -1,
      -1,  1310,    -1,  2109,    -1,  1426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   964,
    1349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3784,    -1,  3786,    -1,
      -1,    -1,    -1,    -1,    -1,  1374,    -1,  2788,    -1,    -1,
    2504,  2505,    -1,  2507,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2830,
      -1,    -1,    -1,    -1,    -1,  2836,    -1,  1426,    -1,    -1,
      -1,    -1,    -1,    -1,  4169,  2559,    -1,  2561,    -1,    -1,
      -1,  2852,  2853,    -1,  2855,    -1,    -1,  2858,  2859,  2860,
    2861,  2862,  2863,  2864,  2865,  2866,  2867,  2868,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2893,    -1,    -1,  2896,    -1,  2898,    -1,    -1,
    2614,  1602,  2903,  2904,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4240,  2917,  2918,  2919,    -1,
    2921,    -1,    -1,  2924,  2638,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2663,
      -1,    -1,  1157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2961,    -1,  4287,    -1,    -1,    -1,    -1,  2681,    -1,    -1,
    4295,  2972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2464,    -1,    -1,  3991,    -1,    -1,    -1,    -1,    -1,    -1,
    3265,  3266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3003,    -1,  4012,  1210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1602,    -1,    -1,    -1,    -1,    -1,    -1,
    2504,  2505,    -1,  2507,    -1,    -1,    -1,    -1,    -1,    -1,
    2744,    -1,    -1,    -1,    -1,  1240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2758,    -1,    -1,  3322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2769,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2559,    -1,  2561,  2464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3369,  3370,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1310,    -1,  3382,    -1,    -1,
      -1,    -1,    -1,  3388,  3389,    -1,    -1,  3392,  2504,  2505,
    2834,  2507,    -1,    -1,  1329,    -1,    -1,    -1,    -1,    -1,
    2614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2854,    -1,    -1,    -1,  1349,  3420,    -1,    -1,    -1,    -1,
    3425,    -1,    -1,    -1,  2638,    -1,    -1,    -1,    -1,    -1,
      -1,  4169,  3437,    -1,    -1,  2879,    -1,    -1,    -1,  1374,
      -1,    -1,    -1,  2559,    -1,  2561,    -1,    -1,    -1,  2663,
      -1,    -1,    -1,    -1,    -1,  1886,    -1,    -1,    -1,    -1,
    1891,  1892,    -1,  3468,    -1,    -1,    -1,  2681,    -1,    -1,
      -1,  2915,  1903,    -1,    -1,  3206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1426,    -1,    -1,    -1,    -1,    -1,    -1,  2614,    -1,
      -1,    -1,  4240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2758,    -1,    -1,  2663,    -1,  4287,
      -1,    -1,    -1,    -1,    -1,  2769,    -1,  4295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2681,    -1,  1886,    -1,    -1,
      -1,    -1,  1891,  1892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3323,    -1,    -1,    -1,  3327,  3328,  3329,    -1,
      -1,  3332,    -1,    -1,  2035,    -1,  3337,  3338,  3339,  3340,
    3341,  3342,  3343,  3344,  3345,  3346,  3347,  3348,    -1,    -1,
    2834,    -1,    -1,  3628,    -1,    -1,    -1,    -1,  2744,    -1,
      -1,    -1,    -1,  3077,    -1,    -1,    -1,    -1,    -1,    -1,
    2854,    -1,  2758,    -1,    -1,  3376,  3377,  3378,  3379,    -1,
    3381,    -1,    -1,  2769,  3385,  3386,  3387,    -1,    -1,  3390,
      -1,    -1,  3393,    -1,    -1,  2879,    -1,  1602,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2915,    -1,  3434,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2035,  3448,  2834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3741,    -1,  2854,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3766,  2193,  2879,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,    -1,    -1,
    2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2915,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3077,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3929,    -1,    -1,    -1,  3372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3383,
      -1,    -1,    -1,  3948,    -1,    -1,  3677,  3678,    -1,    -1,
      -1,  1886,    -1,    -1,    -1,    -1,  1891,  1892,    -1,    -1,
      -1,  3077,    -1,    -1,    -1,    -1,    -1,    -1,  1903,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3707,    -1,    -1,    -1,
    3711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3725,    -1,  3727,    -1,    -1,    -1,
      -1,  3732,  3733,  3734,    -1,    -1,  3737,  3738,  3739,  3740,
      -1,  3742,    -1,    -1,    -1,    -1,    -1,  3231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4032,    -1,    -1,
      -1,    -1,    -1,  2464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3264,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3514,    -1,    -1,  2504,  2505,    -1,  2507,    -1,    -1,    -1,
      -1,    -1,  3526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4104,
    2035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,  2559,    -1,
    2561,    -1,    -1,    -1,    -1,    -1,    -1,  3868,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2464,    -1,    -1,  3264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3372,    -1,
      -1,  4166,  4167,    -1,    -1,    -1,    -1,    -1,    -1,  3383,
      -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2614,    -1,  2504,  2505,    -1,  2507,    -1,
      -1,    -1,    -1,    -1,  3925,  3926,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2638,    -1,  4214,
    3941,  3942,  3943,    -1,    -1,    -1,    -1,    -1,    -1,  4224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3960,
      -1,    -1,  2663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2559,    -1,  2561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2681,    -1,    -1,    -1,    -1,    -1,  3372,    -1,  2193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3383,    -1,    -1,
      -1,  3715,  3486,    -1,    -1,    -1,    -1,  4282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2614,    -1,    -1,    -1,    -1,
    3514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3526,  2744,    -1,    -1,    -1,    -1,    -1,  2638,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2758,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4067,    -1,  2769,    -1,
      -1,    -1,    -1,    -1,  2663,    -1,  4077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,    -1,    -1,
      -1,    -1,  2681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3486,    -1,    -1,    -1,    -1,    -1,    -1,  3821,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3514,    -1,
      -1,    -1,    -1,  2834,    -1,    -1,    -1,  4138,    -1,    -1,
    3526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2854,    -1,  2744,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2758,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4178,  2879,    -1,
    2769,    -1,    -1,    -1,  3570,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3927,  2915,    -1,  4217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3957,    -1,  2834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2464,
    4261,    -1,    -1,    -1,    -1,  2854,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3994,    -1,    -1,    -1,  3998,  3999,    -1,    -1,    -1,    -1,
    2879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2504,
    2505,    -1,  2507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2915,    -1,    -1,  3715,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3821,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2559,    -1,  2561,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2614,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2638,    -1,  3821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2663,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3957,    -1,    -1,  2681,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3077,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3994,    -1,    -1,    -1,  3998,  3999,    -1,    -1,    -1,    -1,
    3906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2744,
      -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2758,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3264,  2769,    -1,    -1,    -1,    -1,    -1,
      -1,  3957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3994,    -1,
      -1,    -1,  3998,  3999,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,  2854,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3372,    -1,    -1,  2879,  3264,    -1,    -1,    -1,    -1,
      -1,    -1,  3383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2915,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3372,    -1,  3486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3514,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3526,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,
      -1,    -1,  3077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3514,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3526,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3715,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3264,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3821,    -1,    -1,    -1,    -1,    -1,  3715,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3906,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3927,    -1,    -1,    -1,
      -1,    -1,  3821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3957,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3994,    -1,    -1,    -1,  3998,  3999,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3514,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3906,    -1,    -1,
      -1,  3526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3570,    -1,    -1,  3957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3994,    -1,    -1,    -1,  3998,
    3999,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3821,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,  3994,
      -1,    -1,    30,  3998,  3999,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
     418,   419,    -1,    -1,    -1,    -1,    -1,    -1,   426,   427,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,     3,    -1,    -1,    -1,
      -1,    -1,    -1,   426,   427,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,    -1,
     233,   234,   235,   236,    -1,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,    -1,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,    -1,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,   408,   409,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,   427,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,    -1,
     233,   234,   235,   236,    -1,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,    -1,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,    -1,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,   407,   408,   409,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,   427,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,    -1,    -1,   424,   425,   426,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,   419,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
      -1,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,   418,    -1,    -1,     3,     4,     5,     6,     7,   426,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
       6,     7,    -1,     9,    10,    -1,    -1,   426,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
     426,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,    -1,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,    -1,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,    -1,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,    -1,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,     3,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,   235,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,   247,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,   247,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,   234,   235,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,
      -1,    -1,     9,    -1,    -1,    -1,   426,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,
     417,   418,   419,    -1,    -1,    -1,    -1,    -1,    -1,   426,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,    -1,   233,
     234,   235,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,    -1,    -1,     8,     9,    -1,    -1,    -1,
     426,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,    -1,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,   236,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,   408,   409,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,     3,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   419,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   419,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,    -1,
     233,   234,   235,   236,    -1,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
      -1,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,    -1,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,    -1,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,    -1,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,   407,   408,   409,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,   419,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,    -1,   135,
     136,   137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,    -1,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,    -1,   233,   234,   235,
     236,    -1,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,    -1,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,    -1,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,    -1,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,
       9,   407,   408,   409,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,   419,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,     4,     5,    -1,    -1,    -1,     9,   417,   418,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,     4,
       5,    -1,    -1,    -1,     9,   417,   418,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,     9,   417,   418,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,   150,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,     4,     5,    -1,    -1,    -1,     9,   417,
     418,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,   234,   235,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,   235,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    26,    27,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,    -1,   233,
     234,   235,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,   234,   235,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,   235,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    -1,
      68,    69,    70,    71,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,   147,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,   247,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,   247,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,   247,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,    -1,   135,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,    -1,   233,   234,   235,   236,    -1,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,    -1,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,    -1,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,   408,
     409,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
      -1,   233,   234,   235,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,    -1,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,    -1,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   407,   408,   409,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,    -1,   135,
     136,   137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,    -1,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,   235,
     236,    -1,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,    -1,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,    -1,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,    -1,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   407,   408,   409,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,    -1,   135,   136,   137,    -1,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,   234,   235,   236,    -1,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,    -1,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,    -1,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,   408,   409,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,    -1,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,    -1,   135,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,    -1,   233,   234,   235,   236,
      -1,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,    -1,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,    -1,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,    -1,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     407,   408,   409,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,    -1,   135,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,    -1,   233,   234,   235,   236,    -1,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,    -1,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,    -1,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,    -1,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,   408,   409,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,    -1,   233,   234,
     235,   236,    -1,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
      -1,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,   408,   409,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    -1,    44,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    -1,    -1,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,    -1,    -1,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,    -1,   135,   136,   137,    -1,
      -1,   140,    -1,   142,    -1,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,    -1,   181,   182,   183,   184,    -1,    -1,    -1,    -1,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,    -1,    -1,   233,   234,   235,   236,    -1,    -1,
     239,    -1,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,    -1,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
      -1,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,    -1,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,    -1,    -1,    -1,    -1,   354,    -1,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,   408,
     409
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   133,
     135,   141,   155,   209,   210,   215,   223,   234,   271,   282,
     287,   289,   294,   299,   302,   306,   311,   312,   319,   322,
     330,   342,   359,   369,   375,   380,   392,   426,   433,   434,
     435,   436,   442,   443,   445,   446,   447,   448,   449,   450,
     451,   453,   454,   458,   469,   472,   473,   476,   477,   478,
     489,   492,   493,   508,   545,   548,   549,   556,   562,   564,
     566,   567,   570,   573,   574,   578,   579,   588,   592,   593,
     594,   598,   599,   601,   602,   603,   616,   617,   618,   619,
     630,   631,   638,   639,   642,   643,   644,   645,   646,   651,
     653,   656,   660,   664,   665,   675,   676,   679,   684,   695,
     714,   717,   718,   719,   722,   725,   727,   729,   732,   735,
     736,   737,   744,   745,   747,   748,   749,   754,   756,   757,
     761,   762,   765,   766,   767,   769,   770,   771,   772,   774,
     777,   778,   783,   789,   792,   794,   795,   800,   802,   806,
     813,   817,   818,   819,   820,   821,   822,   825,   852,   354,
     394,   750,    21,    67,    80,    97,   103,   118,   136,   147,
     152,   158,   173,   198,   248,   276,   301,   307,   313,   316,
     342,   344,   348,   356,   361,   373,   386,   563,   750,     3,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    33,    34,    36,    37,    39,    40,    41,    42,
      43,    45,    46,    48,    49,    50,    51,    52,    55,    56,
      57,    58,    59,    61,    62,    63,    64,    65,    69,    70,
      71,    72,    74,    75,    77,    78,    79,    80,    81,    82,
      85,    86,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   104,   106,   107,   108,   109,   110,   112,   113,   114,
     117,   118,   119,   120,   121,   123,   124,   125,   127,   128,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   140,
     142,   143,   144,   146,   148,   152,   153,   154,   156,   157,
     159,   161,   162,   163,   164,   165,   167,   168,   169,   171,
     172,   173,   174,   175,   176,   178,   180,   181,   182,   183,
     184,   185,   186,   188,   190,   193,   195,   196,   197,   198,
     199,   200,   201,   203,   204,   206,   209,   210,   211,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   228,   229,   230,   231,   233,   234,   236,   238,
     239,   240,   241,   242,   243,   245,   248,   249,   250,   253,
     257,   258,   259,   260,   261,   262,   263,   264,   266,   267,
     268,   269,   270,   271,   272,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   298,   299,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     313,   314,   315,   316,   317,   319,   320,   321,   322,   324,
     325,   326,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   340,   341,   343,   344,   345,   346,   347,
     348,   350,   351,   354,   355,   356,   357,   359,   360,   361,
     362,   363,   364,   365,   368,   369,   370,   371,   372,   375,
     376,   377,   378,   379,   380,   381,   383,   385,   386,   387,
     390,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   814,   957,
     970,   974,   975,   384,   779,   246,   272,   750,    44,   499,
     818,    21,    33,    54,    67,    76,    97,   103,   118,   136,
     147,   154,   158,   211,   248,   251,   301,   307,   316,   344,
     345,   347,   348,   356,   361,   367,   370,   373,   509,   634,
     685,   696,    22,   271,   957,   814,    22,   266,   345,   347,
       5,   197,   723,   724,   966,    21,    33,    54,    67,    80,
      97,   118,   136,   147,   152,   158,   173,   248,   258,   301,
     305,   307,   313,   316,   342,   344,   348,   356,   361,   373,
     386,   563,   647,   750,   957,    83,   384,   426,   545,   778,
     784,   792,   795,   800,   806,   813,   817,     9,    15,    22,
      39,   142,   148,   150,   170,   199,   229,   274,   288,   417,
     418,   661,   662,   814,   965,   969,    22,    83,   286,   312,
     666,   667,   668,   970,   970,   962,   966,   342,   828,   661,
     970,   354,   957,   258,    97,   173,   341,   342,   730,   306,
     970,    22,   317,   350,   354,   461,   970,    19,   155,   666,
     667,   272,   750,   970,   196,    22,   115,   830,    55,    77,
     211,   225,   301,   307,   317,   350,   354,   397,   459,   460,
     461,    22,   317,   350,   354,   461,   354,   247,   861,   955,
     970,   828,   419,   970,   151,   426,   780,   426,   951,   284,
     823,   824,   957,   818,   819,   822,     0,   429,   779,   129,
     187,   252,   366,   831,   832,   818,   820,   821,   108,   183,
     372,   430,     3,    38,    44,    67,    73,    84,    90,   149,
     151,   166,   179,   191,   192,   194,   205,   207,   227,   235,
     254,   255,   256,   300,   323,   384,   963,   970,   971,   974,
     976,   649,   970,   649,   958,   970,   275,   649,   649,   957,
     970,    96,   342,   674,   963,     3,   967,   972,   974,   975,
     976,   165,   955,   241,     8,    62,   140,   413,   414,   415,
     417,   418,   419,   420,   421,   422,   721,   918,   919,   970,
     967,   957,   165,   955,   957,   165,   861,   957,   309,   957,
     649,   216,   967,   165,   955,   197,   105,   193,   232,   280,
     751,   752,   753,   955,   961,   970,    21,    54,    67,    68,
      76,    80,    97,   118,   136,   147,   152,   173,   198,   248,
     301,   305,   307,   313,   316,   342,   344,   348,   356,   361,
     386,   563,   654,   966,   955,   352,   963,   957,   426,   649,
     356,   958,   649,   165,   957,    96,   342,   345,   347,   967,
     345,   347,    62,   140,   721,   292,   967,   455,   970,   957,
     957,   309,   957,   649,   216,   967,   313,   342,   386,    80,
     173,   152,   305,   360,   557,    22,   957,   815,   468,   966,
     972,   724,   165,   963,   957,   165,   728,   165,   958,    96,
     342,   165,   963,   165,   967,   968,    73,    62,   140,   165,
     721,    48,   165,   968,   165,   957,   165,   957,   165,   957,
     309,   165,   957,   165,   216,   968,   197,   165,   648,   649,
     426,   793,   509,   784,   380,   778,   785,   786,   787,   972,
     779,   969,   662,   663,    22,   663,   969,   663,    22,   663,
     969,   663,   663,   663,   969,   965,   965,   814,   663,   275,
     426,   426,   528,   528,   528,   246,   352,   430,   528,   861,
     862,   430,   746,   966,   426,   790,    48,   957,   957,   955,
     970,    38,   409,   193,   428,   249,   249,   246,   150,   966,
     352,   145,   657,   246,     4,     6,     7,     8,    10,    30,
      43,    45,    46,    53,    54,    57,    58,    65,    67,    87,
      88,    89,    90,    91,    92,    93,   100,   101,   119,   134,
     138,   139,   143,   157,   185,   186,   188,   204,   212,   213,
     226,   228,   232,   237,   238,   240,   248,   257,   267,   281,
     303,   318,   325,   338,   350,   351,   355,   357,   358,   367,
     373,   381,   399,   400,   401,   402,   403,   404,   405,   406,
     417,   418,   419,   426,   818,   873,   876,   879,   880,   881,
     883,   884,   885,   886,   889,   890,   894,   896,   897,   916,
     920,   939,   944,   952,   953,   963,   964,   965,   966,   970,
     966,    22,   474,   954,   955,   317,   459,   103,   467,   966,
     468,   966,    38,    59,   459,   409,   326,   752,   249,   150,
     352,   413,    38,   409,   193,   753,   426,   955,   419,   424,
     428,   945,   946,   862,   149,   151,   384,   775,   776,   778,
     149,   781,   103,   894,   949,   950,   823,   430,   426,   782,
     427,   427,   435,   955,    22,   115,   829,   829,    48,   829,
     141,   145,   208,   244,   835,   837,   838,   847,   849,   850,
     831,   832,   150,   189,   861,   863,   951,   426,   624,   946,
     259,   290,   319,   428,   650,   259,   290,   319,   259,   290,
     319,   392,   437,   469,   470,   680,    18,   120,   259,   290,
     319,   377,   481,   319,    18,   120,   372,   452,   395,   165,
     861,    50,    82,   137,   168,   203,   232,   259,   290,   298,
     304,   311,   319,   328,   336,   387,   469,   471,   708,   715,
     426,   697,   290,   452,   134,    18,    24,    64,   113,   120,
     123,   175,   230,   232,   242,   250,   259,   290,   294,   319,
     377,   479,   480,   582,     4,   418,   554,   969,   649,   649,
     426,   720,   428,   170,   290,   437,   444,   259,   290,   134,
      49,    95,   172,   218,   220,   230,   258,   290,   295,   319,
     330,   479,   551,   552,   259,   290,   385,   582,   590,   134,
     290,   319,   479,   259,   290,   294,   319,    74,   112,   260,
     346,   246,    18,    24,   120,   259,   290,   319,   490,   491,
     145,   290,   319,   437,   470,   134,   290,   319,   479,   957,
     206,   105,   247,   396,   430,   751,   374,   773,   246,   963,
     426,   957,    96,   342,   963,   241,    62,   140,   721,   957,
     309,   957,   197,   649,   528,   333,   334,   495,   966,   426,
     624,   625,    60,     3,    43,    45,    46,    57,    58,   100,
     101,   143,   185,   186,   188,   226,   228,   240,   281,   320,
     325,   350,   351,   381,   870,   872,   874,   876,   878,   880,
     881,   882,   884,   885,   889,   890,   971,   974,   150,   426,
     620,   957,   437,    31,   768,   232,   437,   395,   165,   955,
     437,   649,   649,   620,   509,   437,    38,   456,   361,   589,
     259,   565,    74,   112,   260,   346,    20,    40,   184,   604,
      31,   620,   145,   437,   955,   165,   546,   955,   955,   649,
      73,   686,   963,   957,   563,    44,    94,   182,   230,   308,
     134,   624,    51,   296,   482,   134,   426,   134,   395,   134,
     697,   134,   430,   165,   648,   165,   649,   165,   649,   134,
     720,   968,   134,   134,   246,   134,   482,   134,    74,   112,
     260,   346,   134,   246,   134,   145,   165,   165,   468,   134,
     430,   482,   894,   923,   342,   427,   430,   139,   246,   358,
     465,   468,   554,   788,   784,   663,   814,   663,   814,   663,
     814,   663,   814,   663,   814,   814,   814,   663,   814,   426,
     529,   530,   970,   529,    22,    97,   118,   147,   152,   197,
     198,   307,   313,   342,   344,   361,   669,   954,   968,   668,
     170,   430,   803,   966,   870,   926,    31,   968,   146,   731,
     731,   731,   206,   970,   145,   145,   669,   968,   306,   970,
     468,   246,   426,   947,   424,   818,   927,   383,   887,   894,
     943,   426,   887,   887,   426,   145,   426,   426,   426,   875,
     875,   269,   818,   426,   426,   877,   426,   426,   426,   426,
      57,    58,   887,   894,   426,   875,   426,   426,   426,   426,
     426,   393,   412,   426,   891,   426,   891,   426,   426,   818,
     426,   426,   426,   426,   426,   426,   426,   426,   894,   894,
     818,   894,   923,   946,   966,    58,   426,   888,   426,   966,
       3,     8,    11,    28,    31,    36,    42,    66,   166,   170,
     191,   192,   207,   232,   235,   248,   251,   323,   413,   414,
     415,   417,   418,   419,   420,   421,   422,   918,   920,   922,
     256,   894,   189,   430,   826,   426,   966,   946,   106,   167,
     475,   430,    59,   103,   468,    31,     3,   103,   211,   466,
     554,   890,   966,   966,    78,   117,   903,    86,   103,   462,
     463,   465,   554,   103,   462,   206,   955,   894,     3,    22,
      26,    27,    28,    29,    30,    31,    32,    35,    47,    53,
      54,    60,    66,    68,    76,    83,    87,    88,    89,    91,
      92,    93,   103,   105,   111,   115,   116,   122,   126,   129,
     139,   141,   145,   147,   150,   155,   158,   160,   170,   177,
     187,   189,   202,   208,   212,   213,   232,   237,   244,   246,
     247,   251,   252,   265,   273,   286,   297,   312,   318,   327,
     339,   342,   349,   352,   353,   358,   366,   367,   373,   374,
     382,   388,   389,   391,   392,   419,   960,   973,   974,   975,
     976,   977,   945,    79,   295,   652,   427,   430,   779,   427,
     430,   824,   956,   957,    31,   782,   820,   820,   833,   834,
     894,   820,   142,   229,   844,   280,   321,   372,    22,   839,
     894,   840,   842,   894,   896,   847,   848,   838,   837,   835,
     836,   145,   850,   835,   847,   863,   955,    31,   970,   319,
     419,   926,   259,   290,   319,   352,   352,   307,   960,   428,
     352,   352,   307,   352,   352,   344,   459,   763,   145,   155,
     170,   299,   681,   682,    60,    76,   130,   147,   273,   367,
     525,   526,    76,   103,   232,   352,    76,   352,   103,   232,
     307,    76,   307,   571,    21,    54,    67,    80,   118,   147,
     152,   248,   307,   313,   316,   342,   348,   361,   386,   563,
     957,   134,   290,   319,   479,   246,   554,   311,   203,   352,
     352,   237,   554,   107,   190,   307,   317,   354,   460,   296,
     319,   708,   716,   170,   180,   253,   320,   382,   427,   698,
     701,   702,   703,   705,   870,   971,   352,   373,   955,    68,
     130,   516,   525,   970,    68,   733,   246,   305,   356,    76,
     733,    25,   293,   305,   356,   955,   175,   242,   649,   426,
     352,   352,   426,   485,   344,   392,   393,   485,    76,   430,
       4,   259,   374,   374,   231,   870,   259,   319,   721,    97,
     352,   439,   470,   352,   352,   955,   554,    48,   553,   554,
     554,    95,   218,   220,    48,   352,   437,   307,   437,   230,
     552,   352,   352,   237,   966,   582,   861,    76,   352,   733,
     307,   352,   352,   485,   485,   649,   649,   649,   649,   955,
      37,   379,    37,    37,   352,    37,   352,   307,   430,    93,
     373,   600,   967,   352,   439,   955,   352,   307,   259,   290,
     280,   291,   315,   464,   751,   961,   970,   955,   624,   870,
     246,   395,   697,   554,   649,   649,   720,   191,   246,    74,
     112,   260,   346,   246,   649,   191,   392,   500,   437,     3,
     626,   627,   620,   426,   872,    31,    30,   871,    98,   163,
     219,   222,   310,   407,   426,   892,   893,   650,   875,   649,
     621,   622,   973,    20,   758,   870,   134,   568,   957,   232,
     426,   595,   438,   634,   374,   386,   438,   967,    83,   155,
     457,   508,   548,   603,   664,   684,   754,   966,   590,   591,
     957,   214,   649,   649,   649,   649,   242,   108,   183,   359,
     372,   605,   606,   127,   279,   426,   600,   438,   550,   551,
     232,    31,   242,   426,   528,   528,   145,   687,   961,   426,
     699,    31,   197,   392,   393,   816,   308,   963,   482,   870,
     958,   165,   957,   963,   482,   968,   967,   134,   482,   134,
     374,   134,   374,   721,   482,   482,   968,   957,   649,   957,
     957,   957,   649,   968,   600,   134,   134,   482,   648,   649,
     427,   430,   955,   784,   786,   814,   814,   814,   814,   814,
     814,   529,   427,   430,   427,   153,   314,   343,   956,   648,
      96,   316,   673,   674,   956,   241,   956,   954,   954,   956,
     648,   352,   392,   677,    16,   132,   303,   321,   804,   861,
     236,   805,   427,   430,   791,   795,   800,   806,   817,   352,
     667,   666,   667,   150,   156,   678,   970,    21,    68,    97,
     118,   147,   152,   198,   301,   307,   313,   342,   344,   361,
     386,   563,   658,   923,   945,   425,   923,   927,   928,   426,
     388,   940,   941,   894,   923,   426,   965,   965,   923,     3,
      98,   163,   219,   222,   310,   407,   929,   930,   966,   965,
     923,   923,   965,   965,   887,   887,   894,   721,   894,   931,
     417,   418,   895,   896,   916,   920,   933,   427,   923,   894,
     923,   934,   350,   409,   965,   965,   894,    47,   150,   202,
     353,   894,   923,   937,   923,   224,   896,   894,   901,   902,
     903,   224,   894,   903,   427,   430,   319,   965,   965,   892,
     870,   894,   973,   350,    35,   339,   948,   649,   894,   426,
     818,   938,   115,   117,   139,   232,   237,   242,   358,   368,
     894,    42,   166,   170,   207,   323,   426,   894,   352,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,    22,
      29,   327,   917,   303,   426,   916,   154,   211,   342,   345,
     347,   370,   827,   955,   953,   150,   853,    22,   115,   382,
     419,   427,   703,   894,   924,   925,   971,   955,   354,   426,
     966,   430,   427,   425,   431,   164,   164,   482,   955,   776,
     777,   955,   949,   427,   430,   426,   430,    32,   111,   374,
     693,   426,   841,   969,   247,   242,   851,   851,   430,   303,
     304,   843,   848,   836,   374,   801,   103,   426,   796,   817,
     970,   426,   807,   808,   809,   810,   811,   970,   427,   427,
     352,   352,   307,   967,   957,   957,   960,   967,   957,   957,
     967,   958,   957,    75,   764,   301,   373,   666,   307,   155,
     666,   426,   957,   374,   688,   195,   195,   374,   426,   544,
     165,   957,   237,   967,   957,   957,   894,   237,   957,   957,
     957,   352,   572,   963,   426,   649,   649,   649,    96,   342,
     674,    62,   140,   721,   957,   649,   957,   649,   309,   649,
     649,   197,   159,   230,   259,   290,   378,   575,   576,   577,
     861,   352,   733,   307,   237,   107,   190,   967,   957,   246,
     957,   253,   971,   427,   430,   703,   705,   702,   705,   971,
     650,   967,   968,   290,   479,   516,   870,   970,   957,   957,
      22,   373,   957,   165,   957,   165,   970,   305,   356,   305,
     356,   957,    22,   373,   957,   955,    18,   120,   319,   583,
     584,   585,   586,   973,   967,   957,   487,   488,   973,   957,
     245,    64,   245,   957,   480,   352,   959,   970,   959,   430,
     427,   430,   352,   307,   958,   967,     3,    75,   125,   175,
     264,   365,   373,   376,   440,   967,   957,   290,   319,   479,
     551,   554,   649,   957,   554,   957,   554,   967,   957,   290,
     319,   479,   957,   957,   957,   957,   967,   957,    18,    24,
     120,   259,   290,   319,   259,   290,   319,   620,   290,   319,
     290,   319,   290,   869,   970,   966,   970,   165,   970,   967,
     957,   957,   957,    18,   491,   316,   967,   290,   319,   479,
     957,   957,   352,   352,    72,   364,   280,   191,    31,   649,
     191,   191,   374,   374,   191,   237,   655,   966,   649,   649,
     649,   649,   649,   649,   191,   655,   245,   150,   352,   494,
     426,   496,   497,   413,   427,   430,   894,    30,   871,   870,
     424,   424,   352,   352,   352,   426,   352,   965,   875,   427,
     430,   413,   605,    75,   124,   200,   201,   214,   259,   344,
     346,   759,   518,   957,   150,   307,   385,   569,   576,   577,
     134,   427,   516,   596,   597,   316,    19,   170,   301,   340,
     440,   441,   145,   959,   955,   456,   251,   509,   147,   966,
     620,   620,   620,   620,   242,   246,   251,   426,   620,   867,
     868,   869,   316,   134,   133,   817,   649,   207,   510,   512,
     514,   516,   522,   525,   970,   392,   393,   540,   392,   486,
     966,   246,   427,   700,   701,   706,    31,   197,   298,   391,
     707,   708,   709,   246,   468,   162,   162,   145,   624,    31,
     134,   482,   697,   648,   649,   959,   649,   959,   720,   246,
     482,   482,   246,   482,   316,   145,   468,   482,   894,   427,
     530,   170,   170,   170,   395,   956,   430,   554,   555,   158,
     670,   671,   967,    19,   678,   132,   321,   132,   321,   303,
     372,   221,   870,   957,   150,   246,   670,    48,   482,   963,
     342,   963,   241,   197,   649,   427,   425,   425,   430,   923,
     894,   122,   941,   942,    31,   427,   894,   427,   427,   427,
     427,   150,   427,   427,   427,   427,   427,   430,   427,   265,
     932,   427,   895,   895,    11,   170,   191,   248,   413,   414,
     415,   417,   418,   419,   420,   421,   422,   920,   895,   427,
     427,   145,   150,   935,   936,   427,   409,   427,   427,    31,
     937,   923,   937,   937,   150,   427,   427,   973,   263,   905,
      31,   427,   430,   894,   973,   430,   894,   947,   894,   970,
     427,   427,   409,   895,   895,   128,   923,   150,   115,   117,
     139,   237,   242,   358,   368,   426,   128,   339,   948,   894,
     938,   894,   352,   721,   894,   426,   818,   345,   347,   345,
     347,   955,   828,   828,   828,   426,   818,   854,   855,   856,
     861,   864,   897,   963,   970,   389,   865,   924,   924,   925,
     427,   255,   909,    13,   427,   430,   832,   752,   965,   892,
     463,   894,   782,   957,   791,   834,   248,   918,   921,   410,
     411,   694,   894,   843,   954,   805,   805,   840,   854,   389,
     866,   380,   797,   798,   970,   297,   799,   811,   812,   430,
     853,   413,   947,   967,   957,   957,   208,   968,   968,   246,
     956,   249,   246,   894,   526,   959,   426,   426,   426,   544,
     173,   529,   614,   134,   482,   352,   468,   624,   870,   395,
     649,   649,   649,   720,    74,   112,   260,   346,   957,   558,
     957,   159,   378,   352,   352,   558,   575,   582,   290,   319,
     479,   957,   957,   957,   181,   237,   650,   701,   705,   705,
     421,   352,   250,   580,   120,   294,   319,   481,   582,   734,
     134,   482,   134,   482,   957,   957,   957,   957,   585,   586,
     585,   427,   430,   587,   966,   427,   430,   413,   428,   967,
     259,   290,   319,    18,   120,   259,   290,   319,   870,   231,
     870,   967,   957,   208,   264,   237,   966,   264,   968,   371,
     352,   307,   352,   733,   307,   352,   352,   216,   216,   216,
     352,   352,   307,   352,   352,   307,   352,   307,   352,   307,
     352,   482,   870,    20,    40,   319,   734,   134,   482,   352,
     957,   352,   307,   967,   957,   655,   870,   191,   655,   655,
     959,   959,   655,   191,   191,   191,   191,   191,   191,   655,
     495,   503,   504,   973,    44,    85,   109,   124,   128,   146,
     161,   237,   245,   278,   498,   248,   417,   418,   554,   623,
     705,   921,   966,   977,     3,   627,   427,   424,   427,   965,
     425,   965,   163,   219,   893,   219,   893,   893,   965,   222,
     427,   622,   623,   246,   208,   413,   760,   760,   760,   760,
     760,   760,   760,    60,    66,    76,   103,   105,   177,   232,
     237,   273,   286,   367,   519,   520,   521,   437,   468,   957,
     468,   580,   955,   427,   430,   957,   968,   158,   301,   968,
     965,   361,   528,   292,   342,    96,   529,   955,   606,   628,
     629,   966,   427,   430,   957,   955,   957,   392,   547,   426,
     511,   955,   427,   430,   245,   485,   245,   246,   541,   485,
      31,   352,   955,   427,   430,   103,   413,   710,   966,   468,
     342,   704,   705,   392,   709,   711,   108,   183,   312,   372,
     742,   159,   817,   482,   870,   957,   482,   482,   374,   482,
     374,   482,   482,   649,   649,   957,   600,   482,   307,   307,
     307,   956,   674,   430,   967,   392,   430,   672,   249,   132,
     132,   968,   669,   482,   967,   624,   697,   554,   649,   191,
     927,   427,   349,   894,   126,   870,   427,   894,   894,   894,
     935,   870,   895,   115,   117,   232,   242,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   894,   894,   936,
     935,   891,   891,   870,   427,   427,   427,   923,   427,   430,
      48,   896,   427,   973,   902,   270,   337,   904,   427,   430,
     385,   898,    31,   427,   888,   966,   894,    28,    28,   894,
     427,   894,   150,   426,   926,   894,   895,   895,   128,   128,
     894,   427,   128,   894,   828,   828,   828,   828,   955,   955,
     955,   818,   855,   856,    31,   857,   970,   430,    84,   151,
     179,   194,   205,   227,   300,   858,   857,    31,   857,   970,
     426,   946,   894,   158,   845,   430,   831,   832,   831,   427,
     909,   426,   910,   970,   894,   909,   966,   382,   925,   427,
     427,   425,   427,   426,   694,   427,   247,    86,   894,   799,
     427,   430,   947,   952,   427,   430,   808,   866,   949,   760,
     153,   314,   343,   362,   683,   145,   683,   427,   426,   532,
     533,   690,   897,   970,   529,   529,   614,   961,   427,   105,
     177,   230,   232,   615,   957,   957,    31,   957,   374,   374,
     649,   649,   649,   649,   650,   967,   957,   352,   733,   307,
     352,   181,   421,   361,   957,   426,   518,   232,   485,    96,
     232,   332,   335,   485,   361,   957,   970,   584,   488,   623,
     973,   352,   352,   307,   152,   248,   335,   632,   633,   152,
     248,   640,   641,   352,   352,   307,   427,   427,   427,   969,
     966,   966,   966,   957,   957,   957,   957,   957,   957,   957,
     145,   145,   292,   145,   165,   967,   957,   957,   967,   957,
     957,   957,   957,   957,   957,   957,    66,   483,   966,   966,
     361,   970,   957,   582,   957,   957,   427,   655,   191,   191,
     655,   655,   655,   655,   655,   655,   374,   501,   502,   427,
     430,   419,   426,   465,   505,   554,   768,   966,   768,   232,
     278,   768,   768,   614,   965,   392,   393,   425,   425,   427,
     892,   955,   760,   103,   965,   966,   103,   966,   103,   966,
     103,   966,   103,   957,   103,   957,   103,   957,   426,   649,
     957,   895,   106,   167,   105,   237,   195,   955,   711,   568,
     595,   597,   580,   968,   968,   870,   486,   955,   395,   145,
     607,   427,   430,   869,   580,   242,   426,   793,    96,   230,
     513,   515,   517,   525,   970,   540,   523,   176,   539,   514,
      71,   344,   542,   817,   966,   688,   706,   894,   894,   430,
     426,   707,   620,   352,   558,   427,   482,   959,   959,   482,
     482,   316,   956,   956,   956,   554,   155,   671,   678,   150,
     191,   191,   191,   191,   237,   659,   966,   894,   427,   427,
     936,   150,   115,   117,   242,   426,   427,   398,   900,   923,
     285,    48,   390,   390,   427,   894,   230,   894,   430,   899,
     872,   892,   895,   895,   894,   926,   427,    28,    28,   894,
     894,   128,   894,   427,   955,   955,   955,   955,   427,   970,
     426,   855,   194,   254,   859,   855,   859,   194,   858,   859,
     194,   426,   970,   426,   924,    48,   160,   846,   427,   427,
     909,   911,   970,   925,   909,   966,   721,   242,   817,   798,
     413,   811,   799,   969,   352,   666,   150,   614,   894,   427,
     430,   392,    66,   691,   691,   427,   427,   711,   106,   167,
     175,   105,   376,   482,   870,   959,   959,   957,   957,   957,
     957,   361,   581,   585,   237,   237,   969,   970,   870,   482,
     482,   413,   967,   957,   957,   965,   965,   870,   430,   965,
     965,   430,   967,   957,   957,   352,   956,   956,   649,   956,
     134,   649,   870,   482,   482,   191,   655,   655,   437,   110,
     504,   465,   506,   507,   966,   966,   237,   419,   529,   966,
     966,   425,   152,   180,   152,   150,   613,   969,   894,   232,
     520,   711,   528,   374,   543,   316,   374,    31,   426,   957,
     121,   608,   388,   610,   966,   649,   510,   547,    96,   427,
     430,   392,   541,   131,   171,   426,   540,   108,   120,   270,
     957,   392,   755,   150,   426,   966,   703,   712,   713,   971,
     711,   955,   178,   559,   482,   482,   482,   957,   249,   482,
     670,   659,   659,   659,   659,   895,   150,   426,   926,   426,
     427,   430,   427,   896,   285,   427,   379,   329,   427,   427,
     427,   895,   895,   894,   857,   426,   956,   855,   246,   374,
     860,   855,   194,   855,   868,   426,   868,   970,   427,   923,
     894,   391,   906,   909,   909,   262,   912,   427,   892,   427,
     814,   951,   670,   246,   670,   427,   711,   533,   248,   721,
     649,   374,   649,   692,   692,   286,   711,   543,   427,   352,
     427,   430,   483,   623,   426,   963,   721,   633,   426,   426,
     641,   957,   392,   292,   392,   392,   145,   483,   655,   496,
     966,   427,   430,   529,   674,    31,   726,   726,   955,   614,
     427,   543,   217,   531,   173,   957,   959,   817,   580,   303,
     331,   609,   426,   133,   511,   427,   515,   250,   542,    22,
      70,    77,   104,   174,   335,   524,   524,   954,   541,   304,
     304,    52,    60,   211,   649,   689,   690,   705,   427,   430,
     865,   558,   230,   378,   560,   561,   482,   895,   926,   427,
     901,   923,    48,   230,   408,   956,   427,   894,   426,   855,
     860,   427,   868,   427,   907,   908,   970,    48,   831,   909,
     672,   683,   482,   691,   543,   426,   649,   693,   693,   955,
     543,   614,   957,   585,   374,   484,   926,   697,   145,   636,
     720,   926,   926,   648,   649,   648,   649,   956,   482,   507,
     726,    34,   169,   145,   230,   527,   151,   261,   324,   246,
     535,   536,   537,   344,   580,   140,   635,   755,   894,   277,
     540,   539,   518,   427,   542,    60,   249,    60,   427,   430,
     707,   712,   116,   378,   558,   427,   427,   427,   285,   379,
     427,   956,   427,   430,    31,   923,   279,   304,   913,   150,
     692,   389,   534,   721,   694,   694,   528,   614,   894,   427,
     252,   309,   283,   637,   636,   427,   427,   392,   121,   175,
     108,   372,   246,   537,   246,   536,   957,   649,    31,   427,
     963,   541,   540,   249,   249,   486,   690,   711,    23,   184,
     743,   427,   908,   910,    42,    86,   363,   894,   914,   915,
     914,   427,   670,   693,   426,   614,   427,   531,   963,    48,
     637,   649,   303,    51,   230,   296,   319,   538,   538,   632,
     426,   542,   541,   542,   233,   426,   738,   740,   745,   795,
     800,   806,   817,   915,   303,   144,   268,   144,   268,   482,
     694,   894,   535,   697,   649,   610,    17,   103,   237,     4,
     611,   612,   965,   966,   973,   542,   865,   739,   740,   741,
     818,   819,    28,   427,   614,   133,   427,   430,   427,   429,
     915,   277,   612,   741,   963,   426,   611,   427
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   432,   433,   434,   434,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   436,   437,   437,   438,
     438,   439,   439,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   441,   441,   441,   441,   441,   441,   442,   443,
     444,   444,   445,   446,   447,   448,   448,   449,   449,   450,
     451,   452,   452,   453,   453,   454,   454,   455,   455,   456,
     456,   457,   457,   457,   457,   457,   457,   458,   458,   458,
     459,   459,   459,   460,   460,   460,   460,   460,   460,   460,
     460,   460,   460,   460,   460,   460,   460,   461,   461,   462,
     462,   463,   463,   464,   464,   464,   464,   465,   465,   465,
     465,   466,   466,   466,   466,   466,   466,   466,   467,   467,
     467,   468,   468,   469,   469,   469,   469,   469,   470,   470,
     471,   471,   472,   472,   472,   472,   472,   473,   474,   474,
     475,   475,   476,   477,   477,   477,   477,   478,   478,   478,
     478,   478,   478,   478,   478,   479,   479,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   481,
     481,   482,   482,   482,   483,   483,   484,   484,   485,   486,
     486,   487,   487,   488,   488,   488,   488,   489,   490,   490,
     491,   491,   491,   491,   492,   492,   493,   493,   494,   494,
     495,   495,   495,   496,   496,   497,   497,   498,   498,   498,
     498,   498,   498,   498,   498,   498,   498,   498,   498,   499,
     499,   500,   500,   501,   501,   502,   502,   503,   503,   504,
     505,   505,   505,   505,   505,   506,   506,   507,   508,   508,
     508,   508,   509,   509,   509,   509,   509,   509,   509,   509,
     510,   510,   511,   511,   512,   512,   513,   513,   514,   514,
     514,   515,   515,   516,   517,   518,   518,   519,   519,   519,
     519,   520,   520,   520,   520,   520,   520,   520,   521,   521,
     521,   521,   522,   523,   523,   523,   524,   524,   524,   524,
     524,   524,   525,   525,   526,   526,   526,   526,   526,   526,
     526,   527,   527,   528,   528,   529,   529,   530,   531,   531,
     531,   531,   532,   532,   533,   533,   534,   534,   535,   535,
     535,   535,   535,   536,   537,   538,   538,   538,   538,   538,
     539,   539,   540,   540,   540,   540,   541,   541,   541,   541,
     542,   542,   543,   543,   544,   545,   546,   547,   547,   547,
     548,   549,   549,   550,   550,   551,   551,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   553,
     553,   554,   554,   554,   555,   555,   556,   556,   557,   557,
     558,   558,   559,   559,   560,   560,   561,   561,   562,   562,
     563,   563,   564,   565,   565,   566,   566,   567,   567,   568,
     568,   569,   569,   569,   570,   571,   571,   572,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     574,   575,   575,   575,   575,   576,   576,   577,   577,   578,
     578,   579,   579,   580,   580,   581,   581,   582,   583,   583,
     584,   584,   584,   584,   585,   586,   587,   588,   589,   589,
     590,   590,   591,   591,   592,   592,   593,   593,   593,   594,
     594,   595,   595,   596,   596,   597,   598,   598,   599,   600,
     600,   600,   601,   601,   602,   603,   603,   604,   604,   604,
     605,   605,   606,   606,   606,   606,   606,   607,   607,   608,
     608,   609,   609,   610,   610,   611,   611,   611,   612,   612,
     612,   612,   613,   613,   614,   614,   615,   615,   615,   615,
     615,   615,   616,   616,   617,   618,   619,   619,   619,   619,
     619,   619,   619,   619,   619,   619,   619,   619,   619,   619,
     620,   621,   621,   622,   622,   623,   623,   623,   623,   623,
     624,   624,   625,   626,   626,   627,   628,   628,   629,   629,
     630,   630,   630,   631,   632,   632,   633,   633,   633,   633,
     633,   634,   634,   635,   635,   636,   636,   636,   637,   637,
     638,   639,   639,   640,   640,   641,   641,   642,   642,   643,
     643,   644,   645,   646,   646,   646,   646,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   648,   648,   649,   649,   650,   650,   651,   652,
     652,   652,   653,   653,   653,   653,   653,   653,   653,   653,
     653,   653,   653,   653,   653,   653,   653,   653,   653,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   654,   655,   655,   656,   656,
     656,   656,   656,   657,   657,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   659,   659,   660,   660,
     661,   661,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   662,   662,   663,   663,
     664,   665,   665,   666,   666,   666,   666,   666,   667,   667,
     668,   668,   668,   668,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     670,   670,   671,   671,   672,   672,   673,   673,   674,   675,
     676,   676,   677,   677,   678,   678,   679,   680,   680,   681,
     681,   681,   682,   682,   682,   683,   683,   683,   683,   684,
     685,   685,   686,   686,   687,   687,   688,   688,   689,   689,
     690,   690,   690,   691,   691,   692,   692,   692,   693,   693,
     693,   694,   694,   694,   695,   695,   695,   696,   696,   697,
     697,   698,   698,   699,   699,   700,   700,   701,   701,   701,
     701,   701,   702,   702,   702,   702,   702,   703,   704,   705,
     705,   705,   706,   706,   706,   707,   707,   708,   708,   708,
     708,   708,   708,   708,   708,   708,   708,   708,   708,   708,
     708,   708,   709,   709,   709,   709,   710,   710,   711,   711,
     712,   713,   713,   714,   715,   715,   716,   716,   717,   717,
     718,   718,   719,   719,   720,   720,   720,   720,   721,   721,
     722,   723,   723,   724,   724,   725,   725,   725,   726,   726,
     726,   727,   728,   728,   729,   729,   729,   730,   730,   731,
     731,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   733,   733,   734,   734,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   736,   736,
     736,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   736,   736,   736,   736,   736,   737,   738,   738,   738,
     739,   739,   740,   740,   740,   740,   740,   741,   741,   742,
     742,   742,   742,   743,   743,   743,   744,   744,   745,   746,
     746,   747,   748,   748,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   750,   750,
     750,   751,   751,   751,   751,   751,   752,   752,   752,   753,
     753,   754,   754,   755,   755,   755,   755,   756,   757,   758,
     758,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   760,   760,   761,
     761,   762,   763,   763,   764,   765,   765,   766,   767,   767,
     767,   767,   767,   767,   767,   768,   768,   769,   770,   770,
     770,   770,   770,   770,   771,   772,   772,   772,   773,   773,
     774,   774,   774,   774,   774,   775,   775,   776,   776,   776,
     776,   777,   777,   778,   778,   779,   779,   780,   780,   781,
     781,   782,   782,   783,   783,   783,   783,   784,   784,   784,
     784,   784,   784,   784,   785,   785,   786,   787,   787,   788,
     788,   788,   789,   790,   790,   791,   791,   791,   791,   792,
     792,   793,   793,   794,   794,   794,   794,   795,   796,   796,
     796,   797,   797,   798,   799,   799,   800,   801,   801,   802,
     803,   803,   804,   804,   804,   804,   804,   804,   804,   804,
     805,   805,   806,   807,   807,   808,   808,   809,   810,   811,
     812,   812,   813,   814,   815,   815,   815,   815,   815,   816,
     816,   816,   817,   817,   818,   818,   819,   819,   819,   819,
     819,   819,   819,   819,   820,   820,   821,   821,   821,   821,
     821,   821,   822,   822,   823,   823,   824,   825,   825,   826,
     826,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     828,   828,   829,   829,   829,   830,   830,   830,   830,   831,
     831,   832,   833,   833,   834,   834,   835,   835,   835,   835,
     836,   836,   837,   837,   837,   838,   838,   839,   839,   840,
     841,   841,   841,   842,   843,   843,   844,   844,   845,   845,
     846,   846,   847,   847,   848,   848,   849,   849,   850,   850,
     851,   851,   852,   852,   853,   853,   854,   854,   855,   855,
     855,   855,   855,   855,   855,   855,   855,   855,   855,   856,
     856,   856,   856,   856,   856,   857,   857,   857,   857,   858,
     858,   858,   858,   859,   859,   860,   860,   861,   861,   861,
     861,   862,   862,   863,   863,   863,   864,   865,   865,   866,
     866,   866,   867,   867,   868,   868,   869,   870,   870,   870,
     870,   870,   870,   871,   871,   871,   872,   872,   872,   872,
     872,   872,   872,   873,   873,   873,   873,   874,   874,   875,
     875,   876,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   877,   877,   878,   878,   879,   879,   880,   881,
     882,   882,   883,   883,   884,   885,   886,   886,   886,   886,
     886,   886,   887,   887,   888,   888,   889,   889,   889,   889,
     890,   891,   891,   891,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   893,   893,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   896,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   898,   898,   899,   899,   899,   899,   900,
     901,   901,   902,   902,   903,   903,   904,   904,   904,   905,
     905,   905,   905,   906,   906,   907,   907,   908,   909,   909,
     909,   910,   911,   911,   912,   912,   913,   913,   913,   914,
     914,   915,   915,   915,   915,   915,   916,   916,   916,   917,
     917,   917,   918,   918,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   920,   920,   921,   921,   922,   922,   922,
     922,   922,   922,   923,   923,   924,   924,   925,   925,   926,
     926,   927,   927,   927,   928,   928,   929,   929,   930,   930,
     930,   930,   930,   930,   930,   930,   931,   931,   932,   933,
     933,   934,   934,   934,   934,   934,   934,   935,   936,   937,
     937,   937,   938,   938,   939,   940,   940,   941,   942,   942,
     943,   943,   944,   944,   945,   945,   945,   945,   946,   946,
     947,   947,   948,   948,   949,   949,   950,   950,   951,   952,
     952,   953,   953,   953,   953,   954,   954,   955,   955,   956,
     956,   957,   958,   959,   960,   961,   962,   963,   963,   964,
     964,   964,   964,   964,   964,   964,   964,   964,   964,   964,
     964,   964,   965,   966,   967,   968,   968,   969,   969,   969,
     970,   970,   970,   971,   971,   971,   972,   972,   972,   972,
     973,   973,   973,   973,   973,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   976,   976,   977,   977,   977,   977,   977,
     977,   977,   977,   977,   977,   977,   977,   977,   977,   977,
     977,   977,   977,   977,   977,   977,   977,   977,   977,   977,
     977,   977,   977,   977,   977,   977,   977,   977,   977,   977,
     977,   977,   977,   977,   977,   977,   977,   977,   977,   977,
     977,   977,   977,   977,   977,   977,   977,   977,   977,   977,
     977,   977,   977,   977,   977,   977,   977,   977,   977,   977,
     977,   977,   977,   977,   977,   977,   977,   977,   977,   977,
     977
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     4,     3,     5,     3,     5,     5,
       6,     1,     1,     3,     5,     6,     4,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     3,     4,     3,     2,     2,     1,
       2,     1,     2,     3,     4,     3,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     4,     6,     4,
       6,     4,     6,     4,     6,     1,     3,     2,     3,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     4,
       2,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     3,     2,
       0,     1,     3,     3,     1,     5,     3,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    10,     6,     1,     1,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     2,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    11,    14,
      10,    13,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     4,     4,     2,     0,     3,     1,     1,
       2,     2,     1,     3,     4,     5,     2,     5,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     7,     5,     2,     3,     0,
       5,     4,     6,     1,     0,     1,     2,     2,     1,     2,
       3,     2,     2,     2,     2,     3,     3,     1,     3,     1,
       0,     1,     2,     1,     1,     3,     6,    10,     1,     0,
       1,     2,     2,     0,     2,     2,     1,     0,     5,     7,
       1,     0,     6,     2,     0,     3,     5,     5,     8,     2,
       0,     2,     2,     2,     5,     2,     0,     2,     7,    10,
       6,     6,     6,     6,     7,     7,     9,     9,     6,     6,
       8,     8,     8,     8,     6,     6,     7,     8,     6,     6,
       7,     2,     2,     2,     2,     1,     2,     1,     0,     6,
       8,     7,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,     8,
      11,     3,     2,     1,     3,     1,     5,     7,     8,     1,
       1,     1,     7,     9,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     5,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     1,     3,     3,     1,     0,     1,     3,
       6,     8,     8,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     5,     7,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     1,     3,     1,     2,     2,     3,     5,     2,
       2,     0,     6,     7,     7,     7,     8,     8,     6,     8,
       9,     9,     7,    10,     7,     8,     8,     8,     8,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     3,     1,     1,     8,     9,
       9,     9,     9,     2,     0,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     3,     2,     2,     2,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     1,     3,     2,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,    14,
       1,     0,     1,     0,     1,     0,     2,     0,     1,     3,
       5,     5,     7,     2,     0,     1,     2,     0,     1,     1,
       0,     1,     1,     0,     9,    12,     7,     2,     0,     3,
       2,     1,     3,     3,     2,     1,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       4,     5,     1,     3,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     1,     1,     1,     3,     2,     0,
       2,     1,     3,     5,     1,     2,     1,     0,     5,     7,
       5,     7,     5,     7,     3,     5,     5,     5,     1,     3,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,     4,     4,     4,     1,     1,     1,
       0,     7,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     6,     6,     6,     8,     6,     8,     6,
       8,     6,     8,     7,     9,     8,    10,     8,     9,    11,
       8,     6,     6,     6,     5,     5,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     6,     6,     6,
       6,     6,     7,     9,     9,     6,     8,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     6,     7,     6,
       6,     6,     6,     6,     7,     7,     7,     9,     9,     6,
       6,     6,     8,     8,     8,     6,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     6,     8,     3,     2,
       0,     2,     2,     2,     2,     3,     3,     2,     2,     2,
       2,     3,     2,     5,     4,     3,     3,     3,     1,     1,
       0,     3,     2,     2,     1,     2,     1,     3,     2,     1,
       0,     9,    11,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     0,     5,     3,     0,     1,     1,     1,     1,     3,
       9,     3,     0,     2,     3,     2,     3,     6,     1,     4,
       2,     1,     3,     2,     2,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     8,     1,     3,     1,     1,     3,     5,     2,
       1,     3,     7,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     1,     2,     4,
       4,     4,     2,     3,     1,     3,     6,     1,     0,     2,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     2,     3,     1,     1,     1,
       1,     3,     0,     1,     1,     1,     1,     1,     3,     0,
       2,     0,     1,     3,     1,     0,     1,     2,     4,     4,
       2,     0,     2,     3,     2,     0,     1,     3,     1,     2,
       1,     2,     5,     6,     5,     1,     2,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     2,
       2,     2,     1,     1,     0,     4,     2,     1,     2,     2,
       4,     1,     3,     1,     2,     3,     1,     2,     0,     2,
       4,     0,     1,     0,     1,     3,     3,     2,     3,     5,
       6,     2,     3,     3,     4,     0,     1,     1,     1,     1,
       1,     2,     5,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     5,     2,     2,     2,     1,     3,
       3,     2,     1,     0,     3,     0,     5,     2,     5,     2,
       1,     2,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     3,     5,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     3,     3,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       6,     7,     3,     4,     4,     6,     2,     3,     4,     1,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     5,     6,     6,     7,     3,
       4,     1,     1,     2,     4,     1,     1,     1,     2,     2,
       2,     2,     1,     4,     5,     6,     8,     6,     7,     7,
       5,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     7,     2,     3,     3,     3,     4,     0,     4,
       1,     3,     3,     1,     1,     1,     2,     2,     0,     2,
       4,     4,     6,     2,     0,     1,     3,     3,     2,     2,
       0,     6,     1,     0,     3,     0,     2,     2,     0,     1,
       4,     2,     2,     2,     2,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     2,
       0,     2,     1,     0,     1,     1,     1,     3,     3,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     5,     2,     3,     6,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 654 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 19213 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 661 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 19224 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 668 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 19235 "gram.c" /* yacc.c:1646  */
    break;

  case 115:
#line 788 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 19241 "gram.c" /* yacc.c:1646  */
    break;

  case 116:
#line 799 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19253 "gram.c" /* yacc.c:1646  */
    break;

  case 117:
#line 809 "gram.y" /* yacc.c:1646  */
    {}
#line 19259 "gram.c" /* yacc.c:1646  */
    break;

  case 118:
#line 810 "gram.y" /* yacc.c:1646  */
    {}
#line 19265 "gram.c" /* yacc.c:1646  */
    break;

  case 119:
#line 819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 19271 "gram.c" /* yacc.c:1646  */
    break;

  case 120:
#line 820 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 19277 "gram.c" /* yacc.c:1646  */
    break;

  case 121:
#line 824 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 19283 "gram.c" /* yacc.c:1646  */
    break;

  case 122:
#line 825 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 19289 "gram.c" /* yacc.c:1646  */
    break;

  case 123:
#line 830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 19298 "gram.c" /* yacc.c:1646  */
    break;

  case 124:
#line 835 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 19306 "gram.c" /* yacc.c:1646  */
    break;

  case 125:
#line 839 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 19315 "gram.c" /* yacc.c:1646  */
    break;

  case 126:
#line 844 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 19324 "gram.c" /* yacc.c:1646  */
    break;

  case 127:
#line 849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 19332 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 853 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 19340 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 857 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 19348 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 862 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 19356 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 866 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[0].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 19411 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 919 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 19417 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 922 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 19425 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 19433 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 930 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 19441 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 19449 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 938 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 19457 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 952 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19469 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 970 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 19481 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 980 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 19487 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 981 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 19493 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 986 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 19505 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1004 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 19517 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1016 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-1].str);
					n->database = NULL;
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 19529 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1037 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19540 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1044 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19551 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1063 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19562 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1070 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 19573 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1087 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19585 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1105 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 19598 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1115 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 19604 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1116 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 19610 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1129 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19621 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1136 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19632 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1153 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					n->schemaElts = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19648 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1165 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 19661 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1176 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 19667 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1177 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 19673 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1181 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 19679 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 19685 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1210 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 19695 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1216 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 19705 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1222 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 19715 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1231 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 19727 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1239 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 19739 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1251 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 19751 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1259 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 19763 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1267 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 19774 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1274 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 19785 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1281 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 19796 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1289 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 19811 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1300 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 19823 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1308 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 19835 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1316 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 19850 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1327 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 19862 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1335 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 19874 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1343 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 19885 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1350 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 19897 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1359 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 19909 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1368 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 19915 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1370 "gram.y" /* yacc.c:1646  */
    {
					(yyval.str) = palloc(strlen((yyvsp[-2].str)) + strlen((yyvsp[0].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
				}
#line 19924 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 19930 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 19936 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1381 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 19942 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1383 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 19948 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1386 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 19954 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1387 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 19960 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1388 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 19966 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1389 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 19972 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1393 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 19978 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1394 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 19984 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1395 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 19990 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1401 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 19996 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 20004 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 20012 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1422 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 20031 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1437 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 20058 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1459 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 20064 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1460 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20070 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1461 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20076 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1465 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20082 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1466 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20088 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1467 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20094 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1471 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20100 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1472 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20106 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1477 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 20117 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1484 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 20128 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1491 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 20139 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1498 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 20150 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1505 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
#line 20160 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1514 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 20166 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1515 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 20172 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1520 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 20178 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1521 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 20184 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1527 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 20194 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1533 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 20204 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1539 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 20214 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1545 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 20224 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1551 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 20234 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1561 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 20245 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1570 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20251 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1571 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 20257 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1575 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 20263 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1576 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 20269 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1585 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 20278 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1600 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 20288 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1606 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 20298 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1612 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 20308 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1618 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 20318 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1636 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20331 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1645 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20344 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1654 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20357 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1663 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20370 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1672 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20383 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1681 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20396 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1690 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 20409 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1699 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 20422 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1710 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 20428 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1711 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 20434 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1717 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20445 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1725 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20456 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1733 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20468 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1742 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 20479 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1750 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 20490 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1758 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 20502 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1767 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20514 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1776 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20526 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1785 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 20538 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1794 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 20551 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1804 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 20564 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1817 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20581 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1831 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20593 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1840 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 20604 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1848 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20615 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1856 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 20628 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1866 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 20641 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1876 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 20651 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1883 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 20661 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1890 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20672 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1898 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 20683 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1906 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20694 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1914 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20705 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1922 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20716 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1930 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 20726 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1937 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 20736 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1944 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20747 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1952 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 20757 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1959 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 20767 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1966 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20778 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1974 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20789 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1982 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20800 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1990 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20811 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 1998 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 20822 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2006 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 20833 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2014 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 20846 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2024 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 20856 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2031 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20867 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2039 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 20878 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2047 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20889 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2055 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20900 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2062 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 20911 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2071 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 20917 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2072 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20923 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2076 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 20929 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2077 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 20935 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2078 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 20941 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2083 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 20953 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2090 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20959 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2094 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 20965 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2095 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20971 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2099 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 20977 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2102 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 20983 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2103 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20989 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2107 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 20995 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2108 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 21001 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2114 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 21009 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2118 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 21017 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 21026 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 21034 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2142 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 21048 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2154 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21054 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21060 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2161 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 21072 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2170 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21085 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2180 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21098 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2190 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21116 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2215 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21126 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2221 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21136 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2249 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-7].range);
					n->query = NULL;
					n->attlist = (yyvsp[-6].list);
					n->is_from = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-8].defelt))
						n->options = lappend(n->options, (yyvsp[-8].defelt));
					if ((yyvsp[-5].defelt))
						n->options = lappend(n->options, (yyvsp[-5].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 21161 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2270 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-4].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21176 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2283 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21182 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2284 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21188 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2293 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21194 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2294 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21200 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2295 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21206 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21212 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 21218 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2304 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 21224 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21230 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 21238 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2314 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 21246 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2318 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 21254 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2322 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 21262 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2326 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 21270 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 21278 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2334 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 21286 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2338 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 21294 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2342 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 21302 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2346 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 21310 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2350 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 21318 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2354 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 21326 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2363 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 21334 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2366 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 21340 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2371 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 21348 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2374 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 21354 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 21362 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2382 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 21368 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2386 "gram.y" /* yacc.c:1646  */
    {}
#line 21374 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2387 "gram.y" /* yacc.c:1646  */
    {}
#line 21380 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2393 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 21388 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2397 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 21396 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 21404 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2410 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 21410 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2411 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 21416 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2412 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 21422 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2413 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 21428 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2414 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21434 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 21442 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2423 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 21450 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2430 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 21456 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2443 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 21474 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2459 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 21492 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2474 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 21511 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2490 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 21530 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2517 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 21536 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2518 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 21542 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2519 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 21548 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2520 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 21554 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2522 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 21565 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2529 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 21576 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2535 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 21582 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2536 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 21588 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2540 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21594 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2541 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21600 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2545 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 21606 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2546 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21612 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 21620 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2555 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 21628 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 21636 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 21644 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2572 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21650 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2573 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21656 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2574 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21662 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2578 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21668 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2579 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21674 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2583 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 21696 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2603 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 21717 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2622 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 21723 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2623 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21729 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2628 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 21741 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2635 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21747 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2636 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21753 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2638 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 21770 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2669 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 21781 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2676 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 21792 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2683 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21807 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2694 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21822 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2705 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21836 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2715 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21849 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2724 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 21868 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2757 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 21879 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2764 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 21890 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2771 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 21901 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2778 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 21912 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2789 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 21923 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2798 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 21929 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2799 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 21935 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2800 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 21941 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2804 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 21947 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2805 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 21953 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2806 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 21959 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2807 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 21965 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2808 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 21971 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2809 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 21977 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2819 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 21989 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2826 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21995 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2831 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 22012 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2845 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22030 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2859 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22048 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2874 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22066 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2888 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22084 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2904 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22104 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2921 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 22126 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2940 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 22132 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2941 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 22138 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2945 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22144 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2946 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22150 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2950 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 22156 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2951 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 22162 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 22170 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2961 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 22178 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2965 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 22190 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2973 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
#line 22198 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 2977 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
#line 22206 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 2983 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 22212 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 2985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 22218 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 2989 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 22226 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 2994 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 22234 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3000 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 22240 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3001 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22246 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3012 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 22252 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3014 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 22258 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3016 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 22264 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3018 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 22270 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3020 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 22276 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 22282 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3026 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 22288 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3030 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 22294 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3031 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 22300 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3032 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 22306 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3033 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 22312 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3034 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 22318 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22324 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3038 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22330 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22336 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 22342 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 22348 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3046 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22354 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3049 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 22360 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3050 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 22366 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3051 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 22372 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3052 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 22378 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3055 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22384 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3056 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22390 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3059 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22396 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3060 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22402 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3063 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22408 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3079 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 22423 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 22437 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3105 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22443 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3106 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22449 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3107 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22455 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3121 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 22468 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3133 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 22480 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3141 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 22492 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3151 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22498 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3152 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22504 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 22510 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 22516 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 22524 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3164 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 22532 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3168 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 22540 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3172 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 22548 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 22556 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3180 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 22564 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3184 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 22572 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3188 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 22580 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 22588 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 22596 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3200 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 22604 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3204 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 22612 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3209 "gram.y" /* yacc.c:1646  */
    {}
#line 22618 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3210 "gram.y" /* yacc.c:1646  */
    {}
#line 22624 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3214 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 22630 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 22639 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3220 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 22645 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 22651 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 22657 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3237 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 22673 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3250 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 22688 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3263 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22694 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3264 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22700 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3272 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 22706 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3273 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 22712 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22718 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3278 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22724 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22730 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22736 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22742 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22748 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3293 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 22763 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3304 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 22777 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3316 "gram.y" /* yacc.c:1646  */
    {}
#line 22783 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3317 "gram.y" /* yacc.c:1646  */
    {}
#line 22789 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3328 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-3].str);
					n->owner = (yyvsp[-2].str);
					n->location = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 22801 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3337 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22807 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3338 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22813 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3352 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 22824 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3359 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 22835 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3376 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 22847 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3384 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 22859 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3395 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 22865 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22871 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3402 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 22879 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3406 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 22887 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3410 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 22895 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3422 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 22906 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 22912 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3434 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22918 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3439 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 22926 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3452 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22940 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3462 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 22954 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3472 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22967 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3481 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22980 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3490 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22993 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3499 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 23007 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3509 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23020 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3518 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23034 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3528 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23048 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3538 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23062 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3548 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23075 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3557 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23088 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3566 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23101 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3575 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23114 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3584 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23127 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3593 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23140 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3602 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23153 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3611 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23166 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3620 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23179 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3629 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23192 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3638 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23205 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3647 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23218 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3665 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23230 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3675 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 23236 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3676 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 23242 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3677 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 23248 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3678 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 23254 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3682 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 23260 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3683 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23266 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3687 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23272 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23278 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3699 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 23293 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3710 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 23308 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3730 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23320 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3738 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 23332 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3749 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23338 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3750 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23344 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3755 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 23352 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 23360 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3766 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23366 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 23374 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 23382 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3782 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 23390 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 23399 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3791 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 23408 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3796 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 23416 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3803 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 23424 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3809 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23430 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3814 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 23436 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3826 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23450 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3838 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23456 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3839 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23462 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3844 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23468 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3845 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23474 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3849 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23480 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3850 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23486 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3861 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 23501 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3872 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 23516 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 3892 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 23529 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3901 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 23541 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3909 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23552 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3928 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-4].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-4].range);
					n->base.tableElts = (yyvsp[-3].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23569 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3943 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-4].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-4].range);
					n->base.tableElts = (yyvsp[-3].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23586 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23592 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 3959 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23598 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 3964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 23606 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 3968 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23614 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 3974 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23620 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 3986 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 23633 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 3995 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 23646 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4013 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23658 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4024 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 23664 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4025 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 23670 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4026 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (strcmp((yyvsp[0].str), "public") == 0) ? NULL : (yyvsp[0].str); }
#line 23676 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4037 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 23688 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4045 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 23700 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4062 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23712 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4083 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 23734 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4104 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 23757 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4125 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 23763 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4126 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 23769 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4127 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 23775 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4132 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23781 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4134 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 23804 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 23810 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4158 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 23816 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4160 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 23822 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4162 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 23828 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4164 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 23834 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4169 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 23842 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4173 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 23854 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4183 "gram.y" /* yacc.c:1646  */
    {}
#line 23860 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4184 "gram.y" /* yacc.c:1646  */
    {}
#line 23866 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4188 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23872 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4189 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 23878 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4193 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 23884 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4194 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 23890 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 23896 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4199 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 23902 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4200 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23908 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4205 "gram.y" /* yacc.c:1646  */
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[0].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
#line 23918 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4210 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 23924 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4211 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 23930 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4212 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 23936 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4216 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 23942 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4217 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 23948 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4222 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 23954 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4224 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 23982 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4250 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 23988 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4251 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 23994 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4252 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 24000 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4253 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 24006 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4254 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 24012 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4255 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 24018 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4261 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24033 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4272 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24048 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4296 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 24068 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4315 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 24084 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4338 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24098 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4348 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24113 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4359 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24127 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4369 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24141 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4379 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 24156 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4390 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 24169 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4399 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 24180 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4406 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24191 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4413 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24204 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4422 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24217 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4431 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24230 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4440 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24243 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4449 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24256 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4458 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 24269 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4468 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24275 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4471 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24281 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4472 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 24287 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 24295 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4480 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 24303 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4486 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 24309 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4487 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 24315 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4488 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 24321 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4489 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 24327 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4490 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 24333 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4493 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24339 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4494 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24345 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4497 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24351 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4500 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24357 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4501 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 24363 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4510 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 24371 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4516 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24377 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4517 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24383 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4521 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24389 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 24395 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4534 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-3].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				(yyval.node) = (Node *) n;
			}
#line 24408 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4543 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				(yyval.node) = (Node *) n;
			}
#line 24421 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4552 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				(yyval.node) = (Node *) n;
			}
#line 24434 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4577 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24449 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24455 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24461 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4596 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 24475 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4607 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 24489 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4617 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 24502 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4626 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 24516 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4636 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 24527 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4644 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24533 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4645 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24539 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4648 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24545 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4649 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24551 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4652 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24557 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4653 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24563 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4654 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24569 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4658 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 24587 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4671 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24593 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4677 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 24604 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4687 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24617 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4696 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24630 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4707 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24636 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24642 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4713 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 24654 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4721 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 24666 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4733 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24681 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4744 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24696 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4758 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24711 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4769 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24726 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4792 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 24737 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4802 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24748 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4820 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24763 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4831 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24778 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4842 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 24793 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4853 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 24808 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4866 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 24814 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4867 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 24820 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4868 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 24826 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4869 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 24832 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4870 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 24838 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4871 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 24844 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4872 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 24850 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4873 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 24856 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4874 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 24862 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4875 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 24868 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4876 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 24874 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4877 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 24880 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4878 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 24886 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4879 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 24892 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4880 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 24898 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 4884 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 24904 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 4885 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 24910 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 4888 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24916 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 24922 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 4893 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24928 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 4895 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 24934 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 4908 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 24946 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 4918 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 24952 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 4919 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 24958 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 4920 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 24964 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 4947 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 24977 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 4956 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 24990 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 4965 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25003 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 4974 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25016 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 4983 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25029 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 4992 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25042 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5001 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25056 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5011 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25069 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5020 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25082 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5029 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25095 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5038 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25108 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5047 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25121 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5056 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25134 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5065 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25146 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5073 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25158 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5081 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25170 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5089 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25182 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5099 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 25188 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5100 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 25194 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5101 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 25200 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5102 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 25206 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5103 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 25212 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5104 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 25218 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5105 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 25224 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5106 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 25230 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5107 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 25236 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5108 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 25242 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5109 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 25248 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5110 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 25254 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5111 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 25260 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5112 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 25266 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5113 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 25272 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5114 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 25278 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5115 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 25284 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5119 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25290 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5120 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25296 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5136 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25310 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5147 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25324 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5158 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25338 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5169 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25352 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5180 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25366 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5191 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25372 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5192 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25378 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5196 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 25384 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5197 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 25390 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5198 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 25396 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5199 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 25402 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5200 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 25408 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5201 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 25414 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5202 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 25420 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5203 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 25426 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5204 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 25432 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5205 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 25438 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5206 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 25444 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5209 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25450 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5210 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25456 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5221 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25466 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5227 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25476 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5235 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 25488 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5243 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 25500 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5251 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 25512 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5259 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 25524 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5267 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 25536 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5275 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 25548 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5283 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 25560 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5291 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 25572 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5299 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 25584 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5307 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 25596 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5315 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 25608 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5323 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 25620 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5331 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 25632 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5339 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 25644 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5347 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 25656 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5355 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 25668 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5364 "gram.y" /* yacc.c:1646  */
    {}
#line 25674 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5365 "gram.y" /* yacc.c:1646  */
    {}
#line 25680 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5368 "gram.y" /* yacc.c:1646  */
    {}
#line 25686 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5369 "gram.y" /* yacc.c:1646  */
    {}
#line 25692 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5381 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 25708 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5397 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25725 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5411 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25742 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5436 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25748 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5438 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25754 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5440 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25760 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5442 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 25771 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5449 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 25782 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5457 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 25788 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5458 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 25794 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5462 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 25805 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5469 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 25816 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5476 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 25827 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5483 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 25838 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5497 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25850 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5505 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25862 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5513 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25874 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5521 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25886 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5529 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25898 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5537 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25910 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5545 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25922 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5553 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25934 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5561 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25946 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5569 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25958 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5577 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25970 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5585 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25982 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5593 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 25994 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5601 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26006 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5609 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26018 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5617 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26030 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5628 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26036 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26042 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5633 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26056 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5643 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26070 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5656 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26076 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5657 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26082 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5661 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 26088 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5663 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 26094 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5668 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 26105 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5684 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].str);
					(yyval.node) = (Node*)n;
				}
#line 26119 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5697 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 26133 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5707 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 26147 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5718 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26153 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5719 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26159 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5722 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26165 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5723 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26171 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5734 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 26182 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26188 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5744 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26194 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5749 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 26202 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5753 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 26210 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5757 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 26218 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5769 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 26234 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5782 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26251 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5796 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26268 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5811 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 26274 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5812 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 26280 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5813 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 26286 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5814 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 26292 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5829 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
#line 26318 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5853 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26324 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5854 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26330 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5858 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26336 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5859 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26342 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5863 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26348 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5864 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26354 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5868 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26360 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5869 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 26366 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 26372 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5873 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 26378 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5882 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 26393 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 26408 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 26423 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26429 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26435 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26441 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5921 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26447 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5922 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26453 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5925 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 26459 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5926 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 26465 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5927 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 26471 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5930 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 26477 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5931 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 26483 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5932 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 26489 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5950 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26504 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5962 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26520 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 5975 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26535 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 5988 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26541 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 5989 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26547 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 5992 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26553 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 5993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26559 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 5997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 26565 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 5998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 26571 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26577 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6007 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26583 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 26589 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6013 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 26595 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6028 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 26608 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6037 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 26621 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6046 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 26634 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6055 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 26647 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6064 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 26660 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6075 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 26666 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6076 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 26672 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6077 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 26678 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6078 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 26684 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6079 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 26690 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6090 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 26702 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6104 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 26708 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 26718 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6112 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 26729 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 26737 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6126 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 26746 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6131 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 26755 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6140 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26761 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26767 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6149 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 26775 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6153 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 26783 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6157 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 26791 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6161 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 26799 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6165 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 26807 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6169 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 26815 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6173 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 26823 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6177 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 26831 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6181 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 26839 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6185 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 26847 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6189 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 26855 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6193 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 26863 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6197 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 26871 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 26879 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6205 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 26888 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6213 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 26896 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 26904 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 26912 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 26920 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6230 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26926 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 26934 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6238 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26940 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26946 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6243 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 26959 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6255 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 26967 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6259 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 26975 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6274 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26986 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6284 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26992 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6285 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26998 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6307 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27013 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6318 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27028 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6332 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27043 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6343 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27058 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6357 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27073 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6368 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27088 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6382 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 27100 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 27106 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 27112 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6394 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 27118 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27124 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6401 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 27130 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6414 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27140 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6422 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27146 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6423 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27152 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 27160 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 27168 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6445 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 27182 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6456 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 27196 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6467 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 27210 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6478 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 27216 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6479 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 27222 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6480 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 27228 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6485 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27243 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6497 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27249 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6498 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27255 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6513 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].objtype);
					n->relation = (yyvsp[-1].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27267 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6521 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
#line 27281 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6531 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
#line 27295 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6543 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 27301 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6544 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 27307 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6547 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 27313 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6548 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 27319 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6559 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27333 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6569 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27346 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6578 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27359 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6587 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27372 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6596 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27385 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6605 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27399 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6615 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27412 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6624 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27426 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6634 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27439 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6643 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27452 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6652 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27466 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6662 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27480 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6672 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27493 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6681 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27506 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6690 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27520 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6700 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27534 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6710 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27548 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6720 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27562 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6730 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27576 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6740 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27590 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6750 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27604 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6760 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27618 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6770 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27632 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6780 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27646 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6790 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27661 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6801 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27676 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6812 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27690 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6822 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27705 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6833 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27720 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6844 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27734 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6854 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27747 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6863 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27760 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6872 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27773 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6881 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 27786 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6890 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 27799 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6899 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27812 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6908 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27825 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6917 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27838 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6926 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27851 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6935 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27864 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6944 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27880 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6957 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 27886 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6958 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 27892 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6961 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 27898 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6962 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 27904 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6973 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27918 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6983 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27931 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6992 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27944 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7001 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27957 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7010 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27970 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7019 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27984 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7029 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27998 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7039 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->addname = (yyvsp[-3].str);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28012 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7049 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->addname = (yyvsp[-3].str);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28026 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7059 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28039 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7068 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28052 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7077 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28065 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7086 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28078 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7095 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28091 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7104 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28104 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7113 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28117 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7122 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28130 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7131 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28143 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7140 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28156 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7149 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28169 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7158 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28182 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7167 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28195 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7184 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28208 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7193 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28220 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7201 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28232 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7209 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28244 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7217 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28256 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7225 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28269 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7234 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28281 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7242 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28293 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7250 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28306 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7259 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->addname = (yyvsp[-3].str);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28319 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7268 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->addname = (yyvsp[-3].str);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28332 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7277 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28344 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7285 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28356 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7293 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28368 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7301 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28380 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7309 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28392 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7317 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28404 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7325 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28416 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7344 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28432 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28438 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7359 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28444 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28450 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7366 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 28460 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7372 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 28470 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7388 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28476 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7389 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28482 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7392 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 28488 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7393 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 28494 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7394 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 28500 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7395 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 28506 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7399 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28512 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7400 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28518 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7401 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28524 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7407 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28539 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7418 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28554 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7440 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28565 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7449 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28571 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7450 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28577 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7454 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28587 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7463 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28597 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7469 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28607 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7488 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 28618 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7495 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28629 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7502 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28640 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7509 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 28651 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7516 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 28662 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7523 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 28673 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7530 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 28685 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7538 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 28697 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7546 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 28709 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7554 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 28721 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7562 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 28733 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7570 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28744 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7577 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28755 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7584 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28766 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7592 "gram.y" /* yacc.c:1646  */
    {}
#line 28772 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7593 "gram.y" /* yacc.c:1646  */
    {}
#line 28778 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7594 "gram.y" /* yacc.c:1646  */
    {}
#line 28784 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7599 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 28791 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7602 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 28798 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7605 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 28805 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7608 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 28812 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7611 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 28819 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7618 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28825 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7620 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 28831 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7622 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28837 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7628 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28843 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7642 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 28858 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7654 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 28873 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7668 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 28883 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7674 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 28893 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7680 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 28903 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7685 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28909 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7696 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28919 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7712 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28930 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7721 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28936 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7722 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28942 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7727 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[0].str)));
				}
#line 28950 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
#line 28958 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7735 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[0].str)));
				}
#line 28966 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
#line 28974 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7743 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[0].str)));
				}
#line 28982 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7747 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
#line 28990 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 28998 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7755 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 29006 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
#line 29014 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7763 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[0].str)));
				}
#line 29022 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7767 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
#line 29030 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[0].str)));
				}
#line 29038 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7775 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
#line 29046 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7779 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 29054 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7783 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[0].str)));
				}
#line 29062 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7787 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
#line 29070 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7796 "gram.y" /* yacc.c:1646  */
    {}
#line 29076 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7797 "gram.y" /* yacc.c:1646  */
    {}
#line 29082 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7809 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 29093 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7816 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 29105 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7827 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 29116 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7837 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29122 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29128 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7843 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 29136 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7857 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 29147 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7864 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 29158 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7881 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29171 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7894 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 29183 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7903 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 29194 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7911 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 29205 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7919 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 29217 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7928 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29231 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7939 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29245 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7950 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29257 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7959 "gram.y" /* yacc.c:1646  */
    {}
#line 29263 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7960 "gram.y" /* yacc.c:1646  */
    {}
#line 29269 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7972 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29280 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7982 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 29294 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7992 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 29308 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8002 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 29322 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8012 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 29336 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8022 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 29348 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8030 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 29360 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8052 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 29374 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8074 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 29386 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8082 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 29398 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8091 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 29410 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8101 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29416 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8102 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29422 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8115 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29440 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8129 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29458 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8143 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
#line 29474 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8155 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 29490 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8167 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 29508 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8183 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29514 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8184 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 29520 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8188 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 29526 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8189 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 29532 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8190 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 29538 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8191 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 29544 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8196 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29560 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8208 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29576 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8222 "gram.y" /* yacc.c:1646  */
    {}
#line 29582 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8223 "gram.y" /* yacc.c:1646  */
    {}
#line 29588 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8227 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29594 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8228 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29600 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8231 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29606 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8232 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29612 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8235 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29618 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8236 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29624 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29630 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8241 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29636 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8255 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 29647 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8262 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 29661 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8272 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 29672 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8279 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 29683 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8299 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29691 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29699 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 29707 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8316 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29713 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8317 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 29719 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8321 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 29725 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8322 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 29731 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8323 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29737 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8334 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29749 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29755 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29761 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8362 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29772 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8370 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29790 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29796 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29802 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8397 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 29812 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8403 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 29822 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8409 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 29832 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8415 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 29842 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8431 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].istmt)->relation = (yyvsp[-2].range);
					(yyvsp[-1].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-1].istmt)->withClause = (yyvsp[-5].with);
					(yyval.node) = (Node *) (yyvsp[-1].istmt);
				}
#line 29853 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 29863 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8447 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 29873 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 29883 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8462 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 29889 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8464 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 29895 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 29907 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8479 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29913 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8480 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29919 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8493 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 29933 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8505 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29939 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8506 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29945 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8518 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 29958 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8528 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 29964 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8529 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 29970 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8532 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 29976 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8533 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 29982 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8534 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 29988 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8535 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 29994 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8536 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 30000 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8537 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 30006 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8538 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 30012 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8539 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 30018 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8542 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30024 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8543 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30030 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8559 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 30045 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8572 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30051 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8573 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 30057 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 30063 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8578 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30069 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8583 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 30078 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8591 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[-4]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 30107 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 30119 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 30125 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 30131 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8641 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 30144 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8651 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30150 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8654 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30156 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8655 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 30162 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8656 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 30168 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8657 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 30174 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8658 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 30180 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8661 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30186 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8662 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 30192 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8663 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30198 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8716 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30204 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8717 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30210 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8731 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30216 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8733 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 30227 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8740 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 30239 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8748 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 30251 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8756 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 30263 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8764 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 30275 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8772 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 30287 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8780 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 30299 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8790 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30305 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8791 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30311 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8821 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30328 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8833 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30334 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8835 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 30357 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8854 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 30365 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8858 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 30373 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8862 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 30381 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8877 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 30392 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8884 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 30403 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8893 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30409 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30415 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8898 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 30428 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8909 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 30434 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8910 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 30440 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8915 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->skipData = false;
				}
#line 30454 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8925 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 30460 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 30469 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8939 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 30478 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8944 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 30487 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8949 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 30496 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8954 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 30508 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8962 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 30520 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 30529 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8975 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 30538 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8980 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 30547 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8986 "gram.y" /* yacc.c:1646  */
    {}
#line 30553 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8987 "gram.y" /* yacc.c:1646  */
    {}
#line 30559 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8990 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30565 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8991 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30571 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8992 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30577 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 30583 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30589 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30595 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9002 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30601 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 30607 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9007 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30613 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30619 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9015 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 30625 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9016 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 30631 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 30644 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9029 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 30657 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 30663 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9042 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 30669 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 30675 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 30681 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9048 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30687 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9049 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 30693 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9054 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30699 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9056 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 30712 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9066 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 30718 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9071 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30724 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9074 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30730 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9078 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30736 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9080 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 30745 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9087 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30751 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9097 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 30757 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9098 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30763 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9099 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 30769 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9107 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30775 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9111 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30781 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9112 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30787 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9115 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30793 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9116 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30799 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30805 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30811 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9126 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30817 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9127 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30823 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30829 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9132 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30835 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9136 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30841 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9137 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30847 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30853 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9142 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 30859 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9147 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30871 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9155 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30883 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9165 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30889 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9166 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30895 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9172 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 30905 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9178 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 30915 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9195 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30921 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30927 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9200 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30933 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9201 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30939 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9212 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].range);
				}
#line 30947 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9216 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 30956 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9221 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[0].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30967 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9228 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30979 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9236 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[-4].node);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 30990 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9243 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[-5].node);
					a->aliasname = (yyvsp[-3].str);
					n->alias = a;
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31004 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9253 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[-4].node);
					a->aliasname = (yyvsp[-3].str);
					n->alias = a;
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31018 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9263 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[0].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[0].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[0]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = NULL;
				}
#line 31050 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9291 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 31061 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 31069 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9302 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 31078 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9328 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 31086 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9332 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 31102 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9344 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 31119 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9357 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 31137 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9371 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 31152 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9382 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 31168 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9397 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 31178 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9403 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 31187 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 31197 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 31206 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9420 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 31212 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9421 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 31218 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9422 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 31224 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9423 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 31230 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9427 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31236 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9428 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31242 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9440 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 31248 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9441 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31254 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9447 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 31265 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9454 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 31276 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9461 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 31287 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9468 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 31298 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9478 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 31304 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9479 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 31310 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 31318 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9497 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 31329 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9504 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 31340 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9513 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31346 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9518 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31352 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9519 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31358 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9524 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31364 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9526 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 31376 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9533 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31382 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9538 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31388 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9539 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31394 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9544 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 31402 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9548 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 31410 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9554 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31431 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9583 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 31440 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9588 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 31450 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 31459 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 31469 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9606 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 31478 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 31488 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9620 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 31494 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9622 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 31500 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9624 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 31506 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9628 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31512 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9629 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31518 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9630 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31524 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9631 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31530 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9632 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31536 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 31545 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9639 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-4]))));
						(yyval.typnam)->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
				}
#line 31565 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9668 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31571 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9669 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31577 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9670 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31583 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9671 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31589 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9683 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 31599 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 31609 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31615 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31621 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9704 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 31630 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 31639 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9714 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 31648 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9719 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 31657 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 31666 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9729 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 31675 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9734 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 31684 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 31694 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 31704 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 31714 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9757 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 31723 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9764 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 31748 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9785 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 31756 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9795 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31764 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9799 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31772 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9807 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31780 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9811 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 31789 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9819 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 31802 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9831 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 31820 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9852 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31828 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9856 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31836 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9862 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31844 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9866 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 31859 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9879 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[-4].str)) + 1 + strlen((yyvsp[0].str)) + 1);
						strcpy(type, (yyvsp[-4].str));
						strcat(type, "_");
						strcat(type, (yyvsp[0].str));
						(yyvsp[-4].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 31880 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9898 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[-1].str)) + 1 + strlen((yyvsp[0].str)) + 1);
						strcpy(type, (yyvsp[-1].str));
						strcat(type, "_");
						strcat(type, (yyvsp[0].str));
						(yyvsp[-1].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 31905 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9921 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 31911 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9923 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 31917 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9925 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 31923 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9927 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 31929 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9929 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 31935 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9931 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 31941 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9935 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31947 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9936 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31953 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9940 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31959 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9941 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31965 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9949 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 31978 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9958 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 31990 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9966 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 32003 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9975 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32015 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9986 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32024 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9993 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32030 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9994 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32036 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9995 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32042 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 32048 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10002 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 32054 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 32060 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 32066 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 32072 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32078 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10012 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 32087 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10017 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 32096 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10022 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 32106 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10028 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 32118 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10036 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 32127 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10041 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 32138 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10048 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 32148 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10054 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32154 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10059 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 32162 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10063 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 32171 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10092 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32177 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10094 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 32183 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10096 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32195 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10104 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[0].node), (yyvsp[-4].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 32212 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10126 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 32218 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10128 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 32224 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10130 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32230 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10132 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32236 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10134 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32242 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10136 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32248 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10138 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32254 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10140 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32260 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10142 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32266 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10144 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32272 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10146 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32278 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10149 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32284 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10151 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 32290 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10153 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 32296 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10156 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32302 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10158 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32308 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10160 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 32314 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10163 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32320 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10165 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 32337 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10178 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 32343 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10180 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 32360 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10193 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32366 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10195 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 32383 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10208 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 32389 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10210 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 32406 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10224 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[0].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 32423 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10237 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 32440 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10250 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[0].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 32457 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10263 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 32474 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10286 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 32485 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10293 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 32496 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10300 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 32507 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10307 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 32518 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10314 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlaps");
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					n->args = list_concat((yyvsp[-2].list), (yyvsp[0].list));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 32545 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10337 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 32556 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10344 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 32567 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10351 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 32578 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10358 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 32589 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10365 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 32600 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10372 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 32611 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 32619 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));

				}
#line 32631 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10391 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 32639 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10395 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 32647 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10405 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));
				}
#line 32658 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10412 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											 (yylsp[-5]));
				}
#line 32669 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											(yylsp[-4])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
											(yylsp[-4])),
											 (yylsp[-4]));
				}
#line 32686 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											(yylsp[-5])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
											(yylsp[-5])),
											 (yylsp[-5]));
				}
#line 32703 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10445 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-2].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 32726 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10464 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-3].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 32751 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10485 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 32765 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10495 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 32776 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10502 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 32796 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10518 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 32805 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10523 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 32816 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32822 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10543 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 32828 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 32834 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 32840 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32846 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10551 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32852 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10553 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32858 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10555 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32864 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10557 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32870 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10559 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32876 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32882 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32888 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10565 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32894 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10567 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 32900 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10569 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 32906 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10571 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 32912 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 32920 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])), (yylsp[-4]));
				}
#line 32929 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10582 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 32937 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10586 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 32945 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10590 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 32954 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 32965 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10611 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32971 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10612 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32977 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10614 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 32996 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10629 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 33012 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10641 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33018 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10643 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33024 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10645 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33038 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10655 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 33065 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10678 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 33079 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10688 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 33093 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10698 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 33105 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10706 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 33118 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10725 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-3].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 33135 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10738 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 33152 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10751 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-5].list);
					n->args = list_make1((yyvsp[-2].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 33169 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10764 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-7].list);
					n->args = lappend((yyvsp[-5].list), (yyvsp[-2].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *)n;
				}
#line 33186 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10777 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-5].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 33203 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10790 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-6].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 33224 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10807 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-6].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 33241 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10820 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-4].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 33268 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10843 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("pg_collation_for");
					n->args = list_make1((yyvsp[-1].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 33285 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10856 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 33315 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10882 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 33329 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10892 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 33346 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10905 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33367 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10922 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 33384 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10935 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 33398 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10945 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 33415 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10958 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 33429 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10968 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 33446 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10981 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33463 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10994 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33480 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11007 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33497 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11020 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33514 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11033 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33531 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11046 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 33548 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11059 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 33554 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11061 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 33571 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11074 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 33593 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11092 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 33611 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11106 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 33631 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11122 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[-3].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 33657 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11144 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 33677 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11160 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 33694 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11173 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 33711 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11186 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 33728 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11199 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 33736 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11203 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 33747 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11210 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 33759 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11218 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 33771 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 33779 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 33787 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 33795 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11238 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 33803 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11242 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 33811 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11246 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[-1].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 33830 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11261 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 33838 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11265 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 33851 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11274 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 33859 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11278 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 33867 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11282 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 33876 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11287 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 33889 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11301 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33895 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11303 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 33901 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11307 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 33907 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11309 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 33913 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 33919 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11313 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 33925 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11316 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33931 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11319 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 33937 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11320 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 33943 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11324 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 33955 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11332 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 33967 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11341 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 33973 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11342 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 33979 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11345 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33985 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11346 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33991 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11347 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33997 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 34005 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 34013 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 34021 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11365 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 34029 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11375 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34035 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34041 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11380 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 34047 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 34053 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11387 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 34063 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11395 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 34069 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11397 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 34086 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11410 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 34092 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11415 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 34110 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11440 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34116 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11441 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34122 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11444 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34128 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11445 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34134 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11457 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 34156 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11475 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 34166 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11481 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 34178 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11491 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 34199 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11508 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 34240 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11553 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 34252 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11561 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 34264 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11569 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 34276 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11577 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 34288 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11585 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 34300 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11605 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34306 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34312 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11607 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 34318 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11610 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 34324 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11611 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 34330 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11612 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 34336 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11615 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34342 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11616 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34348 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11619 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 34354 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11620 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 34360 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11621 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 34366 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11622 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 34372 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11623 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 34378 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11624 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 34384 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11625 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 34390 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11626 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 34396 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11627 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 34402 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11631 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34408 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11633 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34414 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11638 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34420 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11640 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34426 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11645 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34432 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11647 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34438 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11649 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 34444 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11651 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 34450 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11653 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 34456 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11655 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 34462 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11667 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 34470 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11671 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 34478 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 34486 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 34494 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 34502 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11692 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 34515 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11702 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 34521 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 34527 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11707 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 34535 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 34543 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11715 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 34551 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11720 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34557 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11721 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34563 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11727 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 34571 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11730 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34577 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11737 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34583 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11738 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 34589 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11739 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 34595 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11740 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 34601 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11741 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 34607 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11742 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 34613 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11743 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 34619 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11744 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34625 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11755 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 34633 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 34641 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11766 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34647 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11772 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 34653 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11773 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34659 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11790 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 34667 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11794 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 34676 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11799 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 34684 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11803 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 34703 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11818 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 34711 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 11822 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34717 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 11826 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34723 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 11829 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34729 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 11832 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 34735 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 11833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34741 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 11834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34747 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 11838 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 34758 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 11844 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 34764 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 11855 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 34778 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 11868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34784 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 34790 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11874 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 34802 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11884 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34808 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11885 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34814 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11888 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34820 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11889 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34826 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 34834 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11897 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 34842 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 34850 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 34858 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11912 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 34869 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11919 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 34880 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 11928 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34886 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 11929 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 34892 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 11933 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34898 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 11934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 34904 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 11949 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 34910 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 11951 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 34920 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 11959 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34926 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 11960 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34932 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 11968 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34938 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 11979 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 34944 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 11980 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 34950 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 11984 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 34962 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12000 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 34974 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 34986 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12016 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 35002 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 35008 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12038 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 35014 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 35022 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12054 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 35051 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35057 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12083 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35063 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12087 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35069 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12090 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35075 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12093 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35081 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12095 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35087 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12097 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35093 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12099 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35099 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12110 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35105 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12112 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 35114 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12123 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 35122 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 35130 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12131 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 35138 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12135 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 35146 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12139 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 35159 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12148 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 35170 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12155 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-4].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[-2].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[-2].list);
					t->location = (yylsp[-4]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 35199 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12180 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 35207 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12184 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 35217 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12190 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 35238 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 35246 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12211 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 35254 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12215 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 35262 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12220 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 35268 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12221 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35274 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12222 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35280 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35286 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 35292 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12230 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 35298 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12231 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 35304 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12232 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 35310 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12248 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35316 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12249 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35322 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12250 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35328 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12255 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35334 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12256 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35340 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12257 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35346 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12262 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35352 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12263 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35358 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12264 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35364 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12265 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35370 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12271 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35376 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12272 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35382 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12273 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35388 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12274 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35394 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12275 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 35400 "gram.c" /* yacc.c:1646  */
    break;


#line 35404 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 12728 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"
